package androidx.constraintlayout.core.motion.utils;

import java.util.Arrays;

public class ArcCurveFit extends CurveFit {
    public Arc[] mArcs;
    public final double[] mTime;

    public class Arc {
        public static double[] ourPercent = new double[91];
        public boolean linear = false;
        public double mArcDistance;
        public double mArcVelocity;
        public double mEllipseA;
        public double mEllipseB;
        public double mEllipseCenterX;
        public double mEllipseCenterY;
        public double[] mLut;
        public double mOneOverDeltaTime;
        public double mTime1;
        public double mTime2;
        public double mTmpCosAngle;
        public double mTmpSinAngle;
        public boolean mVertical;
        public double mX1;
        public double mX2;
        public double mY1;
        public double mY2;

        public Arc(int i, double d, double d2, double d3, double d4, double d5, double d6) {
            double d7 = d3;
            boolean z = false;
            int i2 = 1;
            this.mVertical = i == 1 ? true : z;
            this.mTime1 = d;
            this.mTime2 = d2;
            this.mOneOverDeltaTime = 1.0d / (d2 - d);
            if (3 == i) {
                this.linear = true;
            }
            double d8 = d5 - d7;
            double d9 = d6 - d4;
            if (this.linear || Math.abs(d8) < 0.001d || Math.abs(d9) < 0.001d) {
                this.linear = true;
                this.mX1 = d7;
                this.mX2 = d5;
                this.mY1 = d4;
                this.mY2 = d6;
                double hypot = Math.hypot(d9, d8);
                this.mArcDistance = hypot;
                this.mArcVelocity = hypot * this.mOneOverDeltaTime;
                double d10 = this.mTime2;
                double d11 = this.mTime1;
                this.mEllipseCenterX = d8 / (d10 - d11);
                this.mEllipseCenterY = d9 / (d10 - d11);
                return;
            }
            this.mLut = new double[101];
            boolean z2 = this.mVertical;
            this.mEllipseA = ((double) (z2 ? -1 : i2)) * d8;
            this.mEllipseB = d9 * ((double) (z2 ? 1 : -1));
            this.mEllipseCenterX = z2 ? d5 : d7;
            this.mEllipseCenterY = z2 ? d4 : d6;
            double d12 = d4 - d6;
            int i3 = 0;
            double d13 = 0.0d;
            double d14 = 0.0d;
            double d15 = 0.0d;
            while (true) {
                double[] dArr = ourPercent;
                if (i3 >= dArr.length) {
                    break;
                }
                double radians = Math.toRadians((((double) i3) * 90.0d) / ((double) (dArr.length - 1)));
                double sin = Math.sin(radians) * d8;
                double cos = Math.cos(radians) * d12;
                if (i3 > 0) {
                    d13 += Math.hypot(sin - d14, cos - d15);
                    ourPercent[i3] = d13;
                }
                i3++;
                d15 = cos;
                d14 = sin;
            }
            this.mArcDistance = d13;
            int i4 = 0;
            while (true) {
                double[] dArr2 = ourPercent;
                if (i4 >= dArr2.length) {
                    break;
                }
                dArr2[i4] = dArr2[i4] / d13;
                i4++;
            }
            int i5 = 0;
            while (true) {
                double[] dArr3 = this.mLut;
                if (i5 < dArr3.length) {
                    double length = ((double) i5) / ((double) (dArr3.length - 1));
                    int binarySearch = Arrays.binarySearch(ourPercent, length);
                    if (binarySearch >= 0) {
                        this.mLut[i5] = ((double) binarySearch) / ((double) (ourPercent.length - 1));
                    } else if (binarySearch == -1) {
                        this.mLut[i5] = 0.0d;
                    } else {
                        int i6 = -binarySearch;
                        int i7 = i6 - 2;
                        double[] dArr4 = ourPercent;
                        this.mLut[i5] = (((length - dArr4[i7]) / (dArr4[i6 - 1] - dArr4[i7])) + ((double) i7)) / ((double) (dArr4.length - 1));
                    }
                    i5++;
                } else {
                    this.mArcVelocity = this.mArcDistance * this.mOneOverDeltaTime;
                    return;
                }
            }
        }

        public double getDX() {
            double d = this.mEllipseA * this.mTmpCosAngle;
            double hypot = this.mArcVelocity / Math.hypot(d, (-this.mEllipseB) * this.mTmpSinAngle);
            if (this.mVertical) {
                d = -d;
            }
            return d * hypot;
        }

        public double getDY() {
            double d = this.mEllipseA * this.mTmpCosAngle;
            double d2 = (-this.mEllipseB) * this.mTmpSinAngle;
            double hypot = this.mArcVelocity / Math.hypot(d, d2);
            return this.mVertical ? (-d2) * hypot : d2 * hypot;
        }

        public double getLinearX(double d) {
            double d2 = (d - this.mTime1) * this.mOneOverDeltaTime;
            double d3 = this.mX1;
            return ((this.mX2 - d3) * d2) + d3;
        }

        public double getLinearY(double d) {
            double d2 = (d - this.mTime1) * this.mOneOverDeltaTime;
            double d3 = this.mY1;
            return ((this.mY2 - d3) * d2) + d3;
        }

        public double getX() {
            return (this.mEllipseA * this.mTmpSinAngle) + this.mEllipseCenterX;
        }

        public double getY() {
            return (this.mEllipseB * this.mTmpCosAngle) + this.mEllipseCenterY;
        }

        public void setPoint(double d) {
            double d2 = (this.mVertical ? this.mTime2 - d : d - this.mTime1) * this.mOneOverDeltaTime;
            double d3 = 0.0d;
            if (d2 > 0.0d) {
                d3 = 1.0d;
                if (d2 < 1.0d) {
                    double[] dArr = this.mLut;
                    double length = d2 * ((double) (dArr.length - 1));
                    int i = (int) length;
                    d3 = ((dArr[i + 1] - dArr[i]) * (length - ((double) i))) + dArr[i];
                }
            }
            double d4 = d3 * 1.5707963267948966d;
            this.mTmpSinAngle = Math.sin(d4);
            this.mTmpCosAngle = Math.cos(d4);
        }
    }

    public ArcCurveFit(int[] iArr, double[] dArr, double[][] dArr2) {
        this.mTime = dArr;
        this.mArcs = new Arc[(dArr.length - 1)];
        int i = 0;
        int i2 = 1;
        int i3 = 1;
        while (true) {
            Arc[] arcArr = this.mArcs;
            if (i < arcArr.length) {
                int i4 = iArr[i];
                if (i4 == 0) {
                    i3 = 3;
                } else if (i4 == 1) {
                    i2 = 1;
                    i3 = 1;
                } else if (i4 == 2) {
                    i2 = 2;
                    i3 = 2;
                } else if (i4 == 3) {
                    i2 = i2 == 1 ? 2 : 1;
                    i3 = i2;
                }
                int i5 = i + 1;
                arcArr[i] = new Arc(i3, dArr[i], dArr[i5], dArr2[i][0], dArr2[i][1], dArr2[i5][0], dArr2[i5][1]);
                i = i5;
            } else {
                return;
            }
        }
    }

    @Override // androidx.constraintlayout.core.motion.utils.CurveFit
    public void getPos(double d, double[] dArr) {
        Arc[] arcArr = this.mArcs;
        if (d < arcArr[0].mTime1) {
            double d2 = arcArr[0].mTime1;
            double d3 = d - arcArr[0].mTime1;
            if (arcArr[0].linear) {
                double linearX = arcArr[0].getLinearX(d2);
                Arc[] arcArr2 = this.mArcs;
                dArr[0] = (arcArr2[0].mEllipseCenterX * d3) + linearX;
                dArr[1] = (d3 * this.mArcs[0].mEllipseCenterY) + arcArr2[0].getLinearY(d2);
                return;
            }
            arcArr[0].setPoint(d2);
            dArr[0] = (this.mArcs[0].getDX() * d3) + this.mArcs[0].getX();
            dArr[1] = (this.mArcs[0].getDY() * d3) + this.mArcs[0].getY();
        } else if (d > arcArr[arcArr.length - 1].mTime2) {
            double d4 = arcArr[arcArr.length - 1].mTime2;
            double d5 = d - d4;
            int length = arcArr.length - 1;
            if (arcArr[length].linear) {
                double linearX2 = arcArr[length].getLinearX(d4);
                Arc[] arcArr3 = this.mArcs;
                dArr[0] = (arcArr3[length].mEllipseCenterX * d5) + linearX2;
                dArr[1] = (d5 * this.mArcs[length].mEllipseCenterY) + arcArr3[length].getLinearY(d4);
                return;
            }
            arcArr[length].setPoint(d);
            dArr[0] = (this.mArcs[length].getDX() * d5) + this.mArcs[length].getX();
            dArr[1] = (this.mArcs[length].getDY() * d5) + this.mArcs[length].getY();
        } else {
            int i = 0;
            while (true) {
                Arc[] arcArr4 = this.mArcs;
                if (i >= arcArr4.length) {
                    return;
                }
                if (d > arcArr4[i].mTime2) {
                    i++;
                } else if (arcArr4[i].linear) {
                    dArr[0] = arcArr4[i].getLinearX(d);
                    dArr[1] = this.mArcs[i].getLinearY(d);
                    return;
                } else {
                    arcArr4[i].setPoint(d);
                    dArr[0] = this.mArcs[i].getX();
                    dArr[1] = this.mArcs[i].getY();
                    return;
                }
            }
        }
    }

    @Override // androidx.constraintlayout.core.motion.utils.CurveFit
    public void getSlope(double d, double[] dArr) {
        Arc[] arcArr = this.mArcs;
        if (d < arcArr[0].mTime1) {
            d = arcArr[0].mTime1;
        } else if (d > arcArr[arcArr.length - 1].mTime2) {
            d = arcArr[arcArr.length - 1].mTime2;
        }
        int i = 0;
        while (true) {
            Arc[] arcArr2 = this.mArcs;
            if (i >= arcArr2.length) {
                return;
            }
            if (d > arcArr2[i].mTime2) {
                i++;
            } else if (arcArr2[i].linear) {
                dArr[0] = arcArr2[i].mEllipseCenterX;
                dArr[1] = arcArr2[i].mEllipseCenterY;
                return;
            } else {
                arcArr2[i].setPoint(d);
                dArr[0] = this.mArcs[i].getDX();
                dArr[1] = this.mArcs[i].getDY();
                return;
            }
        }
    }

    @Override // androidx.constraintlayout.core.motion.utils.CurveFit
    public double[] getTimePoints() {
        return this.mTime;
    }

    @Override // androidx.constraintlayout.core.motion.utils.CurveFit
    public double getSlope(double d, int i) {
        Arc[] arcArr = this.mArcs;
        int i2 = 0;
        if (d < arcArr[0].mTime1) {
            d = arcArr[0].mTime1;
        }
        if (d > arcArr[arcArr.length - 1].mTime2) {
            d = arcArr[arcArr.length - 1].mTime2;
        }
        while (true) {
            Arc[] arcArr2 = this.mArcs;
            if (i2 >= arcArr2.length) {
                return Double.NaN;
            }
            if (d > arcArr2[i2].mTime2) {
                i2++;
            } else if (!arcArr2[i2].linear) {
                arcArr2[i2].setPoint(d);
                if (i == 0) {
                    return this.mArcs[i2].getDX();
                }
                return this.mArcs[i2].getDY();
            } else if (i == 0) {
                return arcArr2[i2].mEllipseCenterX;
            } else {
                return arcArr2[i2].mEllipseCenterY;
            }
        }
    }

    @Override // androidx.constraintlayout.core.motion.utils.CurveFit
    public void getPos(double d, float[] fArr) {
        Arc[] arcArr = this.mArcs;
        if (d < arcArr[0].mTime1) {
            double d2 = arcArr[0].mTime1;
            double d3 = d - arcArr[0].mTime1;
            if (arcArr[0].linear) {
                double linearX = arcArr[0].getLinearX(d2);
                Arc[] arcArr2 = this.mArcs;
                fArr[0] = (float) ((arcArr2[0].mEllipseCenterX * d3) + linearX);
                fArr[1] = (float) ((d3 * this.mArcs[0].mEllipseCenterY) + arcArr2[0].getLinearY(d2));
                return;
            }
            arcArr[0].setPoint(d2);
            fArr[0] = (float) ((this.mArcs[0].getDX() * d3) + this.mArcs[0].getX());
            fArr[1] = (float) ((this.mArcs[0].getDY() * d3) + this.mArcs[0].getY());
        } else if (d > arcArr[arcArr.length - 1].mTime2) {
            double d4 = arcArr[arcArr.length - 1].mTime2;
            double d5 = d - d4;
            int length = arcArr.length - 1;
            if (arcArr[length].linear) {
                double linearX2 = arcArr[length].getLinearX(d4);
                Arc[] arcArr3 = this.mArcs;
                fArr[0] = (float) ((arcArr3[length].mEllipseCenterX * d5) + linearX2);
                fArr[1] = (float) ((d5 * this.mArcs[length].mEllipseCenterY) + arcArr3[length].getLinearY(d4));
                return;
            }
            arcArr[length].setPoint(d);
            fArr[0] = (float) this.mArcs[length].getX();
            fArr[1] = (float) this.mArcs[length].getY();
        } else {
            int i = 0;
            while (true) {
                Arc[] arcArr4 = this.mArcs;
                if (i >= arcArr4.length) {
                    return;
                }
                if (d > arcArr4[i].mTime2) {
                    i++;
                } else if (arcArr4[i].linear) {
                    fArr[0] = (float) arcArr4[i].getLinearX(d);
                    fArr[1] = (float) this.mArcs[i].getLinearY(d);
                    return;
                } else {
                    arcArr4[i].setPoint(d);
                    fArr[0] = (float) this.mArcs[i].getX();
                    fArr[1] = (float) this.mArcs[i].getY();
                    return;
                }
            }
        }
    }

    @Override // androidx.constraintlayout.core.motion.utils.CurveFit
    public double getPos(double d, int i) {
        double y;
        double dy;
        Arc[] arcArr = this.mArcs;
        int i2 = 0;
        if (d < arcArr[0].mTime1) {
            double d2 = arcArr[0].mTime1;
            double d3 = d - arcArr[0].mTime1;
            if (!arcArr[0].linear) {
                arcArr[0].setPoint(d2);
                if (i == 0) {
                    y = this.mArcs[0].getX();
                    dy = this.mArcs[0].getDX();
                } else {
                    y = this.mArcs[0].getY();
                    dy = this.mArcs[0].getDY();
                }
                return (dy * d3) + y;
            } else if (i == 0) {
                return (d3 * this.mArcs[0].mEllipseCenterX) + arcArr[0].getLinearX(d2);
            } else {
                return (d3 * this.mArcs[0].mEllipseCenterY) + arcArr[0].getLinearY(d2);
            }
        } else if (d > arcArr[arcArr.length - 1].mTime2) {
            double d4 = arcArr[arcArr.length - 1].mTime2;
            double d5 = d - d4;
            int length = arcArr.length - 1;
            if (i == 0) {
                return (d5 * this.mArcs[length].mEllipseCenterX) + arcArr[length].getLinearX(d4);
            }
            return (d5 * this.mArcs[length].mEllipseCenterY) + arcArr[length].getLinearY(d4);
        } else {
            while (true) {
                Arc[] arcArr2 = this.mArcs;
                if (i2 >= arcArr2.length) {
                    return Double.NaN;
                }
                if (d > arcArr2[i2].mTime2) {
                    i2++;
                } else if (!arcArr2[i2].linear) {
                    arcArr2[i2].setPoint(d);
                    if (i == 0) {
                        return this.mArcs[i2].getX();
                    }
                    return this.mArcs[i2].getY();
                } else if (i == 0) {
                    return arcArr2[i2].getLinearX(d);
                } else {
                    return arcArr2[i2].getLinearY(d);
                }
            }
        }
    }
}
