package androidx.constraintlayout.core.motion.utils;

import androidx.constraintlayout.motion.utils.ViewSpline;

public class VelocityMatrix {
    public float mDRotate;
    public float mDScaleX;
    public float mDScaleY;
    public float mDTranslateX;
    public float mDTranslateY;
    public float mRotate;

    public void applyTransform(float f, float f2, int i, int i2, float[] fArr) {
        float f3 = fArr[0];
        float f4 = fArr[1];
        float f5 = (f - 0.5f) * 2.0f;
        float f6 = (f2 - 0.5f) * 2.0f;
        float f7 = f3 + this.mDTranslateX;
        float f8 = f4 + this.mDTranslateY;
        float f9 = (this.mDScaleX * f5) + f7;
        float f10 = (this.mDScaleY * f6) + f8;
        float radians = (float) Math.toRadians((double) this.mRotate);
        float radians2 = (float) Math.toRadians((double) this.mDRotate);
        double d = (double) radians;
        double sin = Math.sin(d);
        double d2 = (double) (((float) i2) * f6);
        double cos = Math.cos(d);
        fArr[0] = (((float) ((sin * ((double) (((float) (-i)) * f5))) - (Math.cos(d) * d2))) * radians2) + f9;
        fArr[1] = (radians2 * ((float) ((cos * ((double) (((float) i) * f5))) - (Math.sin(d) * d2)))) + f10;
    }

    public void setRotationVelocity(ViewSpline viewSpline, float f) {
        if (viewSpline != null) {
            double d = (double) f;
            this.mDRotate = (float) viewSpline.mCurveFit.getSlope(d, 0);
            this.mRotate = (float) viewSpline.mCurveFit.getPos(d, 0);
        }
    }

    public void setScaleVelocity(ViewSpline viewSpline, ViewSpline viewSpline2, float f) {
        if (viewSpline != null) {
            this.mDScaleX = (float) viewSpline.mCurveFit.getSlope((double) f, 0);
        }
        if (viewSpline2 != null) {
            this.mDScaleY = (float) viewSpline2.mCurveFit.getSlope((double) f, 0);
        }
    }

    public void setTranslationVelocity(ViewSpline viewSpline, ViewSpline viewSpline2, float f) {
        if (viewSpline != null) {
            this.mDTranslateX = (float) viewSpline.mCurveFit.getSlope((double) f, 0);
        }
        if (viewSpline2 != null) {
            this.mDTranslateY = (float) viewSpline2.mCurveFit.getSlope((double) f, 0);
        }
    }
}
