package androidx.constraintlayout.core.widgets;

import androidx.constraintlayout.core.LinearSystem;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import java.util.ArrayList;
import java.util.HashMap;

public class Flow extends VirtualLayout {
    public ConstraintWidget[] mAlignedBiggestElementsInCols = null;
    public ConstraintWidget[] mAlignedBiggestElementsInRows = null;
    public int[] mAlignedDimensions = null;
    public ArrayList<WidgetsList> mChainList = new ArrayList<>();
    public ConstraintWidget[] mDisplayedWidgets;
    public int mDisplayedWidgetsCount = 0;
    public float mFirstHorizontalBias = 0.5f;
    public int mFirstHorizontalStyle = -1;
    public float mFirstVerticalBias = 0.5f;
    public int mFirstVerticalStyle = -1;
    public int mHorizontalAlign = 2;
    public float mHorizontalBias = 0.5f;
    public int mHorizontalGap = 0;
    public int mHorizontalStyle = -1;
    public float mLastHorizontalBias = 0.5f;
    public int mLastHorizontalStyle = -1;
    public float mLastVerticalBias = 0.5f;
    public int mLastVerticalStyle = -1;
    public int mMaxElementsWrap = -1;
    public int mOrientation = 0;
    public int mVerticalAlign = 2;
    public float mVerticalBias = 0.5f;
    public int mVerticalGap = 0;
    public int mVerticalStyle = -1;
    public int mWrapMode = 0;

    public class WidgetsList {
        public ConstraintWidget biggest = null;
        public int biggestDimension = 0;
        public ConstraintAnchor mBottom;
        public int mCount = 0;
        public int mHeight = 0;
        public ConstraintAnchor mLeft;
        public int mMax = 0;
        public int mNbMatchConstraintsWidgets = 0;
        public int mOrientation = 0;
        public int mPaddingBottom = 0;
        public int mPaddingLeft = 0;
        public int mPaddingRight = 0;
        public int mPaddingTop = 0;
        public ConstraintAnchor mRight;
        public int mStartIndex = 0;
        public ConstraintAnchor mTop;
        public int mWidth = 0;

        public WidgetsList(int i, ConstraintAnchor constraintAnchor, ConstraintAnchor constraintAnchor2, ConstraintAnchor constraintAnchor3, ConstraintAnchor constraintAnchor4, int i2) {
            this.mOrientation = i;
            this.mLeft = constraintAnchor;
            this.mTop = constraintAnchor2;
            this.mRight = constraintAnchor3;
            this.mBottom = constraintAnchor4;
            this.mPaddingLeft = Flow.this.mResolvedPaddingLeft;
            this.mPaddingTop = Flow.this.mPaddingTop;
            this.mPaddingRight = Flow.this.mResolvedPaddingRight;
            this.mPaddingBottom = Flow.this.mPaddingBottom;
            this.mMax = i2;
        }

        public void add(ConstraintWidget constraintWidget) {
            int i = 0;
            if (this.mOrientation == 0) {
                int widgetWidth = Flow.this.getWidgetWidth(constraintWidget, this.mMax);
                if (constraintWidget.getHorizontalDimensionBehaviour() == ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT) {
                    this.mNbMatchConstraintsWidgets++;
                    widgetWidth = 0;
                }
                Flow flow = Flow.this;
                int i2 = flow.mHorizontalGap;
                if (constraintWidget.mVisibility != 8) {
                    i = i2;
                }
                this.mWidth = widgetWidth + i + this.mWidth;
                int widgetHeight = flow.getWidgetHeight(constraintWidget, this.mMax);
                if (this.biggest == null || this.biggestDimension < widgetHeight) {
                    this.biggest = constraintWidget;
                    this.biggestDimension = widgetHeight;
                    this.mHeight = widgetHeight;
                }
            } else {
                int widgetWidth2 = Flow.this.getWidgetWidth(constraintWidget, this.mMax);
                int widgetHeight2 = Flow.this.getWidgetHeight(constraintWidget, this.mMax);
                if (constraintWidget.getVerticalDimensionBehaviour() == ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT) {
                    this.mNbMatchConstraintsWidgets++;
                    widgetHeight2 = 0;
                }
                int i3 = Flow.this.mVerticalGap;
                if (constraintWidget.mVisibility != 8) {
                    i = i3;
                }
                this.mHeight = widgetHeight2 + i + this.mHeight;
                if (this.biggest == null || this.biggestDimension < widgetWidth2) {
                    this.biggest = constraintWidget;
                    this.biggestDimension = widgetWidth2;
                    this.mWidth = widgetWidth2;
                }
            }
            this.mCount++;
        }

        /* JADX WARNING: Removed duplicated region for block: B:55:0x00b5  */
        public void createConstraints(boolean z, int i, boolean z2) {
            int i2;
            float f;
            ConstraintWidget constraintWidget;
            int i3;
            float f2;
            int i4;
            float f3;
            int i5 = this.mCount;
            for (int i6 = 0; i6 < i5; i6++) {
                int i7 = this.mStartIndex + i6;
                Flow flow = Flow.this;
                if (i7 >= flow.mDisplayedWidgetsCount) {
                    break;
                }
                ConstraintWidget constraintWidget2 = flow.mDisplayedWidgets[i7];
                if (constraintWidget2 != null) {
                    constraintWidget2.resetAnchors();
                }
            }
            if (!(i5 == 0 || this.biggest == null)) {
                boolean z3 = z2 && i == 0;
                int i8 = -1;
                int i9 = -1;
                for (int i10 = 0; i10 < i5; i10++) {
                    int i11 = this.mStartIndex + (z ? (i5 - 1) - i10 : i10);
                    Flow flow2 = Flow.this;
                    if (i11 >= flow2.mDisplayedWidgetsCount) {
                        break;
                    }
                    if (flow2.mDisplayedWidgets[i11].mVisibility == 0) {
                        if (i8 == -1) {
                            i8 = i10;
                        }
                        i9 = i10;
                    }
                }
                ConstraintWidget constraintWidget3 = null;
                if (this.mOrientation == 0) {
                    ConstraintWidget constraintWidget4 = this.biggest;
                    Flow flow3 = Flow.this;
                    constraintWidget4.mVerticalChainStyle = flow3.mVerticalStyle;
                    int i12 = this.mPaddingTop;
                    if (i > 0) {
                        i12 += flow3.mVerticalGap;
                    }
                    constraintWidget4.mTop.connect(this.mTop, i12);
                    if (z2) {
                        constraintWidget4.mBottom.connect(this.mBottom, this.mPaddingBottom);
                    }
                    if (i > 0) {
                        this.mTop.mOwner.mBottom.connect(constraintWidget4.mTop, 0);
                    }
                    if (Flow.this.mVerticalAlign == 3 && !constraintWidget4.hasBaseline) {
                        int i13 = 0;
                        while (true) {
                            if (i13 >= i5) {
                                break;
                            }
                            int i14 = this.mStartIndex + (z ? (i5 - 1) - i13 : i13);
                            Flow flow4 = Flow.this;
                            if (i14 >= flow4.mDisplayedWidgetsCount) {
                                break;
                            }
                            constraintWidget = flow4.mDisplayedWidgets[i14];
                            if (constraintWidget.hasBaseline) {
                                break;
                            }
                            i13++;
                        }
                        i3 = 0;
                        while (i3 < i5) {
                            int i15 = z ? (i5 - 1) - i3 : i3;
                            int i16 = this.mStartIndex + i15;
                            Flow flow5 = Flow.this;
                            if (i16 < flow5.mDisplayedWidgetsCount) {
                                ConstraintWidget constraintWidget5 = flow5.mDisplayedWidgets[i16];
                                if (i3 == 0) {
                                    constraintWidget5.connect(constraintWidget5.mLeft, this.mLeft, this.mPaddingLeft);
                                }
                                if (i15 == 0) {
                                    Flow flow6 = Flow.this;
                                    int i17 = flow6.mHorizontalStyle;
                                    float f4 = z ? 1.0f - flow6.mHorizontalBias : flow6.mHorizontalBias;
                                    if (this.mStartIndex != 0 || (i4 = flow6.mFirstHorizontalStyle) == -1) {
                                        if (z2 && (i4 = flow6.mLastHorizontalStyle) != -1) {
                                            if (z) {
                                                f3 = flow6.mLastHorizontalBias;
                                            } else {
                                                f2 = flow6.mLastHorizontalBias;
                                                i17 = i4;
                                                f4 = f2;
                                            }
                                        }
                                        constraintWidget5.mHorizontalChainStyle = i17;
                                        constraintWidget5.mHorizontalBiasPercent = f4;
                                    } else if (z) {
                                        f3 = flow6.mFirstHorizontalBias;
                                    } else {
                                        f2 = flow6.mFirstHorizontalBias;
                                        i17 = i4;
                                        f4 = f2;
                                        constraintWidget5.mHorizontalChainStyle = i17;
                                        constraintWidget5.mHorizontalBiasPercent = f4;
                                    }
                                    i17 = i4;
                                    f4 = 1.0f - f3;
                                    constraintWidget5.mHorizontalChainStyle = i17;
                                    constraintWidget5.mHorizontalBiasPercent = f4;
                                }
                                if (i3 == i5 - 1) {
                                    constraintWidget5.connect(constraintWidget5.mRight, this.mRight, this.mPaddingRight);
                                }
                                if (constraintWidget3 != null) {
                                    constraintWidget5.mLeft.connect(constraintWidget3.mRight, Flow.this.mHorizontalGap);
                                    if (i3 == i8) {
                                        constraintWidget5.mLeft.setGoneMargin(this.mPaddingLeft);
                                    }
                                    constraintWidget3.mRight.connect(constraintWidget5.mLeft, 0);
                                    if (i3 == i9 + 1) {
                                        constraintWidget3.mRight.setGoneMargin(this.mPaddingRight);
                                    }
                                }
                                if (constraintWidget5 != constraintWidget4) {
                                    int i18 = Flow.this.mVerticalAlign;
                                    if (i18 == 3 && constraintWidget.hasBaseline && constraintWidget5 != constraintWidget && constraintWidget5.hasBaseline) {
                                        constraintWidget5.mBaseline.connect(constraintWidget.mBaseline, 0);
                                    } else if (i18 == 0) {
                                        constraintWidget5.mTop.connect(constraintWidget4.mTop, 0);
                                    } else if (i18 == 1) {
                                        constraintWidget5.mBottom.connect(constraintWidget4.mBottom, 0);
                                    } else if (z3) {
                                        constraintWidget5.mTop.connect(this.mTop, this.mPaddingTop);
                                        constraintWidget5.mBottom.connect(this.mBottom, this.mPaddingBottom);
                                    } else {
                                        constraintWidget5.mTop.connect(constraintWidget4.mTop, 0);
                                        constraintWidget5.mBottom.connect(constraintWidget4.mBottom, 0);
                                    }
                                }
                                i3++;
                                constraintWidget3 = constraintWidget5;
                            } else {
                                return;
                            }
                        }
                        return;
                    }
                    constraintWidget = constraintWidget4;
                    i3 = 0;
                    while (i3 < i5) {
                    }
                    return;
                }
                ConstraintWidget constraintWidget6 = this.biggest;
                Flow flow7 = Flow.this;
                constraintWidget6.mHorizontalChainStyle = flow7.mHorizontalStyle;
                int i19 = this.mPaddingLeft;
                if (i > 0) {
                    i19 += flow7.mHorizontalGap;
                }
                if (z) {
                    constraintWidget6.mRight.connect(this.mRight, i19);
                    if (z2) {
                        constraintWidget6.mLeft.connect(this.mLeft, this.mPaddingRight);
                    }
                    if (i > 0) {
                        this.mRight.mOwner.mLeft.connect(constraintWidget6.mRight, 0);
                    }
                } else {
                    constraintWidget6.mLeft.connect(this.mLeft, i19);
                    if (z2) {
                        constraintWidget6.mRight.connect(this.mRight, this.mPaddingRight);
                    }
                    if (i > 0) {
                        this.mLeft.mOwner.mRight.connect(constraintWidget6.mLeft, 0);
                    }
                }
                int i20 = 0;
                while (i20 < i5) {
                    int i21 = this.mStartIndex + i20;
                    Flow flow8 = Flow.this;
                    if (i21 < flow8.mDisplayedWidgetsCount) {
                        ConstraintWidget constraintWidget7 = flow8.mDisplayedWidgets[i21];
                        if (i20 == 0) {
                            constraintWidget7.connect(constraintWidget7.mTop, this.mTop, this.mPaddingTop);
                            Flow flow9 = Flow.this;
                            int i22 = flow9.mVerticalStyle;
                            float f5 = flow9.mVerticalBias;
                            if (this.mStartIndex != 0 || (i2 = flow9.mFirstVerticalStyle) == -1) {
                                if (z2 && (i2 = flow9.mLastVerticalStyle) != -1) {
                                    f = flow9.mLastVerticalBias;
                                }
                                constraintWidget7.mVerticalChainStyle = i22;
                                constraintWidget7.mVerticalBiasPercent = f5;
                            } else {
                                f = flow9.mFirstVerticalBias;
                            }
                            f5 = f;
                            i22 = i2;
                            constraintWidget7.mVerticalChainStyle = i22;
                            constraintWidget7.mVerticalBiasPercent = f5;
                        }
                        if (i20 == i5 - 1) {
                            constraintWidget7.connect(constraintWidget7.mBottom, this.mBottom, this.mPaddingBottom);
                        }
                        if (constraintWidget3 != null) {
                            constraintWidget7.mTop.connect(constraintWidget3.mBottom, Flow.this.mVerticalGap);
                            if (i20 == i8) {
                                constraintWidget7.mTop.setGoneMargin(this.mPaddingTop);
                            }
                            constraintWidget3.mBottom.connect(constraintWidget7.mTop, 0);
                            if (i20 == i9 + 1) {
                                constraintWidget3.mBottom.setGoneMargin(this.mPaddingBottom);
                            }
                        }
                        if (constraintWidget7 != constraintWidget6) {
                            if (z) {
                                int i23 = Flow.this.mHorizontalAlign;
                                if (i23 == 0) {
                                    constraintWidget7.mRight.connect(constraintWidget6.mRight, 0);
                                } else if (i23 == 1) {
                                    constraintWidget7.mLeft.connect(constraintWidget6.mLeft, 0);
                                } else if (i23 == 2) {
                                    constraintWidget7.mLeft.connect(constraintWidget6.mLeft, 0);
                                    constraintWidget7.mRight.connect(constraintWidget6.mRight, 0);
                                }
                            } else {
                                int i24 = Flow.this.mHorizontalAlign;
                                if (i24 == 0) {
                                    constraintWidget7.mLeft.connect(constraintWidget6.mLeft, 0);
                                } else if (i24 == 1) {
                                    constraintWidget7.mRight.connect(constraintWidget6.mRight, 0);
                                } else if (i24 == 2) {
                                    if (z3) {
                                        constraintWidget7.mLeft.connect(this.mLeft, this.mPaddingLeft);
                                        constraintWidget7.mRight.connect(this.mRight, this.mPaddingRight);
                                    } else {
                                        constraintWidget7.mLeft.connect(constraintWidget6.mLeft, 0);
                                        constraintWidget7.mRight.connect(constraintWidget6.mRight, 0);
                                    }
                                }
                                i20++;
                                constraintWidget3 = constraintWidget7;
                            }
                        }
                        i20++;
                        constraintWidget3 = constraintWidget7;
                    } else {
                        return;
                    }
                }
            }
        }

        public int getHeight() {
            if (this.mOrientation == 1) {
                return this.mHeight - Flow.this.mVerticalGap;
            }
            return this.mHeight;
        }

        public int getWidth() {
            if (this.mOrientation == 0) {
                return this.mWidth - Flow.this.mHorizontalGap;
            }
            return this.mWidth;
        }

        public void measureMatchConstraints(int i) {
            int i2 = this.mNbMatchConstraintsWidgets;
            if (i2 != 0) {
                int i3 = this.mCount;
                int i4 = i / i2;
                for (int i5 = 0; i5 < i3; i5++) {
                    int i6 = this.mStartIndex;
                    int i7 = i6 + i5;
                    Flow flow = Flow.this;
                    if (i7 >= flow.mDisplayedWidgetsCount) {
                        break;
                    }
                    ConstraintWidget constraintWidget = flow.mDisplayedWidgets[i6 + i5];
                    if (this.mOrientation == 0) {
                        if (constraintWidget != null && constraintWidget.getHorizontalDimensionBehaviour() == ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT && constraintWidget.mMatchConstraintDefaultWidth == 0) {
                            Flow.this.measure(constraintWidget, ConstraintWidget.DimensionBehaviour.FIXED, i4, constraintWidget.getVerticalDimensionBehaviour(), constraintWidget.getHeight());
                        }
                    } else if (constraintWidget != null && constraintWidget.getVerticalDimensionBehaviour() == ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT && constraintWidget.mMatchConstraintDefaultHeight == 0) {
                        Flow.this.measure(constraintWidget, constraintWidget.getHorizontalDimensionBehaviour(), constraintWidget.getWidth(), ConstraintWidget.DimensionBehaviour.FIXED, i4);
                    }
                }
                this.mWidth = 0;
                this.mHeight = 0;
                this.biggest = null;
                this.biggestDimension = 0;
                int i8 = this.mCount;
                for (int i9 = 0; i9 < i8; i9++) {
                    int i10 = this.mStartIndex + i9;
                    Flow flow2 = Flow.this;
                    if (i10 < flow2.mDisplayedWidgetsCount) {
                        ConstraintWidget constraintWidget2 = flow2.mDisplayedWidgets[i10];
                        if (this.mOrientation == 0) {
                            int width = constraintWidget2.getWidth();
                            Flow flow3 = Flow.this;
                            int i11 = flow3.mHorizontalGap;
                            if (constraintWidget2.mVisibility == 8) {
                                i11 = 0;
                            }
                            this.mWidth = width + i11 + this.mWidth;
                            int widgetHeight = flow3.getWidgetHeight(constraintWidget2, this.mMax);
                            if (this.biggest == null || this.biggestDimension < widgetHeight) {
                                this.biggest = constraintWidget2;
                                this.biggestDimension = widgetHeight;
                                this.mHeight = widgetHeight;
                            }
                        } else {
                            int widgetWidth = flow2.getWidgetWidth(constraintWidget2, this.mMax);
                            int widgetHeight2 = Flow.this.getWidgetHeight(constraintWidget2, this.mMax);
                            int i12 = Flow.this.mVerticalGap;
                            if (constraintWidget2.mVisibility == 8) {
                                i12 = 0;
                            }
                            this.mHeight = widgetHeight2 + i12 + this.mHeight;
                            if (this.biggest == null || this.biggestDimension < widgetWidth) {
                                this.biggest = constraintWidget2;
                                this.biggestDimension = widgetWidth;
                                this.mWidth = widgetWidth;
                            }
                        }
                    } else {
                        return;
                    }
                }
            }
        }

        public void setup(int i, ConstraintAnchor constraintAnchor, ConstraintAnchor constraintAnchor2, ConstraintAnchor constraintAnchor3, ConstraintAnchor constraintAnchor4, int i2, int i3, int i4, int i5, int i6) {
            this.mOrientation = i;
            this.mLeft = constraintAnchor;
            this.mTop = constraintAnchor2;
            this.mRight = constraintAnchor3;
            this.mBottom = constraintAnchor4;
            this.mPaddingLeft = i2;
            this.mPaddingTop = i3;
            this.mPaddingRight = i4;
            this.mPaddingBottom = i5;
            this.mMax = i6;
        }
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget
    public void addToSolver(LinearSystem linearSystem, boolean z) {
        ConstraintWidget constraintWidget;
        float f;
        int i;
        super.addToSolver(linearSystem, z);
        ConstraintWidget constraintWidget2 = this.mParent;
        boolean z2 = constraintWidget2 != null && ((ConstraintWidgetContainer) constraintWidget2).mIsRtl;
        int i2 = this.mWrapMode;
        if (i2 != 0) {
            if (i2 == 1) {
                int size = this.mChainList.size();
                int i3 = 0;
                while (i3 < size) {
                    this.mChainList.get(i3).createConstraints(z2, i3, i3 == size + -1);
                    i3++;
                }
            } else if (!(i2 != 2 || this.mAlignedDimensions == null || this.mAlignedBiggestElementsInCols == null || this.mAlignedBiggestElementsInRows == null)) {
                for (int i4 = 0; i4 < this.mDisplayedWidgetsCount; i4++) {
                    this.mDisplayedWidgets[i4].resetAnchors();
                }
                int[] iArr = this.mAlignedDimensions;
                int i5 = iArr[0];
                int i6 = iArr[1];
                ConstraintWidget constraintWidget3 = null;
                float f2 = this.mHorizontalBias;
                int i7 = 0;
                while (i7 < i5) {
                    if (z2) {
                        i = (i5 - i7) - 1;
                        f = 1.0f - this.mHorizontalBias;
                    } else {
                        f = f2;
                        i = i7;
                    }
                    ConstraintWidget constraintWidget4 = this.mAlignedBiggestElementsInCols[i];
                    if (!(constraintWidget4 == null || constraintWidget4.mVisibility == 8)) {
                        if (i7 == 0) {
                            constraintWidget4.connect(constraintWidget4.mLeft, this.mLeft, this.mResolvedPaddingLeft);
                            constraintWidget4.mHorizontalChainStyle = this.mHorizontalStyle;
                            constraintWidget4.mHorizontalBiasPercent = f;
                        }
                        if (i7 == i5 - 1) {
                            constraintWidget4.connect(constraintWidget4.mRight, this.mRight, this.mResolvedPaddingRight);
                        }
                        if (i7 > 0 && constraintWidget3 != null) {
                            constraintWidget4.connect(constraintWidget4.mLeft, constraintWidget3.mRight, this.mHorizontalGap);
                            constraintWidget3.connect(constraintWidget3.mRight, constraintWidget4.mLeft, 0);
                        }
                        constraintWidget3 = constraintWidget4;
                    }
                    i7++;
                    f2 = f;
                }
                for (int i8 = 0; i8 < i6; i8++) {
                    ConstraintWidget constraintWidget5 = this.mAlignedBiggestElementsInRows[i8];
                    if (!(constraintWidget5 == null || constraintWidget5.mVisibility == 8)) {
                        if (i8 == 0) {
                            constraintWidget5.connect(constraintWidget5.mTop, this.mTop, this.mPaddingTop);
                            constraintWidget5.mVerticalChainStyle = this.mVerticalStyle;
                            constraintWidget5.mVerticalBiasPercent = this.mVerticalBias;
                        }
                        if (i8 == i6 - 1) {
                            constraintWidget5.connect(constraintWidget5.mBottom, this.mBottom, this.mPaddingBottom);
                        }
                        if (i8 > 0 && constraintWidget3 != null) {
                            constraintWidget5.connect(constraintWidget5.mTop, constraintWidget3.mBottom, this.mVerticalGap);
                            constraintWidget3.connect(constraintWidget3.mBottom, constraintWidget5.mTop, 0);
                        }
                        constraintWidget3 = constraintWidget5;
                    }
                }
                for (int i9 = 0; i9 < i5; i9++) {
                    for (int i10 = 0; i10 < i6; i10++) {
                        int i11 = (i10 * i5) + i9;
                        if (this.mOrientation == 1) {
                            i11 = (i9 * i6) + i10;
                        }
                        ConstraintWidget[] constraintWidgetArr = this.mDisplayedWidgets;
                        if (!(i11 >= constraintWidgetArr.length || (constraintWidget = constraintWidgetArr[i11]) == null || constraintWidget.mVisibility == 8)) {
                            ConstraintWidget constraintWidget6 = this.mAlignedBiggestElementsInCols[i9];
                            ConstraintWidget constraintWidget7 = this.mAlignedBiggestElementsInRows[i10];
                            if (constraintWidget != constraintWidget6) {
                                constraintWidget.connect(constraintWidget.mLeft, constraintWidget6.mLeft, 0);
                                constraintWidget.connect(constraintWidget.mRight, constraintWidget6.mRight, 0);
                            }
                            if (constraintWidget != constraintWidget7) {
                                constraintWidget.connect(constraintWidget.mTop, constraintWidget7.mTop, 0);
                                constraintWidget.connect(constraintWidget.mBottom, constraintWidget7.mBottom, 0);
                            }
                        }
                    }
                }
            }
        } else if (this.mChainList.size() > 0) {
            this.mChainList.get(0).createConstraints(z2, 0, true);
        }
        this.mNeedsCallFromSolver = false;
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget, androidx.constraintlayout.core.widgets.HelperWidget
    public void copy(ConstraintWidget constraintWidget, HashMap<ConstraintWidget, ConstraintWidget> hashMap) {
        super.copy(constraintWidget, hashMap);
        Flow flow = (Flow) constraintWidget;
        this.mHorizontalStyle = flow.mHorizontalStyle;
        this.mVerticalStyle = flow.mVerticalStyle;
        this.mFirstHorizontalStyle = flow.mFirstHorizontalStyle;
        this.mFirstVerticalStyle = flow.mFirstVerticalStyle;
        this.mLastHorizontalStyle = flow.mLastHorizontalStyle;
        this.mLastVerticalStyle = flow.mLastVerticalStyle;
        this.mHorizontalBias = flow.mHorizontalBias;
        this.mVerticalBias = flow.mVerticalBias;
        this.mFirstHorizontalBias = flow.mFirstHorizontalBias;
        this.mFirstVerticalBias = flow.mFirstVerticalBias;
        this.mLastHorizontalBias = flow.mLastHorizontalBias;
        this.mLastVerticalBias = flow.mLastVerticalBias;
        this.mHorizontalGap = flow.mHorizontalGap;
        this.mVerticalGap = flow.mVerticalGap;
        this.mHorizontalAlign = flow.mHorizontalAlign;
        this.mVerticalAlign = flow.mVerticalAlign;
        this.mWrapMode = flow.mWrapMode;
        this.mMaxElementsWrap = flow.mMaxElementsWrap;
        this.mOrientation = flow.mOrientation;
    }

    public final int getWidgetHeight(ConstraintWidget constraintWidget, int i) {
        if (constraintWidget == null) {
            return 0;
        }
        if (constraintWidget.getVerticalDimensionBehaviour() == ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT) {
            int i2 = constraintWidget.mMatchConstraintDefaultHeight;
            if (i2 == 0) {
                return 0;
            }
            if (i2 == 2) {
                int i3 = (int) (constraintWidget.mMatchConstraintPercentHeight * ((float) i));
                if (i3 != constraintWidget.getHeight()) {
                    constraintWidget.mMeasureRequested = true;
                    measure(constraintWidget, constraintWidget.getHorizontalDimensionBehaviour(), constraintWidget.getWidth(), ConstraintWidget.DimensionBehaviour.FIXED, i3);
                }
                return i3;
            } else if (i2 == 1) {
                return constraintWidget.getHeight();
            } else {
                if (i2 == 3) {
                    return (int) ((((float) constraintWidget.getWidth()) * constraintWidget.mDimensionRatio) + 0.5f);
                }
            }
        }
        return constraintWidget.getHeight();
    }

    public final int getWidgetWidth(ConstraintWidget constraintWidget, int i) {
        if (constraintWidget == null) {
            return 0;
        }
        if (constraintWidget.getHorizontalDimensionBehaviour() == ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT) {
            int i2 = constraintWidget.mMatchConstraintDefaultWidth;
            if (i2 == 0) {
                return 0;
            }
            if (i2 == 2) {
                int i3 = (int) (constraintWidget.mMatchConstraintPercentWidth * ((float) i));
                if (i3 != constraintWidget.getWidth()) {
                    constraintWidget.mMeasureRequested = true;
                    measure(constraintWidget, ConstraintWidget.DimensionBehaviour.FIXED, i3, constraintWidget.getVerticalDimensionBehaviour(), constraintWidget.getHeight());
                }
                return i3;
            } else if (i2 == 1) {
                return constraintWidget.getWidth();
            } else {
                if (i2 == 3) {
                    return (int) ((((float) constraintWidget.getHeight()) * constraintWidget.mDimensionRatio) + 0.5f);
                }
            }
        }
        return constraintWidget.getWidth();
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:57)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:15)
        */
    /* JADX WARNING: Removed duplicated region for block: B:118:0x0195  */
    /* JADX WARNING: Removed duplicated region for block: B:330:0x0294 A[SYNTHETIC] */
    @Override // androidx.constraintlayout.core.widgets.VirtualLayout
    public void measure(int r34, int r35, int r36, int r37) {
        /*
        // Method dump skipped, instructions count: 1462
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.constraintlayout.core.widgets.Flow.measure(int, int, int, int):void");
    }
}
