package androidx.constraintlayout.core.widgets.analyzer;

import androidx.constraintlayout.core.widgets.ConstraintAnchor;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.core.widgets.ConstraintWidgetContainer;
import java.util.ArrayList;
import java.util.Iterator;

public class ChainRun extends WidgetRun {
    public int chainStyle;
    public ArrayList<WidgetRun> widgets = new ArrayList<>();

    public ChainRun(ConstraintWidget constraintWidget, int i) {
        super(constraintWidget);
        WidgetRun widgetRun;
        int i2;
        WidgetRun widgetRun2;
        this.orientation = i;
        ConstraintWidget constraintWidget2 = this.widget;
        ConstraintWidget previousChainMember = constraintWidget2.getPreviousChainMember(i);
        while (true) {
            constraintWidget2 = previousChainMember;
            if (constraintWidget2 == null) {
                break;
            }
            previousChainMember = constraintWidget2.getPreviousChainMember(this.orientation);
        }
        this.widget = constraintWidget2;
        ArrayList<WidgetRun> arrayList = this.widgets;
        int i3 = this.orientation;
        if (i3 == 0) {
            widgetRun = constraintWidget2.horizontalRun;
        } else {
            widgetRun = i3 == 1 ? constraintWidget2.verticalRun : null;
        }
        arrayList.add(widgetRun);
        ConstraintWidget nextChainMember = constraintWidget2.getNextChainMember(this.orientation);
        while (nextChainMember != null) {
            ArrayList<WidgetRun> arrayList2 = this.widgets;
            int i4 = this.orientation;
            if (i4 == 0) {
                widgetRun2 = nextChainMember.horizontalRun;
            } else {
                widgetRun2 = i4 == 1 ? nextChainMember.verticalRun : null;
            }
            arrayList2.add(widgetRun2);
            nextChainMember = nextChainMember.getNextChainMember(this.orientation);
        }
        Iterator<WidgetRun> it = this.widgets.iterator();
        while (it.hasNext()) {
            WidgetRun next = it.next();
            int i5 = this.orientation;
            if (i5 == 0) {
                next.widget.horizontalChainRun = this;
            } else if (i5 == 1) {
                next.widget.verticalChainRun = this;
            }
        }
        if ((this.orientation == 0 && ((ConstraintWidgetContainer) this.widget.mParent).mIsRtl) && this.widgets.size() > 1) {
            ArrayList<WidgetRun> arrayList3 = this.widgets;
            this.widget = arrayList3.get(arrayList3.size() - 1).widget;
        }
        if (this.orientation == 0) {
            i2 = this.widget.mHorizontalChainStyle;
        } else {
            i2 = this.widget.mVerticalChainStyle;
        }
        this.chainStyle = i2;
    }

    @Override // androidx.constraintlayout.core.widgets.analyzer.WidgetRun
    public void apply() {
        Iterator<WidgetRun> it = this.widgets.iterator();
        while (it.hasNext()) {
            it.next().apply();
        }
        int size = this.widgets.size();
        if (size >= 1) {
            ConstraintWidget constraintWidget = this.widgets.get(0).widget;
            ConstraintWidget constraintWidget2 = this.widgets.get(size - 1).widget;
            if (this.orientation == 0) {
                ConstraintAnchor constraintAnchor = constraintWidget.mLeft;
                ConstraintAnchor constraintAnchor2 = constraintWidget2.mRight;
                DependencyNode target = getTarget(constraintAnchor, 0);
                int margin = constraintAnchor.getMargin();
                ConstraintWidget firstVisibleWidget = getFirstVisibleWidget();
                if (firstVisibleWidget != null) {
                    margin = firstVisibleWidget.mLeft.getMargin();
                }
                if (target != null) {
                    DependencyNode dependencyNode = this.start;
                    dependencyNode.targets.add(target);
                    dependencyNode.margin = margin;
                    target.dependencies.add(dependencyNode);
                }
                DependencyNode target2 = getTarget(constraintAnchor2, 0);
                int margin2 = constraintAnchor2.getMargin();
                ConstraintWidget lastVisibleWidget = getLastVisibleWidget();
                if (lastVisibleWidget != null) {
                    margin2 = lastVisibleWidget.mRight.getMargin();
                }
                if (target2 != null) {
                    DependencyNode dependencyNode2 = this.end;
                    dependencyNode2.targets.add(target2);
                    dependencyNode2.margin = -margin2;
                    target2.dependencies.add(dependencyNode2);
                }
            } else {
                ConstraintAnchor constraintAnchor3 = constraintWidget.mTop;
                ConstraintAnchor constraintAnchor4 = constraintWidget2.mBottom;
                DependencyNode target3 = getTarget(constraintAnchor3, 1);
                int margin3 = constraintAnchor3.getMargin();
                ConstraintWidget firstVisibleWidget2 = getFirstVisibleWidget();
                if (firstVisibleWidget2 != null) {
                    margin3 = firstVisibleWidget2.mTop.getMargin();
                }
                if (target3 != null) {
                    DependencyNode dependencyNode3 = this.start;
                    dependencyNode3.targets.add(target3);
                    dependencyNode3.margin = margin3;
                    target3.dependencies.add(dependencyNode3);
                }
                DependencyNode target4 = getTarget(constraintAnchor4, 1);
                int margin4 = constraintAnchor4.getMargin();
                ConstraintWidget lastVisibleWidget2 = getLastVisibleWidget();
                if (lastVisibleWidget2 != null) {
                    margin4 = lastVisibleWidget2.mBottom.getMargin();
                }
                if (target4 != null) {
                    DependencyNode dependencyNode4 = this.end;
                    dependencyNode4.targets.add(target4);
                    dependencyNode4.margin = -margin4;
                    target4.dependencies.add(dependencyNode4);
                }
            }
            this.start.updateDelegate = this;
            this.end.updateDelegate = this;
        }
    }

    @Override // androidx.constraintlayout.core.widgets.analyzer.WidgetRun
    public void applyToWidget() {
        for (int i = 0; i < this.widgets.size(); i++) {
            this.widgets.get(i).applyToWidget();
        }
    }

    @Override // androidx.constraintlayout.core.widgets.analyzer.WidgetRun
    public void clear() {
        this.runGroup = null;
        Iterator<WidgetRun> it = this.widgets.iterator();
        while (it.hasNext()) {
            it.next().clear();
        }
    }

    public final ConstraintWidget getFirstVisibleWidget() {
        for (int i = 0; i < this.widgets.size(); i++) {
            ConstraintWidget constraintWidget = this.widgets.get(i).widget;
            if (constraintWidget.mVisibility != 8) {
                return constraintWidget;
            }
        }
        return null;
    }

    public final ConstraintWidget getLastVisibleWidget() {
        for (int size = this.widgets.size() - 1; size >= 0; size--) {
            ConstraintWidget constraintWidget = this.widgets.get(size).widget;
            if (constraintWidget.mVisibility != 8) {
                return constraintWidget;
            }
        }
        return null;
    }

    @Override // androidx.constraintlayout.core.widgets.analyzer.WidgetRun
    public long getWrapDimension() {
        int size = this.widgets.size();
        long j = 0;
        for (int i = 0; i < size; i++) {
            WidgetRun widgetRun = this.widgets.get(i);
            j = ((long) widgetRun.end.margin) + widgetRun.getWrapDimension() + j + ((long) widgetRun.start.margin);
        }
        return j;
    }

    @Override // androidx.constraintlayout.core.widgets.analyzer.WidgetRun
    public boolean supportsWrapComputation() {
        int size = this.widgets.size();
        for (int i = 0; i < size; i++) {
            if (!this.widgets.get(i).supportsWrapComputation()) {
                return false;
            }
        }
        return true;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("ChainRun ");
        sb.append(this.orientation == 0 ? "horizontal : " : "vertical : ");
        Iterator<WidgetRun> it = this.widgets.iterator();
        while (it.hasNext()) {
            sb.append("<");
            sb.append(it.next());
            sb.append("> ");
        }
        return sb.toString();
    }

    /* JADX WARNING: Removed duplicated region for block: B:58:0x00c8  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x00d8  */
    @Override // androidx.constraintlayout.core.widgets.analyzer.WidgetRun, androidx.constraintlayout.core.widgets.analyzer.Dependency
    public void update(Dependency dependency) {
        int i;
        int i2;
        int i3;
        int i4;
        int i5;
        float f;
        int i6;
        boolean z;
        int i7;
        int i8;
        float f2;
        int i9;
        int i10;
        float f3;
        boolean z2;
        int i11;
        int i12;
        int i13;
        int i14;
        boolean z3;
        int i15;
        DependencyNode dependencyNode = this.start;
        if (dependencyNode.resolved) {
            DependencyNode dependencyNode2 = this.end;
            if (dependencyNode2.resolved) {
                ConstraintWidget constraintWidget = this.widget.mParent;
                boolean z4 = constraintWidget instanceof ConstraintWidgetContainer ? ((ConstraintWidgetContainer) constraintWidget).mIsRtl : false;
                int i16 = dependencyNode2.value - dependencyNode.value;
                int size = this.widgets.size();
                int i17 = 0;
                while (true) {
                    i = -1;
                    i2 = 8;
                    if (i17 >= size) {
                        i17 = -1;
                        break;
                    }
                    if (this.widgets.get(i17).widget.mVisibility != 8) {
                        break;
                    }
                    i17++;
                }
                int i18 = size - 1;
                int i19 = i18;
                while (true) {
                    if (i19 < 0) {
                        break;
                    }
                    if (this.widgets.get(i19).widget.mVisibility != 8) {
                        i = i19;
                        break;
                    }
                    i19--;
                }
                int i20 = 0;
                while (true) {
                    if (i20 >= 2) {
                        i3 = 0;
                        i4 = 0;
                        i5 = 0;
                        f = 0.0f;
                        break;
                    }
                    int i21 = 0;
                    i4 = 0;
                    i5 = 0;
                    i14 = 0;
                    f = 0.0f;
                    while (i21 < size) {
                        WidgetRun widgetRun = this.widgets.get(i21);
                        ConstraintWidget constraintWidget2 = widgetRun.widget;
                        if (constraintWidget2.mVisibility != i2) {
                            i14++;
                            if (i21 > 0 && i21 >= i17) {
                                i4 += widgetRun.start.margin;
                            }
                            DimensionDependency dimensionDependency = widgetRun.dimension;
                            int i22 = dimensionDependency.value;
                            boolean z5 = widgetRun.dimensionBehavior != ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                            if (z5) {
                                int i23 = this.orientation;
                                if (i23 == 0 && !constraintWidget2.horizontalRun.dimension.resolved) {
                                    return;
                                }
                                if (i23 != 1 || constraintWidget2.verticalRun.dimension.resolved) {
                                    z3 = z5;
                                } else {
                                    return;
                                }
                            } else {
                                z3 = z5;
                                if (widgetRun.matchConstraintsType == 1 && i20 == 0) {
                                    i15 = dimensionDependency.wrapValue;
                                    i5++;
                                } else if (dimensionDependency.resolved) {
                                    i15 = i22;
                                }
                                z3 = true;
                                if (z3) {
                                    i5++;
                                    float f4 = constraintWidget2.mWeight[this.orientation];
                                    if (f4 >= 0.0f) {
                                        f += f4;
                                    }
                                } else {
                                    i4 += i15;
                                }
                                if (i21 < i18 && i21 < i) {
                                    i4 += -widgetRun.end.margin;
                                }
                            }
                            i15 = i22;
                            if (z3) {
                            }
                            i4 += -widgetRun.end.margin;
                        }
                        i21++;
                        i2 = 8;
                    }
                    if (i4 < i16 || i5 == 0) {
                        i3 = i14;
                    } else {
                        i20++;
                        i2 = 8;
                    }
                }
                i3 = i14;
                int i24 = this.start.value;
                if (z4) {
                    i24 = this.end.value;
                }
                if (i4 > i16) {
                    i24 = z4 ? i24 + ((int) ((((float) (i4 - i16)) / 2.0f) + 0.5f)) : i24 - ((int) ((((float) (i4 - i16)) / 2.0f) + 0.5f));
                }
                if (i5 > 0) {
                    float f5 = (float) (i16 - i4);
                    int i25 = (int) ((f5 / ((float) i5)) + 0.5f);
                    int i26 = 0;
                    int i27 = 0;
                    while (i26 < size) {
                        WidgetRun widgetRun2 = this.widgets.get(i26);
                        ConstraintWidget constraintWidget3 = widgetRun2.widget;
                        if (constraintWidget3.mVisibility != 8 && widgetRun2.dimensionBehavior == ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT) {
                            DimensionDependency dimensionDependency2 = widgetRun2.dimension;
                            if (!dimensionDependency2.resolved) {
                                if (f > 0.0f) {
                                    z2 = z4;
                                    i11 = (int) (((constraintWidget3.mWeight[this.orientation] * f5) / f) + 0.5f);
                                } else {
                                    z2 = z4;
                                    i11 = i25;
                                }
                                if (this.orientation == 0) {
                                    i12 = constraintWidget3.mMatchConstraintMaxWidth;
                                    i13 = constraintWidget3.mMatchConstraintMinWidth;
                                } else {
                                    i12 = constraintWidget3.mMatchConstraintMaxHeight;
                                    i13 = constraintWidget3.mMatchConstraintMinHeight;
                                }
                                f3 = f5;
                                i10 = i3;
                                int max = Math.max(i13, widgetRun2.matchConstraintsType == 1 ? Math.min(i11, dimensionDependency2.wrapValue) : i11);
                                if (i12 > 0) {
                                    max = Math.min(i12, max);
                                }
                                if (max != i11) {
                                    i27++;
                                    i11 = max;
                                }
                                widgetRun2.dimension.resolve(i11);
                                i26++;
                                i25 = i25;
                                i4 = i4;
                                i24 = i24;
                                z4 = z2;
                                f5 = f3;
                                i3 = i10;
                            }
                        }
                        z2 = z4;
                        i10 = i3;
                        f3 = f5;
                        i26++;
                        i25 = i25;
                        i4 = i4;
                        i24 = i24;
                        z4 = z2;
                        f5 = f3;
                        i3 = i10;
                    }
                    z = z4;
                    i6 = i3;
                    i7 = i24;
                    if (i27 > 0) {
                        i5 -= i27;
                        int i28 = 0;
                        for (int i29 = 0; i29 < size; i29++) {
                            WidgetRun widgetRun3 = this.widgets.get(i29);
                            if (widgetRun3.widget.mVisibility != 8) {
                                if (i29 > 0 && i29 >= i17) {
                                    i28 += widgetRun3.start.margin;
                                }
                                i28 += widgetRun3.dimension.value;
                                if (i29 < i18 && i29 < i) {
                                    i28 += -widgetRun3.end.margin;
                                }
                            }
                        }
                        i4 = i28;
                    } else {
                        i4 = i4;
                    }
                    i8 = 2;
                    if (this.chainStyle == 2 && i27 == 0) {
                        this.chainStyle = 0;
                    }
                } else {
                    z = z4;
                    i6 = i3;
                    i7 = i24;
                    i8 = 2;
                }
                if (i4 > i16) {
                    this.chainStyle = i8;
                }
                if (i6 > 0 && i5 == 0 && i17 == i) {
                    this.chainStyle = i8;
                }
                int i30 = this.chainStyle;
                if (i30 == 1) {
                    if (i6 > 1) {
                        i9 = (i16 - i4) / (i6 - 1);
                    } else {
                        i9 = i6 == 1 ? (i16 - i4) / 2 : 0;
                    }
                    if (i5 > 0) {
                        i9 = 0;
                    }
                    int i31 = i7;
                    for (int i32 = 0; i32 < size; i32++) {
                        WidgetRun widgetRun4 = this.widgets.get(z ? size - (i32 + 1) : i32);
                        if (widgetRun4.widget.mVisibility == 8) {
                            widgetRun4.start.resolve(i31);
                            widgetRun4.end.resolve(i31);
                        } else {
                            if (i32 > 0) {
                                i31 = z ? i31 - i9 : i31 + i9;
                            }
                            if (i32 > 0 && i32 >= i17) {
                                if (z) {
                                    i31 -= widgetRun4.start.margin;
                                } else {
                                    i31 += widgetRun4.start.margin;
                                }
                            }
                            if (z) {
                                widgetRun4.end.resolve(i31);
                            } else {
                                widgetRun4.start.resolve(i31);
                            }
                            DimensionDependency dimensionDependency3 = widgetRun4.dimension;
                            int i33 = dimensionDependency3.value;
                            if (widgetRun4.dimensionBehavior == ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT && widgetRun4.matchConstraintsType == 1) {
                                i33 = dimensionDependency3.wrapValue;
                            }
                            i31 = z ? i31 - i33 : i31 + i33;
                            if (z) {
                                widgetRun4.start.resolve(i31);
                            } else {
                                widgetRun4.end.resolve(i31);
                            }
                            widgetRun4.resolved = true;
                            if (i32 < i18 && i32 < i) {
                                i31 = z ? i31 - (-widgetRun4.end.margin) : i31 + (-widgetRun4.end.margin);
                            }
                        }
                    }
                } else if (i30 == 0) {
                    int i34 = (i16 - i4) / (i6 + 1);
                    if (i5 > 0) {
                        i34 = 0;
                    }
                    int i35 = i7;
                    for (int i36 = 0; i36 < size; i36++) {
                        WidgetRun widgetRun5 = this.widgets.get(z ? size - (i36 + 1) : i36);
                        if (widgetRun5.widget.mVisibility == 8) {
                            widgetRun5.start.resolve(i35);
                            widgetRun5.end.resolve(i35);
                        } else {
                            int i37 = z ? i35 - i34 : i35 + i34;
                            if (i36 > 0 && i36 >= i17) {
                                i37 = z ? i37 - widgetRun5.start.margin : i37 + widgetRun5.start.margin;
                            }
                            if (z) {
                                widgetRun5.end.resolve(i37);
                            } else {
                                widgetRun5.start.resolve(i37);
                            }
                            DimensionDependency dimensionDependency4 = widgetRun5.dimension;
                            int i38 = dimensionDependency4.value;
                            if (widgetRun5.dimensionBehavior == ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT && widgetRun5.matchConstraintsType == 1) {
                                i38 = Math.min(i38, dimensionDependency4.wrapValue);
                            }
                            i35 = z ? i37 - i38 : i37 + i38;
                            if (z) {
                                widgetRun5.start.resolve(i35);
                            } else {
                                widgetRun5.end.resolve(i35);
                            }
                            if (i36 < i18 && i36 < i) {
                                i35 = z ? i35 - (-widgetRun5.end.margin) : i35 + (-widgetRun5.end.margin);
                            }
                        }
                    }
                } else if (i30 == 2) {
                    if (this.orientation == 0) {
                        f2 = this.widget.mHorizontalBiasPercent;
                    } else {
                        f2 = this.widget.mVerticalBiasPercent;
                    }
                    if (z) {
                        f2 = 1.0f - f2;
                    }
                    int i39 = (int) ((((float) (i16 - i4)) * f2) + 0.5f);
                    if (i39 < 0 || i5 > 0) {
                        i39 = 0;
                    }
                    int i40 = z ? i7 - i39 : i7 + i39;
                    for (int i41 = 0; i41 < size; i41++) {
                        WidgetRun widgetRun6 = this.widgets.get(z ? size - (i41 + 1) : i41);
                        if (widgetRun6.widget.mVisibility == 8) {
                            widgetRun6.start.resolve(i40);
                            widgetRun6.end.resolve(i40);
                        } else {
                            if (i41 > 0 && i41 >= i17) {
                                if (z) {
                                    i40 -= widgetRun6.start.margin;
                                } else {
                                    i40 += widgetRun6.start.margin;
                                }
                            }
                            if (z) {
                                widgetRun6.end.resolve(i40);
                            } else {
                                widgetRun6.start.resolve(i40);
                            }
                            DimensionDependency dimensionDependency5 = widgetRun6.dimension;
                            int i42 = dimensionDependency5.value;
                            if (widgetRun6.dimensionBehavior == ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT) {
                                if (widgetRun6.matchConstraintsType == 1) {
                                    i42 = dimensionDependency5.wrapValue;
                                }
                            }
                            i40 = z ? i40 - i42 : i40 + i42;
                            if (z) {
                                widgetRun6.start.resolve(i40);
                            } else {
                                widgetRun6.end.resolve(i40);
                            }
                            if (i41 < i18 && i41 < i) {
                                i40 = z ? i40 - (-widgetRun6.end.margin) : i40 + (-widgetRun6.end.margin);
                            }
                        }
                    }
                }
            }
        }
    }
}
