package androidx.constraintlayout.core.widgets.analyzer;

import androidx.constraintlayout.core.widgets.ConstraintAnchor;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.core.widgets.ConstraintWidgetContainer;
import androidx.constraintlayout.core.widgets.Guideline;
import androidx.constraintlayout.core.widgets.analyzer.BasicMeasure;
import java.util.HashSet;
import java.util.Iterator;

public abstract class Direct {
    public static int hcount;
    public static BasicMeasure.Measure measure = new BasicMeasure.Measure();
    public static int vcount;

    public static boolean canMeasure(ConstraintWidget constraintWidget) {
        ConstraintWidget.DimensionBehaviour dimensionBehaviour;
        ConstraintWidget.DimensionBehaviour dimensionBehaviour2;
        ConstraintWidget.DimensionBehaviour horizontalDimensionBehaviour = constraintWidget.getHorizontalDimensionBehaviour();
        ConstraintWidget.DimensionBehaviour verticalDimensionBehaviour = constraintWidget.getVerticalDimensionBehaviour();
        ConstraintWidget constraintWidget2 = constraintWidget.mParent;
        ConstraintWidgetContainer constraintWidgetContainer = constraintWidget2 != null ? (ConstraintWidgetContainer) constraintWidget2 : null;
        if (constraintWidgetContainer != null) {
            constraintWidgetContainer.getHorizontalDimensionBehaviour();
            ConstraintWidget.DimensionBehaviour dimensionBehaviour3 = ConstraintWidget.DimensionBehaviour.FIXED;
        }
        if (constraintWidgetContainer != null) {
            constraintWidgetContainer.getVerticalDimensionBehaviour();
            ConstraintWidget.DimensionBehaviour dimensionBehaviour4 = ConstraintWidget.DimensionBehaviour.FIXED;
        }
        ConstraintWidget.DimensionBehaviour dimensionBehaviour5 = ConstraintWidget.DimensionBehaviour.FIXED;
        boolean z = horizontalDimensionBehaviour == dimensionBehaviour5 || constraintWidget.isResolvedHorizontally() || horizontalDimensionBehaviour == ConstraintWidget.DimensionBehaviour.WRAP_CONTENT || (horizontalDimensionBehaviour == (dimensionBehaviour2 = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT) && constraintWidget.mMatchConstraintDefaultWidth == 0 && constraintWidget.mDimensionRatio == 0.0f && constraintWidget.hasDanglingDimension(0)) || (horizontalDimensionBehaviour == dimensionBehaviour2 && constraintWidget.mMatchConstraintDefaultWidth == 1 && constraintWidget.hasResolvedTargets(0, constraintWidget.getWidth()));
        boolean z2 = verticalDimensionBehaviour == dimensionBehaviour5 || constraintWidget.isResolvedVertically() || verticalDimensionBehaviour == ConstraintWidget.DimensionBehaviour.WRAP_CONTENT || (verticalDimensionBehaviour == (dimensionBehaviour = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT) && constraintWidget.mMatchConstraintDefaultHeight == 0 && constraintWidget.mDimensionRatio == 0.0f && constraintWidget.hasDanglingDimension(1)) || (horizontalDimensionBehaviour == dimensionBehaviour && constraintWidget.mMatchConstraintDefaultHeight == 1 && constraintWidget.hasResolvedTargets(1, constraintWidget.getHeight()));
        if (constraintWidget.mDimensionRatio > 0.0f && (z || z2)) {
            return true;
        }
        if (!z || !z2) {
            return false;
        }
        return true;
    }

    public static void horizontalSolvingPass(int i, ConstraintWidget constraintWidget, BasicMeasure.Measurer measurer, boolean z) {
        ConstraintAnchor constraintAnchor;
        ConstraintAnchor constraintAnchor2;
        ConstraintAnchor constraintAnchor3;
        ConstraintAnchor constraintAnchor4;
        ConstraintAnchor constraintAnchor5;
        if (!constraintWidget.horizontalSolvingPass) {
            hcount++;
            int i2 = 0;
            if (!(constraintWidget instanceof ConstraintWidgetContainer) && constraintWidget.isMeasureRequested() && canMeasure(constraintWidget)) {
                ConstraintWidgetContainer.measure(constraintWidget, measurer, new BasicMeasure.Measure(), 0);
            }
            ConstraintAnchor anchor = constraintWidget.getAnchor(ConstraintAnchor.Type.LEFT);
            ConstraintAnchor anchor2 = constraintWidget.getAnchor(ConstraintAnchor.Type.RIGHT);
            int finalValue = anchor.getFinalValue();
            int finalValue2 = anchor2.getFinalValue();
            HashSet<ConstraintAnchor> hashSet = anchor.mDependents;
            if (hashSet != null && anchor.mHasFinalValue) {
                Iterator<ConstraintAnchor> it = hashSet.iterator();
                while (it.hasNext()) {
                    ConstraintAnchor next = it.next();
                    ConstraintWidget constraintWidget2 = next.mOwner;
                    int i3 = i + 1;
                    boolean canMeasure = canMeasure(constraintWidget2);
                    if (constraintWidget2.isMeasureRequested() && canMeasure) {
                        ConstraintWidgetContainer.measure(constraintWidget2, measurer, new BasicMeasure.Measure(), i2);
                    }
                    ConstraintWidget.DimensionBehaviour horizontalDimensionBehaviour = constraintWidget2.getHorizontalDimensionBehaviour();
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                    if (horizontalDimensionBehaviour != dimensionBehaviour || canMeasure) {
                        if (!constraintWidget2.isMeasureRequested()) {
                            ConstraintAnchor constraintAnchor6 = constraintWidget2.mLeft;
                            if (next == constraintAnchor6 && constraintWidget2.mRight.mTarget == null) {
                                int margin = constraintAnchor6.getMargin() + finalValue;
                                constraintWidget2.setFinalHorizontal(margin, constraintWidget2.getWidth() + margin);
                                horizontalSolvingPass(i3, constraintWidget2, measurer, z);
                            } else {
                                ConstraintAnchor constraintAnchor7 = constraintWidget2.mRight;
                                if (next == constraintAnchor7 && constraintAnchor6.mTarget == null) {
                                    int margin2 = finalValue - constraintAnchor7.getMargin();
                                    constraintWidget2.setFinalHorizontal(margin2 - constraintWidget2.getWidth(), margin2);
                                    horizontalSolvingPass(i3, constraintWidget2, measurer, z);
                                } else if (next == constraintAnchor6 && (constraintAnchor3 = constraintAnchor7.mTarget) != null && constraintAnchor3.mHasFinalValue && !constraintWidget2.isInHorizontalChain()) {
                                    solveHorizontalCenterConstraints(i3, measurer, constraintWidget2, z);
                                }
                            }
                        }
                    } else if (constraintWidget2.getHorizontalDimensionBehaviour() == dimensionBehaviour && constraintWidget2.mMatchConstraintMaxWidth >= 0 && constraintWidget2.mMatchConstraintMinWidth >= 0 && ((constraintWidget2.mVisibility == 8 || (constraintWidget2.mMatchConstraintDefaultWidth == 0 && constraintWidget2.mDimensionRatio == 0.0f)) && !constraintWidget2.isInHorizontalChain() && !constraintWidget2.mInVirtualLayout)) {
                        ConstraintAnchor constraintAnchor8 = constraintWidget2.mLeft;
                        if (((next == constraintAnchor8 && (constraintAnchor5 = constraintWidget2.mRight.mTarget) != null && constraintAnchor5.mHasFinalValue) || (next == constraintWidget2.mRight && (constraintAnchor4 = constraintAnchor8.mTarget) != null && constraintAnchor4.mHasFinalValue)) && !constraintWidget2.isInHorizontalChain()) {
                            solveHorizontalMatchConstraint(i3, constraintWidget, measurer, constraintWidget2, z);
                        }
                    }
                    i2 = 0;
                }
            }
            if (!(constraintWidget instanceof Guideline)) {
                HashSet<ConstraintAnchor> hashSet2 = anchor2.mDependents;
                if (hashSet2 != null && anchor2.mHasFinalValue) {
                    Iterator<ConstraintAnchor> it2 = hashSet2.iterator();
                    while (it2.hasNext()) {
                        ConstraintAnchor next2 = it2.next();
                        ConstraintWidget constraintWidget3 = next2.mOwner;
                        int i4 = i + 1;
                        boolean canMeasure2 = canMeasure(constraintWidget3);
                        if (constraintWidget3.isMeasureRequested() && canMeasure2) {
                            ConstraintWidgetContainer.measure(constraintWidget3, measurer, new BasicMeasure.Measure(), 0);
                        }
                        ConstraintAnchor constraintAnchor9 = constraintWidget3.mLeft;
                        boolean z2 = (next2 == constraintAnchor9 && (constraintAnchor2 = constraintWidget3.mRight.mTarget) != null && constraintAnchor2.mHasFinalValue) || (next2 == constraintWidget3.mRight && (constraintAnchor = constraintAnchor9.mTarget) != null && constraintAnchor.mHasFinalValue);
                        ConstraintWidget.DimensionBehaviour horizontalDimensionBehaviour2 = constraintWidget3.getHorizontalDimensionBehaviour();
                        ConstraintWidget.DimensionBehaviour dimensionBehaviour2 = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                        if (horizontalDimensionBehaviour2 != dimensionBehaviour2 || canMeasure2) {
                            if (!constraintWidget3.isMeasureRequested()) {
                                ConstraintAnchor constraintAnchor10 = constraintWidget3.mLeft;
                                if (next2 == constraintAnchor10 && constraintWidget3.mRight.mTarget == null) {
                                    int margin3 = constraintAnchor10.getMargin() + finalValue2;
                                    constraintWidget3.setFinalHorizontal(margin3, constraintWidget3.getWidth() + margin3);
                                    horizontalSolvingPass(i4, constraintWidget3, measurer, z);
                                } else {
                                    ConstraintAnchor constraintAnchor11 = constraintWidget3.mRight;
                                    if (next2 == constraintAnchor11 && constraintAnchor10.mTarget == null) {
                                        int margin4 = finalValue2 - constraintAnchor11.getMargin();
                                        constraintWidget3.setFinalHorizontal(margin4 - constraintWidget3.getWidth(), margin4);
                                        horizontalSolvingPass(i4, constraintWidget3, measurer, z);
                                    } else if (z2 && !constraintWidget3.isInHorizontalChain()) {
                                        solveHorizontalCenterConstraints(i4, measurer, constraintWidget3, z);
                                    }
                                }
                            }
                        } else if (constraintWidget3.getHorizontalDimensionBehaviour() == dimensionBehaviour2 && constraintWidget3.mMatchConstraintMaxWidth >= 0 && constraintWidget3.mMatchConstraintMinWidth >= 0) {
                            if ((constraintWidget3.mVisibility == 8 || (constraintWidget3.mMatchConstraintDefaultWidth == 0 && constraintWidget3.mDimensionRatio == 0.0f)) && !constraintWidget3.isInHorizontalChain() && !constraintWidget3.mInVirtualLayout && z2 && !constraintWidget3.isInHorizontalChain()) {
                                solveHorizontalMatchConstraint(i4, constraintWidget, measurer, constraintWidget3, z);
                            }
                        }
                    }
                }
                constraintWidget.horizontalSolvingPass = true;
            }
        }
    }

    public static void solveHorizontalCenterConstraints(int i, BasicMeasure.Measurer measurer, ConstraintWidget constraintWidget, boolean z) {
        float f = constraintWidget.mHorizontalBiasPercent;
        int finalValue = constraintWidget.mLeft.mTarget.getFinalValue();
        int finalValue2 = constraintWidget.mRight.mTarget.getFinalValue();
        int margin = constraintWidget.mLeft.getMargin() + finalValue;
        int margin2 = finalValue2 - constraintWidget.mRight.getMargin();
        if (finalValue == finalValue2) {
            f = 0.5f;
        } else {
            finalValue = margin;
            finalValue2 = margin2;
        }
        int width = constraintWidget.getWidth();
        int i2 = (finalValue2 - finalValue) - width;
        if (finalValue > finalValue2) {
            i2 = (finalValue - finalValue2) - width;
        }
        int i3 = ((int) (i2 > 0 ? (f * ((float) i2)) + 0.5f : f * ((float) i2))) + finalValue;
        int i4 = i3 + width;
        if (finalValue > finalValue2) {
            i4 = i3 - width;
        }
        constraintWidget.setFinalHorizontal(i3, i4);
        horizontalSolvingPass(i + 1, constraintWidget, measurer, z);
    }

    public static void solveHorizontalMatchConstraint(int i, ConstraintWidget constraintWidget, BasicMeasure.Measurer measurer, ConstraintWidget constraintWidget2, boolean z) {
        int i2;
        float f = constraintWidget2.mHorizontalBiasPercent;
        int margin = constraintWidget2.mLeft.getMargin() + constraintWidget2.mLeft.mTarget.getFinalValue();
        int finalValue = constraintWidget2.mRight.mTarget.getFinalValue() - constraintWidget2.mRight.getMargin();
        if (finalValue >= margin) {
            int width = constraintWidget2.getWidth();
            if (constraintWidget2.mVisibility != 8) {
                int i3 = constraintWidget2.mMatchConstraintDefaultWidth;
                if (i3 == 2) {
                    if (constraintWidget instanceof ConstraintWidgetContainer) {
                        i2 = constraintWidget.getWidth();
                    } else {
                        i2 = constraintWidget.mParent.getWidth();
                    }
                    width = (int) (constraintWidget2.mHorizontalBiasPercent * 0.5f * ((float) i2));
                } else if (i3 == 0) {
                    width = finalValue - margin;
                }
                width = Math.max(constraintWidget2.mMatchConstraintMinWidth, width);
                int i4 = constraintWidget2.mMatchConstraintMaxWidth;
                if (i4 > 0) {
                    width = Math.min(i4, width);
                }
            }
            int i5 = margin + ((int) ((f * ((float) ((finalValue - margin) - width))) + 0.5f));
            constraintWidget2.setFinalHorizontal(i5, width + i5);
            horizontalSolvingPass(i + 1, constraintWidget2, measurer, z);
        }
    }

    public static void solveVerticalCenterConstraints(int i, BasicMeasure.Measurer measurer, ConstraintWidget constraintWidget) {
        float f = constraintWidget.mVerticalBiasPercent;
        int finalValue = constraintWidget.mTop.mTarget.getFinalValue();
        int finalValue2 = constraintWidget.mBottom.mTarget.getFinalValue();
        int margin = constraintWidget.mTop.getMargin() + finalValue;
        int margin2 = finalValue2 - constraintWidget.mBottom.getMargin();
        if (finalValue == finalValue2) {
            f = 0.5f;
        } else {
            finalValue = margin;
            finalValue2 = margin2;
        }
        int height = constraintWidget.getHeight();
        int i2 = (finalValue2 - finalValue) - height;
        if (finalValue > finalValue2) {
            i2 = (finalValue - finalValue2) - height;
        }
        int i3 = (int) (i2 > 0 ? (f * ((float) i2)) + 0.5f : f * ((float) i2));
        int i4 = finalValue + i3;
        int i5 = i4 + height;
        if (finalValue > finalValue2) {
            i4 = finalValue - i3;
            i5 = i4 - height;
        }
        constraintWidget.setFinalVertical(i4, i5);
        verticalSolvingPass(i + 1, constraintWidget, measurer);
    }

    public static void solveVerticalMatchConstraint(int i, ConstraintWidget constraintWidget, BasicMeasure.Measurer measurer, ConstraintWidget constraintWidget2) {
        int i2;
        float f = constraintWidget2.mVerticalBiasPercent;
        int margin = constraintWidget2.mTop.getMargin() + constraintWidget2.mTop.mTarget.getFinalValue();
        int finalValue = constraintWidget2.mBottom.mTarget.getFinalValue() - constraintWidget2.mBottom.getMargin();
        if (finalValue >= margin) {
            int height = constraintWidget2.getHeight();
            if (constraintWidget2.mVisibility != 8) {
                int i3 = constraintWidget2.mMatchConstraintDefaultHeight;
                if (i3 == 2) {
                    if (constraintWidget instanceof ConstraintWidgetContainer) {
                        i2 = constraintWidget.getHeight();
                    } else {
                        i2 = constraintWidget.mParent.getHeight();
                    }
                    height = (int) (f * 0.5f * ((float) i2));
                } else if (i3 == 0) {
                    height = finalValue - margin;
                }
                height = Math.max(constraintWidget2.mMatchConstraintMinHeight, height);
                int i4 = constraintWidget2.mMatchConstraintMaxHeight;
                if (i4 > 0) {
                    height = Math.min(i4, height);
                }
            }
            int i5 = margin + ((int) ((f * ((float) ((finalValue - margin) - height))) + 0.5f));
            constraintWidget2.setFinalVertical(i5, height + i5);
            verticalSolvingPass(i + 1, constraintWidget2, measurer);
        }
    }

    public static void verticalSolvingPass(int i, ConstraintWidget constraintWidget, BasicMeasure.Measurer measurer) {
        ConstraintAnchor constraintAnchor;
        ConstraintAnchor constraintAnchor2;
        ConstraintAnchor constraintAnchor3;
        ConstraintAnchor constraintAnchor4;
        ConstraintAnchor constraintAnchor5;
        if (!constraintWidget.verticalSolvingPass) {
            vcount++;
            if (!(constraintWidget instanceof ConstraintWidgetContainer) && constraintWidget.isMeasureRequested() && canMeasure(constraintWidget)) {
                ConstraintWidgetContainer.measure(constraintWidget, measurer, new BasicMeasure.Measure(), 0);
            }
            ConstraintAnchor anchor = constraintWidget.getAnchor(ConstraintAnchor.Type.TOP);
            ConstraintAnchor anchor2 = constraintWidget.getAnchor(ConstraintAnchor.Type.BOTTOM);
            int finalValue = anchor.getFinalValue();
            int finalValue2 = anchor2.getFinalValue();
            HashSet<ConstraintAnchor> hashSet = anchor.mDependents;
            if (hashSet != null && anchor.mHasFinalValue) {
                Iterator<ConstraintAnchor> it = hashSet.iterator();
                while (it.hasNext()) {
                    ConstraintAnchor next = it.next();
                    ConstraintWidget constraintWidget2 = next.mOwner;
                    int i2 = i + 1;
                    boolean canMeasure = canMeasure(constraintWidget2);
                    if (constraintWidget2.isMeasureRequested() && canMeasure) {
                        ConstraintWidgetContainer.measure(constraintWidget2, measurer, new BasicMeasure.Measure(), 0);
                    }
                    ConstraintWidget.DimensionBehaviour verticalDimensionBehaviour = constraintWidget2.getVerticalDimensionBehaviour();
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                    if (verticalDimensionBehaviour != dimensionBehaviour || canMeasure) {
                        if (!constraintWidget2.isMeasureRequested()) {
                            ConstraintAnchor constraintAnchor6 = constraintWidget2.mTop;
                            if (next == constraintAnchor6 && constraintWidget2.mBottom.mTarget == null) {
                                int margin = constraintAnchor6.getMargin() + finalValue;
                                constraintWidget2.setFinalVertical(margin, constraintWidget2.getHeight() + margin);
                                verticalSolvingPass(i2, constraintWidget2, measurer);
                            } else {
                                ConstraintAnchor constraintAnchor7 = constraintWidget2.mBottom;
                                if (next == constraintAnchor7 && constraintAnchor7.mTarget == null) {
                                    int margin2 = finalValue - constraintAnchor7.getMargin();
                                    constraintWidget2.setFinalVertical(margin2 - constraintWidget2.getHeight(), margin2);
                                    verticalSolvingPass(i2, constraintWidget2, measurer);
                                } else if (next == constraintAnchor6 && (constraintAnchor3 = constraintAnchor7.mTarget) != null && constraintAnchor3.mHasFinalValue) {
                                    solveVerticalCenterConstraints(i2, measurer, constraintWidget2);
                                }
                            }
                        }
                    } else if (constraintWidget2.getVerticalDimensionBehaviour() == dimensionBehaviour && constraintWidget2.mMatchConstraintMaxHeight >= 0 && constraintWidget2.mMatchConstraintMinHeight >= 0) {
                        if ((constraintWidget2.mVisibility == 8 || (constraintWidget2.mMatchConstraintDefaultHeight == 0 && constraintWidget2.mDimensionRatio == 0.0f)) && !constraintWidget2.isInVerticalChain() && !constraintWidget2.mInVirtualLayout) {
                            ConstraintAnchor constraintAnchor8 = constraintWidget2.mTop;
                            if (((next == constraintAnchor8 && (constraintAnchor5 = constraintWidget2.mBottom.mTarget) != null && constraintAnchor5.mHasFinalValue) || (next == constraintWidget2.mBottom && (constraintAnchor4 = constraintAnchor8.mTarget) != null && constraintAnchor4.mHasFinalValue)) && !constraintWidget2.isInVerticalChain()) {
                                solveVerticalMatchConstraint(i2, constraintWidget, measurer, constraintWidget2);
                            }
                        }
                    }
                }
            }
            if (!(constraintWidget instanceof Guideline)) {
                HashSet<ConstraintAnchor> hashSet2 = anchor2.mDependents;
                if (hashSet2 != null && anchor2.mHasFinalValue) {
                    Iterator<ConstraintAnchor> it2 = hashSet2.iterator();
                    while (it2.hasNext()) {
                        ConstraintAnchor next2 = it2.next();
                        ConstraintWidget constraintWidget3 = next2.mOwner;
                        int i3 = i + 1;
                        boolean canMeasure2 = canMeasure(constraintWidget3);
                        if (constraintWidget3.isMeasureRequested() && canMeasure2) {
                            ConstraintWidgetContainer.measure(constraintWidget3, measurer, new BasicMeasure.Measure(), 0);
                        }
                        ConstraintAnchor constraintAnchor9 = constraintWidget3.mTop;
                        boolean z = (next2 == constraintAnchor9 && (constraintAnchor2 = constraintWidget3.mBottom.mTarget) != null && constraintAnchor2.mHasFinalValue) || (next2 == constraintWidget3.mBottom && (constraintAnchor = constraintAnchor9.mTarget) != null && constraintAnchor.mHasFinalValue);
                        ConstraintWidget.DimensionBehaviour verticalDimensionBehaviour2 = constraintWidget3.getVerticalDimensionBehaviour();
                        ConstraintWidget.DimensionBehaviour dimensionBehaviour2 = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                        if (verticalDimensionBehaviour2 != dimensionBehaviour2 || canMeasure2) {
                            if (!constraintWidget3.isMeasureRequested()) {
                                ConstraintAnchor constraintAnchor10 = constraintWidget3.mTop;
                                if (next2 == constraintAnchor10 && constraintWidget3.mBottom.mTarget == null) {
                                    int margin3 = constraintAnchor10.getMargin() + finalValue2;
                                    constraintWidget3.setFinalVertical(margin3, constraintWidget3.getHeight() + margin3);
                                    verticalSolvingPass(i3, constraintWidget3, measurer);
                                } else {
                                    ConstraintAnchor constraintAnchor11 = constraintWidget3.mBottom;
                                    if (next2 == constraintAnchor11 && constraintAnchor10.mTarget == null) {
                                        int margin4 = finalValue2 - constraintAnchor11.getMargin();
                                        constraintWidget3.setFinalVertical(margin4 - constraintWidget3.getHeight(), margin4);
                                        verticalSolvingPass(i3, constraintWidget3, measurer);
                                    } else if (z && !constraintWidget3.isInVerticalChain()) {
                                        solveVerticalCenterConstraints(i3, measurer, constraintWidget3);
                                    }
                                }
                            }
                        } else if (constraintWidget3.getVerticalDimensionBehaviour() == dimensionBehaviour2 && constraintWidget3.mMatchConstraintMaxHeight >= 0 && constraintWidget3.mMatchConstraintMinHeight >= 0) {
                            if ((constraintWidget3.mVisibility == 8 || (constraintWidget3.mMatchConstraintDefaultHeight == 0 && constraintWidget3.mDimensionRatio == 0.0f)) && !constraintWidget3.isInVerticalChain() && !constraintWidget3.mInVirtualLayout && z && !constraintWidget3.isInVerticalChain()) {
                                solveVerticalMatchConstraint(i3, constraintWidget, measurer, constraintWidget3);
                            }
                        }
                    }
                }
                ConstraintAnchor anchor3 = constraintWidget.getAnchor(ConstraintAnchor.Type.BASELINE);
                if (anchor3.mDependents != null && anchor3.mHasFinalValue) {
                    int finalValue3 = anchor3.getFinalValue();
                    Iterator<ConstraintAnchor> it3 = anchor3.mDependents.iterator();
                    while (it3.hasNext()) {
                        ConstraintAnchor next3 = it3.next();
                        ConstraintWidget constraintWidget4 = next3.mOwner;
                        int i4 = i + 1;
                        boolean canMeasure3 = canMeasure(constraintWidget4);
                        if (constraintWidget4.isMeasureRequested() && canMeasure3) {
                            ConstraintWidgetContainer.measure(constraintWidget4, measurer, new BasicMeasure.Measure(), 0);
                        }
                        if ((constraintWidget4.getVerticalDimensionBehaviour() != ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT || canMeasure3) && !constraintWidget4.isMeasureRequested() && next3 == constraintWidget4.mBaseline) {
                            int margin5 = next3.getMargin() + finalValue3;
                            if (constraintWidget4.hasBaseline) {
                                int i5 = margin5 - constraintWidget4.mBaselineDistance;
                                int i6 = constraintWidget4.mHeight + i5;
                                constraintWidget4.mY = i5;
                                constraintWidget4.mTop.setFinalValue(i5);
                                constraintWidget4.mBottom.setFinalValue(i6);
                                ConstraintAnchor constraintAnchor12 = constraintWidget4.mBaseline;
                                constraintAnchor12.mFinalValue = margin5;
                                constraintAnchor12.mHasFinalValue = true;
                                constraintWidget4.resolvedVertical = true;
                            }
                            verticalSolvingPass(i4, constraintWidget4, measurer);
                        }
                    }
                }
                constraintWidget.verticalSolvingPass = true;
            }
        }
    }
}
