package androidx.core.app;

import android.app.Notification;
import android.app.PendingIntent;
import android.content.Context;
import android.os.Build;
import android.os.Bundle;
import androidx.core.graphics.drawable.IconCompat;
import java.util.ArrayList;
import java.util.Objects;

public class NotificationCompat$Builder {
    public ArrayList<NotificationCompat$Action> mActions = new ArrayList<>();
    public boolean mAllowSystemGeneratedContextualActions;
    public String mCategory;
    public String mChannelId;
    public int mColor = 0;
    public PendingIntent mContentIntent;
    public CharSequence mContentText;
    public CharSequence mContentTitle;
    public Context mContext;
    public Bundle mExtras;
    public ArrayList<NotificationCompat$Action> mInvisibleActions = new ArrayList<>();
    public Notification mNotification;
    @Deprecated
    public ArrayList<String> mPeople;
    public ArrayList<Person> mPersonList = new ArrayList<>();
    public int mPriority;
    public Notification mPublicVersion;
    public boolean mShowWhen = true;
    public CharSequence mSubText;
    public boolean mUseChronometer;
    public int mVisibility = 0;

    public NotificationCompat$Builder(Context context, String str) {
        Notification notification = new Notification();
        this.mNotification = notification;
        this.mContext = context;
        this.mChannelId = str;
        notification.when = System.currentTimeMillis();
        this.mNotification.audioStreamType = -1;
        this.mPriority = 0;
        this.mPeople = new ArrayList<>();
        this.mAllowSystemGeneratedContextualActions = true;
    }

    public static CharSequence limitCharSequenceLength(CharSequence charSequence) {
        return (charSequence != null && charSequence.length() > 5120) ? charSequence.subSequence(0, 5120) : charSequence;
    }

    public NotificationCompat$Builder addAction(int i, CharSequence charSequence, PendingIntent pendingIntent) {
        IconCompat iconCompat;
        ArrayList<NotificationCompat$Action> arrayList = this.mActions;
        if (i == 0) {
            iconCompat = null;
        } else {
            iconCompat = IconCompat.createWithResource(null, "", i);
        }
        arrayList.add(new NotificationCompat$Action(iconCompat, charSequence, pendingIntent, new Bundle(), null, null, true, 0, true, false));
        return this;
    }

    public Notification build() {
        Notification notification;
        NotificationCompatBuilder notificationCompatBuilder = new NotificationCompatBuilder(this);
        Objects.requireNonNull(notificationCompatBuilder.mBuilderCompat);
        int i = Build.VERSION.SDK_INT;
        if (i >= 26) {
            notification = notificationCompatBuilder.mBuilder.build();
        } else if (i >= 24) {
            notification = notificationCompatBuilder.mBuilder.build();
        } else {
            notificationCompatBuilder.mBuilder.setExtras(notificationCompatBuilder.mExtras);
            notification = notificationCompatBuilder.mBuilder.build();
        }
        Objects.requireNonNull(notificationCompatBuilder.mBuilderCompat);
        return notification;
    }

    public NotificationCompat$Builder setContentTitle(CharSequence charSequence) {
        this.mContentTitle = limitCharSequenceLength(charSequence);
        return this;
    }
}
