package androidx.core.provider;

import android.graphics.Typeface;
import android.os.Handler;
import androidx.core.content.res.ResourcesCompat$FontCallback;
import androidx.core.graphics.TypefaceCompat;
import androidx.core.provider.FontRequestWorker;

public class CallbackWithHandler {
    public final TypefaceCompat.ResourcesCallbackAdapter mCallback;
    public final Handler mCallbackHandler;

    public CallbackWithHandler(TypefaceCompat.ResourcesCallbackAdapter resourcesCallbackAdapter, Handler handler) {
        this.mCallback = resourcesCallbackAdapter;
        this.mCallbackHandler = handler;
    }

    public void onTypefaceResult(FontRequestWorker.TypefaceResult typefaceResult) {
        final int i = typefaceResult.mResult;
        if (i == 0) {
            final Typeface typeface = typefaceResult.mTypeface;
            final TypefaceCompat.ResourcesCallbackAdapter resourcesCallbackAdapter = this.mCallback;
            this.mCallbackHandler.post(new Runnable(this) {
                /* class androidx.core.provider.CallbackWithHandler.AnonymousClass1 */

                public void run() {
                    TypefaceCompat.ResourcesCallbackAdapter resourcesCallbackAdapter = resourcesCallbackAdapter;
                    Typeface typeface = typeface;
                    ResourcesCompat$FontCallback resourcesCompat$FontCallback = resourcesCallbackAdapter.mFontCallback;
                    if (resourcesCompat$FontCallback != null) {
                        resourcesCompat$FontCallback.onFontRetrieved(typeface);
                    }
                }
            });
            return;
        }
        final TypefaceCompat.ResourcesCallbackAdapter resourcesCallbackAdapter2 = this.mCallback;
        this.mCallbackHandler.post(new Runnable(this) {
            /* class androidx.core.provider.CallbackWithHandler.AnonymousClass2 */

            public void run() {
                TypefaceCompat.ResourcesCallbackAdapter resourcesCallbackAdapter = resourcesCallbackAdapter2;
                int i = i;
                ResourcesCompat$FontCallback resourcesCompat$FontCallback = resourcesCallbackAdapter.mFontCallback;
                if (resourcesCompat$FontCallback != null) {
                    resourcesCompat$FontCallback.onFontRetrievalFailed(i);
                }
            }
        });
    }
}
