package androidx.core.provider;

import android.util.Base64;
import com.android.tools.r8.GeneratedOutlineSupport;
import java.util.List;
import java.util.Objects;

public final class FontRequest {
    public final List<List<byte[]>> mCertificates;
    public final String mIdentifier;
    public final String mProviderAuthority;
    public final String mProviderPackage;
    public final String mQuery;

    public FontRequest(String str, String str2, String str3, List<List<byte[]>> list) {
        this.mProviderAuthority = str;
        this.mProviderPackage = str2;
        this.mQuery = str3;
        Objects.requireNonNull(list);
        this.mCertificates = list;
        this.mIdentifier = str + "-" + str2 + "-" + str3;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("FontRequest {mProviderAuthority: ");
        outline25.append(this.mProviderAuthority);
        outline25.append(", mProviderPackage: ");
        outline25.append(this.mProviderPackage);
        outline25.append(", mQuery: ");
        outline25.append(this.mQuery);
        outline25.append(", mCertificates:");
        sb.append(outline25.toString());
        for (int i = 0; i < this.mCertificates.size(); i++) {
            sb.append(" [");
            List<byte[]> list = this.mCertificates.get(i);
            for (int i2 = 0; i2 < list.size(); i2++) {
                sb.append(" \"");
                sb.append(Base64.encodeToString(list.get(i2), 0));
                sb.append("\"");
            }
            sb.append(" ]");
        }
        return GeneratedOutlineSupport.outline22(sb, "}", "mCertificatesArray: 0");
    }
}
