package androidx.core.util;

import com.android.tools.r8.GeneratedOutlineSupport;
import java.util.Objects;

public class Pair<F, S> {
    public final F first;
    public final S second;

    public Pair(F f, S s) {
        this.first = f;
        this.second = s;
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof Pair)) {
            return false;
        }
        Pair pair = (Pair) obj;
        if (!Objects.equals(pair.first, this.first) || !Objects.equals(pair.second, this.second)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        F f = this.first;
        int i = 0;
        int hashCode = f == null ? 0 : f.hashCode();
        S s = this.second;
        if (s != null) {
            i = s.hashCode();
        }
        return hashCode ^ i;
    }

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("Pair{");
        outline25.append((Object) this.first);
        outline25.append(" ");
        outline25.append((Object) this.second);
        outline25.append("}");
        return outline25.toString();
    }
}
