package androidx.core.widget;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.ProgressBar;
import java.util.Objects;

public class ContentLoadingProgressBar extends ProgressBar {
    public final Runnable mDelayedHide;
    public final Runnable mDelayedShow;

    public ContentLoadingProgressBar(Context context) {
        this(context, null);
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        removeCallbacks(this.mDelayedHide);
        removeCallbacks(this.mDelayedShow);
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        removeCallbacks(this.mDelayedHide);
        removeCallbacks(this.mDelayedShow);
    }

    public ContentLoadingProgressBar(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, 0);
        this.mDelayedHide = new Runnable() {
            /* class androidx.core.widget.ContentLoadingProgressBar.AnonymousClass1 */

            public void run() {
                Objects.requireNonNull(ContentLoadingProgressBar.this);
                Objects.requireNonNull(ContentLoadingProgressBar.this);
                ContentLoadingProgressBar.this.setVisibility(8);
            }
        };
        this.mDelayedShow = new Runnable() {
            /* class androidx.core.widget.ContentLoadingProgressBar.AnonymousClass2 */

            public void run() {
                Objects.requireNonNull(ContentLoadingProgressBar.this);
                Objects.requireNonNull(ContentLoadingProgressBar.this);
                ContentLoadingProgressBar contentLoadingProgressBar = ContentLoadingProgressBar.this;
                System.currentTimeMillis();
                Objects.requireNonNull(contentLoadingProgressBar);
                ContentLoadingProgressBar.this.setVisibility(0);
            }
        };
    }
}
