package androidx.emoji.widget;

import android.content.Context;
import android.text.InputFilter;
import android.util.AttributeSet;
import androidx.appcompat.widget.AppCompatButton;

public class EmojiAppCompatButton extends AppCompatButton {
    public EmojiTextViewHelper mEmojiTextViewHelper;
    public boolean mInitialized;

    public EmojiAppCompatButton(Context context) {
        super(context);
        init();
    }

    private EmojiTextViewHelper getEmojiTextViewHelper() {
        if (this.mEmojiTextViewHelper == null) {
            this.mEmojiTextViewHelper = new EmojiTextViewHelper(this);
        }
        return this.mEmojiTextViewHelper;
    }

    public final void init() {
        if (!this.mInitialized) {
            this.mInitialized = true;
            getEmojiTextViewHelper().mHelper.updateTransformationMethod();
        }
    }

    public void setAllCaps(boolean z) {
        super.setAllCaps(z);
        getEmojiTextViewHelper().mHelper.setAllCaps(z);
    }

    public void setFilters(InputFilter[] inputFilterArr) {
        super.setFilters(getEmojiTextViewHelper().mHelper.getFilters(inputFilterArr));
    }

    public EmojiAppCompatButton(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        init();
    }

    public EmojiAppCompatButton(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        init();
    }
}
