package androidx.emoji.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import androidx.core.view.ViewCompat;
import androidx.emoji.R$id;
import androidx.emoji.R$layout;
import androidx.emoji.R$styleable;

public class EmojiExtractTextLayout extends LinearLayout {
    public EmojiExtractEditText mExtractEditText;
    public boolean mInitialized;

    public EmojiExtractTextLayout(Context context) {
        super(context);
        init(context, null, 0, 0);
    }

    public int getEmojiReplaceStrategy() {
        return this.mExtractEditText.getEmojiReplaceStrategy();
    }

    public final void init(Context context, AttributeSet attributeSet, int i, int i2) {
        if (!this.mInitialized) {
            this.mInitialized = true;
            setOrientation(0);
            View inflate = LayoutInflater.from(context).inflate(R$layout.input_method_extract_view, (ViewGroup) this, true);
            ViewGroup viewGroup = (ViewGroup) inflate.findViewById(R$id.inputExtractAccessories);
            ExtractButtonCompat extractButtonCompat = (ExtractButtonCompat) inflate.findViewById(R$id.inputExtractAction);
            this.mExtractEditText = (EmojiExtractEditText) inflate.findViewById(16908325);
            if (attributeSet != null) {
                int[] iArr = R$styleable.EmojiExtractTextLayout;
                TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i, i2);
                ViewCompat.saveAttributeDataForStyleable(this, context, iArr, attributeSet, obtainStyledAttributes, i, i2);
                this.mExtractEditText.setEmojiReplaceStrategy(obtainStyledAttributes.getInteger(R$styleable.EmojiExtractTextLayout_emojiReplaceStrategy, 0));
                obtainStyledAttributes.recycle();
            }
        }
    }

    public void setEmojiReplaceStrategy(int i) {
        this.mExtractEditText.setEmojiReplaceStrategy(i);
    }

    public EmojiExtractTextLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        init(context, attributeSet, 0, 0);
    }

    public EmojiExtractTextLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        init(context, attributeSet, i, 0);
    }
}
