package androidx.emoji.widget;

import android.text.Editable;
import android.text.method.KeyListener;
import android.text.method.MetaKeyKeyListener;
import android.view.KeyEvent;
import android.view.View;
import androidx.emoji.text.EmojiCompat;
import androidx.emoji.text.EmojiProcessor;

public final class EmojiKeyListener implements KeyListener {
    public final KeyListener mKeyListener;

    public EmojiKeyListener(KeyListener keyListener) {
        this.mKeyListener = keyListener;
    }

    public void clearMetaKeyState(View view, Editable editable, int i) {
        this.mKeyListener.clearMetaKeyState(view, editable, i);
    }

    public int getInputType() {
        return this.mKeyListener.getInputType();
    }

    public boolean onKeyDown(View view, Editable editable, int i, KeyEvent keyEvent) {
        boolean z;
        boolean z2;
        Object obj = EmojiCompat.sInstanceLock;
        if (i == 67) {
            z = EmojiProcessor.delete(editable, keyEvent, false);
        } else if (i != 112) {
            z = false;
        } else {
            z = EmojiProcessor.delete(editable, keyEvent, true);
        }
        if (z) {
            MetaKeyKeyListener.adjustMetaAfterKeypress(editable);
            z2 = true;
        } else {
            z2 = false;
        }
        if (z2 || this.mKeyListener.onKeyDown(view, editable, i, keyEvent)) {
            return true;
        }
        return false;
    }

    public boolean onKeyOther(View view, Editable editable, KeyEvent keyEvent) {
        return this.mKeyListener.onKeyOther(view, editable, keyEvent);
    }

    public boolean onKeyUp(View view, Editable editable, int i, KeyEvent keyEvent) {
        return this.mKeyListener.onKeyUp(view, editable, i, keyEvent);
    }
}
