package androidx.emoji.widget;

import android.text.InputFilter;
import android.text.method.PasswordTransformationMethod;
import android.text.method.TransformationMethod;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatDelegateImpl;

public final class EmojiTextViewHelper {
    public final HelperInternal mHelper;

    public abstract class HelperInternal {
        public abstract InputFilter[] getFilters(InputFilter[] inputFilterArr);

        public abstract void setAllCaps(boolean z);

        public abstract void updateTransformationMethod();
    }

    public class HelperInternal19 extends HelperInternal {
        public final EmojiInputFilter mEmojiInputFilter;
        public final TextView mTextView;

        public HelperInternal19(TextView textView) {
            this.mTextView = textView;
            this.mEmojiInputFilter = new EmojiInputFilter(textView);
        }

        @Override // androidx.emoji.widget.EmojiTextViewHelper.HelperInternal
        public InputFilter[] getFilters(InputFilter[] inputFilterArr) {
            int length = inputFilterArr.length;
            for (InputFilter inputFilter : inputFilterArr) {
                if (inputFilter instanceof EmojiInputFilter) {
                    return inputFilterArr;
                }
            }
            InputFilter[] inputFilterArr2 = new InputFilter[(inputFilterArr.length + 1)];
            System.arraycopy(inputFilterArr, 0, inputFilterArr2, 0, length);
            inputFilterArr2[length] = this.mEmojiInputFilter;
            return inputFilterArr2;
        }

        @Override // androidx.emoji.widget.EmojiTextViewHelper.HelperInternal
        public void setAllCaps(boolean z) {
            if (z) {
                updateTransformationMethod();
            }
        }

        @Override // androidx.emoji.widget.EmojiTextViewHelper.HelperInternal
        public void updateTransformationMethod() {
            TransformationMethod transformationMethod = this.mTextView.getTransformationMethod();
            if (transformationMethod != null && !(transformationMethod instanceof PasswordTransformationMethod)) {
                TextView textView = this.mTextView;
                if (!(transformationMethod instanceof EmojiTransformationMethod)) {
                    transformationMethod = new EmojiTransformationMethod(transformationMethod);
                }
                textView.setTransformationMethod(transformationMethod);
            }
        }
    }

    public EmojiTextViewHelper(TextView textView) {
        AppCompatDelegateImpl.Api17Impl.checkNotNull(textView, "textView cannot be null");
        this.mHelper = new HelperInternal19(textView);
    }
}
