package androidx.lifecycle;

import androidx.lifecycle.Lifecycle;
import com.github.shadowsocks.utils.SingleInstanceActivity;
import java.util.Objects;
import kotlin.jvm.internal.Intrinsics;

public class FullLifecycleObserverAdapter implements LifecycleEventObserver {
    public final DefaultLifecycleObserver mFullLifecycleObserver;
    public final LifecycleEventObserver mLifecycleEventObserver;

    public FullLifecycleObserverAdapter(DefaultLifecycleObserver defaultLifecycleObserver, LifecycleEventObserver lifecycleEventObserver) {
        this.mFullLifecycleObserver = defaultLifecycleObserver;
        this.mLifecycleEventObserver = lifecycleEventObserver;
    }

    @Override // androidx.lifecycle.LifecycleEventObserver
    public void onStateChanged(LifecycleOwner lifecycleOwner, Lifecycle.Event event) {
        switch (event.ordinal()) {
            case 0:
                Objects.requireNonNull(this.mFullLifecycleObserver);
                break;
            case 1:
                Objects.requireNonNull(this.mFullLifecycleObserver);
                break;
            case 2:
                Objects.requireNonNull(this.mFullLifecycleObserver);
                break;
            case 3:
                Objects.requireNonNull(this.mFullLifecycleObserver);
                break;
            case 4:
                Objects.requireNonNull(this.mFullLifecycleObserver);
                break;
            case 5:
                Objects.requireNonNull((SingleInstanceActivity) this.mFullLifecycleObserver);
                Intrinsics.checkParameterIsNotNull(lifecycleOwner, "owner");
                if (!SingleInstanceActivity.active.remove(lifecycleOwner.getClass())) {
                    throw new IllegalStateException("Double destroy?".toString());
                }
                break;
            case 6:
                throw new IllegalArgumentException("ON_ANY must not been send by anybody");
        }
        LifecycleEventObserver lifecycleEventObserver = this.mLifecycleEventObserver;
        if (lifecycleEventObserver != null) {
            lifecycleEventObserver.onStateChanged(lifecycleOwner, event);
        }
    }
}
