package androidx.transition;

import android.view.View;
import com.android.tools.r8.GeneratedOutlineSupport;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

public class TransitionValues {
    public final ArrayList<Transition> mTargetedTransitions = new ArrayList<>();
    public final Map<String, Object> values = new HashMap();
    public View view;

    public TransitionValues(View view2) {
        this.view = view2;
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof TransitionValues)) {
            return false;
        }
        TransitionValues transitionValues = (TransitionValues) obj;
        return this.view == transitionValues.view && this.values.equals(transitionValues.values);
    }

    public int hashCode() {
        return this.values.hashCode() + (this.view.hashCode() * 31);
    }

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("TransitionValues@");
        outline25.append(Integer.toHexString(hashCode()));
        outline25.append(":\n");
        StringBuilder outline28 = GeneratedOutlineSupport.outline28(outline25.toString(), "    view = ");
        outline28.append(this.view);
        outline28.append("\n");
        String outline18 = GeneratedOutlineSupport.outline18(outline28.toString(), "    values:");
        for (String str : this.values.keySet()) {
            outline18 = outline18 + "    " + str + ": " + this.values.get(str) + "\n";
        }
        return outline18;
    }
}
