package androidx.transition;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.app.Application;
import android.app.Dialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.content.pm.PackageManager;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Color;
import android.graphics.Matrix;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.ClipDrawable;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.location.Location;
import android.location.LocationManager;
import android.net.Uri;
import android.os.Build;
import android.os.Environment;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.os.UserManager;
import android.text.TextUtils;
import android.util.Base64;
import android.util.Log;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewAnimationUtils;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.animation.AnimationUtils;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ProgressBar;
import android.widget.TextView;
import android.widget.Toast;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.appcompat.widget.TintTypedArray;
import androidx.appcompat.widget.Toolbar;
import androidx.core.content.ContextCompat;
import androidx.core.graphics.ColorUtils;
import androidx.core.view.ViewCompat;
import androidx.recyclerview.widget.SortedList;
import androidx.work.BackoffPolicy;
import androidx.work.ContentUriTriggers;
import androidx.work.NetworkType;
import androidx.work.WorkInfo$State;
import com.alipay.sdk.app.EnvUtils;
import com.alipay.sdk.app.d$a;
import com.alipay.sdk.app.statistic.a$a$a;
import com.alipay.sdk.encrypt.e;
import com.alipay.sdk.tid.a;
import com.alipay.sdk.util.h;
import com.alipay.security.mobile.module.http.c;
import com.alipay.security.mobile.module.http.v2.b;
import com.allpayx.sdk.util.Constants;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.audio.record.AudioRecorder;
import com.audio.record.WavHeader;
import com.bumptech.glide.load.ImageHeaderParser;
import com.bumptech.glide.load.ImageHeaderParserUtils$1;
import com.bumptech.glide.load.ImageHeaderParserUtils$4;
import com.bumptech.glide.load.ImageHeaderParserUtils$OrientationReader;
import com.bumptech.glide.load.ImageHeaderParserUtils$TypeReader;
import com.bumptech.glide.load.engine.bitmap_recycle.LruArrayPool;
import com.bumptech.glide.load.resource.bitmap.RecyclableBufferedInputStream;
import com.faster.cheetah.entity.BuyEntity;
import com.faster.nativelib.NativeLib;
import com.github.shadowsocks.BootReceiver;
import com.github.shadowsocks.Core;
import com.github.shadowsocks.bg.BaseService$Data;
import com.github.shadowsocks.bg.BaseService$Interface;
import com.github.shadowsocks.bg.BaseService$Interface$onStartCommand$2;
import com.github.shadowsocks.bg.BaseService$Interface$stopRunner$1;
import com.github.shadowsocks.bg.BaseService$State;
import com.github.shadowsocks.bg.GuardedProcessPool;
import com.github.shadowsocks.bg.GuardedProcessPool$close$1$1;
import com.github.shadowsocks.bg.ProxyInstance;
import com.github.shadowsocks.bg.TrafficMonitor;
import com.github.shadowsocks.core.R$string;
import com.github.shadowsocks.database.Profile;
import com.github.shadowsocks.preference.DataStore;
import com.github.shadowsocks.utils.ArrayIteratorKt$asIterable$$inlined$Iterable$2;
import com.google.android.material.circularreveal.CircularRevealWidget;
import com.google.android.material.datepicker.TimeSource;
import com.google.android.material.datepicker.UtcDates;
import com.google.android.material.elevation.ElevationOverlayProvider;
import com.google.android.material.internal.ViewOverlayApi18;
import com.google.android.material.internal.ViewOverlayImpl;
import com.google.android.material.internal.ViewUtils$3;
import com.google.android.material.internal.ViewUtils$4;
import com.google.android.material.internal.ViewUtils$OnApplyWindowInsetsListener;
import com.google.android.material.internal.ViewUtils$RelativePadding;
import com.google.android.material.resources.TextAppearance;
import com.google.android.material.shape.CornerTreatment;
import com.google.android.material.shape.CutCornerTreatment;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.RoundedCornerTreatment;
import com.google.protobuf.ByteString;
import com.google.protobuf.CodedInputStream;
import com.google.protobuf.CodedOutputStream;
import com.google.protobuf.Descriptors;
import com.google.protobuf.ExtensionRegistry;
import com.google.protobuf.ExtensionRegistryLite;
import com.google.protobuf.FieldSet;
import com.google.protobuf.InvalidProtocolBufferException;
import com.google.protobuf.Message;
import com.google.protobuf.MessageOrBuilder;
import com.google.protobuf.MessageReflection$MergeTarget;
import com.google.protobuf.TextFormatEscaper$1;
import com.google.protobuf.TextFormatEscaper$ByteSequence;
import com.google.protobuf.UnknownFieldSet;
import com.google.protobuf.WireFormat;
import com.google.zxing.BarcodeFormat;
import com.google.zxing.EncodeHintType;
import com.google.zxing.MultiFormatWriter;
import com.google.zxing.common.BitMatrix;
import com.google.zxing.qrcode.decoder.ErrorCorrectionLevel;
import com.google.zxing.qrcode.encoder.ByteMatrix;
import com.meituan.android.walle.Pair;
import com.meituan.android.walle.SignatureNotFoundException;
import com.zfast.xyz.R;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.Closeable;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.ObjectInputStream;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.io.RandomAccessFile;
import java.io.StringWriter;
import java.io.UnsupportedEncodingException;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.nio.BufferUnderflowException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.channels.FileChannel;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Calendar;
import java.util.Collection;
import java.util.Collections;
import java.util.Date;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Objects;
import java.util.Set;
import java.util.TreeMap;
import java.util.UUID;
import java.util.concurrent.CancellationException;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;
import java.util.concurrent.locks.LockSupport;
import java.util.zip.GZIPInputStream;
import java.util.zip.GZIPOutputStream;
import javax.crypto.Cipher;
import javax.crypto.spec.SecretKeySpec;
import kotlin.Lazy;
import kotlin.Result;
import kotlin.SynchronizedLazyImpl;
import kotlin.TypeCastException;
import kotlin.Unit;
import kotlin.collections.ArrayAsCollection;
import kotlin.collections.ArraysKt___ArraysKt;
import kotlin.collections.EmptyList;
import kotlin.collections.EmptySet;
import kotlin.concurrent.ThreadsKt$thread$thread$1;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.ContinuationInterceptor;
import kotlin.coroutines.CoroutineContext;
import kotlin.coroutines.EmptyCoroutineContext;
import kotlin.coroutines.intrinsics.CoroutineSingletons;
import kotlin.coroutines.intrinsics.IntrinsicsKt__IntrinsicsJvmKt$createCoroutineUnintercepted$$inlined$createCoroutineFromSuspendFunction$IntrinsicsKt__IntrinsicsJvmKt$1;
import kotlin.coroutines.intrinsics.IntrinsicsKt__IntrinsicsJvmKt$createCoroutineUnintercepted$$inlined$createCoroutineFromSuspendFunction$IntrinsicsKt__IntrinsicsJvmKt$2;
import kotlin.coroutines.intrinsics.IntrinsicsKt__IntrinsicsJvmKt$createCoroutineUnintercepted$$inlined$createCoroutineFromSuspendFunction$IntrinsicsKt__IntrinsicsJvmKt$3;
import kotlin.coroutines.intrinsics.IntrinsicsKt__IntrinsicsJvmKt$createCoroutineUnintercepted$$inlined$createCoroutineFromSuspendFunction$IntrinsicsKt__IntrinsicsJvmKt$4;
import kotlin.coroutines.jvm.internal.BaseContinuationImpl;
import kotlin.coroutines.jvm.internal.ContinuationImpl;
import kotlin.internal.PlatformImplementationsKt;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.functions.Function2;
import kotlin.jvm.internal.ArrayIterator;
import kotlin.jvm.internal.ClassBasedDeclarationContainer;
import kotlin.jvm.internal.Intrinsics;
import kotlin.ranges.IntRange;
import kotlin.reflect.KClass;
import kotlin.reflect.KProperty;
import kotlin.sequences.ConstrainedOnceSequence;
import kotlin.sequences.Sequence;
import kotlin.sequences.SequencesKt__SequencesKt$asSequence$$inlined$Sequence$1;
import kotlin.text.StringsKt__IndentKt;
import kotlinx.coroutines.AbstractCoroutine;
import kotlinx.coroutines.Active;
import kotlinx.coroutines.BlockingCoroutine;
import kotlinx.coroutines.CancellableContinuation;
import kotlinx.coroutines.CancellableContinuationImpl;
import kotlinx.coroutines.CompletableDeferred;
import kotlinx.coroutines.CompletableDeferredImpl;
import kotlinx.coroutines.CompletableJob;
import kotlinx.coroutines.CompletedExceptionally;
import kotlinx.coroutines.CompletedIdempotentResult;
import kotlinx.coroutines.CoroutineContextKt;
import kotlinx.coroutines.CoroutineDispatcher;
import kotlinx.coroutines.CoroutineExceptionHandler;
import kotlinx.coroutines.CoroutineExceptionHandlerImplKt;
import kotlinx.coroutines.CoroutineScope;
import kotlinx.coroutines.CoroutineStart;
import kotlinx.coroutines.DebugKt;
import kotlinx.coroutines.DefaultExecutorKt;
import kotlinx.coroutines.Deferred;
import kotlinx.coroutines.DeferredCoroutine;
import kotlinx.coroutines.Delay;
import kotlinx.coroutines.DispatchedContinuation;
import kotlinx.coroutines.DispatchedContinuationKt;
import kotlinx.coroutines.DispatchedCoroutine;
import kotlinx.coroutines.DispatchedTask;
import kotlinx.coroutines.Dispatchers;
import kotlinx.coroutines.DisposableHandle;
import kotlinx.coroutines.DisposeOnCancel;
import kotlinx.coroutines.EventLoopImplPlatform;
import kotlinx.coroutines.GlobalScope;
import kotlinx.coroutines.Incomplete;
import kotlinx.coroutines.Job;
import kotlinx.coroutines.JobImpl;
import kotlinx.coroutines.JobSupportKt;
import kotlinx.coroutines.LazyDeferredCoroutine;
import kotlinx.coroutines.LazyStandaloneCoroutine;
import kotlinx.coroutines.MainCoroutineDispatcher;
import kotlinx.coroutines.StandaloneCoroutine;
import kotlinx.coroutines.ThreadLocalEventLoop;
import kotlinx.coroutines.UndispatchedCoroutine;
import kotlinx.coroutines.android.AndroidDispatcherFactory;
import kotlinx.coroutines.android.HandlerContext;
import kotlinx.coroutines.android.HandlerDispatcherKt;
import kotlinx.coroutines.channels.ArrayChannel;
import kotlinx.coroutines.channels.Channel;
import kotlinx.coroutines.channels.ChannelsKt__ChannelsKt$sendBlocking$1;
import kotlinx.coroutines.channels.ConflatedChannel;
import kotlinx.coroutines.channels.LinkedListChannel;
import kotlinx.coroutines.channels.RendezvousChannel;
import kotlinx.coroutines.channels.SendChannel;
import kotlinx.coroutines.internal.MainDispatcherLoader;
import kotlinx.coroutines.internal.MissingMainCoroutineDispatcher;
import kotlinx.coroutines.internal.ScopeCoroutine;
import kotlinx.coroutines.internal.StackTraceRecoveryKt;
import kotlinx.coroutines.internal.SystemPropsKt;
import kotlinx.coroutines.internal.ThreadContextKt;
import net.xfkefu.sdk.retrofit.Retrofit2;
import org.xbill.DNS.KEYRecord;

public abstract class ViewGroupUtilsApi14 {
    public static volatile String a;
    public static d$a b;

    /* renamed from: b  reason: collision with other field name */
    public static volatile String f0b;
    public static AudioRecorder instance;

    public static final <E> Channel<E> Channel(int i) {
        if (i == -2) {
            Objects.requireNonNull(Channel.Factory);
            return new ArrayChannel(Channel.Factory.CHANNEL_DEFAULT_CAPACITY);
        } else if (i == -1) {
            return new ConflatedChannel();
        } else {
            if (i == 0) {
                return new RendezvousChannel();
            }
            if (i != Integer.MAX_VALUE) {
                return new ArrayChannel(i);
            }
            return new LinkedListChannel();
        }
    }

    public static CompletableDeferred CompletableDeferred$default(Job job, int i) {
        int i2 = i & 1;
        return new CompletableDeferredImpl(null);
    }

    public static CompletableJob Job$default(Job job, int i, Object obj) {
        int i2 = i & 1;
        return new JobImpl(null);
    }

    public static int a(Context context, float f) {
        return (int) ((f * context.getResources().getDisplayMetrics().density) + 0.5f);
    }

    public static Location a(Context context) {
        Location location;
        LocationManager locationManager = (LocationManager) context.getSystemService("location");
        try {
            if (locationManager.isProviderEnabled("gps")) {
                location = locationManager.getLastKnownLocation("gps");
                if (location == null) {
                    try {
                        if (locationManager.isProviderEnabled("network")) {
                            return locationManager.getLastKnownLocation("network");
                        }
                    } catch (Exception unused) {
                    }
                }
            } else {
                if (locationManager.isProviderEnabled("network")) {
                    location = locationManager.getLastKnownLocation("network");
                }
                location = null;
            }
        } catch (Exception unused2) {
        }
        return location;
    }

    public static Class<?> a(Type type) {
        while (!(type instanceof Class)) {
            if (type instanceof ParameterizedType) {
                type = ((ParameterizedType) type).getRawType();
            } else {
                throw new IllegalArgumentException("TODO");
            }
        }
        return (Class) type;
    }

    public static String a() {
        String str;
        try {
            str = a.n.getApplicationContext().getPackageName();
        } catch (Throwable th) {
            a(th);
            str = "";
        }
        return (str + "0000000000000000000000000000").substring(0, 24);
    }

    public static String a(Map<String, String> map, String str, String str2) {
        String str3;
        return (map == null || (str3 = map.get(str)) == null) ? str2 : str3;
    }

    public static String a(byte[] bArr) {
        StringBuilder sb = new StringBuilder(bArr.length * 2);
        for (byte b2 : bArr) {
            int i = b2 & 255;
            sb.append("0123456789abcdef".charAt(i >> 4));
            sb.append("0123456789abcdef".charAt(i & 15));
        }
        return sb.toString();
    }

    public static void a(Context context, String str, Map<String, String> map) {
        SharedPreferences.Editor edit = context.getSharedPreferences(str, 0).edit();
        if (edit != null) {
            for (String str2 : map.keySet()) {
                edit.putString(str2, map.get(str2));
            }
            edit.commit();
        }
    }

    /* renamed from: a  reason: collision with other method in class */
    public static boolean m18a() {
        String externalStorageState = Environment.getExternalStorageState();
        if (externalStorageState == null || externalStorageState.length() <= 0) {
            return false;
        }
        return (externalStorageState.equals("mounted") || externalStorageState.equals("mounted_ro")) && Environment.getExternalStorageDirectory() != null;
    }

    public static boolean a(Class<?> cls) {
        return cls.isPrimitive() || cls.equals(String.class) || cls.equals(Integer.class) || cls.equals(Long.class) || cls.equals(Double.class) || cls.equals(Float.class) || cls.equals(Boolean.class) || cls.equals(Short.class) || cls.equals(Character.class) || cls.equals(Byte.class) || cls.equals(Void.class);
    }

    public static boolean a(String str) {
        int length;
        if (!(str == null || (length = str.length()) == 0)) {
            for (int i = 0; i < length; i++) {
                if (!Character.isWhitespace(str.charAt(i))) {
                    return false;
                }
            }
        }
        return true;
    }

    /* renamed from: a  reason: collision with other method in class */
    public static boolean m19a(String str, String str2) {
        return str == null ? str2 == null : str.equals(str2);
    }

    /* JADX WARNING: Removed duplicated region for block: B:18:0x0038  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x004b  */
    public static byte[] a(int i, byte[] bArr, byte[] bArr2) {
        if (bArr == null || !(bArr.length == 8 || bArr.length == 16 || bArr.length == 24)) {
            throw new IllegalArgumentException();
        } else if (bArr2 != null) {
            Cipher instance2 = Cipher.getInstance("DESede/ECB/NoPadding");
            byte[] bArr3 = new byte[24];
            if (bArr.length == 8) {
                System.arraycopy(bArr, 0, bArr3, 0, 8);
                System.arraycopy(bArr, 0, bArr3, 8, 8);
            } else if (bArr.length == 16) {
                System.arraycopy(bArr, 0, bArr3, 0, 16);
            } else {
                System.arraycopy(bArr, 0, bArr3, 0, 24);
                int i2 = 1;
                if (bArr2.length % 8 != 0) {
                    int length = ((bArr2.length / 8) + 1) * 8;
                    byte[] bArr4 = new byte[length];
                    System.arraycopy(bArr2, 0, bArr4, 0, bArr2.length);
                    Arrays.fill(bArr4, bArr2.length, length, (byte) 0);
                    bArr2 = bArr4;
                }
                if (i == 0) {
                    i2 = 2;
                }
                instance2.init(i2, new SecretKeySpec(bArr3, "DESede"));
                return instance2.doFinal(bArr2);
            }
            System.arraycopy(bArr, 0, bArr3, 16, 8);
            int i22 = 1;
            if (bArr2.length % 8 != 0) {
            }
            if (i == 0) {
            }
            instance2.init(i22, new SecretKeySpec(bArr3, "DESede"));
            return instance2.doFinal(bArr2);
        } else {
            throw new IllegalArgumentException();
        }
    }

    /* renamed from: a  reason: collision with other method in class */
    public static byte[] m20a(String str) {
        char[] charArray = str.toCharArray();
        int length = charArray.length / 2;
        byte[] bArr = new byte[length];
        for (int i = 0; i < length; i++) {
            int i2 = i * 2;
            int digit = Character.digit(charArray[i2 + 1], 16) | (Character.digit(charArray[i2], 16) << 4);
            if (digit > 127) {
                digit -= 256;
            }
            bArr[i] = (byte) digit;
        }
        return bArr;
    }

    public static String a1(String str) {
        try {
            if (a(str)) {
                return null;
            }
            MessageDigest instance2 = MessageDigest.getInstance("SHA-1");
            instance2.update(str.getBytes("UTF-8"));
            byte[] digest = instance2.digest();
            StringBuilder sb = new StringBuilder();
            for (int i = 0; i < digest.length; i++) {
                sb.append(String.format("%02x", Byte.valueOf(digest[i])));
            }
            return sb.toString();
        } catch (Exception unused) {
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x0036 A[SYNTHETIC, Splitter:B:17:0x0036] */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x003d  */
    public static String a1(String str, String str2) {
        BufferedReader bufferedReader;
        Throwable th;
        StringBuilder sb = new StringBuilder();
        BufferedReader bufferedReader2 = null;
        try {
            File file = new File(str, str2);
            if (!file.exists()) {
                return null;
            }
            bufferedReader = new BufferedReader(new InputStreamReader(new FileInputStream(file), "UTF-8"));
            while (true) {
                try {
                    String readLine = bufferedReader.readLine();
                    if (readLine != null) {
                        sb.append(readLine);
                    }
                } catch (IOException unused) {
                    bufferedReader2 = bufferedReader;
                    if (bufferedReader2 != null) {
                    }
                    return sb.toString();
                } catch (Throwable th2) {
                    th = th2;
                    bufferedReader2 = bufferedReader;
                    if (bufferedReader2 != null) {
                    }
                    throw th;
                }
                try {
                    break;
                } catch (Throwable unused2) {
                }
            }
            bufferedReader.close();
            return sb.toString();
        } catch (IOException unused3) {
            if (bufferedReader2 != null) {
                bufferedReader = bufferedReader2;
                break;
                bufferedReader.close();
            }
            return sb.toString();
        } catch (Throwable th3) {
            th = th3;
            if (bufferedReader2 != null) {
                try {
                    bufferedReader2.close();
                } catch (Throwable unused4) {
                }
            }
            throw th;
        }
    }

    public static String a2(String str) {
        try {
            System.clearProperty(str);
        } catch (Throwable unused) {
        }
        if (!a("")) {
            return "";
        }
        String outline22 = GeneratedOutlineSupport.outline22(new StringBuilder(".SystemConfig"), File.separator, str);
        try {
            if (m18a()) {
                File file = new File(Environment.getExternalStorageDirectory().getAbsolutePath(), outline22);
                if (file.exists()) {
                    file.delete();
                    return "";
                }
            }
        } catch (Exception unused2) {
        }
        return null;
    }

    public static void access$1000(byte b2, byte b3, byte b4, byte b5, char[] cArr, int i) {
        if (!isNotTrailingByte(b3)) {
            if ((((b3 + 112) + (b2 << 28)) >> 30) == 0 && !isNotTrailingByte(b4) && !isNotTrailingByte(b5)) {
                int i2 = ((b2 & 7) << 18) | ((b3 & 63) << 12) | ((b4 & 63) << 6) | (b5 & 63);
                cArr[i] = (char) ((i2 >>> 10) + 55232);
                cArr[i + 1] = (char) ((i2 & 1023) + 56320);
                return;
            }
        }
        throw InvalidProtocolBufferException.invalidUtf8();
    }

    public static boolean access$400(byte b2) {
        return b2 >= 0;
    }

    public static boolean access$600(byte b2) {
        return b2 < -32;
    }

    public static void access$700(byte b2, byte b3, char[] cArr, int i) {
        if (b2 < -62 || isNotTrailingByte(b3)) {
            throw InvalidProtocolBufferException.invalidUtf8();
        }
        cArr[i] = (char) (((b2 & 31) << 6) | (b3 & 63));
    }

    public static boolean access$800(byte b2) {
        return b2 < -16;
    }

    public static void access$900(byte b2, byte b3, byte b4, char[] cArr, int i) {
        if (isNotTrailingByte(b3) || ((b2 == -32 && b3 < -96) || ((b2 == -19 && b3 >= -96) || isNotTrailingByte(b4)))) {
            throw InvalidProtocolBufferException.invalidUtf8();
        }
        cArr[i] = (char) (((b2 & 15) << 12) | ((b3 & 63) << 6) | (b4 & 63));
    }

    public static final <T> boolean addAll(Collection<? super T> collection, Iterable<? extends T> iterable) {
        Intrinsics.checkNotNullParameter(collection, "$this$addAll");
        Intrinsics.checkNotNullParameter(iterable, "elements");
        if (iterable instanceof Collection) {
            return collection.addAll((Collection) iterable);
        }
        boolean z = false;
        Iterator<? extends T> it = iterable.iterator();
        while (it.hasNext()) {
            if (collection.add((Object) it.next())) {
                z = true;
            }
        }
        return z;
    }

    public static final void addSuppressed(Throwable th, Throwable th2) {
        Intrinsics.checkNotNullParameter(th, "$this$addSuppressed");
        Intrinsics.checkNotNullParameter(th2, Retrofit2.RESP_CODE_EXCEPTION);
        if (th != th2) {
            PlatformImplementationsKt.IMPLEMENTATIONS.addSuppressed(th, th2);
        }
    }

    public static final <T> void appendElement(Appendable appendable, T t, Function1<? super T, ? extends CharSequence> function1) {
        Intrinsics.checkNotNullParameter(appendable, "$this$appendElement");
        if (function1 != null) {
            appendable.append((CharSequence) function1.invoke(t));
            return;
        }
        if (t != null ? t instanceof CharSequence : true) {
            appendable.append(t);
        } else if (t instanceof Character) {
            appendable.append(t.charValue());
        } else {
            appendable.append(String.valueOf(t));
        }
    }

    public static int applyMaskPenaltyRule1Internal(ByteMatrix byteMatrix, boolean z) {
        int i;
        int i2;
        if (z) {
            i = byteMatrix.height;
        } else {
            i = byteMatrix.width;
        }
        if (z) {
            i2 = byteMatrix.width;
        } else {
            i2 = byteMatrix.height;
        }
        byte[][] bArr = byteMatrix.bytes;
        int i3 = 0;
        for (int i4 = 0; i4 < i; i4++) {
            byte b2 = -1;
            int i5 = 0;
            for (int i6 = 0; i6 < i2; i6++) {
                byte b3 = z ? bArr[i4][i6] : bArr[i6][i4];
                if (b3 == b2) {
                    i5++;
                } else {
                    if (i5 >= 5) {
                        i3 += (i5 - 5) + 3;
                    }
                    b2 = b3;
                    i5 = 1;
                }
            }
            if (i5 >= 5) {
                i3 = (i5 - 5) + 3 + i3;
            }
        }
        return i3;
    }

    public static final <T> Iterable<T> asIterable(SortedList<T> sortedList) {
        Intrinsics.checkParameterIsNotNull(sortedList, "$this$asIterable");
        return new ArrayIteratorKt$asIterable$$inlined$Iterable$2(sortedList);
    }

    public static final <T> Sequence<T> asSequence(Iterator<? extends T> it) {
        Intrinsics.checkNotNullParameter(it, "$this$asSequence");
        SequencesKt__SequencesKt$asSequence$$inlined$Sequence$1 sequencesKt__SequencesKt$asSequence$$inlined$Sequence$1 = new SequencesKt__SequencesKt$asSequence$$inlined$Sequence$1(it);
        Intrinsics.checkNotNullParameter(sequencesKt__SequencesKt$asSequence$$inlined$Sequence$1, "$this$constrainOnce");
        return sequencesKt__SequencesKt$asSequence$$inlined$Sequence$1 instanceof ConstrainedOnceSequence ? sequencesKt__SequencesKt$asSequence$$inlined$Sequence$1 : new ConstrainedOnceSequence(sequencesKt__SequencesKt$asSequence$$inlined$Sequence$1);
    }

    public static Deferred async$default(CoroutineScope coroutineScope, CoroutineContext coroutineContext, CoroutineStart coroutineStart, Function2 function2, int i, Object obj) {
        DeferredCoroutine deferredCoroutine;
        if ((i & 1) != 0) {
            coroutineContext = EmptyCoroutineContext.INSTANCE;
        }
        CoroutineStart coroutineStart2 = (i & 2) != 0 ? CoroutineStart.DEFAULT : null;
        Intrinsics.checkParameterIsNotNull(coroutineScope, "$this$async");
        Intrinsics.checkParameterIsNotNull(coroutineContext, "context");
        Intrinsics.checkParameterIsNotNull(coroutineStart2, "start");
        Intrinsics.checkParameterIsNotNull(function2, "block");
        CoroutineContext newCoroutineContext = CoroutineContextKt.newCoroutineContext(coroutineScope, coroutineContext);
        if (coroutineStart2.isLazy()) {
            deferredCoroutine = new LazyDeferredCoroutine(newCoroutineContext, function2);
        } else {
            deferredCoroutine = new DeferredCoroutine(newCoroutineContext, true);
        }
        Intrinsics.checkParameterIsNotNull(coroutineStart2, "start");
        Intrinsics.checkParameterIsNotNull(function2, "block");
        deferredCoroutine.initParentJob$kotlinx_coroutines_core();
        coroutineStart2.invoke(function2, deferredCoroutine, deferredCoroutine);
        return deferredCoroutine;
    }

    public static com.alipay.security.mobile.module.http.v2.a b(Context context, String str) {
        c cVar;
        if (context == null) {
            return null;
        }
        if (b.a == null) {
            synchronized (c.class) {
                if (c.d == null) {
                    c.d = new c(context, str);
                }
                cVar = c.d;
            }
            b.b = cVar;
            b.a = new b();
        }
        return b.a;
    }

    /* renamed from: b  reason: collision with other method in class */
    public static boolean m22b(String str) {
        return !a(str);
    }

    public static String b1(Context context) {
        if (EnvUtils.isSandBox()) {
            return "https://mobilegw.alipaydev.com/mgw.htm";
        }
        if (context == null) {
            return "https://mobilegw.alipay.com/mgw.htm";
        }
        TextUtils.isEmpty("https://mobilegw.alipay.com/mgw.htm");
        return "https://mobilegw.alipay.com/mgw.htm";
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x004d A[SYNTHETIC, Splitter:B:25:0x004d] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0061 A[SYNTHETIC, Splitter:B:35:0x0061] */
    public static ContentUriTriggers byteArrayToContentUriTriggers(byte[] bArr) {
        Throwable th;
        ObjectInputStream objectInputStream;
        IOException e;
        ContentUriTriggers contentUriTriggers = new ContentUriTriggers();
        if (bArr == null) {
            return contentUriTriggers;
        }
        ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(bArr);
        try {
            objectInputStream = new ObjectInputStream(byteArrayInputStream);
            try {
                for (int readInt = objectInputStream.readInt(); readInt > 0; readInt--) {
                    contentUriTriggers.mTriggers.add(new ContentUriTriggers.Trigger(Uri.parse(objectInputStream.readUTF()), objectInputStream.readBoolean()));
                }
                try {
                    objectInputStream.close();
                } catch (IOException e2) {
                    e2.printStackTrace();
                }
                try {
                    byteArrayInputStream.close();
                } catch (IOException e3) {
                    e3.printStackTrace();
                }
            } catch (IOException e4) {
                e = e4;
                try {
                    e.printStackTrace();
                    if (objectInputStream != null) {
                    }
                    byteArrayInputStream.close();
                    return contentUriTriggers;
                } catch (Throwable th2) {
                    th = th2;
                    if (objectInputStream != null) {
                    }
                    try {
                        byteArrayInputStream.close();
                    } catch (IOException e5) {
                        e5.printStackTrace();
                    }
                    throw th;
                }
            }
        } catch (IOException e6) {
            objectInputStream = null;
            e = e6;
            e.printStackTrace();
            if (objectInputStream != null) {
                try {
                    objectInputStream.close();
                } catch (IOException e7) {
                    e7.printStackTrace();
                }
            }
            byteArrayInputStream.close();
            return contentUriTriggers;
        } catch (Throwable th3) {
            objectInputStream = null;
            th = th3;
            if (objectInputStream != null) {
                try {
                    objectInputStream.close();
                } catch (IOException e8) {
                    e8.printStackTrace();
                }
            }
            byteArrayInputStream.close();
            throw th;
        }
        return contentUriTriggers;
    }

    public static void cancel$default(CoroutineScope coroutineScope, CancellationException cancellationException, int i) {
        int i2 = i & 1;
        Intrinsics.checkParameterIsNotNull(coroutineScope, "$this$cancel");
        Job job = (Job) coroutineScope.getCoroutineContext().get(Job.Key);
        if (job != null) {
            job.cancel(null);
            return;
        }
        throw new IllegalStateException(("Scope cannot be cancelled because it does not have a job: " + coroutineScope).toString());
    }

    public static void checkArgument(boolean z, String str) {
        if (!z) {
            throw new IllegalArgumentException(str);
        }
    }

    public static final void checkCompletion(CoroutineContext coroutineContext) {
        Intrinsics.checkParameterIsNotNull(coroutineContext, "$this$checkCompletion");
        Job job = (Job) coroutineContext.get(Job.Key);
        if (job != null && !job.isActive()) {
            throw job.getCancellationException();
        }
    }

    public static final int checkRadix(int i) {
        if (2 <= i && 36 >= i) {
            return i;
        }
        StringBuilder outline26 = GeneratedOutlineSupport.outline26("radix ", i, " was not in valid range ");
        outline26.append(new IntRange(2, 36));
        throw new IllegalArgumentException(outline26.toString());
    }

    public static final void closeFinally(Closeable closeable, Throwable th) {
        if (closeable != null) {
            if (th == null) {
                closeable.close();
                return;
            }
            try {
                closeable.close();
            } catch (Throwable th2) {
                addSuppressed(th, th2);
            }
        }
    }

    public static final <T> int collectionSizeOrDefault(Iterable<? extends T> iterable, int i) {
        Intrinsics.checkNotNullParameter(iterable, "$this$collectionSizeOrDefault");
        return iterable instanceof Collection ? ((Collection) iterable).size() : i;
    }

    public static int combins(int i, int i2) {
        int i3 = i - i2;
        if (i3 > i2) {
            i3 = i2;
            i2 = i3;
        }
        int i4 = 1;
        int i5 = 1;
        while (i > i2) {
            i4 *= i;
            if (i5 <= i3) {
                i4 /= i5;
                i5++;
            }
            i--;
        }
        while (i5 <= i3) {
            i4 /= i5;
            i5++;
        }
        return i4;
    }

    public static final <T extends Comparable<?>> int compareValues(T t, T t2) {
        if (t == t2) {
            return 0;
        }
        if (t == null) {
            return -1;
        }
        if (t2 == null) {
            return 1;
        }
        return t.compareTo(t2);
    }

    public static int compositeARGBWithAlpha(int i, int i2) {
        return ColorUtils.setAlphaComponent(i, (Color.alpha(i) * i2) / KEYRecord.PROTOCOL_ANY);
    }

    public static final void copyOfRangeToIndexCheck(int i, int i2) {
        if (i > i2) {
            throw new IndexOutOfBoundsException("toIndex (" + i + ") is greater than size (" + i2 + ").");
        }
    }

    public static long copyTo$default(InputStream inputStream, OutputStream outputStream, int i, int i2) {
        if ((i2 & 2) != 0) {
            i = 8192;
        }
        Intrinsics.checkNotNullParameter(inputStream, "$this$copyTo");
        Intrinsics.checkNotNullParameter(outputStream, "out");
        byte[] bArr = new byte[i];
        int read = inputStream.read(bArr);
        long j = 0;
        while (read >= 0) {
            outputStream.write(bArr, 0, read);
            j += (long) read;
            read = inputStream.read(bArr);
        }
        return j;
    }

    public static Animator createCircularReveal(CircularRevealWidget circularRevealWidget, float f, float f2, float f3) {
        ObjectAnimator ofObject = ObjectAnimator.ofObject(circularRevealWidget, CircularRevealWidget.CircularRevealProperty.CIRCULAR_REVEAL, CircularRevealWidget.CircularRevealEvaluator.CIRCULAR_REVEAL, new CircularRevealWidget.RevealInfo(f, f2, f3));
        CircularRevealWidget.RevealInfo revealInfo = circularRevealWidget.getRevealInfo();
        if (revealInfo != null) {
            Animator createCircularReveal = ViewAnimationUtils.createCircularReveal((View) circularRevealWidget, (int) f, (int) f2, revealInfo.radius, f3);
            AnimatorSet animatorSet = new AnimatorSet();
            animatorSet.playTogether(ofObject, createCircularReveal);
            return animatorSet;
        }
        throw new IllegalStateException("Caller must set a non-null RevealInfo before calling this.");
    }

    public static CornerTreatment createCornerTreatment(int i) {
        if (i == 0) {
            return new RoundedCornerTreatment();
        }
        if (i != 1) {
            return new RoundedCornerTreatment();
        }
        return new CutCornerTreatment();
    }

    public static final <T> Continuation<Unit> createCoroutineUnintercepted(Function1<? super Continuation<? super T>, ? extends Object> function1, Continuation<? super T> continuation) {
        Intrinsics.checkNotNullParameter(function1, "$this$createCoroutineUnintercepted");
        Intrinsics.checkNotNullParameter(continuation, "completion");
        Intrinsics.checkNotNullParameter(continuation, "completion");
        if (function1 instanceof BaseContinuationImpl) {
            return ((BaseContinuationImpl) function1).create(continuation);
        }
        CoroutineContext context = continuation.getContext();
        if (context == EmptyCoroutineContext.INSTANCE) {
            return new IntrinsicsKt__IntrinsicsJvmKt$createCoroutineUnintercepted$$inlined$createCoroutineFromSuspendFunction$IntrinsicsKt__IntrinsicsJvmKt$1(continuation, continuation, function1);
        }
        return new IntrinsicsKt__IntrinsicsJvmKt$createCoroutineUnintercepted$$inlined$createCoroutineFromSuspendFunction$IntrinsicsKt__IntrinsicsJvmKt$2(continuation, context, continuation, context, function1);
    }

    public static final Object createFailure(Throwable th) {
        Intrinsics.checkNotNullParameter(th, Retrofit2.RESP_CODE_EXCEPTION);
        return new Result.Failure(th);
    }

    public static Bitmap createQRCode(String str, int i, int i2, Bitmap bitmap) {
        int i3;
        int i4;
        int i5;
        int i6;
        Bitmap bitmap2 = null;
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        int i7 = i / 2;
        int i8 = i2 / 2;
        if (bitmap != null) {
            Matrix matrix = new Matrix();
            float min = Math.min(((((float) i) * 1.0f) / 5.0f) / ((float) bitmap.getWidth()), ((((float) i2) * 1.0f) / 5.0f) / ((float) bitmap.getHeight()));
            matrix.postScale(min, min);
            bitmap2 = Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true);
        }
        if (bitmap2 != null) {
            int width = bitmap2.getWidth();
            int height = bitmap2.getHeight();
            i5 = width;
            i4 = height;
            i6 = (i - width) / 2;
            i3 = (i2 - height) / 2;
        } else {
            i6 = i7;
            i3 = i8;
            i5 = 0;
            i4 = 0;
        }
        Hashtable hashtable = new Hashtable();
        hashtable.put(EncodeHintType.CHARACTER_SET, "utf-8");
        hashtable.put(EncodeHintType.ERROR_CORRECTION, ErrorCorrectionLevel.H);
        hashtable.put(EncodeHintType.MARGIN, 0);
        BitMatrix encode = new MultiFormatWriter().encode(str, BarcodeFormat.QR_CODE, i, i2, hashtable);
        int[] iArr = new int[(i * i2)];
        for (int i9 = 0; i9 < i2; i9++) {
            for (int i10 = 0; i10 < i; i10++) {
                int i11 = -16777216;
                if (i10 >= i6 && i10 < i6 + i5 && i9 >= i3 && i9 < i3 + i4) {
                    int pixel = bitmap2.getPixel(i10 - i6, i9 - i3);
                    if (pixel != 0) {
                        i11 = pixel;
                    } else if (!encode.get(i10, i9)) {
                        i11 = -1;
                    }
                    iArr[(i9 * i) + i10] = i11;
                } else if (encode.get(i10, i9)) {
                    iArr[(i9 * i) + i10] = -16777216;
                } else {
                    iArr[(i9 * i) + i10] = -1;
                }
            }
        }
        Bitmap createBitmap = Bitmap.createBitmap(i, i2, Bitmap.Config.ARGB_8888);
        createBitmap.setPixels(iArr, 0, i, 0, 0, i, i2);
        return createBitmap;
    }

    public static String decrypt(String str) {
        String adk = new NativeLib().adk();
        return decrypt("x56oi" + adk + "afa", str);
    }

    public static String decryptU(String str) {
        return decrypt("ayangayangbyangc", str);
    }

    public static final Object delay(long j, Continuation<? super Unit> continuation) {
        if (j <= 0) {
            return Unit.INSTANCE;
        }
        CancellableContinuationImpl cancellableContinuationImpl = new CancellableContinuationImpl(intercepted(continuation), 1);
        getDelay(cancellableContinuationImpl.context).scheduleResumeAfterDelay(j, cancellableContinuationImpl);
        Object result = cancellableContinuationImpl.getResult();
        if (result == CoroutineSingletons.COROUTINE_SUSPENDED) {
            Intrinsics.checkNotNullParameter(continuation, "frame");
        }
        return result;
    }

    public static String delimitWithCommas(List<String> list) {
        StringBuilder sb = new StringBuilder();
        for (String str : list) {
            if (sb.length() > 0) {
                sb.append(", ");
            }
            sb.append(str);
        }
        return sb.toString();
    }

    public static int dip2px(Context context, float f) {
        return (int) ((f * context.getResources().getDisplayMetrics().density) + 0.5f);
    }

    public static final void disposeOnCancellation(CancellableContinuation<?> cancellableContinuation, DisposableHandle disposableHandle) {
        Intrinsics.checkParameterIsNotNull(cancellableContinuation, "$this$disposeOnCancellation");
        Intrinsics.checkParameterIsNotNull(disposableHandle, "handle");
        ((CancellableContinuationImpl) cancellableContinuation).invokeOnCancellation(new DisposeOnCancel(disposableHandle));
    }

    public static float dist(float f, float f2, float f3, float f4) {
        return (float) Math.hypot((double) (f3 - f), (double) (f4 - f2));
    }

    public static float distance(float f, float f2, float f3, float f4) {
        float f5 = f - f3;
        float f6 = f2 - f4;
        return (float) Math.sqrt((double) ((f6 * f6) + (f5 * f5)));
    }

    public static float distanceToFurthestCorner(float f, float f2, float f3, float f4, float f5, float f6) {
        float dist = dist(f, f2, f3, f4);
        float dist2 = dist(f, f2, f5, f4);
        float dist3 = dist(f, f2, f5, f6);
        float dist4 = dist(f, f2, f3, f6);
        if (dist > dist2 && dist > dist3 && dist > dist4) {
            return dist;
        }
        if (dist2 <= dist3 || dist2 <= dist4) {
            return dist3 > dist4 ? dist3 : dist4;
        }
        return dist2;
    }

    public static void doOnApplyWindowInsets(View view, ViewUtils$OnApplyWindowInsetsListener viewUtils$OnApplyWindowInsetsListener) {
        AtomicInteger atomicInteger = ViewCompat.sNextGeneratedId;
        ViewCompat.Api21Impl.setOnApplyWindowInsetsListener(view, new ViewUtils$3(viewUtils$OnApplyWindowInsetsListener, new ViewUtils$RelativePadding(view.getPaddingStart(), view.getPaddingTop(), view.getPaddingEnd(), view.getPaddingBottom())));
        if (view.isAttachedToWindow()) {
            view.requestApplyInsets();
        } else {
            view.addOnAttachStateChangeListener(new ViewUtils$4());
        }
    }

    public static String doubleTrans(double d) {
        if (((double) Math.round(d)) - d == 0.0d) {
            return String.valueOf((long) d);
        }
        return String.valueOf(d);
    }

    public static float dpToPx(Context context, int i) {
        return TypedValue.applyDimension(1, (float) i, context.getResources().getDisplayMetrics());
    }

    public static final <T> List<T> drop(T[] tArr, int i) {
        Intrinsics.checkNotNullParameter(tArr, "$this$drop");
        boolean z = false;
        if (i >= 0) {
            int length = tArr.length - i;
            if (length < 0) {
                length = 0;
            }
            Intrinsics.checkNotNullParameter(tArr, "$this$takeLast");
            if (length >= 0) {
                z = true;
            }
            if (!z) {
                throw new IllegalArgumentException(GeneratedOutlineSupport.outline12("Requested element count ", length, " is less than zero.").toString());
            } else if (length == 0) {
                return EmptyList.INSTANCE;
            } else {
                int length2 = tArr.length;
                if (length >= length2) {
                    return toList(tArr);
                }
                if (length == 1) {
                    return listOf(tArr[length2 - 1]);
                }
                ArrayList arrayList = new ArrayList(length);
                for (int i2 = length2 - length; i2 < length2; i2++) {
                    arrayList.add(tArr[i2]);
                }
                return arrayList;
            }
        } else {
            throw new IllegalArgumentException(GeneratedOutlineSupport.outline12("Requested element count ", i, " is less than zero.").toString());
        }
    }

    public static String e1(String str) {
        try {
            if (a(str)) {
                return null;
            }
            MessageDigest instance2 = MessageDigest.getInstance("SHA-1");
            instance2.update(str.getBytes("UTF-8"));
            byte[] digest = instance2.digest();
            StringBuilder sb = new StringBuilder();
            for (int i = 0; i < digest.length; i++) {
                sb.append(String.format("%02x", Byte.valueOf(digest[i])));
            }
            return sb.toString();
        } catch (Exception unused) {
            return null;
        }
    }

    public static String encryptU(String str) {
        try {
            byte[] bytes = str.getBytes();
            SecretKeySpec secretKeySpec = new SecretKeySpec("ayangayangbyangc".getBytes(), "AES");
            Cipher instance2 = Cipher.getInstance("AES/ECB/ZeroBytePadding");
            instance2.init(1, secretKeySpec);
            byte[] doFinal = instance2.doFinal(bytes);
            if (doFinal == null) {
                return "";
            }
            StringBuffer stringBuffer = new StringBuffer(doFinal.length * 2);
            for (byte b2 : doFinal) {
                stringBuffer.append("0123456789ABCDEF".charAt((b2 >> 4) & 15));
                stringBuffer.append("0123456789ABCDEF".charAt(b2 & 15));
            }
            return stringBuffer.toString();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static final boolean equals(char c, char c2, boolean z) {
        if (c == c2) {
            return true;
        }
        if (!z) {
            return false;
        }
        return Character.toUpperCase(c) == Character.toUpperCase(c2) || Character.toLowerCase(c) == Character.toLowerCase(c2);
    }

    public static String escapeBytes(TextFormatEscaper$ByteSequence textFormatEscaper$ByteSequence) {
        StringBuilder sb = new StringBuilder(textFormatEscaper$ByteSequence.size());
        for (int i = 0; i < textFormatEscaper$ByteSequence.size(); i++) {
            byte byteAt = textFormatEscaper$ByteSequence.byteAt(i);
            if (byteAt == 34) {
                sb.append("\\\"");
            } else if (byteAt == 39) {
                sb.append("\\'");
            } else if (byteAt != 92) {
                switch (byteAt) {
                    case 7:
                        sb.append("\\a");
                        continue;
                    case 8:
                        sb.append("\\b");
                        continue;
                    case 9:
                        sb.append("\\t");
                        continue;
                    case 10:
                        sb.append("\\n");
                        continue;
                    case 11:
                        sb.append("\\v");
                        continue;
                    case 12:
                        sb.append("\\f");
                        continue;
                    case 13:
                        sb.append("\\r");
                        continue;
                    default:
                        if (byteAt < 32 || byteAt > 126) {
                            sb.append('\\');
                            sb.append((char) (((byteAt >>> 6) & 3) + 48));
                            sb.append((char) (((byteAt >>> 3) & 7) + 48));
                            sb.append((char) ((byteAt & 7) + 48));
                            break;
                        } else {
                            sb.append((char) byteAt);
                            continue;
                        }
                        break;
                }
            } else {
                sb.append("\\\\");
            }
        }
        return sb.toString();
    }

    public static String f1(String str) {
        try {
            byte[] array = ByteBuffer.allocate(4).order(ByteOrder.LITTLE_ENDIAN).putInt(str.length()).array();
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream(str.length());
            GZIPOutputStream gZIPOutputStream = new GZIPOutputStream(byteArrayOutputStream);
            gZIPOutputStream.write(str.getBytes("UTF-8"));
            gZIPOutputStream.close();
            byteArrayOutputStream.close();
            byte[] bArr = new byte[(byteArrayOutputStream.toByteArray().length + 4)];
            System.arraycopy(array, 0, bArr, 0, 4);
            System.arraycopy(byteArrayOutputStream.toByteArray(), 0, bArr, 4, byteArrayOutputStream.toByteArray().length);
            return Base64.encodeToString(bArr, 8);
        } catch (Exception unused) {
            return "";
        }
    }

    public static Pair<ByteBuffer, Long> findApkSigningBlock(FileChannel fileChannel) {
        long size = fileChannel.size();
        if (size >= 22) {
            long j = size - 22;
            long min = Math.min(j, 65535L);
            int i = 0;
            while (true) {
                long j2 = (long) i;
                if (j2 <= min) {
                    long j3 = j - j2;
                    ByteBuffer allocate = ByteBuffer.allocate(4);
                    fileChannel.position(j3);
                    fileChannel.read(allocate);
                    ByteOrder byteOrder = ByteOrder.LITTLE_ENDIAN;
                    allocate.order(byteOrder);
                    if (allocate.getInt(0) == 101010256) {
                        ByteBuffer allocate2 = ByteBuffer.allocate(2);
                        fileChannel.position(j3 + 20);
                        fileChannel.read(allocate2);
                        allocate2.order(byteOrder);
                        short s = allocate2.getShort(0);
                        if (s == i) {
                            ByteBuffer allocate3 = ByteBuffer.allocate(4);
                            allocate3.order(byteOrder);
                            fileChannel.position((fileChannel.size() - ((long) s)) - 6);
                            fileChannel.read(allocate3);
                            long j4 = (long) allocate3.getInt(0);
                            if (j4 >= 32) {
                                fileChannel.position(j4 - 24);
                                ByteBuffer allocate4 = ByteBuffer.allocate(24);
                                fileChannel.read(allocate4);
                                allocate4.order(byteOrder);
                                if (allocate4.getLong(8) == 2334950737559900225L && allocate4.getLong(16) == 3617552046287187010L) {
                                    long j5 = allocate4.getLong(0);
                                    if (j5 < ((long) allocate4.capacity()) || j5 > 2147483639) {
                                        throw new SignatureNotFoundException(GeneratedOutlineSupport.outline14("APK Signing Block size out of range: ", j5));
                                    }
                                    int i2 = (int) (8 + j5);
                                    long j6 = j4 - ((long) i2);
                                    if (j6 >= 0) {
                                        fileChannel.position(j6);
                                        ByteBuffer allocate5 = ByteBuffer.allocate(i2);
                                        fileChannel.read(allocate5);
                                        allocate5.order(byteOrder);
                                        long j7 = allocate5.getLong(0);
                                        if (j7 == j5) {
                                            return new Pair<>(allocate5, Long.valueOf(j6));
                                        }
                                        throw new SignatureNotFoundException("APK Signing Block sizes in header and footer do not match: " + j7 + " vs " + j5);
                                    }
                                    throw new SignatureNotFoundException(GeneratedOutlineSupport.outline14("APK Signing Block offset out of range: ", j6));
                                }
                                throw new SignatureNotFoundException("No APK Signing Block before ZIP Central Directory");
                            }
                            throw new SignatureNotFoundException(GeneratedOutlineSupport.outline14("APK too small for APK Signing Block. ZIP Central Directory offset: ", j4));
                        }
                    }
                    i++;
                } else {
                    throw new IOException("ZIP End of Central Directory (EOCD) record not found");
                }
            }
        } else {
            throw new IOException("APK too small for ZIP End of Central Directory (EOCD) record");
        }
    }

    /* JADX INFO: finally extract failed */
    public static Map<Integer, ByteBuffer> findIdValues(ByteBuffer byteBuffer) {
        if (byteBuffer.order() == ByteOrder.LITTLE_ENDIAN) {
            int capacity = byteBuffer.capacity() - 24;
            if (capacity >= 8) {
                int capacity2 = byteBuffer.capacity();
                if (capacity <= byteBuffer.capacity()) {
                    int limit = byteBuffer.limit();
                    int position = byteBuffer.position();
                    int i = 0;
                    try {
                        byteBuffer.position(0);
                        byteBuffer.limit(capacity);
                        byteBuffer.position(8);
                        ByteBuffer slice = byteBuffer.slice();
                        slice.order(byteBuffer.order());
                        byteBuffer.position(0);
                        byteBuffer.limit(limit);
                        byteBuffer.position(position);
                        LinkedHashMap linkedHashMap = new LinkedHashMap();
                        while (slice.hasRemaining()) {
                            i++;
                            if (slice.remaining() >= 8) {
                                long j = slice.getLong();
                                if (j < 4 || j > 2147483647L) {
                                    throw new SignatureNotFoundException("APK Signing Block entry #" + i + " size out of range: " + j);
                                }
                                int i2 = (int) j;
                                int position2 = slice.position() + i2;
                                if (i2 <= slice.remaining()) {
                                    Integer valueOf = Integer.valueOf(slice.getInt());
                                    int i3 = i2 - 4;
                                    if (i3 >= 0) {
                                        int limit2 = slice.limit();
                                        int position3 = slice.position();
                                        int i4 = i3 + position3;
                                        if (i4 < position3 || i4 > limit2) {
                                            throw new BufferUnderflowException();
                                        }
                                        slice.limit(i4);
                                        try {
                                            ByteBuffer slice2 = slice.slice();
                                            slice2.order(slice.order());
                                            slice.position(i4);
                                            slice.limit(limit2);
                                            linkedHashMap.put(valueOf, slice2);
                                            slice.position(position2);
                                        } catch (Throwable th) {
                                            slice.limit(limit2);
                                            throw th;
                                        }
                                    } else {
                                        throw new IllegalArgumentException(GeneratedOutlineSupport.outline11("size: ", i3));
                                    }
                                } else {
                                    StringBuilder outline27 = GeneratedOutlineSupport.outline27("APK Signing Block entry #", i, " size out of range: ", i2, ", available: ");
                                    outline27.append(slice.remaining());
                                    throw new SignatureNotFoundException(outline27.toString());
                                }
                            } else {
                                throw new SignatureNotFoundException(GeneratedOutlineSupport.outline11("Insufficient data to read size of APK Signing Block entry #", i));
                            }
                        }
                        return linkedHashMap;
                    } catch (Throwable th2) {
                        byteBuffer.position(0);
                        byteBuffer.limit(limit);
                        byteBuffer.position(position);
                        throw th2;
                    }
                } else {
                    throw new IllegalArgumentException(GeneratedOutlineSupport.outline13("end > capacity: ", capacity, " > ", capacity2));
                }
            } else {
                throw new IllegalArgumentException(GeneratedOutlineSupport.outline13("end < start: ", capacity, " < ", 8));
            }
        } else {
            throw new IllegalArgumentException("ByteBuffer byte order must be little endian");
        }
    }

    public static int findMinimums(float[] fArr, int[] iArr, int i, byte[] bArr) {
        Arrays.fill(bArr, (byte) 0);
        for (int i2 = 0; i2 < 6; i2++) {
            iArr[i2] = (int) Math.ceil((double) fArr[i2]);
            int i3 = iArr[i2];
            if (i > i3) {
                Arrays.fill(bArr, (byte) 0);
                i = i3;
            }
            if (i == i3) {
                bArr[i2] = (byte) (bArr[i2] + 1);
            }
        }
        return i;
    }

    public static void findMissingFields(MessageOrBuilder messageOrBuilder, String str, List<String> list) {
        for (Descriptors.FieldDescriptor fieldDescriptor : messageOrBuilder.getDescriptorForType().getFields()) {
            if (fieldDescriptor.isRequired() && !messageOrBuilder.hasField(fieldDescriptor)) {
                String valueOf = String.valueOf(str);
                String valueOf2 = String.valueOf(fieldDescriptor.getName());
                list.add(valueOf2.length() != 0 ? valueOf.concat(valueOf2) : new String(valueOf));
            }
        }
        for (Map.Entry<Descriptors.FieldDescriptor, Object> entry : messageOrBuilder.getAllFields().entrySet()) {
            Descriptors.FieldDescriptor key = entry.getKey();
            Object value = entry.getValue();
            if (key.getJavaType() == Descriptors.FieldDescriptor.JavaType.MESSAGE) {
                if (key.isRepeated()) {
                    int i = 0;
                    for (MessageOrBuilder messageOrBuilder2 : (List) value) {
                        findMissingFields(messageOrBuilder2, subMessagePrefix(str, key, i), list);
                        i++;
                    }
                } else if (messageOrBuilder.hasField(key)) {
                    findMissingFields((MessageOrBuilder) value, subMessagePrefix(str, key, -1), list);
                }
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0054, code lost:
        if ((r0.getPassword().length() == 0) != false) goto L_0x008a;
     */
    public static void forceLoad(BaseService$Interface baseService$Interface) {
        kotlin.Pair<Profile, Profile> currentProfile = Core.INSTANCE.getCurrentProfile();
        if (currentProfile != null) {
            Profile component1 = currentProfile.component1();
            Profile component2 = currentProfile.component2();
            if (!(component1.getHost().length() == 0)) {
                if (!(component1.getPassword().length() == 0)) {
                    if (component2 != null) {
                        if (!(component2.getHost().length() == 0)) {
                        }
                    }
                    BaseService$State baseService$State = baseService$Interface.getData().state;
                    if (baseService$State == BaseService$State.Stopped) {
                        baseService$Interface.startRunner();
                        return;
                    } else if (baseService$State.getCanStop()) {
                        stopRunner$default(baseService$Interface, true, null, 2, null);
                        return;
                    } else {
                        String tag = baseService$Interface.getTag();
                        Log.w(tag, "Illegal state when invoking use: " + baseService$State);
                        return;
                    }
                }
            }
            if (baseService$Interface != null) {
                baseService$Interface.stopRunner(false, ((Context) baseService$Interface).getString(R$string.proxy_empty));
                return;
            }
            throw new TypeCastException("null cannot be cast to non-null type android.content.Context");
        } else if (baseService$Interface != null) {
            baseService$Interface.stopRunner(false, ((Context) baseService$Interface).getString(R$string.profile_empty));
        } else {
            throw new TypeCastException("null cannot be cast to non-null type android.content.Context");
        }
    }

    /* JADX WARN: Incorrect args count in method signature: (Lcom/github/shadowsocks/bg/BaseService$Interface;Lkotlin/coroutines/Continuation<-Landroid/net/Network;>;)Ljava/lang/Object; */
    public static Object getActiveNetwork() {
        if (Build.VERSION.SDK_INT >= 23) {
            return Core.INSTANCE.getConnectivity().getActiveNetwork();
        }
        return null;
    }

    public static final String getClassSimpleName(Object obj) {
        Intrinsics.checkParameterIsNotNull(obj, "$this$classSimpleName");
        String simpleName = obj.getClass().getSimpleName();
        Intrinsics.checkExpressionValueIsNotNull(simpleName, "this::class.java.simpleName");
        return simpleName;
    }

    public static int getColor(View view, int i) {
        return resolveOrThrow(view.getContext(), i, view.getClass().getCanonicalName());
    }

    public static ColorStateList getColorStateList(Context context, TypedArray typedArray, int i) {
        int resourceId;
        ColorStateList colorStateList;
        if (!typedArray.hasValue(i) || (resourceId = typedArray.getResourceId(i, 0)) == 0 || (colorStateList = AppCompatResources.getColorStateList(context, resourceId)) == null) {
            return typedArray.getColorStateList(i);
        }
        return colorStateList;
    }

    public static ViewGroup getContentView(View view) {
        if (view == null) {
            return null;
        }
        View rootView = view.getRootView();
        ViewGroup viewGroup = (ViewGroup) rootView.findViewById(16908290);
        if (viewGroup != null) {
            return viewGroup;
        }
        if (rootView == view || !(rootView instanceof ViewGroup)) {
            return null;
        }
        return (ViewGroup) rootView;
    }

    public static ViewOverlayImpl getContentViewOverlay(View view) {
        ViewGroup contentView = getContentView(view);
        if (contentView == null) {
            return null;
        }
        return new ViewOverlayApi18(contentView);
    }

    /* JADX WARNING: Removed duplicated region for block: B:18:0x0034  */
    public static String getDataColumn(Context context, Uri uri, String str, String[] strArr) {
        Throwable th;
        Cursor cursor = null;
        try {
            Cursor query = context.getContentResolver().query(uri, new String[]{"_data"}, str, strArr, null);
            if (query != null) {
                try {
                    if (query.moveToFirst()) {
                        String string = query.getString(query.getColumnIndexOrThrow("_data"));
                        query.close();
                        return string;
                    }
                } catch (Throwable th2) {
                    th = th2;
                    cursor = query;
                    if (cursor != null) {
                    }
                    throw th;
                }
            }
            if (query != null) {
                query.close();
            }
            return null;
        } catch (Throwable th3) {
            th = th3;
            if (cursor != null) {
                cursor.close();
            }
            throw th;
        }
    }

    public static String getDateString(long j) {
        return getDateString(j, null);
    }

    public static final Delay getDelay(CoroutineContext coroutineContext) {
        Intrinsics.checkParameterIsNotNull(coroutineContext, "$this$delay");
        int i = ContinuationInterceptor.$r8$clinit;
        CoroutineContext.Element element = coroutineContext.get(ContinuationInterceptor.Key.$$INSTANCE);
        if (!(element instanceof Delay)) {
            element = null;
        }
        Delay delay = (Delay) element;
        return delay != null ? delay : DefaultExecutorKt.DefaultDelay;
    }

    public static int getDimensionPixelSize(Context context, TypedArray typedArray, int i, int i2) {
        TypedValue typedValue = new TypedValue();
        if (!typedArray.getValue(i, typedValue) || typedValue.type != 2) {
            return typedArray.getDimensionPixelSize(i, i2);
        }
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(new int[]{typedValue.data});
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(0, i2);
        obtainStyledAttributes.recycle();
        return dimensionPixelSize;
    }

    public static Drawable getDrawable(Context context, TypedArray typedArray, int i) {
        int resourceId;
        Drawable drawable;
        if (!typedArray.hasValue(i) || (resourceId = typedArray.getResourceId(i, 0)) == 0 || (drawable = AppCompatResources.getDrawable(context, resourceId)) == null) {
            return typedArray.getDrawable(i);
        }
        return drawable;
    }

    public static final String getHexAddress(Object obj) {
        Intrinsics.checkParameterIsNotNull(obj, "$this$hexAddress");
        String hexString = Integer.toHexString(System.identityHashCode(obj));
        Intrinsics.checkExpressionValueIsNotNull(hexString, "Integer.toHexString(System.identityHashCode(this))");
        return hexString;
    }

    public static final <T> Class<T> getJavaObjectType(KClass<T> kClass) {
        Intrinsics.checkNotNullParameter(kClass, "$this$javaObjectType");
        Class<T> cls = (Class<T>) ((ClassBasedDeclarationContainer) kClass).getJClass();
        if (!cls.isPrimitive()) {
            return cls;
        }
        String name = cls.getName();
        switch (name.hashCode()) {
            case -1325958191:
                return name.equals("double") ? Double.class : cls;
            case 104431:
                if (name.equals("int")) {
                    return Integer.class;
                }
                return cls;
            case 3039496:
                if (name.equals("byte")) {
                    return Byte.class;
                }
                return cls;
            case 3052374:
                if (name.equals("char")) {
                    return Character.class;
                }
                return cls;
            case 3327612:
                if (name.equals("long")) {
                    return Long.class;
                }
                return cls;
            case 3625364:
                if (name.equals("void")) {
                    return Void.class;
                }
                return cls;
            case 64711720:
                if (name.equals("boolean")) {
                    return Boolean.class;
                }
                return cls;
            case 97526364:
                if (name.equals("float")) {
                    return Float.class;
                }
                return cls;
            case 109413500:
                if (name.equals("short")) {
                    return Short.class;
                }
                return cls;
            default:
                return cls;
        }
    }

    public static Dialog getLoadingDialog(Context context) {
        View inflate = LayoutInflater.from(context).inflate(R.layout.dialog_loading, (ViewGroup) null);
        ((ImageView) inflate.findViewById(R.id.img)).startAnimation(AnimationUtils.loadAnimation(context, R.anim.loading_animation));
        Dialog dialog = new Dialog(context, R.style.loading_dialog);
        dialog.setCancelable(false);
        dialog.setContentView((LinearLayout) inflate.findViewById(R.id.dialog_view), new LinearLayout.LayoutParams(-1, -1));
        return dialog;
    }

    public static Locale getLocal(int i) {
        if (i == 0) {
            return Locale.getDefault();
        }
        if (i == 1) {
            return Locale.SIMPLIFIED_CHINESE;
        }
        if (i == 2) {
            return Locale.TRADITIONAL_CHINESE;
        }
        if (i != 3) {
            return Locale.getDefault();
        }
        return Locale.ENGLISH;
    }

    public static String getMonthDay(long j, Locale locale) {
        if (Build.VERSION.SDK_INT >= 24) {
            return UtcDates.getAndroidFormat("MMMd", locale).format(new Date(j));
        }
        AtomicReference<TimeSource> atomicReference = UtcDates.timeSourceRef;
        DateFormat dateInstance = DateFormat.getDateInstance(2, locale);
        dateInstance.setTimeZone(UtcDates.getTimeZone());
        SimpleDateFormat simpleDateFormat = (SimpleDateFormat) dateInstance;
        String pattern = simpleDateFormat.toPattern();
        int findCharactersInDateFormatPattern = UtcDates.findCharactersInDateFormatPattern(pattern, "yY", 1, 0);
        if (findCharactersInDateFormatPattern < pattern.length()) {
            String str = "EMd";
            int findCharactersInDateFormatPattern2 = UtcDates.findCharactersInDateFormatPattern(pattern, str, 1, findCharactersInDateFormatPattern);
            if (findCharactersInDateFormatPattern2 < pattern.length()) {
                str = "EMd,";
            }
            pattern = pattern.replace(pattern.substring(UtcDates.findCharactersInDateFormatPattern(pattern, str, -1, findCharactersInDateFormatPattern) + 1, findCharactersInDateFormatPattern2), " ").trim();
        }
        simpleDateFormat.applyPattern(pattern);
        return simpleDateFormat.format(new Date(j));
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v1, resolved type: java.util.concurrent.atomic.AtomicReferenceFieldUpdater */
    /* JADX WARN: Multi-variable type inference failed */
    public static final <T> CancellableContinuationImpl<T> getOrCreateCancellableContinuation(Continuation<? super T> continuation) {
        CancellableContinuationImpl<T> cancellableContinuationImpl;
        CancellableContinuationImpl<T> cancellableContinuationImpl2;
        boolean z;
        Intrinsics.checkParameterIsNotNull(continuation, "delegate");
        if (!(continuation instanceof DispatchedContinuation)) {
            return new CancellableContinuationImpl<>(continuation, 0);
        }
        DispatchedContinuation dispatchedContinuation = (DispatchedContinuation) continuation;
        while (true) {
            Object obj = dispatchedContinuation._reusableCancellableContinuation;
            cancellableContinuationImpl = null;
            if (obj == null) {
                dispatchedContinuation._reusableCancellableContinuation = DispatchedContinuationKt.REUSABLE_CLAIMED;
                cancellableContinuationImpl2 = null;
                break;
            } else if (obj instanceof CancellableContinuationImpl) {
                if (DispatchedContinuation._reusableCancellableContinuation$FU.compareAndSet(dispatchedContinuation, obj, DispatchedContinuationKt.REUSABLE_CLAIMED)) {
                    cancellableContinuationImpl2 = (CancellableContinuationImpl) obj;
                    break;
                }
            } else {
                throw new IllegalStateException(GeneratedOutlineSupport.outline17("Inconsistent state ", obj).toString());
            }
        }
        if (cancellableContinuationImpl2 != null) {
            boolean z2 = DebugKt.DEBUG;
            if (cancellableContinuationImpl2._state instanceof CompletedIdempotentResult) {
                cancellableContinuationImpl2.detachChild$kotlinx_coroutines_core();
                z = false;
            } else {
                cancellableContinuationImpl2._decision = 0;
                cancellableContinuationImpl2._state = Active.INSTANCE;
                z = true;
            }
            if (z) {
                cancellableContinuationImpl = cancellableContinuationImpl2;
            }
            if (cancellableContinuationImpl != null) {
                return cancellableContinuationImpl;
            }
        }
        return new CancellableContinuationImpl<>(continuation, 0);
    }

    public static int getOrientation(List<ImageHeaderParser> list, InputStream inputStream, LruArrayPool lruArrayPool) {
        if (inputStream == null) {
            return -1;
        }
        if (!inputStream.markSupported()) {
            inputStream = new RecyclableBufferedInputStream(inputStream, lruArrayPool);
        }
        inputStream.mark(5242880);
        return getOrientationInternal(list, new ImageHeaderParserUtils$4(inputStream, lruArrayPool));
    }

    public static int getOrientationInternal(List<ImageHeaderParser> list, ImageHeaderParserUtils$OrientationReader imageHeaderParserUtils$OrientationReader) {
        int size = list.size();
        for (int i = 0; i < size; i++) {
            int orientation = imageHeaderParserUtils$OrientationReader.getOrientation(list.get(i));
            if (orientation != -1) {
                return orientation;
            }
        }
        return -1;
    }

    public static float getParentAbsoluteElevation(View view) {
        float f = 0.0f;
        for (ViewParent parent = view.getParent(); parent instanceof View; parent = parent.getParent()) {
            AtomicInteger atomicInteger = ViewCompat.sNextGeneratedId;
            f += ((View) parent).getElevation();
        }
        return f;
    }

    public static int getPayTypeImg(int i) {
        if (i == 1) {
            return R.mipmap.pay_wechat;
        }
        if (i == 2) {
            return R.mipmap.pay_ali;
        }
        if (i == 3) {
            return R.mipmap.pay_paypal;
        }
        if (i == 4) {
            return R.mipmap.pay_credit_card;
        }
        if (i != 5) {
            return -1;
        }
        return R.mipmap.pay_usdt;
    }

    public static int getRSSvalue(int[] iArr, int i, boolean z) {
        int[] iArr2 = iArr;
        int i2 = 0;
        for (int i3 : iArr2) {
            i2 += i3;
        }
        int length = iArr2.length;
        int i4 = 0;
        int i5 = 0;
        int i6 = 0;
        while (true) {
            int i7 = length - 1;
            if (i4 >= i7) {
                return i5;
            }
            int i8 = 1 << i4;
            i6 |= i8;
            int i9 = 1;
            while (i9 < iArr2[i4]) {
                int i10 = i2 - i9;
                int i11 = length - i4;
                int i12 = i11 - 2;
                int combins = combins(i10 - 1, i12);
                if (z && i6 == 0) {
                    int i13 = i11 - 1;
                    if (i10 - i13 >= i13) {
                        combins -= combins(i10 - i11, i12);
                    }
                }
                if (i11 - 1 > 1) {
                    int i14 = 0;
                    for (int i15 = i10 - i12; i15 > i; i15--) {
                        i14 += combins((i10 - i15) - 1, i11 - 3);
                    }
                    combins -= (i7 - i4) * i14;
                } else if (i10 > i) {
                    combins--;
                }
                i5 += combins;
                i9++;
                i6 &= ~i8;
                iArr2 = iArr;
            }
            i2 -= i9;
            i4++;
            iArr2 = iArr;
        }
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(7:0|(8:1|2|3|4|5|6|7|8)|34|35|(1:43)(1:42)|(1:52)(4:45|46|47|51)|(1:(0))) */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:24:0x0035 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:34:0x0042 */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x002b A[SYNTHETIC, Splitter:B:18:0x002b] */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x0032 A[SYNTHETIC, Splitter:B:22:0x0032] */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x003a A[SYNTHETIC, Splitter:B:29:0x003a] */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0041  */
    /* JADX WARNING: Removed duplicated region for block: B:36:? A[ExcHandler: SignatureNotFoundException (unused com.meituan.android.walle.SignatureNotFoundException), SYNTHETIC, Splitter:B:34:0x0042] */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x004c  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x0076 A[SYNTHETIC, Splitter:B:45:0x0076] */
    /* JADX WARNING: Removed duplicated region for block: B:52:? A[RETURN, SYNTHETIC] */
    public static String getRaw(File file) {
        Map<Integer, ByteBuffer> map;
        byte[] bArr;
        ByteBuffer byteBuffer;
        RandomAccessFile randomAccessFile;
        FileChannel fileChannel;
        Throwable th;
        try {
            randomAccessFile = new RandomAccessFile(file, "r");
            try {
                fileChannel = randomAccessFile.getChannel();
                try {
                    map = findIdValues(findApkSigningBlock(fileChannel).mFirst);
                    fileChannel.close();
                } catch (IOException unused) {
                    if (fileChannel != null) {
                        try {
                            fileChannel.close();
                        } catch (IOException unused2) {
                        }
                    }
                    if (randomAccessFile != null) {
                        map = null;
                        randomAccessFile.close();
                        if (map == null) {
                            byte[] array = byteBuffer.array();
                            int arrayOffset = byteBuffer.arrayOffset();
                            bArr = Arrays.copyOfRange(array, byteBuffer.position() + arrayOffset, byteBuffer.limit() + arrayOffset);
                            if (bArr != null) {
                            }
                        }
                        bArr = null;
                        if (bArr != null) {
                        }
                    }
                    map = null;
                    if (map == null) {
                    }
                    bArr = null;
                    if (bArr != null) {
                    }
                } catch (Throwable th2) {
                    th = th2;
                    if (fileChannel != null) {
                        try {
                            fileChannel.close();
                        } catch (IOException unused3) {
                        }
                    }
                    if (randomAccessFile != null) {
                        randomAccessFile.close();
                    }
                    try {
                        throw th;
                    } catch (SignatureNotFoundException unused4) {
                    }
                }
            } catch (IOException unused5) {
                fileChannel = null;
                if (fileChannel != null) {
                }
                if (randomAccessFile != null) {
                }
                map = null;
                if (map == null) {
                }
                bArr = null;
                if (bArr != null) {
                }
            } catch (Throwable th3) {
                th = th3;
                fileChannel = null;
                if (fileChannel != null) {
                }
                if (randomAccessFile != null) {
                }
                throw th;
            }
        } catch (IOException unused6) {
            fileChannel = null;
            randomAccessFile = null;
            if (fileChannel != null) {
            }
            if (randomAccessFile != null) {
            }
            map = null;
            if (map == null) {
            }
            bArr = null;
            if (bArr != null) {
            }
        } catch (Throwable th4) {
            th = th4;
            fileChannel = null;
            randomAccessFile = null;
            if (fileChannel != null) {
            }
            if (randomAccessFile != null) {
            }
            throw th;
        }
        randomAccessFile.close();
        if (map == null || (byteBuffer = map.get(1903654775)) == null) {
            bArr = null;
        } else {
            byte[] array2 = byteBuffer.array();
            int arrayOffset2 = byteBuffer.arrayOffset();
            bArr = Arrays.copyOfRange(array2, byteBuffer.position() + arrayOffset2, byteBuffer.limit() + arrayOffset2);
        }
        if (bArr != null) {
            return null;
        }
        try {
            return new String(bArr, "UTF-8");
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static int getSerializedSize(Message message, Map<Descriptors.FieldDescriptor, Object> map) {
        int i;
        int i2;
        boolean messageSetWireFormat = message.getDescriptorForType().getOptions().getMessageSetWireFormat();
        int i3 = 0;
        for (Map.Entry<Descriptors.FieldDescriptor, Object> entry : map.entrySet()) {
            Descriptors.FieldDescriptor key = entry.getKey();
            Object value = entry.getValue();
            if (!messageSetWireFormat || !key.isExtension() || key.type != Descriptors.FieldDescriptor.Type.MESSAGE || key.isRepeated()) {
                i2 = FieldSet.computeFieldSize(key, value);
            } else {
                i2 = CodedOutputStream.computeMessageSetExtensionSize(key.getNumber(), (Message) value);
            }
            i3 += i2;
        }
        UnknownFieldSet unknownFields = message.getUnknownFields();
        if (messageSetWireFormat) {
            i = unknownFields.getSerializedSizeAsMessageSet();
        } else {
            i = unknownFields.getSerializedSize();
        }
        return i + i3;
    }

    public static TextAppearance getTextAppearance(Context context, TypedArray typedArray, int i) {
        int resourceId;
        if (!typedArray.hasValue(i) || (resourceId = typedArray.getResourceId(i, 0)) == 0) {
            return null;
        }
        return new TextAppearance(context, resourceId);
    }

    public static TextView getTextView(Toolbar toolbar, CharSequence charSequence) {
        for (int i = 0; i < toolbar.getChildCount(); i++) {
            View childAt = toolbar.getChildAt(i);
            if (childAt instanceof TextView) {
                TextView textView = (TextView) childAt;
                if (TextUtils.equals(textView.getText(), charSequence)) {
                    return textView;
                }
            }
        }
        return null;
    }

    public static ImageHeaderParser.ImageType getType(List<ImageHeaderParser> list, InputStream inputStream, LruArrayPool lruArrayPool) {
        if (inputStream == null) {
            return ImageHeaderParser.ImageType.UNKNOWN;
        }
        if (!inputStream.markSupported()) {
            inputStream = new RecyclableBufferedInputStream(inputStream, lruArrayPool);
        }
        inputStream.mark(5242880);
        return getTypeInternal(list, new ImageHeaderParserUtils$1(inputStream));
    }

    public static ImageHeaderParser.ImageType getTypeInternal(List<ImageHeaderParser> list, ImageHeaderParserUtils$TypeReader imageHeaderParserUtils$TypeReader) {
        int size = list.size();
        for (int i = 0; i < size; i++) {
            ImageHeaderParser.ImageType type = imageHeaderParserUtils$TypeReader.getType(list.get(i));
            if (type != ImageHeaderParser.ImageType.UNKNOWN) {
                return type;
            }
        }
        return ImageHeaderParser.ImageType.UNKNOWN;
    }

    public static String getVersionName(Context context) {
        try {
            return context.getPackageManager().getPackageInfo(context.getPackageName(), 0).versionName;
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static String getYearMonthDay(long j, Locale locale) {
        if (Build.VERSION.SDK_INT >= 24) {
            return UtcDates.getAndroidFormat("yMMMd", locale).format(new Date(j));
        }
        AtomicReference<TimeSource> atomicReference = UtcDates.timeSourceRef;
        DateFormat dateInstance = DateFormat.getDateInstance(2, locale);
        dateInstance.setTimeZone(UtcDates.getTimeZone());
        return dateInstance.format(new Date(j));
    }

    public static final void handleCoroutineException(CoroutineContext coroutineContext, Throwable th) {
        Intrinsics.checkParameterIsNotNull(coroutineContext, "context");
        Intrinsics.checkParameterIsNotNull(th, Retrofit2.RESP_CODE_EXCEPTION);
        try {
            int i = CoroutineExceptionHandler.$r8$clinit;
            CoroutineExceptionHandler coroutineExceptionHandler = (CoroutineExceptionHandler) coroutineContext.get(CoroutineExceptionHandler.Key.$$INSTANCE);
            if (coroutineExceptionHandler != null) {
                coroutineExceptionHandler.handleException(coroutineContext, th);
            } else {
                CoroutineExceptionHandlerImplKt.handleCoroutineExceptionImpl(coroutineContext, th);
            }
        } catch (Throwable th2) {
            CoroutineExceptionHandlerImplKt.handleCoroutineExceptionImpl(coroutineContext, handlerException(th, th2));
        }
    }

    public static final Throwable handlerException(Throwable th, Throwable th2) {
        Intrinsics.checkParameterIsNotNull(th, "originalException");
        Intrinsics.checkParameterIsNotNull(th2, "thrownException");
        if (th == th2) {
            return th;
        }
        RuntimeException runtimeException = new RuntimeException("Exception while trying to handle coroutine exception", th2);
        addSuppressed(runtimeException, th);
        return runtimeException;
    }

    public static void illegalCharacter(char c) {
        String hexString = Integer.toHexString(c);
        throw new IllegalArgumentException("Illegal character: " + c + " (0x" + ("0000".substring(0, 4 - hexString.length()) + hexString) + ')');
    }

    public static BackoffPolicy intToBackoffPolicy(int i) {
        if (i == 0) {
            return BackoffPolicy.EXPONENTIAL;
        }
        if (i == 1) {
            return BackoffPolicy.LINEAR;
        }
        throw new IllegalArgumentException(GeneratedOutlineSupport.outline12("Could not convert ", i, " to BackoffPolicy"));
    }

    public static NetworkType intToNetworkType(int i) {
        if (i == 0) {
            return NetworkType.NOT_REQUIRED;
        }
        if (i == 1) {
            return NetworkType.CONNECTED;
        }
        if (i == 2) {
            return NetworkType.UNMETERED;
        }
        if (i == 3) {
            return NetworkType.NOT_ROAMING;
        }
        if (i == 4) {
            return NetworkType.METERED;
        }
        throw new IllegalArgumentException(GeneratedOutlineSupport.outline12("Could not convert ", i, " to NetworkType"));
    }

    public static WorkInfo$State intToState(int i) {
        if (i == 0) {
            return WorkInfo$State.ENQUEUED;
        }
        if (i == 1) {
            return WorkInfo$State.RUNNING;
        }
        if (i == 2) {
            return WorkInfo$State.SUCCEEDED;
        }
        if (i == 3) {
            return WorkInfo$State.FAILED;
        }
        if (i == 4) {
            return WorkInfo$State.BLOCKED;
        }
        if (i == 5) {
            return WorkInfo$State.CANCELLED;
        }
        throw new IllegalArgumentException(GeneratedOutlineSupport.outline12("Could not convert ", i, " to State"));
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: kotlin.coroutines.Continuation<? super T> */
    /* JADX WARN: Multi-variable type inference failed */
    public static final <T> Continuation<T> intercepted(Continuation<? super T> continuation) {
        Continuation<T> continuation2;
        Intrinsics.checkNotNullParameter(continuation, "$this$intercepted");
        ContinuationImpl continuationImpl = !(continuation instanceof ContinuationImpl) ? null : continuation;
        return (continuationImpl == null || (continuation2 = (Continuation<T>) continuationImpl.intercepted()) == null) ? continuation : continuation2;
    }

    public static /* synthetic */ DisposableHandle invokeOnCompletion$default(Job job, boolean z, boolean z2, Function1 function1, int i, Object obj) {
        if ((i & 1) != 0) {
            z = false;
        }
        if ((i & 2) != 0) {
            z2 = true;
        }
        return job.invokeOnCompletion(z, z2, function1);
    }

    public static final boolean isCancellableMode(int i) {
        return i == 1;
    }

    public static boolean isDateInputKeyboardMissingSeparatorCharacters() {
        String str = Build.MANUFACTURER;
        Locale locale = Locale.ENGLISH;
        return str.toLowerCase(locale).equals("lge") || str.toLowerCase(locale).equals("samsung");
    }

    public static boolean isDigit(char c) {
        return c >= '0' && c <= '9';
    }

    public static boolean isExtendedASCII(char c) {
        return c >= 128 && c <= 255;
    }

    public static boolean isFontScaleAtLeast1_3(Context context) {
        return context.getResources().getConfiguration().fontScale >= 1.3f;
    }

    public static boolean isFontScaleAtLeast2_0(Context context) {
        return context.getResources().getConfiguration().fontScale >= 2.0f;
    }

    public static boolean isLayoutRtl(View view) {
        AtomicInteger atomicInteger = ViewCompat.sNextGeneratedId;
        return view.getLayoutDirection() == 1;
    }

    public static boolean isMediaStoreUri(Uri uri) {
        return uri != null && "content".equals(uri.getScheme()) && "media".equals(uri.getAuthority());
    }

    public static boolean isNativeX12(char c) {
        if (isX12TermSep(c) || c == ' ') {
            return true;
        }
        if (c < '0' || c > '9') {
            return c >= 'A' && c <= 'Z';
        }
        return true;
    }

    public static boolean isNotTrailingByte(byte b2) {
        return b2 > -65;
    }

    public static boolean isThumbnailSize(int i, int i2) {
        return i != Integer.MIN_VALUE && i2 != Integer.MIN_VALUE && i <= 512 && i2 <= 384;
    }

    public static boolean isWhiteHorizontal(byte[] bArr, int i, int i2) {
        int min = Math.min(i2, bArr.length);
        for (int max = Math.max(i, 0); max < min; max++) {
            if (bArr[max] == 1) {
                return false;
            }
        }
        return true;
    }

    public static boolean isWhiteVertical(byte[][] bArr, int i, int i2, int i3) {
        int min = Math.min(i3, bArr.length);
        for (int max = Math.max(i2, 0); max < min; max++) {
            if (bArr[max][i] == 1) {
                return false;
            }
        }
        return true;
    }

    public static final boolean isWhitespace(char c) {
        return Character.isWhitespace(c) || Character.isSpaceChar(c);
    }

    public static boolean isX12TermSep(char c) {
        return c == '\r' || c == '*' || c == '>';
    }

    public static final <T> Iterator<T> iterator(T[] tArr) {
        Intrinsics.checkNotNullParameter(tArr, "array");
        return new ArrayIterator(tArr);
    }

    public static void killProcesses(BaseService$Interface baseService$Interface, CoroutineScope coroutineScope) {
        Intrinsics.checkParameterIsNotNull(coroutineScope, "scope");
        GuardedProcessPool guardedProcessPool = baseService$Interface.getData().processes;
        if (guardedProcessPool != null) {
            Intrinsics.checkParameterIsNotNull(coroutineScope, "scope");
            cancel$default(guardedProcessPool, null, 1);
            CoroutineContext.Element element = guardedProcessPool.coroutineContext.get(Job.Key);
            if (element != null) {
                launch$default(coroutineScope, null, null, new GuardedProcessPool$close$1$1((Job) element, null), 3, null);
                baseService$Interface.getData().processes = null;
                return;
            }
            Intrinsics.throwNpe();
            throw null;
        }
    }

    public static Job launch$default(CoroutineScope coroutineScope, CoroutineContext coroutineContext, CoroutineStart coroutineStart, Function2 function2, int i, Object obj) {
        AbstractCoroutine abstractCoroutine;
        if ((i & 1) != 0) {
            coroutineContext = EmptyCoroutineContext.INSTANCE;
        }
        CoroutineStart coroutineStart2 = (i & 2) != 0 ? CoroutineStart.DEFAULT : null;
        Intrinsics.checkParameterIsNotNull(coroutineScope, "$this$launch");
        Intrinsics.checkParameterIsNotNull(coroutineContext, "context");
        Intrinsics.checkParameterIsNotNull(coroutineStart2, "start");
        Intrinsics.checkParameterIsNotNull(function2, "block");
        CoroutineContext newCoroutineContext = CoroutineContextKt.newCoroutineContext(coroutineScope, coroutineContext);
        if (coroutineStart2.isLazy()) {
            abstractCoroutine = new LazyStandaloneCoroutine(newCoroutineContext, function2);
        } else {
            abstractCoroutine = new StandaloneCoroutine(newCoroutineContext, true);
        }
        Intrinsics.checkParameterIsNotNull(coroutineStart2, "start");
        Intrinsics.checkParameterIsNotNull(function2, "block");
        abstractCoroutine.initParentJob$kotlinx_coroutines_core();
        coroutineStart2.invoke(function2, abstractCoroutine, abstractCoroutine);
        return abstractCoroutine;
    }

    public static int layer(int i, int i2, float f) {
        return ColorUtils.compositeColors(ColorUtils.setAlphaComponent(i2, Math.round(((float) Color.alpha(i2)) * f)), i);
    }

    public static final <T> Lazy<T> lazy(Function0<? extends T> function0) {
        Intrinsics.checkNotNullParameter(function0, "initializer");
        return new SynchronizedLazyImpl(function0, null, 2, null);
    }

    public static float lerp(float f, float f2, float f3) {
        return (f3 * f2) + ((1.0f - f3) * f);
    }

    public static final <T> List<T> listOf(T t) {
        List<T> singletonList = Collections.singletonList(t);
        Intrinsics.checkNotNullExpressionValue(singletonList, "java.util.Collections.singletonList(element)");
        return singletonList;
    }

    public static int lookAheadTest(CharSequence charSequence, int i, int i2) {
        float[] fArr;
        if (i >= charSequence.length()) {
            return i2;
        }
        if (i2 == 0) {
            fArr = new float[]{0.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.25f};
        } else {
            fArr = new float[]{1.0f, 2.0f, 2.0f, 2.0f, 2.0f, 2.25f};
            fArr[i2] = 0.0f;
        }
        int i3 = 0;
        while (true) {
            int i4 = i + i3;
            if (i4 == charSequence.length()) {
                byte[] bArr = new byte[6];
                int[] iArr = new int[6];
                int findMinimums = findMinimums(fArr, iArr, Integer.MAX_VALUE, bArr);
                int i5 = 0;
                for (int i6 = 0; i6 < 6; i6++) {
                    i5 += bArr[i6];
                }
                if (iArr[0] == findMinimums) {
                    return 0;
                }
                if (i5 == 1 && bArr[5] > 0) {
                    return 5;
                }
                if (i5 == 1 && bArr[4] > 0) {
                    return 4;
                }
                if (i5 != 1 || bArr[2] <= 0) {
                    return (i5 != 1 || bArr[3] <= 0) ? 1 : 3;
                }
                return 2;
            }
            char charAt = charSequence.charAt(i4);
            i3++;
            if (isDigit(charAt)) {
                fArr[0] = fArr[0] + 0.5f;
            } else if (isExtendedASCII(charAt)) {
                fArr[0] = (float) Math.ceil((double) fArr[0]);
                fArr[0] = fArr[0] + 2.0f;
            } else {
                fArr[0] = (float) Math.ceil((double) fArr[0]);
                fArr[0] = fArr[0] + 1.0f;
            }
            if (charAt == ' ' || (charAt >= '0' && charAt <= '9') || (charAt >= 'A' && charAt <= 'Z')) {
                fArr[1] = fArr[1] + 0.6666667f;
            } else if (isExtendedASCII(charAt)) {
                fArr[1] = fArr[1] + 2.6666667f;
            } else {
                fArr[1] = fArr[1] + 1.3333334f;
            }
            if (charAt == ' ' || (charAt >= '0' && charAt <= '9') || (charAt >= 'a' && charAt <= 'z')) {
                fArr[2] = fArr[2] + 0.6666667f;
            } else if (isExtendedASCII(charAt)) {
                fArr[2] = fArr[2] + 2.6666667f;
            } else {
                fArr[2] = fArr[2] + 1.3333334f;
            }
            if (isNativeX12(charAt)) {
                fArr[3] = fArr[3] + 0.6666667f;
            } else if (isExtendedASCII(charAt)) {
                fArr[3] = fArr[3] + 4.3333335f;
            } else {
                fArr[3] = fArr[3] + 3.3333333f;
            }
            if (charAt >= ' ' && charAt <= '^') {
                fArr[4] = fArr[4] + 0.75f;
            } else if (isExtendedASCII(charAt)) {
                fArr[4] = fArr[4] + 4.25f;
            } else {
                fArr[4] = fArr[4] + 3.25f;
            }
            fArr[5] = fArr[5] + 1.0f;
            if (i3 >= 4) {
                int[] iArr2 = new int[6];
                byte[] bArr2 = new byte[6];
                findMinimums(fArr, iArr2, Integer.MAX_VALUE, bArr2);
                int i7 = 0;
                for (int i8 = 0; i8 < 6; i8++) {
                    i7 += bArr2[i8];
                }
                if (iArr2[0] < iArr2[5] && iArr2[0] < iArr2[1] && iArr2[0] < iArr2[2] && iArr2[0] < iArr2[3] && iArr2[0] < iArr2[4]) {
                    return 0;
                }
                if (iArr2[5] < iArr2[0] || bArr2[1] + bArr2[2] + bArr2[3] + bArr2[4] == 0) {
                    return 5;
                }
                if (i7 == 1 && bArr2[4] > 0) {
                    return 4;
                }
                if (i7 == 1 && bArr2[2] > 0) {
                    return 2;
                }
                if (i7 == 1 && bArr2[3] > 0) {
                    return 3;
                }
                if (iArr2[1] + 1 < iArr2[0] && iArr2[1] + 1 < iArr2[5] && iArr2[1] + 1 < iArr2[4] && iArr2[1] + 1 < iArr2[2]) {
                    if (iArr2[1] < iArr2[3]) {
                        return 1;
                    }
                    if (iArr2[1] == iArr2[3]) {
                        for (int i9 = i + i3 + 1; i9 < charSequence.length(); i9++) {
                            char charAt2 = charSequence.charAt(i9);
                            if (isX12TermSep(charAt2)) {
                                return 3;
                            }
                            if (!isNativeX12(charAt2)) {
                                break;
                            }
                        }
                        return 1;
                    }
                }
            }
        }
    }

    public static final int mapCapacity(int i) {
        if (i < 0) {
            return i;
        }
        if (i < 3) {
            return i + 1;
        }
        if (i < 1073741824) {
            return (int) ((((float) i) / 0.75f) + 1.0f);
        }
        return Integer.MAX_VALUE;
    }

    public static String md5(String str) {
        if (str == null) {
            return "";
        }
        try {
            byte[] digest = MessageDigest.getInstance("MD5").digest(str.getBytes());
            StringBuilder sb = new StringBuilder();
            for (byte b2 : digest) {
                String hexString = Integer.toHexString(b2 & 255);
                if (hexString.length() == 1) {
                    hexString = Retrofit2.RESP_CODE_SUCCESS + hexString;
                }
                sb.append(hexString);
            }
            return sb.toString();
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
            return "";
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:43:0x0090  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x00b2  */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x00be  */
    public static boolean mergeFieldFrom(CodedInputStream codedInputStream, UnknownFieldSet.Builder builder, ExtensionRegistryLite extensionRegistryLite, Descriptors.Descriptor descriptor, MessageReflection$MergeTarget messageReflection$MergeTarget, int i) {
        Descriptors.FieldDescriptor fieldDescriptor;
        boolean z;
        Object obj;
        int i2 = 0;
        if (!descriptor.getOptions().getMessageSetWireFormat() || i != 11) {
            int i3 = i & 7;
            int i4 = i >>> 3;
            if (descriptor.isExtensionNumber(i4)) {
                if ((extensionRegistryLite instanceof ExtensionRegistry) && messageReflection$MergeTarget.findExtensionByNumber((ExtensionRegistry) extensionRegistryLite, descriptor, i4) != null) {
                    throw null;
                }
            } else if (messageReflection$MergeTarget.getContainerType() == MessageReflection$MergeTarget.ContainerType.MESSAGE) {
                fieldDescriptor = descriptor.findFieldByNumber(i4);
                if (fieldDescriptor != null) {
                    if (i3 == FieldSet.getWireFormatForFieldType(fieldDescriptor.getLiteType(), false)) {
                        z = false;
                    } else if (fieldDescriptor.isPackable() && i3 == FieldSet.getWireFormatForFieldType(fieldDescriptor.getLiteType(), true)) {
                        z = true;
                    }
                    if (i2 == 0) {
                        if (z) {
                            int pushLimit = codedInputStream.pushLimit(codedInputStream.readRawVarint32());
                            if (fieldDescriptor.getLiteType() == WireFormat.FieldType.ENUM) {
                                while (codedInputStream.getBytesUntilLimit() > 0) {
                                    int readEnum = codedInputStream.readEnum();
                                    if (fieldDescriptor.file.supportsUnknownEnumValue()) {
                                        messageReflection$MergeTarget.addRepeatedField(fieldDescriptor, fieldDescriptor.getEnumType().findValueByNumberCreatingIfUnknown(readEnum));
                                    } else {
                                        Descriptors.EnumValueDescriptor findValueByNumber = fieldDescriptor.getEnumType().findValueByNumber(readEnum);
                                        if (findValueByNumber != null) {
                                            messageReflection$MergeTarget.addRepeatedField(fieldDescriptor, findValueByNumber);
                                        } else if (builder != null) {
                                            builder.mergeVarintField(i4, readEnum);
                                        }
                                    }
                                }
                            } else {
                                while (codedInputStream.getBytesUntilLimit() > 0) {
                                    messageReflection$MergeTarget.addRepeatedField(fieldDescriptor, WireFormat.readPrimitiveField(codedInputStream, fieldDescriptor.getLiteType(), messageReflection$MergeTarget.getUtf8Validation(fieldDescriptor)));
                                }
                            }
                            codedInputStream.popLimit(pushLimit);
                        } else {
                            int ordinal = fieldDescriptor.type.ordinal();
                            if (ordinal == 9) {
                                obj = messageReflection$MergeTarget.parseGroup(codedInputStream, extensionRegistryLite, fieldDescriptor, null);
                            } else if (ordinal == 10) {
                                obj = messageReflection$MergeTarget.parseMessage(codedInputStream, extensionRegistryLite, fieldDescriptor, null);
                            } else if (ordinal != 13) {
                                obj = WireFormat.readPrimitiveField(codedInputStream, fieldDescriptor.getLiteType(), messageReflection$MergeTarget.getUtf8Validation(fieldDescriptor));
                            } else {
                                int readEnum2 = codedInputStream.readEnum();
                                if (fieldDescriptor.file.supportsUnknownEnumValue()) {
                                    obj = fieldDescriptor.getEnumType().findValueByNumberCreatingIfUnknown(readEnum2);
                                } else {
                                    Descriptors.EnumValueDescriptor findValueByNumber2 = fieldDescriptor.getEnumType().findValueByNumber(readEnum2);
                                    if (findValueByNumber2 == null) {
                                        if (builder != null) {
                                            builder.mergeVarintField(i4, readEnum2);
                                        }
                                        return true;
                                    }
                                    obj = findValueByNumber2;
                                }
                            }
                            if (fieldDescriptor.isRepeated()) {
                                messageReflection$MergeTarget.addRepeatedField(fieldDescriptor, obj);
                            } else {
                                messageReflection$MergeTarget.setField(fieldDescriptor, obj);
                            }
                        }
                        return true;
                    } else if (builder != null) {
                        return builder.mergeFieldFrom(i, codedInputStream);
                    } else {
                        return codedInputStream.skipField(i);
                    }
                }
                z = false;
                i2 = 1;
                if (i2 == 0) {
                }
            }
            fieldDescriptor = null;
            if (fieldDescriptor != null) {
            }
            z = false;
            i2 = 1;
            if (i2 == 0) {
            }
        } else {
            ByteString byteString = null;
            ExtensionRegistry.ExtensionInfo extensionInfo = null;
            while (true) {
                int readTag = codedInputStream.readTag();
                if (readTag == 0) {
                    break;
                } else if (readTag == 16) {
                    i2 = codedInputStream.readUInt32();
                    if (i2 != 0 && (extensionRegistryLite instanceof ExtensionRegistry)) {
                        extensionInfo = messageReflection$MergeTarget.findExtensionByNumber((ExtensionRegistry) extensionRegistryLite, descriptor, i2);
                    }
                } else if (readTag == 26) {
                    if (!(i2 == 0 || extensionInfo == null)) {
                        ExtensionRegistryLite extensionRegistryLite2 = ExtensionRegistryLite.emptyRegistry;
                    }
                    byteString = codedInputStream.readBytes();
                } else if (!codedInputStream.skipField(readTag)) {
                    break;
                }
            }
            codedInputStream.checkLastTagWas(12);
            if (!(byteString == null || i2 == 0)) {
                if (extensionInfo != null) {
                    Objects.requireNonNull(null);
                    throw null;
                } else if (builder != null) {
                    UnknownFieldSet.Field.Builder newBuilder = UnknownFieldSet.Field.newBuilder();
                    newBuilder.addLengthDelimited(byteString);
                    builder.mergeField(i2, newBuilder.build());
                }
            }
            return true;
        }
    }

    public static boolean mergePCMFilesToWAVFile(List<String> list, String str) {
        File file = new File(str);
        if (!file.getParentFile().exists()) {
            file.getParentFile().mkdirs();
        }
        if (file.exists()) {
            file.delete();
        }
        File[] fileArr = new File[list.size()];
        try {
            int size = list.size();
            int i = 0;
            for (int i2 = 0; i2 < size; i2++) {
                fileArr[i2] = new File(list.get(i2));
                i = (int) (((long) i) + fileArr[i2].length());
            }
            WavHeader wavHeader = new WavHeader();
            wavHeader.ChunkSize = i + 36;
            wavHeader.SubChunk1Size = 16;
            wavHeader.BitsPerSample = 16;
            wavHeader.NumChannels = 1;
            wavHeader.SampleRate = 8000;
            wavHeader.SubChunk2Size = i;
            byte[] header = wavHeader.getHeader();
            if (header.length != 44) {
                return false;
            }
            byte[] bArr = new byte[4096];
            BufferedOutputStream bufferedOutputStream = new BufferedOutputStream(new FileOutputStream(str));
            bufferedOutputStream.write(header, 0, header.length);
            for (int i3 = 0; i3 < size; i3++) {
                BufferedInputStream bufferedInputStream = new BufferedInputStream(new FileInputStream(fileArr[i3]));
                for (int read = bufferedInputStream.read(bArr); read != -1; read = bufferedInputStream.read(bArr)) {
                    bufferedOutputStream.write(bArr);
                }
                bufferedInputStream.close();
            }
            bufferedOutputStream.close();
            return true;
        } catch (IOException e) {
            Log.e("PcmToWav", e.getMessage());
            return false;
        }
    }

    public static final int mod(int i, int i2) {
        int i3 = i % i2;
        return i3 >= 0 ? i3 : i3 + i2;
    }

    public static IBinder onBind(BaseService$Interface baseService$Interface, Intent intent) {
        Intrinsics.checkParameterIsNotNull(intent, "intent");
        if (Intrinsics.areEqual(intent.getAction(), "com.github.shadowsocks.SERVICE")) {
            return baseService$Interface.getData().binder;
        }
        return null;
    }

    public static int onStartCommand(BaseService$Interface baseService$Interface) {
        ProxyInstance proxyInstance;
        BaseService$Data data = baseService$Interface.getData();
        if (data.state != BaseService$State.Stopped) {
            return 2;
        }
        kotlin.Pair<Profile, Profile> currentProfile = Core.INSTANCE.getCurrentProfile();
        Context context = (Context) baseService$Interface;
        if (currentProfile == null) {
            data.notification = baseService$Interface.createNotification("");
            baseService$Interface.stopRunner(false, context.getString(R$string.profile_empty));
            return 2;
        }
        Profile component1 = currentProfile.component1();
        Profile component2 = currentProfile.component2();
        component1.setName(component1.getFormattedName());
        ProxyInstance proxyInstance2 = new ProxyInstance(component1, component1.getRoute());
        data.proxy = proxyInstance2;
        if (component2 == null) {
            proxyInstance = null;
        } else {
            proxyInstance = new ProxyInstance(component2, component1.getRoute());
        }
        data.udpFallback = proxyInstance;
        BootReceiver.Companion.setEnabled(DataStore.INSTANCE.getPersistAcrossReboot());
        if (!data.closeReceiverRegistered) {
            BroadcastReceiver broadcastReceiver = data.closeReceiver;
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.addAction("com.github.shadowsocks.RELOAD");
            intentFilter.addAction("android.intent.action.ACTION_SHUTDOWN");
            intentFilter.addAction("com.github.shadowsocks.CLOSE");
            context.registerReceiver(broadcastReceiver, intentFilter, context.getPackageName() + ".SERVICE", null);
            data.closeReceiverRegistered = true;
        }
        data.notification = baseService$Interface.createNotification((String) StringsKt__IndentKt.split$default((CharSequence) component1.getFormattedName(), new String[]{"___"}, false, 0, 6).get(0));
        data.changeState(BaseService$State.Connecting, null);
        GlobalScope globalScope = GlobalScope.INSTANCE;
        CoroutineDispatcher coroutineDispatcher = Dispatchers.Default;
        data.connectingJob = launch$default(globalScope, MainDispatcherLoader.dispatcher, null, new BaseService$Interface$onStartCommand$2(baseService$Interface, proxyInstance2, data, component1, null), 2, null);
        return 2;
    }

    public static BuyEntity parseBuyEntity(String str) {
        String[] split = str.substring(str.indexOf("[") + 1, str.indexOf("]")).split(",");
        if (split.length < 5) {
            return null;
        }
        BuyEntity buyEntity = new BuyEntity();
        try {
            buyEntity.groupID = Integer.parseInt(split[0]);
            buyEntity.useDays = Integer.parseInt(split[1]);
            buyEntity.price = Double.parseDouble(split[2]);
            buyEntity.preferential = Double.parseDouble(split[3]);
            String str2 = split[4];
            buyEntity.describe = str2;
            if (str2.indexOf("\"") != 0 || buyEntity.describe.length() - 1 != buyEntity.describe.lastIndexOf("\"")) {
                return null;
            }
            String str3 = buyEntity.describe;
            buyEntity.describe = str3.substring(1, str3.length() - 1);
            return buyEntity;
        } catch (Exception unused) {
            return null;
        }
    }

    public static PorterDuff.Mode parseTintMode(int i, PorterDuff.Mode mode) {
        if (i == 3) {
            return PorterDuff.Mode.SRC_OVER;
        }
        if (i == 5) {
            return PorterDuff.Mode.SRC_IN;
        }
        if (i == 9) {
            return PorterDuff.Mode.SRC_ATOP;
        }
        switch (i) {
            case 14:
                return PorterDuff.Mode.MULTIPLY;
            case 15:
                return PorterDuff.Mode.SCREEN;
            case 16:
                return PorterDuff.Mode.ADD;
            default:
                return mode;
        }
    }

    public static void persistStats(BaseService$Interface baseService$Interface) {
        for (ProxyInstance proxyInstance : ArraysKt___ArraysKt.listOfNotNull(baseService$Interface.getData().proxy, baseService$Interface.getData().udpFallback)) {
            TrafficMonitor trafficMonitor = proxyInstance.trafficMonitor;
            if (trafficMonitor != null) {
                trafficMonitor.persistStats(proxyInstance.profile.getId());
            }
        }
    }

    public static void playTogether(AnimatorSet animatorSet, List<Animator> list) {
        int size = list.size();
        long j = 0;
        for (int i = 0; i < size; i++) {
            Animator animator = list.get(i);
            j = Math.max(j, animator.getDuration() + animator.getStartDelay());
        }
        ValueAnimator ofInt = ValueAnimator.ofInt(0, 0);
        ofInt.setDuration(j);
        list.add(0, ofInt);
        animatorSet.playTogether(list);
    }

    /* renamed from: plus-impl  reason: not valid java name */
    public static final Object m16plusimpl(Object obj, E e) {
        boolean z = DebugKt.DEBUG;
        if (obj == null) {
            return e;
        }
        if (obj instanceof ArrayList) {
            ((ArrayList) obj).add(e);
            return obj;
        }
        ArrayList arrayList = new ArrayList(4);
        arrayList.add(obj);
        arrayList.add(e);
        return arrayList;
    }

    public static final <T> Object recoverResult(Object obj, Continuation<? super T> continuation) {
        Intrinsics.checkParameterIsNotNull(continuation, "uCont");
        if (obj instanceof CompletedExceptionally) {
            return Result.m133constructorimpl(createFailure(StackTraceRecoveryKt.recoverStackTrace(((CompletedExceptionally) obj).cause, continuation)));
        }
        return Result.m133constructorimpl(obj);
    }

    public static TypedValue resolve(Context context, int i) {
        TypedValue typedValue = new TypedValue();
        if (context.getTheme().resolveAttribute(i, typedValue, true)) {
            return typedValue;
        }
        return null;
    }

    public static boolean resolveBoolean(Context context, int i, boolean z) {
        TypedValue resolve = resolve(context, i);
        if (resolve == null || resolve.type != 18) {
            return z;
        }
        return resolve.data != 0;
    }

    public static int resolveOrThrow(Context context, int i, String str) {
        TypedValue resolve = resolve(context, i);
        if (resolve != null) {
            return resolve.data;
        }
        throw new IllegalArgumentException(String.format("%1$s requires a value for the %2$s attribute to be set in your app theme. You can either set the attribute in your theme or update your theme to inherit from Theme.MaterialComponents (or a descendant).", str, context.getResources().getResourceName(i)));
    }

    public static final <T> void resume(DispatchedTask<? super T> dispatchedTask, Continuation<? super T> continuation, int i) {
        Intrinsics.checkParameterIsNotNull(dispatchedTask, "$this$resume");
        Intrinsics.checkParameterIsNotNull(continuation, "delegate");
        Object takeState$kotlinx_coroutines_core = dispatchedTask.takeState$kotlinx_coroutines_core();
        Throwable th = null;
        CompletedExceptionally completedExceptionally = (CompletedExceptionally) (!(takeState$kotlinx_coroutines_core instanceof CompletedExceptionally) ? null : takeState$kotlinx_coroutines_core);
        Throwable th2 = completedExceptionally != null ? completedExceptionally.cause : null;
        if (th2 != null) {
            th = StackTraceRecoveryKt.recoverStackTrace(th2, continuation);
        }
        if (th != null) {
            takeState$kotlinx_coroutines_core = createFailure(th);
        }
        Object r2 = Result.m133constructorimpl(takeState$kotlinx_coroutines_core);
        if (i == 0) {
            continuation.resumeWith(r2);
        } else if (i == 1) {
            DispatchedContinuationKt.resumeCancellableWith(continuation, r2);
        } else if (i == 2) {
            DispatchedContinuation dispatchedContinuation = (DispatchedContinuation) continuation;
            CoroutineContext context = dispatchedContinuation.getContext();
            Object updateThreadContext = ThreadContextKt.updateThreadContext(context, dispatchedContinuation.countOrElement);
            try {
                dispatchedContinuation.continuation.resumeWith(r2);
            } finally {
                ThreadContextKt.restoreThreadContext(context, updateThreadContext);
            }
        } else {
            throw new IllegalStateException(GeneratedOutlineSupport.outline11("Invalid mode ", i).toString());
        }
    }

    public static int round(float f) {
        return (int) (f + (f < 0.0f ? -0.5f : 0.5f));
    }

    public static Object runBlocking$default(CoroutineContext coroutineContext, Function2 function2, int i, Object obj) {
        CoroutineContext coroutineContext2;
        EventLoopImplPlatform eventLoopImplPlatform;
        int i2 = i & 1;
        CompletedExceptionally completedExceptionally = null;
        EmptyCoroutineContext emptyCoroutineContext = i2 != 0 ? EmptyCoroutineContext.INSTANCE : null;
        Intrinsics.checkParameterIsNotNull(emptyCoroutineContext, "context");
        Intrinsics.checkParameterIsNotNull(function2, "block");
        Thread currentThread = Thread.currentThread();
        ContinuationInterceptor continuationInterceptor = (ContinuationInterceptor) emptyCoroutineContext.get(ContinuationInterceptor.Key.$$INSTANCE);
        if (continuationInterceptor == null) {
            ThreadLocalEventLoop threadLocalEventLoop = ThreadLocalEventLoop.INSTANCE;
            eventLoopImplPlatform = ThreadLocalEventLoop.getEventLoop$kotlinx_coroutines_core();
            coroutineContext2 = CoroutineContextKt.newCoroutineContext(GlobalScope.INSTANCE, emptyCoroutineContext.plus(eventLoopImplPlatform));
        } else {
            if (!(continuationInterceptor instanceof EventLoopImplPlatform)) {
                continuationInterceptor = null;
            }
            EventLoopImplPlatform eventLoopImplPlatform2 = (EventLoopImplPlatform) continuationInterceptor;
            ThreadLocalEventLoop threadLocalEventLoop2 = ThreadLocalEventLoop.INSTANCE;
            eventLoopImplPlatform = ThreadLocalEventLoop.ref.get();
            coroutineContext2 = CoroutineContextKt.newCoroutineContext(GlobalScope.INSTANCE, emptyCoroutineContext);
        }
        Intrinsics.checkExpressionValueIsNotNull(currentThread, "currentThread");
        BlockingCoroutine blockingCoroutine = new BlockingCoroutine(coroutineContext2, currentThread, eventLoopImplPlatform);
        CoroutineStart coroutineStart = CoroutineStart.DEFAULT;
        Intrinsics.checkParameterIsNotNull(coroutineStart, "start");
        Intrinsics.checkParameterIsNotNull(function2, "block");
        blockingCoroutine.initParentJob$kotlinx_coroutines_core();
        coroutineStart.invoke(function2, blockingCoroutine, blockingCoroutine);
        EventLoopImplPlatform eventLoopImplPlatform3 = blockingCoroutine.eventLoop;
        if (eventLoopImplPlatform3 != null) {
            eventLoopImplPlatform3.incrementUseCount(false);
        }
        while (!Thread.interrupted()) {
            try {
                EventLoopImplPlatform eventLoopImplPlatform4 = blockingCoroutine.eventLoop;
                long processNextEvent = eventLoopImplPlatform4 != null ? eventLoopImplPlatform4.processNextEvent() : Long.MAX_VALUE;
                if (!(blockingCoroutine.getState$kotlinx_coroutines_core() instanceof Incomplete)) {
                    Object unboxState = JobSupportKt.unboxState(blockingCoroutine.getState$kotlinx_coroutines_core());
                    if (unboxState instanceof CompletedExceptionally) {
                        completedExceptionally = unboxState;
                    }
                    CompletedExceptionally completedExceptionally2 = completedExceptionally;
                    if (completedExceptionally2 == null) {
                        return unboxState;
                    }
                    throw completedExceptionally2.cause;
                }
                LockSupport.parkNanos(blockingCoroutine, processNextEvent);
            } finally {
                EventLoopImplPlatform eventLoopImplPlatform5 = blockingCoroutine.eventLoop;
                if (eventLoopImplPlatform5 != null) {
                    eventLoopImplPlatform5.decrementUseCount(false);
                }
            }
        }
        InterruptedException interruptedException = new InterruptedException();
        blockingCoroutine.cancelImpl$kotlinx_coroutines_core(interruptedException);
        throw interruptedException;
    }

    public static final <E> void sendBlocking(SendChannel<? super E> sendChannel, E e) {
        Intrinsics.checkParameterIsNotNull(sendChannel, "$this$sendBlocking");
        if (!sendChannel.offer(e)) {
            runBlocking$default(null, new ChannelsKt__ChannelsKt$sendBlocking$1(sendChannel, e, null), 1, null);
        }
    }

    public static void setColors(ProgressBar progressBar, int i, int i2) {
        ClipDrawable clipDrawable = new ClipDrawable(new ColorDrawable(i), 3, 1);
        clipDrawable.setLevel(10000);
        LayerDrawable layerDrawable = new LayerDrawable(new Drawable[]{clipDrawable, new ClipDrawable(new ColorDrawable(i2), 3, 1)});
        layerDrawable.setId(0, 16908288);
        layerDrawable.setId(1, 16908301);
        progressBar.setProgressDrawable(layerDrawable);
    }

    public static void setElevation(View view, float f) {
        Drawable background = view.getBackground();
        if (background instanceof MaterialShapeDrawable) {
            MaterialShapeDrawable materialShapeDrawable = (MaterialShapeDrawable) background;
            MaterialShapeDrawable.MaterialShapeDrawableState materialShapeDrawableState = materialShapeDrawable.drawableState;
            if (materialShapeDrawableState.elevation != f) {
                materialShapeDrawableState.elevation = f;
                materialShapeDrawable.updateZ();
            }
        }
    }

    public static final <T> Set<T> setOf(T t) {
        Set<T> singleton = Collections.singleton(t);
        Intrinsics.checkNotNullExpressionValue(singleton, "java.util.Collections.singleton(element)");
        return singleton;
    }

    public static void setParentAbsoluteElevation(View view, MaterialShapeDrawable materialShapeDrawable) {
        ElevationOverlayProvider elevationOverlayProvider = materialShapeDrawable.drawableState.elevationOverlayProvider;
        if (elevationOverlayProvider != null && elevationOverlayProvider.elevationOverlayEnabled) {
            float parentAbsoluteElevation = getParentAbsoluteElevation(view);
            MaterialShapeDrawable.MaterialShapeDrawableState materialShapeDrawableState = materialShapeDrawable.drawableState;
            if (materialShapeDrawableState.parentAbsoluteElevation != parentAbsoluteElevation) {
                materialShapeDrawableState.parentAbsoluteElevation = parentAbsoluteElevation;
                materialShapeDrawable.updateZ();
            }
        }
    }

    public static void show(Context context, String str) {
        Toast.makeText(context, str, 0).show();
    }

    public static final char single(char[] cArr) {
        Intrinsics.checkNotNullParameter(cArr, "$this$single");
        int length = cArr.length;
        if (length == 0) {
            throw new NoSuchElementException("Array is empty.");
        } else if (length == 1) {
            return cArr[0];
        } else {
            throw new IllegalArgumentException("Array has more than one element.");
        }
    }

    /* JADX WARN: Incorrect args count in method signature: (Lcom/github/shadowsocks/bg/BaseService$Interface;Lcom/github/shadowsocks/net/HostsFile;Lkotlin/coroutines/Continuation<-Lkotlin/Unit;>;)Ljava/lang/Object; */
    /* JADX WARNING: Removed duplicated region for block: B:10:0x003b  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00a5  */
    public static Object startProcesses(BaseService$Interface baseService$Interface) {
        Application application;
        ProxyInstance proxyInstance;
        kotlin.Pair pair;
        if (Build.VERSION.SDK_INT >= 24) {
            Core core = Core.INSTANCE;
            UserManager userManager = (UserManager) ContextCompat.getSystemService(core.getApp(), UserManager.class);
            if (userManager != null && !userManager.isUserUnlocked()) {
                application = core.getDeviceStorage();
                File noBackupFilesDir = application.getNoBackupFilesDir();
                ProxyInstance proxyInstance2 = baseService$Interface.getData().udpFallback;
                proxyInstance = baseService$Interface.getData().proxy;
                Unit unit = null;
                if (proxyInstance == null) {
                    Core core2 = Core.INSTANCE;
                    proxyInstance.start(baseService$Interface, new File(core2.getDeviceStorage().getNoBackupFilesDir(), "stat_main"), new File(noBackupFilesDir, "shadowsocks.conf"), proxyInstance2 == null ? "-u" : null);
                    boolean z = false;
                    if (proxyInstance2 != null) {
                        Lazy lazy = proxyInstance2.plugin$delegate;
                        KProperty kProperty = ProxyInstance.$$delegatedProperties[0];
                        pair = (kotlin.Pair) lazy.getValue();
                    } else {
                        pair = null;
                    }
                    if (pair == null) {
                        z = true;
                    }
                    if (z) {
                        if (proxyInstance2 != null) {
                            proxyInstance2.start(baseService$Interface, new File(core2.getDeviceStorage().getNoBackupFilesDir(), "stat_udp"), new File(noBackupFilesDir, "shadowsocks-udp.conf"), "-U");
                            unit = Unit.INSTANCE;
                        }
                        if (unit == CoroutineSingletons.COROUTINE_SUSPENDED) {
                            return unit;
                        }
                        return Unit.INSTANCE;
                    }
                    throw new IllegalStateException("UDP fallback cannot have plugins".toString());
                }
                Intrinsics.throwNpe();
                throw null;
            }
        }
        application = Core.INSTANCE.getApp();
        File noBackupFilesDir2 = application.getNoBackupFilesDir();
        ProxyInstance proxyInstance22 = baseService$Interface.getData().udpFallback;
        proxyInstance = baseService$Interface.getData().proxy;
        Unit unit2 = null;
        if (proxyInstance == null) {
        }
    }

    public static void startRunner(BaseService$Interface baseService$Interface) {
        if (baseService$Interface != null) {
            Context context = (Context) baseService$Interface;
            if (Build.VERSION.SDK_INT >= 26) {
                context.startForegroundService(new Intent(context, baseService$Interface.getClass()));
            } else {
                context.startService(new Intent(context, baseService$Interface.getClass()));
            }
        } else {
            throw new TypeCastException("null cannot be cast to non-null type android.content.Context");
        }
    }

    public static int stateToInt(WorkInfo$State workInfo$State) {
        int ordinal = workInfo$State.ordinal();
        if (ordinal == 0) {
            return 0;
        }
        int i = 1;
        if (ordinal != 1) {
            i = 2;
            if (ordinal != 2) {
                i = 3;
                if (ordinal != 3) {
                    i = 4;
                    if (ordinal != 4) {
                        if (ordinal == 5) {
                            return 5;
                        }
                        throw new IllegalArgumentException("Could not convert " + workInfo$State + " to int");
                    }
                }
            }
        }
        return i;
    }

    public static void stopRunner(BaseService$Interface baseService$Interface, boolean z, String str) {
        BaseService$State baseService$State = baseService$Interface.getData().state;
        BaseService$State baseService$State2 = BaseService$State.Stopping;
        if (baseService$State != baseService$State2) {
            BaseService$Data.changeState$default(baseService$Interface.getData(), baseService$State2, null, 2);
            GlobalScope globalScope = GlobalScope.INSTANCE;
            CoroutineDispatcher coroutineDispatcher = Dispatchers.Default;
            launch$default(globalScope, MainDispatcherLoader.dispatcher.getImmediate(), null, new BaseService$Interface$stopRunner$1(baseService$Interface, str, z, null), 2, null);
        }
    }

    public static /* synthetic */ void stopRunner$default(BaseService$Interface baseService$Interface, boolean z, String str, int i, Object obj) {
        if ((i & 1) != 0) {
            z = false;
        }
        int i2 = i & 2;
        baseService$Interface.stopRunner(z, null);
    }

    public static String subMessagePrefix(String str, Descriptors.FieldDescriptor fieldDescriptor, int i) {
        StringBuilder sb = new StringBuilder(str);
        if (fieldDescriptor.isExtension()) {
            sb.append('(');
            sb.append(fieldDescriptor.fullName);
            sb.append(')');
        } else {
            sb.append(fieldDescriptor.getName());
        }
        if (i != -1) {
            sb.append('[');
            sb.append(i);
            sb.append(']');
        }
        sb.append('.');
        return sb.toString();
    }

    public static int sum(int[] iArr) {
        int i = 0;
        for (int i2 : iArr) {
            i += i2;
        }
        return i;
    }

    public static Thread thread$default(boolean z, boolean z2, ClassLoader classLoader, String str, int i, Function0 function0, int i2) {
        if ((i2 & 1) != 0) {
            z = true;
        }
        if ((i2 & 2) != 0) {
            z2 = false;
        }
        int i3 = i2 & 4;
        if ((i2 & 8) != 0) {
            str = null;
        }
        if ((i2 & 16) != 0) {
            i = -1;
        }
        Intrinsics.checkNotNullParameter(function0, "block");
        ThreadsKt$thread$thread$1 threadsKt$thread$thread$1 = new ThreadsKt$thread$thread$1(function0);
        if (z2) {
            threadsKt$thread$thread$1.setDaemon(true);
        }
        if (i > 0) {
            threadsKt$thread$thread$1.setPriority(i);
        }
        if (str != null) {
            threadsKt$thread$thread$1.setName(str);
        }
        if (z) {
            threadsKt$thread$thread$1.start();
        }
        return threadsKt$thread$thread$1;
    }

    public static final void throwOnFailure(Object obj) {
        if (obj instanceof Result.Failure) {
            throw ((Result.Failure) obj).exception;
        }
    }

    public static final String toDebugString(Continuation<?> continuation) {
        Object obj;
        Intrinsics.checkParameterIsNotNull(continuation, "$this$toDebugString");
        if (continuation instanceof DispatchedContinuation) {
            return continuation.toString();
        }
        try {
            obj = Result.m133constructorimpl(continuation + '@' + getHexAddress(continuation));
        } catch (Throwable th) {
            obj = Result.m133constructorimpl(createFailure(th));
        }
        if (Result.m136exceptionOrNullimpl(obj) != null) {
            obj = continuation.getClass().getName() + '@' + getHexAddress(continuation);
        }
        return (String) obj;
    }

    public static final <T> List<T> toList(T[] tArr) {
        Intrinsics.checkNotNullParameter(tArr, "$this$toList");
        int length = tArr.length;
        if (length == 0) {
            return EmptyList.INSTANCE;
        }
        if (length == 1) {
            return listOf(tArr[0]);
        }
        Intrinsics.checkNotNullParameter(tArr, "$this$toMutableList");
        Intrinsics.checkNotNullParameter(tArr, "$this$asCollection");
        return new ArrayList(new ArrayAsCollection(tArr, false));
    }

    public static final <T> Set<T> toSet(T[] tArr) {
        Intrinsics.checkNotNullParameter(tArr, "$this$toSet");
        int length = tArr.length;
        if (length == 0) {
            return EmptySet.INSTANCE;
        }
        if (length == 1) {
            return setOf(tArr[0]);
        }
        LinkedHashSet linkedHashSet = new LinkedHashSet(mapCapacity(tArr.length));
        Intrinsics.checkNotNullParameter(tArr, "$this$toCollection");
        Intrinsics.checkNotNullParameter(linkedHashSet, "destination");
        for (T t : tArr) {
            linkedHashSet.add(t);
        }
        return linkedHashSet;
    }

    public static final <K, V> Map<K, V> toSingletonMap(Map<? extends K, ? extends V> map) {
        Intrinsics.checkNotNullParameter(map, "$this$toSingletonMap");
        Map.Entry<? extends K, ? extends V> next = map.entrySet().iterator().next();
        Map<K, V> singletonMap = Collections.singletonMap(next.getKey(), next.getValue());
        Intrinsics.checkNotNullExpressionValue(singletonMap, "with(entries.iterator().…ingletonMap(key, value) }");
        return singletonMap;
    }

    public static final <T> Object toState(Object obj) {
        Throwable r0 = Result.m136exceptionOrNullimpl(obj);
        return r0 == null ? obj : new CompletedExceptionally(r0, false, 2);
    }

    public static final MainCoroutineDispatcher tryCreateDispatcher(AndroidDispatcherFactory androidDispatcherFactory, List<? extends AndroidDispatcherFactory> list) {
        Intrinsics.checkParameterIsNotNull(androidDispatcherFactory, "$this$tryCreateDispatcher");
        Intrinsics.checkParameterIsNotNull(list, "factories");
        try {
            Intrinsics.checkParameterIsNotNull(list, "allFactories");
            Looper mainLooper = Looper.getMainLooper();
            Intrinsics.checkExpressionValueIsNotNull(mainLooper, "Looper.getMainLooper()");
            Handler asHandler = HandlerDispatcherKt.asHandler(mainLooper, true);
            Intrinsics.checkParameterIsNotNull(asHandler, "handler");
            return new HandlerContext(asHandler, "Main", false);
        } catch (Throwable th) {
            return new MissingMainCoroutineDispatcher(th, "For tests Dispatchers.setMain from kotlinx-coroutines-test module can be used");
        }
    }

    public static PorterDuffColorFilter updateTintFilter(Drawable drawable, ColorStateList colorStateList, PorterDuff.Mode mode) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return new PorterDuffColorFilter(colorStateList.getColorForState(drawable.getState(), 0), mode);
    }

    /* JADX INFO: finally extract failed */
    /* JADX DEBUG: Multi-variable search result rejected for r3v10, resolved type: java.util.concurrent.atomic.AtomicIntegerFieldUpdater */
    /* JADX WARN: Multi-variable type inference failed */
    public static final <T> Object withContext(CoroutineContext coroutineContext, Function2<? super CoroutineScope, ? super Continuation<? super T>, ? extends Object> function2, Continuation<? super T> continuation) {
        Object obj;
        boolean z;
        CoroutineContext context = continuation.getContext();
        CoroutineContext plus = context.plus(coroutineContext);
        checkCompletion(plus);
        if (plus == context) {
            ScopeCoroutine scopeCoroutine = new ScopeCoroutine(plus, continuation);
            obj = SystemPropsKt.startUndispatchedOrReturn(scopeCoroutine, scopeCoroutine, function2);
        } else {
            int i = ContinuationInterceptor.$r8$clinit;
            ContinuationInterceptor.Key key = ContinuationInterceptor.Key.$$INSTANCE;
            if (Intrinsics.areEqual((ContinuationInterceptor) plus.get(key), (ContinuationInterceptor) context.get(key))) {
                UndispatchedCoroutine undispatchedCoroutine = new UndispatchedCoroutine(plus, continuation);
                Object updateThreadContext = ThreadContextKt.updateThreadContext(plus, null);
                try {
                    Object startUndispatchedOrReturn = SystemPropsKt.startUndispatchedOrReturn(undispatchedCoroutine, undispatchedCoroutine, function2);
                    ThreadContextKt.restoreThreadContext(plus, updateThreadContext);
                    obj = startUndispatchedOrReturn;
                } catch (Throwable th) {
                    ThreadContextKt.restoreThreadContext(plus, updateThreadContext);
                    throw th;
                }
            } else {
                DispatchedCoroutine dispatchedCoroutine = new DispatchedCoroutine(plus, continuation);
                dispatchedCoroutine.initParentJob$kotlinx_coroutines_core();
                SystemPropsKt.startCoroutineCancellable(function2, dispatchedCoroutine, dispatchedCoroutine);
                while (true) {
                    int i2 = dispatchedCoroutine._decision;
                    z = false;
                    if (i2 == 0) {
                        if (DispatchedCoroutine._decision$FU.compareAndSet(dispatchedCoroutine, 0, 1)) {
                            z = true;
                            break;
                        }
                    } else if (i2 != 2) {
                        throw new IllegalStateException("Already suspended".toString());
                    }
                }
                if (z) {
                    obj = CoroutineSingletons.COROUTINE_SUSPENDED;
                } else {
                    obj = JobSupportKt.unboxState(dispatchedCoroutine.getState$kotlinx_coroutines_core());
                    if (obj instanceof CompletedExceptionally) {
                        throw ((CompletedExceptionally) obj).cause;
                    }
                }
            }
        }
        if (obj == CoroutineSingletons.COROUTINE_SUSPENDED) {
            Intrinsics.checkNotNullParameter(continuation, "frame");
        }
        return obj;
    }

    public static void writeMessageTo(Message message, Map<Descriptors.FieldDescriptor, Object> map, CodedOutputStream codedOutputStream, boolean z) {
        boolean messageSetWireFormat = message.getDescriptorForType().getOptions().getMessageSetWireFormat();
        if (z) {
            TreeMap treeMap = new TreeMap(map);
            for (Descriptors.FieldDescriptor fieldDescriptor : message.getDescriptorForType().getFields()) {
                if (fieldDescriptor.isRequired() && !treeMap.containsKey(fieldDescriptor)) {
                    treeMap.put(fieldDescriptor, message.getField(fieldDescriptor));
                }
            }
            map = treeMap;
        }
        for (Map.Entry<Descriptors.FieldDescriptor, Object> entry : map.entrySet()) {
            Descriptors.FieldDescriptor key = entry.getKey();
            Object value = entry.getValue();
            if (!messageSetWireFormat || !key.isExtension() || key.type != Descriptors.FieldDescriptor.Type.MESSAGE || key.isRepeated()) {
                FieldSet.writeField(key, value, codedOutputStream);
            } else {
                codedOutputStream.writeMessageSetExtension(key.getNumber(), (Message) value);
            }
        }
        UnknownFieldSet unknownFields = message.getUnknownFields();
        if (messageSetWireFormat) {
            unknownFields.writeAsMessageSetTo(codedOutputStream);
        } else {
            unknownFields.writeTo(codedOutputStream);
        }
    }

    public static float distance(int i, int i2, int i3, int i4) {
        int i5 = i - i3;
        int i6 = i2 - i4;
        return (float) Math.sqrt((double) ((i6 * i6) + (i5 * i5)));
    }

    public static String getDateString(long j, SimpleDateFormat simpleDateFormat) {
        Calendar todayCalendar = UtcDates.getTodayCalendar();
        Calendar utcCalendar = UtcDates.getUtcCalendar();
        utcCalendar.setTimeInMillis(j);
        if (simpleDateFormat != null) {
            return simpleDateFormat.format(new Date(j));
        }
        if (todayCalendar.get(1) == utcCalendar.get(1)) {
            return getMonthDay(j, Locale.getDefault());
        }
        return getYearMonthDay(j, Locale.getDefault());
    }

    public static int getColor(Context context, int i, int i2) {
        TypedValue resolve = resolve(context, i);
        return resolve != null ? resolve.data : i2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x0035 A[Catch:{ Exception -> 0x0058 }] */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x0036 A[Catch:{ Exception -> 0x0058 }] */
    public static String decrypt(String str, String str2) {
        byte[] bArr;
        byte[] bArr2 = null;
        if (str2 == null) {
            return null;
        }
        if (str2 != null) {
            try {
                int length = str2.length();
                if (length != 0) {
                    if (length % 2 == 0) {
                        int i = length / 2;
                        bArr = new byte[i];
                        for (int i2 = 0; i2 < i; i2++) {
                            int i3 = i2 * 2;
                            bArr[i2] = Integer.valueOf(str2.substring(i3, i3 + 2), 16).byteValue();
                        }
                        if (bArr != null) {
                            return "";
                        }
                        if (bArr != null) {
                            SecretKeySpec secretKeySpec = new SecretKeySpec(str.getBytes(), "AES");
                            Cipher instance2 = Cipher.getInstance("AES/ECB/ZeroBytePadding");
                            instance2.init(2, secretKeySpec);
                            bArr2 = instance2.doFinal(bArr);
                        }
                        return new String(bArr2);
                    }
                }
            } catch (Exception e) {
                e.printStackTrace();
                return "";
            }
        }
        bArr = null;
        if (bArr != null) {
        }
    }

    public static /* synthetic */ void cancel$default(Job job, CancellationException cancellationException, int i, Object obj) {
        int i2 = i & 1;
        job.cancel(null);
    }

    public static ColorStateList getColorStateList(Context context, TintTypedArray tintTypedArray, int i) {
        int resourceId;
        ColorStateList colorStateList;
        if (!tintTypedArray.mWrapped.hasValue(i) || (resourceId = tintTypedArray.mWrapped.getResourceId(i, 0)) == 0 || (colorStateList = AppCompatResources.getColorStateList(context, resourceId)) == null) {
            return tintTypedArray.getColorStateList(i);
        }
        return colorStateList;
    }

    public static synchronized String a(Context context, String str, String str2) {
        synchronized (ViewGroupUtilsApi14.class) {
            a("RecordPref", "stat append " + str2 + " , " + str);
            if (TextUtils.isEmpty(str)) {
                return null;
            }
            if (TextUtils.isEmpty(str2)) {
                str2 = UUID.randomUUID().toString();
            }
            a$a$a a2 = m17a(context);
            if (a2.a.size() > 20) {
                a2.a.clear();
            }
            a2.a.put(str2, str);
            a(context, a2);
            return str2;
        }
    }

    public static String b(String str) {
        String[] split = str.split(Constants.PARAMETER_EQUALS);
        if (split.length <= 1) {
            return null;
        }
        String str2 = split[1];
        return str2.contains("\"") ? str2.replaceAll("\"", "") : str2;
    }

    public static final <R, T> Continuation<Unit> createCoroutineUnintercepted(Function2<? super R, ? super Continuation<? super T>, ? extends Object> function2, R r, Continuation<? super T> continuation) {
        Intrinsics.checkNotNullParameter(function2, "$this$createCoroutineUnintercepted");
        Intrinsics.checkNotNullParameter(continuation, "completion");
        Intrinsics.checkNotNullParameter(continuation, "completion");
        if (function2 instanceof BaseContinuationImpl) {
            return ((BaseContinuationImpl) function2).create(r, continuation);
        }
        CoroutineContext context = continuation.getContext();
        if (context == EmptyCoroutineContext.INSTANCE) {
            return new IntrinsicsKt__IntrinsicsJvmKt$createCoroutineUnintercepted$$inlined$createCoroutineFromSuspendFunction$IntrinsicsKt__IntrinsicsJvmKt$3(continuation, continuation, function2, r);
        }
        return new IntrinsicsKt__IntrinsicsJvmKt$createCoroutineUnintercepted$$inlined$createCoroutineFromSuspendFunction$IntrinsicsKt__IntrinsicsJvmKt$4(continuation, context, continuation, context, function2, r);
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(14:3|4|5|6|7|(4:8|9|10|(1:12)(1:37))|13|14|15|16|17|18|19|20) */
    /* JADX WARNING: Can't wrap try/catch for region: R(9:22|23|29|30|31|32|33|34|35) */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:16:0x002a */
    /* JADX WARNING: Missing exception handler attribute for start block: B:18:0x002d */
    /* JADX WARNING: Missing exception handler attribute for start block: B:31:0x0042 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:33:0x0045 */
    public static byte[] b(byte[] bArr) {
        GZIPInputStream gZIPInputStream;
        Throwable th;
        ByteArrayInputStream byteArrayInputStream;
        ByteArrayOutputStream byteArrayOutputStream = null;
        try {
            byteArrayInputStream = new ByteArrayInputStream(bArr);
            try {
                gZIPInputStream = new GZIPInputStream(byteArrayInputStream);
                try {
                    byte[] bArr2 = new byte[4096];
                    ByteArrayOutputStream byteArrayOutputStream2 = new ByteArrayOutputStream();
                    while (true) {
                        try {
                            int read = gZIPInputStream.read(bArr2, 0, 4096);
                            if (read == -1) {
                                break;
                            }
                            byteArrayOutputStream2.write(bArr2, 0, read);
                        } catch (Throwable th2) {
                            th = th2;
                            byteArrayOutputStream = byteArrayOutputStream2;
                            byteArrayOutputStream.close();
                            gZIPInputStream.close();
                            byteArrayInputStream.close();
                            throw th;
                        }
                    }
                    byteArrayOutputStream2.flush();
                    byte[] byteArray = byteArrayOutputStream2.toByteArray();
                    byteArrayOutputStream2.close();
                    gZIPInputStream.close();
                    byteArrayInputStream.close();
                    return byteArray;
                } catch (Throwable th3) {
                    th = th3;
                    byteArrayOutputStream.close();
                    gZIPInputStream.close();
                    byteArrayInputStream.close();
                    throw th;
                }
            } catch (Throwable th4) {
                th = th4;
                gZIPInputStream = null;
                byteArrayOutputStream.close();
                gZIPInputStream.close();
                byteArrayInputStream.close();
                throw th;
            }
        } catch (Throwable th5) {
            th = th5;
            gZIPInputStream = null;
            byteArrayInputStream = null;
            byteArrayOutputStream.close();
            gZIPInputStream.close();
            byteArrayInputStream.close();
            throw th;
        }
    }

    public static String a(String str, String str2, boolean z) {
        Context context = a.n;
        String str3 = null;
        if (context == null) {
            return null;
        }
        String string = context.getSharedPreferences(str, 0).getString(str2, null);
        if (!TextUtils.isEmpty(string) && z) {
            try {
                str3 = new String(e.a(a(), com.alipay.sdk.encrypt.a.a(string), string));
            } catch (Exception unused) {
            }
            if (TextUtils.isEmpty(str3)) {
                a("mspl", "tid_str: pref failed");
            }
            string = str3;
        }
        a("mspl", "tid_str: from local");
        return string;
    }

    public static List<String> findMissingFields(MessageOrBuilder messageOrBuilder) {
        ArrayList arrayList = new ArrayList();
        findMissingFields(messageOrBuilder, "", arrayList);
        return arrayList;
    }

    public static String escapeBytes(ByteString byteString) {
        return escapeBytes(new TextFormatEscaper$1(byteString));
    }

    public static void a(String str, String str2, String str3, boolean z) {
        String str4;
        Context context = a.n;
        if (context != null) {
            SharedPreferences sharedPreferences = context.getSharedPreferences(str, 0);
            if (z) {
                String a2 = a();
                try {
                    str4 = com.alipay.sdk.encrypt.a.a(e.b(a2, str3.getBytes(), str3));
                } catch (Exception unused) {
                    str4 = null;
                }
                if (TextUtils.isEmpty(str4)) {
                    String.format("LocalPreference::putLocalPreferences failed %s，%s", str3, a2);
                }
                str3 = str4;
            }
            sharedPreferences.edit().putString(str2, str3).apply();
        }
    }

    public static byte[] a(Cipher cipher, String str) {
        SecureRandom secureRandom = new SecureRandom();
        int blockSize = cipher.getBlockSize();
        if (TextUtils.isEmpty(str)) {
            str = String.valueOf(secureRandom.nextDouble());
        }
        int i = blockSize * 2;
        byte[] bArr = new byte[i];
        byte[] bArr2 = new byte[blockSize];
        secureRandom.nextBytes(bArr2);
        for (int i2 = 1; i2 < i; i2++) {
            bArr[i2] = (byte) (str.codePointAt(i2 % str.length()) & 127);
            if (i2 >= blockSize) {
                bArr[i2] = (byte) (bArr[0] & bArr[i2]);
            }
        }
        System.arraycopy(bArr, blockSize, bArr2, 0, blockSize);
        return bArr2;
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(10:8|9|(2:10|(1:12)(1:43))|13|14|15|16|17|(2:18|19)|20) */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:16:0x002d */
    /* JADX WARNING: Missing exception handler attribute for start block: B:18:0x0030 */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x004b A[SYNTHETIC, Splitter:B:31:0x004b] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0052 A[SYNTHETIC, Splitter:B:35:0x0052] */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x0059 A[SYNTHETIC, Splitter:B:39:0x0059] */
    /* renamed from: a  reason: collision with other method in class */
    public static byte[] m21a(byte[] bArr) {
        ByteArrayOutputStream byteArrayOutputStream;
        GZIPOutputStream gZIPOutputStream;
        Throwable th;
        ByteArrayInputStream byteArrayInputStream = null;
        try {
            ByteArrayInputStream byteArrayInputStream2 = new ByteArrayInputStream(bArr);
            try {
                byteArrayOutputStream = new ByteArrayOutputStream();
                try {
                    gZIPOutputStream = new GZIPOutputStream(byteArrayOutputStream);
                } catch (Throwable th2) {
                    gZIPOutputStream = null;
                    byteArrayInputStream = byteArrayInputStream2;
                    th = th2;
                    if (byteArrayInputStream != null) {
                    }
                    if (byteArrayOutputStream != null) {
                    }
                    if (gZIPOutputStream != null) {
                    }
                    throw th;
                }
            } catch (Throwable th3) {
                gZIPOutputStream = null;
                byteArrayInputStream = byteArrayInputStream2;
                th = th3;
                byteArrayOutputStream = null;
                if (byteArrayInputStream != null) {
                }
                if (byteArrayOutputStream != null) {
                }
                if (gZIPOutputStream != null) {
                }
                throw th;
            }
            try {
                byte[] bArr2 = new byte[4096];
                while (true) {
                    int read = byteArrayInputStream2.read(bArr2);
                    if (read == -1) {
                        break;
                    }
                    gZIPOutputStream.write(bArr2, 0, read);
                }
                gZIPOutputStream.flush();
                gZIPOutputStream.finish();
                byte[] byteArray = byteArrayOutputStream.toByteArray();
                byteArrayInputStream2.close();
                byteArrayOutputStream.close();
                try {
                    gZIPOutputStream.close();
                } catch (Exception unused) {
                }
                return byteArray;
            } catch (Throwable th4) {
                th = th4;
                byteArrayInputStream = byteArrayInputStream2;
                if (byteArrayInputStream != null) {
                    try {
                        byteArrayInputStream.close();
                    } catch (Exception unused2) {
                    }
                }
                if (byteArrayOutputStream != null) {
                    try {
                        byteArrayOutputStream.close();
                    } catch (Exception unused3) {
                    }
                }
                if (gZIPOutputStream != null) {
                    try {
                        gZIPOutputStream.close();
                    } catch (Exception unused4) {
                    }
                }
                throw th;
            }
        } catch (Throwable th5) {
            th = th5;
            byteArrayOutputStream = null;
            gZIPOutputStream = null;
            if (byteArrayInputStream != null) {
            }
            if (byteArrayOutputStream != null) {
            }
            if (gZIPOutputStream != null) {
            }
            throw th;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0036 A[SYNTHETIC, Splitter:B:13:0x0036] */
    /* JADX WARNING: Removed duplicated region for block: B:19:? A[RETURN, SYNTHETIC] */
    public static Drawable a(String str, Context context) {
        ByteArrayInputStream byteArrayInputStream;
        try {
            byteArrayInputStream = new ByteArrayInputStream(com.alipay.sdk.encrypt.a.a(str));
            try {
                BitmapFactory.Options options = new BitmapFactory.Options();
                options.inDensity = 480;
                options.inTargetDensity = context.getResources().getDisplayMetrics().densityDpi;
                BitmapDrawable bitmapDrawable = new BitmapDrawable(context.getResources(), BitmapFactory.decodeStream(byteArrayInputStream, null, options));
                try {
                    byteArrayInputStream.close();
                } catch (Throwable unused) {
                }
                return bitmapDrawable;
            } catch (Throwable unused2) {
                if (byteArrayInputStream != null) {
                    return null;
                }
                try {
                    byteArrayInputStream.close();
                    return null;
                } catch (Throwable unused3) {
                    return null;
                }
            }
        } catch (Throwable unused4) {
            byteArrayInputStream = null;
            if (byteArrayInputStream != null) {
            }
        }
    }

    public static void a(Throwable th) {
        try {
            StringWriter stringWriter = new StringWriter();
            th.printStackTrace(new PrintWriter(stringWriter));
            stringWriter.toString();
        } catch (Throwable unused) {
        }
    }

    public static String a(String str, String str2) {
        if (str == null) {
            str = "";
        }
        if (str2 == null) {
            str2 = "";
        }
        return String.format("[%s][%s]", str, str2);
    }

    public static synchronized int a(Context context, String str) {
        synchronized (ViewGroupUtilsApi14.class) {
            a("RecordPref", "stat remove " + str);
            if (context != null) {
                if (!TextUtils.isEmpty(str)) {
                    a$a$a a2 = m17a(context);
                    if (a2.a.isEmpty()) {
                        return 0;
                    }
                    try {
                        ArrayList arrayList = new ArrayList();
                        for (Map.Entry<String, String> entry : a2.a.entrySet()) {
                            if (str.equals(entry.getValue())) {
                                arrayList.add(entry.getKey());
                            }
                        }
                        Iterator it = arrayList.iterator();
                        while (it.hasNext()) {
                            a2.a.remove((String) it.next());
                        }
                        a(context, a2);
                        return arrayList.size();
                    } catch (Throwable th) {
                        a(th);
                        int size = a2.a.size();
                        a(context, new a$a$a());
                        return size;
                    }
                }
            }
            return 0;
        }
    }

    /* renamed from: a  reason: collision with other method in class */
    public static synchronized a$a$a m17a(Context context) {
        synchronized (ViewGroupUtilsApi14.class) {
            try {
                String a2 = h.a(null, context, "alipay_cashier_statistic_record", null);
                if (TextUtils.isEmpty(a2)) {
                    return new a$a$a();
                }
                return new a$a$a(a2);
            } catch (Throwable th) {
                a(th);
                return new a$a$a();
            }
        }
    }

    public static synchronized void a(Context context, a$a$a a_a_a) {
        synchronized (ViewGroupUtilsApi14.class) {
            try {
                h.b(null, context, "alipay_cashier_statistic_record", a_a_a.a());
            } catch (Throwable th) {
                a(th);
            }
        }
        return;
    }
}
