package androidx.transition;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.view.View;
import android.view.ViewGroup;
import androidx.transition.Transition;

public class Visibility$DisappearListener extends AnimatorListenerAdapter implements Transition.TransitionListener {
    public boolean mCanceled = false;
    public final int mFinalVisibility;
    public boolean mLayoutSuppressed;
    public final ViewGroup mParent;
    public final boolean mSuppressLayout;
    public final View mView;

    public Visibility$DisappearListener(View view, int i, boolean z) {
        this.mView = view;
        this.mFinalVisibility = i;
        this.mParent = (ViewGroup) view.getParent();
        this.mSuppressLayout = z;
        suppressLayout(true);
    }

    public final void hideViewWhenNotCanceled() {
        if (!this.mCanceled) {
            ViewUtils.IMPL.setTransitionVisibility(this.mView, this.mFinalVisibility);
            ViewGroup viewGroup = this.mParent;
            if (viewGroup != null) {
                viewGroup.invalidate();
            }
        }
        suppressLayout(false);
    }

    public void onAnimationCancel(Animator animator) {
        this.mCanceled = true;
    }

    public void onAnimationEnd(Animator animator) {
        hideViewWhenNotCanceled();
    }

    public void onAnimationPause(Animator animator) {
        if (!this.mCanceled) {
            ViewUtils.IMPL.setTransitionVisibility(this.mView, this.mFinalVisibility);
        }
    }

    public void onAnimationRepeat(Animator animator) {
    }

    public void onAnimationResume(Animator animator) {
        if (!this.mCanceled) {
            ViewUtils.IMPL.setTransitionVisibility(this.mView, 0);
        }
    }

    public void onAnimationStart(Animator animator) {
    }

    @Override // androidx.transition.Transition.TransitionListener
    public void onTransitionCancel(Transition transition) {
    }

    @Override // androidx.transition.Transition.TransitionListener
    public void onTransitionEnd(Transition transition) {
        hideViewWhenNotCanceled();
        transition.removeListener(this);
    }

    @Override // androidx.transition.Transition.TransitionListener
    public void onTransitionPause(Transition transition) {
        suppressLayout(false);
    }

    @Override // androidx.transition.Transition.TransitionListener
    public void onTransitionResume(Transition transition) {
        suppressLayout(true);
    }

    @Override // androidx.transition.Transition.TransitionListener
    public void onTransitionStart(Transition transition) {
    }

    public final void suppressLayout(boolean z) {
        ViewGroup viewGroup;
        if (this.mSuppressLayout && this.mLayoutSuppressed != z && (viewGroup = this.mParent) != null) {
            this.mLayoutSuppressed = z;
            ViewGroupUtils.suppressLayout(viewGroup, z);
        }
    }
}
