package androidx.viewpager.widget;

import android.database.DataSetObservable;
import android.os.Parcelable;
import android.view.View;
import android.view.ViewGroup;

public abstract class PagerAdapter {
    public final DataSetObservable mObservable = new DataSetObservable();

    public abstract void destroyItem(ViewGroup viewGroup, int i, Object obj);

    public void finishUpdate(ViewGroup viewGroup) {
    }

    public abstract int getCount();

    public abstract Object instantiateItem(ViewGroup viewGroup, int i);

    public abstract boolean isViewFromObject(View view, Object obj);

    public abstract void restoreState(Parcelable parcelable, ClassLoader classLoader);

    public abstract Parcelable saveState();

    public void setPrimaryItem(ViewGroup viewGroup, int i, Object obj) {
    }

    public void startUpdate(ViewGroup viewGroup) {
    }
}
