package androidx.work;

import android.util.Log;

public class Logger$LogcatLogger {
    public static Logger$LogcatLogger sLogger;
    public int mLoggingLevel;

    public Logger$LogcatLogger(int i) {
        this.mLoggingLevel = i;
    }

    public static synchronized Logger$LogcatLogger get() {
        Logger$LogcatLogger logger$LogcatLogger;
        synchronized (Logger$LogcatLogger.class) {
            if (sLogger == null) {
                sLogger = new Logger$LogcatLogger(3);
            }
            logger$LogcatLogger = sLogger;
        }
        return logger$LogcatLogger;
    }

    public static String tagWithPrefix(String str) {
        int length = str.length();
        StringBuilder sb = new StringBuilder(23);
        sb.append("WM-");
        if (length >= 20) {
            sb.append(str.substring(0, 20));
        } else {
            sb.append(str);
        }
        return sb.toString();
    }

    public void debug(String str, String str2, Throwable... thArr) {
        if (this.mLoggingLevel > 3) {
            return;
        }
        if (thArr.length >= 1) {
            Log.d(str, str2, thArr[0]);
        } else {
            Log.d(str, str2);
        }
    }

    public void error(String str, String str2, Throwable... thArr) {
        if (this.mLoggingLevel > 6) {
            return;
        }
        if (thArr.length >= 1) {
            Log.e(str, str2, thArr[0]);
        } else {
            Log.e(str, str2);
        }
    }

    public void info(String str, String str2, Throwable... thArr) {
        if (this.mLoggingLevel > 4) {
            return;
        }
        if (thArr.length >= 1) {
            Log.i(str, str2, thArr[0]);
        } else {
            Log.i(str, str2);
        }
    }

    public void warning(String str, String str2, Throwable... thArr) {
        if (this.mLoggingLevel > 5) {
            return;
        }
        if (thArr.length >= 1) {
            Log.w(str, str2, thArr[0]);
        } else {
            Log.w(str, str2);
        }
    }
}
