package androidx.work;

import android.content.Context;
import com.android.tools.r8.GeneratedOutlineSupport;

public final class WorkerFactory$1 {
    public static final String TAG = Logger$LogcatLogger.tagWithPrefix("WorkerFactory");

    public final ListenableWorker createWorkerWithDefaultFallback(Context context, String str, WorkerParameters workerParameters) {
        Class<? extends U> cls;
        ListenableWorker listenableWorker = null;
        try {
            cls = Class.forName(str).asSubclass(ListenableWorker.class);
        } catch (ClassNotFoundException unused) {
            Logger$LogcatLogger.get().error(TAG, GeneratedOutlineSupport.outline18("Class not found: ", str), new Throwable[0]);
            cls = null;
        }
        if (cls != null) {
            try {
                listenableWorker = (ListenableWorker) cls.getDeclaredConstructor(Context.class, WorkerParameters.class).newInstance(context, workerParameters);
            } catch (Exception e) {
                Logger$LogcatLogger.get().error(TAG, GeneratedOutlineSupport.outline18("Could not instantiate ", str), e);
            }
        }
        if (listenableWorker == null || !listenableWorker.mUsed) {
            return listenableWorker;
        }
        throw new IllegalStateException(String.format("WorkerFactory (%s) returned an instance of a ListenableWorker (%s) which has already been invoked. createWorker() must always return a new instance of a ListenableWorker.", WorkerFactory$1.class.getName(), str));
    }
}
