package androidx.work;

import androidx.work.impl.utils.WorkForegroundUpdater;
import androidx.work.impl.utils.taskexecutor.WorkManagerTaskExecutor;
import java.util.Collection;
import java.util.Collections;
import java.util.HashSet;
import java.util.UUID;
import java.util.concurrent.Executor;

public final class WorkerParameters {
    public Executor mBackgroundExecutor;
    public UUID mId;
    public Data mInputData;
    public int mRunAttemptCount;
    public WorkManagerTaskExecutor mWorkTaskExecutor;
    public WorkerFactory$1 mWorkerFactory;

    public static class RuntimeExtras {
        public RuntimeExtras() {
            Collections.emptyList();
            Collections.emptyList();
        }
    }

    public WorkerParameters(UUID uuid, Data data, Collection<String> collection, RuntimeExtras runtimeExtras, int i, Executor executor, WorkManagerTaskExecutor workManagerTaskExecutor, WorkerFactory$1 workerFactory$1, ProgressUpdater progressUpdater, WorkForegroundUpdater workForegroundUpdater) {
        this.mId = uuid;
        this.mInputData = data;
        new HashSet(collection);
        this.mRunAttemptCount = i;
        this.mBackgroundExecutor = executor;
        this.mWorkTaskExecutor = workManagerTaskExecutor;
        this.mWorkerFactory = workerFactory$1;
    }
}
