package androidx.work.impl.utils;

import androidx.work.Logger$LogcatLogger;
import androidx.work.WorkInfo$State;
import androidx.work.impl.WorkDatabase;
import androidx.work.impl.WorkManagerImpl;
import androidx.work.impl.model.WorkSpecDao_Impl;

public class StopWorkRunnable implements Runnable {
    public static final String TAG = Logger$LogcatLogger.tagWithPrefix("StopWorkRunnable");
    public final boolean mStopInForeground;
    public final WorkManagerImpl mWorkManagerImpl;
    public final String mWorkSpecId;

    public StopWorkRunnable(WorkManagerImpl workManagerImpl, String str, boolean z) {
        this.mWorkManagerImpl = workManagerImpl;
        this.mWorkSpecId = str;
        this.mStopInForeground = z;
    }

    public void run() {
        boolean z;
        WorkDatabase workDatabase = this.mWorkManagerImpl.mWorkDatabase;
        WorkSpecDao_Impl workSpecDao = workDatabase.workSpecDao();
        workDatabase.beginTransaction();
        try {
            if (workSpecDao.getState(this.mWorkSpecId) == WorkInfo$State.RUNNING) {
                workSpecDao.setState(WorkInfo$State.ENQUEUED, this.mWorkSpecId);
            }
            if (this.mStopInForeground) {
                z = this.mWorkManagerImpl.mProcessor.stopForegroundWork(this.mWorkSpecId);
            } else {
                z = this.mWorkManagerImpl.mProcessor.stopWork(this.mWorkSpecId);
            }
            Logger$LogcatLogger.get().debug(TAG, String.format("StopWorkRunnable for %s; Processor.stopWork = %s", this.mWorkSpecId, Boolean.valueOf(z)), new Throwable[0]);
            workDatabase.setTransactionSuccessful();
        } finally {
            workDatabase.endTransaction();
        }
    }
}
