package androidx.work.impl.utils;

import android.content.Context;
import android.os.PowerManager;
import androidx.work.Logger$LogcatLogger;
import com.android.tools.r8.GeneratedOutlineSupport;
import java.util.WeakHashMap;

public abstract class WakeLocks {
    public static final String TAG = Logger$LogcatLogger.tagWithPrefix("WakeLocks");
    public static final WeakHashMap<PowerManager.WakeLock, String> sWakeLocks = new WeakHashMap<>();

    public static PowerManager.WakeLock newWakeLock(Context context, String str) {
        String outline18 = GeneratedOutlineSupport.outline18("WorkManager: ", str);
        PowerManager.WakeLock newWakeLock = ((PowerManager) context.getApplicationContext().getSystemService("power")).newWakeLock(1, outline18);
        WeakHashMap<PowerManager.WakeLock, String> weakHashMap = sWakeLocks;
        synchronized (weakHashMap) {
            weakHashMap.put(newWakeLock, outline18);
        }
        return newWakeLock;
    }
}
