package com.alipay.android.phone.mrpc.core;

import com.android.tools.r8.GeneratedOutlineSupport;

public class RpcException extends RuntimeException {
    public static final long serialVersionUID = -2875437994101380406L;
    public int mCode;
    public String mMsg;
    public String mOperationType;

    public RpcException(Integer num, String str) {
        super(a(num, str));
        this.mCode = num.intValue();
        this.mMsg = str;
    }

    public RpcException(Integer num, String str, Throwable th) {
        super(a(num, str), th);
        this.mCode = num.intValue();
        this.mMsg = str;
    }

    public RpcException(Integer num, Throwable th) {
        super(th);
        this.mCode = num.intValue();
    }

    public RpcException(String str) {
        super(str);
        this.mCode = 0;
        this.mMsg = str;
    }

    public static String a(Integer num, String str) {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("RPCException: ");
        if (num != null) {
            outline25.append("[");
            outline25.append(num);
            outline25.append("]");
        }
        outline25.append(" : ");
        if (str != null) {
            outline25.append(str);
        }
        return outline25.toString();
    }

    public int getCode() {
        return this.mCode;
    }

    public String getMsg() {
        return this.mMsg;
    }

    public String getOperationType() {
        return this.mOperationType;
    }

    public void setOperationType(String str) {
        this.mOperationType = str;
    }
}
