package com.allpayx.sdk.module;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import com.alipay.sdk.app.PayTask;
import com.allpayx.sdk.constants.AllPayConst;
import com.allpayx.sdk.util.PayResult;

public class ALIModule extends PayModule {
    private final String TAG = "ALIModule";
    private Handler mHandler;

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initHandler() {
        this.mHandler = new Handler() {
            /* class com.allpayx.sdk.module.ALIModule.AnonymousClass2 */

            public void handleMessage(Message message) {
                if (message.what == 300) {
                    final String str = (String) message.obj;
                    if (!str.contains("partner")) {
                        ALIModule.this.returnResult(AllPayConst.VTPAY_PAY_RESULT_FAIL, "Order parameter error");
                        return;
                    }
                    new Thread(new Runnable() {
                        /* class com.allpayx.sdk.module.ALIModule.AnonymousClass2.AnonymousClass1 */

                        public void run() {
                            PayTask payTask = new PayTask(ALIModule.this.mActivity);
                            Log.i("ALIModule", str);
                            String pay = payTask.pay(str, true);
                            Log.i("ALIModule", pay);
                            String resultStatus = new PayResult(pay).getResultStatus();
                            if (resultStatus.equals("9000")) {
                                ALIModule.this.returnResult(AllPayConst.VTPAY_PAY_RESULT_SUCCESS, "pay success");
                            } else if (resultStatus.equals("6001")) {
                                ALIModule.this.returnResult(AllPayConst.VTPAY_PAY_RESULT_CANCEL, "user cancel operation");
                            } else {
                                ALIModule.this.returnResult(AllPayConst.VTPAY_PAY_RESULT_FAIL, "pay fail");
                            }
                        }
                    }).start();
                }
                super.handleMessage(message);
            }
        };
    }

    @Override // com.allpayx.sdk.module.PayModule
    @SuppressLint({"NewApi"})
    public void pay(Activity activity, String str, String str2, String str3) {
        super.pay(activity, str, str2, str3);
        activity.runOnUiThread(new Runnable() {
            /* class com.allpayx.sdk.module.ALIModule.AnonymousClass1 */

            public void run() {
                ALIModule.this.initHandler();
                if (!ALIModule.this.mParameter.isEmpty()) {
                    Message message = new Message();
                    message.what = AllPayConst.MSG_VTPAY_PAY_START_AP;
                    ALIModule aLIModule = ALIModule.this;
                    message.obj = aLIModule.mParameter;
                    aLIModule.mHandler.sendMessageDelayed(message, 0);
                    return;
                }
                ALIModule.this.returnResult(AllPayConst.VTPAY_PAY_RESULT_FAIL, "merchant parameter error");
            }
        });
    }
}
