package com.allpayx.sdk.module;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.content.Intent;
import com.allpayx.sdk.constants.AllPayConst;
import com.allpayx.sdk.util.JsonUtil;
import com.unionpay.UPPayAssistEx;

public class UPModule extends PayModule {
    @Override // com.allpayx.sdk.module.PayModule
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (intent != null) {
            String string = intent.getExtras().getString("pay_result");
            if (string.equals(AllPayConst.VTPAY_PAY_RESULT_SUCCESS)) {
                returnResult(AllPayConst.VTPAY_PAY_RESULT_SUCCESS, "pay success");
            } else if (string.equals(AllPayConst.VTPAY_PAY_RESULT_CANCEL)) {
                returnResult(AllPayConst.VTPAY_PAY_RESULT_CANCEL, "user cancel operation");
            } else {
                returnResult(AllPayConst.VTPAY_PAY_RESULT_FAIL, "pay fail");
            }
        }
    }

    @Override // com.allpayx.sdk.module.PayModule
    @SuppressLint({"NewApi"})
    public void pay(Activity activity, String str, String str2, String str3) {
        super.pay(activity, str, str2, str3);
        if (this.mPaymentSchema.equals("UP")) {
            String param = JsonUtil.getParam(this.mParameter, "up");
            final String param2 = JsonUtil.getParam(param, "tn");
            final String param3 = JsonUtil.getParam(param, "mode");
            if (param2.isEmpty()) {
                returnResult(AllPayConst.VTPAY_PAY_RESULT_FAIL, "merchant parameter error");
            } else {
                this.mActivity.runOnUiThread(new Runnable() {
                    /* class com.allpayx.sdk.module.UPModule.AnonymousClass1 */

                    public void run() {
                        UPPayAssistEx.startPay(UPModule.this.mActivity, null, null, param2, param3);
                    }
                });
            }
        } else if (this.mPaymentSchema.equals("UPACP")) {
            String param4 = JsonUtil.getParam(this.mParameter, "upacp");
            final String param5 = JsonUtil.getParam(param4, "tn");
            final String param6 = JsonUtil.getParam(param4, "mode");
            if (param5.isEmpty()) {
                returnResult(AllPayConst.VTPAY_PAY_RESULT_FAIL, "merchant parameter error");
            } else {
                this.mActivity.runOnUiThread(new Runnable() {
                    /* class com.allpayx.sdk.module.UPModule.AnonymousClass2 */

                    public void run() {
                        UPPayAssistEx.startPay(UPModule.this.mActivity, null, null, param5, param6);
                    }
                });
            }
        }
    }
}
