package com.allpayx.sdk.wxapi;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import com.allpayx.sdk.AllPayEngine;
import com.allpayx.sdk.module.WXModule;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.tencent.mm.opensdk.modelbase.BaseReq;
import com.tencent.mm.opensdk.modelbase.BaseResp;
import com.tencent.mm.opensdk.openapi.IWXAPI;
import com.tencent.mm.opensdk.openapi.IWXAPIEventHandler;
import com.tencent.mm.opensdk.openapi.WXAPIFactory;

public class WXPayEntryActivity extends Activity implements IWXAPIEventHandler {
    private static final String TAG = "WXPayEntryActivity";
    private IWXAPI api;

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        Log.d(TAG, "onCreate");
        IWXAPI createWXAPI = WXAPIFactory.createWXAPI(this, WXModule.APP_ID);
        this.api = createWXAPI;
        createWXAPI.handleIntent(getIntent(), this);
    }

    public void onDestroy() {
        Log.d(TAG, "onDestroy");
        super.onDestroy();
    }

    public void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        setIntent(intent);
        this.api.handleIntent(intent, this);
    }

    public void onPause() {
        Log.d(TAG, "onPause");
        super.onPause();
    }

    @Override // com.tencent.mm.opensdk.openapi.IWXAPIEventHandler
    public void onReq(BaseReq baseReq) {
    }

    @Override // com.tencent.mm.opensdk.openapi.IWXAPIEventHandler
    public void onResp(BaseResp baseResp) {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("onPayFinish, errCode = ");
        outline25.append(baseResp.errCode);
        Log.d(TAG, outline25.toString());
        if (baseResp.getType() == 5) {
            AllPayEngine.mWxPayErrorcode = baseResp.errCode;
            finish();
        }
    }

    public void onResume() {
        Log.d(TAG, "onResume");
        super.onResume();
    }
}
