package com.android.tools.r8;

import android.content.Context;
import android.net.Uri;
import android.os.Message;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.RecyclerView;
import androidx.transition.ViewGroupUtilsApi14;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.service.AlcedoService;
import java.util.Objects;
import org.xmlpull.v1.XmlPullParser;

/* compiled from: outline */
public abstract class GeneratedOutlineSupport {
    public static float outline0(float f, float f2, float f3, float f4) {
        return ((f - f2) * f3) + f4;
    }

    public static int outline1(int i, int i2, int i3, int i4) {
        return ((i * i2) + i3) * i4;
    }

    public static String outline10(String str, int i) {
        return str + i;
    }

    public static String outline11(String str, int i) {
        return str + i;
    }

    public static String outline12(String str, int i, String str2) {
        return str + i + str2;
    }

    public static String outline13(String str, int i, String str2, int i2) {
        return str + i + str2 + i2;
    }

    public static String outline14(String str, long j) {
        return str + j;
    }

    public static String outline15(String str, Uri uri) {
        return str + uri;
    }

    public static String outline16(String str, Fragment fragment, String str2) {
        return str + fragment + str2;
    }

    public static String outline17(String str, Object obj) {
        return str + obj;
    }

    public static String outline18(String str, String str2) {
        return str + str2;
    }

    public static String outline19(String str, String str2, String str3) {
        return str + str2 + str3;
    }

    public static int outline2(int i, int i2, int i3, int i4) {
        return ((i * i2) / i3) + i4;
    }

    public static String outline20(StringBuilder sb, int i, char c) {
        sb.append(i);
        sb.append(c);
        return sb.toString();
    }

    public static String outline21(StringBuilder sb, int i, String str) {
        sb.append(i);
        sb.append(str);
        return sb.toString();
    }

    public static String outline22(StringBuilder sb, String str, String str2) {
        sb.append(str);
        sb.append(str2);
        return sb.toString();
    }

    public static String outline23(XmlPullParser xmlPullParser, StringBuilder sb, String str) {
        sb.append(xmlPullParser.getPositionDescription());
        sb.append(str);
        return sb.toString();
    }

    public static StringBuffer outline24(String str) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(str);
        return stringBuffer;
    }

    public static StringBuilder outline25(String str) {
        StringBuilder sb = new StringBuilder();
        sb.append(str);
        return sb;
    }

    public static StringBuilder outline26(String str, int i, String str2) {
        StringBuilder sb = new StringBuilder();
        sb.append(str);
        sb.append(i);
        sb.append(str2);
        return sb;
    }

    public static StringBuilder outline27(String str, int i, String str2, int i2, String str3) {
        StringBuilder sb = new StringBuilder();
        sb.append(str);
        sb.append(i);
        sb.append(str2);
        sb.append(i2);
        sb.append(str3);
        return sb;
    }

    public static StringBuilder outline28(String str, String str2) {
        StringBuilder sb = new StringBuilder();
        sb.append(str);
        sb.append(str2);
        return sb;
    }

    public static StringBuilder outline29(String str, String str2, String str3) {
        StringBuilder sb = new StringBuilder();
        sb.append(str);
        sb.append(str2);
        sb.append(str3);
        return sb;
    }

    public static int outline3(String str, int i) {
        return String.valueOf(str).length() + i;
    }

    public static void outline30(int i, StringBuilder sb, String str, Button button) {
        sb.append(String.valueOf(i));
        sb.append(str);
        button.setText(sb.toString());
    }

    public static void outline31(MainApplication mainApplication, StringBuilder sb, String str) {
        sb.append(mainApplication.getCurrentAppLanguage());
        sb.append(str);
    }

    public static void outline32(String str, String str2, String str3) {
        Log.w(str3, str + str2);
    }

    public static void outline33(StringBuilder sb, String str, String str2, String str3, String str4) {
        sb.append(str);
        sb.append(str2);
        sb.append(str3);
        sb.append(str4);
    }

    public static Message outline4(AlcedoService alcedoService) {
        Objects.requireNonNull(alcedoService);
        return new Message();
    }

    public static View outline5(ViewGroup viewGroup, int i, ViewGroup viewGroup2, boolean z) {
        return LayoutInflater.from(viewGroup.getContext()).inflate(i, viewGroup2, z);
    }

    public static String outline6(int i, char c, String str, String str2) {
        StringBuilder sb = new StringBuilder(i);
        sb.append(c);
        sb.append(str);
        sb.append(str2);
        return sb.toString();
    }

    public static String outline7(int i, String str, String str2, String str3) {
        StringBuilder sb = new StringBuilder(i);
        sb.append(str);
        sb.append(str2);
        sb.append(str3);
        return sb.toString();
    }

    public static String outline8(Context context, StringBuilder sb) {
        sb.append(ViewGroupUtilsApi14.getVersionName(context));
        return sb.toString();
    }

    public static String outline9(RecyclerView recyclerView, StringBuilder sb) {
        sb.append(recyclerView.exceptionLabel());
        return sb.toString();
    }
}
