package com.bumptech.glide;

import androidx.collection.ArrayMap;
import com.bumptech.glide.GlideExperiments;
import com.bumptech.glide.load.engine.Engine;
import com.bumptech.glide.load.engine.bitmap_recycle.BitmapPool;
import com.bumptech.glide.load.engine.bitmap_recycle.LruArrayPool;
import com.bumptech.glide.load.engine.cache.DiskLruCacheFactory;
import com.bumptech.glide.load.engine.cache.LruResourceCache;
import com.bumptech.glide.load.engine.cache.MemorySizeCalculator;
import com.bumptech.glide.load.engine.executor.GlideExecutor;
import com.bumptech.glide.manager.DefaultConnectivityMonitorFactory;
import com.bumptech.glide.manager.RequestManagerRetriever;
import com.bumptech.glide.request.RequestListener;
import java.util.List;
import java.util.Map;

public final class GlideBuilder {
    public GlideExecutor animationExecutor;
    public LruArrayPool arrayPool;
    public BitmapPool bitmapPool;
    public DefaultConnectivityMonitorFactory connectivityMonitorFactory;
    public List<RequestListener<Object>> defaultRequestListeners;
    public AnonymousClass1 defaultRequestOptionsFactory = new Object(this) {
        /* class com.bumptech.glide.GlideBuilder.AnonymousClass1 */
    };
    public final Map<Class<?>, GenericTransitionOptions<?, ?>> defaultTransitionOptions = new ArrayMap();
    public GlideExecutor diskCacheExecutor;
    public DiskLruCacheFactory diskCacheFactory;
    public Engine engine;
    public final GlideExperiments.Builder glideExperimentsBuilder = new GlideExperiments.Builder();
    public int logLevel = 4;
    public LruResourceCache memoryCache;
    public MemorySizeCalculator memorySizeCalculator;
    public RequestManagerRetriever.RequestManagerFactory requestManagerFactory;
    public GlideExecutor sourceExecutor;

    public abstract class EnableImageDecoderForBitmaps {
    }

    public abstract class LogRequestOrigins {
    }

    public abstract class WaitForFramesAfterTrimMemory {
    }
}
