package com.bumptech.glide;

import android.content.Context;
import android.content.ContextWrapper;
import com.bumptech.glide.GlideBuilder;
import com.bumptech.glide.load.engine.Engine;
import com.bumptech.glide.load.engine.bitmap_recycle.LruArrayPool;
import com.bumptech.glide.request.RequestListener;
import com.bumptech.glide.request.RequestOptions;
import com.bumptech.glide.request.target.ImageViewTargetFactory;
import java.util.List;
import java.util.Map;

public class GlideContext extends ContextWrapper {
    public static final GenericTransitionOptions<?, ?> DEFAULT_TRANSITION_OPTIONS = new GenericTransitionOptions<>();
    public final LruArrayPool arrayPool;
    public final List<RequestListener<Object>> defaultRequestListeners;
    public RequestOptions defaultRequestOptions;
    public final GlideBuilder.AnonymousClass1 defaultRequestOptionsFactory;
    public final Map<Class<?>, GenericTransitionOptions<?, ?>> defaultTransitionOptions;
    public final Engine engine;
    public final GlideExperiments experiments;
    public final ImageViewTargetFactory imageViewTargetFactory;
    public final int logLevel;
    public final Registry registry;

    public GlideContext(Context context, LruArrayPool lruArrayPool, Registry registry2, ImageViewTargetFactory imageViewTargetFactory2, GlideBuilder.AnonymousClass1 r5, Map<Class<?>, GenericTransitionOptions<?, ?>> map, List<RequestListener<Object>> list, Engine engine2, GlideExperiments glideExperiments, int i) {
        super(context.getApplicationContext());
        this.arrayPool = lruArrayPool;
        this.registry = registry2;
        this.imageViewTargetFactory = imageViewTargetFactory2;
        this.defaultRequestOptionsFactory = r5;
        this.defaultRequestListeners = list;
        this.defaultTransitionOptions = map;
        this.engine = engine2;
        this.experiments = glideExperiments;
        this.logLevel = i;
    }
}
