package com.bumptech.glide.load.resource;

import android.annotation.SuppressLint;
import android.graphics.ColorSpace;
import android.graphics.ImageDecoder;
import android.os.Build;
import android.util.Log;
import android.util.Size;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.bumptech.glide.load.DecodeFormat;
import com.bumptech.glide.load.PreferredColorSpace;
import com.bumptech.glide.load.resource.bitmap.BitmapImageDecoderResourceDecoder;
import com.bumptech.glide.load.resource.bitmap.DownsampleStrategy;

public class ImageDecoderResourceDecoder$1 implements ImageDecoder.OnHeaderDecodedListener {
    public final /* synthetic */ BitmapImageDecoderResourceDecoder this$0;
    public final /* synthetic */ DecodeFormat val$decodeFormat;
    public final /* synthetic */ boolean val$isHardwareConfigAllowed;
    public final /* synthetic */ PreferredColorSpace val$preferredColorSpace;
    public final /* synthetic */ int val$requestedHeight;
    public final /* synthetic */ int val$requestedWidth;
    public final /* synthetic */ DownsampleStrategy val$strategy;

    public ImageDecoderResourceDecoder$1(BitmapImageDecoderResourceDecoder bitmapImageDecoderResourceDecoder, int i, int i2, boolean z, DecodeFormat decodeFormat, DownsampleStrategy downsampleStrategy, PreferredColorSpace preferredColorSpace) {
        this.this$0 = bitmapImageDecoderResourceDecoder;
        this.val$requestedWidth = i;
        this.val$requestedHeight = i2;
        this.val$isHardwareConfigAllowed = z;
        this.val$decodeFormat = decodeFormat;
        this.val$strategy = downsampleStrategy;
        this.val$preferredColorSpace = preferredColorSpace;
    }

    @SuppressLint({"Override"})
    public void onHeaderDecoded(ImageDecoder imageDecoder, ImageDecoder.ImageInfo imageInfo, ImageDecoder.Source source) {
        boolean z = false;
        if (this.this$0.hardwareConfigState.isHardwareConfigAllowed(this.val$requestedWidth, this.val$requestedHeight, this.val$isHardwareConfigAllowed, false)) {
            imageDecoder.setAllocator(3);
        } else {
            imageDecoder.setAllocator(1);
        }
        if (this.val$decodeFormat == DecodeFormat.PREFER_RGB_565) {
            imageDecoder.setMemorySizePolicy(0);
        }
        imageDecoder.setOnPartialImageListener(new ImageDecoder.OnPartialImageListener(this) {
            /* class com.bumptech.glide.load.resource.ImageDecoderResourceDecoder$1.AnonymousClass1 */

            public boolean onPartialImage(ImageDecoder.DecodeException decodeException) {
                return false;
            }
        });
        Size size = imageInfo.getSize();
        int i = this.val$requestedWidth;
        if (i == Integer.MIN_VALUE) {
            i = size.getWidth();
        }
        int i2 = this.val$requestedHeight;
        if (i2 == Integer.MIN_VALUE) {
            i2 = size.getHeight();
        }
        float scaleFactor = this.val$strategy.getScaleFactor(size.getWidth(), size.getHeight(), i, i2);
        int round = Math.round(((float) size.getWidth()) * scaleFactor);
        int round2 = Math.round(((float) size.getHeight()) * scaleFactor);
        if (Log.isLoggable("ImageDecoder", 2)) {
            StringBuilder outline25 = GeneratedOutlineSupport.outline25("Resizing from [");
            outline25.append(size.getWidth());
            outline25.append("x");
            outline25.append(size.getHeight());
            outline25.append("] to [");
            outline25.append(round);
            outline25.append("x");
            outline25.append(round2);
            outline25.append("] scaleFactor: ");
            outline25.append(scaleFactor);
            Log.v("ImageDecoder", outline25.toString());
        }
        imageDecoder.setTargetSize(round, round2);
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 28) {
            if (this.val$preferredColorSpace == PreferredColorSpace.DISPLAY_P3 && imageInfo.getColorSpace() != null && imageInfo.getColorSpace().isWideGamut()) {
                z = true;
            }
            imageDecoder.setTargetColorSpace(ColorSpace.get(z ? ColorSpace.Named.DISPLAY_P3 : ColorSpace.Named.SRGB));
        } else if (i3 >= 26) {
            imageDecoder.setTargetColorSpace(ColorSpace.get(ColorSpace.Named.SRGB));
        }
    }
}
