package com.bumptech.glide.load.resource.bitmap;

import android.graphics.Bitmap;
import android.graphics.ImageDecoder;
import android.util.Log;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.bumptech.glide.load.DecodeFormat;
import com.bumptech.glide.load.Option;
import com.bumptech.glide.load.Options;
import com.bumptech.glide.load.PreferredColorSpace;
import com.bumptech.glide.load.ResourceDecoder;
import com.bumptech.glide.load.engine.Resource;
import com.bumptech.glide.load.engine.bitmap_recycle.BitmapPool;
import com.bumptech.glide.load.engine.bitmap_recycle.BitmapPoolAdapter;
import com.bumptech.glide.load.resource.ImageDecoderResourceDecoder$1;

public final class BitmapImageDecoderResourceDecoder implements ResourceDecoder {
    public final BitmapPool bitmapPool = new BitmapPoolAdapter();
    public final HardwareConfigState hardwareConfigState = HardwareConfigState.getInstance();

    @Override // com.bumptech.glide.load.ResourceDecoder
    public /* bridge */ /* synthetic */ boolean handles(Object obj, Options options) {
        ImageDecoder.Source source = (ImageDecoder.Source) obj;
        return true;
    }

    public final Resource decode(ImageDecoder.Source source, int i, int i2, Options options) {
        DecodeFormat decodeFormat = (DecodeFormat) options.get(Downsampler.DECODE_FORMAT);
        DownsampleStrategy downsampleStrategy = (DownsampleStrategy) options.get(DownsampleStrategy.OPTION);
        Option<Boolean> option = Downsampler.ALLOW_HARDWARE_CONFIG;
        Bitmap decodeBitmap = ImageDecoder.decodeBitmap(source, new ImageDecoderResourceDecoder$1(this, i, i2, options.get(option) != null && ((Boolean) options.get(option)).booleanValue(), decodeFormat, downsampleStrategy, (PreferredColorSpace) options.get(Downsampler.PREFERRED_COLOR_SPACE)));
        if (Log.isLoggable("BitmapImageDecoder", 2)) {
            StringBuilder outline25 = GeneratedOutlineSupport.outline25("Decoded [");
            outline25.append(decodeBitmap.getWidth());
            outline25.append("x");
            outline25.append(decodeBitmap.getHeight());
            outline25.append("] for [");
            outline25.append(i);
            outline25.append("x");
            outline25.append(i2);
            outline25.append("]");
            Log.v("BitmapImageDecoder", outline25.toString());
        }
        return new BitmapResource(decodeBitmap, this.bitmapPool);
    }
}
