package com.bumptech.glide.load.resource.gif;

import android.graphics.Bitmap;
import com.bumptech.glide.gifdecoder.StandardGifDecoder;
import com.bumptech.glide.load.engine.Initializable;
import com.bumptech.glide.load.engine.bitmap_recycle.LruArrayPool;
import com.bumptech.glide.load.resource.drawable.DrawableResource;
import com.bumptech.glide.load.resource.gif.GifFrameLoader;

public class GifDrawableResource extends DrawableResource<GifDrawable> implements Initializable {
    public GifDrawableResource(GifDrawable gifDrawable) {
        super(gifDrawable);
    }

    @Override // com.bumptech.glide.load.engine.Resource
    public Class<GifDrawable> getResourceClass() {
        return GifDrawable.class;
    }

    @Override // com.bumptech.glide.load.engine.Resource
    public int getSize() {
        GifFrameLoader gifFrameLoader = ((GifDrawable) this.drawable).state.frameLoader;
        StandardGifDecoder standardGifDecoder = (StandardGifDecoder) gifFrameLoader.gifDecoder;
        return (standardGifDecoder.mainScratch.length * 4) + standardGifDecoder.rawData.limit() + standardGifDecoder.mainPixels.length + gifFrameLoader.firstFrameSize;
    }

    @Override // com.bumptech.glide.load.resource.drawable.DrawableResource, com.bumptech.glide.load.engine.Initializable
    public void initialize() {
        ((GifDrawable) this.drawable).getFirstFrame().prepareToDraw();
    }

    @Override // com.bumptech.glide.load.engine.Resource
    public void recycle() {
        LruArrayPool lruArrayPool;
        LruArrayPool lruArrayPool2;
        LruArrayPool lruArrayPool3;
        ((GifDrawable) this.drawable).stop();
        GifDrawable gifDrawable = (GifDrawable) this.drawable;
        gifDrawable.isRecycled = true;
        GifFrameLoader gifFrameLoader = gifDrawable.state.frameLoader;
        gifFrameLoader.callbacks.clear();
        Bitmap bitmap = gifFrameLoader.firstFrame;
        if (bitmap != null) {
            gifFrameLoader.bitmapPool.put(bitmap);
            gifFrameLoader.firstFrame = null;
        }
        gifFrameLoader.isRunning = false;
        GifFrameLoader.DelayTarget delayTarget = gifFrameLoader.current;
        if (delayTarget != null) {
            gifFrameLoader.requestManager.clear(delayTarget);
            gifFrameLoader.current = null;
        }
        GifFrameLoader.DelayTarget delayTarget2 = gifFrameLoader.next;
        if (delayTarget2 != null) {
            gifFrameLoader.requestManager.clear(delayTarget2);
            gifFrameLoader.next = null;
        }
        GifFrameLoader.DelayTarget delayTarget3 = gifFrameLoader.pendingTarget;
        if (delayTarget3 != null) {
            gifFrameLoader.requestManager.clear(delayTarget3);
            gifFrameLoader.pendingTarget = null;
        }
        StandardGifDecoder standardGifDecoder = (StandardGifDecoder) gifFrameLoader.gifDecoder;
        standardGifDecoder.header = null;
        byte[] bArr = standardGifDecoder.mainPixels;
        if (!(bArr == null || (lruArrayPool3 = standardGifDecoder.bitmapProvider.arrayPool) == null)) {
            lruArrayPool3.put(bArr);
        }
        int[] iArr = standardGifDecoder.mainScratch;
        if (!(iArr == null || (lruArrayPool2 = standardGifDecoder.bitmapProvider.arrayPool) == null)) {
            lruArrayPool2.put(iArr);
        }
        Bitmap bitmap2 = standardGifDecoder.previousImage;
        if (bitmap2 != null) {
            standardGifDecoder.bitmapProvider.bitmapPool.put(bitmap2);
        }
        standardGifDecoder.previousImage = null;
        standardGifDecoder.rawData = null;
        standardGifDecoder.isFirstFrameTransparent = null;
        byte[] bArr2 = standardGifDecoder.block;
        if (!(bArr2 == null || (lruArrayPool = standardGifDecoder.bitmapProvider.arrayPool) == null)) {
            lruArrayPool.put(bArr2);
        }
        gifFrameLoader.isCleared = true;
    }
}
