package com.faster.cheetah;

import android.app.Application;
import android.app.Dialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.res.AssetManager;
import android.database.sqlite.SQLiteCantOpenDatabaseException;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import android.util.Log;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.Toast;
import androidx.core.content.ContextCompat;
import androidx.databinding.DataBindingUtil;
import androidx.databinding.ViewDataBinding;
import androidx.sqlite.db.SupportSQLiteStatement;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.customerview.TipTextView;
import com.faster.cheetah.databinding.ActivityMainBinding;
import com.faster.cheetah.dialog.DialogOkCancel;
import com.faster.cheetah.dialog.DialogUtil$4;
import com.faster.cheetah.entity.ConfigEntity;
import com.faster.cheetah.entity.LineDataEntity;
import com.faster.cheetah.entity.LineEntity;
import com.faster.cheetah.entity.UserEntity;
import com.faster.cheetah.sdk.shadowsocks.core.ProxyConfig;
import com.faster.cheetah.ui.BaseActivity;
import com.faster.cheetah.ui.MyInfoActivity;
import com.faster.cheetah.util.SharedPreferencesHelper;
import com.github.shadowsocks.Core;
import com.github.shadowsocks.aidl.ShadowsocksConnection;
import com.github.shadowsocks.bg.BaseService$State;
import com.github.shadowsocks.database.PrivateDatabase;
import com.github.shadowsocks.database.Profile;
import com.github.shadowsocks.database.ProfileDao_Impl;
import com.github.shadowsocks.database.ProfileManager;
import com.github.shadowsocks.preference.DataStore;
import com.github.shadowsocks.preference.RoomPreferenceDataStore;
import com.github.shadowsocks.utils.DirectBoot;
import com.github.shadowsocks.utils.UtilsKt;
import com.yzq.zxinglibrary.android.CaptureActivity;
import com.yzq.zxinglibrary.bean.ZxingConfig;
import com.zfast.xyz.R;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.nio.charset.Charset;
import java.sql.SQLException;
import java.util.List;
import java.util.Locale;
import java.util.Objects;
import java.util.Timer;
import kotlin.TypeCastException;
import kotlin.jvm.internal.Intrinsics;
import kotlin.reflect.KProperty;
import kotlin.text.Charsets;
import kotlin.text.StringsKt__IndentKt;
import net.xfkefu.sdk.MessageListener;
import net.xfkefu.sdk.XfKefu;
import net.xfkefu.sdk.retrofit.Retrofit2;

/* compiled from: MainActivity.kt */
public final class MainActivity extends BaseActivity implements ShadowsocksConnection.Callback {
    public static final /* synthetic */ int $r8$clinit = 0;
    public final String TAG = "MainActivity";
    public ActivityMainBinding binding;
    public Timer connectTimer;
    public final Handler handler;
    public boolean isClickable = true;
    public boolean isConnected;
    public final MessageListener kefuListener;
    public Timer overTimeCheckTimer;
    public RefreshBroadcastReceiver refreshBroadcastReceiver;
    public final ShadowsocksConnection ssConnection;
    public final Handler ssHandler;

    /* compiled from: MainActivity.kt */
    public final class RefreshBroadcastReceiver extends BroadcastReceiver {
        public RefreshBroadcastReceiver() {
        }

        public void onReceive(Context context, Intent intent) {
            Intrinsics.checkParameterIsNotNull(context, "context");
            Intrinsics.checkParameterIsNotNull(intent, "intent");
            if (Intrinsics.areEqual("com.flybird.alcedo.action.relogin", intent.getAction())) {
                MainActivity mainActivity = MainActivity.this;
                int i = MainActivity.$r8$clinit;
                MainApplication mainApplication = mainActivity.application;
                mainApplication.executorService.execute(new MainActivity$UserLoginTask$1(mainActivity));
            }
        }
    }

    public MainActivity() {
        Handler handler2 = new Handler(Looper.getMainLooper());
        this.ssHandler = handler2;
        this.ssConnection = new ShadowsocksConnection(handler2, true);
        this.handler = new MainActivity$handler$1(this, Looper.getMainLooper());
        this.kefuListener = new MainActivity$kefuListener$1(this);
    }

    public static final void access$SendSSConnectTask(MainActivity mainActivity) {
        MainApplication mainApplication = mainActivity.application;
        Intrinsics.checkExpressionValueIsNotNull(mainApplication, "application");
        if (mainApplication.alcedoService != null) {
            ActivityMainBinding activityMainBinding = mainActivity.binding;
            if (activityMainBinding != null) {
                TextView textView = activityMainBinding.tvConnectStatus;
                Intrinsics.checkExpressionValueIsNotNull(textView, "binding.tvConnectStatus");
                textView.setText(mainActivity.getString(R.string.status_connecting));
                MainApplication mainApplication2 = mainActivity.application;
                mainApplication2.executorService.execute(new MainActivity$SendSSConnectTask$1(mainActivity));
                return;
            }
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            throw null;
        }
    }

    public static final void access$doRegisterOrMyInfo(MainActivity mainActivity) {
        MainApplication mainApplication = mainActivity.application;
        Intrinsics.checkExpressionValueIsNotNull(mainApplication, "application");
        if (mainApplication.configEntity != null) {
            MainApplication mainApplication2 = mainActivity.application;
            Intrinsics.checkExpressionValueIsNotNull(mainApplication2, "application");
            if (mainApplication2.userEntity != null) {
                mainActivity.startActivity(new Intent(mainActivity.activity, MyInfoActivity.class));
            }
        }
    }

    public static final /* synthetic */ ActivityMainBinding access$getBinding$p(MainActivity mainActivity) {
        ActivityMainBinding activityMainBinding = mainActivity.binding;
        if (activityMainBinding != null) {
            return activityMainBinding;
        }
        Intrinsics.throwUninitializedPropertyAccessException("binding");
        throw null;
    }

    public final void changeState(BaseService$State baseService$State, String str) {
        this.application.state = baseService$State;
        int ordinal = baseService$State.ordinal();
        if (ordinal == 1) {
            Log.d(this.TAG, "Connecting");
        } else if (ordinal == 2) {
            Log.d(this.TAG, "Connected");
            this.isConnected = true;
            this.isClickable = true;
            closeConnectTimer();
            ActivityMainBinding activityMainBinding = this.binding;
            if (activityMainBinding != null) {
                activityMainBinding.imgPower.setImageResource(R.mipmap.power_blue);
                ActivityMainBinding activityMainBinding2 = this.binding;
                if (activityMainBinding2 != null) {
                    activityMainBinding2.tvConnectStatus.setTextColor(ContextCompat.getColor(this, R.color.colorPrimary));
                    ActivityMainBinding activityMainBinding3 = this.binding;
                    if (activityMainBinding3 != null) {
                        TextView textView = activityMainBinding3.tvConnectStatus;
                        Intrinsics.checkExpressionValueIsNotNull(textView, "binding.tvConnectStatus");
                        textView.setText(getString(R.string.status_connected));
                        return;
                    }
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    throw null;
                }
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                throw null;
            }
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            throw null;
        } else if (ordinal == 3) {
            Log.d(this.TAG, "Stopping");
        } else if (ordinal != 4) {
            Log.d(this.TAG, baseService$State.toString());
        } else {
            Log.d(this.TAG, "Stopped");
            this.isConnected = false;
            this.isClickable = true;
            this.isClickable = true;
            closeConnectTimer();
            this.isConnected = false;
            ActivityMainBinding activityMainBinding4 = this.binding;
            if (activityMainBinding4 != null) {
                activityMainBinding4.imgPower.setImageResource(R.mipmap.power_gray);
                ActivityMainBinding activityMainBinding5 = this.binding;
                if (activityMainBinding5 != null) {
                    activityMainBinding5.tvConnectStatus.setTextColor(-7829368);
                    ActivityMainBinding activityMainBinding6 = this.binding;
                    if (activityMainBinding6 != null) {
                        TextView textView2 = activityMainBinding6.tvConnectStatus;
                        Intrinsics.checkExpressionValueIsNotNull(textView2, "binding.tvConnectStatus");
                        textView2.setText(getString(R.string.status_disconnected));
                        MainApplication mainApplication = this.application;
                        mainApplication.executorService.execute(new MainActivity$SendSSDisconnectTask$1(this));
                        if (str != null) {
                            Toast.makeText(this.activity, str, 1).show();
                            return;
                        }
                        return;
                    }
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    throw null;
                }
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                throw null;
            }
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            throw null;
        }
    }

    public final void closeConnectTimer() {
        Timer timer = this.connectTimer;
        if (timer != null) {
            if (timer != null) {
                timer.cancel();
            }
            ActivityMainBinding activityMainBinding = this.binding;
            if (activityMainBinding != null) {
                View view = activityMainBinding.viewHide;
                Intrinsics.checkExpressionValueIsNotNull(view, "binding.viewHide");
                view.setVisibility(8);
                return;
            }
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            throw null;
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i != 3) {
            if (i != 4) {
                if (i == 5 && i2 == -1 && intent != null) {
                    Toast.makeText(this.activity, intent.getStringExtra("codedContent"), 0).show();
                }
            } else if (-1 == i2) {
                if (ProxyConfig.Instance.globalMode) {
                    ActivityMainBinding activityMainBinding = this.binding;
                    if (activityMainBinding != null) {
                        TextView textView = activityMainBinding.tvProxyModel;
                        Intrinsics.checkExpressionValueIsNotNull(textView, "binding.tvProxyModel");
                        textView.setText(getString(R.string.global_model));
                    } else {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        throw null;
                    }
                } else {
                    ActivityMainBinding activityMainBinding2 = this.binding;
                    if (activityMainBinding2 != null) {
                        TextView textView2 = activityMainBinding2.tvProxyModel;
                        Intrinsics.checkExpressionValueIsNotNull(textView2, "binding.tvProxyModel");
                        textView2.setText(getString(R.string.intelligent_model));
                    } else {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        throw null;
                    }
                }
                if (this.application.state.getCanStop()) {
                    stopConnectForAnimation();
                }
                this.handler.sendEmptyMessageDelayed(29, 1000);
            }
        } else if (-1 == i2) {
            MainApplication mainApplication = this.application;
            Intrinsics.checkExpressionValueIsNotNull(mainApplication, "application");
            SharedPreferencesHelper sharedPreferencesHelper = mainApplication.sharedPreferencesHelper;
            MainApplication mainApplication2 = this.application;
            Intrinsics.checkExpressionValueIsNotNull(mainApplication2, "application");
            sharedPreferencesHelper.put("line_id", Integer.valueOf(mainApplication2.currentLineEntity.id));
            if (this.application.state.getCanStop()) {
                stopConnectForAnimation();
            }
            this.handler.sendEmptyMessageDelayed(29, 1000);
        }
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        super.onBackPressed();
        moveTaskToBack(true);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:147:0x03a9, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:148:0x03aa, code lost:
        androidx.transition.ViewGroupUtilsApi14.closeFinally(r6, r0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:149:0x03ae, code lost:
        throw r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:154:0x03b2, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:155:0x03b3, code lost:
        androidx.transition.ViewGroupUtilsApi14.closeFinally(r3, r0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:156:0x03b7, code lost:
        throw r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:161:0x03bb, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:162:0x03bc, code lost:
        androidx.transition.ViewGroupUtilsApi14.closeFinally(r8, r0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:163:0x03c0, code lost:
        throw r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:168:0x03c4, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:169:0x03c5, code lost:
        androidx.transition.ViewGroupUtilsApi14.closeFinally(r9, r0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:170:0x03c9, code lost:
        throw r0;
     */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        List<LineEntity> list;
        super.onCreate(bundle);
        ViewDataBinding contentView = DataBindingUtil.setContentView(this.activity, R.layout.activity_main);
        Intrinsics.checkExpressionValueIsNotNull(contentView, "DataBindingUtil.setConte…, R.layout.activity_main)");
        this.binding = (ActivityMainBinding) contentView;
        MainApplication mainApplication = this.application;
        Intrinsics.checkExpressionValueIsNotNull(mainApplication, "application");
        ConfigEntity configEntity = mainApplication.configEntity;
        T t = null;
        if (!TextUtils.isEmpty(configEntity != null ? configEntity.gonggao : null)) {
            ActivityMainBinding activityMainBinding = this.binding;
            if (activityMainBinding != null) {
                TipTextView tipTextView = activityMainBinding.tvTip;
                MainApplication mainApplication2 = this.application;
                Intrinsics.checkExpressionValueIsNotNull(mainApplication2, "application");
                ConfigEntity configEntity2 = mainApplication2.configEntity;
                tipTextView.setText(configEntity2 != null ? configEntity2.gonggao : null);
                ActivityMainBinding activityMainBinding2 = this.binding;
                if (activityMainBinding2 != null) {
                    activityMainBinding2.tvTip.setVisibility(0);
                    ActivityMainBinding activityMainBinding3 = this.binding;
                    if (activityMainBinding3 != null) {
                        activityMainBinding3.tvTip.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(10, this));
                    } else {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        throw null;
                    }
                } else {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    throw null;
                }
            } else {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                throw null;
            }
        }
        MainApplication mainApplication3 = this.application;
        Intrinsics.checkExpressionValueIsNotNull(mainApplication3, "application");
        UserEntity userEntity = mainApplication3.userEntity;
        boolean z = true;
        if (userEntity != null && Intrinsics.compare(userEntity.userTglever, 0) == 1) {
            ActivityMainBinding activityMainBinding4 = this.binding;
            if (activityMainBinding4 != null) {
                LinearLayout linearLayout = activityMainBinding4.layoutShare2;
                Intrinsics.checkExpressionValueIsNotNull(linearLayout, "binding.layoutShare2");
                linearLayout.setVisibility(0);
            } else {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                throw null;
            }
        }
        ActivityMainBinding activityMainBinding5 = this.binding;
        if (activityMainBinding5 != null) {
            activityMainBinding5.imgMenu.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(14, this));
            ActivityMainBinding activityMainBinding6 = this.binding;
            if (activityMainBinding6 != null) {
                activityMainBinding6.layoutConnect.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(15, this));
                ActivityMainBinding activityMainBinding7 = this.binding;
                if (activityMainBinding7 != null) {
                    activityMainBinding7.layoutLineSelect.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(16, this));
                    ActivityMainBinding activityMainBinding8 = this.binding;
                    if (activityMainBinding8 != null) {
                        activityMainBinding8.layoutProxyModel.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(17, this));
                        ActivityMainBinding activityMainBinding9 = this.binding;
                        if (activityMainBinding9 != null) {
                            activityMainBinding9.layoutVip.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(18, this));
                            ActivityMainBinding activityMainBinding10 = this.binding;
                            if (activityMainBinding10 != null) {
                                activityMainBinding10.imgShare.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(19, this));
                                ActivityMainBinding activityMainBinding11 = this.binding;
                                if (activityMainBinding11 != null) {
                                    activityMainBinding11.layoutContact.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(20, this));
                                    ActivityMainBinding activityMainBinding12 = this.binding;
                                    if (activityMainBinding12 != null) {
                                        activityMainBinding12.btnRecharge.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(21, this));
                                        ActivityMainBinding activityMainBinding13 = this.binding;
                                        if (activityMainBinding13 != null) {
                                            activityMainBinding13.layoutShare.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(0, this));
                                            ActivityMainBinding activityMainBinding14 = this.binding;
                                            if (activityMainBinding14 != null) {
                                                activityMainBinding14.btnOp.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(1, this));
                                                ActivityMainBinding activityMainBinding15 = this.binding;
                                                if (activityMainBinding15 != null) {
                                                    activityMainBinding15.layoutUserInfo.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(2, this));
                                                    ActivityMainBinding activityMainBinding16 = this.binding;
                                                    if (activityMainBinding16 != null) {
                                                        activityMainBinding16.layoutRecharge.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(3, this));
                                                        ActivityMainBinding activityMainBinding17 = this.binding;
                                                        if (activityMainBinding17 != null) {
                                                            activityMainBinding17.layoutInvitationReward.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(4, this));
                                                            ActivityMainBinding activityMainBinding18 = this.binding;
                                                            if (activityMainBinding18 != null) {
                                                                activityMainBinding18.layoutComputer.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(5, this));
                                                                ActivityMainBinding activityMainBinding19 = this.binding;
                                                                if (activityMainBinding19 != null) {
                                                                    activityMainBinding19.layoutInvitation.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(6, this));
                                                                    ActivityMainBinding activityMainBinding20 = this.binding;
                                                                    if (activityMainBinding20 != null) {
                                                                        activityMainBinding20.layoutShare2.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(7, this));
                                                                        ActivityMainBinding activityMainBinding21 = this.binding;
                                                                        if (activityMainBinding21 != null) {
                                                                            activityMainBinding21.layoutFeedback.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(8, this));
                                                                            ActivityMainBinding activityMainBinding22 = this.binding;
                                                                            if (activityMainBinding22 != null) {
                                                                                activityMainBinding22.layoutLanguage.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(9, this));
                                                                                ActivityMainBinding activityMainBinding23 = this.binding;
                                                                                if (activityMainBinding23 != null) {
                                                                                    activityMainBinding23.layoutMessage.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(11, this));
                                                                                    ActivityMainBinding activityMainBinding24 = this.binding;
                                                                                    if (activityMainBinding24 != null) {
                                                                                        activityMainBinding24.layoutSwitchAccount.setOnClickListener(new MainActivity$init$21(this));
                                                                                        ActivityMainBinding activityMainBinding25 = this.binding;
                                                                                        if (activityMainBinding25 != null) {
                                                                                            activityMainBinding25.layoutMyInfo.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(12, this));
                                                                                            ActivityMainBinding activityMainBinding26 = this.binding;
                                                                                            if (activityMainBinding26 != null) {
                                                                                                activityMainBinding26.layoutScan.setOnClickListener(new $$LambdaGroup$js$SeFygYVCvouFOEzXteYRypGezq4(13, this));
                                                                                                this.refreshBroadcastReceiver = new RefreshBroadcastReceiver();
                                                                                                IntentFilter intentFilter = new IntentFilter();
                                                                                                intentFilter.addAction("com.flybird.alcedo.action.message.refresh");
                                                                                                intentFilter.addAction("com.flybird.alcedo.action.relogin");
                                                                                                registerReceiver(this.refreshBroadcastReceiver, intentFilter);
                                                                                                MainApplication mainApplication4 = this.application;
                                                                                                Intrinsics.checkExpressionValueIsNotNull(mainApplication4, "application");
                                                                                                Object sharedPreference = mainApplication4.sharedPreferencesHelper.getSharedPreference("line_id", 0);
                                                                                                if (sharedPreference != null) {
                                                                                                    int intValue = ((Integer) sharedPreference).intValue();
                                                                                                    if (intValue != 0) {
                                                                                                        MainApplication mainApplication5 = this.application;
                                                                                                        Intrinsics.checkExpressionValueIsNotNull(mainApplication5, "application");
                                                                                                        LineDataEntity privateLineDataEntity = mainApplication5.getPrivateLineDataEntity();
                                                                                                        if (!(privateLineDataEntity == null || (list = privateLineDataEntity.lineEntityList) == null)) {
                                                                                                            for (T t2 : list) {
                                                                                                                if (t2.id == intValue) {
                                                                                                                    t = t2;
                                                                                                                }
                                                                                                            }
                                                                                                        }
                                                                                                        if (t == null) {
                                                                                                            MainApplication mainApplication6 = this.application;
                                                                                                            Intrinsics.checkExpressionValueIsNotNull(mainApplication6, "application");
                                                                                                            List<LineEntity> list2 = mainApplication6.lineEntityList;
                                                                                                            if (list2 != null) {
                                                                                                                for (T t3 : list2) {
                                                                                                                    if (t3.id == intValue && 1 == t3.canConnect && 100 > t3.load) {
                                                                                                                        t = t3;
                                                                                                                    }
                                                                                                                }
                                                                                                            }
                                                                                                        }
                                                                                                    }
                                                                                                    if (t == null) {
                                                                                                        MainApplication mainApplication7 = this.application;
                                                                                                        Intrinsics.checkExpressionValueIsNotNull(mainApplication7, "application");
                                                                                                        List<LineEntity> list3 = mainApplication7.lineEntityList;
                                                                                                        if (list3 != null) {
                                                                                                            for (T t4 : list3) {
                                                                                                                if (1 == t4.canConnect && 100 > t4.load) {
                                                                                                                    t = t4;
                                                                                                                }
                                                                                                            }
                                                                                                        }
                                                                                                    }
                                                                                                    MainApplication mainApplication8 = this.application;
                                                                                                    Intrinsics.checkExpressionValueIsNotNull(mainApplication8, "application");
                                                                                                    mainApplication8.currentLineEntity = t;
                                                                                                    MainApplication mainApplication9 = this.application;
                                                                                                    Intrinsics.checkExpressionValueIsNotNull(mainApplication9, "application");
                                                                                                    Object sharedPreference2 = mainApplication9.sharedPreferencesHelper.getSharedPreference("proxy_mode", 0);
                                                                                                    if (sharedPreference2 != null) {
                                                                                                        int intValue2 = ((Integer) sharedPreference2).intValue();
                                                                                                        ProxyConfig proxyConfig = ProxyConfig.Instance;
                                                                                                        if (intValue2 == 0) {
                                                                                                            z = false;
                                                                                                        }
                                                                                                        proxyConfig.globalMode = z;
                                                                                                        setData();
                                                                                                        showOverTime();
                                                                                                        Core core = Core.INSTANCE;
                                                                                                        List<String> list4 = ProxyConfig.listFilterIP;
                                                                                                        Objects.requireNonNull(core);
                                                                                                        String str = "";
                                                                                                        if (list4 != null) {
                                                                                                            String str2 = str;
                                                                                                            for (String str3 : list4) {
                                                                                                                StringBuilder outline25 = GeneratedOutlineSupport.outline25(str2);
                                                                                                                outline25.append(StringsKt__IndentKt.replace$default(str3, "\n", str, false, 4));
                                                                                                                outline25.append("/32\n");
                                                                                                                str2 = outline25.toString();
                                                                                                            }
                                                                                                            str = str2;
                                                                                                        }
                                                                                                        Application application = Core.app;
                                                                                                        if (application != null) {
                                                                                                            AssetManager assets = application.getAssets();
                                                                                                            try {
                                                                                                                InputStream open = assets.open("acl/jiandan-all.acl");
                                                                                                                ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                                                                                                                Intrinsics.checkExpressionValueIsNotNull(open, "it");
                                                                                                                ViewGroupUtilsApi14.copyTo$default(open, byteArrayOutputStream, 0, 2);
                                                                                                                byte[] byteArray = byteArrayOutputStream.toByteArray();
                                                                                                                Intrinsics.checkExpressionValueIsNotNull(byteArray, "baos.toByteArray()");
                                                                                                                Charset charset = Charsets.UTF_8;
                                                                                                                byte[] bytes = StringsKt__IndentKt.replace(new String(byteArray, charset), "#skipIpList#", str, false).getBytes(charset);
                                                                                                                Intrinsics.checkExpressionValueIsNotNull(bytes, "(this as java.lang.String).getBytes(charset)");
                                                                                                                ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(bytes);
                                                                                                                Core core2 = Core.INSTANCE;
                                                                                                                FileOutputStream fileOutputStream = new FileOutputStream(new File(core2.getDeviceStorage().getNoBackupFilesDir(), "jiandan-all.acl"));
                                                                                                                ViewGroupUtilsApi14.copyTo$default(byteArrayInputStream, fileOutputStream, 0, 2);
                                                                                                                ViewGroupUtilsApi14.closeFinally(fileOutputStream, null);
                                                                                                                ViewGroupUtilsApi14.closeFinally(open, null);
                                                                                                                InputStream open2 = assets.open("acl/jiandan-ss.acl");
                                                                                                                ByteArrayOutputStream byteArrayOutputStream2 = new ByteArrayOutputStream();
                                                                                                                Intrinsics.checkExpressionValueIsNotNull(open2, "it");
                                                                                                                ViewGroupUtilsApi14.copyTo$default(open2, byteArrayOutputStream2, 0, 2);
                                                                                                                byte[] byteArray2 = byteArrayOutputStream2.toByteArray();
                                                                                                                Intrinsics.checkExpressionValueIsNotNull(byteArray2, "baos.toByteArray()");
                                                                                                                byte[] bytes2 = StringsKt__IndentKt.replace(new String(byteArray2, charset), "#skipIpList#", str, false).getBytes(charset);
                                                                                                                Intrinsics.checkExpressionValueIsNotNull(bytes2, "(this as java.lang.String).getBytes(charset)");
                                                                                                                ByteArrayInputStream byteArrayInputStream2 = new ByteArrayInputStream(bytes2);
                                                                                                                FileOutputStream fileOutputStream2 = new FileOutputStream(new File(core2.getDeviceStorage().getNoBackupFilesDir(), "jiandan-ss.acl"));
                                                                                                                ViewGroupUtilsApi14.copyTo$default(byteArrayInputStream2, fileOutputStream2, 0, 2);
                                                                                                                ViewGroupUtilsApi14.closeFinally(fileOutputStream2, null);
                                                                                                                ViewGroupUtilsApi14.closeFinally(open2, null);
                                                                                                            } catch (IOException e) {
                                                                                                                Log.e("Core", "updateJianDanAcl", e);
                                                                                                            }
                                                                                                            changeState(BaseService$State.Idle, null);
                                                                                                            this.ssConnection.connect(this, this);
                                                                                                            Intent intent = getIntent();
                                                                                                            if (intent == null) {
                                                                                                                return;
                                                                                                            }
                                                                                                            if (Intrinsics.areEqual("com.flybird.alcedo.action.disconnect", intent.getAction())) {
                                                                                                                stopConnectForAnimation();
                                                                                                            } else if (Intrinsics.areEqual("com.flybird.alcedo.action.connect", intent.getAction())) {
                                                                                                                startConnectForAnimation();
                                                                                                            } else if (Intrinsics.areEqual("com.flybird.alcedo.action.exit", intent.getAction())) {
                                                                                                                MainApplication mainApplication10 = this.application;
                                                                                                                Intrinsics.checkExpressionValueIsNotNull(mainApplication10, "application");
                                                                                                                if (mainApplication10.alcedoService != null) {
                                                                                                                    MainApplication mainApplication11 = this.application;
                                                                                                                    Intrinsics.checkExpressionValueIsNotNull(mainApplication11, "application");
                                                                                                                    mainApplication11.alcedoService.exit();
                                                                                                                }
                                                                                                                removeALLActivity();
                                                                                                            } else if (Intrinsics.areEqual("com.flybird.alcedo.action.relogin", intent.getAction())) {
                                                                                                                this.application.executorService.execute(new MainActivity$UserLoginTask$1(this));
                                                                                                            }
                                                                                                        } else {
                                                                                                            Intrinsics.throwUninitializedPropertyAccessException("app");
                                                                                                            throw null;
                                                                                                        }
                                                                                                    } else {
                                                                                                        throw new TypeCastException("null cannot be cast to non-null type kotlin.Int");
                                                                                                    }
                                                                                                } else {
                                                                                                    throw new TypeCastException("null cannot be cast to non-null type kotlin.Int");
                                                                                                }
                                                                                            } else {
                                                                                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                                                                throw null;
                                                                                            }
                                                                                        } else {
                                                                                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                                                            throw null;
                                                                                        }
                                                                                    } else {
                                                                                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                                                        throw null;
                                                                                    }
                                                                                } else {
                                                                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                                                    throw null;
                                                                                }
                                                                            } else {
                                                                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                                                throw null;
                                                                            }
                                                                        } else {
                                                                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                                            throw null;
                                                                        }
                                                                    } else {
                                                                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                                        throw null;
                                                                    }
                                                                } else {
                                                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                                    throw null;
                                                                }
                                                            } else {
                                                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                                throw null;
                                                            }
                                                        } else {
                                                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                            throw null;
                                                        }
                                                    } else {
                                                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                        throw null;
                                                    }
                                                } else {
                                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                    throw null;
                                                }
                                            } else {
                                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                throw null;
                                            }
                                        } else {
                                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                                            throw null;
                                        }
                                    } else {
                                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                                        throw null;
                                    }
                                } else {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    throw null;
                                }
                            } else {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                throw null;
                            }
                        } else {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                            throw null;
                        }
                    } else {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        throw null;
                    }
                } else {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    throw null;
                }
            } else {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                throw null;
            }
        } else {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            throw null;
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onDestroy() {
        super.onDestroy();
        unregisterReceiver(this.refreshBroadcastReceiver);
    }

    @Override // androidx.appcompat.app.AppCompatActivity
    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        Intrinsics.checkParameterIsNotNull(keyEvent, "event");
        if (keyEvent.getKeyCode() == 4) {
            moveTaskToBack(true);
        }
        return super.onKeyDown(i, keyEvent);
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onNewIntent(Intent intent) {
        Intrinsics.checkParameterIsNotNull(intent, "intent");
        super.onNewIntent(intent);
        if (Intrinsics.areEqual("com.flybird.alcedo.action.disconnect", intent.getAction())) {
            stopConnectForAnimation();
        } else if (Intrinsics.areEqual("com.flybird.alcedo.action.connect", intent.getAction())) {
            startConnectForAnimation();
        } else if (Intrinsics.areEqual("com.flybird.alcedo.action.exit", intent.getAction())) {
            MainApplication mainApplication = this.application;
            Intrinsics.checkExpressionValueIsNotNull(mainApplication, "application");
            if (mainApplication.alcedoService != null) {
                MainApplication mainApplication2 = this.application;
                Intrinsics.checkExpressionValueIsNotNull(mainApplication2, "application");
                mainApplication2.alcedoService.exit();
            }
            removeALLActivity();
        }
    }

    @Override // androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onPause() {
        super.onPause();
        XfKefu.removeMessageListener(this.kefuListener);
        showMessageNum();
        Timer timer = this.overTimeCheckTimer;
        if (timer != null) {
            timer.cancel();
        }
        this.overTimeCheckTimer = null;
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback, androidx.fragment.app.FragmentActivity
    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        Intrinsics.checkParameterIsNotNull(strArr, "permissions");
        Intrinsics.checkParameterIsNotNull(iArr, "grantResults");
        super.onRequestPermissionsResult(i, strArr, iArr);
        if (i == 7) {
            if (!(!(iArr.length == 0)) || iArr[0] != 0) {
                Toast.makeText(this.activity, getString(R.string.open_camera_permission), 0).show();
            } else {
                startCaptureActivityForResult();
            }
        }
    }

    @Override // androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onResume() {
        super.onResume();
        XfKefu.addMessageListener(this.kefuListener);
        showMessageNum();
        if (this.overTimeCheckTimer == null) {
            this.overTimeCheckTimer = new Timer();
        }
        Timer timer = this.overTimeCheckTimer;
        if (timer != null) {
            timer.schedule(new MainActivity$onResume$1(this), 0, 1000);
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onStart() {
        super.onStart();
        setData();
    }

    /* JADX WARNING: Removed duplicated region for block: B:45:0x00ba  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00ce  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00e3  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x0166  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x01be  */
    public final void setData() {
        MainApplication mainApplication;
        ConfigEntity configEntity;
        ActivityMainBinding activityMainBinding;
        String str;
        String str2;
        String str3;
        MainApplication mainApplication2 = this.application;
        Intrinsics.checkExpressionValueIsNotNull(mainApplication2, "application");
        if (mainApplication2.userEntity != null) {
            MainApplication mainApplication3 = this.application;
            Intrinsics.checkExpressionValueIsNotNull(mainApplication3, "application");
            UserEntity userEntity = mainApplication3.userEntity;
            if (TextUtils.isEmpty(userEntity != null ? userEntity.email : null)) {
                MainApplication mainApplication4 = this.application;
                Intrinsics.checkExpressionValueIsNotNull(mainApplication4, "application");
                UserEntity userEntity2 = mainApplication4.userEntity;
                if (TextUtils.isEmpty(userEntity2 != null ? userEntity2.mobile : null)) {
                    ActivityMainBinding activityMainBinding2 = this.binding;
                    if (activityMainBinding2 != null) {
                        activityMainBinding2.btnOp.setText(R.string.btn_register_self);
                        ActivityMainBinding activityMainBinding3 = this.binding;
                        if (activityMainBinding3 != null) {
                            View view = activityMainBinding3.vUser1;
                            Intrinsics.checkExpressionValueIsNotNull(view, "binding.vUser1");
                            view.setVisibility(0);
                            ActivityMainBinding activityMainBinding4 = this.binding;
                            if (activityMainBinding4 != null) {
                                View view2 = activityMainBinding4.vUser2;
                                Intrinsics.checkExpressionValueIsNotNull(view2, "binding.vUser2");
                                view2.setVisibility(0);
                                mainApplication = this.application;
                                Intrinsics.checkExpressionValueIsNotNull(mainApplication, "application");
                                configEntity = mainApplication.configEntity;
                                String str4 = "is_show_reward";
                                if (configEntity == null && configEntity.isShowReward.intValue() == 0) {
                                    mainApplication.isShowReward = true;
                                } else {
                                    if (mainApplication.userEntity == null) {
                                        StringBuilder outline25 = GeneratedOutlineSupport.outline25(str4);
                                        outline25.append(String.valueOf(mainApplication.userEntity.userID));
                                        str3 = outline25.toString();
                                    } else {
                                        str3 = str4;
                                    }
                                    mainApplication.isShowReward = ((Boolean) mainApplication.sharedPreferencesHelper.getSharedPreference(str3, Boolean.FALSE)).booleanValue();
                                }
                                if (!mainApplication.isShowReward) {
                                    MainApplication mainApplication5 = this.application;
                                    Intrinsics.checkExpressionValueIsNotNull(mainApplication5, "application");
                                    mainApplication5.isShowReward = true;
                                    if (mainApplication5.userEntity != null) {
                                        StringBuilder outline252 = GeneratedOutlineSupport.outline25(str4);
                                        outline252.append(String.valueOf(mainApplication5.userEntity.userID));
                                        str4 = outline252.toString();
                                    }
                                    mainApplication5.sharedPreferencesHelper.put(str4, Boolean.TRUE);
                                    MainApplication mainApplication6 = this.application;
                                    Intrinsics.checkExpressionValueIsNotNull(mainApplication6, "application");
                                    UserEntity userEntity3 = mainApplication6.userEntity;
                                    if (userEntity3 == null || Intrinsics.compare(userEntity3.userSxid, 0) != 1) {
                                        BaseActivity baseActivity = this.activity;
                                        Dialog dialog = new Dialog(baseActivity, R.style.reward_dialog);
                                        View inflate = LayoutInflater.from(baseActivity).inflate(R.layout.dialog_reward, (ViewGroup) null);
                                        dialog.addContentView(inflate, new ViewGroup.LayoutParams(-1, -1));
                                        ((ImageView) inflate.findViewById(R.id.img_reward)).setOnClickListener(new DialogUtil$4(baseActivity, dialog));
                                        dialog.setContentView(inflate);
                                        dialog.setCancelable(false);
                                        dialog.show();
                                        Window window = dialog.getWindow();
                                        window.setWindowAnimations(R.style.reward_dialog_anim);
                                        window.setAttributes(window.getAttributes());
                                    }
                                }
                                activityMainBinding = this.binding;
                                if (activityMainBinding == null) {
                                    TextView textView = activityMainBinding.tvAccount;
                                    Intrinsics.checkExpressionValueIsNotNull(textView, "binding.tvAccount");
                                    MainApplication mainApplication7 = this.application;
                                    Intrinsics.checkExpressionValueIsNotNull(mainApplication7, "application");
                                    UserEntity userEntity4 = mainApplication7.userEntity;
                                    textView.setText(userEntity4 != null ? userEntity4.userName : null);
                                    MainApplication mainApplication8 = this.application;
                                    Intrinsics.checkExpressionValueIsNotNull(mainApplication8, "application");
                                    UserEntity userEntity5 = mainApplication8.userEntity;
                                    if (userEntity5 == null || (str2 = userEntity5.userOverTime) == null) {
                                        str = null;
                                    } else {
                                        str = str2.substring(0, 10);
                                        Intrinsics.checkNotNullExpressionValue(str, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                                    }
                                    StringBuilder outline28 = GeneratedOutlineSupport.outline28(str, " ");
                                    outline28.append(getString(R.string.over_time));
                                    String sb = outline28.toString();
                                    ActivityMainBinding activityMainBinding5 = this.binding;
                                    if (activityMainBinding5 != null) {
                                        TextView textView2 = activityMainBinding5.tvOverDate;
                                        Intrinsics.checkExpressionValueIsNotNull(textView2, "binding.tvOverDate");
                                        textView2.setText(sb);
                                    } else {
                                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                                        throw null;
                                    }
                                } else {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    throw null;
                                }
                            } else {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                throw null;
                            }
                        } else {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                            throw null;
                        }
                    } else {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        throw null;
                    }
                }
            }
            ActivityMainBinding activityMainBinding6 = this.binding;
            if (activityMainBinding6 != null) {
                Button button = activityMainBinding6.btnOp;
                Intrinsics.checkExpressionValueIsNotNull(button, "binding.btnOp");
                MainApplication mainApplication9 = this.application;
                Intrinsics.checkExpressionValueIsNotNull(mainApplication9, "application");
                UserEntity userEntity6 = mainApplication9.userEntity;
                button.setText(userEntity6 != null ? userEntity6.groupName : null);
                ActivityMainBinding activityMainBinding7 = this.binding;
                if (activityMainBinding7 != null) {
                    View view3 = activityMainBinding7.vUser1;
                    Intrinsics.checkExpressionValueIsNotNull(view3, "binding.vUser1");
                    view3.setVisibility(8);
                    ActivityMainBinding activityMainBinding8 = this.binding;
                    if (activityMainBinding8 != null) {
                        View view4 = activityMainBinding8.vUser2;
                        Intrinsics.checkExpressionValueIsNotNull(view4, "binding.vUser2");
                        view4.setVisibility(8);
                        mainApplication = this.application;
                        Intrinsics.checkExpressionValueIsNotNull(mainApplication, "application");
                        configEntity = mainApplication.configEntity;
                        String str42 = "is_show_reward";
                        if (configEntity == null) {
                        }
                        if (mainApplication.userEntity == null) {
                        }
                        mainApplication.isShowReward = ((Boolean) mainApplication.sharedPreferencesHelper.getSharedPreference(str3, Boolean.FALSE)).booleanValue();
                        if (!mainApplication.isShowReward) {
                        }
                        activityMainBinding = this.binding;
                        if (activityMainBinding == null) {
                        }
                    } else {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        throw null;
                    }
                } else {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    throw null;
                }
            } else {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                throw null;
            }
        }
        MainApplication mainApplication10 = this.application;
        Intrinsics.checkExpressionValueIsNotNull(mainApplication10, "application");
        if (mainApplication10.currentLineEntity != null) {
            ActivityMainBinding activityMainBinding9 = this.binding;
            if (activityMainBinding9 != null) {
                TextView textView3 = activityMainBinding9.tvCurrentLine;
                Intrinsics.checkExpressionValueIsNotNull(textView3, "binding.tvCurrentLine");
                MainApplication mainApplication11 = this.application;
                Intrinsics.checkExpressionValueIsNotNull(mainApplication11, "application");
                textView3.setText(mainApplication11.currentLineEntity.name);
            } else {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                throw null;
            }
        } else {
            ActivityMainBinding activityMainBinding10 = this.binding;
            if (activityMainBinding10 != null) {
                TextView textView4 = activityMainBinding10.tvCurrentLine;
                Intrinsics.checkExpressionValueIsNotNull(textView4, "binding.tvCurrentLine");
                textView4.setText(getString(R.string.auto_select_desc));
            } else {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                throw null;
            }
        }
        MainApplication mainApplication12 = this.application;
        Intrinsics.checkExpressionValueIsNotNull(mainApplication12, "application");
        ConfigEntity configEntity2 = mainApplication12.configEntity;
        if (TextUtils.isEmpty(configEntity2 != null ? configEntity2.kefuHtml : null)) {
            ActivityMainBinding activityMainBinding11 = this.binding;
            if (activityMainBinding11 != null) {
                TextView textView5 = activityMainBinding11.tvContact;
                Intrinsics.checkExpressionValueIsNotNull(textView5, "binding.tvContact");
                MainApplication mainApplication13 = this.application;
                Intrinsics.checkExpressionValueIsNotNull(mainApplication13, "application");
                ConfigEntity configEntity3 = mainApplication13.configEntity;
                textView5.setText(configEntity3 != null ? configEntity3.qqCode : null);
            } else {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                throw null;
            }
        }
        if (ProxyConfig.Instance.globalMode) {
            ActivityMainBinding activityMainBinding12 = this.binding;
            if (activityMainBinding12 != null) {
                TextView textView6 = activityMainBinding12.tvProxyModel;
                Intrinsics.checkExpressionValueIsNotNull(textView6, "binding.tvProxyModel");
                textView6.setText(getString(R.string.global_model));
                return;
            }
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            throw null;
        }
        ActivityMainBinding activityMainBinding13 = this.binding;
        if (activityMainBinding13 != null) {
            TextView textView7 = activityMainBinding13.tvProxyModel;
            Intrinsics.checkExpressionValueIsNotNull(textView7, "binding.tvProxyModel");
            textView7.setText(getString(R.string.intelligent_model));
            return;
        }
        Intrinsics.throwUninitializedPropertyAccessException("binding");
        throw null;
    }

    public final void showMessageNum() {
        int unreadMsgNum = XfKefu.getUnreadMsgNum();
        if (unreadMsgNum == 0) {
            ActivityMainBinding activityMainBinding = this.binding;
            if (activityMainBinding != null) {
                TextView textView = activityMainBinding.tvContact;
                Intrinsics.checkExpressionValueIsNotNull(textView, "binding.tvContact");
                textView.setVisibility(8);
                ActivityMainBinding activityMainBinding2 = this.binding;
                if (activityMainBinding2 != null) {
                    TextView textView2 = activityMainBinding2.tvContact;
                    Intrinsics.checkExpressionValueIsNotNull(textView2, "binding.tvContact");
                    textView2.setText(Retrofit2.RESP_CODE_SUCCESS);
                    return;
                }
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                throw null;
            }
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            throw null;
        }
        ActivityMainBinding activityMainBinding3 = this.binding;
        if (activityMainBinding3 != null) {
            TextView textView3 = activityMainBinding3.tvContact;
            Intrinsics.checkExpressionValueIsNotNull(textView3, "binding.tvContact");
            textView3.setVisibility(0);
            if (unreadMsgNum > 99) {
                ActivityMainBinding activityMainBinding4 = this.binding;
                if (activityMainBinding4 != null) {
                    TextView textView4 = activityMainBinding4.tvContact;
                    Intrinsics.checkExpressionValueIsNotNull(textView4, "binding.tvContact");
                    textView4.setText("99+");
                    return;
                }
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                throw null;
            }
            ActivityMainBinding activityMainBinding5 = this.binding;
            if (activityMainBinding5 != null) {
                TextView textView5 = activityMainBinding5.tvContact;
                Intrinsics.checkExpressionValueIsNotNull(textView5, "binding.tvContact");
                textView5.setText(String.valueOf(unreadMsgNum));
                return;
            }
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            throw null;
        }
        Intrinsics.throwUninitializedPropertyAccessException("binding");
        throw null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x003c  */
    /* JADX WARNING: Removed duplicated region for block: B:7:0x0022  */
    public final boolean showOverTime() {
        boolean z;
        List<LineEntity> list;
        MainApplication mainApplication = this.application;
        Intrinsics.checkExpressionValueIsNotNull(mainApplication, "application");
        boolean z2 = false;
        if (mainApplication.userEntity != null) {
            MainApplication mainApplication2 = this.application;
            Intrinsics.checkExpressionValueIsNotNull(mainApplication2, "application");
            if (mainApplication2.userEntity.exptimes >= 1) {
                z = false;
                if (z) {
                    MainApplication mainApplication3 = this.application;
                    Intrinsics.checkExpressionValueIsNotNull(mainApplication3, "application");
                    LineDataEntity privateLineDataEntity = mainApplication3.getPrivateLineDataEntity();
                    if (!(privateLineDataEntity == null || (list = privateLineDataEntity.lineEntityList) == null || (!list.isEmpty()))) {
                        z2 = true;
                    }
                    z = z2;
                }
                if (z) {
                    DialogOkCancel.Builder builder = new DialogOkCancel.Builder(this.activity);
                    builder.title = getString(R.string.sweet_tip);
                    MainApplication mainApplication4 = this.application;
                    Intrinsics.checkExpressionValueIsNotNull(mainApplication4, "application");
                    if (mainApplication4.userEntity != null) {
                        MainApplication mainApplication5 = this.application;
                        Intrinsics.checkExpressionValueIsNotNull(mainApplication5, "application");
                        UserEntity userEntity = mainApplication5.userEntity;
                        if (userEntity == null || Intrinsics.compare(userEntity.groupID, 2) != 1) {
                            builder.content = getString(R.string.trial_is_over_time);
                        } else {
                            builder.content = getString(R.string.vip_is_over_time);
                        }
                    } else {
                        builder.content = getString(R.string.trial_is_over_time);
                    }
                    String string = getString(R.string.to_pay);
                    MainActivity$showOverTime$1 mainActivity$showOverTime$1 = new MainActivity$showOverTime$1(this);
                    builder.positiveButtonText = string;
                    builder.positiveButtonClickListener = mainActivity$showOverTime$1;
                    String string2 = getString(R.string.i_know);
                    MainActivity$showOverTime$2 mainActivity$showOverTime$2 = MainActivity$showOverTime$2.INSTANCE;
                    builder.negativeButtonText = string2;
                    builder.negativeButtonClickListener = mainActivity$showOverTime$2;
                    builder.create().show();
                }
                return z;
            }
        }
        z = true;
        if (z) {
        }
        if (z) {
        }
        return z;
    }

    public final void startCaptureActivityForResult() {
        Intent intent = new Intent(this.activity, CaptureActivity.class);
        ZxingConfig zxingConfig = new ZxingConfig();
        zxingConfig.setShowbottomLayout(true);
        zxingConfig.setPlayBeep(true);
        zxingConfig.setShake(true);
        zxingConfig.setShowAlbum(true);
        zxingConfig.setShowFlashLight(true);
        zxingConfig.setPlayBeep(true);
        zxingConfig.setShake(true);
        zxingConfig.setDecodeBarCode(true);
        zxingConfig.setReactColor(R.color.colorPrimary);
        zxingConfig.setFrameLineColor(R.color.colorWhite);
        zxingConfig.setFullScreenScan(true);
        intent.putExtra("zxingConfig", zxingConfig);
        startActivityForResult(intent, 6);
    }

    /* JADX INFO: finally extract failed */
    public final void startConnectForAnimation() {
        List<Profile> list;
        if (this.isClickable) {
            MainApplication mainApplication = this.application;
            Intrinsics.checkExpressionValueIsNotNull(mainApplication, "application");
            if (mainApplication.currentLineEntity == null) {
                Toast.makeText(this.activity, getString(R.string.select_line), 0).show();
                return;
            }
            this.isClickable = false;
            ActivityMainBinding activityMainBinding = this.binding;
            if (activityMainBinding != null) {
                activityMainBinding.imgPower.setImageResource(R.mipmap.power_blue);
                startConnectTimer();
                ActivityMainBinding activityMainBinding2 = this.binding;
                if (activityMainBinding2 != null) {
                    TextView textView = activityMainBinding2.tvConnectStatus;
                    Intrinsics.checkExpressionValueIsNotNull(textView, "binding.tvConnectStatus");
                    textView.setText(getString(R.string.status_connecting));
                    MainApplication mainApplication2 = this.application;
                    Intrinsics.checkExpressionValueIsNotNull(mainApplication2, "application");
                    if (mainApplication2.currentLineEntity == null) {
                        Toast.makeText(this.activity, getString(R.string.select_line), 0).show();
                        return;
                    }
                    ActivityMainBinding activityMainBinding3 = this.binding;
                    if (activityMainBinding3 != null) {
                        TextView textView2 = activityMainBinding3.tvCurrentLine;
                        Intrinsics.checkExpressionValueIsNotNull(textView2, "binding.tvCurrentLine");
                        MainApplication mainApplication3 = this.application;
                        Intrinsics.checkExpressionValueIsNotNull(mainApplication3, "application");
                        textView2.setText(mainApplication3.currentLineEntity.name);
                        if (this.application.state.getCanStop()) {
                            Core.INSTANCE.stopService();
                            return;
                        }
                        MainApplication mainApplication4 = this.application;
                        Intrinsics.checkExpressionValueIsNotNull(mainApplication4, "application");
                        if (mainApplication4.currentLineEntity != null) {
                            Objects.requireNonNull(DataStore.INSTANCE);
                            Intrinsics.checkParameterIsNotNull("vpn", "<set-?>");
                            RoomPreferenceDataStore roomPreferenceDataStore = DataStore.publicStore;
                            roomPreferenceDataStore.putString("portProxy", String.valueOf(1080));
                            roomPreferenceDataStore.putString("portLocalDns", String.valueOf(5450));
                            try {
                                list = ((ProfileDao_Impl) PrivateDatabase.Companion.getProfileDao()).listAll();
                            } catch (SQLiteCantOpenDatabaseException e) {
                                throw new IOException(e);
                            } catch (SQLException e2) {
                                KProperty[] kPropertyArr = UtilsKt.$$delegatedProperties;
                                Intrinsics.checkParameterIsNotNull(e2, "t");
                                Log.e("", "", e2);
                                e2.printStackTrace();
                                list = null;
                            }
                            if (list != null) {
                                ProfileDao_Impl profileDao_Impl = (ProfileDao_Impl) PrivateDatabase.Companion.getProfileDao();
                                profileDao_Impl.__db.assertNotSuspendingTransaction();
                                SupportSQLiteStatement acquire = profileDao_Impl.__preparedStmtOfDeleteAll.acquire();
                                profileDao_Impl.__db.beginTransaction();
                                try {
                                    acquire.executeUpdateDelete();
                                    profileDao_Impl.__db.setTransactionSuccessful();
                                    profileDao_Impl.__db.endTransaction();
                                    profileDao_Impl.__preparedStmtOfDeleteAll.release(acquire);
                                    DirectBoot.INSTANCE.clean();
                                } catch (Throwable th) {
                                    profileDao_Impl.__db.endTransaction();
                                    profileDao_Impl.__preparedStmtOfDeleteAll.release(acquire);
                                    throw th;
                                }
                            }
                            ProfileManager profileManager = ProfileManager.INSTANCE;
                            Profile createProfile$default = ProfileManager.createProfile$default(profileManager, null, 1);
                            StringBuilder sb = new StringBuilder();
                            MainApplication mainApplication5 = this.application;
                            Intrinsics.checkExpressionValueIsNotNull(mainApplication5, "application");
                            LineEntity lineEntity = mainApplication5.currentLineEntity;
                            sb.append(lineEntity != null ? lineEntity.name : null);
                            sb.append("___");
                            MainApplication mainApplication6 = this.application;
                            Intrinsics.checkExpressionValueIsNotNull(mainApplication6, "application");
                            LineEntity lineEntity2 = mainApplication6.currentLineEntity;
                            sb.append(lineEntity2 != null ? lineEntity2.ssname : null);
                            sb.append("___");
                            MainApplication mainApplication7 = this.application;
                            Intrinsics.checkExpressionValueIsNotNull(mainApplication7, "application");
                            UserEntity userEntity = mainApplication7.userEntity;
                            sb.append(userEntity != null ? userEntity.userName : null);
                            createProfile$default.setName(sb.toString());
                            MainApplication mainApplication8 = this.application;
                            Intrinsics.checkExpressionValueIsNotNull(mainApplication8, "application");
                            String str = mainApplication8.currentLineEntity.vpnIP;
                            Intrinsics.checkExpressionValueIsNotNull(str, "application.currentLineEntity.vpnIP");
                            createProfile$default.setHost(str);
                            MainApplication mainApplication9 = this.application;
                            Intrinsics.checkExpressionValueIsNotNull(mainApplication9, "application");
                            createProfile$default.setRemotePort(mainApplication9.currentLineEntity.ssPort);
                            MainApplication mainApplication10 = this.application;
                            Intrinsics.checkExpressionValueIsNotNull(mainApplication10, "application");
                            String str2 = mainApplication10.currentLineEntity.sspwd;
                            Intrinsics.checkExpressionValueIsNotNull(str2, "application.currentLineEntity.sspwd");
                            createProfile$default.setPassword(str2);
                            MainApplication mainApplication11 = this.application;
                            Intrinsics.checkExpressionValueIsNotNull(mainApplication11, "application");
                            String str3 = mainApplication11.currentLineEntity.sstype;
                            Intrinsics.checkExpressionValueIsNotNull(str3, "application.currentLineEntity.sstype");
                            Locale locale = Locale.ROOT;
                            Intrinsics.checkExpressionValueIsNotNull(locale, "Locale.ROOT");
                            String lowerCase = str3.toLowerCase(locale);
                            Intrinsics.checkNotNullExpressionValue(lowerCase, "(this as java.lang.String).toLowerCase(locale)");
                            createProfile$default.setMethod(lowerCase);
                            if (ProxyConfig.Instance.globalMode) {
                                createProfile$default.setRoute("jiandan-all");
                            } else {
                                createProfile$default.setRoute("jiandan-ss");
                            }
                            profileManager.updateProfile(createProfile$default);
                            Core core = Core.INSTANCE;
                            long id = createProfile$default.getId();
                            Objects.requireNonNull(core);
                            Profile profile = profileManager.getProfile(id);
                            if (profile == null) {
                                profile = ProfileManager.createProfile$default(profileManager, null, 1);
                            }
                            DataStore dataStore = DataStore.INSTANCE;
                            long id2 = profile.getId();
                            Objects.requireNonNull(dataStore);
                            DataStore.publicStore.putLong("profileId", id2);
                            core.startService();
                            return;
                        }
                        return;
                    }
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    throw null;
                }
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                throw null;
            }
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            throw null;
        }
    }

    public final void startConnectTimer() {
        ActivityMainBinding activityMainBinding = this.binding;
        if (activityMainBinding != null) {
            View view = activityMainBinding.viewHide;
            Intrinsics.checkExpressionValueIsNotNull(view, "binding.viewHide");
            view.setVisibility(0);
            ActivityMainBinding activityMainBinding2 = this.binding;
            if (activityMainBinding2 != null) {
                View view2 = activityMainBinding2.viewHide;
                Intrinsics.checkExpressionValueIsNotNull(view2, "binding.viewHide");
                ViewGroup.LayoutParams layoutParams = view2.getLayoutParams();
                if (layoutParams != null) {
                    LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) layoutParams;
                    layoutParams2.width = ViewGroupUtilsApi14.dip2px(this.activity, 70.0f);
                    ActivityMainBinding activityMainBinding3 = this.binding;
                    if (activityMainBinding3 != null) {
                        View view3 = activityMainBinding3.viewHide;
                        Intrinsics.checkExpressionValueIsNotNull(view3, "binding.viewHide");
                        view3.setLayoutParams(layoutParams2);
                        Timer timer = new Timer();
                        this.connectTimer = timer;
                        if (timer != null) {
                            timer.schedule(new MainActivity$startConnectTimer$1(this), 0, 50);
                            return;
                        }
                        return;
                    }
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    throw null;
                }
                throw new TypeCastException("null cannot be cast to non-null type android.widget.LinearLayout.LayoutParams");
            }
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            throw null;
        }
        Intrinsics.throwUninitializedPropertyAccessException("binding");
        throw null;
    }

    public final void stopConnectForAnimation() {
        if (this.isClickable) {
            this.isClickable = false;
            if (this.application.state.getCanStop()) {
                ActivityMainBinding activityMainBinding = this.binding;
                if (activityMainBinding != null) {
                    activityMainBinding.imgPower.setImageResource(R.mipmap.power_gray);
                    startConnectTimer();
                    ActivityMainBinding activityMainBinding2 = this.binding;
                    if (activityMainBinding2 != null) {
                        TextView textView = activityMainBinding2.tvConnectStatus;
                        Intrinsics.checkExpressionValueIsNotNull(textView, "binding.tvConnectStatus");
                        textView.setText(getString(R.string.status_disconnecting));
                        if (this.application.state.getCanStop()) {
                            Core.INSTANCE.stopService();
                            return;
                        }
                        return;
                    }
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    throw null;
                }
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                throw null;
            }
        }
    }
}
