package com.faster.cheetah;

import android.app.Activity;
import android.app.ActivityManager;
import android.app.Application;
import android.content.pm.ApplicationInfo;
import android.content.res.AssetManager;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.os.Build;
import android.os.Process;
import android.os.UserManager;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.util.Log;
import androidx.appcompat.app.AppCompatDelegate;
import androidx.appcompat.widget.VectorEnabledTintResources;
import androidx.collection.ArraySet;
import androidx.core.content.ContextCompat;
import androidx.transition.ViewGroupUtilsApi14;
import androidx.work.Configuration;
import androidx.work.impl.WorkManagerImpl;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.entity.BuyEntity;
import com.faster.cheetah.entity.ChangeGroupEntity;
import com.faster.cheetah.entity.ConfigEntity;
import com.faster.cheetah.entity.ExchangeVipEntity;
import com.faster.cheetah.entity.LineDataEntity;
import com.faster.cheetah.entity.LineEntity;
import com.faster.cheetah.entity.MessageEntity;
import com.faster.cheetah.entity.OrderDetailEntity;
import com.faster.cheetah.entity.OrderEntity;
import com.faster.cheetah.entity.PayTypeEntity;
import com.faster.cheetah.entity.RetrievePasswordEntity;
import com.faster.cheetah.entity.Share2IncomeEntity;
import com.faster.cheetah.entity.Share2RegisteredEntity;
import com.faster.cheetah.entity.Share2StatsEntity;
import com.faster.cheetah.entity.Share2WithdrawAccountEntity;
import com.faster.cheetah.entity.Share2WithdrawnEntity;
import com.faster.cheetah.entity.ShareDataEntity;
import com.faster.cheetah.entity.TagEntity;
import com.faster.cheetah.entity.ThirdPayEntity;
import com.faster.cheetah.entity.UserEntity;
import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import com.faster.cheetah.service.AlcedoService;
import com.faster.cheetah.util.CrashHandler;
import com.faster.cheetah.util.DeviceUUIDFactory;
import com.faster.cheetah.util.SharedPreferencesHelper;
import com.github.shadowsocks.Core;
import com.github.shadowsocks.Core$init$1;
import com.github.shadowsocks.acl.Acl;
import com.github.shadowsocks.bg.BaseService$State;
import com.github.shadowsocks.net.TcpFastOpen;
import com.github.shadowsocks.net.TcpFastOpen$enableTimeout$1;
import com.github.shadowsocks.preference.DataStore;
import com.github.shadowsocks.preference.RoomPreferenceDataStore;
import com.github.shadowsocks.utils.DirectBoot;
import com.github.shadowsocks.utils.UtilsKt;
import com.meituan.android.walle.ChannelInfo;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.lang.ref.WeakReference;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Objects;
import java.util.UUID;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import kotlin.io.FilesKt__FileReadWriteKt;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import kotlin.reflect.KClass;
import kotlin.reflect.KProperty;
import kotlin.text.Charsets;
import net.xfkefu.sdk.XfKefu;
import org.json.JSONException;
import org.json.JSONObject;

/* compiled from: MainApplication.kt */
public final class MainApplication extends Application {
    public final List<Activity> activityList = new ArrayList();
    public AlcedoService alcedoService;
    public String bindMailCodeResponseData = "";
    public String bindMobileCodeResponseData = "";
    public List<BuyEntity> buyEntityList;
    public ChangeGroupEntity changeGroupEntity;
    public ConfigEntity configEntity;
    public LineEntity currentLineEntity;
    public int currentSSOnlineID;
    public String deviceID;
    public ExchangeVipEntity exchangeVipEntity;
    public final ExecutorService executorService = Executors.newSingleThreadExecutor();
    public String invitationCode;
    public boolean isLogin;
    public boolean isShowReward = false;
    public int language = 0;
    public List<LineEntity> lineEntityList;
    public String mailRegisterCodeResponseData = "";
    public String mailResetPasswordCodeResponseData = "";
    public MessageEntity messageEntity;
    public List<MessageEntity> messageEntityList;
    public String mobileRegisterCodeResponseData = "";
    public String mobileResetPasswordCodeResponseData = "";
    public List<OrderDetailEntity> orderDetailEntityList;
    public OrderEntity orderEntity;
    public List<PayTypeEntity> payTypeEntityList;
    public LineDataEntity privateLineDataEntity;
    public RetrievePasswordEntity retrievePasswordEntity;
    public String serverDomain = null;
    public List<String> serverDomainList;
    public ShareDataEntity shareDataEntity;
    public List<Share2IncomeEntity> shareIncomeEntityList;
    public List<Share2RegisteredEntity> shareRegisteredEntityList;
    public Share2StatsEntity shareStatsEntity;
    public List<Share2WithdrawnEntity> shareWithdrawnEntityList;
    public SharedPreferencesHelper sharedPreferencesHelper;
    public BaseService$State state = BaseService$State.Idle;
    public List<TagEntity> tagEntityList;
    public ThirdPayEntity thirdPayEntity;
    public UserEntity userEntity;
    public Share2WithdrawAccountEntity withdrawAccountEntity;

    public int getCurrentAppLanguage() {
        int intValue = ((Integer) this.sharedPreferencesHelper.getSharedPreference("language", 0)).intValue();
        if (intValue != 0) {
            return intValue;
        }
        Locale locale = Locale.getDefault();
        String language2 = locale.getLanguage();
        String country = locale.getCountry();
        if ("zh".equalsIgnoreCase(language2)) {
            return "CN".equalsIgnoreCase(country) ? 1 : 2;
        }
        "en".equalsIgnoreCase(language2);
        return 3;
    }

    public String getDeviceID() {
        if (this.deviceID == null) {
            new DeviceUUIDFactory(this);
            UUID uuid = DeviceUUIDFactory.uuid;
            this.deviceID = uuid != null ? uuid.toString() : null;
        }
        return this.deviceID;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x001f  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0057  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x006a  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x006f  */
    public String getInvitationCode() {
        String str;
        HashMap hashMap;
        if (TextUtils.isEmpty(this.invitationCode)) {
            ChannelInfo channelInfo = null;
            try {
                ApplicationInfo applicationInfo = getApplicationContext().getApplicationInfo();
                if (applicationInfo == null) {
                    str = null;
                    if (!TextUtils.isEmpty(str)) {
                        try {
                            String raw = ViewGroupUtilsApi14.getRaw(new File(str));
                            if (raw == null) {
                                hashMap = null;
                                if (hashMap != null) {
                                    hashMap.remove("channel");
                                    channelInfo = new ChannelInfo((String) hashMap.get("channel"), hashMap);
                                }
                            } else {
                                JSONObject jSONObject = new JSONObject(raw);
                                Iterator<String> keys = jSONObject.keys();
                                hashMap = new HashMap();
                                while (keys.hasNext()) {
                                    String obj = keys.next().toString();
                                    hashMap.put(obj, jSONObject.getString(obj));
                                }
                                if (hashMap != null) {
                                }
                            }
                        } catch (JSONException e) {
                            e.printStackTrace();
                        }
                    }
                    if (channelInfo == null) {
                        this.invitationCode = channelInfo.channel;
                    } else {
                        this.invitationCode = "";
                    }
                } else {
                    str = applicationInfo.sourceDir;
                    if (!TextUtils.isEmpty(str)) {
                    }
                    if (channelInfo == null) {
                    }
                }
            } catch (Throwable unused) {
            }
        }
        return this.invitationCode;
    }

    public LineDataEntity getPrivateLineDataEntity() {
        if (this.privateLineDataEntity == null) {
            this.privateLineDataEntity = new LineDataEntity();
        }
        return this.privateLineDataEntity;
    }

    public final void init() {
        CrashHandler crashHandler = CrashHandler.sInstance;
        Objects.requireNonNull(crashHandler);
        crashHandler.mDefaultCrashHandler = Thread.getDefaultUncaughtExceptionHandler();
        Thread.setDefaultUncaughtExceptionHandler(crashHandler);
        crashHandler.mContext = getApplicationContext();
        CrashHandler.PATH = getExternalFilesDir("crash").getPath();
        XfKefu.init(null, "1448624475913588737");
        this.isLogin = false;
        SharedPreferencesHelper sharedPreferencesHelper2 = new SharedPreferencesHelper(this, "alcedo");
        this.sharedPreferencesHelper = sharedPreferencesHelper2;
        this.serverDomain = (String) sharedPreferencesHelper2.getSharedPreference("server_domain_1", null);
        ArrayList arrayList = new ArrayList();
        this.serverDomainList = arrayList;
        arrayList.add("http://api.gsdsd52sf4a.com:3306/client.php");
        this.serverDomainList.add("http://api.gsdfe3520zfa.com:3306/client.php");
        this.serverDomainList.add("http://api.askjdhsdjh.com:3306/client.php");
        this.serverDomainList.add("http://api.as2kjdhs1djh.com:3306/client.php");
        this.serverDomainList.add("http://api.as26sfsadjh.com:3306/client.php");
        String str = this.serverDomain;
        if (str != null) {
            this.serverDomainList.remove(str);
            this.serverDomainList.add(0, this.serverDomain);
            this.serverDomain = "";
        }
        int intValue = ((Integer) this.sharedPreferencesHelper.getSharedPreference("language", 0)).intValue();
        this.language = intValue;
        switchLanguage(ViewGroupUtilsApi14.getLocal(intValue));
    }

    public boolean isAllReadMessage() {
        List<MessageEntity> list = this.messageEntityList;
        if (list != null) {
            for (MessageEntity messageEntity2 : list) {
                if (!isReadMessage(messageEntity2.id)) {
                    return false;
                }
            }
        }
        return true;
    }

    public boolean isReadMessage(int i) {
        String str = (String) this.sharedPreferencesHelper.getSharedPreference("read_message_id_set", "");
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        String outline18 = GeneratedOutlineSupport.outline18(str, ",");
        return outline18.contains("," + i + ",");
    }

    public void logout() {
        if (this.alcedoService != null) {
            Core.INSTANCE.stopService();
        }
        if (this.state == BaseService$State.Connected) {
            Core.INSTANCE.stopService();
        }
        this.userEntity = null;
        this.currentLineEntity = null;
        this.lineEntityList.clear();
        this.tagEntityList.clear();
        SharedPreferencesHelper sharedPreferencesHelper2 = this.sharedPreferencesHelper;
        sharedPreferencesHelper2.editor.remove(VpnProfileDataSource.KEY_PASSWORD);
        sharedPreferencesHelper2.editor.commit();
        SharedPreferencesHelper sharedPreferencesHelper3 = this.sharedPreferencesHelper;
        sharedPreferencesHelper3.editor.remove("sign_in_date");
        sharedPreferencesHelper3.editor.commit();
    }

    public void onConfigurationChanged(Configuration configuration) {
        Intrinsics.checkParameterIsNotNull(configuration, "newConfig");
        super.onConfigurationChanged(configuration);
        Core.INSTANCE.updateNotificationChannels();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:24:0x00a4, code lost:
        r1 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:25:0x00a5, code lost:
        androidx.transition.ViewGroupUtilsApi14.closeFinally(r9, r0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x00a8, code lost:
        throw r1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:62:0x0175, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:63:0x0176, code lost:
        androidx.transition.ViewGroupUtilsApi14.closeFinally(r10, r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:64:0x0179, code lost:
        throw r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:68:0x017c, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:69:0x017d, code lost:
        androidx.transition.ViewGroupUtilsApi14.closeFinally(r11, r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:70:0x0180, code lost:
        throw r2;
     */
    public void onCreate() {
        UserManager userManager;
        super.onCreate();
        String packageName = getPackageName();
        List<ActivityManager.RunningAppProcessInfo> runningAppProcesses = ((ActivityManager) getSystemService("activity")).getRunningAppProcesses();
        if (runningAppProcesses != null) {
            Iterator<ActivityManager.RunningAppProcessInfo> it = runningAppProcesses.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                ActivityManager.RunningAppProcessInfo next = it.next();
                if (next.pid == Process.myPid() && (r3 = next.processName) != null) {
                    break;
                }
            }
        }
        String str = null;
        if (packageName.equals(str)) {
            init();
        }
        Core core = Core.INSTANCE;
        KClass orCreateKotlinClass = Reflection.getOrCreateKotlinClass(MainActivity.class);
        Objects.requireNonNull(core);
        Intrinsics.checkParameterIsNotNull(this, "app");
        Intrinsics.checkParameterIsNotNull(orCreateKotlinClass, "configureClass");
        Core.app = this;
        Core.configureIntent = new Core$init$1(orCreateKotlinClass);
        int i = Build.VERSION.SDK_INT;
        if (i >= 24) {
            core.getDeviceStorage().moveDatabaseFrom(this, "config.db");
            Acl.Companion companion = Acl.Companion;
            File file = companion.getFile("custom-rules", this);
            if (file.canRead()) {
                File file$default = Acl.Companion.getFile$default(companion, "custom-rules", null, 2);
                Charset charset = Charsets.UTF_8;
                Intrinsics.checkNotNullParameter(file, "$this$readText");
                Intrinsics.checkNotNullParameter(charset, "charset");
                InputStreamReader inputStreamReader = new InputStreamReader(new FileInputStream(file), charset);
                String readText = FilesKt__FileReadWriteKt.readText(inputStreamReader);
                ViewGroupUtilsApi14.closeFinally(inputStreamReader, null);
                FilesKt__FileReadWriteKt.writeText$default(file$default, readText, null, 2);
                file.delete();
            }
        }
        System.setProperty("kotlinx.coroutines.debug", "on");
        Application deviceStorage = core.getDeviceStorage();
        Configuration.Builder builder = new Configuration.Builder();
        builder.mExecutor = $$LambdaGroup$js$RU2o3u_32t5791QtUnP2JcF98zk.INSTANCE$0;
        builder.mTaskExecutor = $$LambdaGroup$js$RU2o3u_32t5791QtUnP2JcF98zk.INSTANCE$1;
        WorkManagerImpl.initialize(deviceStorage, new androidx.work.Configuration(builder));
        if (i >= 24 && DataStore.INSTANCE.getDirectBootAware() && (userManager = (UserManager) ContextCompat.getSystemService(this, UserManager.class)) != null && userManager.isUserUnlocked()) {
            DirectBoot.INSTANCE.flushTrafficStats();
        }
        if (DataStore.INSTANCE.getTcpFastOpen() && !TcpFastOpen.INSTANCE.getSendEnabled()) {
            String str2 = (String) ViewGroupUtilsApi14.runBlocking$default(null, new TcpFastOpen$enableTimeout$1(null), 1, null);
        }
        RoomPreferenceDataStore roomPreferenceDataStore = DataStore.publicStore;
        long j = -1;
        Objects.requireNonNull(roomPreferenceDataStore);
        Intrinsics.checkParameterIsNotNull("assetUpdateTime", "key");
        Long l = roomPreferenceDataStore.getLong("assetUpdateTime");
        if (l != null) {
            j = l.longValue();
        }
        if (j != core.getPackageInfo().lastUpdateTime) {
            AssetManager assets = getAssets();
            try {
                String[] list = assets.list("acl");
                if (list != null) {
                    for (String str3 : list) {
                        InputStream open = assets.open("acl/" + str3);
                        FileOutputStream fileOutputStream = new FileOutputStream(new File(Core.INSTANCE.getDeviceStorage().getNoBackupFilesDir(), str3));
                        Intrinsics.checkExpressionValueIsNotNull(open, "input");
                        ViewGroupUtilsApi14.copyTo$default(open, fileOutputStream, 0, 2);
                        ViewGroupUtilsApi14.closeFinally(fileOutputStream, null);
                        ViewGroupUtilsApi14.closeFinally(open, null);
                    }
                    Objects.requireNonNull(DataStore.INSTANCE);
                    DataStore.publicStore.putLong("assetUpdateTime", core.getPackageInfo().lastUpdateTime);
                } else {
                    Intrinsics.throwNpe();
                    throw null;
                }
            } catch (IOException e) {
                KProperty[] kPropertyArr = UtilsKt.$$delegatedProperties;
                Intrinsics.checkParameterIsNotNull(e, "t");
                Log.e("", "", e);
                e.printStackTrace();
            }
        }
        core.updateNotificationChannels();
        ArraySet<WeakReference<AppCompatDelegate>> arraySet = AppCompatDelegate.sActivityDelegates;
        VectorEnabledTintResources.sCompatVectorFromResourcesEnabled = true;
    }

    public final void switchLanguage(Locale locale) {
        Resources resources = getResources();
        android.content.res.Configuration configuration = resources.getConfiguration();
        DisplayMetrics displayMetrics = resources.getDisplayMetrics();
        configuration.setLocale(locale);
        resources.updateConfiguration(configuration, displayMetrics);
    }
}
