package com.faster.cheetah.customerview;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.View;
import androidx.transition.ViewGroupUtilsApi14;
import com.allpayx.sdk.constants.AllPayConst;
import com.faster.cheetah.R$styleable;
import java.util.ArrayList;
import java.util.List;
import org.xbill.DNS.KEYRecord;

public class WaveView extends View {
    public boolean isFill;
    public List<Integer> mAlphas;
    public int mColor;
    public int mImageRadius;
    public Integer mMaxRadius;
    public Paint mPaint;
    public List<Integer> mRadius;
    public int mWidth;

    public WaveView(Context context) {
        this(context, null);
    }

    public void invalidate() {
        if (hasWindowFocus()) {
            super.invalidate();
        }
    }

    public void onDraw(Canvas canvas) {
        this.mPaint.setColor(this.mColor);
        for (int i = 0; i < this.mAlphas.size(); i++) {
            Integer num = this.mAlphas.get(i);
            this.mPaint.setAlpha(num.intValue());
            Integer num2 = this.mRadius.get(i);
            if (this.isFill) {
                this.mPaint.setStyle(Paint.Style.FILL);
                canvas.drawCircle((float) (getWidth() / 2), (float) (getHeight() / 2), (float) (num2.intValue() + this.mImageRadius), this.mPaint);
                this.mPaint.setStyle(Paint.Style.STROKE);
                this.mPaint.setStrokeWidth(1.0f);
                canvas.drawCircle((float) (getWidth() / 2), (float) (getHeight() / 2), (float) (num2.intValue() + this.mImageRadius), this.mPaint);
                this.mPaint.setAlpha(KEYRecord.PROTOCOL_ANY);
                this.mPaint.setStyle(Paint.Style.FILL);
                canvas.drawCircle((float) (getWidth() / 2), (float) (getHeight() / 2), (float) this.mImageRadius, this.mPaint);
            } else {
                this.mPaint.setStyle(Paint.Style.STROKE);
                this.mPaint.setStrokeWidth(5.0f);
                canvas.drawCircle((float) (getWidth() / 2), (float) (getHeight() / 2), (float) (num2.intValue() + this.mImageRadius), this.mPaint);
            }
            if (num.intValue() > 0) {
                if (num2.intValue() + this.mImageRadius < this.mMaxRadius.intValue()) {
                }
            }
            if (num.intValue() < 0) {
                if (num2.intValue() + this.mImageRadius > this.mMaxRadius.intValue()) {
                    this.mRadius.remove(i);
                    this.mAlphas.remove(i);
                }
            }
        }
        List<Integer> list = this.mRadius;
        if (list.get(list.size() - 1).intValue() == this.mWidth) {
            this.mAlphas.add(Integer.valueOf((int) KEYRecord.PROTOCOL_ANY));
            this.mRadius.add(0);
        }
    }

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        this.mMaxRadius = Integer.valueOf((getWidth() > getHeight() ? getHeight() : getWidth()) / 2);
        invalidate();
    }

    public void setColor(int i) {
        this.mColor = i;
    }

    public void setFill(boolean z) {
        this.isFill = z;
    }

    public void setImageRadius(int i) {
        this.mImageRadius = i;
    }

    public void setMaxRadius(int i) {
        this.mMaxRadius = Integer.valueOf(i);
    }

    public void setWidth(int i) {
        this.mWidth = i;
    }

    public WaveView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public WaveView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.mColor = -256;
        this.mImageRadius = 50;
        this.mWidth = 3;
        this.mMaxRadius = Integer.valueOf((int) AllPayConst.MSG_VTPAY_PAY_START_AP);
        this.mAlphas = new ArrayList();
        this.mRadius = new ArrayList();
        this.isFill = true;
        Paint paint = new Paint();
        this.mPaint = paint;
        paint.setAntiAlias(true);
        this.mAlphas.add(Integer.valueOf((int) KEYRecord.PROTOCOL_ANY));
        this.mRadius.add(0);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.WaveView, i, 0);
        this.mColor = obtainStyledAttributes.getColor(0, this.mColor);
        this.mWidth = ViewGroupUtilsApi14.dip2px(context, (float) obtainStyledAttributes.getInt(2, this.mWidth));
        this.mImageRadius = ViewGroupUtilsApi14.dip2px(context, (float) obtainStyledAttributes.getInt(1, this.mImageRadius));
        obtainStyledAttributes.recycle();
    }
}
