package com.faster.cheetah.dialog;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.ProgressBar;
import android.widget.TextView;
import com.zfast.xyz.R;

public class DialogOkCancel extends Dialog {

    public static class Builder {
        public boolean cancelAble = true;
        public String content;
        public Context context;
        public DialogInterface.OnClickListener negativeButtonClickListener;
        public String negativeButtonText;
        public DialogInterface.OnClickListener positiveButtonClickListener;
        public String positiveButtonText;
        public String title;

        public Builder(Context context2) {
            this.context = context2;
        }

        public DialogOkCancel create() {
            final DialogOkCancel dialogOkCancel = new DialogOkCancel(this.context, R.style.ok_cancel_dialog);
            View inflate = LayoutInflater.from(this.context).inflate(R.layout.dialog_ok_cancel, (ViewGroup) null);
            dialogOkCancel.addContentView(inflate, new ViewGroup.LayoutParams(-1, -2));
            LinearLayout linearLayout = (LinearLayout) inflate.findViewById(R.id.layout_btn);
            ProgressBar progressBar = (ProgressBar) inflate.findViewById(R.id.progress_down);
            ((TextView) inflate.findViewById(R.id.tv_title)).setText(this.title);
            if (this.positiveButtonText != null) {
                Button button = (Button) inflate.findViewById(R.id.btn_ok);
                button.setText(this.positiveButtonText);
                if (this.positiveButtonClickListener != null) {
                    button.setOnClickListener(new View.OnClickListener() {
                        /* class com.faster.cheetah.dialog.DialogOkCancel.Builder.AnonymousClass1 */

                        public void onClick(View view) {
                            Builder.this.positiveButtonClickListener.onClick(dialogOkCancel, -1);
                        }
                    });
                }
            } else {
                inflate.findViewById(R.id.btn_ok).setVisibility(8);
            }
            if (this.negativeButtonText != null) {
                Button button2 = (Button) inflate.findViewById(R.id.btn_cancel);
                button2.setText(this.negativeButtonText);
                if (this.negativeButtonClickListener != null) {
                    button2.setOnClickListener(new View.OnClickListener() {
                        /* class com.faster.cheetah.dialog.DialogOkCancel.Builder.AnonymousClass2 */

                        public void onClick(View view) {
                            Builder.this.negativeButtonClickListener.onClick(dialogOkCancel, -2);
                        }
                    });
                }
            } else {
                inflate.findViewById(R.id.btn_cancel).setVisibility(8);
            }
            if (this.content != null) {
                ((TextView) inflate.findViewById(R.id.tv_content)).setText(this.content);
            }
            dialogOkCancel.setContentView(inflate);
            dialogOkCancel.setCancelable(this.cancelAble);
            return dialogOkCancel;
        }

        public Builder setContent(int i) {
            this.content = (String) this.context.getText(i);
            return this;
        }

        public Builder setNegativeButton(int i, DialogInterface.OnClickListener onClickListener) {
            this.negativeButtonText = (String) this.context.getText(i);
            this.negativeButtonClickListener = onClickListener;
            return this;
        }

        public Builder setPositiveButton(int i, DialogInterface.OnClickListener onClickListener) {
            this.positiveButtonText = (String) this.context.getText(i);
            this.positiveButtonClickListener = onClickListener;
            return this;
        }

        public Builder setTitle(int i) {
            this.title = (String) this.context.getText(i);
            return this;
        }
    }

    public DialogOkCancel(Context context, int i) {
        super(context, i);
    }
}
