package com.faster.cheetah.sdk.shadowsocks.core;

import com.allpayx.sdk.util.HttpUtil;
import com.faster.cheetah.sdk.shadowsocks.tcpip.CommonMethods;
import java.util.Locale;

public class HttpHostHeaderParser {
    public static String getHttpHost(byte[] bArr, int i, int i2) {
        String[] split = new String(bArr, i, i2).split("\\r\\n");
        String str = split[0];
        if (!(str.startsWith(HttpUtil.METHOD_GET) || str.startsWith(HttpUtil.METHOD_POST) || str.startsWith("HEAD") || str.startsWith("OPTIONS"))) {
            return null;
        }
        for (int i3 = 1; i3 < split.length; i3++) {
            String[] split2 = split[i3].split(":");
            if (split2.length == 2) {
                String trim = split2[0].toLowerCase(Locale.ENGLISH).trim();
                String trim2 = split2[1].trim();
                if ("host".equals(trim)) {
                    return trim2;
                }
            }
        }
        return null;
    }

    public static String getSNI(byte[] bArr, int i, int i2) {
        int i3;
        int i4;
        int readShort;
        int readShort2;
        int i5 = i + i2;
        if (i2 <= 43 || bArr[i] != 22) {
            System.err.println("Bad TLS Client Hello packet.");
            return null;
        }
        int i6 = i + 43;
        int i7 = i6 + 1;
        if (i7 > i5 || (i4 = (i3 = i7 + (bArr[i6] & 255)) + 2) > i5 || (readShort2 = (readShort = i4 + (CommonMethods.readShort(bArr, i3) & 65535)) + 1) > i5) {
            return null;
        }
        int i8 = readShort2 + (bArr[readShort] & 255);
        if (i8 == i5) {
            System.err.println("TLS Client Hello packet doesn't contains SNI info.(offset == limit)");
            return null;
        }
        int i9 = i8 + 2;
        if (i9 > i5) {
            return null;
        }
        if ((CommonMethods.readShort(bArr, i8) & 65535) + i9 > i5) {
            System.err.println("TLS Client Hello packet is incomplete.");
            return null;
        }
        while (i9 + 4 <= i5) {
            int i10 = i9 + 1;
            int i11 = bArr[i9] & 255;
            int i12 = i10 + 1;
            int i13 = bArr[i10] & 255;
            int readShort3 = CommonMethods.readShort(bArr, i12) & 65535;
            int i14 = i12 + 2;
            if (i11 == 0 && i13 == 0 && readShort3 > 5) {
                int i15 = i14 + 5;
                int i16 = readShort3 - 5;
                if (i15 + i16 > i5) {
                    return null;
                }
                return new String(bArr, i15, i16);
            }
            i9 = i14 + readShort3;
        }
        System.err.println("TLS Client Hello packet doesn't contains Host field info.");
        return null;
    }

    public static String parseHost(byte[] bArr, int i, int i2) {
        try {
            byte b = bArr[i];
            if (b == 22) {
                return getSNI(bArr, i, i2);
            }
            if (b == 84 || b == 67 || b == 68 || b == 71 || b == 72 || b == 79 || b == 80) {
                return getHttpHost(bArr, i, i2);
            }
            return null;
        } catch (Exception e) {
            e.printStackTrace();
            LocalVpnService.Instance.writeLog("Error: parseHost:%s", e);
            return null;
        }
    }
}
