package com.faster.cheetah.sdk.shadowsocks.core;

import android.util.SparseArray;
import com.faster.cheetah.sdk.shadowsocks.tcpip.CommonMethods;

public class NatSessionManager {
    public static final int MAX_SESSION_COUNT = 60;
    public static final long SESSION_TIMEOUT_NS = 60000000000L;
    public static final SparseArray<NatSession> Sessions = new SparseArray<>();

    public static void clearExpiredSessions() {
        long nanoTime = System.nanoTime();
        for (int size = Sessions.size() - 1; size >= 0; size--) {
            SparseArray<NatSession> sparseArray = Sessions;
            if (nanoTime - sparseArray.valueAt(size).LastNanoTime > SESSION_TIMEOUT_NS) {
                sparseArray.removeAt(size);
            }
        }
    }

    public static NatSession createSession(int i, int i2, short s) {
        SparseArray<NatSession> sparseArray = Sessions;
        if (sparseArray.size() > 60) {
            clearExpiredSessions();
        }
        NatSession natSession = new NatSession();
        natSession.LastNanoTime = System.nanoTime();
        natSession.RemoteIP = i2;
        natSession.RemotePort = s;
        if (ProxyConfig.isFakeIP(i2)) {
            natSession.RemoteHost = DnsProxy.reverseLookup(i2);
        }
        if (natSession.RemoteHost == null) {
            natSession.RemoteHost = CommonMethods.ipIntToString(i2);
        }
        sparseArray.put(i, natSession);
        return natSession;
    }

    public static NatSession getSession(int i) {
        return Sessions.get(i);
    }

    public static int getSessionCount() {
        return Sessions.size();
    }
}
