package com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks;

import java.io.ByteArrayOutputStream;
import java.util.HashMap;
import java.util.Map;
import javax.crypto.SecretKey;
import javax.crypto.spec.SecretKeySpec;
import org.bouncycastle.crypto.StreamCipher;
import org.bouncycastle.crypto.engines.ChaCha7539Engine;
import org.bouncycastle.crypto.engines.ChaChaEngine;

public class Chacha20Crypt extends CryptBase {
    public static final String CIPHER_CHACHA20 = "chacha20";
    public static final String CIPHER_CHACHA20_IETF = "chacha20-ietf";

    public Chacha20Crypt(String str, String str2) {
        super(str, str2);
    }

    public static Map<String, String> getCiphers() {
        HashMap hashMap = new HashMap();
        hashMap.put(CIPHER_CHACHA20, Chacha20Crypt.class.getName());
        hashMap.put(CIPHER_CHACHA20_IETF, Chacha20Crypt.class.getName());
        return hashMap;
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks.CryptBase
    public void _decrypt(byte[] bArr, ByteArrayOutputStream byteArrayOutputStream) {
        byte[] bArr2 = new byte[bArr.length];
        byteArrayOutputStream.write(bArr2, 0, this.decCipher.processBytes(bArr, 0, bArr.length, bArr2, 0));
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks.CryptBase
    public void _encrypt(byte[] bArr, ByteArrayOutputStream byteArrayOutputStream) {
        byte[] bArr2 = new byte[bArr.length];
        byteArrayOutputStream.write(bArr2, 0, this.encCipher.processBytes(bArr, 0, bArr.length, bArr2, 0));
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks.CryptBase
    public StreamCipher getCipher(boolean z) {
        if (this._name.equals(CIPHER_CHACHA20)) {
            return new ChaChaEngine();
        }
        if (this._name.equals(CIPHER_CHACHA20_IETF)) {
            return new ChaCha7539Engine();
        }
        return null;
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks.ICrypt
    public int getIVLength() {
        if (this._name.equals(CIPHER_CHACHA20)) {
            return 8;
        }
        return this._name.equals(CIPHER_CHACHA20_IETF) ? 12 : 0;
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks.CryptBase
    public SecretKey getKey() {
        return new SecretKeySpec(this._ssKey.getEncoded(), "AES");
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks.ICrypt
    public int getKeyLength() {
        return (this._name.equals(CIPHER_CHACHA20) || this._name.equals(CIPHER_CHACHA20_IETF)) ? 32 : 0;
    }
}
