package com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks;

import java.io.ByteArrayOutputStream;
import java.util.HashMap;
import java.util.Map;
import javax.crypto.SecretKey;
import javax.crypto.spec.SecretKeySpec;
import org.bouncycastle.crypto.CipherParameters;
import org.bouncycastle.crypto.StreamCipher;
import org.bouncycastle.crypto.engines.RC4Engine;
import org.bouncycastle.crypto.params.KeyParameter;

public class Rc4Md5Crypt extends CryptBase {
    public static String CIPHER_RC4_MD5 = "rc4-md5";

    public Rc4Md5Crypt(String str, String str2) {
        super(str, str2);
    }

    public static Map<String, String> getCiphers() {
        HashMap hashMap = new HashMap();
        hashMap.put(CIPHER_RC4_MD5, Rc4Md5Crypt.class.getName());
        return hashMap;
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks.CryptBase
    public void _decrypt(byte[] bArr, ByteArrayOutputStream byteArrayOutputStream) {
        byte[] bArr2 = new byte[bArr.length];
        byteArrayOutputStream.write(bArr2, 0, this.decCipher.processBytes(bArr, 0, bArr.length, bArr2, 0));
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks.CryptBase
    public void _encrypt(byte[] bArr, ByteArrayOutputStream byteArrayOutputStream) {
        byte[] bArr2 = new byte[bArr.length];
        byteArrayOutputStream.write(bArr2, 0, this.encCipher.processBytes(bArr, 0, bArr.length, bArr2, 0));
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks.CryptBase
    public StreamCipher getCipher(boolean z) {
        return new RC4Engine();
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks.CryptBase
    public CipherParameters getCipherParameters(byte[] bArr) {
        byte[] bArr2 = new byte[(this._keyLength + this._ivLength)];
        System.arraycopy(this._key.getEncoded(), 0, bArr2, 0, this._keyLength);
        System.arraycopy(bArr, 0, bArr2, this._keyLength, this._ivLength);
        return new KeyParameter(CryptBase.md5Digest(bArr2));
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks.ICrypt
    public int getIVLength() {
        return 16;
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks.CryptBase
    public SecretKey getKey() {
        return new SecretKeySpec(this._ssKey.getEncoded(), "AES");
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks.ICrypt
    public int getKeyLength() {
        return 16;
    }
}
