package com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks;

import android.net.Uri;
import android.util.Base64;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.sdk.shadowsocks.tunnel.Config;
import java.net.InetSocketAddress;

public class ShadowsocksConfig extends Config {
    public String EncryptMethod;
    public String Password;

    public static ShadowsocksConfig parse(String str) {
        ShadowsocksConfig shadowsocksConfig = new ShadowsocksConfig();
        Uri parse = Uri.parse(str);
        if (parse.getPort() == -1) {
            String host = parse.getHost();
            StringBuilder outline25 = GeneratedOutlineSupport.outline25("ss://");
            outline25.append(new String(Base64.decode(host.getBytes("ASCII"), 0)));
            parse = Uri.parse(outline25.toString());
        }
        String userInfo = parse.getUserInfo();
        if (userInfo != null) {
            String[] split = userInfo.split(":");
            shadowsocksConfig.EncryptMethod = split[0];
            if (split.length >= 2) {
                shadowsocksConfig.Password = split[1];
            }
        }
        if (CryptFactory.isCipherExisted(shadowsocksConfig.EncryptMethod)) {
            shadowsocksConfig.ServerAddress = new InetSocketAddress(parse.getHost(), parse.getPort());
            return shadowsocksConfig;
        }
        throw new Exception(String.format("Method: %s does not support", shadowsocksConfig.EncryptMethod));
    }

    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        return toString().equals(obj.toString());
    }

    public String toString() {
        return String.format("ss://%s:%s@%s", this.EncryptMethod, this.Password, this.ServerAddress);
    }
}
