package com.faster.cheetah.sdk.strongswan.logic;

import androidx.annotation.Keep;
import java.io.BufferedOutputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.SocketTimeoutException;
import java.net.URL;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.concurrent.Callable;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

@Keep
public class SimpleFetcher {
    private static boolean mDisabled;
    private static ExecutorService mExecutor = Executors.newCachedThreadPool();
    private static ArrayList<Future> mFutures = new ArrayList<>();
    private static Object mLock = new Object();

    public static void disable() {
        synchronized (mLock) {
            mDisabled = true;
            Iterator<Future> it = mFutures.iterator();
            while (it.hasNext()) {
                it.next().cancel(true);
            }
        }
    }

    public static void enable() {
        synchronized (mLock) {
            mDisabled = false;
        }
    }

    public static byte[] fetch(String str, byte[] bArr, String str2) {
        synchronized (mLock) {
            if (mDisabled) {
                return null;
            }
            Future submit = mExecutor.submit(new Callable(str, str2, bArr) {
                /* class com.faster.cheetah.sdk.strongswan.logic.$$Lambda$SimpleFetcher$6yZkuNFGAvD9F89qgUNC2P8gY */
                public final /* synthetic */ String f$0;
                public final /* synthetic */ String f$1;
                public final /* synthetic */ byte[] f$2;

                {
                    this.f$0 = r1;
                    this.f$1 = r2;
                    this.f$2 = r3;
                }

                @Override // java.util.concurrent.Callable
                public final Object call() {
                    return SimpleFetcher.lambda$fetch$0(this.f$0, this.f$1, this.f$2);
                }
            });
            mFutures.add(submit);
            try {
                byte[] bArr2 = (byte[]) submit.get(10000, TimeUnit.MILLISECONDS);
                synchronized (mLock) {
                    mFutures.remove(submit);
                }
                return bArr2;
            } catch (InterruptedException | CancellationException | ExecutionException | TimeoutException unused) {
                synchronized (mLock) {
                    mFutures.remove(submit);
                    return null;
                }
            } catch (Throwable th) {
                synchronized (mLock) {
                    mFutures.remove(submit);
                    throw th;
                }
            }
        }
    }

    public static /* synthetic */ byte[] lambda$fetch$0(String str, String str2, byte[] bArr) {
        HttpURLConnection httpURLConnection = (HttpURLConnection) new URL(str).openConnection();
        httpURLConnection.setConnectTimeout(10000);
        httpURLConnection.setReadTimeout(10000);
        if (str2 != null) {
            try {
                httpURLConnection.setRequestProperty("Content-Type", str2);
            } catch (SocketTimeoutException unused) {
                httpURLConnection.disconnect();
                return null;
            } catch (Throwable th) {
                httpURLConnection.disconnect();
                throw th;
            }
        }
        if (bArr != null) {
            httpURLConnection.setDoOutput(true);
            httpURLConnection.setFixedLengthStreamingMode(bArr.length);
            BufferedOutputStream bufferedOutputStream = new BufferedOutputStream(httpURLConnection.getOutputStream());
            bufferedOutputStream.write(bArr);
            bufferedOutputStream.close();
        }
        byte[] streamToArray = streamToArray(httpURLConnection.getInputStream());
        httpURLConnection.disconnect();
        return streamToArray;
    }

    /* JADX INFO: finally extract failed */
    private static byte[] streamToArray(InputStream inputStream) {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        byte[] bArr = new byte[1024];
        while (true) {
            try {
                int read = inputStream.read(bArr);
                if (read != -1) {
                    byteArrayOutputStream.write(bArr, 0, read);
                } else {
                    byte[] byteArray = byteArrayOutputStream.toByteArray();
                    inputStream.close();
                    return byteArray;
                }
            } catch (IOException e) {
                e.printStackTrace();
                inputStream.close();
                return null;
            } catch (Throwable th) {
                inputStream.close();
                throw th;
            }
        }
    }
}
