package com.faster.cheetah.sdk.strongswan.logic.imc.attributes;

import android.util.Pair;
import com.faster.cheetah.sdk.strongswan.logic.imc.collectors.Protocol;
import com.faster.cheetah.sdk.strongswan.utils.BufferedByteWriter;
import java.util.Iterator;
import java.util.LinkedList;

public class PortFilterAttribute implements Attribute {
    private final LinkedList<Pair<Protocol, Short>> mPorts = new LinkedList<>();

    public void addPort(Protocol protocol, short s) {
        this.mPorts.add(new Pair<>(protocol, Short.valueOf(s)));
    }

    @Override // com.faster.cheetah.sdk.strongswan.logic.imc.attributes.Attribute
    public byte[] getEncoding() {
        BufferedByteWriter bufferedByteWriter = new BufferedByteWriter();
        Iterator<Pair<Protocol, Short>> it = this.mPorts.iterator();
        while (it.hasNext()) {
            Pair<Protocol, Short> next = it.next();
            bufferedByteWriter.put((byte) 0);
            bufferedByteWriter.put(((Protocol) next.first).getValue());
            bufferedByteWriter.put16(((Short) next.second).shortValue());
        }
        return bufferedByteWriter.toByteArray();
    }
}
