package com.faster.cheetah.sdk.strongswan.logic.imc.collectors;

import android.content.ContentResolver;
import android.content.Context;
import android.provider.Settings;
import com.faster.cheetah.sdk.strongswan.logic.imc.attributes.Attribute;
import com.faster.cheetah.sdk.strongswan.logic.imc.attributes.DeviceIdAttribute;

public class DeviceIdCollector implements Collector {
    private final ContentResolver mContentResolver;

    public DeviceIdCollector(Context context) {
        this.mContentResolver = context.getContentResolver();
    }

    @Override // com.faster.cheetah.sdk.strongswan.logic.imc.collectors.Collector
    public Attribute getMeasurement() {
        String string = Settings.Secure.getString(this.mContentResolver, "android_id");
        if (string == null) {
            return null;
        }
        DeviceIdAttribute deviceIdAttribute = new DeviceIdAttribute();
        deviceIdAttribute.setDeviceId(string);
        return deviceIdAttribute;
    }
}
