package com.faster.cheetah.sdk.strongswan.logic.imc.collectors;

import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import com.faster.cheetah.sdk.strongswan.logic.imc.attributes.Attribute;
import com.faster.cheetah.sdk.strongswan.logic.imc.attributes.InstalledPackagesAttribute;

public class InstalledPackagesCollector implements Collector {
    private final PackageManager mPackageManager;

    public InstalledPackagesCollector(Context context) {
        this.mPackageManager = context.getPackageManager();
    }

    @Override // com.faster.cheetah.sdk.strongswan.logic.imc.collectors.Collector
    public Attribute getMeasurement() {
        String str;
        String str2;
        InstalledPackagesAttribute installedPackagesAttribute = new InstalledPackagesAttribute();
        for (PackageInfo packageInfo : this.mPackageManager.getInstalledPackages(0)) {
            if (!((packageInfo.applicationInfo.flags & 1) != 0 || (str = packageInfo.packageName) == null || (str2 = packageInfo.versionName) == null)) {
                installedPackagesAttribute.addPackage(str, str2);
            }
        }
        return installedPackagesAttribute;
    }
}
