package com.faster.cheetah.sdk.strongswan.logic.imc.collectors;

import com.faster.cheetah.sdk.strongswan.logic.imc.attributes.Attribute;
import com.faster.cheetah.sdk.strongswan.logic.imc.attributes.PortFilterAttribute;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class PortFilterCollector implements Collector {
    private static Pattern LISTEN = Pattern.compile("\\bLISTEN\\b");
    private static Pattern PORT = Pattern.compile("[:]{1,3}(\\d{1,5})\\b(?!\\.)");
    private static Pattern PROTOCOL = Pattern.compile("\\b(tcp|udp)6?\\b");

    @Override // com.faster.cheetah.sdk.strongswan.logic.imc.collectors.Collector
    public Attribute getMeasurement() {
        PortFilterAttribute portFilterAttribute;
        IOException e;
        Throwable th;
        try {
            Process exec = Runtime.getRuntime().exec("netstat -n");
            try {
                BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(exec.getInputStream()));
                portFilterAttribute = new PortFilterAttribute();
                while (true) {
                    try {
                        String readLine = bufferedReader.readLine();
                        if (readLine == null) {
                            try {
                                break;
                            } catch (IOException e2) {
                                e = e2;
                                e.printStackTrace();
                                return portFilterAttribute;
                            }
                        } else if (LISTEN.matcher(readLine).find()) {
                            Matcher matcher = PROTOCOL.matcher(readLine);
                            Matcher matcher2 = PORT.matcher(readLine);
                            if (matcher.find() && matcher2.find()) {
                                Protocol fromName = Protocol.fromName(matcher.group());
                                if (fromName != null) {
                                    portFilterAttribute.addPort(fromName, (short) Integer.parseInt(matcher2.group(1)));
                                }
                            }
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        exec.destroy();
                        throw th;
                    }
                }
                exec.destroy();
            } catch (Throwable th3) {
                th = th3;
                exec.destroy();
                throw th;
            }
        } catch (IOException e3) {
            portFilterAttribute = null;
            e = e3;
            e.printStackTrace();
            return portFilterAttribute;
        }
        return portFilterAttribute;
    }
}
