package com.faster.cheetah.sdk.strongswan.logic.imc.collectors;

import android.content.ContentResolver;
import android.content.Context;
import android.provider.Settings;
import com.faster.cheetah.sdk.strongswan.logic.imc.attributes.Attribute;
import com.faster.cheetah.sdk.strongswan.logic.imc.attributes.SettingsAttribute;
import java.util.Locale;

public class SettingsCollector implements Collector {
    private final ContentResolver mContentResolver;
    private final String[] mSettings;

    public SettingsCollector(Context context, String[] strArr) {
        this.mContentResolver = context.getContentResolver();
        this.mSettings = strArr;
    }

    @Override // com.faster.cheetah.sdk.strongswan.logic.imc.collectors.Collector
    public Attribute getMeasurement() {
        String[] strArr = this.mSettings;
        if (strArr == null || strArr.length == 0) {
            return null;
        }
        SettingsAttribute settingsAttribute = new SettingsAttribute();
        String[] strArr2 = this.mSettings;
        for (String str : strArr2) {
            ContentResolver contentResolver = this.mContentResolver;
            Locale locale = Locale.US;
            String string = Settings.Secure.getString(contentResolver, str.toLowerCase(locale));
            if (string == null) {
                string = Settings.System.getString(this.mContentResolver, str.toLowerCase(locale));
            }
            if (string != null) {
                settingsAttribute.addSetting(str, string);
            }
        }
        return settingsAttribute;
    }
}
