package com.faster.cheetah.ui;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Message;
import androidx.appcompat.app.AppCompatActivity;
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
import com.faster.cheetah.MainApplication;

public class BaseActivity extends AppCompatActivity {
    public BaseActivity activity;
    public MainApplication application;
    public final BroadcastReceiver broadcastReceiver = new BroadcastReceiver() {
        /* class com.faster.cheetah.ui.BaseActivity.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            if ("com.flybird.alcedo.action.login.expired".equals(intent.getAction())) {
                Message message = new Message();
                message.what = -1;
                BaseActivity.this.superHandleMessage(message);
            }
        }
    };
    public Context context;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (this.application == null) {
            this.application = (MainApplication) getApplication();
        }
        this.activity = this;
        this.context = this;
        MainApplication mainApplication = this.application;
        if (!mainApplication.activityList.contains(this)) {
            mainApplication.activityList.add(this);
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        MainApplication mainApplication = this.application;
        BaseActivity baseActivity = this.activity;
        if (mainApplication.activityList.contains(baseActivity)) {
            mainApplication.activityList.remove(baseActivity);
            baseActivity.finish();
        }
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onPause() {
        super.onPause();
        LocalBroadcastManager.getInstance(this.context).unregisterReceiver(this.broadcastReceiver);
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onResume() {
        super.onResume();
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("com.flybird.alcedo.action.login.expired");
        LocalBroadcastManager.getInstance(this.context).registerReceiver(this.broadcastReceiver, intentFilter);
    }

    public void removeALLActivity() {
        for (Activity activity2 : this.application.activityList) {
            activity2.finish();
        }
        System.exit(0);
    }

    public boolean superHandleMessage(Message message) {
        if (message.what != -1) {
            return false;
        }
        this.application.logout();
        Intent intent = new Intent(this.activity, LoginActivity.class);
        intent.addFlags(268468224);
        startActivity(intent);
        finish();
        return true;
    }
}
