package com.faster.cheetah.ui;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import androidx.databinding.DataBindingUtil;
import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.RecyclerView;
import androidx.viewpager2.adapter.FragmentStateAdapter;
import androidx.viewpager2.widget.ViewPager2;
import com.faster.cheetah.databinding.ActivityBuyPanelBinding;
import com.google.android.material.tabs.TabLayout;
import com.google.android.material.tabs.TabLayoutMediator;
import com.zfast.xyz.R;
import java.util.Objects;

public class BuyPanelActivity extends BaseActivity {
    public ActivityBuyPanelBinding binding;
    public LinePrivateBuyFragment buyPrivateFragment;
    public VipBuyFragment buyVipFragment;
    public String[] tabs;

    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (this.binding.viewPager2.getCurrentItem() == 0) {
            VipBuyFragment vipBuyFragment = this.buyVipFragment;
            if (vipBuyFragment != null) {
                vipBuyFragment.onActivityResult(i, i2, intent);
                return;
            }
            return;
        }
        LinePrivateBuyFragment linePrivateBuyFragment = this.buyPrivateFragment;
        if (linePrivateBuyFragment != null) {
            linePrivateBuyFragment.onActivityResult(i, i2, intent);
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        ActivityBuyPanelBinding activityBuyPanelBinding = (ActivityBuyPanelBinding) DataBindingUtil.setContentView(this.activity, R.layout.activity_buy_panel);
        this.binding = activityBuyPanelBinding;
        activityBuyPanelBinding.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$BuyPanelActivity$F3ArwKSYbxiahA0KEyj7HA0_ro */

            public final void onClick(View view) {
                BuyPanelActivity.this.finish();
            }
        });
        this.binding.tvRechargeDetail.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$BuyPanelActivity$dj0V86Ch1TojabrjlPSZSWPRiOQ */

            public final void onClick(View view) {
                BuyPanelActivity buyPanelActivity = BuyPanelActivity.this;
                Objects.requireNonNull(buyPanelActivity);
                buyPanelActivity.startActivity(new Intent(buyPanelActivity, MyOrderActivity.class));
            }
        });
        this.binding.tabLayout.addOnTabSelectedListener((TabLayout.OnTabSelectedListener) new TabLayout.OnTabSelectedListener() {
            /* class com.faster.cheetah.ui.BuyPanelActivity.AnonymousClass1 */

            @Override // com.google.android.material.tabs.TabLayout.BaseOnTabSelectedListener
            public void onTabReselected(TabLayout.Tab tab) {
            }

            @Override // com.google.android.material.tabs.TabLayout.BaseOnTabSelectedListener
            public void onTabSelected(TabLayout.Tab tab) {
                BuyPanelActivity.this.binding.viewPager2.setCurrentItem(tab.position);
            }

            @Override // com.google.android.material.tabs.TabLayout.BaseOnTabSelectedListener
            public void onTabUnselected(TabLayout.Tab tab) {
            }
        });
        this.binding.viewPager2.setUserInputEnabled(false);
        Intent intent = getIntent();
        int intExtra = intent.getIntExtra("aloneId", 0);
        intent.getIntExtra("dqid", 0);
        intent.getIntExtra("proid", 0);
        if (intExtra > 0) {
            String[] strArr = {"续费独享线路"};
            this.tabs = strArr;
            for (String str : strArr) {
                TabLayout tabLayout = this.binding.tabLayout;
                TabLayout.Tab newTab = tabLayout.newTab();
                newTab.setText(str);
                tabLayout.addTab(newTab, tabLayout.tabs.isEmpty());
            }
            this.binding.viewPager2.setAdapter(new FragmentStateAdapter(this) {
                /* class com.faster.cheetah.ui.BuyPanelActivity.AnonymousClass2 */

                @Override // androidx.viewpager2.adapter.FragmentStateAdapter
                public Fragment createFragment(int i) {
                    BuyPanelActivity buyPanelActivity = BuyPanelActivity.this;
                    if (buyPanelActivity.buyPrivateFragment == null) {
                        buyPanelActivity.buyPrivateFragment = new LinePrivateBuyFragment(0);
                    }
                    return BuyPanelActivity.this.buyPrivateFragment;
                }

                @Override // androidx.recyclerview.widget.RecyclerView.Adapter
                public int getItemCount() {
                    return BuyPanelActivity.this.tabs.length;
                }
            });
            return;
        }
        String[] strArr2 = {"开通会员", "购买独享线路"};
        this.tabs = strArr2;
        for (String str2 : strArr2) {
            TabLayout tabLayout2 = this.binding.tabLayout;
            TabLayout.Tab newTab2 = tabLayout2.newTab();
            newTab2.setText(str2);
            tabLayout2.addTab(newTab2, tabLayout2.tabs.isEmpty());
        }
        this.binding.viewPager2.setAdapter(new FragmentStateAdapter(this) {
            /* class com.faster.cheetah.ui.BuyPanelActivity.AnonymousClass3 */

            @Override // androidx.viewpager2.adapter.FragmentStateAdapter
            public Fragment createFragment(int i) {
                if (i == 0) {
                    BuyPanelActivity buyPanelActivity = BuyPanelActivity.this;
                    if (buyPanelActivity.buyVipFragment == null) {
                        buyPanelActivity.buyVipFragment = new VipBuyFragment();
                    }
                    return BuyPanelActivity.this.buyVipFragment;
                }
                BuyPanelActivity buyPanelActivity2 = BuyPanelActivity.this;
                if (buyPanelActivity2.buyPrivateFragment == null) {
                    buyPanelActivity2.buyPrivateFragment = new LinePrivateBuyFragment();
                }
                return BuyPanelActivity.this.buyPrivateFragment;
            }

            @Override // androidx.recyclerview.widget.RecyclerView.Adapter
            public int getItemCount() {
                return BuyPanelActivity.this.tabs.length;
            }
        });
        ActivityBuyPanelBinding activityBuyPanelBinding2 = this.binding;
        TabLayout tabLayout3 = activityBuyPanelBinding2.tabLayout;
        ViewPager2 viewPager2 = activityBuyPanelBinding2.viewPager2;
        TabLayoutMediator tabLayoutMediator = new TabLayoutMediator(tabLayout3, viewPager2, new TabLayoutMediator.TabConfigurationStrategy() {
            /* class com.faster.cheetah.ui.BuyPanelActivity.AnonymousClass4 */
        });
        if (!tabLayoutMediator.attached) {
            RecyclerView.Adapter<?> adapter = viewPager2.getAdapter();
            tabLayoutMediator.adapter = adapter;
            if (adapter != null) {
                tabLayoutMediator.attached = true;
                TabLayoutMediator.TabLayoutOnPageChangeCallback tabLayoutOnPageChangeCallback = new TabLayoutMediator.TabLayoutOnPageChangeCallback(tabLayout3);
                tabLayoutMediator.onPageChangeCallback = tabLayoutOnPageChangeCallback;
                viewPager2.mExternalPageChangeCallbacks.mCallbacks.add(tabLayoutOnPageChangeCallback);
                TabLayoutMediator.ViewPagerOnTabSelectedListener viewPagerOnTabSelectedListener = new TabLayoutMediator.ViewPagerOnTabSelectedListener(viewPager2, true);
                tabLayoutMediator.onTabSelectedListener = viewPagerOnTabSelectedListener;
                tabLayout3.addOnTabSelectedListener((TabLayout.OnTabSelectedListener) viewPagerOnTabSelectedListener);
                TabLayoutMediator.PagerAdapterObserver pagerAdapterObserver = new TabLayoutMediator.PagerAdapterObserver();
                tabLayoutMediator.pagerAdapterObserver = pagerAdapterObserver;
                tabLayoutMediator.adapter.registerAdapterDataObserver(pagerAdapterObserver);
                tabLayoutMediator.populateTabsFromPagerAdapter();
                tabLayout3.setScrollPosition(viewPager2.getCurrentItem(), 0.0f, true, true);
                this.binding.viewPager2.setCurrentItem(intent.getIntExtra("buy", 0));
                return;
            }
            throw new IllegalStateException("TabLayoutMediator attached before ViewPager2 has an adapter");
        }
        throw new IllegalStateException("TabLayoutMediator is already attached");
    }
}
