package com.faster.cheetah.ui;

import android.app.Dialog;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.Toast;
import androidx.databinding.DataBindingUtil;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.databinding.ActivityChangeGroupBinding;
import com.faster.cheetah.entity.ChangeGroupEntity;
import com.faster.cheetah.entity.ChangeGroupResponseEntity;
import com.faster.cheetah.service.AlcedoService;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.zfast.xyz.R;
import java.util.Locale;
import okhttp3.FormBody;
import org.json.JSONException;
import org.json.JSONObject;

public class ChangeGroupActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public ActivityChangeGroupBinding binding;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.ChangeGroupActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!ChangeGroupActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    ChangeGroupActivity changeGroupActivity = ChangeGroupActivity.this;
                    Toast.makeText(changeGroupActivity.activity, changeGroupActivity.getString(R.string.network_not_available), 0).show();
                } else if (i == 3) {
                    ChangeGroupActivity changeGroupActivity2 = ChangeGroupActivity.this;
                    Toast.makeText(changeGroupActivity2.activity, changeGroupActivity2.getString(R.string.error_no_available_server_domain), 0).show();
                } else if (i != 20) {
                    switch (i) {
                        case 72:
                            ChangeGroupActivity.this.setData();
                            return;
                        case 73:
                            Toast.makeText(ChangeGroupActivity.this.activity, string, 0).show();
                            return;
                        case 74:
                            ChangeGroupActivity changeGroupActivity3 = ChangeGroupActivity.this;
                            Toast.makeText(changeGroupActivity3.activity, changeGroupActivity3.getString(R.string.error_data_format), 0).show();
                            return;
                        case 75:
                            ChangeGroupActivity changeGroupActivity4 = ChangeGroupActivity.this;
                            Toast.makeText(changeGroupActivity4.activity, changeGroupActivity4.getString(R.string.error_access), 0).show();
                            return;
                        case 76:
                            ChangeGroupActivity.this.setData();
                            Toast.makeText(ChangeGroupActivity.this.activity, string, 0).show();
                            return;
                        case 77:
                            Toast.makeText(ChangeGroupActivity.this.activity, string, 0).show();
                            return;
                        case 78:
                            ChangeGroupActivity changeGroupActivity5 = ChangeGroupActivity.this;
                            Toast.makeText(changeGroupActivity5.activity, changeGroupActivity5.getString(R.string.error_data_format), 0).show();
                            return;
                        case 79:
                            ChangeGroupActivity changeGroupActivity6 = ChangeGroupActivity.this;
                            Toast.makeText(changeGroupActivity6.activity, changeGroupActivity6.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    ChangeGroupActivity changeGroupActivity7 = ChangeGroupActivity.this;
                    Toast.makeText(changeGroupActivity7.activity, changeGroupActivity7.getString(R.string.error_no_login), 0).show();
                }
            }
        }
    };

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        ActivityChangeGroupBinding activityChangeGroupBinding = (ActivityChangeGroupBinding) DataBindingUtil.setContentView(this.activity, R.layout.activity_change_group);
        this.binding = activityChangeGroupBinding;
        activityChangeGroupBinding.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.ChangeGroupActivity.AnonymousClass2 */

            public void onClick(View view) {
                ChangeGroupActivity.this.finish();
            }
        });
        this.binding.btnConfirm.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.ChangeGroupActivity.AnonymousClass3 */

            public void onClick(View view) {
                ChangeGroupActivity changeGroupActivity = ChangeGroupActivity.this;
                int i = ChangeGroupActivity.$r8$clinit;
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(changeGroupActivity.activity);
                loadingDialog.show();
                MainApplication mainApplication = changeGroupActivity.application;
                mainApplication.executorService.execute(new Runnable(loadingDialog) {
                    /* class com.faster.cheetah.ui.$$Lambda$ChangeGroupActivity$YWCIdCZK7Qz5lkvNv4M1obSdMFo */
                    public final /* synthetic */ Dialog f$1;

                    {
                        this.f$1 = r2;
                    }

                    public final void run() {
                        ChangeGroupActivity changeGroupActivity = ChangeGroupActivity.this;
                        Dialog dialog = this.f$1;
                        AlcedoService alcedoService = changeGroupActivity.application.alcedoService;
                        if (alcedoService != null) {
                            Message message = new Message();
                            StringBuilder sb = new StringBuilder();
                            sb.append(alcedoService.application.serverDomain);
                            sb.append("?p=apido&c=1&t=user_vip_change_sumbit&lang=");
                            GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                            String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                            FormBody.Builder builder = new FormBody.Builder();
                            builder.add("accessToken", alcedoService.application.userEntity.accessToken);
                            String httpRequest = alcedoService.httpRequest(outline8, builder);
                            if (httpRequest != null) {
                                try {
                                    ChangeGroupResponseEntity changeGroupResponseEntity = (ChangeGroupResponseEntity) new Gson().fromJson(new JSONObject(httpRequest).toString(), ChangeGroupResponseEntity.class);
                                    int i = changeGroupResponseEntity.code;
                                    if (1 == i) {
                                        message.what = 76;
                                        alcedoService.application.changeGroupEntity = changeGroupResponseEntity.changeGroupEntity;
                                        Bundle bundle = new Bundle();
                                        bundle.putString("msg", changeGroupResponseEntity.msg);
                                        message.setData(bundle);
                                    } else if (401 == i) {
                                        message.what = -1;
                                        Bundle bundle2 = new Bundle();
                                        bundle2.putString("msg", changeGroupResponseEntity.msg);
                                        message.setData(bundle2);
                                    } else {
                                        message.what = 77;
                                        Bundle bundle3 = new Bundle();
                                        bundle3.putString("msg", changeGroupResponseEntity.msg);
                                        message.setData(bundle3);
                                    }
                                } catch (JsonSyntaxException | JSONException e) {
                                    e.printStackTrace();
                                    message.what = 78;
                                }
                            } else {
                                message.what = 79;
                            }
                            if (76 == message.what) {
                                changeGroupActivity.application.alcedoService.refreshMyInfo();
                            }
                            changeGroupActivity.handler.sendMessage(message);
                        }
                        changeGroupActivity.runOnUiThread(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00c3: INVOKE  
                              (r0v0 'changeGroupActivity' com.faster.cheetah.ui.ChangeGroupActivity)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$olBTTSXjPrkq466g3zhX8YeIKCs : 0x00c0: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$olBTTSXjPrkq466g3zhX8YeIKCs) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$olBTTSXjPrkq466g3zhX8YeIKCs.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                             type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$YWCIdCZK7Qz5lkvNv4M1obSdMFo.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00c0: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$olBTTSXjPrkq466g3zhX8YeIKCs) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$olBTTSXjPrkq466g3zhX8YeIKCs.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$YWCIdCZK7Qz5lkvNv4M1obSdMFo.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$olBTTSXjPrkq466g3zhX8YeIKCs, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /*
                        // Method dump skipped, instructions count: 199
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$ChangeGroupActivity$YWCIdCZK7Qz5lkvNv4M1obSdMFo.run():void");
                    }
                });
            }
        });
        this.binding.layoutInfo.setVisibility(8);
        Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(this.activity);
        loadingDialog.show();
        MainApplication mainApplication = this.application;
        mainApplication.executorService.execute(new Runnable(loadingDialog) {
            /* class com.faster.cheetah.ui.$$Lambda$ChangeGroupActivity$I697rnp9ljyBvPSk_XHkJMRkzns */
            public final /* synthetic */ Dialog f$1;

            {
                this.f$1 = r2;
            }

            public final void run() {
                ChangeGroupActivity changeGroupActivity = ChangeGroupActivity.this;
                Dialog dialog = this.f$1;
                AlcedoService alcedoService = changeGroupActivity.application.alcedoService;
                if (alcedoService != null) {
                    Message message = new Message();
                    StringBuilder sb = new StringBuilder();
                    sb.append(alcedoService.application.serverDomain);
                    sb.append("?p=apido&c=1&t=user_vip_change_info&lang=");
                    GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                    String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                    FormBody.Builder builder = new FormBody.Builder();
                    builder.add("accessToken", alcedoService.application.userEntity.accessToken);
                    String httpRequest = alcedoService.httpRequest(outline8, builder);
                    if (httpRequest != null) {
                        try {
                            ChangeGroupResponseEntity changeGroupResponseEntity = (ChangeGroupResponseEntity) new Gson().fromJson(new JSONObject(httpRequest).toString(), ChangeGroupResponseEntity.class);
                            int i = changeGroupResponseEntity.code;
                            if (1 == i) {
                                message.what = 72;
                                alcedoService.application.changeGroupEntity = changeGroupResponseEntity.changeGroupEntity;
                            } else if (401 == i) {
                                message.what = -1;
                                Bundle bundle = new Bundle();
                                bundle.putString("msg", changeGroupResponseEntity.msg);
                                message.setData(bundle);
                            } else {
                                message.what = 73;
                                Bundle bundle2 = new Bundle();
                                bundle2.putString("msg", changeGroupResponseEntity.msg);
                                message.setData(bundle2);
                            }
                        } catch (JsonSyntaxException | JSONException e) {
                            e.printStackTrace();
                            message.what = 74;
                        }
                    } else {
                        message.what = 75;
                    }
                    changeGroupActivity.handler.sendMessage(message);
                }
                changeGroupActivity.runOnUiThread(
                /*  JADX ERROR: Method code generation error
                    jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00ab: INVOKE  
                      (r0v0 'changeGroupActivity' com.faster.cheetah.ui.ChangeGroupActivity)
                      (wrap: com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$WdUpqa_HtxlKc3GhCIAkD4kGMHQ : 0x00a8: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$WdUpqa_HtxlKc3GhCIAkD4kGMHQ) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$WdUpqa_HtxlKc3GhCIAkD4kGMHQ.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                     type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$I697rnp9ljyBvPSk_XHkJMRkzns.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                    	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                    	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                    	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                    	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                    	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                    	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                    	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                    	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                    	at java.util.ArrayList.forEach(ArrayList.java:1259)
                    	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                    	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                    Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00a8: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$WdUpqa_HtxlKc3GhCIAkD4kGMHQ) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$WdUpqa_HtxlKc3GhCIAkD4kGMHQ.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$I697rnp9ljyBvPSk_XHkJMRkzns.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                    	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                    	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                    	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                    	... 14 more
                    Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$ChangeGroupActivity$WdUpqa_HtxlKc3GhCIAkD4kGMHQ, state: NOT_LOADED
                    	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                    	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                    	... 20 more
                    */
                /*
                // Method dump skipped, instructions count: 175
                */
                throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$ChangeGroupActivity$I697rnp9ljyBvPSk_XHkJMRkzns.run():void");
            }
        });
    }

    public void setData() {
        ChangeGroupEntity changeGroupEntity = this.application.changeGroupEntity;
        if (changeGroupEntity != null) {
            ChangeGroupEntity.GroupInfo groupInfo = changeGroupEntity.groupInfoBefore;
            if (groupInfo != null) {
                this.binding.tvGroupNameBefore.setText(groupInfo.groupName);
                this.binding.tvEndTimeBefore.setText(this.application.changeGroupEntity.groupInfoBefore.endTime);
            }
            ChangeGroupEntity.GroupInfo groupInfo2 = this.application.changeGroupEntity.groupInfoAfter;
            if (groupInfo2 != null) {
                this.binding.tvGroupNameAfter.setText(groupInfo2.groupName);
                this.binding.tvEndTimeAfter.setText(this.application.changeGroupEntity.groupInfoAfter.endTime);
            }
            this.binding.tvChangeTimes.setText(String.format(Locale.getDefault(), "%s %d %s", getString(R.string.vip_type_turn_pre), Integer.valueOf(this.application.changeGroupEntity.changeTimes), getString(R.string.vip_type_turn_after)));
            this.binding.layoutInfo.setVisibility(0);
        }
    }
}
