package com.faster.cheetah.ui;

import android.app.Dialog;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.TextUtils;
import android.view.View;
import android.widget.Toast;
import androidx.databinding.DataBindingUtil;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.databinding.ActivityChangeMailBinding;
import com.faster.cheetah.entity.PublicResponseEntity;
import com.faster.cheetah.entity.UserEntity;
import com.faster.cheetah.service.AlcedoService;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.zfast.xyz.R;
import okhttp3.FormBody;
import org.json.JSONException;
import org.json.JSONObject;

public class ChangeMailActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public ActivityChangeMailBinding binding;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.ChangeMailActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!ChangeMailActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    ChangeMailActivity changeMailActivity = ChangeMailActivity.this;
                    Toast.makeText(changeMailActivity.activity, changeMailActivity.getString(R.string.network_not_available), 0).show();
                } else if (i == 3) {
                    ChangeMailActivity changeMailActivity2 = ChangeMailActivity.this;
                    Toast.makeText(changeMailActivity2.activity, changeMailActivity2.getString(R.string.error_no_available_server_domain), 0).show();
                } else if (i != 20) {
                    switch (i) {
                        case 25:
                            ChangeMailActivity changeMailActivity3 = ChangeMailActivity.this;
                            Toast.makeText(changeMailActivity3.activity, changeMailActivity3.getString(R.string.error_access), 0).show();
                            return;
                        case 26:
                            ChangeMailActivity changeMailActivity4 = ChangeMailActivity.this;
                            Toast.makeText(changeMailActivity4.activity, changeMailActivity4.getString(R.string.error_data_format), 0).show();
                            return;
                        case 27:
                            Toast.makeText(ChangeMailActivity.this.activity, string, 0).show();
                            ChangeMailActivity.this.finish();
                            return;
                        case 28:
                            Toast.makeText(ChangeMailActivity.this.activity, string, 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    ChangeMailActivity changeMailActivity5 = ChangeMailActivity.this;
                    Toast.makeText(changeMailActivity5.activity, changeMailActivity5.getString(R.string.error_no_login), 0).show();
                }
            }
        }
    };
    public String mail;
    public String password;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        ActivityChangeMailBinding activityChangeMailBinding = (ActivityChangeMailBinding) DataBindingUtil.setContentView(this.activity, R.layout.activity_change_mail);
        this.binding = activityChangeMailBinding;
        activityChangeMailBinding.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.ChangeMailActivity.AnonymousClass2 */

            public void onClick(View view) {
                ChangeMailActivity.this.finish();
            }
        });
        this.binding.btnConfirm.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.ChangeMailActivity.AnonymousClass3 */

            public void onClick(View view) {
                ChangeMailActivity changeMailActivity = ChangeMailActivity.this;
                changeMailActivity.mail = changeMailActivity.binding.etMail.getText().toString();
                ChangeMailActivity changeMailActivity2 = ChangeMailActivity.this;
                changeMailActivity2.password = changeMailActivity2.binding.etPassword.getText().toString();
                ChangeMailActivity changeMailActivity3 = ChangeMailActivity.this;
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(changeMailActivity3.activity);
                loadingDialog.show();
                MainApplication mainApplication = changeMailActivity3.application;
                mainApplication.executorService.execute(new Runnable(loadingDialog) {
                    /* class com.faster.cheetah.ui.$$Lambda$ChangeMailActivity$Yo6c5PpvmD7EMz7a1dOl66Mx8sY */
                    public final /* synthetic */ Dialog f$1;

                    {
                        this.f$1 = r2;
                    }

                    public final void run() {
                        ChangeMailActivity changeMailActivity = ChangeMailActivity.this;
                        Dialog dialog = this.f$1;
                        AlcedoService alcedoService = changeMailActivity.application.alcedoService;
                        if (alcedoService != null) {
                            String str = changeMailActivity.mail;
                            String str2 = changeMailActivity.password;
                            Message message = new Message();
                            UserEntity userEntity = alcedoService.application.userEntity;
                            if (userEntity == null) {
                                message.what = 20;
                            } else if (TextUtils.isEmpty(userEntity.accessToken)) {
                                message.what = 20;
                            } else {
                                StringBuilder sb = new StringBuilder();
                                sb.append(alcedoService.application.serverDomain);
                                sb.append("?p=apido&c=1&t=user_changemail&lang=");
                                GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                                String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                                FormBody.Builder builder = new FormBody.Builder();
                                builder.add("accessToken", alcedoService.application.userEntity.accessToken);
                                builder.add("email", str);
                                builder.add("pwd", str2);
                                String httpRequest = alcedoService.httpRequest(outline8, builder);
                                if (httpRequest != null) {
                                    try {
                                        PublicResponseEntity publicResponseEntity = (PublicResponseEntity) new Gson().fromJson(new JSONObject(httpRequest).toString(), PublicResponseEntity.class);
                                        int i = publicResponseEntity.code;
                                        if (1 == i) {
                                            message.what = 27;
                                            Bundle bundle = new Bundle();
                                            bundle.putString("msg", publicResponseEntity.msg);
                                            message.setData(bundle);
                                            alcedoService.sharedPreferencesHelper.put("user_name_new", str);
                                            alcedoService.application.userEntity.email = str;
                                        } else if (401 == i) {
                                            message.what = -1;
                                            Bundle bundle2 = new Bundle();
                                            bundle2.putString("msg", publicResponseEntity.msg);
                                            message.setData(bundle2);
                                        } else {
                                            message.what = 28;
                                            Bundle bundle3 = new Bundle();
                                            bundle3.putString("msg", publicResponseEntity.msg);
                                            message.setData(bundle3);
                                        }
                                    } catch (JsonSyntaxException | JSONException e) {
                                        e.printStackTrace();
                                        message.what = 26;
                                    }
                                } else {
                                    message.what = 25;
                                }
                            }
                            if (27 == message.what) {
                                changeMailActivity.application.alcedoService.refreshMyInfo();
                            }
                            changeMailActivity.handler.sendMessage(message);
                        }
                        changeMailActivity.runOnUiThread(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00f0: INVOKE  
                              (r0v0 'changeMailActivity' com.faster.cheetah.ui.ChangeMailActivity)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$ChangeMailActivity$2-0hmE9FpbG_KfMeD48p6SOmBkI : 0x00ed: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$ChangeMailActivity$2-0hmE9FpbG_KfMeD48p6SOmBkI) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ChangeMailActivity$2-0hmE9FpbG_KfMeD48p6SOmBkI.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                             type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$ChangeMailActivity$Yo6c5PpvmD7EMz7a1dOl66Mx8sY.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00ed: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$ChangeMailActivity$2-0hmE9FpbG_KfMeD48p6SOmBkI) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ChangeMailActivity$2-0hmE9FpbG_KfMeD48p6SOmBkI.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$ChangeMailActivity$Yo6c5PpvmD7EMz7a1dOl66Mx8sY.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$ChangeMailActivity$2-0hmE9FpbG_KfMeD48p6SOmBkI, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /*
                        // Method dump skipped, instructions count: 244
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$ChangeMailActivity$Yo6c5PpvmD7EMz7a1dOl66Mx8sY.run():void");
                    }
                });
            }
        });
    }
}
