package com.faster.cheetah.ui;

import android.app.Dialog;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.Toast;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.entity.PublicResponseEntity;
import com.faster.cheetah.entity.UserEntity;
import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import com.faster.cheetah.service.AlcedoService;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.zfast.xyz.R;
import okhttp3.FormBody;
import org.json.JSONException;
import org.json.JSONObject;

public class ChangePasswordActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public Button btnConfirm;
    public String confirmPassword;
    public EditText etConfirmPassword;
    public EditText etNewPassword;
    public EditText etOldPassword;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.ChangePasswordActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!ChangePasswordActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    ChangePasswordActivity changePasswordActivity = ChangePasswordActivity.this;
                    Toast.makeText(changePasswordActivity.activity, changePasswordActivity.getString(R.string.network_not_available), 0).show();
                } else if (i != 3) {
                    switch (i) {
                        case 20:
                            ChangePasswordActivity changePasswordActivity2 = ChangePasswordActivity.this;
                            Toast.makeText(changePasswordActivity2.activity, changePasswordActivity2.getString(R.string.error_no_login), 0).show();
                            return;
                        case 21:
                            ChangePasswordActivity changePasswordActivity3 = ChangePasswordActivity.this;
                            Toast.makeText(changePasswordActivity3.activity, changePasswordActivity3.getString(R.string.error_access), 0).show();
                            return;
                        case 22:
                            ChangePasswordActivity changePasswordActivity4 = ChangePasswordActivity.this;
                            Toast.makeText(changePasswordActivity4.activity, changePasswordActivity4.getString(R.string.error_data_format), 0).show();
                            return;
                        case 23:
                            Toast.makeText(ChangePasswordActivity.this.activity, string, 0).show();
                            ChangePasswordActivity.this.finish();
                            return;
                        case 24:
                            Toast.makeText(ChangePasswordActivity.this.activity, string, 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    ChangePasswordActivity changePasswordActivity5 = ChangePasswordActivity.this;
                    Toast.makeText(changePasswordActivity5.activity, changePasswordActivity5.getString(R.string.error_no_available_server_domain), 0).show();
                }
            }
        }
    };
    public ImageView imgBack;
    public String newPassword;
    public String oldPassword;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_change_password);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.etOldPassword = (EditText) findViewById(R.id.et_old_password);
        this.etNewPassword = (EditText) findViewById(R.id.et_new_password);
        this.etConfirmPassword = (EditText) findViewById(R.id.et_confirm_password);
        this.btnConfirm = (Button) findViewById(R.id.btn_confirm);
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.ChangePasswordActivity.AnonymousClass2 */

            public void onClick(View view) {
                ChangePasswordActivity.this.finish();
            }
        });
        this.btnConfirm.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.ChangePasswordActivity.AnonymousClass3 */

            public void onClick(View view) {
                ChangePasswordActivity changePasswordActivity = ChangePasswordActivity.this;
                changePasswordActivity.oldPassword = changePasswordActivity.etOldPassword.getText().toString();
                ChangePasswordActivity changePasswordActivity2 = ChangePasswordActivity.this;
                changePasswordActivity2.newPassword = changePasswordActivity2.etNewPassword.getText().toString();
                ChangePasswordActivity changePasswordActivity3 = ChangePasswordActivity.this;
                changePasswordActivity3.confirmPassword = changePasswordActivity3.etConfirmPassword.getText().toString();
                ChangePasswordActivity changePasswordActivity4 = ChangePasswordActivity.this;
                if (!changePasswordActivity4.newPassword.equals(changePasswordActivity4.confirmPassword)) {
                    ChangePasswordActivity changePasswordActivity5 = ChangePasswordActivity.this;
                    Toast.makeText(changePasswordActivity5.activity, changePasswordActivity5.getString(R.string.warm_password_different), 0).show();
                    return;
                }
                ChangePasswordActivity changePasswordActivity6 = ChangePasswordActivity.this;
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(changePasswordActivity6.activity);
                loadingDialog.show();
                MainApplication mainApplication = changePasswordActivity6.application;
                mainApplication.executorService.execute(new Runnable(loadingDialog) {
                    /* class com.faster.cheetah.ui.$$Lambda$ChangePasswordActivity$D5WMhSENGYcOs5Q6ZQSMxOGFrU */
                    public final /* synthetic */ Dialog f$1;

                    {
                        this.f$1 = r2;
                    }

                    public final void run() {
                        ChangePasswordActivity changePasswordActivity = ChangePasswordActivity.this;
                        Dialog dialog = this.f$1;
                        AlcedoService alcedoService = changePasswordActivity.application.alcedoService;
                        if (alcedoService != null) {
                            String str = changePasswordActivity.oldPassword;
                            String str2 = changePasswordActivity.newPassword;
                            Message message = new Message();
                            UserEntity userEntity = alcedoService.application.userEntity;
                            if (userEntity == null) {
                                message.what = 20;
                            } else if (TextUtils.isEmpty(userEntity.accessToken)) {
                                message.what = 20;
                            } else {
                                StringBuilder sb = new StringBuilder();
                                sb.append(alcedoService.application.serverDomain);
                                sb.append("?p=apido&c=1&t=user_changpwd&lang=");
                                GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                                String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                                FormBody.Builder builder = new FormBody.Builder();
                                builder.add("accessToken", alcedoService.application.userEntity.accessToken);
                                builder.add("pwd", str2);
                                builder.add("oldpwd", str);
                                String httpRequest = alcedoService.httpRequest(outline8, builder);
                                if (httpRequest != null) {
                                    try {
                                        PublicResponseEntity publicResponseEntity = (PublicResponseEntity) new Gson().fromJson(new JSONObject(httpRequest).toString(), PublicResponseEntity.class);
                                        int i = publicResponseEntity.code;
                                        if (1 == i) {
                                            message.what = 23;
                                            Bundle bundle = new Bundle();
                                            bundle.putString("msg", publicResponseEntity.msg);
                                            message.setData(bundle);
                                            alcedoService.sharedPreferencesHelper.put(VpnProfileDataSource.KEY_PASSWORD, ViewGroupUtilsApi14.encryptU(str2));
                                        } else if (401 == i) {
                                            message.what = -1;
                                            Bundle bundle2 = new Bundle();
                                            bundle2.putString("msg", publicResponseEntity.msg);
                                            message.setData(bundle2);
                                        } else {
                                            message.what = 24;
                                            Bundle bundle3 = new Bundle();
                                            bundle3.putString("msg", publicResponseEntity.msg);
                                            message.setData(bundle3);
                                        }
                                    } catch (JsonSyntaxException | JSONException e) {
                                        e.printStackTrace();
                                        message.what = 22;
                                    }
                                } else {
                                    message.what = 21;
                                }
                            }
                            if (23 == message.what) {
                                changePasswordActivity.application.alcedoService.refreshMyInfo();
                            }
                            changePasswordActivity.handler.sendMessage(message);
                        }
                        changePasswordActivity.runOnUiThread(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00ee: INVOKE  
                              (r0v0 'changePasswordActivity' com.faster.cheetah.ui.ChangePasswordActivity)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$ChangePasswordActivity$1jjRHa6Gmg7kcmAhWHcr7hvsIE0 : 0x00eb: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$ChangePasswordActivity$1jjRHa6Gmg7kcmAhWHcr7hvsIE0) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ChangePasswordActivity$1jjRHa6Gmg7kcmAhWHcr7hvsIE0.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                             type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$ChangePasswordActivity$D-5WMhSENGYcOs5Q6ZQSMxOGFrU.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00eb: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$ChangePasswordActivity$1jjRHa6Gmg7kcmAhWHcr7hvsIE0) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ChangePasswordActivity$1jjRHa6Gmg7kcmAhWHcr7hvsIE0.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$ChangePasswordActivity$D-5WMhSENGYcOs5Q6ZQSMxOGFrU.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$ChangePasswordActivity$1jjRHa6Gmg7kcmAhWHcr7hvsIE0, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /*
                        // Method dump skipped, instructions count: 242
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$ChangePasswordActivity$D5WMhSENGYcOs5Q6ZQSMxOGFrU.run():void");
                    }
                });
            }
        });
    }
}
