package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.ActivityNotFoundException;
import android.content.DialogInterface;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.recyclerview.widget.DividerItemDecoration;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.transition.ViewGroupUtilsApi14;
import com.allpayx.sdk.AllPayEngine;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.adapter.PayTypeListAdapter;
import com.faster.cheetah.dialog.DialogOkCancel;
import com.faster.cheetah.entity.BuyEntity;
import com.faster.cheetah.entity.PayTypeEntity;
import com.faster.cheetah.entity.ThirdPayEntity;
import com.faster.cheetah.service.AlcedoService;
import com.zfast.xyz.R;
import java.util.List;

public class ChoosePayActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public Button btnPay;
    public BuyEntity buyEntity;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.ChoosePayActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!ChoosePayActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    ChoosePayActivity choosePayActivity = ChoosePayActivity.this;
                    Toast.makeText(choosePayActivity.activity, choosePayActivity.getString(R.string.network_not_available), 0).show();
                } else if (i == 3) {
                    ChoosePayActivity choosePayActivity2 = ChoosePayActivity.this;
                    Toast.makeText(choosePayActivity2.activity, choosePayActivity2.getString(R.string.error_no_available_server_domain), 0).show();
                } else if (i != 20) {
                    switch (i) {
                        case 105:
                            if (!ThirdPayEntity.KEY_SDK_URL.equals(ChoosePayActivity.this.application.thirdPayEntity.key)) {
                                if (!ThirdPayEntity.KEY_MAKE_URL.equals(ChoosePayActivity.this.application.thirdPayEntity.key)) {
                                    if (!ThirdPayEntity.KEY_INTENT_URL.equals(ChoosePayActivity.this.application.thirdPayEntity.key)) {
                                        if (ThirdPayEntity.KEY_OPEN_URL.equals(ChoosePayActivity.this.application.thirdPayEntity.key)) {
                                            try {
                                                ChoosePayActivity.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(ChoosePayActivity.this.application.thirdPayEntity.value)));
                                                ChoosePayActivity.this.onActivityResult(11, -1, null);
                                                break;
                                            } catch (ActivityNotFoundException unused) {
                                                String stringExtra = ChoosePayActivity.this.getIntent().getStringExtra("payName");
                                                BaseActivity baseActivity = ChoosePayActivity.this.activity;
                                                ViewGroupUtilsApi14.show(baseActivity, "支付失败：未安装" + stringExtra);
                                                break;
                                            }
                                        }
                                    } else {
                                        ChoosePayActivity.this.startActivityForResult(new Intent(ChoosePayActivity.this.activity, GoPayActivity.class), 8);
                                        break;
                                    }
                                } else {
                                    Intent intent = new Intent(ChoosePayActivity.this.activity, GeneratePayQRCodeActivity.class);
                                    intent.putExtra("payName", ChoosePayActivity.this.payTypeEntity.payName);
                                    ChoosePayActivity.this.startActivityForResult(intent, 9);
                                    break;
                                }
                            } else {
                                ChoosePayActivity choosePayActivity3 = ChoosePayActivity.this;
                                AllPayEngine.pay(choosePayActivity3, choosePayActivity3.application.thirdPayEntity.value, true);
                                break;
                            }
                            break;
                        case 106:
                            Toast.makeText(ChoosePayActivity.this.activity, string, 0).show();
                            break;
                        case 107:
                            ChoosePayActivity choosePayActivity4 = ChoosePayActivity.this;
                            Toast.makeText(choosePayActivity4.activity, choosePayActivity4.getString(R.string.error_data_format), 0).show();
                            break;
                        case 108:
                            ChoosePayActivity choosePayActivity5 = ChoosePayActivity.this;
                            Toast.makeText(choosePayActivity5.activity, choosePayActivity5.getString(R.string.error_access), 0).show();
                            break;
                        default:
                            switch (i) {
                                case 117:
                                    Intent intent2 = new Intent();
                                    intent2.setAction("com.flybird.alcedo.action.relogin");
                                    ChoosePayActivity.this.sendBroadcast(intent2);
                                    ChoosePayActivity.this.finish();
                                    break;
                                case 118:
                                    Toast.makeText(ChoosePayActivity.this.activity, string, 0).show();
                                    Intent intent3 = new Intent();
                                    intent3.setAction("com.flybird.alcedo.action.relogin");
                                    ChoosePayActivity.this.sendBroadcast(intent3);
                                    ChoosePayActivity.this.finish();
                                    break;
                                case 119:
                                    ChoosePayActivity choosePayActivity6 = ChoosePayActivity.this;
                                    Toast.makeText(choosePayActivity6.activity, choosePayActivity6.getString(R.string.error_access), 0).show();
                                    DialogOkCancel.Builder builder = new DialogOkCancel.Builder(ChoosePayActivity.this.activity);
                                    builder.setTitle(R.string.sweet_tip);
                                    builder.setContent(R.string.pay_success_tip);
                                    builder.setPositiveButton(R.string.btn_pay_success, new DialogInterface.OnClickListener() {
                                        /* class com.faster.cheetah.ui.ChoosePayActivity.AnonymousClass1.AnonymousClass1 */

                                        public void onClick(DialogInterface dialogInterface, int i) {
                                            ChoosePayActivity.access$100(ChoosePayActivity.this);
                                            dialogInterface.dismiss();
                                        }
                                    });
                                    builder.setNegativeButton(R.string.btn_pay_fail, new DialogInterface.OnClickListener() {
                                        /* class com.faster.cheetah.ui.ChoosePayActivity.AnonymousClass1.AnonymousClass2 */

                                        public void onClick(DialogInterface dialogInterface, int i) {
                                            ChoosePayActivity.access$100(ChoosePayActivity.this);
                                            dialogInterface.dismiss();
                                        }
                                    });
                                    builder.cancelAble = false;
                                    builder.create().show();
                                    break;
                            }
                    }
                } else {
                    ChoosePayActivity choosePayActivity7 = ChoosePayActivity.this;
                    Toast.makeText(choosePayActivity7.activity, choosePayActivity7.getString(R.string.error_no_login), 0).show();
                }
                ChoosePayActivity.this.btnPay.setClickable(true);
            }
        }
    };
    public ImageView imgBack;
    public PayTypeEntity payTypeEntity;
    public PayTypeListAdapter payTypeListAdapter;
    public RecyclerView recyclerView;
    public TextView tvDesc;
    public TextView tvPrice;

    public static void access$100(ChoosePayActivity choosePayActivity) {
        Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(choosePayActivity.activity);
        loadingDialog.show();
        MainApplication mainApplication = choosePayActivity.application;
        mainApplication.executorService.execute(new Runnable(loadingDialog) {
            /* class com.faster.cheetah.ui.$$Lambda$ChoosePayActivity$mwsVFVvyays1cXg6QQt6Jttljc */
            public final /* synthetic */ Dialog f$1;

            {
                this.f$1 = r2;
            }

            public final void run() {
                ChoosePayActivity choosePayActivity = ChoosePayActivity.this;
                Dialog dialog = this.f$1;
                MainApplication mainApplication = choosePayActivity.application;
                AlcedoService alcedoService = mainApplication.alcedoService;
                if (alcedoService != null) {
                    choosePayActivity.handler.sendMessage(alcedoService.queryOrderStatus(mainApplication.orderEntity.orderID));
                }
                choosePayActivity.runOnUiThread(
                /*  JADX ERROR: Method code generation error
                    jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001c: INVOKE  
                      (r0v0 'choosePayActivity' com.faster.cheetah.ui.ChoosePayActivity)
                      (wrap: com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$aE7FgEkS2O-5ssgR3uArIpjanhc : 0x0019: CONSTRUCTOR  (r2v1 com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$aE7FgEkS2O-5ssgR3uArIpjanhc) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$aE7FgEkS2O-5ssgR3uArIpjanhc.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                     type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$mwsVFVvyays-1cXg6QQt6Jttljc.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                    	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                    	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                    	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                    	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                    	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                    	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                    	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                    	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                    	at java.util.ArrayList.forEach(ArrayList.java:1259)
                    	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                    	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                    Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0019: CONSTRUCTOR  (r2v1 com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$aE7FgEkS2O-5ssgR3uArIpjanhc) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$aE7FgEkS2O-5ssgR3uArIpjanhc.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$mwsVFVvyays-1cXg6QQt6Jttljc.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                    	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                    	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                    	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                    	... 14 more
                    Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$aE7FgEkS2O-5ssgR3uArIpjanhc, state: NOT_LOADED
                    	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                    	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                    	... 20 more
                    */
                /*
                    this = this;
                    com.faster.cheetah.ui.ChoosePayActivity r0 = com.faster.cheetah.ui.ChoosePayActivity.this
                    android.app.Dialog r1 = r4.f$1
                    com.faster.cheetah.MainApplication r2 = r0.application
                    com.faster.cheetah.service.AlcedoService r3 = r2.alcedoService
                    if (r3 == 0) goto L_0x0017
                    com.faster.cheetah.entity.OrderEntity r2 = r2.orderEntity
                    java.lang.String r2 = r2.orderID
                    android.os.Message r2 = r3.queryOrderStatus(r2)
                    android.os.Handler r3 = r0.handler
                    r3.sendMessage(r2)
                L_0x0017:
                    com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$aE7FgEkS2O-5ssgR3uArIpjanhc r2 = new com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$aE7FgEkS2O-5ssgR3uArIpjanhc
                    r2.<init>(r1)
                    r0.runOnUiThread(r2)
                    return
                */
                throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$ChoosePayActivity$mwsVFVvyays1cXg6QQt6Jttljc.run():void");
            }
        });
    }

    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i == 8 || i == 9 || i == 11) {
            if (-1 == i2) {
                DialogOkCancel.Builder builder = new DialogOkCancel.Builder(this.activity);
                builder.setTitle(R.string.sweet_tip);
                builder.setContent(R.string.pay_success_tip);
                builder.setPositiveButton(R.string.btn_pay_success, new DialogInterface.OnClickListener() {
                    /* class com.faster.cheetah.ui.ChoosePayActivity.AnonymousClass4 */

                    public void onClick(DialogInterface dialogInterface, int i) {
                        ChoosePayActivity.access$100(ChoosePayActivity.this);
                        dialogInterface.dismiss();
                    }
                });
                builder.setNegativeButton(R.string.btn_pay_fail, new DialogInterface.OnClickListener() {
                    /* class com.faster.cheetah.ui.ChoosePayActivity.AnonymousClass5 */

                    public void onClick(DialogInterface dialogInterface, int i) {
                        ChoosePayActivity.access$100(ChoosePayActivity.this);
                        dialogInterface.dismiss();
                    }
                });
                builder.cancelAble = false;
                builder.create().show();
            }
        } else if (i == 100 && 200 == i2 && intent != null) {
            intent.getExtras().getString("pay_result");
            DialogOkCancel.Builder builder2 = new DialogOkCancel.Builder(this.activity);
            builder2.setTitle(R.string.sweet_tip);
            builder2.setContent(R.string.pay_success_tip);
            builder2.setPositiveButton(R.string.btn_pay_success, new DialogInterface.OnClickListener() {
                /* class com.faster.cheetah.ui.ChoosePayActivity.AnonymousClass6 */

                public void onClick(DialogInterface dialogInterface, int i) {
                    ChoosePayActivity.access$100(ChoosePayActivity.this);
                    dialogInterface.dismiss();
                }
            });
            builder2.setNegativeButton(R.string.btn_pay_fail, new DialogInterface.OnClickListener() {
                /* class com.faster.cheetah.ui.ChoosePayActivity.AnonymousClass7 */

                public void onClick(DialogInterface dialogInterface, int i) {
                    ChoosePayActivity.access$100(ChoosePayActivity.this);
                    dialogInterface.dismiss();
                }
            });
            builder2.cancelAble = false;
            builder2.create().show();
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_choose_pay);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.recyclerView = (RecyclerView) findViewById(R.id.recycler_pay_type);
        this.tvPrice = (TextView) findViewById(R.id.tv_price);
        this.tvDesc = (TextView) findViewById(R.id.tv_desc);
        this.btnPay = (Button) findViewById(R.id.btn_pay);
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.ChoosePayActivity.AnonymousClass2 */

            public void onClick(View view) {
                ChoosePayActivity.this.finish();
            }
        });
        this.recyclerView.setLayoutManager(new LinearLayoutManager(this.activity));
        this.recyclerView.addItemDecoration(new DividerItemDecoration(this.activity, 1));
        PayTypeListAdapter payTypeListAdapter2 = new PayTypeListAdapter(this, this.application.payTypeEntityList);
        this.payTypeListAdapter = payTypeListAdapter2;
        this.recyclerView.setAdapter(payTypeListAdapter2);
        this.btnPay.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.ChoosePayActivity.AnonymousClass3 */

            public void onClick(View view) {
                ChoosePayActivity.this.btnPay.setClickable(false);
                ChoosePayActivity choosePayActivity = ChoosePayActivity.this;
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(choosePayActivity.activity);
                loadingDialog.show();
                MainApplication mainApplication = choosePayActivity.application;
                mainApplication.executorService.execute(new Runnable(loadingDialog) {
                    /* class com.faster.cheetah.ui.$$Lambda$ChoosePayActivity$Xg_J4rblSHssPpFlFacNq8izGOQ */
                    public final /* synthetic */ Dialog f$1;

                    {
                        this.f$1 = r2;
                    }

                    public final void run() {
                        ChoosePayActivity choosePayActivity = ChoosePayActivity.this;
                        Dialog dialog = this.f$1;
                        AlcedoService alcedoService = choosePayActivity.application.alcedoService;
                        if (alcedoService != null) {
                            choosePayActivity.handler.sendMessage(alcedoService.choosePay(choosePayActivity.payTypeEntity));
                        }
                        choosePayActivity.runOnUiThread(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001a: INVOKE  
                              (r0v0 'choosePayActivity' com.faster.cheetah.ui.ChoosePayActivity)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$kFuZMpblc8D3meT2lKISHAUGFEw : 0x0017: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$kFuZMpblc8D3meT2lKISHAUGFEw) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$kFuZMpblc8D3meT2lKISHAUGFEw.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                             type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$Xg_J4rblSHssPpFlFacNq8izGOQ.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0017: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$kFuZMpblc8D3meT2lKISHAUGFEw) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$kFuZMpblc8D3meT2lKISHAUGFEw.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$Xg_J4rblSHssPpFlFacNq8izGOQ.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$kFuZMpblc8D3meT2lKISHAUGFEw, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /*
                            this = this;
                            com.faster.cheetah.ui.ChoosePayActivity r0 = com.faster.cheetah.ui.ChoosePayActivity.this
                            android.app.Dialog r1 = r4.f$1
                            com.faster.cheetah.MainApplication r2 = r0.application
                            com.faster.cheetah.service.AlcedoService r2 = r2.alcedoService
                            if (r2 == 0) goto L_0x0015
                            com.faster.cheetah.entity.PayTypeEntity r3 = r0.payTypeEntity
                            android.os.Message r2 = r2.choosePay(r3)
                            android.os.Handler r3 = r0.handler
                            r3.sendMessage(r2)
                        L_0x0015:
                            com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$kFuZMpblc8D3meT2lKISHAUGFEw r2 = new com.faster.cheetah.ui.-$$Lambda$ChoosePayActivity$kFuZMpblc8D3meT2lKISHAUGFEw
                            r2.<init>(r1)
                            r0.runOnUiThread(r2)
                            return
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$ChoosePayActivity$Xg_J4rblSHssPpFlFacNq8izGOQ.run():void");
                    }
                });
            }
        });
        Intent intent = getIntent();
        if (intent != null) {
            BuyEntity buyEntity2 = (BuyEntity) intent.getSerializableExtra("buyEntity");
            this.buyEntity = buyEntity2;
            if (buyEntity2 != null) {
                TextView textView = this.tvPrice;
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("¥");
                outline25.append(String.valueOf(this.buyEntity.price));
                textView.setText(outline25.toString());
                this.tvDesc.setText(this.buyEntity.describe);
            }
        }
        List<PayTypeEntity> list = this.application.payTypeEntityList;
        if (list != null && !list.isEmpty()) {
            this.payTypeEntity = this.application.payTypeEntityList.get(0);
        }
    }
}
