package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.entity.ExchangeVipResponseEntity;
import com.faster.cheetah.service.AlcedoService;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.yzq.zxinglibrary.android.CaptureActivity;
import com.yzq.zxinglibrary.bean.ZxingConfig;
import com.zfast.xyz.R;
import net.xfkefu.sdk.retrofit.Retrofit2;
import okhttp3.FormBody;
import org.json.JSONException;
import org.json.JSONObject;

public class ExchangeVipActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public Button btnConfirm;
    public EditText etExchangeCode;
    public String exchangeCode;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.ExchangeVipActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!ExchangeVipActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    ExchangeVipActivity exchangeVipActivity = ExchangeVipActivity.this;
                    Toast.makeText(exchangeVipActivity.activity, exchangeVipActivity.getString(R.string.network_not_available), 0).show();
                } else if (i == 3) {
                    ExchangeVipActivity exchangeVipActivity2 = ExchangeVipActivity.this;
                    Toast.makeText(exchangeVipActivity2.activity, exchangeVipActivity2.getString(R.string.error_no_available_server_domain), 0).show();
                } else if (i != 20) {
                    switch (i) {
                        case 93:
                            ExchangeVipActivity.this.startActivity(new Intent(ExchangeVipActivity.this.activity, ExchangeVipSubmitActivity.class));
                            return;
                        case 94:
                            Toast.makeText(ExchangeVipActivity.this.activity, string, 0).show();
                            return;
                        case 95:
                            ExchangeVipActivity exchangeVipActivity3 = ExchangeVipActivity.this;
                            Toast.makeText(exchangeVipActivity3.activity, exchangeVipActivity3.getString(R.string.error_data_format), 0).show();
                            return;
                        case 96:
                            ExchangeVipActivity exchangeVipActivity4 = ExchangeVipActivity.this;
                            Toast.makeText(exchangeVipActivity4.activity, exchangeVipActivity4.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    ExchangeVipActivity exchangeVipActivity5 = ExchangeVipActivity.this;
                    Toast.makeText(exchangeVipActivity5.activity, exchangeVipActivity5.getString(R.string.error_no_login), 0).show();
                }
            }
        }
    };
    public ImageView imgBack;
    public TextView tvScan;

    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i == 5 && i2 == -1 && intent != null) {
            this.etExchangeCode.setText(intent.getStringExtra("codedContent"));
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_exchange_vip);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.tvScan = (TextView) findViewById(R.id.tv_scan);
        this.etExchangeCode = (EditText) findViewById(R.id.et_exchange_code);
        this.btnConfirm = (Button) findViewById(R.id.btn_confirm);
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.ExchangeVipActivity.AnonymousClass2 */

            public void onClick(View view) {
                ExchangeVipActivity.this.finish();
            }
        });
        this.tvScan.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.ExchangeVipActivity.AnonymousClass3 */

            public void onClick(View view) {
                if (ContextCompat.checkSelfPermission(ExchangeVipActivity.this.activity, "android.permission.CAMERA") != 0) {
                    ActivityCompat.requestPermissions(ExchangeVipActivity.this, new String[]{"android.permission.CAMERA"}, 7);
                    return;
                }
                ExchangeVipActivity exchangeVipActivity = ExchangeVipActivity.this;
                int i = ExchangeVipActivity.$r8$clinit;
                exchangeVipActivity.startCaptureActivityForResult();
            }
        });
        this.btnConfirm.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.ExchangeVipActivity.AnonymousClass4 */

            public void onClick(View view) {
                ExchangeVipActivity exchangeVipActivity = ExchangeVipActivity.this;
                exchangeVipActivity.exchangeCode = exchangeVipActivity.etExchangeCode.getText().toString();
                ExchangeVipActivity exchangeVipActivity2 = ExchangeVipActivity.this;
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(exchangeVipActivity2.activity);
                loadingDialog.show();
                MainApplication mainApplication = exchangeVipActivity2.application;
                mainApplication.executorService.execute(new Runnable(loadingDialog) {
                    /* class com.faster.cheetah.ui.$$Lambda$ExchangeVipActivity$wVQLccJIPEX_qE6889I6iKDk73Y */
                    public final /* synthetic */ Dialog f$1;

                    {
                        this.f$1 = r2;
                    }

                    public final void run() {
                        ExchangeVipActivity exchangeVipActivity = ExchangeVipActivity.this;
                        Dialog dialog = this.f$1;
                        AlcedoService alcedoService = exchangeVipActivity.application.alcedoService;
                        if (alcedoService != null) {
                            String str = exchangeVipActivity.exchangeCode;
                            Message message = new Message();
                            StringBuilder sb = new StringBuilder();
                            sb.append(alcedoService.application.serverDomain);
                            sb.append("?p=apido&c=1&t=user_exchangevip&lang=");
                            GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                            String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                            FormBody.Builder builder = new FormBody.Builder();
                            builder.add("accessToken", alcedoService.application.userEntity.accessToken);
                            builder.add("cardnumber", str);
                            builder.add("sumbit", Retrofit2.RESP_CODE_SUCCESS);
                            String httpRequest = alcedoService.httpRequest(outline8, builder);
                            if (httpRequest != null) {
                                try {
                                    ExchangeVipResponseEntity exchangeVipResponseEntity = (ExchangeVipResponseEntity) new Gson().fromJson(new JSONObject(httpRequest).toString(), ExchangeVipResponseEntity.class);
                                    int i = exchangeVipResponseEntity.code;
                                    if (1 == i) {
                                        message.what = 93;
                                        alcedoService.application.exchangeVipEntity = exchangeVipResponseEntity.exchangeVipEntity;
                                    } else if (401 == i) {
                                        message.what = -1;
                                        Bundle bundle = new Bundle();
                                        bundle.putString("msg", exchangeVipResponseEntity.msg);
                                        message.setData(bundle);
                                    } else {
                                        message.what = 94;
                                        Bundle bundle2 = new Bundle();
                                        bundle2.putString("msg", exchangeVipResponseEntity.msg);
                                        message.setData(bundle2);
                                    }
                                } catch (JsonSyntaxException | JSONException e) {
                                    e.printStackTrace();
                                    message.what = 95;
                                }
                            } else {
                                message.what = 96;
                            }
                            exchangeVipActivity.handler.sendMessage(message);
                        }
                        exchangeVipActivity.runOnUiThread(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00b9: INVOKE  
                              (r0v0 'exchangeVipActivity' com.faster.cheetah.ui.ExchangeVipActivity)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$ExchangeVipActivity$YcRvSR119EM4uorTke9as2L25E4 : 0x00b6: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$ExchangeVipActivity$YcRvSR119EM4uorTke9as2L25E4) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ExchangeVipActivity$YcRvSR119EM4uorTke9as2L25E4.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                             type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$ExchangeVipActivity$wVQLccJIPEX_qE6889I6iKDk73Y.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00b6: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$ExchangeVipActivity$YcRvSR119EM4uorTke9as2L25E4) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ExchangeVipActivity$YcRvSR119EM4uorTke9as2L25E4.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$ExchangeVipActivity$wVQLccJIPEX_qE6889I6iKDk73Y.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$ExchangeVipActivity$YcRvSR119EM4uorTke9as2L25E4, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /*
                        // Method dump skipped, instructions count: 189
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$ExchangeVipActivity$wVQLccJIPEX_qE6889I6iKDk73Y.run():void");
                    }
                });
            }
        });
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback, androidx.fragment.app.FragmentActivity
    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        super.onRequestPermissionsResult(i, strArr, iArr);
        if (i != 7) {
            return;
        }
        if (iArr.length <= 0 || iArr[0] != 0) {
            Toast.makeText(this.activity, getString(R.string.open_camera_permission), 0).show();
        } else {
            startCaptureActivityForResult();
        }
    }

    public final void startCaptureActivityForResult() {
        Intent intent = new Intent(this.activity, CaptureActivity.class);
        ZxingConfig zxingConfig = new ZxingConfig();
        zxingConfig.setShowbottomLayout(true);
        zxingConfig.setPlayBeep(true);
        zxingConfig.setShake(true);
        zxingConfig.setShowAlbum(true);
        zxingConfig.setShowFlashLight(true);
        zxingConfig.setPlayBeep(true);
        zxingConfig.setShake(true);
        zxingConfig.setDecodeBarCode(true);
        zxingConfig.setReactColor(R.color.colorPrimary);
        zxingConfig.setFrameLineColor(R.color.colorWhite);
        zxingConfig.setFullScreenScan(true);
        intent.putExtra("zxingConfig", zxingConfig);
        startActivityForResult(intent, 5);
    }
}
