package com.faster.cheetah.ui;

import android.app.Dialog;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.entity.ExchangeVipEntity;
import com.faster.cheetah.entity.ExchangeVipResponseEntity;
import com.faster.cheetah.service.AlcedoService;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.squareup.okhttp.internal.DiskLruCache;
import com.zfast.xyz.R;
import okhttp3.FormBody;
import org.json.JSONException;
import org.json.JSONObject;

public class ExchangeVipSubmitActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public Button btnConfirm;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.ExchangeVipSubmitActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!ExchangeVipSubmitActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    ExchangeVipSubmitActivity exchangeVipSubmitActivity = ExchangeVipSubmitActivity.this;
                    Toast.makeText(exchangeVipSubmitActivity.activity, exchangeVipSubmitActivity.getString(R.string.network_not_available), 0).show();
                } else if (i == 3) {
                    ExchangeVipSubmitActivity exchangeVipSubmitActivity2 = ExchangeVipSubmitActivity.this;
                    Toast.makeText(exchangeVipSubmitActivity2.activity, exchangeVipSubmitActivity2.getString(R.string.error_no_available_server_domain), 0).show();
                } else if (i != 20) {
                    switch (i) {
                        case 97:
                            BaseActivity baseActivity = ExchangeVipSubmitActivity.this.activity;
                            Toast.makeText(baseActivity, ExchangeVipSubmitActivity.this.getString(R.string.line_exchange_vip) + "成功", 0).show();
                            ExchangeVipSubmitActivity.this.finish();
                            return;
                        case 98:
                            Toast.makeText(ExchangeVipSubmitActivity.this.activity, string, 0).show();
                            return;
                        case 99:
                            ExchangeVipSubmitActivity exchangeVipSubmitActivity3 = ExchangeVipSubmitActivity.this;
                            Toast.makeText(exchangeVipSubmitActivity3.activity, exchangeVipSubmitActivity3.getString(R.string.error_data_format), 0).show();
                            return;
                        case 100:
                            ExchangeVipSubmitActivity exchangeVipSubmitActivity4 = ExchangeVipSubmitActivity.this;
                            Toast.makeText(exchangeVipSubmitActivity4.activity, exchangeVipSubmitActivity4.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    ExchangeVipSubmitActivity exchangeVipSubmitActivity5 = ExchangeVipSubmitActivity.this;
                    Toast.makeText(exchangeVipSubmitActivity5.activity, exchangeVipSubmitActivity5.getString(R.string.error_no_login), 0).show();
                }
            }
        }
    };
    public ImageView imgBack;
    public TextView tvExchangeCode;
    public TextView tvGroupName;
    public TextView tvOverTime;
    public TextView tvPrice;
    public TextView tvTimes;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_exchange_vip_submit);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.tvExchangeCode = (TextView) findViewById(R.id.tv_exchange_code);
        this.tvGroupName = (TextView) findViewById(R.id.tv_group_name);
        this.tvPrice = (TextView) findViewById(R.id.tv_price);
        this.tvTimes = (TextView) findViewById(R.id.tv_times);
        this.tvOverTime = (TextView) findViewById(R.id.tv_over_time);
        this.btnConfirm = (Button) findViewById(R.id.btn_confirm);
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.ExchangeVipSubmitActivity.AnonymousClass2 */

            public void onClick(View view) {
                ExchangeVipSubmitActivity.this.finish();
            }
        });
        this.btnConfirm.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.ExchangeVipSubmitActivity.AnonymousClass3 */

            public void onClick(View view) {
                ExchangeVipSubmitActivity exchangeVipSubmitActivity = ExchangeVipSubmitActivity.this;
                int i = ExchangeVipSubmitActivity.$r8$clinit;
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(exchangeVipSubmitActivity.activity);
                loadingDialog.show();
                MainApplication mainApplication = exchangeVipSubmitActivity.application;
                mainApplication.executorService.execute(new Runnable(loadingDialog) {
                    /* class com.faster.cheetah.ui.$$Lambda$ExchangeVipSubmitActivity$M1BU9RBxKloQQi54hst3ceLYgjE */
                    public final /* synthetic */ Dialog f$1;

                    {
                        this.f$1 = r2;
                    }

                    public final void run() {
                        ExchangeVipSubmitActivity exchangeVipSubmitActivity = ExchangeVipSubmitActivity.this;
                        Dialog dialog = this.f$1;
                        MainApplication mainApplication = exchangeVipSubmitActivity.application;
                        AlcedoService alcedoService = mainApplication.alcedoService;
                        if (alcedoService != null) {
                            String str = mainApplication.exchangeVipEntity.exchangeCode;
                            Message message = new Message();
                            StringBuilder sb = new StringBuilder();
                            sb.append(alcedoService.application.serverDomain);
                            sb.append("?p=apido&c=1&t=user_exchangevip&lang=");
                            GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                            String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                            FormBody.Builder builder = new FormBody.Builder();
                            builder.add("accessToken", alcedoService.application.userEntity.accessToken);
                            builder.add("cardnumber", str);
                            builder.add("sumbit", DiskLruCache.VERSION_1);
                            String httpRequest = alcedoService.httpRequest(outline8, builder);
                            if (httpRequest != null) {
                                try {
                                    ExchangeVipResponseEntity exchangeVipResponseEntity = (ExchangeVipResponseEntity) new Gson().fromJson(new JSONObject(httpRequest).toString(), ExchangeVipResponseEntity.class);
                                    int i = exchangeVipResponseEntity.code;
                                    if (1 == i) {
                                        message.what = 97;
                                    } else if (401 == i) {
                                        message.what = -1;
                                        Bundle bundle = new Bundle();
                                        bundle.putString("msg", exchangeVipResponseEntity.msg);
                                        message.setData(bundle);
                                    } else {
                                        message.what = 98;
                                        Bundle bundle2 = new Bundle();
                                        bundle2.putString("msg", exchangeVipResponseEntity.msg);
                                        message.setData(bundle2);
                                    }
                                } catch (JsonSyntaxException | JSONException e) {
                                    e.printStackTrace();
                                    message.what = 99;
                                }
                            } else {
                                message.what = 100;
                            }
                            if (97 == message.what) {
                                exchangeVipSubmitActivity.application.alcedoService.refreshMyInfo();
                            }
                            exchangeVipSubmitActivity.handler.sendMessage(message);
                        }
                        exchangeVipSubmitActivity.runOnUiThread(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00c0: INVOKE  
                              (r0v0 'exchangeVipSubmitActivity' com.faster.cheetah.ui.ExchangeVipSubmitActivity)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$ExchangeVipSubmitActivity$xuiWsvDpVNwxImO7VbqC49Aji1c : 0x00bd: CONSTRUCTOR  (r2v1 com.faster.cheetah.ui.-$$Lambda$ExchangeVipSubmitActivity$xuiWsvDpVNwxImO7VbqC49Aji1c) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ExchangeVipSubmitActivity$xuiWsvDpVNwxImO7VbqC49Aji1c.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                             type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$ExchangeVipSubmitActivity$M1BU9RBxKloQQi54hst3ceLYgjE.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00bd: CONSTRUCTOR  (r2v1 com.faster.cheetah.ui.-$$Lambda$ExchangeVipSubmitActivity$xuiWsvDpVNwxImO7VbqC49Aji1c) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$ExchangeVipSubmitActivity$xuiWsvDpVNwxImO7VbqC49Aji1c.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$ExchangeVipSubmitActivity$M1BU9RBxKloQQi54hst3ceLYgjE.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$ExchangeVipSubmitActivity$xuiWsvDpVNwxImO7VbqC49Aji1c, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /*
                        // Method dump skipped, instructions count: 196
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$ExchangeVipSubmitActivity$M1BU9RBxKloQQi54hst3ceLYgjE.run():void");
                    }
                });
            }
        });
        ExchangeVipEntity exchangeVipEntity = this.application.exchangeVipEntity;
        if (exchangeVipEntity != null) {
            this.tvExchangeCode.setText(exchangeVipEntity.exchangeCode);
            this.tvGroupName.setText(this.application.exchangeVipEntity.groupName);
            this.tvPrice.setText(this.application.exchangeVipEntity.price);
            this.tvTimes.setText(this.application.exchangeVipEntity.times);
            this.tvOverTime.setText(this.application.exchangeVipEntity.overTime);
        }
    }
}
