package com.faster.cheetah.ui;

import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.view.KeyEvent;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.dialog.DialogOkCancel;
import com.google.zxing.WriterException;
import com.zfast.xyz.R;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;

public class GeneratePayQRCodeActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public Button btnSaveQRCode;
    public ImageView imgBack;
    public ImageView imgQRCode;
    public Bitmap qrCode = null;
    public String savePath;
    public TextView tvSaveHelp;

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        super.onBackPressed();
        setResult(-1);
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_generate_pay_qrcode);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.imgQRCode = (ImageView) findViewById(R.id.img_pay_qrcode);
        this.tvSaveHelp = (TextView) findViewById(R.id.tv_help_save);
        this.btnSaveQRCode = (Button) findViewById(R.id.btn_save_qrcode);
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.GeneratePayQRCodeActivity.AnonymousClass1 */

            public void onClick(View view) {
                GeneratePayQRCodeActivity.this.setResult(-1);
                GeneratePayQRCodeActivity.this.finish();
            }
        });
        this.btnSaveQRCode.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.GeneratePayQRCodeActivity.AnonymousClass2 */

            public void onClick(View view) {
                if (ContextCompat.checkSelfPermission(GeneratePayQRCodeActivity.this.activity, "android.permission.WRITE_EXTERNAL_STORAGE") != 0) {
                    ActivityCompat.requestPermissions(GeneratePayQRCodeActivity.this, new String[]{"android.permission.WRITE_EXTERNAL_STORAGE"}, 12);
                    return;
                }
                GeneratePayQRCodeActivity generatePayQRCodeActivity = GeneratePayQRCodeActivity.this;
                int i = GeneratePayQRCodeActivity.$r8$clinit;
                generatePayQRCodeActivity.startSaveQRCode();
            }
        });
        Intent intent = getIntent();
        if (intent != null) {
            StringBuilder outline25 = GeneratedOutlineSupport.outline25("将付款码保存到手机中，然后通过打开");
            outline25.append(intent.getStringExtra("payName"));
            this.tvSaveHelp.setText(GeneratedOutlineSupport.outline18(outline25.toString(), "来识别付款码，完成支付"));
        }
        if (this.application.thirdPayEntity.value != null) {
            int width = (int) (((double) getWindowManager().getDefaultDisplay().getWidth()) * 0.8d);
            try {
                this.qrCode = ViewGroupUtilsApi14.createQRCode(this.application.thirdPayEntity.value, width, width, BitmapFactory.decodeResource(getResources(), R.mipmap.logo));
            } catch (WriterException e) {
                e.printStackTrace();
            }
            Bitmap bitmap = this.qrCode;
            if (bitmap != null) {
                this.imgQRCode.setImageBitmap(bitmap);
            }
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity
    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (keyEvent.getKeyCode() == 4) {
            setResult(-1);
        }
        return super.onKeyDown(i, keyEvent);
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback, androidx.fragment.app.FragmentActivity
    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        super.onRequestPermissionsResult(i, strArr, iArr);
        if (i != 12) {
            return;
        }
        if (iArr.length <= 0 || iArr[0] != 0) {
            Toast.makeText(this.activity, "请打开存储卡读写权限", 0).show();
        } else {
            startSaveQRCode();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x007e A[SYNTHETIC, Splitter:B:24:0x007e] */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x008b  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x0097  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00cf A[SYNTHETIC, Splitter:B:35:0x00cf] */
    public final void startSaveQRCode() {
        boolean z;
        Throwable th;
        IOException e;
        IOException e2;
        if (this.qrCode != null && Environment.getExternalStorageState().equals("mounted")) {
            this.savePath = Environment.getExternalStorageDirectory().getPath() + "/ABC/PayQRCode.jpg";
            File file = new File(this.savePath);
            FileOutputStream fileOutputStream = null;
            try {
                if (!file.exists()) {
                    file.getParentFile().mkdirs();
                    file.createNewFile();
                }
                FileOutputStream fileOutputStream2 = new FileOutputStream(file);
                try {
                    this.qrCode.compress(Bitmap.CompressFormat.JPEG, 100, fileOutputStream2);
                    fileOutputStream2.flush();
                    Intent intent = new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE");
                    intent.setData(Uri.fromFile(file));
                    sendBroadcast(intent);
                    z = true;
                    try {
                        fileOutputStream2.close();
                    } catch (IOException e3) {
                        e = e3;
                    }
                } catch (IOException e4) {
                    e2 = e4;
                    fileOutputStream = fileOutputStream2;
                    try {
                        e2.printStackTrace();
                        if (fileOutputStream != null) {
                        }
                        z = false;
                        if (!z) {
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        fileOutputStream2 = fileOutputStream;
                        if (fileOutputStream2 != null) {
                            try {
                                fileOutputStream2.close();
                            } catch (IOException e5) {
                                e5.printStackTrace();
                            }
                        }
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    if (fileOutputStream2 != null) {
                    }
                    throw th;
                }
            } catch (IOException e6) {
                e2 = e6;
                e2.printStackTrace();
                if (fileOutputStream != null) {
                    try {
                        fileOutputStream.close();
                    } catch (IOException e7) {
                        e = e7;
                        z = false;
                    }
                }
                z = false;
                if (!z) {
                }
            }
            if (!z) {
                Toast.makeText(this.activity, "付款码保存失败", 0).show();
                return;
            }
            DialogOkCancel.Builder builder = new DialogOkCancel.Builder(this.activity);
            builder.setTitle(R.string.sweet_tip);
            builder.content = "付款码已经保存成功，保存路径：" + this.savePath;
            builder.setPositiveButton(R.string.i_know, new DialogInterface.OnClickListener(this) {
                /* class com.faster.cheetah.ui.GeneratePayQRCodeActivity.AnonymousClass3 */

                public void onClick(DialogInterface dialogInterface, int i) {
                    dialogInterface.dismiss();
                }
            });
            builder.create().show();
            return;
        }
        z = false;
        if (!z) {
        }
        e.printStackTrace();
        if (!z) {
        }
    }
}
