package com.faster.cheetah.ui;

import android.os.Bundle;
import android.view.View;
import androidx.databinding.DataBindingUtil;
import androidx.fragment.app.Fragment;
import androidx.viewpager2.adapter.FragmentStateAdapter;
import com.faster.cheetah.databinding.ActivityLinePanelBinding;
import com.google.android.material.tabs.TabLayout;
import com.zfast.xyz.R;

public class LinePanelActivity extends BaseActivity {
    public ActivityLinePanelBinding binding;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        ActivityLinePanelBinding activityLinePanelBinding = (ActivityLinePanelBinding) DataBindingUtil.setContentView(this.activity, R.layout.activity_line_panel);
        this.binding = activityLinePanelBinding;
        activityLinePanelBinding.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.LinePanelActivity.AnonymousClass1 */

            public void onClick(View view) {
                LinePanelActivity.this.finish();
            }
        });
        this.binding.tabLayout.addOnTabSelectedListener((TabLayout.OnTabSelectedListener) new TabLayout.OnTabSelectedListener() {
            /* class com.faster.cheetah.ui.LinePanelActivity.AnonymousClass2 */

            @Override // com.google.android.material.tabs.TabLayout.BaseOnTabSelectedListener
            public void onTabReselected(TabLayout.Tab tab) {
            }

            @Override // com.google.android.material.tabs.TabLayout.BaseOnTabSelectedListener
            public void onTabSelected(TabLayout.Tab tab) {
                LinePanelActivity.this.binding.viewPager2.setCurrentItem(tab.position);
            }

            @Override // com.google.android.material.tabs.TabLayout.BaseOnTabSelectedListener
            public void onTabUnselected(TabLayout.Tab tab) {
            }
        });
        this.binding.viewPager2.setUserInputEnabled(false);
        this.binding.viewPager2.setAdapter(new FragmentStateAdapter(this, this) {
            /* class com.faster.cheetah.ui.LinePanelActivity.AnonymousClass3 */

            @Override // androidx.viewpager2.adapter.FragmentStateAdapter
            public Fragment createFragment(int i) {
                if (i == 0) {
                    return new LinePublicFragment();
                }
                return new LinePrivateFragment();
            }

            @Override // androidx.recyclerview.widget.RecyclerView.Adapter
            public int getItemCount() {
                return 2;
            }
        });
    }
}
