package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.ActivityNotFoundException;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.databinding.DataBindingUtil;
import androidx.transition.ViewGroupUtilsApi14;
import com.allpayx.sdk.AllPayEngine;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.adapter.BuyPrivateLineAreaGridAdapter;
import com.faster.cheetah.adapter.BuyPrivateLineDayGridAdapter;
import com.faster.cheetah.adapter.BuyPrivateLinePayTypeGridAdapter;
import com.faster.cheetah.adapter.BuyPrivateLineProGridAdapter;
import com.faster.cheetah.customerview.SpacingItemDecoration;
import com.faster.cheetah.databinding.FragmentLinePrivateBuyBinding;
import com.faster.cheetah.dialog.DialogOkCancel;
import com.faster.cheetah.entity.DayEntity;
import com.faster.cheetah.entity.PayTypeEntity;
import com.faster.cheetah.entity.ProEntity;
import com.faster.cheetah.entity.TagEntity;
import com.faster.cheetah.entity.ThirdPayEntity;
import com.faster.cheetah.service.AlcedoService;
import com.zfast.xyz.R;
import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class LinePrivateBuyFragment extends BaseFragment {
    public static final /* synthetic */ int $r8$clinit = 0;
    public BuyPrivateLineAreaGridAdapter areaGridAdapter;
    public int areaId;
    public FragmentLinePrivateBuyBinding binding;
    public BuyPrivateLineDayGridAdapter dayGridAdapter;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!LinePrivateBuyFragment.this.superHandleMessage(message) && LinePrivateBuyFragment.this.isAdded()) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    LinePrivateBuyFragment linePrivateBuyFragment = LinePrivateBuyFragment.this;
                    Toast.makeText(linePrivateBuyFragment.context, linePrivateBuyFragment.getString(R.string.network_not_available), 0).show();
                } else if (i == 3) {
                    LinePrivateBuyFragment linePrivateBuyFragment2 = LinePrivateBuyFragment.this;
                    Toast.makeText(linePrivateBuyFragment2.context, linePrivateBuyFragment2.getString(R.string.error_no_available_server_domain), 0).show();
                } else if (i == 20) {
                    LinePrivateBuyFragment linePrivateBuyFragment3 = LinePrivateBuyFragment.this;
                    Toast.makeText(linePrivateBuyFragment3.context, linePrivateBuyFragment3.getString(R.string.error_no_login), 0).show();
                } else if (i == 118) {
                    Toast.makeText(LinePrivateBuyFragment.this.context, string, 0).show();
                } else if (i != 119) {
                    switch (i) {
                        case 101:
                            Context context = LinePrivateBuyFragment.this.context;
                            StringBuilder outline25 = GeneratedOutlineSupport.outline25("orderId:");
                            outline25.append(LinePrivateBuyFragment.this.application.orderEntity.orderID);
                            Toast.makeText(context, outline25.toString(), 0).show();
                            return;
                        case 102:
                            Toast.makeText(LinePrivateBuyFragment.this.context, string, 0).show();
                            return;
                        case 103:
                            LinePrivateBuyFragment linePrivateBuyFragment4 = LinePrivateBuyFragment.this;
                            Toast.makeText(linePrivateBuyFragment4.context, linePrivateBuyFragment4.getString(R.string.error_data_format), 0).show();
                            return;
                        case 104:
                            LinePrivateBuyFragment linePrivateBuyFragment5 = LinePrivateBuyFragment.this;
                            Toast.makeText(linePrivateBuyFragment5.context, linePrivateBuyFragment5.getString(R.string.error_access), 0).show();
                            return;
                        case 105:
                            if (ThirdPayEntity.KEY_SDK_URL.equals(LinePrivateBuyFragment.this.application.thirdPayEntity.key)) {
                                LinePrivateBuyFragment linePrivateBuyFragment6 = LinePrivateBuyFragment.this;
                                AllPayEngine.pay(linePrivateBuyFragment6.activity, linePrivateBuyFragment6.application.thirdPayEntity.value, true);
                                return;
                            } else if (ThirdPayEntity.KEY_MAKE_URL.equals(LinePrivateBuyFragment.this.application.thirdPayEntity.key)) {
                                PayTypeEntity selected = LinePrivateBuyFragment.this.payTypeGridAdapter.getSelected();
                                Intent intent = new Intent(LinePrivateBuyFragment.this.context, GeneratePayQRCodeActivity.class);
                                intent.putExtra("payName", selected.payName);
                                LinePrivateBuyFragment.this.startActivityForResult(intent, 9);
                                return;
                            } else if (ThirdPayEntity.KEY_INTENT_URL.equals(LinePrivateBuyFragment.this.application.thirdPayEntity.key)) {
                                LinePrivateBuyFragment.this.startActivityForResult(new Intent(LinePrivateBuyFragment.this.context, GoPayActivity.class), 8);
                                return;
                            } else if (ThirdPayEntity.KEY_OPEN_URL.equals(LinePrivateBuyFragment.this.application.thirdPayEntity.key)) {
                                PayTypeEntity selected2 = LinePrivateBuyFragment.this.payTypeGridAdapter.getSelected();
                                try {
                                    LinePrivateBuyFragment.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(LinePrivateBuyFragment.this.application.thirdPayEntity.value)));
                                    LinePrivateBuyFragment.this.onActivityResult(11, -1, null);
                                    return;
                                } catch (ActivityNotFoundException unused) {
                                    String str = selected2.payName;
                                    Context context2 = LinePrivateBuyFragment.this.context;
                                    ViewGroupUtilsApi14.show(context2, "支付失败：未安装" + str);
                                    return;
                                }
                            } else {
                                return;
                            }
                        case 106:
                            Toast.makeText(LinePrivateBuyFragment.this.context, string, 0).show();
                            return;
                        case 107:
                            LinePrivateBuyFragment linePrivateBuyFragment7 = LinePrivateBuyFragment.this;
                            Toast.makeText(linePrivateBuyFragment7.context, linePrivateBuyFragment7.getString(R.string.error_data_format), 0).show();
                            return;
                        case 108:
                            LinePrivateBuyFragment linePrivateBuyFragment8 = LinePrivateBuyFragment.this;
                            Toast.makeText(linePrivateBuyFragment8.context, linePrivateBuyFragment8.getString(R.string.error_access), 0).show();
                            return;
                        case 109:
                            LinePrivateBuyFragment linePrivateBuyFragment9 = LinePrivateBuyFragment.this;
                            linePrivateBuyFragment9.payTypeGridAdapter.setData(linePrivateBuyFragment9.application.payTypeEntityList);
                            return;
                        case 110:
                            Toast.makeText(LinePrivateBuyFragment.this.context, string, 0).show();
                            return;
                        case 111:
                            LinePrivateBuyFragment linePrivateBuyFragment10 = LinePrivateBuyFragment.this;
                            Toast.makeText(linePrivateBuyFragment10.context, linePrivateBuyFragment10.getString(R.string.error_data_format), 0).show();
                            return;
                        case 112:
                            LinePrivateBuyFragment linePrivateBuyFragment11 = LinePrivateBuyFragment.this;
                            Toast.makeText(linePrivateBuyFragment11.context, linePrivateBuyFragment11.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    LinePrivateBuyFragment linePrivateBuyFragment12 = LinePrivateBuyFragment.this;
                    Toast.makeText(linePrivateBuyFragment12.context, linePrivateBuyFragment12.getString(R.string.error_access), 0).show();
                    DialogOkCancel.Builder builder = new DialogOkCancel.Builder(LinePrivateBuyFragment.this.context);
                    builder.setTitle(R.string.sweet_tip);
                    builder.setContent(R.string.pay_success_tip);
                    builder.setPositiveButton(R.string.btn_pay_success, new DialogInterface.OnClickListener() {
                        /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass1.AnonymousClass1 */

                        public void onClick(DialogInterface dialogInterface, int i) {
                            LinePrivateBuyFragment.access$100(LinePrivateBuyFragment.this);
                            dialogInterface.dismiss();
                        }
                    });
                    builder.setNegativeButton(R.string.btn_pay_fail, new DialogInterface.OnClickListener() {
                        /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass1.AnonymousClass2 */

                        public void onClick(DialogInterface dialogInterface, int i) {
                            LinePrivateBuyFragment.access$100(LinePrivateBuyFragment.this);
                            dialogInterface.dismiss();
                        }
                    });
                    builder.cancelAble = false;
                    builder.create().show();
                }
            }
        }
    };
    public BuyPrivateLinePayTypeGridAdapter payTypeGridAdapter;
    public BuyPrivateLineProGridAdapter proGridAdapter;

    public LinePrivateBuyFragment() {
    }

    public static void access$100(LinePrivateBuyFragment linePrivateBuyFragment) {
        Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(linePrivateBuyFragment.activity);
        loadingDialog.show();
        MainApplication mainApplication = linePrivateBuyFragment.application;
        mainApplication.executorService.execute(new Runnable(loadingDialog) {
            /* class com.faster.cheetah.ui.$$Lambda$LinePrivateBuyFragment$TNcUGDLcX5RXFSClnTH4VUagwE */
            public final /* synthetic */ Dialog f$1;

            {
                this.f$1 = r2;
            }

            public final void run() {
                LinePrivateBuyFragment linePrivateBuyFragment = LinePrivateBuyFragment.this;
                Dialog dialog = this.f$1;
                MainApplication mainApplication = linePrivateBuyFragment.application;
                AlcedoService alcedoService = mainApplication.alcedoService;
                if (alcedoService != null) {
                    linePrivateBuyFragment.handler.sendMessage(alcedoService.queryOrderStatus(mainApplication.orderEntity.orderID));
                }
                linePrivateBuyFragment.activity.runOnUiThread(
                /*  JADX ERROR: Method code generation error
                    jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001e: INVOKE  
                      (wrap: com.faster.cheetah.ui.BaseActivity : 0x0017: IGET  (r0v1 com.faster.cheetah.ui.BaseActivity) = (r0v0 'linePrivateBuyFragment' com.faster.cheetah.ui.LinePrivateBuyFragment) com.faster.cheetah.ui.BaseFragment.activity com.faster.cheetah.ui.BaseActivity)
                      (wrap: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$7lXcxhq0bYpOoNwc2yXTRYANi-E : 0x001b: CONSTRUCTOR  (r2v1 com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$7lXcxhq0bYpOoNwc2yXTRYANi-E) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$7lXcxhq0bYpOoNwc2yXTRYANi-E.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                     type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$TNcUGDLcX-5RXFSClnTH4VUagwE.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                    	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                    	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                    	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                    	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                    	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                    	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                    	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                    	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                    	at java.util.ArrayList.forEach(ArrayList.java:1259)
                    	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                    	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                    Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001b: CONSTRUCTOR  (r2v1 com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$7lXcxhq0bYpOoNwc2yXTRYANi-E) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$7lXcxhq0bYpOoNwc2yXTRYANi-E.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$TNcUGDLcX-5RXFSClnTH4VUagwE.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                    	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                    	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                    	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                    	... 14 more
                    Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$7lXcxhq0bYpOoNwc2yXTRYANi-E, state: NOT_LOADED
                    	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                    	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                    	... 20 more
                    */
                /*
                    this = this;
                    com.faster.cheetah.ui.LinePrivateBuyFragment r0 = com.faster.cheetah.ui.LinePrivateBuyFragment.this
                    android.app.Dialog r1 = r4.f$1
                    com.faster.cheetah.MainApplication r2 = r0.application
                    com.faster.cheetah.service.AlcedoService r3 = r2.alcedoService
                    if (r3 == 0) goto L_0x0017
                    com.faster.cheetah.entity.OrderEntity r2 = r2.orderEntity
                    java.lang.String r2 = r2.orderID
                    android.os.Message r2 = r3.queryOrderStatus(r2)
                    android.os.Handler r3 = r0.handler
                    r3.sendMessage(r2)
                L_0x0017:
                    com.faster.cheetah.ui.BaseActivity r0 = r0.activity
                    com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$7lXcxhq0bYpOoNwc2yXTRYANi-E r2 = new com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$7lXcxhq0bYpOoNwc2yXTRYANi-E
                    r2.<init>(r1)
                    r0.runOnUiThread(r2)
                    return
                */
                throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$LinePrivateBuyFragment$TNcUGDLcX5RXFSClnTH4VUagwE.run():void");
            }
        });
    }

    public final void amount() {
        ProEntity selected = this.proGridAdapter.getSelected();
        if (selected == null) {
            this.binding.layoutNull.setVisibility(0);
            this.binding.layoutProduct.setVisibility(8);
        } else {
            this.binding.layoutNull.setVisibility(8);
            this.binding.layoutProduct.setVisibility(0);
        }
        DayEntity selected2 = this.dayGridAdapter.getSelected();
        if (selected == null || selected2 == null) {
            this.binding.tvAmount.setText("￥0.00");
            this.binding.tvDiscount.setVisibility(8);
            return;
        }
        float floatValue = new BigDecimal((double) selected.price).multiply(new BigDecimal(selected2.day)).multiply(new BigDecimal((double) selected2.zk)).multiply(new BigDecimal(Integer.parseInt(this.binding.etNum.getText().toString()))).setScale(2, RoundingMode.HALF_UP).floatValue();
        TextView textView = this.binding.tvAmount;
        textView.setText("￥" + floatValue);
        if (selected2.zk < 1.0f) {
            this.binding.tvDiscount.setVisibility(0);
            TextView textView2 = this.binding.tvDiscount;
            textView2.setText((selected2.zk * 10.0f) + "折");
        } else {
            this.binding.tvDiscount.setVisibility(8);
        }
        if (selected.svip == 0) {
            this.binding.layoutSvip.setVisibility(0);
        } else {
            this.binding.layoutSvip.setVisibility(8);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i == 8 || i == 9 || i == 11) {
            if (-1 == i2) {
                DialogOkCancel.Builder builder = new DialogOkCancel.Builder(this.context);
                builder.setTitle(R.string.sweet_tip);
                builder.setContent(R.string.pay_success_tip);
                builder.setPositiveButton(R.string.btn_pay_success, new DialogInterface.OnClickListener() {
                    /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass2 */

                    public void onClick(DialogInterface dialogInterface, int i) {
                        LinePrivateBuyFragment.access$100(LinePrivateBuyFragment.this);
                        dialogInterface.dismiss();
                    }
                });
                builder.setNegativeButton(R.string.btn_pay_fail, new DialogInterface.OnClickListener() {
                    /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass3 */

                    public void onClick(DialogInterface dialogInterface, int i) {
                        LinePrivateBuyFragment.access$100(LinePrivateBuyFragment.this);
                        dialogInterface.dismiss();
                    }
                });
                builder.cancelAble = false;
                builder.create().show();
            }
        } else if (i == 100 && 200 == i2 && intent != null) {
            intent.getExtras().getString("pay_result");
            DialogOkCancel.Builder builder2 = new DialogOkCancel.Builder(this.context);
            builder2.setTitle(R.string.sweet_tip);
            builder2.setContent(R.string.pay_success_tip);
            builder2.setPositiveButton(R.string.btn_pay_success, new DialogInterface.OnClickListener() {
                /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass4 */

                public void onClick(DialogInterface dialogInterface, int i) {
                    LinePrivateBuyFragment.access$100(LinePrivateBuyFragment.this);
                    dialogInterface.dismiss();
                }
            });
            builder2.setNegativeButton(R.string.btn_pay_fail, new DialogInterface.OnClickListener() {
                /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass5 */

                public void onClick(DialogInterface dialogInterface, int i) {
                    LinePrivateBuyFragment.access$100(LinePrivateBuyFragment.this);
                    dialogInterface.dismiss();
                }
            });
            builder2.cancelAble = false;
            builder2.create().show();
        }
    }

    @Override // com.faster.cheetah.ui.BaseFragment, androidx.fragment.app.Fragment
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        FragmentLinePrivateBuyBinding fragmentLinePrivateBuyBinding = (FragmentLinePrivateBuyBinding) DataBindingUtil.inflate(layoutInflater, R.layout.fragment_line_private_buy, viewGroup, false);
        this.binding = fragmentLinePrivateBuyBinding;
        fragmentLinePrivateBuyBinding.btnNumMinus.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass6 */

            public void onClick(View view) {
                int i = 1;
                int parseInt = Integer.parseInt(LinePrivateBuyFragment.this.binding.etNum.getText().toString()) - 1;
                if (parseInt >= 1) {
                    i = parseInt;
                }
                LinePrivateBuyFragment.this.binding.etNum.setText(String.valueOf(i));
                LinePrivateBuyFragment.this.amount();
            }
        });
        this.binding.btnNumPlus.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass7 */

            public void onClick(View view) {
                int parseInt = Integer.parseInt(LinePrivateBuyFragment.this.binding.etNum.getText().toString()) + 1;
                if (parseInt > 10) {
                    parseInt = 10;
                }
                LinePrivateBuyFragment.this.binding.etNum.setText(String.valueOf(parseInt));
                LinePrivateBuyFragment.this.amount();
            }
        });
        this.binding.tvQuan.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass8 */

            public void onClick(View view) {
                LinePrivateBuyFragment.this.context.startActivity(new Intent(LinePrivateBuyFragment.this.context, ExchangeVipActivity.class));
            }
        });
        this.binding.tvSubmit.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass9 */

            public void onClick(View view) {
                LinePrivateBuyFragment linePrivateBuyFragment = LinePrivateBuyFragment.this;
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(linePrivateBuyFragment.activity);
                loadingDialog.show();
                MainApplication mainApplication = linePrivateBuyFragment.application;
                mainApplication.executorService.execute(new Runnable(loadingDialog) {
                    /* class com.faster.cheetah.ui.$$Lambda$LinePrivateBuyFragment$7L9RCzRuoQBaHy10EBPd1XcXwc */
                    public final /* synthetic */ Dialog f$1;

                    {
                        this.f$1 = r2;
                    }

                    public final void run() {
                        LinePrivateBuyFragment linePrivateBuyFragment = LinePrivateBuyFragment.this;
                        Dialog dialog = this.f$1;
                        ProEntity selected = linePrivateBuyFragment.proGridAdapter.getSelected();
                        DayEntity selected2 = linePrivateBuyFragment.dayGridAdapter.getSelected();
                        PayTypeEntity selected3 = linePrivateBuyFragment.payTypeGridAdapter.getSelected();
                        int parseInt = Integer.parseInt(linePrivateBuyFragment.binding.etNum.getText().toString());
                        AlcedoService alcedoService = linePrivateBuyFragment.application.alcedoService;
                        if (!(alcedoService == null || selected == null || selected2 == null || selected3 == null)) {
                            Message lineAloneBuy = alcedoService.lineAloneBuy(null, GeneratedOutlineSupport.outline21(new StringBuilder(), selected.id, ""), selected2.day, selected3.payType, parseInt);
                            if (lineAloneBuy.what == 101) {
                                lineAloneBuy = linePrivateBuyFragment.application.alcedoService.choosePay(selected3);
                            }
                            linePrivateBuyFragment.handler.sendMessage(lineAloneBuy);
                        }
                        linePrivateBuyFragment.activity.runOnUiThread(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0062: INVOKE  
                              (wrap: com.faster.cheetah.ui.BaseActivity : 0x005b: IGET  (r0v1 com.faster.cheetah.ui.BaseActivity) = (r0v0 'linePrivateBuyFragment' com.faster.cheetah.ui.LinePrivateBuyFragment) com.faster.cheetah.ui.BaseFragment.activity com.faster.cheetah.ui.BaseActivity)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$F50lfCgFVmRmu9nWu3EAwlYcvjE : 0x005f: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$F50lfCgFVmRmu9nWu3EAwlYcvjE) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$F50lfCgFVmRmu9nWu3EAwlYcvjE.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                             type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$-7L9RCzRuoQBaHy10EBPd1XcXwc.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x005f: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$F50lfCgFVmRmu9nWu3EAwlYcvjE) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$F50lfCgFVmRmu9nWu3EAwlYcvjE.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$-7L9RCzRuoQBaHy10EBPd1XcXwc.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$F50lfCgFVmRmu9nWu3EAwlYcvjE, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /*
                        // Method dump skipped, instructions count: 102
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$LinePrivateBuyFragment$7L9RCzRuoQBaHy10EBPd1XcXwc.run():void");
                    }
                });
            }
        });
        int applyDimension = (int) TypedValue.applyDimension(1, 5.0f, getResources().getDisplayMetrics());
        this.binding.gvArea.addItemDecoration(new SpacingItemDecoration(applyDimension, applyDimension));
        BuyPrivateLineAreaGridAdapter buyPrivateLineAreaGridAdapter = new BuyPrivateLineAreaGridAdapter(this.context, null);
        this.areaGridAdapter = buyPrivateLineAreaGridAdapter;
        this.binding.gvArea.setAdapter(buyPrivateLineAreaGridAdapter);
        this.binding.gvPro.addItemDecoration(new SpacingItemDecoration(applyDimension, applyDimension));
        BuyPrivateLineProGridAdapter buyPrivateLineProGridAdapter = new BuyPrivateLineProGridAdapter(this.context, null);
        this.proGridAdapter = buyPrivateLineProGridAdapter;
        this.binding.gvPro.setAdapter(buyPrivateLineProGridAdapter);
        this.binding.gvDay.addItemDecoration(new SpacingItemDecoration(applyDimension, applyDimension));
        BuyPrivateLineDayGridAdapter buyPrivateLineDayGridAdapter = new BuyPrivateLineDayGridAdapter(this.context, this.application.getPrivateLineDataEntity().daysEntityList);
        this.dayGridAdapter = buyPrivateLineDayGridAdapter;
        this.binding.gvDay.setAdapter(buyPrivateLineDayGridAdapter);
        this.binding.gvPayType.addItemDecoration(new SpacingItemDecoration(applyDimension, applyDimension));
        BuyPrivateLinePayTypeGridAdapter buyPrivateLinePayTypeGridAdapter = new BuyPrivateLinePayTypeGridAdapter(this.context, null);
        this.payTypeGridAdapter = buyPrivateLinePayTypeGridAdapter;
        this.binding.gvPayType.setAdapter(buyPrivateLinePayTypeGridAdapter);
        this.areaGridAdapter.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass10 */

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                BuyPrivateLineAreaGridAdapter buyPrivateLineAreaGridAdapter = LinePrivateBuyFragment.this.areaGridAdapter;
                buyPrivateLineAreaGridAdapter.pos = i;
                buyPrivateLineAreaGridAdapter.notifyItemRangeChanged(0, buyPrivateLineAreaGridAdapter.getItemCount());
                ArrayList arrayList = new ArrayList();
                TagEntity selected = LinePrivateBuyFragment.this.areaGridAdapter.getSelected();
                if (selected != null) {
                    for (ProEntity proEntity : LinePrivateBuyFragment.this.application.getPrivateLineDataEntity().prosEntityList) {
                        if (proEntity.dqid == selected.getId()) {
                            arrayList.add(proEntity);
                        }
                    }
                }
                LinePrivateBuyFragment.this.proGridAdapter.setData(arrayList);
                LinePrivateBuyFragment.this.amount();
            }
        });
        this.proGridAdapter.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass11 */

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                BuyPrivateLineProGridAdapter buyPrivateLineProGridAdapter = LinePrivateBuyFragment.this.proGridAdapter;
                buyPrivateLineProGridAdapter.pos = i;
                buyPrivateLineProGridAdapter.notifyItemRangeChanged(0, buyPrivateLineProGridAdapter.getItemCount());
                LinePrivateBuyFragment.this.amount();
            }
        });
        this.dayGridAdapter.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass12 */

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                BuyPrivateLineDayGridAdapter buyPrivateLineDayGridAdapter = LinePrivateBuyFragment.this.dayGridAdapter;
                buyPrivateLineDayGridAdapter.pos = i;
                buyPrivateLineDayGridAdapter.notifyItemRangeChanged(0, buyPrivateLineDayGridAdapter.getItemCount());
                LinePrivateBuyFragment.this.amount();
            }
        });
        this.payTypeGridAdapter.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateBuyFragment.AnonymousClass13 */

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                BuyPrivateLinePayTypeGridAdapter buyPrivateLinePayTypeGridAdapter = LinePrivateBuyFragment.this.payTypeGridAdapter;
                buyPrivateLinePayTypeGridAdapter.pos = i;
                buyPrivateLinePayTypeGridAdapter.notifyItemRangeChanged(0, buyPrivateLinePayTypeGridAdapter.getItemCount());
            }
        });
        Iterator<TagEntity> it = this.application.getPrivateLineDataEntity().tagEntityList.iterator();
        int i = 0;
        while (true) {
            if (!it.hasNext()) {
                i = 0;
                break;
            } else if (it.next().getId() == this.areaId) {
                break;
            } else {
                i++;
            }
        }
        BuyPrivateLineAreaGridAdapter buyPrivateLineAreaGridAdapter2 = this.areaGridAdapter;
        List<TagEntity> list = this.application.getPrivateLineDataEntity().tagEntityList;
        buyPrivateLineAreaGridAdapter2.pos = i;
        List<TagEntity> list2 = buyPrivateLineAreaGridAdapter2.dataList;
        if (list2 != null && !list2.isEmpty()) {
            buyPrivateLineAreaGridAdapter2.notifyItemRangeRemoved(0, buyPrivateLineAreaGridAdapter2.getItemCount());
            buyPrivateLineAreaGridAdapter2.dataList.clear();
        }
        if (list != null) {
            if (buyPrivateLineAreaGridAdapter2.dataList == null) {
                buyPrivateLineAreaGridAdapter2.dataList = new ArrayList();
            }
            buyPrivateLineAreaGridAdapter2.dataList.addAll(list);
            buyPrivateLineAreaGridAdapter2.notifyItemRangeInserted(0, buyPrivateLineAreaGridAdapter2.getItemCount());
        }
        ArrayList arrayList = new ArrayList();
        TagEntity selected = this.areaGridAdapter.getSelected();
        if (selected != null) {
            for (ProEntity proEntity : this.application.getPrivateLineDataEntity().prosEntityList) {
                if (proEntity.dqid == selected.getId()) {
                    arrayList.add(proEntity);
                }
            }
            this.proGridAdapter.setData(arrayList);
        }
        amount();
        Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(this.activity);
        loadingDialog.show();
        MainApplication mainApplication = this.application;
        mainApplication.executorService.execute(new Runnable(loadingDialog) {
            /* class com.faster.cheetah.ui.$$Lambda$LinePrivateBuyFragment$Uunacsch1qv1idojf54y_TQWrcM */
            public final /* synthetic */ Dialog f$1;

            {
                this.f$1 = r2;
            }

            public final void run() {
                LinePrivateBuyFragment linePrivateBuyFragment = LinePrivateBuyFragment.this;
                Dialog dialog = this.f$1;
                AlcedoService alcedoService = linePrivateBuyFragment.application.alcedoService;
                if (alcedoService != null) {
                    linePrivateBuyFragment.handler.sendMessage(alcedoService.getPayType());
                }
                linePrivateBuyFragment.activity.runOnUiThread(
                /*  JADX ERROR: Method code generation error
                    jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001a: INVOKE  
                      (wrap: com.faster.cheetah.ui.BaseActivity : 0x0013: IGET  (r0v1 com.faster.cheetah.ui.BaseActivity) = (r0v0 'linePrivateBuyFragment' com.faster.cheetah.ui.LinePrivateBuyFragment) com.faster.cheetah.ui.BaseFragment.activity com.faster.cheetah.ui.BaseActivity)
                      (wrap: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$rEwix49gPQtACTvfXsfniRKMPqY : 0x0017: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$rEwix49gPQtACTvfXsfniRKMPqY) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$rEwix49gPQtACTvfXsfniRKMPqY.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                     type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$Uunacsch1qv1idojf54y_TQWrcM.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                    	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                    	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                    	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                    	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                    	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                    	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                    	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                    	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                    	at java.util.ArrayList.forEach(ArrayList.java:1259)
                    	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                    	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                    Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0017: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$rEwix49gPQtACTvfXsfniRKMPqY) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$rEwix49gPQtACTvfXsfniRKMPqY.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$Uunacsch1qv1idojf54y_TQWrcM.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                    	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                    	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                    	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                    	... 14 more
                    Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$rEwix49gPQtACTvfXsfniRKMPqY, state: NOT_LOADED
                    	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                    	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                    	... 20 more
                    */
                /*
                    this = this;
                    com.faster.cheetah.ui.LinePrivateBuyFragment r0 = com.faster.cheetah.ui.LinePrivateBuyFragment.this
                    android.app.Dialog r1 = r4.f$1
                    com.faster.cheetah.MainApplication r2 = r0.application
                    com.faster.cheetah.service.AlcedoService r2 = r2.alcedoService
                    if (r2 == 0) goto L_0x0013
                    android.os.Message r2 = r2.getPayType()
                    android.os.Handler r3 = r0.handler
                    r3.sendMessage(r2)
                L_0x0013:
                    com.faster.cheetah.ui.BaseActivity r0 = r0.activity
                    com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$rEwix49gPQtACTvfXsfniRKMPqY r2 = new com.faster.cheetah.ui.-$$Lambda$LinePrivateBuyFragment$rEwix49gPQtACTvfXsfniRKMPqY
                    r2.<init>(r1)
                    r0.runOnUiThread(r2)
                    return
                */
                throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$LinePrivateBuyFragment$Uunacsch1qv1idojf54y_TQWrcM.run():void");
            }
        });
        return this.binding.mRoot;
    }

    public LinePrivateBuyFragment(int i) {
        this.areaId = i;
    }
}
