package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.Toast;
import androidx.core.content.ContextCompat;
import androidx.databinding.DataBindingUtil;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.swiperefreshlayout.widget.SwipeRefreshLayout;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.adapter.LinePrivateListAdapter;
import com.faster.cheetah.customerview.SpacingItemDecoration;
import com.faster.cheetah.databinding.FragmentLinePrivateBinding;
import com.faster.cheetah.entity.LineEntity;
import com.faster.cheetah.entity.TagEntity;
import com.faster.cheetah.service.AlcedoService;
import com.google.android.material.tabs.TabLayout;
import com.zfast.xyz.R;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import net.xfkefu.sdk.a.XfLog;

public class LinePrivateFragment extends BaseFragment {
    public static final /* synthetic */ int $r8$clinit = 0;
    public FragmentLinePrivateBinding binding;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.LinePrivateFragment.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!LinePrivateFragment.this.superHandleMessage(message) && LinePrivateFragment.this.isAdded()) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    LinePrivateFragment linePrivateFragment = LinePrivateFragment.this;
                    Toast.makeText(linePrivateFragment.context, linePrivateFragment.getString(R.string.network_not_available), 0).show();
                } else if (i == 3) {
                    LinePrivateFragment linePrivateFragment2 = LinePrivateFragment.this;
                    Toast.makeText(linePrivateFragment2.context, linePrivateFragment2.getString(R.string.error_no_available_server_domain), 0).show();
                } else if (i != 20) {
                    switch (i) {
                        case 12:
                            if (LinePrivateFragment.this.application.getPrivateLineDataEntity().tagEntityList != null) {
                                TagEntity tagEntity = new TagEntity();
                                tagEntity.setId(0);
                                tagEntity.setName(LinePrivateFragment.this.getString(R.string.tag_all));
                                LinePrivateFragment.this.tagEntityList.add(tagEntity);
                                LinePrivateFragment linePrivateFragment3 = LinePrivateFragment.this;
                                linePrivateFragment3.tagEntityList.addAll(linePrivateFragment3.application.getPrivateLineDataEntity().tagEntityList);
                                LinePrivateFragment.this.binding.tabLayout.removeAllTabs();
                                for (TagEntity tagEntity2 : LinePrivateFragment.this.tagEntityList) {
                                    TabLayout tabLayout = LinePrivateFragment.this.binding.tabLayout;
                                    TabLayout.Tab newTab = tabLayout.newTab();
                                    newTab.setText(tagEntity2.getName());
                                    tabLayout.addTab(newTab, tabLayout.tabs.isEmpty());
                                }
                                return;
                            }
                            return;
                        case 13:
                            Toast.makeText(LinePrivateFragment.this.context, string, 0).show();
                            return;
                        case 14:
                            LinePrivateFragment linePrivateFragment4 = LinePrivateFragment.this;
                            Toast.makeText(linePrivateFragment4.context, linePrivateFragment4.getString(R.string.error_data_format), 0).show();
                            return;
                        case 15:
                            LinePrivateFragment linePrivateFragment5 = LinePrivateFragment.this;
                            Toast.makeText(linePrivateFragment5.context, linePrivateFragment5.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    LinePrivateFragment linePrivateFragment6 = LinePrivateFragment.this;
                    Toast.makeText(linePrivateFragment6.context, linePrivateFragment6.getString(R.string.error_no_login), 0).show();
                }
            }
        }
    };
    public List<LineEntity> lineEntityList = null;
    public LinePrivateListAdapter lineListAdapter = null;
    public final List<TagEntity> tagEntityList = new ArrayList();

    public int getAreaId() {
        int selectedTabPosition = this.binding.tabLayout.getSelectedTabPosition();
        if (selectedTabPosition == -1 || selectedTabPosition >= this.tagEntityList.size()) {
            return 0;
        }
        return this.tagEntityList.get(selectedTabPosition).getId();
    }

    @Override // com.faster.cheetah.ui.BaseFragment, androidx.fragment.app.Fragment
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        FragmentLinePrivateBinding fragmentLinePrivateBinding = (FragmentLinePrivateBinding) DataBindingUtil.inflate(layoutInflater, R.layout.fragment_line_private, viewGroup, false);
        this.binding = fragmentLinePrivateBinding;
        return fragmentLinePrivateBinding.mRoot;
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        this.binding.tabLayout.addOnTabSelectedListener((TabLayout.OnTabSelectedListener) new TabLayout.OnTabSelectedListener() {
            /* class com.faster.cheetah.ui.LinePrivateFragment.AnonymousClass2 */

            @Override // com.google.android.material.tabs.TabLayout.BaseOnTabSelectedListener
            public void onTabReselected(TabLayout.Tab tab) {
            }

            @Override // com.google.android.material.tabs.TabLayout.BaseOnTabSelectedListener
            public void onTabSelected(TabLayout.Tab tab) {
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("onTabSelected ");
                outline25.append(tab.position);
                XfLog.error("LinePrivateFragment", outline25.toString());
                int id = LinePrivateFragment.this.tagEntityList.get(tab.position).getId();
                LinePrivateFragment.this.lineEntityList = new ArrayList();
                for (LineEntity lineEntity : LinePrivateFragment.this.application.getPrivateLineDataEntity().lineEntityList) {
                    if (lineEntity.areaID == id || id == 0) {
                        LinePrivateFragment.this.lineEntityList.add(lineEntity);
                    }
                }
                LinePrivateFragment linePrivateFragment = LinePrivateFragment.this;
                LinePrivateListAdapter linePrivateListAdapter = linePrivateFragment.lineListAdapter;
                List<LineEntity> list = linePrivateFragment.lineEntityList;
                List<LineEntity> list2 = linePrivateListAdapter.lineEntityList;
                if (list2 != null && !list2.isEmpty()) {
                    linePrivateListAdapter.notifyItemRangeRemoved(0, linePrivateListAdapter.getItemCount());
                }
                linePrivateListAdapter.lineEntityList = list;
                if (list != null && !list.isEmpty()) {
                    linePrivateListAdapter.notifyItemRangeInserted(0, linePrivateListAdapter.getItemCount());
                }
                if (LinePrivateFragment.this.lineEntityList.isEmpty()) {
                    LinePrivateFragment.this.binding.layoutEmpty.setVisibility(0);
                    LinePrivateFragment.this.binding.layoutContent.setVisibility(8);
                    return;
                }
                LinePrivateFragment.this.binding.layoutEmpty.setVisibility(8);
                LinePrivateFragment.this.binding.layoutContent.setVisibility(0);
            }

            @Override // com.google.android.material.tabs.TabLayout.BaseOnTabSelectedListener
            public void onTabUnselected(TabLayout.Tab tab) {
            }
        });
        this.binding.layoutRenew.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateFragment.AnonymousClass3 */

            public void onClick(View view) {
                ArrayList arrayList;
                LinePrivateFragment linePrivateFragment = LinePrivateFragment.this;
                Context context = linePrivateFragment.context;
                LinePrivateListAdapter linePrivateListAdapter = linePrivateFragment.lineListAdapter;
                if (!linePrivateListAdapter.selectMap.isEmpty()) {
                    arrayList = new ArrayList(linePrivateListAdapter.selectMap.values());
                } else {
                    arrayList = new ArrayList();
                }
                LinePrivateRenewActivity.selected = arrayList;
                linePrivateFragment.startActivity(new Intent(context, LinePrivateRenewActivity.class));
            }
        });
        this.binding.btnBuy.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateFragment.AnonymousClass4 */

            public void onClick(View view) {
                int areaId = LinePrivateFragment.this.getAreaId();
                LinePrivateFragment linePrivateFragment = LinePrivateFragment.this;
                Context context = linePrivateFragment.context;
                int i = LinePrivateBuyActivity.$r8$clinit;
                Intent intent = new Intent(context, LinePrivateBuyActivity.class);
                intent.putExtra("areaId", areaId);
                linePrivateFragment.startActivity(intent);
            }
        });
        this.binding.recyclerView.addItemDecoration(new SpacingItemDecoration((int) TypedValue.applyDimension(1, 1.0f, requireContext().getResources().getDisplayMetrics()), 0, ContextCompat.getColor(this.context, R.color.color_gray_line)));
        this.binding.recyclerView.setLayoutManager(new LinearLayoutManager(this.context));
        LinePrivateListAdapter linePrivateListAdapter = new LinePrivateListAdapter(getActivity(), null);
        this.lineListAdapter = linePrivateListAdapter;
        linePrivateListAdapter.listener = new LinePrivateListAdapter.Listener() {
            /* class com.faster.cheetah.ui.LinePrivateFragment.AnonymousClass5 */

            public void onSelect(Map<String, LineEntity> map) {
                if (map.isEmpty()) {
                    LinePrivateFragment.this.binding.layoutRenew.setVisibility(8);
                    return;
                }
                Button button = LinePrivateFragment.this.binding.btnRenew;
                button.setText(LinePrivateFragment.this.getString(R.string.branch_renew) + "(" + map.size() + ")");
                LinePrivateFragment.this.binding.layoutRenew.setVisibility(0);
            }
        };
        this.binding.recyclerView.setAdapter(linePrivateListAdapter);
        this.binding.swipeRefreshLayout.setEnabled(false);
        this.binding.swipeRefreshLayout.setColorSchemeColors(ContextCompat.getColor(requireContext(), R.color.colorPrimary));
        this.binding.swipeRefreshLayout.setOnRefreshListener(new SwipeRefreshLayout.OnRefreshListener() {
            /* class com.faster.cheetah.ui.LinePrivateFragment.AnonymousClass6 */

            @Override // androidx.swiperefreshlayout.widget.SwipeRefreshLayout.OnRefreshListener
            public void onRefresh() {
                LinePrivateFragment.this.binding.swipeRefreshLayout.setRefreshing(false);
            }
        });
        Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(this.activity);
        loadingDialog.show();
        MainApplication mainApplication = this.application;
        mainApplication.executorService.execute(new Runnable(loadingDialog) {
            /* class com.faster.cheetah.ui.$$Lambda$LinePrivateFragment$YICF168hzhgcBMT6hTyKfxqJ8 */
            public final /* synthetic */ Dialog f$1;

            {
                this.f$1 = r2;
            }

            public final void run() {
                LinePrivateFragment linePrivateFragment = LinePrivateFragment.this;
                Dialog dialog = this.f$1;
                AlcedoService alcedoService = linePrivateFragment.application.alcedoService;
                if (alcedoService != null) {
                    linePrivateFragment.handler.sendMessage(alcedoService.getLineAloneList());
                }
                linePrivateFragment.activity.runOnUiThread(
                /*  JADX ERROR: Method code generation error
                    jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001a: INVOKE  
                      (wrap: com.faster.cheetah.ui.BaseActivity : 0x0013: IGET  (r0v1 com.faster.cheetah.ui.BaseActivity) = (r0v0 'linePrivateFragment' com.faster.cheetah.ui.LinePrivateFragment) com.faster.cheetah.ui.BaseFragment.activity com.faster.cheetah.ui.BaseActivity)
                      (wrap: com.faster.cheetah.ui.-$$Lambda$LinePrivateFragment$chp4mtSONANwn04FR2XqeHzLZGg : 0x0017: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$LinePrivateFragment$chp4mtSONANwn04FR2XqeHzLZGg) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePrivateFragment$chp4mtSONANwn04FR2XqeHzLZGg.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                     type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$LinePrivateFragment$YICF168h-zhgcBMT6h-TyKfxqJ8.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                    	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                    	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                    	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                    	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                    	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                    	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                    	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                    	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                    	at java.util.ArrayList.forEach(ArrayList.java:1259)
                    	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                    	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                    Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0017: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$LinePrivateFragment$chp4mtSONANwn04FR2XqeHzLZGg) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePrivateFragment$chp4mtSONANwn04FR2XqeHzLZGg.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$LinePrivateFragment$YICF168h-zhgcBMT6h-TyKfxqJ8.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                    	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                    	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                    	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                    	... 14 more
                    Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$LinePrivateFragment$chp4mtSONANwn04FR2XqeHzLZGg, state: NOT_LOADED
                    	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                    	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                    	... 20 more
                    */
                /*
                    this = this;
                    com.faster.cheetah.ui.LinePrivateFragment r0 = com.faster.cheetah.ui.LinePrivateFragment.this
                    android.app.Dialog r1 = r4.f$1
                    com.faster.cheetah.MainApplication r2 = r0.application
                    com.faster.cheetah.service.AlcedoService r2 = r2.alcedoService
                    if (r2 == 0) goto L_0x0013
                    android.os.Message r2 = r2.getLineAloneList()
                    android.os.Handler r3 = r0.handler
                    r3.sendMessage(r2)
                L_0x0013:
                    com.faster.cheetah.ui.BaseActivity r0 = r0.activity
                    com.faster.cheetah.ui.-$$Lambda$LinePrivateFragment$chp4mtSONANwn04FR2XqeHzLZGg r2 = new com.faster.cheetah.ui.-$$Lambda$LinePrivateFragment$chp4mtSONANwn04FR2XqeHzLZGg
                    r2.<init>(r1)
                    r0.runOnUiThread(r2)
                    return
                */
                throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$LinePrivateFragment$YICF168hzhgcBMT6hTyKfxqJ8.run():void");
            }
        });
    }
}
