package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.ActivityNotFoundException;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.databinding.DataBindingUtil;
import androidx.transition.ViewGroupUtilsApi14;
import com.allpayx.sdk.AllPayEngine;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.adapter.BuyPrivateLineDayGridAdapter;
import com.faster.cheetah.adapter.BuyPrivateLinePayTypeGridAdapter;
import com.faster.cheetah.adapter.RenewPrivateLineProAdapter;
import com.faster.cheetah.customerview.SpacingItemDecoration;
import com.faster.cheetah.databinding.FragmentLinePrivateRenewBinding;
import com.faster.cheetah.dialog.DialogOkCancel;
import com.faster.cheetah.entity.DayEntity;
import com.faster.cheetah.entity.LineEntity;
import com.faster.cheetah.entity.PayTypeEntity;
import com.faster.cheetah.entity.ProEntity;
import com.faster.cheetah.entity.ThirdPayEntity;
import com.faster.cheetah.service.AlcedoService;
import com.zfast.xyz.R;
import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.List;

public class LinePrivateRenewFragment extends BaseFragment {
    public static final /* synthetic */ int $r8$clinit = 0;
    public FragmentLinePrivateRenewBinding binding;
    public BuyPrivateLineDayGridAdapter dayGridAdapter;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.LinePrivateRenewFragment.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!LinePrivateRenewFragment.this.superHandleMessage(message) && LinePrivateRenewFragment.this.isAdded()) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    LinePrivateRenewFragment linePrivateRenewFragment = LinePrivateRenewFragment.this;
                    Toast.makeText(linePrivateRenewFragment.context, linePrivateRenewFragment.getString(R.string.network_not_available), 0).show();
                } else if (i == 3) {
                    LinePrivateRenewFragment linePrivateRenewFragment2 = LinePrivateRenewFragment.this;
                    Toast.makeText(linePrivateRenewFragment2.context, linePrivateRenewFragment2.getString(R.string.error_no_available_server_domain), 0).show();
                } else if (i == 20) {
                    LinePrivateRenewFragment linePrivateRenewFragment3 = LinePrivateRenewFragment.this;
                    Toast.makeText(linePrivateRenewFragment3.context, linePrivateRenewFragment3.getString(R.string.error_no_login), 0).show();
                } else if (i == 118) {
                    Toast.makeText(LinePrivateRenewFragment.this.context, string, 0).show();
                } else if (i != 119) {
                    switch (i) {
                        case 101:
                            Context context = LinePrivateRenewFragment.this.context;
                            StringBuilder outline25 = GeneratedOutlineSupport.outline25("orderId:");
                            outline25.append(LinePrivateRenewFragment.this.application.orderEntity.orderID);
                            Toast.makeText(context, outline25.toString(), 0).show();
                            return;
                        case 102:
                            Toast.makeText(LinePrivateRenewFragment.this.context, string, 0).show();
                            return;
                        case 103:
                            LinePrivateRenewFragment linePrivateRenewFragment4 = LinePrivateRenewFragment.this;
                            Toast.makeText(linePrivateRenewFragment4.context, linePrivateRenewFragment4.getString(R.string.error_data_format), 0).show();
                            return;
                        case 104:
                            LinePrivateRenewFragment linePrivateRenewFragment5 = LinePrivateRenewFragment.this;
                            Toast.makeText(linePrivateRenewFragment5.context, linePrivateRenewFragment5.getString(R.string.error_access), 0).show();
                            return;
                        case 105:
                            if (ThirdPayEntity.KEY_SDK_URL.equals(LinePrivateRenewFragment.this.application.thirdPayEntity.key)) {
                                LinePrivateRenewFragment linePrivateRenewFragment6 = LinePrivateRenewFragment.this;
                                AllPayEngine.pay(linePrivateRenewFragment6.activity, linePrivateRenewFragment6.application.thirdPayEntity.value, true);
                                return;
                            } else if (ThirdPayEntity.KEY_MAKE_URL.equals(LinePrivateRenewFragment.this.application.thirdPayEntity.key)) {
                                PayTypeEntity selected = LinePrivateRenewFragment.this.payTypeGridAdapter.getSelected();
                                Intent intent = new Intent(LinePrivateRenewFragment.this.context, GeneratePayQRCodeActivity.class);
                                intent.putExtra("payName", selected.payName);
                                LinePrivateRenewFragment.this.startActivityForResult(intent, 9);
                                return;
                            } else if (ThirdPayEntity.KEY_INTENT_URL.equals(LinePrivateRenewFragment.this.application.thirdPayEntity.key)) {
                                LinePrivateRenewFragment.this.startActivityForResult(new Intent(LinePrivateRenewFragment.this.context, GoPayActivity.class), 8);
                                return;
                            } else if (ThirdPayEntity.KEY_OPEN_URL.equals(LinePrivateRenewFragment.this.application.thirdPayEntity.key)) {
                                PayTypeEntity selected2 = LinePrivateRenewFragment.this.payTypeGridAdapter.getSelected();
                                try {
                                    LinePrivateRenewFragment.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(LinePrivateRenewFragment.this.application.thirdPayEntity.value)));
                                    LinePrivateRenewFragment.this.onActivityResult(11, -1, null);
                                    return;
                                } catch (ActivityNotFoundException unused) {
                                    String str = selected2.payName;
                                    Context context2 = LinePrivateRenewFragment.this.context;
                                    ViewGroupUtilsApi14.show(context2, "支付失败：未安装" + str);
                                    return;
                                }
                            } else {
                                return;
                            }
                        case 106:
                            Toast.makeText(LinePrivateRenewFragment.this.context, string, 0).show();
                            return;
                        case 107:
                            LinePrivateRenewFragment linePrivateRenewFragment7 = LinePrivateRenewFragment.this;
                            Toast.makeText(linePrivateRenewFragment7.context, linePrivateRenewFragment7.getString(R.string.error_data_format), 0).show();
                            return;
                        case 108:
                            LinePrivateRenewFragment linePrivateRenewFragment8 = LinePrivateRenewFragment.this;
                            Toast.makeText(linePrivateRenewFragment8.context, linePrivateRenewFragment8.getString(R.string.error_access), 0).show();
                            return;
                        case 109:
                            LinePrivateRenewFragment linePrivateRenewFragment9 = LinePrivateRenewFragment.this;
                            linePrivateRenewFragment9.payTypeGridAdapter.setData(linePrivateRenewFragment9.application.payTypeEntityList);
                            return;
                        case 110:
                            Toast.makeText(LinePrivateRenewFragment.this.context, string, 0).show();
                            return;
                        case 111:
                            LinePrivateRenewFragment linePrivateRenewFragment10 = LinePrivateRenewFragment.this;
                            Toast.makeText(linePrivateRenewFragment10.context, linePrivateRenewFragment10.getString(R.string.error_data_format), 0).show();
                            return;
                        case 112:
                            LinePrivateRenewFragment linePrivateRenewFragment11 = LinePrivateRenewFragment.this;
                            Toast.makeText(linePrivateRenewFragment11.context, linePrivateRenewFragment11.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    LinePrivateRenewFragment linePrivateRenewFragment12 = LinePrivateRenewFragment.this;
                    Toast.makeText(linePrivateRenewFragment12.context, linePrivateRenewFragment12.getString(R.string.error_access), 0).show();
                    DialogOkCancel.Builder builder = new DialogOkCancel.Builder(LinePrivateRenewFragment.this.context);
                    builder.setTitle(R.string.sweet_tip);
                    builder.setContent(R.string.pay_success_tip);
                    builder.setPositiveButton(R.string.btn_pay_success, new DialogInterface.OnClickListener() {
                        /* class com.faster.cheetah.ui.LinePrivateRenewFragment.AnonymousClass1.AnonymousClass1 */

                        public void onClick(DialogInterface dialogInterface, int i) {
                            LinePrivateRenewFragment.access$100(LinePrivateRenewFragment.this);
                            dialogInterface.dismiss();
                        }
                    });
                    builder.setNegativeButton(R.string.btn_pay_fail, new DialogInterface.OnClickListener() {
                        /* class com.faster.cheetah.ui.LinePrivateRenewFragment.AnonymousClass1.AnonymousClass2 */

                        public void onClick(DialogInterface dialogInterface, int i) {
                            LinePrivateRenewFragment.access$100(LinePrivateRenewFragment.this);
                            dialogInterface.dismiss();
                        }
                    });
                    builder.cancelAble = false;
                    builder.create().show();
                }
            }
        }
    };
    public List<LineEntity> lineList;
    public BuyPrivateLinePayTypeGridAdapter payTypeGridAdapter;

    public static void access$100(LinePrivateRenewFragment linePrivateRenewFragment) {
        Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(linePrivateRenewFragment.activity);
        loadingDialog.show();
        MainApplication mainApplication = linePrivateRenewFragment.application;
        mainApplication.executorService.execute(new Runnable(loadingDialog) {
            /* class com.faster.cheetah.ui.$$Lambda$LinePrivateRenewFragment$k9j764eE_3Lx1_0QukITMnd42A */
            public final /* synthetic */ Dialog f$1;

            {
                this.f$1 = r2;
            }

            public final void run() {
                LinePrivateRenewFragment linePrivateRenewFragment = LinePrivateRenewFragment.this;
                Dialog dialog = this.f$1;
                MainApplication mainApplication = linePrivateRenewFragment.application;
                AlcedoService alcedoService = mainApplication.alcedoService;
                if (alcedoService != null) {
                    linePrivateRenewFragment.handler.sendMessage(alcedoService.queryOrderStatus(mainApplication.orderEntity.orderID));
                }
                linePrivateRenewFragment.activity.runOnUiThread(
                /*  JADX ERROR: Method code generation error
                    jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001e: INVOKE  
                      (wrap: com.faster.cheetah.ui.BaseActivity : 0x0017: IGET  (r0v1 com.faster.cheetah.ui.BaseActivity) = (r0v0 'linePrivateRenewFragment' com.faster.cheetah.ui.LinePrivateRenewFragment) com.faster.cheetah.ui.BaseFragment.activity com.faster.cheetah.ui.BaseActivity)
                      (wrap: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$tHBLNJcPtutHXHon3Fx9x21Yiu4 : 0x001b: CONSTRUCTOR  (r2v1 com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$tHBLNJcPtutHXHon3Fx9x21Yiu4) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$tHBLNJcPtutHXHon3Fx9x21Yiu4.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                     type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$k9j764eE_3Lx1_-0QukITMnd42A.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                    	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                    	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                    	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                    	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                    	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                    	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                    	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                    	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                    	at java.util.ArrayList.forEach(ArrayList.java:1259)
                    	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                    	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                    Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001b: CONSTRUCTOR  (r2v1 com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$tHBLNJcPtutHXHon3Fx9x21Yiu4) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$tHBLNJcPtutHXHon3Fx9x21Yiu4.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$k9j764eE_3Lx1_-0QukITMnd42A.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                    	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                    	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                    	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                    	... 14 more
                    Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$tHBLNJcPtutHXHon3Fx9x21Yiu4, state: NOT_LOADED
                    	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                    	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                    	... 20 more
                    */
                /*
                    this = this;
                    com.faster.cheetah.ui.LinePrivateRenewFragment r0 = com.faster.cheetah.ui.LinePrivateRenewFragment.this
                    android.app.Dialog r1 = r4.f$1
                    com.faster.cheetah.MainApplication r2 = r0.application
                    com.faster.cheetah.service.AlcedoService r3 = r2.alcedoService
                    if (r3 == 0) goto L_0x0017
                    com.faster.cheetah.entity.OrderEntity r2 = r2.orderEntity
                    java.lang.String r2 = r2.orderID
                    android.os.Message r2 = r3.queryOrderStatus(r2)
                    android.os.Handler r3 = r0.handler
                    r3.sendMessage(r2)
                L_0x0017:
                    com.faster.cheetah.ui.BaseActivity r0 = r0.activity
                    com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$tHBLNJcPtutHXHon3Fx9x21Yiu4 r2 = new com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$tHBLNJcPtutHXHon3Fx9x21Yiu4
                    r2.<init>(r1)
                    r0.runOnUiThread(r2)
                    return
                */
                throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$LinePrivateRenewFragment$k9j764eE_3Lx1_0QukITMnd42A.run():void");
            }
        });
    }

    public final void amount() {
        float f = 0.0f;
        boolean z = true;
        for (LineEntity lineEntity : this.lineList) {
            ProEntity proEntity = lineEntity.proEntity;
            if (proEntity.svip == 0) {
                z = false;
            }
            f += proEntity.price;
        }
        DayEntity selected = this.dayGridAdapter.getSelected();
        if (selected != null) {
            float floatValue = new BigDecimal((double) f).multiply(new BigDecimal(selected.day)).multiply(new BigDecimal((double) selected.zk)).setScale(2, RoundingMode.HALF_UP).floatValue();
            TextView textView = this.binding.tvAmount;
            textView.setText("￥" + floatValue);
            if (selected.zk < 1.0f) {
                this.binding.tvDiscount.setVisibility(0);
                TextView textView2 = this.binding.tvDiscount;
                textView2.setText((selected.zk * 10.0f) + "折");
            } else {
                this.binding.tvDiscount.setVisibility(8);
            }
            if (!z) {
                this.binding.layoutSvip.setVisibility(0);
            } else {
                this.binding.layoutSvip.setVisibility(8);
            }
        } else {
            this.binding.tvAmount.setText("￥0.00");
            this.binding.tvDiscount.setVisibility(8);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i == 8 || i == 9 || i == 11) {
            if (-1 == i2) {
                DialogOkCancel.Builder builder = new DialogOkCancel.Builder(this.context);
                builder.setTitle(R.string.sweet_tip);
                builder.setContent(R.string.pay_success_tip);
                builder.setPositiveButton(R.string.btn_pay_success, new DialogInterface.OnClickListener() {
                    /* class com.faster.cheetah.ui.LinePrivateRenewFragment.AnonymousClass2 */

                    public void onClick(DialogInterface dialogInterface, int i) {
                        LinePrivateRenewFragment.access$100(LinePrivateRenewFragment.this);
                        dialogInterface.dismiss();
                    }
                });
                builder.setNegativeButton(R.string.btn_pay_fail, new DialogInterface.OnClickListener() {
                    /* class com.faster.cheetah.ui.LinePrivateRenewFragment.AnonymousClass3 */

                    public void onClick(DialogInterface dialogInterface, int i) {
                        LinePrivateRenewFragment.access$100(LinePrivateRenewFragment.this);
                        dialogInterface.dismiss();
                    }
                });
                builder.cancelAble = false;
                builder.create().show();
            }
        } else if (i == 100 && 200 == i2 && intent != null) {
            intent.getExtras().getString("pay_result");
            DialogOkCancel.Builder builder2 = new DialogOkCancel.Builder(this.context);
            builder2.setTitle(R.string.sweet_tip);
            builder2.setContent(R.string.pay_success_tip);
            builder2.setPositiveButton(R.string.btn_pay_success, new DialogInterface.OnClickListener() {
                /* class com.faster.cheetah.ui.LinePrivateRenewFragment.AnonymousClass4 */

                public void onClick(DialogInterface dialogInterface, int i) {
                    LinePrivateRenewFragment.access$100(LinePrivateRenewFragment.this);
                    dialogInterface.dismiss();
                }
            });
            builder2.setNegativeButton(R.string.btn_pay_fail, new DialogInterface.OnClickListener() {
                /* class com.faster.cheetah.ui.LinePrivateRenewFragment.AnonymousClass5 */

                public void onClick(DialogInterface dialogInterface, int i) {
                    LinePrivateRenewFragment.access$100(LinePrivateRenewFragment.this);
                    dialogInterface.dismiss();
                }
            });
            builder2.cancelAble = false;
            builder2.create().show();
        }
    }

    @Override // com.faster.cheetah.ui.BaseFragment, androidx.fragment.app.Fragment
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        FragmentLinePrivateRenewBinding fragmentLinePrivateRenewBinding = (FragmentLinePrivateRenewBinding) DataBindingUtil.inflate(layoutInflater, R.layout.fragment_line_private_renew, viewGroup, false);
        this.binding = fragmentLinePrivateRenewBinding;
        fragmentLinePrivateRenewBinding.tvQuan.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateRenewFragment.AnonymousClass6 */

            public void onClick(View view) {
                LinePrivateRenewFragment.this.context.startActivity(new Intent(LinePrivateRenewFragment.this.context, ExchangeVipActivity.class));
            }
        });
        this.binding.tvSubmit.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateRenewFragment.AnonymousClass7 */

            public void onClick(View view) {
                LinePrivateRenewFragment linePrivateRenewFragment = LinePrivateRenewFragment.this;
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(linePrivateRenewFragment.activity);
                loadingDialog.show();
                MainApplication mainApplication = linePrivateRenewFragment.application;
                mainApplication.executorService.execute(new Runnable(loadingDialog) {
                    /* class com.faster.cheetah.ui.$$Lambda$LinePrivateRenewFragment$PUCpVuQF945sa93VSH6g2RLsMk */
                    public final /* synthetic */ Dialog f$1;

                    {
                        this.f$1 = r2;
                    }

                    public final void run() {
                        LinePrivateRenewFragment linePrivateRenewFragment = LinePrivateRenewFragment.this;
                        Dialog dialog = this.f$1;
                        StringBuilder sb = null;
                        for (LineEntity lineEntity : linePrivateRenewFragment.lineList) {
                            if (sb == null) {
                                sb = new StringBuilder(String.valueOf(lineEntity.id));
                            } else {
                                sb.append(",");
                                sb.append(lineEntity.id);
                            }
                        }
                        DayEntity selected = linePrivateRenewFragment.dayGridAdapter.getSelected();
                        PayTypeEntity selected2 = linePrivateRenewFragment.payTypeGridAdapter.getSelected();
                        AlcedoService alcedoService = linePrivateRenewFragment.application.alcedoService;
                        if (!(alcedoService == null || sb == null || selected == null || selected2 == null)) {
                            Message lineAloneBuy = alcedoService.lineAloneBuy(sb.toString(), null, selected.day, selected2.payType, 1);
                            if (lineAloneBuy.what == 101) {
                                lineAloneBuy = linePrivateRenewFragment.application.alcedoService.choosePay(selected2);
                            }
                            linePrivateRenewFragment.handler.sendMessage(lineAloneBuy);
                        }
                        linePrivateRenewFragment.activity.runOnUiThread(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0070: INVOKE  
                              (wrap: com.faster.cheetah.ui.BaseActivity : 0x0069: IGET  (r0v1 com.faster.cheetah.ui.BaseActivity) = (r0v0 'linePrivateRenewFragment' com.faster.cheetah.ui.LinePrivateRenewFragment) com.faster.cheetah.ui.BaseFragment.activity com.faster.cheetah.ui.BaseActivity)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$yJY_O42mWVyf2OzF2Y9uNmOkQE0 : 0x006d: CONSTRUCTOR  (r2v4 com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$yJY_O42mWVyf2OzF2Y9uNmOkQE0) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$yJY_O42mWVyf2OzF2Y9uNmOkQE0.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                             type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$PUCpVuQF945sa93VSH6g-2RLsMk.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x006d: CONSTRUCTOR  (r2v4 com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$yJY_O42mWVyf2OzF2Y9uNmOkQE0) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$yJY_O42mWVyf2OzF2Y9uNmOkQE0.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$PUCpVuQF945sa93VSH6g-2RLsMk.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$yJY_O42mWVyf2OzF2Y9uNmOkQE0, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /*
                        // Method dump skipped, instructions count: 116
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$LinePrivateRenewFragment$PUCpVuQF945sa93VSH6g2RLsMk.run():void");
                    }
                });
            }
        });
        int applyDimension = (int) TypedValue.applyDimension(1, 5.0f, getResources().getDisplayMetrics());
        this.binding.gvPro.setAdapter(new RenewPrivateLineProAdapter(this.context, this.lineList));
        this.binding.gvDay.addItemDecoration(new SpacingItemDecoration(applyDimension, applyDimension));
        BuyPrivateLineDayGridAdapter buyPrivateLineDayGridAdapter = new BuyPrivateLineDayGridAdapter(this.context, this.application.getPrivateLineDataEntity().daysEntityList);
        this.dayGridAdapter = buyPrivateLineDayGridAdapter;
        this.binding.gvDay.setAdapter(buyPrivateLineDayGridAdapter);
        this.binding.gvPayType.addItemDecoration(new SpacingItemDecoration(applyDimension, applyDimension));
        BuyPrivateLinePayTypeGridAdapter buyPrivateLinePayTypeGridAdapter = new BuyPrivateLinePayTypeGridAdapter(this.context, null);
        this.payTypeGridAdapter = buyPrivateLinePayTypeGridAdapter;
        this.binding.gvPayType.setAdapter(buyPrivateLinePayTypeGridAdapter);
        this.dayGridAdapter.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateRenewFragment.AnonymousClass8 */

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                BuyPrivateLineDayGridAdapter buyPrivateLineDayGridAdapter = LinePrivateRenewFragment.this.dayGridAdapter;
                buyPrivateLineDayGridAdapter.pos = i;
                buyPrivateLineDayGridAdapter.notifyItemRangeChanged(0, buyPrivateLineDayGridAdapter.getItemCount());
                LinePrivateRenewFragment.this.amount();
            }
        });
        this.payTypeGridAdapter.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateRenewFragment.AnonymousClass9 */

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                BuyPrivateLinePayTypeGridAdapter buyPrivateLinePayTypeGridAdapter = LinePrivateRenewFragment.this.payTypeGridAdapter;
                buyPrivateLinePayTypeGridAdapter.pos = i;
                buyPrivateLinePayTypeGridAdapter.notifyItemRangeChanged(0, buyPrivateLinePayTypeGridAdapter.getItemCount());
            }
        });
        amount();
        Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(this.activity);
        loadingDialog.show();
        MainApplication mainApplication = this.application;
        mainApplication.executorService.execute(new Runnable(loadingDialog) {
            /* class com.faster.cheetah.ui.$$Lambda$LinePrivateRenewFragment$sJ3AWD_hqUDn6097xqEY8vgxYFU */
            public final /* synthetic */ Dialog f$1;

            {
                this.f$1 = r2;
            }

            public final void run() {
                LinePrivateRenewFragment linePrivateRenewFragment = LinePrivateRenewFragment.this;
                Dialog dialog = this.f$1;
                AlcedoService alcedoService = linePrivateRenewFragment.application.alcedoService;
                if (alcedoService != null) {
                    linePrivateRenewFragment.handler.sendMessage(alcedoService.getPayType());
                }
                linePrivateRenewFragment.activity.runOnUiThread(
                /*  JADX ERROR: Method code generation error
                    jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001a: INVOKE  
                      (wrap: com.faster.cheetah.ui.BaseActivity : 0x0013: IGET  (r0v1 com.faster.cheetah.ui.BaseActivity) = (r0v0 'linePrivateRenewFragment' com.faster.cheetah.ui.LinePrivateRenewFragment) com.faster.cheetah.ui.BaseFragment.activity com.faster.cheetah.ui.BaseActivity)
                      (wrap: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$m7fxgc0OcOT19HqhWGy9iTbKCqQ : 0x0017: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$m7fxgc0OcOT19HqhWGy9iTbKCqQ) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$m7fxgc0OcOT19HqhWGy9iTbKCqQ.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                     type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$sJ3AWD_hqUDn6097xqEY8vgxYFU.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                    	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                    	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                    	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                    	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                    	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                    	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                    	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                    	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                    	at java.util.ArrayList.forEach(ArrayList.java:1259)
                    	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                    	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                    Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0017: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$m7fxgc0OcOT19HqhWGy9iTbKCqQ) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$m7fxgc0OcOT19HqhWGy9iTbKCqQ.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$sJ3AWD_hqUDn6097xqEY8vgxYFU.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                    	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                    	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                    	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                    	... 14 more
                    Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$m7fxgc0OcOT19HqhWGy9iTbKCqQ, state: NOT_LOADED
                    	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                    	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                    	... 20 more
                    */
                /*
                    this = this;
                    com.faster.cheetah.ui.LinePrivateRenewFragment r0 = com.faster.cheetah.ui.LinePrivateRenewFragment.this
                    android.app.Dialog r1 = r4.f$1
                    com.faster.cheetah.MainApplication r2 = r0.application
                    com.faster.cheetah.service.AlcedoService r2 = r2.alcedoService
                    if (r2 == 0) goto L_0x0013
                    android.os.Message r2 = r2.getPayType()
                    android.os.Handler r3 = r0.handler
                    r3.sendMessage(r2)
                L_0x0013:
                    com.faster.cheetah.ui.BaseActivity r0 = r0.activity
                    com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$m7fxgc0OcOT19HqhWGy9iTbKCqQ r2 = new com.faster.cheetah.ui.-$$Lambda$LinePrivateRenewFragment$m7fxgc0OcOT19HqhWGy9iTbKCqQ
                    r2.<init>(r1)
                    r0.runOnUiThread(r2)
                    return
                */
                throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$LinePrivateRenewFragment$sJ3AWD_hqUDn6097xqEY8vgxYFU.run():void");
            }
        });
        return this.binding.mRoot;
    }
}
