package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.Toast;
import androidx.core.content.ContextCompat;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.swiperefreshlayout.widget.SwipeRefreshLayout;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.adapter.LinePublicListAdapter;
import com.faster.cheetah.entity.LineEntity;
import com.faster.cheetah.entity.TagEntity;
import com.faster.cheetah.service.AlcedoService;
import com.zfast.xyz.R;
import java.util.ArrayList;
import java.util.List;

public class LinePublicListFragment extends BaseFragment {
    public static final /* synthetic */ int $r8$clinit = 0;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.LinePublicListFragment.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!LinePublicListFragment.this.superHandleMessage(message) && LinePublicListFragment.this.isAdded()) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    LinePublicListFragment linePublicListFragment = LinePublicListFragment.this;
                    Toast.makeText(linePublicListFragment.context, linePublicListFragment.getString(R.string.network_not_available), 0).show();
                } else if (i == 3) {
                    LinePublicListFragment linePublicListFragment2 = LinePublicListFragment.this;
                    Toast.makeText(linePublicListFragment2.context, linePublicListFragment2.getString(R.string.error_no_available_server_domain), 0).show();
                } else if (i != 20) {
                    switch (i) {
                        case 60:
                            LinePublicListFragment linePublicListFragment3 = LinePublicListFragment.this;
                            linePublicListFragment3.lineEntityList.clear();
                            String str = "," + linePublicListFragment3.tagEntity.getId() + ",";
                            List<LineEntity> list = linePublicListFragment3.application.lineEntityList;
                            if (list != null) {
                                for (LineEntity lineEntity : list) {
                                    StringBuilder outline25 = GeneratedOutlineSupport.outline25(",");
                                    outline25.append(lineEntity.tags);
                                    outline25.append(",");
                                    if (outline25.toString().contains(str)) {
                                        linePublicListFragment3.lineEntityList.add(lineEntity);
                                    }
                                }
                            }
                            LinePublicListFragment linePublicListFragment4 = LinePublicListFragment.this;
                            LinePublicListAdapter linePublicListAdapter = linePublicListFragment4.lineListAdapter;
                            linePublicListAdapter.lineEntityList = linePublicListFragment4.lineEntityList;
                            linePublicListAdapter.notifyDataSetChanged();
                            return;
                        case 61:
                            Toast.makeText(LinePublicListFragment.this.context, string, 0).show();
                            return;
                        case 62:
                            LinePublicListFragment linePublicListFragment5 = LinePublicListFragment.this;
                            Toast.makeText(linePublicListFragment5.context, linePublicListFragment5.getString(R.string.error_data_format), 0).show();
                            return;
                        case 63:
                            LinePublicListFragment linePublicListFragment6 = LinePublicListFragment.this;
                            Toast.makeText(linePublicListFragment6.context, linePublicListFragment6.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    LinePublicListFragment linePublicListFragment7 = LinePublicListFragment.this;
                    Toast.makeText(linePublicListFragment7.context, linePublicListFragment7.getString(R.string.error_no_login), 0).show();
                }
            }
        }
    };
    public boolean isVisible = false;
    public LinearLayout layoutHint;
    public final List<LineEntity> lineEntityList = new ArrayList();
    public LinePublicListAdapter lineListAdapter;
    public RecyclerView recyclerView;
    public SwipeRefreshLayout swipeRefreshLayout;
    public TagEntity tagEntity;
    public TextView tvHint;
    public View view;

    public interface OnFragmentInteractionListener {
    }

    @Override // androidx.fragment.app.Fragment
    public void onAttach(Context context) {
        super.onAttach(context);
        if (context instanceof OnFragmentInteractionListener) {
            OnFragmentInteractionListener onFragmentInteractionListener = (OnFragmentInteractionListener) context;
        }
    }

    @Override // com.faster.cheetah.ui.BaseFragment, androidx.fragment.app.Fragment
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (getArguments() != null) {
            getArguments().getString("title");
            this.tagEntity = (TagEntity) getArguments().getSerializable("tag_info");
        }
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        View inflate = layoutInflater.inflate(R.layout.fragment_line_public_list, viewGroup, false);
        this.view = inflate;
        this.swipeRefreshLayout = (SwipeRefreshLayout) inflate.findViewById(R.id.swipe_line);
        this.tvHint = (TextView) this.view.findViewById(R.id.tv_hint);
        this.layoutHint = (LinearLayout) this.view.findViewById(R.id.layout_hint);
        RecyclerView recyclerView2 = (RecyclerView) this.view.findViewById(R.id.recycler_line);
        this.recyclerView = recyclerView2;
        recyclerView2.setLayoutManager(new LinearLayoutManager(this.context));
        LinePublicListAdapter linePublicListAdapter = new LinePublicListAdapter(getActivity(), null);
        this.lineListAdapter = linePublicListAdapter;
        this.recyclerView.setAdapter(linePublicListAdapter);
        this.swipeRefreshLayout.setColorSchemeColors(ContextCompat.getColor(this.context, R.color.colorPrimary));
        this.swipeRefreshLayout.setOnRefreshListener(new SwipeRefreshLayout.OnRefreshListener() {
            /* class com.faster.cheetah.ui.LinePublicListFragment.AnonymousClass2 */

            @Override // androidx.swiperefreshlayout.widget.SwipeRefreshLayout.OnRefreshListener
            public void onRefresh() {
                LinePublicListFragment.this.swipeRefreshLayout.setRefreshing(false);
                LinePublicListFragment linePublicListFragment = LinePublicListFragment.this;
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(linePublicListFragment.activity);
                loadingDialog.show();
                MainApplication mainApplication = linePublicListFragment.application;
                mainApplication.executorService.execute(new Runnable(loadingDialog) {
                    /* class com.faster.cheetah.ui.$$Lambda$LinePublicListFragment$Zzzopd3qW2IAumAT0pxeEsMEKJM */
                    public final /* synthetic */ Dialog f$1;

                    {
                        this.f$1 = r2;
                    }

                    public final void run() {
                        LinePublicListFragment linePublicListFragment = LinePublicListFragment.this;
                        Dialog dialog = this.f$1;
                        AlcedoService alcedoService = linePublicListFragment.application.alcedoService;
                        if (alcedoService != null) {
                            linePublicListFragment.handler.sendMessage(alcedoService.getLineLoad(linePublicListFragment.tagEntity.getId()));
                        }
                        linePublicListFragment.activity.runOnUiThread(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0020: INVOKE  
                              (wrap: com.faster.cheetah.ui.BaseActivity : 0x0019: IGET  (r0v1 com.faster.cheetah.ui.BaseActivity) = (r0v0 'linePublicListFragment' com.faster.cheetah.ui.LinePublicListFragment) com.faster.cheetah.ui.BaseFragment.activity com.faster.cheetah.ui.BaseActivity)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$LinePublicListFragment$fLG7fo2YIuqtvXVZflTcKEEIbV0 : 0x001d: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$LinePublicListFragment$fLG7fo2YIuqtvXVZflTcKEEIbV0) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePublicListFragment$fLG7fo2YIuqtvXVZflTcKEEIbV0.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                             type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$LinePublicListFragment$Zzzopd3qW2IAumAT0pxeEsMEKJM.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001d: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$LinePublicListFragment$fLG7fo2YIuqtvXVZflTcKEEIbV0) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePublicListFragment$fLG7fo2YIuqtvXVZflTcKEEIbV0.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$LinePublicListFragment$Zzzopd3qW2IAumAT0pxeEsMEKJM.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$LinePublicListFragment$fLG7fo2YIuqtvXVZflTcKEEIbV0, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /*
                            this = this;
                            com.faster.cheetah.ui.LinePublicListFragment r0 = com.faster.cheetah.ui.LinePublicListFragment.this
                            android.app.Dialog r1 = r4.f$1
                            com.faster.cheetah.MainApplication r2 = r0.application
                            com.faster.cheetah.service.AlcedoService r2 = r2.alcedoService
                            if (r2 == 0) goto L_0x0019
                            com.faster.cheetah.entity.TagEntity r3 = r0.tagEntity
                            int r3 = r3.getId()
                            android.os.Message r2 = r2.getLineLoad(r3)
                            android.os.Handler r3 = r0.handler
                            r3.sendMessage(r2)
                        L_0x0019:
                            com.faster.cheetah.ui.BaseActivity r0 = r0.activity
                            com.faster.cheetah.ui.-$$Lambda$LinePublicListFragment$fLG7fo2YIuqtvXVZflTcKEEIbV0 r2 = new com.faster.cheetah.ui.-$$Lambda$LinePublicListFragment$fLG7fo2YIuqtvXVZflTcKEEIbV0
                            r2.<init>(r1)
                            r0.runOnUiThread(r2)
                            return
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$LinePublicListFragment$Zzzopd3qW2IAumAT0pxeEsMEKJM.run():void");
                    }
                });
            }
        });
        if (this.tagEntity.getStatus() != 0) {
            this.tvHint.setText(this.tagEntity.getStatusTip());
            this.layoutHint.setVisibility(0);
            this.recyclerView.setVisibility(8);
        } else {
            this.layoutHint.setVisibility(8);
            this.recyclerView.setVisibility(0);
            onVisible();
            LinePublicListAdapter linePublicListAdapter2 = this.lineListAdapter;
            linePublicListAdapter2.lineEntityList = this.lineEntityList;
            linePublicListAdapter2.notifyDataSetChanged();
        }
        return this.view;
    }

    @Override // androidx.fragment.app.Fragment
    public void onDetach() {
        super.onDetach();
    }

    public final void onVisible() {
        if (this.view != null && this.isVisible) {
            Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(this.activity);
            loadingDialog.show();
            MainApplication mainApplication = this.application;
            mainApplication.executorService.execute(new Runnable(loadingDialog) {
                /* class com.faster.cheetah.ui.$$Lambda$LinePublicListFragment$Zzzopd3qW2IAumAT0pxeEsMEKJM */
                public final /* synthetic */ Dialog f$1;

                {
                    this.f$1 = r2;
                }

                public final void run() {
                    /*
                        r4 = this;
                        com.faster.cheetah.ui.LinePublicListFragment r0 = com.faster.cheetah.ui.LinePublicListFragment.this
                        android.app.Dialog r1 = r4.f$1
                        com.faster.cheetah.MainApplication r2 = r0.application
                        com.faster.cheetah.service.AlcedoService r2 = r2.alcedoService
                        if (r2 == 0) goto L_0x0019
                        com.faster.cheetah.entity.TagEntity r3 = r0.tagEntity
                        int r3 = r3.getId()
                        android.os.Message r2 = r2.getLineLoad(r3)
                        android.os.Handler r3 = r0.handler
                        r3.sendMessage(r2)
                    L_0x0019:
                        com.faster.cheetah.ui.BaseActivity r0 = r0.activity
                        com.faster.cheetah.ui.-$$Lambda$LinePublicListFragment$fLG7fo2YIuqtvXVZflTcKEEIbV0 r2 = new com.faster.cheetah.ui.-$$Lambda$LinePublicListFragment$fLG7fo2YIuqtvXVZflTcKEEIbV0
                        r2.<init>(r1)
                        r0.runOnUiThread(r2)
                        return
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$LinePublicListFragment$Zzzopd3qW2IAumAT0pxeEsMEKJM.run():void");
                }
            });
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void setUserVisibleHint(boolean z) {
        super.setUserVisibleHint(z);
        if (getUserVisibleHint()) {
            this.isVisible = true;
            onVisible();
            return;
        }
        this.isVisible = false;
    }
}
