package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.transition.ViewGroupUtilsApi14;
import com.faster.cheetah.MainActivity;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.dialog.DialogOkCancel;
import com.faster.cheetah.entity.ConfigEntity;
import com.faster.cheetah.entity.TagEntity;
import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import com.faster.cheetah.service.AlcedoService;
import com.faster.cheetah.util.SharedPreferencesHelper;
import com.github.shadowsocks.Core;
import com.zfast.xyz.R;
import java.util.List;
import java.util.Objects;
import java.util.Timer;
import java.util.TimerTask;
import net.xfkefu.sdk.XfKefu;

public class LoginActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public String account;
    public CheckBox cbRemember;
    public EditText etAccount;
    public EditText etPassword;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.LoginActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            String string = message.getData().getString("msg", "");
            int i = message.what;
            if (i == 1) {
                LoginActivity loginActivity = LoginActivity.this;
                Toast.makeText(loginActivity.context, loginActivity.getString(R.string.network_not_available), 0).show();
            } else if (i != 1102) {
                switch (i) {
                    case 3:
                        LoginActivity loginActivity2 = LoginActivity.this;
                        Toast.makeText(loginActivity2.context, loginActivity2.getString(R.string.error_no_available_server_domain), 0).show();
                        return;
                    case 4:
                    case 8:
                        LoginActivity loginActivity3 = LoginActivity.this;
                        Toast.makeText(loginActivity3.context, loginActivity3.getString(R.string.error_access), 0).show();
                        return;
                    case 5:
                    case 9:
                        LoginActivity loginActivity4 = LoginActivity.this;
                        Toast.makeText(loginActivity4.context, loginActivity4.getString(R.string.error_data_format), 0).show();
                        return;
                    case 6:
                    case 10:
                        LoginActivity loginActivity5 = LoginActivity.this;
                        if (loginActivity5.mode == 1) {
                            new Timer().schedule(new TimerTask() {
                                /* class com.faster.cheetah.ui.LoginActivity.AnonymousClass4 */

                                public void run() {
                                    LoginActivity.this.startActivity(new Intent(LoginActivity.this.context, MainActivity.class));
                                    LoginActivity loginActivity = LoginActivity.this;
                                    AlcedoService alcedoService = loginActivity.application.alcedoService;
                                    loginActivity.finish();
                                }
                            }, 500);
                            return;
                        }
                        if (!TextUtils.isEmpty(loginActivity5.application.configEntity.kefuHtml)) {
                            XfKefu.logout(loginActivity5.context);
                        }
                        SharedPreferencesHelper sharedPreferencesHelper = loginActivity5.application.sharedPreferencesHelper;
                        sharedPreferencesHelper.editor.remove("sign_in_date");
                        sharedPreferencesHelper.editor.commit();
                        if (loginActivity5.application.alcedoService != null) {
                            Core.INSTANCE.stopService();
                        }
                        Context context = loginActivity5.context;
                        Toast.makeText(context, loginActivity5.getString(R.string.line_switch_account_desc) + "成功", 0).show();
                        loginActivity5.finish();
                        return;
                    case 7:
                    case 11:
                        Toast.makeText(LoginActivity.this.context, string, 0).show();
                        return;
                    default:
                        return;
                }
            } else {
                DialogOkCancel.Builder builder = new DialogOkCancel.Builder(LoginActivity.this.context);
                builder.setTitle(R.string.sweet_tip);
                builder.content = string;
                builder.setPositiveButton(R.string.btn_retrieve_password, new DialogInterface.OnClickListener() {
                    /* class com.faster.cheetah.ui.LoginActivity.AnonymousClass1.AnonymousClass1 */

                    public void onClick(DialogInterface dialogInterface, int i) {
                        Intent intent = new Intent(LoginActivity.this.context, FindPasswordActivity.class);
                        intent.putExtra("account", LoginActivity.this.etAccount.getText().toString());
                        LoginActivity.this.startActivity(intent);
                        dialogInterface.dismiss();
                    }
                });
                builder.setNegativeButton(R.string.i_know, new DialogInterface.OnClickListener(this) {
                    /* class com.faster.cheetah.ui.LoginActivity.AnonymousClass1.AnonymousClass2 */

                    public void onClick(DialogInterface dialogInterface, int i) {
                        dialogInterface.dismiss();
                    }
                });
                builder.create().show();
            }
        }
    };
    public int mode = 1;
    public String password;

    public static Intent getIntent(Context context, int i) {
        Intent intent = new Intent(context, LoginActivity.class);
        intent.putExtra("mode", i);
        return intent;
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_login);
        this.mode = getIntent().getIntExtra("mode", 1);
        findViewById(R.id.layout_kefu).setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$LoginActivity$ZUgA9LXrNDI5beqIjjNgvvl26o */

            public final void onClick(View view) {
                XfKefu.startActivity(LoginActivity.this.context);
            }
        });
        this.etAccount = (EditText) findViewById(R.id.et_account);
        this.etPassword = (EditText) findViewById(R.id.et_password);
        this.cbRemember = (CheckBox) findViewById(R.id.cb_remember);
        ((ImageView) findViewById(R.id.img_back)).setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$LoginActivity$kf_QsiQmf6ZPEriKkpLGq7eBPg */

            public final void onClick(View view) {
                LoginActivity.this.finish();
            }
        });
        ((Button) findViewById(R.id.btn_register)).setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$LoginActivity$pWfQh4BkEtmtDj_UoxN8Pz6JkO4 */

            public final void onClick(View view) {
                LoginActivity loginActivity = LoginActivity.this;
                Objects.requireNonNull(loginActivity);
                loginActivity.startActivity(new Intent(loginActivity.context, RegisterActivity.class));
                loginActivity.finish();
            }
        });
        ((TextView) findViewById(R.id.tv_retrieve_password)).setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$LoginActivity$S8YrsSKLbULg7kwX1G1VwhOlcaw */

            public final void onClick(View view) {
                LoginActivity loginActivity = LoginActivity.this;
                Objects.requireNonNull(loginActivity);
                loginActivity.startActivity(new Intent(loginActivity.context, FindPasswordActivity.class));
            }
        });
        this.cbRemember.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener(this) {
            /* class com.faster.cheetah.ui.LoginActivity.AnonymousClass2 */

            public void onCheckedChanged(CompoundButton compoundButton, boolean z) {
            }
        });
        ((Button) findViewById(R.id.btn_login)).setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$LoginActivity$CpmiNEcP7zpgrVd7yY9AaDuGilA */

            public final void onClick(View view) {
                LoginActivity loginActivity = LoginActivity.this;
                loginActivity.application.sharedPreferencesHelper.put("remember", Boolean.valueOf(loginActivity.cbRemember.isChecked()));
                loginActivity.account = loginActivity.etAccount.getText().toString();
                loginActivity.password = loginActivity.etPassword.getText().toString();
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(loginActivity.activity);
                loadingDialog.show();
                MainApplication mainApplication = loginActivity.application;
                mainApplication.executorService.execute(
                /*  JADX ERROR: Method code generation error
                    jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x003f: INVOKE  
                      (wrap: java.util.concurrent.ExecutorService : 0x003d: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v3 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                      (wrap: com.faster.cheetah.ui.-$$Lambda$LoginActivity$6zS-9gbWuSj8bRfRYa5nk8pdYWQ : 0x003a: CONSTRUCTOR  (r2v1 com.faster.cheetah.ui.-$$Lambda$LoginActivity$6zS-9gbWuSj8bRfRYa5nk8pdYWQ) = (r4v1 'loginActivity' com.faster.cheetah.ui.LoginActivity), (r0v9 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LoginActivity$6zS-9gbWuSj8bRfRYa5nk8pdYWQ.<init>(com.faster.cheetah.ui.LoginActivity, android.app.Dialog):void type: CONSTRUCTOR)
                     type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$LoginActivity$CpmiNEcP7zpgrVd7yY9AaDuGilA.onClick(android.view.View):void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                    	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                    	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                    	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                    	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                    	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                    	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                    	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                    	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                    	at java.util.ArrayList.forEach(ArrayList.java:1259)
                    	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                    	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                    Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x003a: CONSTRUCTOR  (r2v1 com.faster.cheetah.ui.-$$Lambda$LoginActivity$6zS-9gbWuSj8bRfRYa5nk8pdYWQ) = (r4v1 'loginActivity' com.faster.cheetah.ui.LoginActivity), (r0v9 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LoginActivity$6zS-9gbWuSj8bRfRYa5nk8pdYWQ.<init>(com.faster.cheetah.ui.LoginActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$LoginActivity$CpmiNEcP7zpgrVd7yY9AaDuGilA.onClick(android.view.View):void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                    	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                    	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                    	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                    	... 14 more
                    Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$LoginActivity$6zS-9gbWuSj8bRfRYa5nk8pdYWQ, state: NOT_LOADED
                    	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                    	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                    	... 20 more
                    */
                /*
                    this = this;
                    com.faster.cheetah.ui.LoginActivity r4 = com.faster.cheetah.ui.LoginActivity.this
                    com.faster.cheetah.MainApplication r0 = r4.application
                    com.faster.cheetah.util.SharedPreferencesHelper r0 = r0.sharedPreferencesHelper
                    android.widget.CheckBox r1 = r4.cbRemember
                    boolean r1 = r1.isChecked()
                    java.lang.Boolean r1 = java.lang.Boolean.valueOf(r1)
                    java.lang.String r2 = "remember"
                    r0.put(r2, r1)
                    android.widget.EditText r0 = r4.etAccount
                    android.text.Editable r0 = r0.getText()
                    java.lang.String r0 = r0.toString()
                    r4.account = r0
                    android.widget.EditText r0 = r4.etPassword
                    android.text.Editable r0 = r0.getText()
                    java.lang.String r0 = r0.toString()
                    r4.password = r0
                    com.faster.cheetah.ui.BaseActivity r0 = r4.activity
                    android.app.Dialog r0 = androidx.transition.ViewGroupUtilsApi14.getLoadingDialog(r0)
                    r0.show()
                    com.faster.cheetah.MainApplication r1 = r4.application
                    com.faster.cheetah.ui.-$$Lambda$LoginActivity$6zS-9gbWuSj8bRfRYa5nk8pdYWQ r2 = new com.faster.cheetah.ui.-$$Lambda$LoginActivity$6zS-9gbWuSj8bRfRYa5nk8pdYWQ
                    r2.<init>(r4, r0)
                    java.util.concurrent.ExecutorService r4 = r1.executorService
                    r4.execute(r2)
                    return
                */
                throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$LoginActivity$CpmiNEcP7zpgrVd7yY9AaDuGilA.onClick(android.view.View):void");
            }
        });
        findViewById(R.id.tv_guest_login).setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.LoginActivity.AnonymousClass3 */

            public void onClick(View view) {
                LoginActivity loginActivity = LoginActivity.this;
                int i = LoginActivity.$r8$clinit;
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(loginActivity.activity);
                loadingDialog.show();
                MainApplication mainApplication = loginActivity.application;
                mainApplication.executorService.execute(new Runnable(loadingDialog) {
                    /* class com.faster.cheetah.ui.$$Lambda$LoginActivity$sOzlpDtSTWu846i2waKcGKihSaQ */
                    public final /* synthetic */ Dialog f$1;

                    {
                        this.f$1 = r2;
                    }

                    public final void run() {
                        LoginActivity loginActivity = LoginActivity.this;
                        Dialog dialog = this.f$1;
                        AlcedoService alcedoService = loginActivity.application.alcedoService;
                        if (alcedoService != null) {
                            Message autoRegister = alcedoService.autoRegister(0);
                            if (6 == autoRegister.what) {
                                loginActivity.application.alcedoService.getLineList();
                                List<TagEntity> list = loginActivity.application.tagEntityList;
                                if (list != null) {
                                    for (TagEntity tagEntity : list) {
                                        loginActivity.application.alcedoService.getLineLoad(tagEntity.getId());
                                    }
                                }
                                loginActivity.application.alcedoService.getLineAloneList();
                            }
                            loginActivity.handler.sendMessage(autoRegister);
                        }
                        loginActivity.runOnUiThread(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x004e: INVOKE  
                              (r0v0 'loginActivity' com.faster.cheetah.ui.LoginActivity)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$LoginActivity$o713NqW0TirHqSixPS_S_NJ6qy8 : 0x004b: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$LoginActivity$o713NqW0TirHqSixPS_S_NJ6qy8) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LoginActivity$o713NqW0TirHqSixPS_S_NJ6qy8.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                             type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$LoginActivity$sOzlpDtSTWu846i2waKcGKihSaQ.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x004b: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$LoginActivity$o713NqW0TirHqSixPS_S_NJ6qy8) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LoginActivity$o713NqW0TirHqSixPS_S_NJ6qy8.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$LoginActivity$sOzlpDtSTWu846i2waKcGKihSaQ.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$LoginActivity$o713NqW0TirHqSixPS_S_NJ6qy8, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /*
                            this = this;
                            com.faster.cheetah.ui.LoginActivity r0 = com.faster.cheetah.ui.LoginActivity.this
                            android.app.Dialog r1 = r6.f$1
                            com.faster.cheetah.MainApplication r2 = r0.application
                            com.faster.cheetah.service.AlcedoService r2 = r2.alcedoService
                            if (r2 == 0) goto L_0x0049
                            r3 = 0
                            android.os.Message r2 = r2.autoRegister(r3)
                            r3 = 6
                            int r4 = r2.what
                            if (r3 != r4) goto L_0x0044
                            com.faster.cheetah.MainApplication r3 = r0.application
                            com.faster.cheetah.service.AlcedoService r3 = r3.alcedoService
                            r3.getLineList()
                            com.faster.cheetah.MainApplication r3 = r0.application
                            java.util.List<com.faster.cheetah.entity.TagEntity> r3 = r3.tagEntityList
                            if (r3 == 0) goto L_0x003d
                            java.util.Iterator r3 = r3.iterator()
                        L_0x0025:
                            boolean r4 = r3.hasNext()
                            if (r4 == 0) goto L_0x003d
                            java.lang.Object r4 = r3.next()
                            com.faster.cheetah.entity.TagEntity r4 = (com.faster.cheetah.entity.TagEntity) r4
                            com.faster.cheetah.MainApplication r5 = r0.application
                            com.faster.cheetah.service.AlcedoService r5 = r5.alcedoService
                            int r4 = r4.getId()
                            r5.getLineLoad(r4)
                            goto L_0x0025
                        L_0x003d:
                            com.faster.cheetah.MainApplication r3 = r0.application
                            com.faster.cheetah.service.AlcedoService r3 = r3.alcedoService
                            r3.getLineAloneList()
                        L_0x0044:
                            android.os.Handler r3 = r0.handler
                            r3.sendMessage(r2)
                        L_0x0049:
                            com.faster.cheetah.ui.-$$Lambda$LoginActivity$o713NqW0TirHqSixPS_S_NJ6qy8 r2 = new com.faster.cheetah.ui.-$$Lambda$LoginActivity$o713NqW0TirHqSixPS_S_NJ6qy8
                            r2.<init>(r1)
                            r0.runOnUiThread(r2)
                            return
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$LoginActivity$sOzlpDtSTWu846i2waKcGKihSaQ.run():void");
                    }
                });
            }
        });
        if (!TextUtils.isEmpty(this.application.configEntity.gonggao)) {
            TextView textView = (TextView) findViewById(R.id.tv_tip);
            textView.setText(this.application.configEntity.gonggao);
            textView.setVisibility(0);
        }
        this.etAccount.setText((String) this.application.sharedPreferencesHelper.getSharedPreference("user_name_new", null));
        this.etPassword.setText(ViewGroupUtilsApi14.decryptU((String) this.application.sharedPreferencesHelper.getSharedPreference(VpnProfileDataSource.KEY_PASSWORD, null)));
        this.cbRemember.setChecked(((Boolean) this.application.sharedPreferencesHelper.getSharedPreference("remember", Boolean.FALSE)).booleanValue());
        ConfigEntity configEntity = this.application.configEntity;
        if (configEntity == null) {
            return;
        }
        if (configEntity.registerType.intValue() == 1) {
            this.etAccount.setHint(R.string.hint_input_mail);
        } else if (this.application.configEntity.registerType.intValue() == 2) {
            this.etAccount.setHint(R.string.hint_input_mobile);
        }
    }
}
