package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.Html;
import android.view.View;
import android.widget.Toast;
import androidx.databinding.DataBindingUtil;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.databinding.ActivityMessageDetailBinding;
import com.faster.cheetah.entity.MessageDetailResponeEntity;
import com.faster.cheetah.entity.MessageEntity;
import com.faster.cheetah.service.AlcedoService;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.zfast.xyz.R;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;
import okhttp3.FormBody;
import org.json.JSONException;
import org.json.JSONObject;

public class MessageDetailActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public ActivityMessageDetailBinding binding;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.MessageDetailActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!MessageDetailActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    MessageDetailActivity messageDetailActivity = MessageDetailActivity.this;
                    Toast.makeText(messageDetailActivity.activity, messageDetailActivity.getString(R.string.network_not_available), 0).show();
                } else if (i != 3) {
                    switch (i) {
                        case 68:
                            MessageDetailActivity messageDetailActivity2 = MessageDetailActivity.this;
                            MessageEntity messageEntity = messageDetailActivity2.application.messageEntity;
                            if (messageEntity != null) {
                                messageDetailActivity2.binding.tvMessageTitle.setText(messageEntity.title);
                                messageDetailActivity2.binding.tvMessageTime.setText(messageDetailActivity2.simpleDateFormat.format(new Date(messageDetailActivity2.application.messageEntity.publishTime * 1000)));
                                messageDetailActivity2.binding.tvContent.setText(Html.fromHtml(messageDetailActivity2.application.messageEntity.content));
                                return;
                            }
                            return;
                        case 69:
                            Toast.makeText(MessageDetailActivity.this.activity, string, 0).show();
                            return;
                        case 70:
                            MessageDetailActivity messageDetailActivity3 = MessageDetailActivity.this;
                            Toast.makeText(messageDetailActivity3.activity, messageDetailActivity3.getString(R.string.error_data_format), 0).show();
                            return;
                        case 71:
                            MessageDetailActivity messageDetailActivity4 = MessageDetailActivity.this;
                            Toast.makeText(messageDetailActivity4.activity, messageDetailActivity4.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    MessageDetailActivity messageDetailActivity5 = MessageDetailActivity.this;
                    Toast.makeText(messageDetailActivity5.activity, messageDetailActivity5.getString(R.string.error_no_available_server_domain), 0).show();
                }
            }
        }
    };
    public int messageID;
    public final SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.getDefault());

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        ActivityMessageDetailBinding activityMessageDetailBinding = (ActivityMessageDetailBinding) DataBindingUtil.setContentView(this.activity, R.layout.activity_message_detail);
        this.binding = activityMessageDetailBinding;
        activityMessageDetailBinding.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$MessageDetailActivity$NmAiU0A4QAsLmiteZiwsZciNnw */

            public final void onClick(View view) {
                MessageDetailActivity.this.finish();
            }
        });
        Intent intent = getIntent();
        if (intent != null) {
            this.messageID = intent.getIntExtra("messageID", 0);
            Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(this.activity);
            loadingDialog.show();
            MainApplication mainApplication = this.application;
            mainApplication.executorService.execute(new Runnable(loadingDialog) {
                /* class com.faster.cheetah.ui.$$Lambda$MessageDetailActivity$dWmNbXzxArImarMoVFs8Lgsi5Yk */
                public final /* synthetic */ Dialog f$1;

                {
                    this.f$1 = r2;
                }

                public final void run() {
                    MessageDetailActivity messageDetailActivity = MessageDetailActivity.this;
                    Dialog dialog = this.f$1;
                    AlcedoService alcedoService = messageDetailActivity.application.alcedoService;
                    if (alcedoService != null) {
                        int i = messageDetailActivity.messageID;
                        Message message = new Message();
                        StringBuilder sb = new StringBuilder();
                        sb.append(alcedoService.application.serverDomain);
                        sb.append("?p=apido&c=1&t=msg_show&lang=");
                        GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                        String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                        FormBody.Builder builder = new FormBody.Builder();
                        builder.add("accessToken", alcedoService.application.userEntity.accessToken);
                        builder.add("id", String.valueOf(i));
                        String httpRequest = alcedoService.httpRequest(outline8, builder);
                        if (httpRequest != null) {
                            try {
                                MessageDetailResponeEntity messageDetailResponeEntity = (MessageDetailResponeEntity) new Gson().fromJson(new JSONObject(httpRequest).toString(), MessageDetailResponeEntity.class);
                                int i2 = messageDetailResponeEntity.code;
                                if (1 == i2) {
                                    message.what = 68;
                                    alcedoService.application.messageEntity = messageDetailResponeEntity.messageEntity;
                                } else if (401 == i2) {
                                    message.what = -1;
                                    Bundle bundle = new Bundle();
                                    bundle.putString("msg", messageDetailResponeEntity.msg);
                                    message.setData(bundle);
                                } else {
                                    message.what = 69;
                                    Bundle bundle2 = new Bundle();
                                    bundle2.putString("msg", messageDetailResponeEntity.msg);
                                    message.setData(bundle2);
                                }
                            } catch (JsonSyntaxException | JSONException e) {
                                e.printStackTrace();
                                message.what = 70;
                            }
                        } else {
                            message.what = 71;
                        }
                        messageDetailActivity.handler.sendMessage(message);
                    }
                    messageDetailActivity.runOnUiThread(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00b6: INVOKE  
                          (r0v0 'messageDetailActivity' com.faster.cheetah.ui.MessageDetailActivity)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$MessageDetailActivity$hhZXYrGsCkyuVid9Ezf3NLBxI4A : 0x00b3: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$MessageDetailActivity$hhZXYrGsCkyuVid9Ezf3NLBxI4A) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$MessageDetailActivity$hhZXYrGsCkyuVid9Ezf3NLBxI4A.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                         type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$MessageDetailActivity$dWmNbXzxArImarMoVFs8Lgsi5Yk.run():void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00b3: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$MessageDetailActivity$hhZXYrGsCkyuVid9Ezf3NLBxI4A) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$MessageDetailActivity$hhZXYrGsCkyuVid9Ezf3NLBxI4A.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$MessageDetailActivity$dWmNbXzxArImarMoVFs8Lgsi5Yk.run():void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 14 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$MessageDetailActivity$hhZXYrGsCkyuVid9Ezf3NLBxI4A, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 20 more
                        */
                    /*
                    // Method dump skipped, instructions count: 186
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$MessageDetailActivity$dWmNbXzxArImarMoVFs8Lgsi5Yk.run():void");
                }
            });
        }
    }
}
