package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.Toast;
import androidx.core.content.ContextCompat;
import androidx.databinding.DataBindingUtil;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.swiperefreshlayout.widget.SwipeRefreshLayout;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.adapter.MessageListAdapter;
import com.faster.cheetah.databinding.ActivityMessageListBinding;
import com.faster.cheetah.entity.MessageResponseEntity;
import com.faster.cheetah.service.AlcedoService;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.zfast.xyz.R;
import okhttp3.FormBody;
import org.json.JSONException;
import org.json.JSONObject;

public class MessageListActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public ActivityMessageListBinding binding;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.MessageListActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!MessageListActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    MessageListActivity messageListActivity = MessageListActivity.this;
                    Toast.makeText(messageListActivity.activity, messageListActivity.getString(R.string.network_not_available), 0).show();
                } else if (i == 3) {
                    MessageListActivity messageListActivity2 = MessageListActivity.this;
                    Toast.makeText(messageListActivity2.activity, messageListActivity2.getString(R.string.error_no_available_server_domain), 0).show();
                } else if (i != 20) {
                    switch (i) {
                        case 64:
                            MessageListActivity messageListActivity3 = MessageListActivity.this;
                            MessageListAdapter messageListAdapter = messageListActivity3.messageListAdapter;
                            if (messageListAdapter != null) {
                                messageListAdapter.messageEntityList = messageListActivity3.application.messageEntityList;
                                messageListAdapter.notifyDataSetChanged();
                                return;
                            }
                            return;
                        case 65:
                            Toast.makeText(MessageListActivity.this.activity, string, 0).show();
                            return;
                        case 66:
                            MessageListActivity messageListActivity4 = MessageListActivity.this;
                            Toast.makeText(messageListActivity4.activity, messageListActivity4.getString(R.string.error_data_format), 0).show();
                            return;
                        case 67:
                            MessageListActivity messageListActivity5 = MessageListActivity.this;
                            Toast.makeText(messageListActivity5.activity, messageListActivity5.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    MessageListActivity messageListActivity6 = MessageListActivity.this;
                    Toast.makeText(messageListActivity6.activity, messageListActivity6.getString(R.string.error_no_login), 0).show();
                }
            }
        }
    };
    public MessageListAdapter messageListAdapter;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        ActivityMessageListBinding activityMessageListBinding = (ActivityMessageListBinding) DataBindingUtil.setContentView(this.activity, R.layout.activity_message_list);
        this.binding = activityMessageListBinding;
        activityMessageListBinding.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$MessageListActivity$cSDUGzIgJLYD0Cq9kOmfX7KwaIQ */

            public final void onClick(View view) {
                MessageListActivity.this.finish();
            }
        });
        this.binding.recyclerMessage.setLayoutManager(new LinearLayoutManager(this.activity));
        MessageListAdapter messageListAdapter2 = new MessageListAdapter(this, null);
        this.messageListAdapter = messageListAdapter2;
        this.binding.recyclerMessage.setAdapter(messageListAdapter2);
        this.binding.swipeMessage.setColorSchemeColors(ContextCompat.getColor(this.activity, R.color.colorPrimary));
        this.binding.swipeMessage.setOnRefreshListener(new SwipeRefreshLayout.OnRefreshListener() {
            /* class com.faster.cheetah.ui.$$Lambda$MessageListActivity$zs6WRXG0cJaqBg_9iTpFHgma0pg */

            @Override // androidx.swiperefreshlayout.widget.SwipeRefreshLayout.OnRefreshListener
            public final void onRefresh() {
                MessageListActivity messageListActivity = MessageListActivity.this;
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(messageListActivity.activity);
                loadingDialog.show();
                MainApplication mainApplication = messageListActivity.application;
                mainApplication.executorService.execute(new Runnable(loadingDialog) {
                    /* class com.faster.cheetah.ui.$$Lambda$MessageListActivity$5Wliow8tJp9yet7DSvcaQVROiZE */
                    public final /* synthetic */ Dialog f$1;

                    {
                        this.f$1 = r2;
                    }

                    public final void run() {
                        MessageListActivity messageListActivity = MessageListActivity.this;
                        Dialog dialog = this.f$1;
                        AlcedoService alcedoService = messageListActivity.application.alcedoService;
                        if (alcedoService != null) {
                            Message message = new Message();
                            StringBuilder sb = new StringBuilder();
                            sb.append(alcedoService.application.serverDomain);
                            sb.append("?p=apido&c=1&t=msg_list&lang=");
                            GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                            String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                            FormBody.Builder builder = new FormBody.Builder();
                            builder.add("accessToken", alcedoService.application.userEntity.accessToken);
                            String httpRequest = alcedoService.httpRequest(outline8, builder);
                            if (httpRequest != null) {
                                try {
                                    MessageResponseEntity messageResponseEntity = (MessageResponseEntity) new Gson().fromJson(new JSONObject(httpRequest).toString(), MessageResponseEntity.class);
                                    int i = messageResponseEntity.code;
                                    if (1 == i) {
                                        message.what = 64;
                                        alcedoService.application.messageEntityList = messageResponseEntity.messageEntityList;
                                    } else if (401 == i) {
                                        message.what = -1;
                                        Bundle bundle = new Bundle();
                                        bundle.putString("msg", messageResponseEntity.msg);
                                        message.setData(bundle);
                                    } else {
                                        message.what = 65;
                                        Bundle bundle2 = new Bundle();
                                        bundle2.putString("msg", messageResponseEntity.msg);
                                        message.setData(bundle2);
                                    }
                                } catch (JsonSyntaxException | JSONException e) {
                                    e.printStackTrace();
                                    message.what = 66;
                                }
                            } else {
                                message.what = 67;
                            }
                            if (64 == message.what) {
                                Intent intent = new Intent();
                                intent.setAction("com.flybird.alcedo.action.message.refresh");
                                alcedoService.sendBroadcast(intent);
                            }
                            messageListActivity.handler.sendMessage(message);
                        }
                        messageListActivity.runOnUiThread(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00bc: INVOKE  
                              (r0v0 'messageListActivity' com.faster.cheetah.ui.MessageListActivity)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$MessageListActivity$QF_vB7XO9QOb1JdpfGTAARoIHUE : 0x00b9: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$MessageListActivity$QF_vB7XO9QOb1JdpfGTAARoIHUE) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$MessageListActivity$QF_vB7XO9QOb1JdpfGTAARoIHUE.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                             type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$MessageListActivity$5Wliow8tJp9yet7DSvcaQVROiZE.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00b9: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$MessageListActivity$QF_vB7XO9QOb1JdpfGTAARoIHUE) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$MessageListActivity$QF_vB7XO9QOb1JdpfGTAARoIHUE.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$MessageListActivity$5Wliow8tJp9yet7DSvcaQVROiZE.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$MessageListActivity$QF_vB7XO9QOb1JdpfGTAARoIHUE, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /*
                        // Method dump skipped, instructions count: 192
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$MessageListActivity$5Wliow8tJp9yet7DSvcaQVROiZE.run():void");
                    }
                });
            }
        });
        Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(this.activity);
        loadingDialog.show();
        MainApplication mainApplication = this.application;
        mainApplication.executorService.execute(new Runnable(loadingDialog) {
            /* class com.faster.cheetah.ui.$$Lambda$MessageListActivity$5Wliow8tJp9yet7DSvcaQVROiZE */
            public final /* synthetic */ Dialog f$1;

            {
                this.f$1 = r2;
            }

            public final void run() {
                /*
                // Method dump skipped, instructions count: 192
                */
                throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$MessageListActivity$5Wliow8tJp9yet7DSvcaQVROiZE.run():void");
            }
        });
    }
}
