package com.faster.cheetah.ui;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.TextView;
import androidx.databinding.DataBindingUtil;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.databinding.ActivityMyInfoBinding;
import com.faster.cheetah.dialog.DialogOkCancel;
import com.faster.cheetah.entity.ConfigEntity;
import com.faster.cheetah.entity.UserEntity;
import com.zfast.xyz.R;

public class MyInfoActivity extends BaseActivity {
    public ActivityMyInfoBinding binding;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        ActivityMyInfoBinding activityMyInfoBinding = (ActivityMyInfoBinding) DataBindingUtil.setContentView(this.activity, R.layout.activity_my_info);
        this.binding = activityMyInfoBinding;
        activityMyInfoBinding.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$MyInfoActivity$Z0E9ZwAsVP8fpBE6TgJtIYIdPrk */

            public final void onClick(View view) {
                MyInfoActivity.this.finish();
            }
        });
        this.binding.layoutChangePassword.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$MyInfoActivity$bha0CfRlgatObDPF74ku28MpVWs */

            public final void onClick(View view) {
                MyInfoActivity myInfoActivity = MyInfoActivity.this;
                UserEntity userEntity = myInfoActivity.application.userEntity;
                if (userEntity == null) {
                    return;
                }
                if (!TextUtils.isEmpty(userEntity.email) || !TextUtils.isEmpty(myInfoActivity.application.userEntity.mobile)) {
                    myInfoActivity.startActivity(new Intent(myInfoActivity.activity, ChangePasswordActivity.class));
                }
            }
        });
        this.binding.layoutMail.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$MyInfoActivity$Y4WTCcF4oLVjVraZ9fvhU0W8wjI */

            public final void onClick(View view) {
                MyInfoActivity myInfoActivity = MyInfoActivity.this;
                UserEntity userEntity = myInfoActivity.application.userEntity;
                if (userEntity != null && TextUtils.isEmpty(userEntity.email)) {
                    myInfoActivity.startActivity(new Intent(myInfoActivity.activity, RegisterBindActivity.class));
                }
            }
        });
        this.binding.layoutMobile.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$MyInfoActivity$YRR1Tykz97dqaMaFQtJ3hEJ4cz8 */

            public final void onClick(View view) {
                MyInfoActivity myInfoActivity = MyInfoActivity.this;
                UserEntity userEntity = myInfoActivity.application.userEntity;
                if (userEntity != null && TextUtils.isEmpty(userEntity.mobile)) {
                    myInfoActivity.startActivity(new Intent(myInfoActivity.activity, RegisterBindActivity.class));
                }
            }
        });
        this.binding.btnSwitchAccount.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$MyInfoActivity$HkneMCr0lVg00pmGtwELUvlwRqQ */

            public final void onClick(View view) {
                MyInfoActivity myInfoActivity = MyInfoActivity.this;
                myInfoActivity.startActivity(LoginActivity.getIntent(myInfoActivity.activity, 2));
            }
        });
        UserEntity userEntity = this.application.userEntity;
        if (userEntity != null && TextUtils.isEmpty(userEntity.email) && TextUtils.isEmpty(this.application.userEntity.mobile)) {
            final DialogOkCancel dialogOkCancel = new DialogOkCancel(this.activity, R.style.ok_cancel_dialog);
            View inflate = LayoutInflater.from(this.activity).inflate(R.layout.dialog_ok_cancel, (ViewGroup) null);
            dialogOkCancel.addContentView(inflate, new ViewGroup.LayoutParams(-1, -2));
            TextView textView = (TextView) inflate.findViewById(R.id.tv_content);
            ((TextView) inflate.findViewById(R.id.tv_title)).setText(getString(R.string.update_tip));
            textView.setTextSize(2, 14.0f);
            textView.setText(R.string.bind_tip);
            Button button = (Button) inflate.findViewById(R.id.btn_ok);
            button.setText(getString(R.string.btn_bind));
            button.setOnClickListener(new View.OnClickListener() {
                /* class com.faster.cheetah.ui.MyInfoActivity.AnonymousClass1 */

                public void onClick(View view) {
                    MyInfoActivity.this.startActivity(new Intent(MyInfoActivity.this.activity, RegisterBindActivity.class));
                    dialogOkCancel.dismiss();
                }
            });
            Button button2 = (Button) inflate.findViewById(R.id.btn_cancel);
            button2.setText(getString(R.string.btn_next));
            button2.setOnClickListener(new View.OnClickListener(this) {
                /* class com.faster.cheetah.ui.MyInfoActivity.AnonymousClass2 */

                public void onClick(View view) {
                    dialogOkCancel.dismiss();
                }
            });
            dialogOkCancel.setContentView(inflate);
            dialogOkCancel.setCancelable(false);
            dialogOkCancel.show();
        }
    }

    @Override // androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onResume() {
        super.onResume();
        UserEntity userEntity = this.application.userEntity;
        if (userEntity != null) {
            this.binding.tvUserName.setText(userEntity.userName);
            this.binding.tvGroupName.setText(this.application.userEntity.groupName);
            this.binding.tvMail.setText(this.application.userEntity.email);
            this.binding.tvMobile.setText(this.application.userEntity.mobile);
            this.binding.tvConnectCount.setText(String.valueOf(this.application.userEntity.connectCount));
            this.binding.tvEndTime.setText(this.application.userEntity.userOverTime);
            if (this.application.userEntity.groupID > 2) {
                this.binding.imgVipUser.setVisibility(0);
            } else {
                this.binding.imgVipUser.setVisibility(8);
            }
            if (TextUtils.isEmpty(this.application.userEntity.email)) {
                this.binding.tvMail.setText(R.string.hint_no_bind);
                this.binding.imgMailArrow.setVisibility(0);
            } else {
                this.binding.imgMailArrow.setVisibility(8);
            }
            if (TextUtils.isEmpty(this.application.userEntity.mobile)) {
                this.binding.tvMobile.setText(R.string.hint_no_bind);
                this.binding.imgMobileArrow.setVisibility(0);
            } else {
                this.binding.imgMobileArrow.setVisibility(8);
            }
            if (!TextUtils.isEmpty(this.application.userEntity.email) || !TextUtils.isEmpty(this.application.userEntity.mobile)) {
                this.binding.layoutChangePassword.setVisibility(0);
            } else {
                this.binding.layoutChangePassword.setVisibility(8);
            }
            ConfigEntity configEntity = this.application.configEntity;
            if (configEntity != null) {
                if (1 == configEntity.registerType.intValue()) {
                    this.binding.layoutMail.setVisibility(0);
                    this.binding.layoutMobile.setVisibility(8);
                } else if (2 == this.application.configEntity.registerType.intValue()) {
                    this.binding.layoutMail.setVisibility(8);
                    this.binding.layoutMobile.setVisibility(0);
                } else {
                    this.binding.layoutMail.setVisibility(0);
                    this.binding.layoutMobile.setVisibility(0);
                }
            }
        } else {
            this.binding.layoutChangePassword.setVisibility(8);
        }
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("v");
        outline25.append(ViewGroupUtilsApi14.getVersionName(this.activity));
        ((TextView) findViewById(R.id.tv_version)).setText(outline25.toString());
    }
}
