package com.faster.cheetah.ui;

import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Toast;
import androidx.core.content.ContextCompat;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.swiperefreshlayout.widget.SwipeRefreshLayout;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.adapter.OrderListAdapter;
import com.faster.cheetah.entity.OrderDetailEntity;
import com.faster.cheetah.entity.OrderDetailResponseEntity;
import com.faster.cheetah.service.AlcedoService;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.zfast.xyz.R;
import java.util.List;
import okhttp3.FormBody;
import org.json.JSONException;
import org.json.JSONObject;

public class OrderListFragment extends BaseFragment {
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.OrderListFragment.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!OrderListFragment.this.superHandleMessage(message) && OrderListFragment.this.isAdded()) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    OrderListFragment orderListFragment = OrderListFragment.this;
                    Toast.makeText(orderListFragment.context, orderListFragment.getString(R.string.network_not_available), 0).show();
                } else if (i == 3) {
                    OrderListFragment orderListFragment2 = OrderListFragment.this;
                    Toast.makeText(orderListFragment2.context, orderListFragment2.getString(R.string.error_no_available_server_domain), 0).show();
                } else if (i != 20) {
                    switch (i) {
                        case 113:
                            OrderListFragment orderListFragment3 = OrderListFragment.this;
                            OrderListAdapter orderListAdapter = orderListFragment3.orderListAdapter;
                            orderListAdapter.orderDetailEntityList = orderListFragment3.application.orderDetailEntityList;
                            orderListAdapter.notifyDataSetChanged();
                            return;
                        case 114:
                            Toast.makeText(OrderListFragment.this.context, string, 0).show();
                            return;
                        case 115:
                            OrderListFragment orderListFragment4 = OrderListFragment.this;
                            Toast.makeText(orderListFragment4.context, orderListFragment4.getString(R.string.error_data_format), 0).show();
                            return;
                        case 116:
                            OrderListFragment orderListFragment5 = OrderListFragment.this;
                            Toast.makeText(orderListFragment5.context, orderListFragment5.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    OrderListFragment orderListFragment6 = OrderListFragment.this;
                    Toast.makeText(orderListFragment6.context, orderListFragment6.getString(R.string.error_no_login), 0).show();
                }
            }
        }
    };
    public OrderListAdapter orderListAdapter;
    public RecyclerView recyclerView;
    public int status;
    public SwipeRefreshLayout swipeRefreshLayout;
    public View view;

    public interface OnFragmentInteractionListener {
    }

    @Override // androidx.fragment.app.Fragment
    public void onAttach(Context context) {
        super.onAttach(context);
        if (context instanceof OnFragmentInteractionListener) {
            OnFragmentInteractionListener onFragmentInteractionListener = (OnFragmentInteractionListener) context;
            return;
        }
        throw new RuntimeException(context.toString() + " must implement OnFragmentInteractionListener");
    }

    @Override // com.faster.cheetah.ui.BaseFragment, androidx.fragment.app.Fragment
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (getArguments() != null) {
            getArguments().getString("title");
            this.status = getArguments().getInt("status");
        }
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        View inflate = layoutInflater.inflate(R.layout.fragment_order_list, viewGroup, false);
        this.view = inflate;
        this.swipeRefreshLayout = (SwipeRefreshLayout) inflate.findViewById(R.id.swipe_order);
        RecyclerView recyclerView2 = (RecyclerView) this.view.findViewById(R.id.recycler_order);
        this.recyclerView = recyclerView2;
        recyclerView2.setLayoutManager(new LinearLayoutManager(this.context));
        getActivity();
        OrderListAdapter orderListAdapter2 = new OrderListAdapter(null);
        this.orderListAdapter = orderListAdapter2;
        this.recyclerView.setAdapter(orderListAdapter2);
        this.swipeRefreshLayout.setColorSchemeColors(ContextCompat.getColor(this.context, R.color.colorPrimary));
        this.swipeRefreshLayout.setOnRefreshListener(new SwipeRefreshLayout.OnRefreshListener() {
            /* class com.faster.cheetah.ui.OrderListFragment.AnonymousClass2 */

            @Override // androidx.swiperefreshlayout.widget.SwipeRefreshLayout.OnRefreshListener
            public void onRefresh() {
                OrderListFragment orderListFragment = OrderListFragment.this;
                orderListFragment.swipeRefreshLayout.setRefreshing(true);
                MainApplication mainApplication = orderListFragment.application;
                mainApplication.executorService.execute(new Runnable() {
                    /* class com.faster.cheetah.ui.$$Lambda$OrderListFragment$jwxq3CFO4V8JwEI8sQ708f6ZbaY */

                    public final void run() {
                        OrderListFragment orderListFragment = OrderListFragment.this;
                        AlcedoService alcedoService = orderListFragment.application.alcedoService;
                        if (alcedoService != null) {
                            int i = orderListFragment.status;
                            Message message = new Message();
                            StringBuilder sb = new StringBuilder();
                            sb.append(alcedoService.application.serverDomain);
                            sb.append("?p=apido&c=1&t=buy_order_list&lang=");
                            GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                            String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                            FormBody.Builder builder = new FormBody.Builder();
                            builder.add("accessToken", alcedoService.application.userEntity.accessToken);
                            builder.add("status", String.valueOf(i));
                            String httpRequest = alcedoService.httpRequest(outline8, builder);
                            if (httpRequest != null) {
                                try {
                                    OrderDetailResponseEntity orderDetailResponseEntity = (OrderDetailResponseEntity) new Gson().fromJson(new JSONObject(httpRequest).toString(), OrderDetailResponseEntity.class);
                                    int i2 = orderDetailResponseEntity.code;
                                    if (1 == i2) {
                                        List<OrderDetailEntity> list = orderDetailResponseEntity.orderDetailEntityList;
                                        if (list != null) {
                                            alcedoService.application.orderDetailEntityList = list;
                                        }
                                        message.what = 113;
                                    } else if (401 == i2) {
                                        message.what = -1;
                                        Bundle bundle = new Bundle();
                                        bundle.putString("msg", orderDetailResponseEntity.msg);
                                        message.setData(bundle);
                                    } else {
                                        message.what = 114;
                                        Bundle bundle2 = new Bundle();
                                        bundle2.putString("msg", orderDetailResponseEntity.msg);
                                        message.setData(bundle2);
                                    }
                                } catch (JsonSyntaxException | JSONException e) {
                                    e.printStackTrace();
                                    message.what = 115;
                                }
                            } else {
                                message.what = 116;
                            }
                            orderListFragment.handler.sendMessage(message);
                        }
                        orderListFragment.activity.runOnUiThread(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00b8: INVOKE  
                              (wrap: com.faster.cheetah.ui.BaseActivity : 0x00b1: IGET  (r1v2 com.faster.cheetah.ui.BaseActivity) = (r0v0 'orderListFragment' com.faster.cheetah.ui.OrderListFragment) com.faster.cheetah.ui.BaseFragment.activity com.faster.cheetah.ui.BaseActivity)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$OrderListFragment$aaMNzoZJp0EwRag4cPohnw5w-1k : 0x00b5: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$OrderListFragment$aaMNzoZJp0EwRag4cPohnw5w-1k) = (r0v0 'orderListFragment' com.faster.cheetah.ui.OrderListFragment) call: com.faster.cheetah.ui.-$$Lambda$OrderListFragment$aaMNzoZJp0EwRag4cPohnw5w-1k.<init>(com.faster.cheetah.ui.OrderListFragment):void type: CONSTRUCTOR)
                             type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$OrderListFragment$jwxq3CFO4V8JwEI8sQ708f6ZbaY.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00b5: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$OrderListFragment$aaMNzoZJp0EwRag4cPohnw5w-1k) = (r0v0 'orderListFragment' com.faster.cheetah.ui.OrderListFragment) call: com.faster.cheetah.ui.-$$Lambda$OrderListFragment$aaMNzoZJp0EwRag4cPohnw5w-1k.<init>(com.faster.cheetah.ui.OrderListFragment):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$OrderListFragment$jwxq3CFO4V8JwEI8sQ708f6ZbaY.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$OrderListFragment$aaMNzoZJp0EwRag4cPohnw5w-1k, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /*
                        // Method dump skipped, instructions count: 188
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$OrderListFragment$jwxq3CFO4V8JwEI8sQ708f6ZbaY.run():void");
                    }
                });
            }
        });
        this.swipeRefreshLayout.setRefreshing(true);
        MainApplication mainApplication = this.application;
        mainApplication.executorService.execute(new Runnable() {
            /* class com.faster.cheetah.ui.$$Lambda$OrderListFragment$jwxq3CFO4V8JwEI8sQ708f6ZbaY */

            public final void run() {
                /*
                // Method dump skipped, instructions count: 188
                */
                throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$OrderListFragment$jwxq3CFO4V8JwEI8sQ708f6ZbaY.run():void");
            }
        });
        return this.view;
    }

    @Override // androidx.fragment.app.Fragment
    public void onDetach() {
        super.onDetach();
    }
}
