package com.faster.cheetah.ui;

import android.app.Dialog;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.Toast;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.entity.PublicResponseEntity;
import com.faster.cheetah.service.AlcedoService;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.zfast.xyz.R;
import okhttp3.FormBody;
import org.json.JSONException;
import org.json.JSONObject;

public class RetrievePasswordActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public Button btnConfirm;
    public String code;
    public EditText etCode;
    public EditText etNewPassword;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.RetrievePasswordActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!RetrievePasswordActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    RetrievePasswordActivity retrievePasswordActivity = RetrievePasswordActivity.this;
                    Toast.makeText(retrievePasswordActivity.activity, retrievePasswordActivity.getString(R.string.network_not_available), 0).show();
                } else if (i != 3) {
                    switch (i) {
                        case 44:
                            RetrievePasswordActivity retrievePasswordActivity2 = RetrievePasswordActivity.this;
                            Toast.makeText(retrievePasswordActivity2.activity, retrievePasswordActivity2.getString(R.string.error_access), 0).show();
                            return;
                        case 45:
                            RetrievePasswordActivity retrievePasswordActivity3 = RetrievePasswordActivity.this;
                            Toast.makeText(retrievePasswordActivity3.activity, retrievePasswordActivity3.getString(R.string.error_data_format), 0).show();
                            return;
                        case 46:
                            Toast.makeText(RetrievePasswordActivity.this.activity, string, 0).show();
                            RetrievePasswordActivity.this.finish();
                            return;
                        case 47:
                            Toast.makeText(RetrievePasswordActivity.this.activity, string, 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    RetrievePasswordActivity retrievePasswordActivity4 = RetrievePasswordActivity.this;
                    Toast.makeText(retrievePasswordActivity4.activity, retrievePasswordActivity4.getString(R.string.error_no_available_server_domain), 0).show();
                }
            }
        }
    };
    public ImageView imgBack;
    public String newPassword;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_retrieve_password);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.etNewPassword = (EditText) findViewById(R.id.et_new_password);
        this.etCode = (EditText) findViewById(R.id.et_code);
        this.btnConfirm = (Button) findViewById(R.id.btn_confirm);
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.RetrievePasswordActivity.AnonymousClass2 */

            public void onClick(View view) {
                RetrievePasswordActivity.this.finish();
            }
        });
        this.btnConfirm.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.RetrievePasswordActivity.AnonymousClass3 */

            public void onClick(View view) {
                RetrievePasswordActivity retrievePasswordActivity = RetrievePasswordActivity.this;
                retrievePasswordActivity.newPassword = retrievePasswordActivity.etNewPassword.getText().toString();
                RetrievePasswordActivity retrievePasswordActivity2 = RetrievePasswordActivity.this;
                retrievePasswordActivity2.code = retrievePasswordActivity2.etCode.getText().toString();
                RetrievePasswordActivity retrievePasswordActivity3 = RetrievePasswordActivity.this;
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(retrievePasswordActivity3.activity);
                loadingDialog.show();
                MainApplication mainApplication = retrievePasswordActivity3.application;
                mainApplication.executorService.execute(new Runnable(loadingDialog) {
                    /* class com.faster.cheetah.ui.$$Lambda$RetrievePasswordActivity$v9uZmrhYz0RlEGoOSDQdokcckps */
                    public final /* synthetic */ Dialog f$1;

                    {
                        this.f$1 = r2;
                    }

                    public final void run() {
                        RetrievePasswordActivity retrievePasswordActivity = RetrievePasswordActivity.this;
                        Dialog dialog = this.f$1;
                        AlcedoService alcedoService = retrievePasswordActivity.application.alcedoService;
                        if (alcedoService != null) {
                            String str = retrievePasswordActivity.newPassword;
                            String str2 = retrievePasswordActivity.code;
                            Message message = new Message();
                            if (alcedoService.application.retrievePasswordEntity == null) {
                                message.what = 44;
                            } else {
                                StringBuilder sb = new StringBuilder();
                                sb.append(alcedoService.application.serverDomain);
                                sb.append("?p=apido&c=1&t=user_resetpwd_email_sumbit&lang=");
                                GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                                String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                                FormBody.Builder builder = new FormBody.Builder();
                                builder.add("email", alcedoService.application.retrievePasswordEntity.mail);
                                builder.add("newpwd", str);
                                builder.add("verify", str2);
                                builder.add("authcode", alcedoService.application.retrievePasswordEntity.code);
                                String httpRequest = alcedoService.httpRequest(outline8, builder);
                                if (httpRequest != null) {
                                    try {
                                        PublicResponseEntity publicResponseEntity = (PublicResponseEntity) new Gson().fromJson(new JSONObject(httpRequest).toString(), PublicResponseEntity.class);
                                        int i = publicResponseEntity.code;
                                        if (1 == i) {
                                            message.what = 46;
                                            Bundle bundle = new Bundle();
                                            bundle.putString("msg", publicResponseEntity.msg);
                                            message.setData(bundle);
                                            alcedoService.application.retrievePasswordEntity = null;
                                        } else if (401 == i) {
                                            message.what = -1;
                                            Bundle bundle2 = new Bundle();
                                            bundle2.putString("msg", publicResponseEntity.msg);
                                            message.setData(bundle2);
                                        } else {
                                            message.what = 47;
                                            Bundle bundle3 = new Bundle();
                                            bundle3.putString("msg", publicResponseEntity.msg);
                                            message.setData(bundle3);
                                        }
                                    } catch (JsonSyntaxException | JSONException e) {
                                        e.printStackTrace();
                                        message.what = 45;
                                    }
                                } else {
                                    message.what = 44;
                                }
                            }
                            retrievePasswordActivity.handler.sendMessage(message);
                        }
                        retrievePasswordActivity.runOnUiThread(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00da: INVOKE  
                              (r0v0 'retrievePasswordActivity' com.faster.cheetah.ui.RetrievePasswordActivity)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$RetrievePasswordActivity$1nz1IJ8T0ASaVguSxpC4__W_Eu8 : 0x00d7: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$RetrievePasswordActivity$1nz1IJ8T0ASaVguSxpC4__W_Eu8) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$RetrievePasswordActivity$1nz1IJ8T0ASaVguSxpC4__W_Eu8.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                             type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$RetrievePasswordActivity$v9uZmrhYz0RlEGoOSDQdokcckps.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00d7: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$RetrievePasswordActivity$1nz1IJ8T0ASaVguSxpC4__W_Eu8) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$RetrievePasswordActivity$1nz1IJ8T0ASaVguSxpC4__W_Eu8.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$RetrievePasswordActivity$v9uZmrhYz0RlEGoOSDQdokcckps.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$RetrievePasswordActivity$1nz1IJ8T0ASaVguSxpC4__W_Eu8, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /*
                        // Method dump skipped, instructions count: 222
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$RetrievePasswordActivity$v9uZmrhYz0RlEGoOSDQdokcckps.run():void");
                    }
                });
            }
        });
    }
}
