package com.faster.cheetah.ui;

import android.content.ClipData;
import android.content.ClipboardManager;
import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.Spannable;
import android.text.TextUtils;
import android.text.method.LinkMovementMethod;
import android.text.style.ClickableSpan;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;
import androidx.appcompat.app.AlertController;
import androidx.appcompat.app.AlertDialog;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;
import androidx.databinding.DataBindingUtil;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.databinding.ActivityShare2Binding;
import com.faster.cheetah.dialog.DialogOkCancel;
import com.faster.cheetah.entity.ConfigEntity;
import com.faster.cheetah.entity.Share2StatsEntity;
import com.faster.cheetah.entity.Share2StatsResponseEntity;
import com.faster.cheetah.service.AlcedoService;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.google.zxing.WriterException;
import com.zfast.xyz.R;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Objects;
import net.xfkefu.sdk.XfKefu;
import okhttp3.FormBody;
import org.json.JSONException;
import org.json.JSONObject;

public class Share2Activity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public ActivityShare2Binding binding;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.Share2Activity.AnonymousClass3 */

        public void handleMessage(Message message) {
            String string = message.getData().getString("msg", "");
            int i = message.what;
            if (i == 1) {
                Share2Activity share2Activity = Share2Activity.this;
                Toast.makeText(share2Activity.activity, share2Activity.getString(R.string.network_not_available), 0).show();
            } else if (i != 3) {
                switch (i) {
                    case 168:
                        Share2Activity share2Activity2 = Share2Activity.this;
                        Share2StatsEntity share2StatsEntity = share2Activity2.application.shareStatsEntity;
                        TextView textView = share2Activity2.binding.shareBalance;
                        textView.setText(share2StatsEntity.tyj + "");
                        TextView textView2 = Share2Activity.this.binding.tvShareWithdrawn;
                        textView2.setText(share2StatsEntity.yyj + "");
                        TextView textView3 = Share2Activity.this.binding.tvShareIncomeToday;
                        textView3.setText(share2StatsEntity.nyj + "");
                        TextView textView4 = Share2Activity.this.binding.tvShareRegisteredToday;
                        textView4.setText(share2StatsEntity.nzc + "");
                        Share2Activity share2Activity3 = Share2Activity.this;
                        share2Activity3.binding.tvBiliTip.setText(share2Activity3.getString(R.string.line_free_share_tip, new Object[]{Integer.valueOf(((int) share2StatsEntity.bili) * 100)}));
                        Share2Activity share2Activity4 = Share2Activity.this;
                        if (share2Activity4.application.shareStatsEntity.tgurl != null) {
                            int width = (int) (((double) share2Activity4.getWindowManager().getDefaultDisplay().getWidth()) * 0.6d);
                            Bitmap decodeResource = BitmapFactory.decodeResource(Share2Activity.this.getResources(), R.mipmap.logo);
                            try {
                                Share2Activity share2Activity5 = Share2Activity.this;
                                share2Activity5.qrCode = ViewGroupUtilsApi14.createQRCode(share2Activity5.application.shareStatsEntity.tgurl, width, width, decodeResource);
                            } catch (WriterException e) {
                                e.printStackTrace();
                            }
                            Share2Activity share2Activity6 = Share2Activity.this;
                            Bitmap bitmap = share2Activity6.qrCode;
                            if (bitmap != null) {
                                share2Activity6.binding.imgQrcode.setImageBitmap(bitmap);
                            }
                        }
                        if (share2StatsEntity.bili == 0.0f) {
                            AlertDialog.Builder builder = new AlertDialog.Builder(Share2Activity.this.activity);
                            AlertController.AlertParams alertParams = builder.P;
                            alertParams.mTitle = alertParams.mContext.getText(R.string.sweet_tip);
                            AlertController.AlertParams alertParams2 = builder.P;
                            alertParams2.mMessage = alertParams2.mContext.getText(R.string.contact_customer);
                            AnonymousClass1 r1 = new DialogInterface.OnClickListener() {
                                /* class com.faster.cheetah.ui.Share2Activity.AnonymousClass3.AnonymousClass1 */

                                public void onClick(DialogInterface dialogInterface, int i) {
                                    Share2Activity.this.finish();
                                }
                            };
                            AlertController.AlertParams alertParams3 = builder.P;
                            alertParams3.mNegativeButtonText = alertParams3.mContext.getText(R.string.button_ok);
                            AlertController.AlertParams alertParams4 = builder.P;
                            alertParams4.mNegativeButtonListener = r1;
                            alertParams4.mCancelable = false;
                            builder.create().show();
                            return;
                        }
                        return;
                    case 169:
                        Toast.makeText(Share2Activity.this.activity, string, 0).show();
                        return;
                    case 170:
                        Share2Activity share2Activity7 = Share2Activity.this;
                        Toast.makeText(share2Activity7.activity, share2Activity7.getString(R.string.error_data_format), 0).show();
                        return;
                    case 171:
                        Share2Activity share2Activity8 = Share2Activity.this;
                        Toast.makeText(share2Activity8.activity, share2Activity8.getString(R.string.error_access), 0).show();
                        return;
                    default:
                        return;
                }
            } else {
                Share2Activity share2Activity9 = Share2Activity.this;
                Toast.makeText(share2Activity9.activity, share2Activity9.getString(R.string.error_no_available_server_domain), 0).show();
            }
        }
    };
    public Bitmap qrCode = null;
    public String savePath;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        ActivityShare2Binding activityShare2Binding = (ActivityShare2Binding) DataBindingUtil.setContentView(this.activity, R.layout.activity_share2);
        this.binding = activityShare2Binding;
        activityShare2Binding.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$Share2Activity$rrgyaCN5_i7qtM4H0NObhMLGOX0 */

            public final void onClick(View view) {
                Share2Activity.this.finish();
            }
        });
        this.binding.tvShareList.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$Share2Activity$SLIEY0Zbmsrvu1fs7IuSt5mKpog */

            public final void onClick(View view) {
                Share2Activity share2Activity = Share2Activity.this;
                Objects.requireNonNull(share2Activity);
                share2Activity.startActivity(new Intent(share2Activity.activity, Share2ListActivity.class));
            }
        });
        this.binding.layoutShareIncomeToday.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$Share2Activity$wvhaePtUqV3SCFnkoz8ReglERCA */

            public final void onClick(View view) {
                Share2Activity share2Activity = Share2Activity.this;
                Objects.requireNonNull(share2Activity);
                share2Activity.startActivity(new Intent(share2Activity.activity, Share2IncomeListActivity.class));
            }
        });
        this.binding.layoutShareRegisteredToday.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$Share2Activity$NkdmYY9ZKHWcgJtZv4NXMPvJ0ys */

            public final void onClick(View view) {
                Share2Activity share2Activity = Share2Activity.this;
                Objects.requireNonNull(share2Activity);
                share2Activity.startActivity(new Intent(share2Activity.activity, Share2RegisteredListActivity.class));
            }
        });
        this.binding.layoutShareWithdrawn.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$Share2Activity$ir8x3CRmBFbPRzWgwvDSDr26A2k */

            public final void onClick(View view) {
                Share2Activity share2Activity = Share2Activity.this;
                Objects.requireNonNull(share2Activity);
                share2Activity.startActivity(new Intent(share2Activity.activity, Share2WithdrawnListActivity.class));
            }
        });
        this.binding.btnUserWithdraw.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$Share2Activity$sr3x7DFSN73aRkanWcrs5qB74 */

            public final void onClick(View view) {
                Share2Activity share2Activity = Share2Activity.this;
                MainApplication mainApplication = share2Activity.application;
                if (mainApplication.configEntity == null || mainApplication.userEntity == null) {
                    share2Activity.startActivity(new Intent(share2Activity.activity, Share2WithdrawActivity.class));
                    return;
                }
                DialogOkCancel.Builder builder = new DialogOkCancel.Builder(share2Activity.activity);
                builder.setTitle(R.string.sweet_tip);
                builder.setContent(R.string.user_withdraw_tip);
                builder.setPositiveButton(R.string.btn_sure, new DialogInterface.OnClickListener() {
                    /* class com.faster.cheetah.ui.Share2Activity.AnonymousClass1 */

                    public void onClick(DialogInterface dialogInterface, int i) {
                        if (Share2Activity.this.application.configEntity.registerType.intValue() == 1) {
                            if (TextUtils.isEmpty(Share2Activity.this.application.userEntity.email)) {
                                Share2Activity.this.startActivity(new Intent(Share2Activity.this.activity, RegisterBindActivity.class));
                            }
                        } else if (Share2Activity.this.application.configEntity.registerType.intValue() == 2) {
                            if (TextUtils.isEmpty(Share2Activity.this.application.userEntity.mobile)) {
                                Share2Activity.this.startActivity(new Intent(Share2Activity.this.activity, RegisterBindActivity.class));
                            }
                        } else if (TextUtils.isEmpty(Share2Activity.this.application.userEntity.email) && TextUtils.isEmpty(Share2Activity.this.application.userEntity.mobile)) {
                            Share2Activity.this.startActivity(new Intent(Share2Activity.this.activity, RegisterBindActivity.class));
                        }
                        dialogInterface.dismiss();
                    }
                });
                builder.create().show();
            }
        });
        this.binding.btnSave.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$Share2Activity$Y267usRCIG4mF2iI2nM3PbPWRBg */

            public final void onClick(View view) {
                Share2Activity share2Activity = Share2Activity.this;
                if (ContextCompat.checkSelfPermission(share2Activity.activity, "android.permission.WRITE_EXTERNAL_STORAGE") != 0) {
                    ActivityCompat.requestPermissions(share2Activity, new String[]{"android.permission.WRITE_EXTERNAL_STORAGE"}, 12);
                } else {
                    share2Activity.startSaveQRCode();
                }
            }
        });
        this.binding.btnCopy.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$Share2Activity$vXs_DJ_QyZPsaJqCUE4Oz1hPAVU */

            public final void onClick(View view) {
                Share2Activity share2Activity = Share2Activity.this;
                Share2StatsEntity share2StatsEntity = share2Activity.application.shareStatsEntity;
                if (share2StatsEntity != null && share2StatsEntity.tgurl != null) {
                    ((ClipboardManager) share2Activity.activity.getSystemService("clipboard")).setPrimaryClip(ClipData.newPlainText("text", share2Activity.application.shareStatsEntity.tgurl));
                    BaseActivity baseActivity = share2Activity.activity;
                    Toast.makeText(baseActivity, baseActivity.getString(R.string.copy_success), 0).show();
                }
            }
        });
        if (this.application.userEntity != null) {
            TextView textView = this.binding.tvOverTime;
            textView.setText(getString(R.string.line_over_time_desc) + this.application.userEntity.userOverTime);
        }
        this.binding.tvBiliTip.setText(getString(R.string.line_free_share_tip, new Object[]{0}));
        String string = getString(R.string.free_desc_3);
        String string2 = getString(R.string.free_desc_4);
        String outline19 = GeneratedOutlineSupport.outline19(string, " ", string2);
        TextView textView2 = (TextView) findViewById(R.id.free_desc_3);
        Spannable newSpannable = Spannable.Factory.getInstance().newSpannable(outline19);
        newSpannable.setSpan(new ClickableSpan() {
            /* class com.faster.cheetah.ui.Share2Activity.AnonymousClass2 */

            public void onClick(View view) {
                ConfigEntity configEntity = Share2Activity.this.application.configEntity;
                if (configEntity != null && !TextUtils.isEmpty(configEntity.kefuHtml)) {
                    XfKefu.startActivity(Share2Activity.this.activity, GeneratedOutlineSupport.outline21(new StringBuilder(), Share2Activity.this.application.userEntity.userID, ""), Share2Activity.this.application.userEntity.userName);
                }
            }
        }, outline19.length() - string2.length(), outline19.length(), 33);
        textView2.setText(newSpannable);
        textView2.setMovementMethod(LinkMovementMethod.getInstance());
        MainApplication mainApplication = this.application;
        mainApplication.executorService.execute(new Runnable() {
            /* class com.faster.cheetah.ui.$$Lambda$Share2Activity$etAw9rDyQ2WlHgEngrD40t1IQ8 */

            public final void run() {
                Share2Activity share2Activity = Share2Activity.this;
                AlcedoService alcedoService = share2Activity.application.alcedoService;
                if (alcedoService != null) {
                    Message message = new Message();
                    StringBuilder sb = new StringBuilder();
                    sb.append(alcedoService.application.serverDomain);
                    sb.append("?p=apido&c=1&t=tgfl_index&lang=");
                    GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                    String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                    FormBody.Builder builder = new FormBody.Builder();
                    builder.add("accessToken", alcedoService.application.userEntity.accessToken);
                    String httpRequest = alcedoService.httpRequest(outline8, builder);
                    if (httpRequest != null) {
                        try {
                            Share2StatsResponseEntity share2StatsResponseEntity = (Share2StatsResponseEntity) new Gson().fromJson(new JSONObject(httpRequest).toString(), Share2StatsResponseEntity.class);
                            int i = share2StatsResponseEntity.code;
                            if (1 == i) {
                                message.what = 168;
                                alcedoService.application.shareStatsEntity = share2StatsResponseEntity.shareData;
                            } else if (401 == i) {
                                message.what = -1;
                                Bundle bundle = new Bundle();
                                bundle.putString("msg", share2StatsResponseEntity.msg);
                                message.setData(bundle);
                            } else {
                                message.what = 169;
                                Bundle bundle2 = new Bundle();
                                bundle2.putString("msg", share2StatsResponseEntity.msg);
                                message.setData(bundle2);
                            }
                        } catch (JsonSyntaxException | JSONException e) {
                            e.printStackTrace();
                            message.what = 170;
                        }
                    } else {
                        message.what = 171;
                    }
                    share2Activity.handler.sendMessage(message);
                }
            }
        });
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback, androidx.fragment.app.FragmentActivity
    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        super.onRequestPermissionsResult(i, strArr, iArr);
        if (i != 12) {
            return;
        }
        if (iArr.length <= 0 || iArr[0] != 0) {
            Toast.makeText(this.activity, "请打开存储卡读写权限", 0).show();
        } else {
            startSaveQRCode();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x007e A[SYNTHETIC, Splitter:B:24:0x007e] */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x008b  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x0097  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00cc A[SYNTHETIC, Splitter:B:35:0x00cc] */
    public final void startSaveQRCode() {
        boolean z;
        Throwable th;
        IOException e;
        IOException e2;
        if (this.qrCode != null && Environment.getExternalStorageState().equals("mounted")) {
            this.savePath = Environment.getExternalStorageDirectory().getPath() + "/ABC/ShareQRCode.jpg";
            File file = new File(this.savePath);
            FileOutputStream fileOutputStream = null;
            try {
                if (!file.exists()) {
                    file.getParentFile().mkdirs();
                    file.createNewFile();
                }
                FileOutputStream fileOutputStream2 = new FileOutputStream(file);
                try {
                    this.qrCode.compress(Bitmap.CompressFormat.JPEG, 100, fileOutputStream2);
                    fileOutputStream2.flush();
                    Intent intent = new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE");
                    intent.setData(Uri.fromFile(file));
                    sendBroadcast(intent);
                    z = true;
                    try {
                        fileOutputStream2.close();
                    } catch (IOException e3) {
                        e = e3;
                    }
                } catch (IOException e4) {
                    e2 = e4;
                    fileOutputStream = fileOutputStream2;
                    try {
                        e2.printStackTrace();
                        if (fileOutputStream != null) {
                        }
                        z = false;
                        if (!z) {
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        fileOutputStream2 = fileOutputStream;
                        if (fileOutputStream2 != null) {
                            try {
                                fileOutputStream2.close();
                            } catch (IOException e5) {
                                e5.printStackTrace();
                            }
                        }
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    if (fileOutputStream2 != null) {
                    }
                    throw th;
                }
            } catch (IOException e6) {
                e2 = e6;
                e2.printStackTrace();
                if (fileOutputStream != null) {
                    try {
                        fileOutputStream.close();
                    } catch (IOException e7) {
                        e = e7;
                        z = false;
                    }
                }
                z = false;
                if (!z) {
                }
            }
            if (!z) {
                Toast.makeText(this.activity, "二维码保存失败", 0).show();
                return;
            }
            DialogOkCancel.Builder builder = new DialogOkCancel.Builder(this.activity);
            builder.setTitle(R.string.sweet_tip);
            builder.content = "二维码已经保存成功，保存路径：" + this.savePath;
            builder.setPositiveButton(R.string.i_know, $$Lambda$Share2Activity$GlY6CuPws3CdV0QsccLNg_d3iwY.INSTANCE);
            builder.create().show();
            return;
        }
        z = false;
        if (!z) {
        }
        e.printStackTrace();
        if (!z) {
        }
    }
}
