package com.faster.cheetah.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.ImageView;
import android.widget.Toast;
import androidx.core.content.ContextCompat;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.swiperefreshlayout.widget.SwipeRefreshLayout;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.adapter.Share2WithdrawnListAdapter;
import com.faster.cheetah.entity.Share2WithdrawnEntity;
import com.faster.cheetah.entity.Share2WithdrawnResponseEntity;
import com.faster.cheetah.service.AlcedoService;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.zfast.xyz.R;
import java.util.List;
import okhttp3.FormBody;
import org.json.JSONException;
import org.json.JSONObject;

public class Share2WithdrawnListActivity extends BaseActivity {
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.Share2WithdrawnListActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            Share2WithdrawnListAdapter share2WithdrawnListAdapter;
            if (!Share2WithdrawnListActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    Share2WithdrawnListActivity share2WithdrawnListActivity = Share2WithdrawnListActivity.this;
                    Toast.makeText(share2WithdrawnListActivity.activity, share2WithdrawnListActivity.getString(R.string.network_not_available), 0).show();
                } else if (i != 3) {
                    switch (i) {
                        case 168:
                            Share2WithdrawnListActivity share2WithdrawnListActivity2 = Share2WithdrawnListActivity.this;
                            List<Share2WithdrawnEntity> list = share2WithdrawnListActivity2.application.shareWithdrawnEntityList;
                            if (list != null && (share2WithdrawnListAdapter = share2WithdrawnListActivity2.shareListAdapter) != null) {
                                share2WithdrawnListAdapter.shareIncomeEntityList = list;
                                share2WithdrawnListAdapter.notifyDataSetChanged();
                                return;
                            }
                            return;
                        case 169:
                            Toast.makeText(Share2WithdrawnListActivity.this.activity, string, 0).show();
                            return;
                        case 170:
                            Share2WithdrawnListActivity share2WithdrawnListActivity3 = Share2WithdrawnListActivity.this;
                            Toast.makeText(share2WithdrawnListActivity3.activity, share2WithdrawnListActivity3.getString(R.string.error_data_format), 0).show();
                            return;
                        case 171:
                            Share2WithdrawnListActivity share2WithdrawnListActivity4 = Share2WithdrawnListActivity.this;
                            Toast.makeText(share2WithdrawnListActivity4.activity, share2WithdrawnListActivity4.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    Share2WithdrawnListActivity share2WithdrawnListActivity5 = Share2WithdrawnListActivity.this;
                    Toast.makeText(share2WithdrawnListActivity5.activity, share2WithdrawnListActivity5.getString(R.string.error_no_available_server_domain), 0).show();
                }
            }
        }
    };
    public ImageView imgBack;
    public RecyclerView recyclerView;
    public Share2WithdrawnListAdapter shareListAdapter;
    public SwipeRefreshLayout swipeRefreshLayout;

    public final void GetMyShareTask() {
        SwipeRefreshLayout swipeRefreshLayout2 = this.swipeRefreshLayout;
        if (!swipeRefreshLayout2.mRefreshing) {
            swipeRefreshLayout2.setRefreshing(true);
        }
        MainApplication mainApplication = this.application;
        mainApplication.executorService.execute(new Runnable() {
            /* class com.faster.cheetah.ui.$$Lambda$Share2WithdrawnListActivity$gaVfWVncLu3xdHgAp4qYy6xic */

            public final void run() {
                Share2WithdrawnListActivity share2WithdrawnListActivity = Share2WithdrawnListActivity.this;
                AlcedoService alcedoService = share2WithdrawnListActivity.application.alcedoService;
                if (alcedoService != null) {
                    Message message = new Message();
                    StringBuilder sb = new StringBuilder();
                    sb.append(alcedoService.application.serverDomain);
                    sb.append("?p=apido&c=1&t=tgfl_tixian&lang=");
                    GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                    String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                    FormBody.Builder builder = new FormBody.Builder();
                    builder.add("accessToken", alcedoService.application.userEntity.accessToken);
                    String httpRequest = alcedoService.httpRequest(outline8, builder);
                    if (httpRequest != null) {
                        try {
                            Share2WithdrawnResponseEntity share2WithdrawnResponseEntity = (Share2WithdrawnResponseEntity) new Gson().fromJson(new JSONObject(httpRequest).toString(), Share2WithdrawnResponseEntity.class);
                            int i = share2WithdrawnResponseEntity.code;
                            if (1 == i) {
                                message.what = 168;
                                alcedoService.application.shareWithdrawnEntityList = share2WithdrawnResponseEntity.withdrawnData;
                            } else if (401 == i) {
                                message.what = -1;
                                Bundle bundle = new Bundle();
                                bundle.putString("msg", share2WithdrawnResponseEntity.msg);
                                message.setData(bundle);
                            } else {
                                message.what = 169;
                                Bundle bundle2 = new Bundle();
                                bundle2.putString("msg", share2WithdrawnResponseEntity.msg);
                                message.setData(bundle2);
                            }
                        } catch (JsonSyntaxException | JSONException e) {
                            e.printStackTrace();
                            message.what = 170;
                        }
                    } else {
                        message.what = 171;
                    }
                    share2WithdrawnListActivity.handler.sendMessage(message);
                }
                share2WithdrawnListActivity.runOnUiThread(
                /*  JADX ERROR: Method code generation error
                    jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00a9: INVOKE  
                      (r0v0 'share2WithdrawnListActivity' com.faster.cheetah.ui.Share2WithdrawnListActivity)
                      (wrap: com.faster.cheetah.ui.-$$Lambda$Share2WithdrawnListActivity$IZfvzDOEX-UBsxHvyVRj5pHYSEM : 0x00a6: CONSTRUCTOR  (r1v2 com.faster.cheetah.ui.-$$Lambda$Share2WithdrawnListActivity$IZfvzDOEX-UBsxHvyVRj5pHYSEM) = (r0v0 'share2WithdrawnListActivity' com.faster.cheetah.ui.Share2WithdrawnListActivity) call: com.faster.cheetah.ui.-$$Lambda$Share2WithdrawnListActivity$IZfvzDOEX-UBsxHvyVRj5pHYSEM.<init>(com.faster.cheetah.ui.Share2WithdrawnListActivity):void type: CONSTRUCTOR)
                     type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$Share2WithdrawnListActivity$gaVfW-VncLu3xdHgAp4qYy-6xic.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                    	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                    	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                    	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                    	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                    	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                    	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                    	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                    	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                    	at java.util.ArrayList.forEach(ArrayList.java:1259)
                    	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                    	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                    Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00a6: CONSTRUCTOR  (r1v2 com.faster.cheetah.ui.-$$Lambda$Share2WithdrawnListActivity$IZfvzDOEX-UBsxHvyVRj5pHYSEM) = (r0v0 'share2WithdrawnListActivity' com.faster.cheetah.ui.Share2WithdrawnListActivity) call: com.faster.cheetah.ui.-$$Lambda$Share2WithdrawnListActivity$IZfvzDOEX-UBsxHvyVRj5pHYSEM.<init>(com.faster.cheetah.ui.Share2WithdrawnListActivity):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$Share2WithdrawnListActivity$gaVfW-VncLu3xdHgAp4qYy-6xic.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                    	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                    	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                    	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                    	... 14 more
                    Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$Share2WithdrawnListActivity$IZfvzDOEX-UBsxHvyVRj5pHYSEM, state: NOT_LOADED
                    	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                    	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                    	... 20 more
                    */
                /*
                // Method dump skipped, instructions count: 173
                */
                throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$Share2WithdrawnListActivity$gaVfWVncLu3xdHgAp4qYy6xic.run():void");
            }
        });
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_share2_withdrawn_list);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.swipeRefreshLayout = (SwipeRefreshLayout) findViewById(R.id.swipe_share);
        this.recyclerView = (RecyclerView) findViewById(R.id.recycler_share);
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$Share2WithdrawnListActivity$MwRkdcRIu_2icy3tQ3sSCDoVY10 */

            public final void onClick(View view) {
                Share2WithdrawnListActivity.this.finish();
            }
        });
        this.recyclerView.setLayoutManager(new LinearLayoutManager(this.activity));
        Share2WithdrawnListAdapter share2WithdrawnListAdapter = new Share2WithdrawnListAdapter(null);
        this.shareListAdapter = share2WithdrawnListAdapter;
        this.recyclerView.setAdapter(share2WithdrawnListAdapter);
        this.swipeRefreshLayout.setColorSchemeColors(ContextCompat.getColor(this.activity, R.color.colorPrimary));
        this.swipeRefreshLayout.setOnRefreshListener(new SwipeRefreshLayout.OnRefreshListener() {
            /* class com.faster.cheetah.ui.$$Lambda$Share2WithdrawnListActivity$QlHttY56vgbgd9TMgQDdFlmfdlA */

            @Override // androidx.swiperefreshlayout.widget.SwipeRefreshLayout.OnRefreshListener
            public final void onRefresh() {
                Share2WithdrawnListActivity.this.GetMyShareTask();
            }
        });
        GetMyShareTask();
    }
}
