package com.faster.cheetah.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.Toast;
import androidx.transition.ViewGroupUtilsApi14;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.dialog.DialogOkCancel;
import com.faster.cheetah.entity.ConfigEntity;
import com.faster.cheetah.entity.UserEntity;
import com.zfast.xyz.R;
import java.util.Objects;

public class UserInfoActivity extends BaseActivity {
    public ImageView imgBack;
    public ImageView imgMessage;
    public ImageView imgRedHot;
    public ImageView imgVipUser;
    public LinearLayout layoutAgreement;
    public LinearLayout layoutChangeGroup;
    public LinearLayout layoutChangePassword;
    public LinearLayout layoutFeedback;
    public LinearLayout layoutInvitation;
    public LinearLayout layoutInvitationReward;
    public LinearLayout layoutLanguage;
    public LinearLayout layoutMyInfo;
    public LinearLayout layoutMyOrder;
    public LinearLayout layoutPerfectInfo;
    public LinearLayout layoutRecharge;
    public LinearLayout layoutSwitchAccount;
    public LinearLayout layoutUserInfo;
    public MsgRefreshBroadcastReceiver msgRefreshBroadcastReceiver;
    public String shareInfo;
    public TextView tvAccount;
    public TextView tvAppName;
    public TextView tvUserGroup;

    public class MsgRefreshBroadcastReceiver extends BroadcastReceiver {
        public MsgRefreshBroadcastReceiver() {
        }

        public void onReceive(Context context, Intent intent) {
            if (intent == null) {
                return;
            }
            if (UserInfoActivity.this.application.isAllReadMessage()) {
                UserInfoActivity.this.imgRedHot.setVisibility(8);
            } else {
                UserInfoActivity.this.imgRedHot.setVisibility(0);
            }
        }
    }

    public UserInfoActivity() {
        new Handler(Looper.getMainLooper()) {
            /* class com.faster.cheetah.ui.UserInfoActivity.AnonymousClass1 */

            public void handleMessage(Message message) {
                if (!UserInfoActivity.this.superHandleMessage(message)) {
                    String string = message.getData().getString("msg", "");
                    int i = message.what;
                    if (i == 1) {
                        UserInfoActivity userInfoActivity = UserInfoActivity.this;
                        Toast.makeText(userInfoActivity.activity, userInfoActivity.getString(R.string.network_not_available), 0).show();
                    } else if (i == 3) {
                        UserInfoActivity userInfoActivity2 = UserInfoActivity.this;
                        Toast.makeText(userInfoActivity2.activity, userInfoActivity2.getString(R.string.error_no_available_server_domain), 0).show();
                    } else if (i != 20) {
                        switch (i) {
                            case 52:
                                UserInfoActivity userInfoActivity3 = UserInfoActivity.this;
                                Toast.makeText(userInfoActivity3.activity, userInfoActivity3.getString(R.string.error_access), 0).show();
                                return;
                            case 53:
                                UserInfoActivity userInfoActivity4 = UserInfoActivity.this;
                                Toast.makeText(userInfoActivity4.activity, userInfoActivity4.getString(R.string.error_data_format), 0).show();
                                return;
                            case 54:
                                UserInfoActivity userInfoActivity5 = UserInfoActivity.this;
                                Toast.makeText(userInfoActivity5.activity, userInfoActivity5.getString(R.string.offline_success), 0).show();
                                return;
                            case 55:
                                Toast.makeText(UserInfoActivity.this.activity, string, 0).show();
                                return;
                            default:
                                return;
                        }
                    } else {
                        UserInfoActivity userInfoActivity6 = UserInfoActivity.this;
                        Toast.makeText(userInfoActivity6.activity, userInfoActivity6.getString(R.string.error_no_login), 0).show();
                    }
                }
            }
        };
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_user_info);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.imgRedHot = (ImageView) findViewById(R.id.img_red_hot);
        this.imgMessage = (ImageView) findViewById(R.id.img_message);
        this.imgVipUser = (ImageView) findViewById(R.id.img_vip_user);
        this.tvUserGroup = (TextView) findViewById(R.id.tv_user_group);
        this.tvAccount = (TextView) findViewById(R.id.tv_account);
        this.layoutUserInfo = (LinearLayout) findViewById(R.id.layout_user_info);
        this.layoutMyInfo = (LinearLayout) findViewById(R.id.layout_my_info);
        this.layoutChangeGroup = (LinearLayout) findViewById(R.id.layout_change_group);
        this.layoutChangePassword = (LinearLayout) findViewById(R.id.layout_change_password);
        this.layoutPerfectInfo = (LinearLayout) findViewById(R.id.layout_perfect_info);
        this.layoutInvitation = (LinearLayout) findViewById(R.id.layout_invitation);
        this.layoutInvitationReward = (LinearLayout) findViewById(R.id.layout_invitation_reward);
        this.layoutFeedback = (LinearLayout) findViewById(R.id.layout_feedback);
        this.layoutAgreement = (LinearLayout) findViewById(R.id.layout_agreement);
        this.layoutMyOrder = (LinearLayout) findViewById(R.id.layout_my_order);
        this.layoutRecharge = (LinearLayout) findViewById(R.id.layout_recharge);
        this.layoutLanguage = (LinearLayout) findViewById(R.id.layout_language);
        this.layoutSwitchAccount = (LinearLayout) findViewById(R.id.layout_switch_account);
        TextView textView = (TextView) findViewById(R.id.tv_app_name);
        this.tvAppName = textView;
        textView.setText(String.format("%s %s", getString(R.string.app_name), ViewGroupUtilsApi14.getVersionName(this.activity)));
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$_GiYg4sjlH9MySEH4jYHEJNplE */

            public final void onClick(View view) {
                UserInfoActivity.this.finish();
            }
        });
        this.imgMessage.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$cABWMDDgICyyfXNPPMGx7EzZx2A */

            public final void onClick(View view) {
                UserInfoActivity userInfoActivity = UserInfoActivity.this;
                Objects.requireNonNull(userInfoActivity);
                userInfoActivity.startActivity(new Intent(userInfoActivity.activity, MessageListActivity.class));
            }
        });
        this.layoutUserInfo.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$8IUdOSVfOF379eKyk9trKnsRQY */

            public final void onClick(View view) {
                UserInfoActivity userInfoActivity = UserInfoActivity.this;
                Objects.requireNonNull(userInfoActivity);
                userInfoActivity.startActivity(new Intent(userInfoActivity.activity, MyInfoActivity.class));
            }
        });
        this.layoutMyInfo.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$Q6LFFRMVJpUBOSK2wrxbNafWuvQ */

            public final void onClick(View view) {
                UserInfoActivity userInfoActivity = UserInfoActivity.this;
                Objects.requireNonNull(userInfoActivity);
                userInfoActivity.startActivity(new Intent(userInfoActivity.activity, MyInfoActivity.class));
            }
        });
        this.layoutChangeGroup.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$DS0ShhxKJEMuX3d8_wW73NHx0 */

            public final void onClick(View view) {
                UserInfoActivity userInfoActivity = UserInfoActivity.this;
                Objects.requireNonNull(userInfoActivity);
                userInfoActivity.startActivity(new Intent(userInfoActivity.activity, ChangeGroupActivity.class));
            }
        });
        this.layoutChangePassword.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$SYUTpfUgh3IGSq9iqs8q_gh7_Y */

            public final void onClick(View view) {
                UserInfoActivity userInfoActivity = UserInfoActivity.this;
                Objects.requireNonNull(userInfoActivity);
                userInfoActivity.startActivity(new Intent(userInfoActivity.activity, ChangePasswordActivity.class));
            }
        });
        this.layoutPerfectInfo.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$EAqEjGeNanAj9YZCuoayVqWdyxw */

            public final void onClick(View view) {
                UserInfoActivity userInfoActivity = UserInfoActivity.this;
                Objects.requireNonNull(userInfoActivity);
                userInfoActivity.startActivity(new Intent(userInfoActivity.activity, PerfectInfoActivity.class));
            }
        });
        this.layoutInvitation.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$QUDvL32G2g6VoMJFX4E885Ms9Q */

            public final void onClick(View view) {
                UserInfoActivity userInfoActivity = UserInfoActivity.this;
                MainApplication mainApplication = userInfoActivity.application;
                if (mainApplication.configEntity != null && mainApplication.userEntity != null) {
                    Intent intent = new Intent("android.intent.action.SEND");
                    intent.setType("image/*");
                    intent.putExtra("android.intent.extra.SUBJECT", userInfoActivity.application.configEntity.appName);
                    intent.putExtra("android.intent.extra.TEXT", userInfoActivity.shareInfo);
                    intent.setFlags(268435456);
                    userInfoActivity.startActivity(Intent.createChooser(intent, userInfoActivity.getTitle()));
                }
            }
        });
        this.layoutInvitationReward.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$kOI5fY5BgkTs3dGhcsfZplcIqs */

            public final void onClick(View view) {
                UserInfoActivity userInfoActivity = UserInfoActivity.this;
                Objects.requireNonNull(userInfoActivity);
                userInfoActivity.startActivity(new Intent(userInfoActivity.activity, InvitationRewardActivity.class));
            }
        });
        this.layoutFeedback.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$IqfZ5TsJKBQGAGPKIYS6Gn3QHoI */

            public final void onClick(View view) {
                UserInfoActivity userInfoActivity = UserInfoActivity.this;
                Objects.requireNonNull(userInfoActivity);
                userInfoActivity.startActivity(new Intent(userInfoActivity.activity, FeedbackActivity.class));
            }
        });
        this.layoutAgreement.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$lyzzOjBwAi0VnnG8BEO3JH_Guc */

            public final void onClick(View view) {
                UserInfoActivity userInfoActivity = UserInfoActivity.this;
                Objects.requireNonNull(userInfoActivity);
                userInfoActivity.startActivity(new Intent(userInfoActivity.activity, AgreementActivity.class));
            }
        });
        this.layoutLanguage.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$LW_tAFyd3GKwPkPyQGfWiI5iMk */

            public final void onClick(View view) {
                UserInfoActivity userInfoActivity = UserInfoActivity.this;
                Objects.requireNonNull(userInfoActivity);
                userInfoActivity.startActivity(new Intent(userInfoActivity.activity, LanguageActivity.class));
            }
        });
        this.layoutMyOrder.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$__5E0HkwUbSoyok7Y9TAtaK_xx8 */

            public final void onClick(View view) {
                UserInfoActivity userInfoActivity = UserInfoActivity.this;
                Objects.requireNonNull(userInfoActivity);
                userInfoActivity.startActivity(new Intent(userInfoActivity.activity, MyOrderActivity.class));
            }
        });
        this.layoutRecharge.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$LkiNypm4VYIJMWm2g3SGZuPNTUQ */

            public final void onClick(View view) {
                UserInfoActivity userInfoActivity = UserInfoActivity.this;
                Objects.requireNonNull(userInfoActivity);
                userInfoActivity.startActivity(new Intent(userInfoActivity.activity, BuyPanelActivity.class));
            }
        });
        this.layoutSwitchAccount.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UserInfoActivity$sisHQvyRzgcRmG6e2FxAhE6dDs */

            public final void onClick(View view) {
                UserInfoActivity userInfoActivity = UserInfoActivity.this;
                UserEntity userEntity = userInfoActivity.application.userEntity;
                if (userEntity == null || TextUtils.isEmpty(userEntity.email)) {
                    DialogOkCancel.Builder builder = new DialogOkCancel.Builder(userInfoActivity.activity);
                    builder.title = userInfoActivity.getString(R.string.sweet_tip);
                    builder.content = userInfoActivity.getString(R.string.please_perfect_info);
                    String string = userInfoActivity.getString(R.string.perfect_immediately);
                    $$Lambda$UserInfoActivity$Vn_OecTXX6NpTaR_gqgO1EVNKkg r2 = 
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x003d: CONSTRUCTOR  (r2v0 'r2' com.faster.cheetah.ui.-$$Lambda$UserInfoActivity$Vn_OecTXX6NpTaR_gqgO1EVNKkg) = (r4v1 'userInfoActivity' com.faster.cheetah.ui.UserInfoActivity) call: com.faster.cheetah.ui.-$$Lambda$UserInfoActivity$Vn_OecTXX6NpTaR_gqgO1EVNKkg.<init>(com.faster.cheetah.ui.UserInfoActivity):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$UserInfoActivity$sisHQvyRzgcRmG6e2FxAh-E6dDs.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:99)
                        	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:143)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:63)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$UserInfoActivity$Vn_OecTXX6NpTaR_gqgO1EVNKkg, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 21 more
                        */
                    /*
                        this = this;
                        com.faster.cheetah.ui.UserInfoActivity r4 = com.faster.cheetah.ui.UserInfoActivity.this
                        com.faster.cheetah.MainApplication r0 = r4.application
                        com.faster.cheetah.entity.UserEntity r0 = r0.userEntity
                        if (r0 == 0) goto L_0x001b
                        java.lang.String r0 = r0.email
                        boolean r0 = android.text.TextUtils.isEmpty(r0)
                        if (r0 != 0) goto L_0x001b
                        com.faster.cheetah.ui.BaseActivity r0 = r4.activity
                        r1 = 2
                        android.content.Intent r0 = com.faster.cheetah.ui.LoginActivity.getIntent(r0, r1)
                        r4.startActivity(r0)
                        goto L_0x005e
                    L_0x001b:
                        com.faster.cheetah.dialog.DialogOkCancel$Builder r0 = new com.faster.cheetah.dialog.DialogOkCancel$Builder
                        com.faster.cheetah.ui.BaseActivity r1 = r4.activity
                        r0.<init>(r1)
                        r1 = 2131821066(0x7f11020a, float:1.9274865E38)
                        java.lang.String r1 = r4.getString(r1)
                        r0.title = r1
                        r1 = 2131820965(0x7f1101a5, float:1.927466E38)
                        java.lang.String r1 = r4.getString(r1)
                        r0.content = r1
                        r1 = 2131820964(0x7f1101a4, float:1.9274658E38)
                        java.lang.String r1 = r4.getString(r1)
                        com.faster.cheetah.ui.-$$Lambda$UserInfoActivity$Vn_OecTXX6NpTaR_gqgO1EVNKkg r2 = new com.faster.cheetah.ui.-$$Lambda$UserInfoActivity$Vn_OecTXX6NpTaR_gqgO1EVNKkg
                        r2.<init>(r4)
                        r0.positiveButtonText = r1
                        r0.positiveButtonClickListener = r2
                        r1 = 2131821067(0x7f11020b, float:1.9274867E38)
                        java.lang.String r1 = r4.getString(r1)
                        com.faster.cheetah.ui.-$$Lambda$UserInfoActivity$fINUDBP2F15rImDQn9aMzPX_GNM r2 = new com.faster.cheetah.ui.-$$Lambda$UserInfoActivity$fINUDBP2F15rImDQn9aMzPX_GNM
                        r2.<init>(r4)
                        r0.negativeButtonText = r1
                        r0.negativeButtonClickListener = r2
                        r4 = 0
                        r0.cancelAble = r4
                        com.faster.cheetah.dialog.DialogOkCancel r4 = r0.create()
                        r4.show()
                    L_0x005e:
                        return
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$UserInfoActivity$sisHQvyRzgcRmG6e2FxAhE6dDs.onClick(android.view.View):void");
                }
            });
            this.msgRefreshBroadcastReceiver = new MsgRefreshBroadcastReceiver();
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.addAction("com.flybird.alcedo.action.message.refresh");
            registerReceiver(this.msgRefreshBroadcastReceiver, intentFilter);
            if (this.application.isAllReadMessage()) {
                this.imgRedHot.setVisibility(8);
            } else {
                this.imgRedHot.setVisibility(0);
            }
            setData();
        }

        @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
        public void onDestroy() {
            super.onDestroy();
            unregisterReceiver(this.msgRefreshBroadcastReceiver);
        }

        @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
        public void onStart() {
            super.onStart();
            setData();
        }

        public final void setData() {
            UserEntity userEntity;
            UserEntity userEntity2 = this.application.userEntity;
            if (userEntity2 != null) {
                this.tvUserGroup.setText(userEntity2.groupName);
                if (!TextUtils.isEmpty(this.application.userEntity.email)) {
                    this.tvAccount.setText(this.application.userEntity.email);
                } else {
                    this.tvAccount.setText(this.application.userEntity.userName);
                }
                if (this.application.userEntity.groupID > 2) {
                    this.imgVipUser.setVisibility(0);
                } else {
                    this.imgVipUser.setVisibility(8);
                    this.layoutChangeGroup.setVisibility(8);
                }
                if (TextUtils.isEmpty(this.application.userEntity.email)) {
                    this.layoutChangePassword.setVisibility(8);
                    this.layoutPerfectInfo.setVisibility(0);
                } else {
                    this.layoutChangePassword.setVisibility(0);
                    this.layoutPerfectInfo.setVisibility(8);
                }
                if (this.application.userEntity.userSxid > 0) {
                    this.layoutInvitationReward.setVisibility(8);
                }
            } else {
                this.layoutChangeGroup.setVisibility(8);
                this.layoutChangePassword.setVisibility(8);
                this.layoutPerfectInfo.setVisibility(0);
                this.tvUserGroup.setText("");
                this.imgVipUser.setVisibility(8);
                this.tvAccount.setText("");
            }
            MainApplication mainApplication = this.application;
            ConfigEntity configEntity = mainApplication.configEntity;
            if (configEntity != null && (userEntity = mainApplication.userEntity) != null) {
                this.shareInfo = configEntity.shareContent;
                if (!TextUtils.isEmpty(userEntity.invitationCode)) {
                    this.shareInfo += getString(R.string.input_my_invitation_code) + this.application.userEntity.invitationCode + getString(R.string.to_reward);
                }
                this.shareInfo += this.application.configEntity.promoteUrl + this.application.userEntity.invitationCode;
            }
        }
    }
