package com.faster.cheetah.util;

import android.content.Context;
import android.provider.Settings;
import android.telephony.TelephonyManager;
import androidx.core.content.ContextCompat;
import java.io.UnsupportedEncodingException;
import java.util.UUID;

public class DeviceUUIDFactory {
    public static UUID uuid;

    public DeviceUUIDFactory(Context context) {
        UUID uuid2;
        if (uuid == null) {
            synchronized (DeviceUUIDFactory.class) {
                if (uuid == null) {
                    SharedPreferencesHelper sharedPreferencesHelper = new SharedPreferencesHelper(context, "alcedo");
                    String str = (String) sharedPreferencesHelper.getSharedPreference("device_id", null);
                    if (str != null) {
                        uuid = UUID.fromString(str);
                    } else {
                        String string = Settings.Secure.getString(context.getContentResolver(), "android_id");
                        if (!"9774d56d682e549c".equals(string)) {
                            try {
                                uuid = UUID.nameUUIDFromBytes(string.getBytes("utf8"));
                            } catch (UnsupportedEncodingException e) {
                                e.printStackTrace();
                                uuid = UUID.nameUUIDFromBytes(string.getBytes());
                            }
                        } else if (ContextCompat.checkSelfPermission(context, "android.permission.READ_PHONE_STATE") != 0) {
                            uuid = UUID.randomUUID();
                        } else {
                            String deviceId = ((TelephonyManager) context.getSystemService("phone")).getDeviceId();
                            if (deviceId != null) {
                                try {
                                    uuid2 = UUID.nameUUIDFromBytes(deviceId.getBytes("utf8"));
                                } catch (UnsupportedEncodingException e2) {
                                    e2.printStackTrace();
                                    uuid = deviceId != null ? UUID.nameUUIDFromBytes(deviceId.getBytes()) : UUID.randomUUID();
                                }
                            } else {
                                uuid2 = UUID.randomUUID();
                            }
                            uuid = uuid2;
                        }
                        sharedPreferencesHelper.put("device_id", uuid.toString());
                    }
                }
            }
        }
    }
}
