package com.github.shadowsocks;

import android.content.DialogInterface;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.widget.Toast;
import androidx.appcompat.app.AlertController;
import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.FragmentManager;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.github.shadowsocks.core.R$string;
import com.github.shadowsocks.database.Profile;
import com.github.shadowsocks.database.Profile$Companion$findAllUrls$1;
import com.github.shadowsocks.database.ProfileManager;
import com.github.shadowsocks.plugin.AlertDialogFragment;
import com.github.shadowsocks.plugin.Empty;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.Pair;
import kotlin.collections.ArraysKt___ArraysKt;
import kotlin.jvm.internal.Intrinsics;
import kotlin.reflect.KProperty;
import kotlin.sequences.FilteringSequence;
import kotlin.sequences.Sequence;
import kotlin.sequences.SequencesKt;
import kotlin.sequences.SequencesKt___SequencesKt$filterNotNull$1;
import kotlin.text.Regex;

/* compiled from: UrlImportActivity.kt */
public final class UrlImportActivity extends AppCompatActivity {

    /* compiled from: UrlImportActivity.kt */
    public static final class ImportProfilesDialogFragment extends AlertDialogFragment<ProfilesArg, Empty> {
        @Override // com.github.shadowsocks.plugin.AlertDialogFragment
        public void _$_clearFindViewByIdCache() {
        }

        @Override // com.github.shadowsocks.plugin.AlertDialogFragment
        public void onClick(DialogInterface dialogInterface, int i) {
            if (i == -1) {
                Lazy lazy = this.arg$delegate;
                KProperty kProperty = AlertDialogFragment.$$delegatedProperties[0];
                Iterator<T> it = ((ProfilesArg) ((Parcelable) lazy.getValue())).profiles.iterator();
                while (it.hasNext()) {
                    ProfileManager.INSTANCE.createProfile(it.next());
                }
            }
            requireActivity().finish();
        }

        @Override // com.github.shadowsocks.plugin.AlertDialogFragment, androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
        public void onDestroyView() {
            super.onDestroyView();
        }

        @Override // com.github.shadowsocks.plugin.AlertDialogFragment, androidx.fragment.app.DialogFragment
        public void onDismiss(DialogInterface dialogInterface) {
            Intrinsics.checkParameterIsNotNull(dialogInterface, "dialog");
            requireActivity().finish();
        }

        @Override // com.github.shadowsocks.plugin.AlertDialogFragment
        public void prepare(AlertDialog.Builder builder, DialogInterface.OnClickListener onClickListener) {
            Intrinsics.checkParameterIsNotNull(builder, "$this$prepare");
            Intrinsics.checkParameterIsNotNull(onClickListener, "listener");
            int i = R$string.add_profile_dialog;
            AlertController.AlertParams alertParams = builder.P;
            alertParams.mTitle = alertParams.mContext.getText(i);
            int i2 = R$string.yes;
            AlertController.AlertParams alertParams2 = builder.P;
            alertParams2.mPositiveButtonText = alertParams2.mContext.getText(i2);
            AlertController.AlertParams alertParams3 = builder.P;
            alertParams3.mPositiveButtonListener = onClickListener;
            alertParams3.mNegativeButtonText = alertParams3.mContext.getText(R$string.no);
            builder.P.mNegativeButtonListener = onClickListener;
            Lazy lazy = this.arg$delegate;
            KProperty kProperty = AlertDialogFragment.$$delegatedProperties[0];
            builder.P.mMessage = ArraysKt___ArraysKt.joinToString$default(((ProfilesArg) ((Parcelable) lazy.getValue())).profiles, "\n", null, null, 0, null, null, 62);
        }
    }

    /* compiled from: UrlImportActivity.kt */
    public static final class ProfilesArg implements Parcelable {
        public static final Parcelable.Creator CREATOR = new Creator();
        public final List<Profile> profiles;

        public static class Creator implements Parcelable.Creator {
            @Override // android.os.Parcelable.Creator
            public final Object createFromParcel(Parcel parcel) {
                Intrinsics.checkParameterIsNotNull(parcel, "in");
                int readInt = parcel.readInt();
                ArrayList arrayList = new ArrayList(readInt);
                while (readInt != 0) {
                    arrayList.add((Profile) Profile.CREATOR.createFromParcel(parcel));
                    readInt--;
                }
                return new ProfilesArg(arrayList);
            }

            @Override // android.os.Parcelable.Creator
            public final Object[] newArray(int i) {
                return new ProfilesArg[i];
            }
        }

        public ProfilesArg(List<Profile> list) {
            Intrinsics.checkParameterIsNotNull(list, "profiles");
            this.profiles = list;
        }

        public int describeContents() {
            return 0;
        }

        public boolean equals(Object obj) {
            if (this != obj) {
                return (obj instanceof ProfilesArg) && Intrinsics.areEqual(this.profiles, ((ProfilesArg) obj).profiles);
            }
            return true;
        }

        public int hashCode() {
            List<Profile> list = this.profiles;
            if (list != null) {
                return list.hashCode();
            }
            return 0;
        }

        public String toString() {
            StringBuilder outline25 = GeneratedOutlineSupport.outline25("ProfilesArg(profiles=");
            outline25.append(this.profiles);
            outline25.append(")");
            return outline25.toString();
        }

        public void writeToParcel(Parcel parcel, int i) {
            Intrinsics.checkParameterIsNotNull(parcel, "parcel");
            List<Profile> list = this.profiles;
            parcel.writeInt(list.size());
            for (Profile profile : list) {
                profile.writeToParcel(parcel, 0);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0080  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x008d  */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        ImportProfilesDialogFragment importProfilesDialogFragment;
        String uri;
        super.onCreate(bundle);
        Intent intent = getIntent();
        Intrinsics.checkExpressionValueIsNotNull(intent, "intent");
        Uri data = intent.getData();
        if (!(data == null || (uri = data.toString()) == null)) {
            Profile.Companion companion = Profile.Companion;
            Pair<Profile, Profile> currentProfile = Core.INSTANCE.getCurrentProfile();
            Profile first = currentProfile != null ? currentProfile.getFirst() : null;
            Objects.requireNonNull(companion);
            Sequence map = SequencesKt.map(Regex.findAll$default(Profile.pattern, uri, 0, 2, null), new Profile$Companion$findAllUrls$1(first));
            Intrinsics.checkNotNullParameter(map, "$this$filterNotNull");
            SequencesKt___SequencesKt$filterNotNull$1 sequencesKt___SequencesKt$filterNotNull$1 = SequencesKt___SequencesKt$filterNotNull$1.INSTANCE;
            Intrinsics.checkNotNullParameter(map, "$this$filterNot");
            Intrinsics.checkNotNullParameter(sequencesKt___SequencesKt$filterNotNull$1, "predicate");
            List list = SequencesKt.toList(new FilteringSequence(map, false, sequencesKt___SequencesKt$filterNotNull$1));
            if (!list.isEmpty()) {
                importProfilesDialogFragment = new ImportProfilesDialogFragment();
                ProfilesArg profilesArg = new ProfilesArg(list);
                Intrinsics.checkParameterIsNotNull(profilesArg, "arg");
                Bundle bundle2 = new Bundle();
                bundle2.putParcelable("arg", profilesArg);
                importProfilesDialogFragment.setArguments(bundle2);
                if (importProfilesDialogFragment != null) {
                    Toast.makeText(this, R$string.profile_invalid_input, 0).show();
                    finish();
                    return;
                }
                FragmentManager supportFragmentManager = getSupportFragmentManager();
                Intrinsics.checkExpressionValueIsNotNull(supportFragmentManager, "supportFragmentManager");
                Intrinsics.checkParameterIsNotNull(importProfilesDialogFragment, "$this$showAllowingStateLoss");
                Intrinsics.checkParameterIsNotNull(supportFragmentManager, "fragmentManager");
                if (!supportFragmentManager.isStateSaved()) {
                    importProfilesDialogFragment.show(supportFragmentManager, (String) null);
                    return;
                }
                return;
            }
        }
        importProfilesDialogFragment = null;
        if (importProfilesDialogFragment != null) {
        }
    }
}
