package com.github.shadowsocks.aidl;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import com.github.shadowsocks.aidl.IShadowsocksServiceCallback;
import com.github.shadowsocks.bg.BaseService$Binder;

public interface IShadowsocksService extends IInterface {

    public abstract class Stub extends Binder implements IShadowsocksService {
        public static final /* synthetic */ int $r8$clinit = 0;

        public class Proxy implements IShadowsocksService {
            public IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.github.shadowsocks.aidl.IShadowsocksService
            public int getState() {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken("com.github.shadowsocks.aidl.IShadowsocksService");
                    if (!this.mRemote.transact(1, obtain, obtain2, 0)) {
                        int i = Stub.$r8$clinit;
                    }
                    obtain2.readException();
                    return obtain2.readInt();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.github.shadowsocks.aidl.IShadowsocksService
            public void registerCallback(IShadowsocksServiceCallback iShadowsocksServiceCallback) {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken("com.github.shadowsocks.aidl.IShadowsocksService");
                    obtain.writeStrongBinder(iShadowsocksServiceCallback != null ? (IShadowsocksServiceCallback.Stub) iShadowsocksServiceCallback : null);
                    if (!this.mRemote.transact(3, obtain, obtain2, 0)) {
                        int i = Stub.$r8$clinit;
                    }
                    obtain2.readException();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.github.shadowsocks.aidl.IShadowsocksService
            public void stopListeningForBandwidth(IShadowsocksServiceCallback iShadowsocksServiceCallback) {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken("com.github.shadowsocks.aidl.IShadowsocksService");
                    obtain.writeStrongBinder(iShadowsocksServiceCallback != null ? (IShadowsocksServiceCallback.Stub) iShadowsocksServiceCallback : null);
                    if (!this.mRemote.transact(5, obtain, null, 1)) {
                        int i = Stub.$r8$clinit;
                    }
                } finally {
                    obtain.recycle();
                }
            }

            @Override // com.github.shadowsocks.aidl.IShadowsocksService
            public void unregisterCallback(IShadowsocksServiceCallback iShadowsocksServiceCallback) {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken("com.github.shadowsocks.aidl.IShadowsocksService");
                    obtain.writeStrongBinder(iShadowsocksServiceCallback != null ? (IShadowsocksServiceCallback.Stub) iShadowsocksServiceCallback : null);
                    if (!this.mRemote.transact(6, obtain, null, 1)) {
                        int i = Stub.$r8$clinit;
                    }
                } finally {
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.github.shadowsocks.aidl.IShadowsocksService");
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) {
            if (i != 1598968902) {
                switch (i) {
                    case 1:
                        parcel.enforceInterface("com.github.shadowsocks.aidl.IShadowsocksService");
                        int state = ((BaseService$Binder) this).getState();
                        parcel2.writeNoException();
                        parcel2.writeInt(state);
                        return true;
                    case 2:
                        parcel.enforceInterface("com.github.shadowsocks.aidl.IShadowsocksService");
                        String profileName = ((BaseService$Binder) this).getProfileName();
                        parcel2.writeNoException();
                        parcel2.writeString(profileName);
                        return true;
                    case 3:
                        parcel.enforceInterface("com.github.shadowsocks.aidl.IShadowsocksService");
                        ((BaseService$Binder) this).registerCallback(IShadowsocksServiceCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 4:
                        parcel.enforceInterface("com.github.shadowsocks.aidl.IShadowsocksService");
                        ((BaseService$Binder) this).startListeningForBandwidth(IShadowsocksServiceCallback.Stub.asInterface(parcel.readStrongBinder()), parcel.readLong());
                        parcel2.writeNoException();
                        return true;
                    case 5:
                        parcel.enforceInterface("com.github.shadowsocks.aidl.IShadowsocksService");
                        ((BaseService$Binder) this).stopListeningForBandwidth(IShadowsocksServiceCallback.Stub.asInterface(parcel.readStrongBinder()));
                        return true;
                    case 6:
                        parcel.enforceInterface("com.github.shadowsocks.aidl.IShadowsocksService");
                        ((BaseService$Binder) this).unregisterCallback(IShadowsocksServiceCallback.Stub.asInterface(parcel.readStrongBinder()));
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString("com.github.shadowsocks.aidl.IShadowsocksService");
                return true;
            }
        }
    }

    int getState();

    void registerCallback(IShadowsocksServiceCallback iShadowsocksServiceCallback);

    void stopListeningForBandwidth(IShadowsocksServiceCallback iShadowsocksServiceCallback);

    void unregisterCallback(IShadowsocksServiceCallback iShadowsocksServiceCallback);
}
