package com.github.shadowsocks.bg;

import android.os.IBinder;
import android.os.IInterface;
import android.os.RemoteException;
import android.os.SystemClock;
import android.util.Log;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.transition.ViewGroupUtilsApi14;
import com.github.shadowsocks.aidl.IShadowsocksService;
import com.github.shadowsocks.aidl.IShadowsocksServiceCallback;
import com.github.shadowsocks.aidl.TrafficStats;
import com.github.shadowsocks.database.Profile;
import com.github.shadowsocks.utils.UtilsKt;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.Pair;
import kotlin.Triple;
import kotlin.Unit;
import kotlin.collections.ArraysKt___ArraysKt;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.CoroutineContext;
import kotlin.coroutines.intrinsics.CoroutineSingletons;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.reflect.KProperty;
import kotlinx.coroutines.CoroutineDispatcher;
import kotlinx.coroutines.CoroutineScope;
import kotlinx.coroutines.Dispatchers;
import kotlinx.coroutines.Job;
import kotlinx.coroutines.internal.MainDispatcherLoader;

/* compiled from: BaseService.kt */
public final class BaseService$Binder extends IShadowsocksService.Stub implements CoroutineScope, AutoCloseable {
    public final Map<IBinder, Long> bandwidthListeners = new LinkedHashMap();
    public final BaseService$Binder$callbacks$1 callbacks = new BaseService$Binder$callbacks$1(this);
    public final CoroutineContext coroutineContext;
    public BaseService$Data data;
    public Job looper;

    public BaseService$Binder(BaseService$Data baseService$Data) {
        this.data = baseService$Data;
        CoroutineDispatcher coroutineDispatcher = Dispatchers.Default;
        this.coroutineContext = MainDispatcherLoader.dispatcher.getImmediate().plus(ViewGroupUtilsApi14.Job$default(null, 1, null));
    }

    public final void broadcast(Function1<? super IShadowsocksServiceCallback, Unit> function1) {
        int beginBroadcast = this.callbacks.beginBroadcast();
        for (int i = 0; i < beginBroadcast; i++) {
            try {
                IInterface broadcastItem = this.callbacks.getBroadcastItem(i);
                Intrinsics.checkExpressionValueIsNotNull(broadcastItem, "callbacks.getBroadcastItem(it)");
                function1.invoke(broadcastItem);
            } catch (RemoteException unused) {
            } catch (Exception e) {
                KProperty[] kPropertyArr = UtilsKt.$$delegatedProperties;
                Intrinsics.checkParameterIsNotNull(e, "t");
                Log.e("", "", e);
                e.printStackTrace();
            } catch (Throwable th) {
                this.callbacks.finishBroadcast();
                throw th;
            }
        }
        this.callbacks.finishBroadcast();
    }

    @Override // java.lang.AutoCloseable
    public void close() {
        this.callbacks.kill();
        ViewGroupUtilsApi14.cancel$default(this, null, 1);
        this.data = null;
    }

    @Override // kotlinx.coroutines.CoroutineScope
    public CoroutineContext getCoroutineContext() {
        return this.coroutineContext;
    }

    public String getProfileName() {
        ProxyInstance proxyInstance;
        Profile profile;
        String name;
        BaseService$Data baseService$Data = this.data;
        return (baseService$Data == null || (proxyInstance = baseService$Data.proxy) == null || (profile = proxyInstance.profile) == null || (name = profile.getName()) == null) ? "Idle" : name;
    }

    @Override // com.github.shadowsocks.aidl.IShadowsocksService
    public int getState() {
        BaseService$State baseService$State;
        BaseService$Data baseService$Data = this.data;
        if (baseService$Data == null || (baseService$State = baseService$Data.state) == null) {
            baseService$State = BaseService$State.Idle;
        }
        return baseService$State.ordinal();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:100:0x0251, code lost:
        r0 = r0.plus((com.github.shadowsocks.aidl.TrafficStats) ((kotlin.Triple) r5.next()).getSecond());
     */
    /* JADX WARNING: Code restructure failed: missing block: B:101:0x0262, code lost:
        r4.broadcast(new com.github.shadowsocks.bg.BaseService$Binder$loop$3(r4, r2, r0));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:103:0x026c, code lost:
        r1 = r1;
        r3 = r3;
        r6 = 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:80:0x01f5, code lost:
        if (r2.isEmpty() == false) goto L_0x01f8;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:81:0x01f8, code lost:
        r3 = r2.iterator();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:83:0x0200, code lost:
        if (r3.hasNext() == false) goto L_0x021e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:85:0x021a, code lost:
        if (java.lang.Boolean.valueOf(((java.lang.Boolean) ((kotlin.Triple) r3.next()).getThird()).booleanValue()).booleanValue() == false) goto L_0x01fc;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:86:0x021c, code lost:
        r9 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:87:0x021e, code lost:
        r9 = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:88:0x021f, code lost:
        if (r9 == false) goto L_0x026b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:89:0x0221, code lost:
        r0 = r4.data;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:90:0x0223, code lost:
        if (r0 == null) goto L_0x0228;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:91:0x0225, code lost:
        r0 = r0.state;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:92:0x0228, code lost:
        r0 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:94:0x022b, code lost:
        if (r0 != com.github.shadowsocks.bg.BaseService$State.Connected) goto L_0x026b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:96:0x0235, code lost:
        if ((!r4.bandwidthListeners.isEmpty()) == false) goto L_0x026c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:97:0x0237, code lost:
        r0 = new com.github.shadowsocks.aidl.TrafficStats(0, 0, 0, 0, 15);
        r5 = r2.iterator();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:99:0x024f, code lost:
        if (r5.hasNext() == false) goto L_0x0262;
     */
    /* JADX WARNING: Removed duplicated region for block: B:118:0x01f0 A[EDGE_INSN: B:118:0x01f0->B:79:0x01f0 ?: BREAK  , SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:119:0x01eb A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0039  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0057  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0059  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0077  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x008d  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0090  */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0096  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0099  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x00b7  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x0186  */
    /* JADX WARNING: Removed duplicated region for block: B:72:0x01cd  */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0027  */
    public final Object loop(Continuation<? super Unit> continuation) {
        BaseService$Binder baseService$Binder;
        BaseService$Binder$loop$1 baseService$Binder$loop$1;
        int i;
        BaseService$Binder baseService$Binder2;
        Iterator it;
        Iterator it2;
        ArrayList arrayList;
        Iterator it3;
        Object second;
        Object first;
        Object second2;
        CoroutineSingletons coroutineSingletons;
        Iterator it4;
        BaseService$Binder$loop$1 baseService$Binder$loop$12;
        Pair pair;
        boolean z;
        Iterator<T> it5;
        T t;
        T t2;
        if (continuation instanceof BaseService$Binder$loop$1) {
            baseService$Binder$loop$1 = (BaseService$Binder$loop$1) continuation;
            int i2 = baseService$Binder$loop$1.label;
            if ((i2 & LinearLayoutManager.INVALID_OFFSET) != 0) {
                baseService$Binder$loop$1.label = i2 - LinearLayoutManager.INVALID_OFFSET;
                baseService$Binder = this;
                Object obj = baseService$Binder$loop$1.result;
                CoroutineSingletons coroutineSingletons2 = CoroutineSingletons.COROUTINE_SUSPENDED;
                i = baseService$Binder$loop$1.label;
                int i3 = 1;
                if (i != 0) {
                    ViewGroupUtilsApi14.throwOnFailure(obj);
                    baseService$Binder2 = baseService$Binder;
                } else if (i == 1) {
                    baseService$Binder2 = (BaseService$Binder) baseService$Binder$loop$1.L$0;
                    ViewGroupUtilsApi14.throwOnFailure(obj);
                    ProxyInstance[] proxyInstanceArr = new ProxyInstance[2];
                    BaseService$Data baseService$Data = baseService$Binder2.data;
                    proxyInstanceArr[0] = baseService$Data == null ? baseService$Data.proxy : null;
                    proxyInstanceArr[i3] = baseService$Data == null ? baseService$Data.udpFallback : null;
                    List listOfNotNull = ArraysKt___ArraysKt.listOfNotNull(proxyInstanceArr);
                    ArrayList arrayList2 = new ArrayList(ViewGroupUtilsApi14.collectionSizeOrDefault(listOfNotNull, 10));
                    it = ((ArrayList) listOfNotNull).iterator();
                    while (it.hasNext()) {
                        ProxyInstance proxyInstance = (ProxyInstance) it.next();
                        Long l = new Long(proxyInstance.profile.getId());
                        TrafficMonitor trafficMonitor = proxyInstance.trafficMonitor;
                        if (trafficMonitor != null) {
                            long elapsedRealtime = SystemClock.elapsedRealtime();
                            long j = elapsedRealtime - trafficMonitor.timestampLast;
                            trafficMonitor.timestampLast = elapsedRealtime;
                            if (j != 0) {
                                if (trafficMonitor.dirty) {
                                    TrafficStats trafficStats = trafficMonitor.current;
                                    it4 = it;
                                    baseService$Binder$loop$12 = baseService$Binder$loop$1;
                                    coroutineSingletons = coroutineSingletons2;
                                    TrafficStats trafficStats2 = new TrafficStats(trafficStats.txRate, trafficStats.rxRate, trafficStats.txTotal, trafficStats.rxTotal);
                                    long j2 = trafficStats2.txTotal;
                                    TrafficStats trafficStats3 = trafficMonitor.out;
                                    long j3 = (long) 1000;
                                    trafficStats2.txRate = ((j2 - trafficStats3.txTotal) * j3) / j;
                                    trafficStats2.rxRate = ((trafficStats2.rxTotal - trafficStats3.rxTotal) * j3) / j;
                                    trafficMonitor.out = trafficStats2;
                                    trafficMonitor.dirty = false;
                                } else {
                                    it4 = it;
                                    baseService$Binder$loop$12 = baseService$Binder$loop$1;
                                    coroutineSingletons = coroutineSingletons2;
                                    TrafficStats trafficStats4 = trafficMonitor.out;
                                    if (trafficStats4.txRate != 0) {
                                        trafficStats4.txRate = 0;
                                        z = true;
                                    } else {
                                        z = false;
                                    }
                                    if (trafficStats4.rxRate != 0) {
                                        trafficStats4.rxRate = 0;
                                    }
                                }
                                z = true;
                            } else {
                                it4 = it;
                                baseService$Binder$loop$12 = baseService$Binder$loop$1;
                                coroutineSingletons = coroutineSingletons2;
                                z = false;
                            }
                            pair = new Pair(trafficMonitor.out, Boolean.valueOf(z));
                        } else {
                            it4 = it;
                            baseService$Binder$loop$12 = baseService$Binder$loop$1;
                            coroutineSingletons = coroutineSingletons2;
                            pair = null;
                        }
                        arrayList2.add(new Pair(l, pair));
                        baseService$Binder$loop$1 = baseService$Binder$loop$12;
                        it = it4;
                        coroutineSingletons2 = coroutineSingletons;
                    }
                    ArrayList arrayList3 = new ArrayList();
                    it2 = arrayList2.iterator();
                    while (it2.hasNext()) {
                        Object next = it2.next();
                        if (Boolean.valueOf(((Pair) next).getSecond() != null).booleanValue()) {
                            arrayList3.add(next);
                        }
                    }
                    arrayList = new ArrayList(ViewGroupUtilsApi14.collectionSizeOrDefault(arrayList3, 10));
                    it3 = arrayList3.iterator();
                    while (true) {
                        if (!it3.hasNext()) {
                            break;
                        }
                        Pair pair2 = (Pair) it3.next();
                        Object first2 = pair2.getFirst();
                        second = pair2.getSecond();
                        if (second == null) {
                            first = ((Pair) second).getFirst();
                            second2 = pair2.getSecond();
                            if (second2 != null) {
                                arrayList.add(new Triple(first2, first, ((Pair) second2).getSecond()));
                            } else {
                                Intrinsics.throwNpe();
                                throw null;
                            }
                        } else {
                            Intrinsics.throwNpe();
                            throw null;
                        }
                    }
                } else {
                    throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                }
                Collection<Long> values = baseService$Binder2.bandwidthListeners.values();
                Intrinsics.checkNotNullParameter(values, "$this$min");
                Intrinsics.checkNotNullParameter(values, "$this$minOrNull");
                it5 = values.iterator();
                if (!it5.hasNext()) {
                    t = null;
                } else {
                    t = it5.next();
                    while (it5.hasNext()) {
                        T next2 = it5.next();
                        if (t.compareTo(next2) > 0) {
                            t = next2;
                        }
                    }
                }
                t2 = t;
                if (t2 != null) {
                    long longValue = t2.longValue();
                    baseService$Binder$loop$1.L$0 = baseService$Binder2;
                    baseService$Binder$loop$1.label = i3;
                    if (ViewGroupUtilsApi14.delay(longValue, baseService$Binder$loop$1) == coroutineSingletons2) {
                        return coroutineSingletons2;
                    }
                    ProxyInstance[] proxyInstanceArr2 = new ProxyInstance[2];
                    BaseService$Data baseService$Data2 = baseService$Binder2.data;
                    proxyInstanceArr2[0] = baseService$Data2 == null ? baseService$Data2.proxy : null;
                    proxyInstanceArr2[i3] = baseService$Data2 == null ? baseService$Data2.udpFallback : null;
                    List listOfNotNull2 = ArraysKt___ArraysKt.listOfNotNull(proxyInstanceArr2);
                    ArrayList arrayList22 = new ArrayList(ViewGroupUtilsApi14.collectionSizeOrDefault(listOfNotNull2, 10));
                    it = ((ArrayList) listOfNotNull2).iterator();
                    while (it.hasNext()) {
                    }
                    ArrayList arrayList32 = new ArrayList();
                    it2 = arrayList22.iterator();
                    while (it2.hasNext()) {
                    }
                    arrayList = new ArrayList(ViewGroupUtilsApi14.collectionSizeOrDefault(arrayList32, 10));
                    it3 = arrayList32.iterator();
                    while (true) {
                        if (!it3.hasNext()) {
                        }
                        Pair pair22 = (Pair) it3.next();
                        Object first22 = pair22.getFirst();
                        second = pair22.getSecond();
                        if (second == null) {
                        }
                        arrayList.add(new Triple(first22, first, ((Pair) second2).getSecond()));
                    }
                    Collection<Long> values2 = baseService$Binder2.bandwidthListeners.values();
                    Intrinsics.checkNotNullParameter(values2, "$this$min");
                    Intrinsics.checkNotNullParameter(values2, "$this$minOrNull");
                    it5 = values2.iterator();
                    if (!it5.hasNext()) {
                    }
                    t2 = t;
                    if (t2 != null) {
                    }
                }
                return Unit.INSTANCE;
            }
        }
        baseService$Binder = this;
        baseService$Binder$loop$1 = new BaseService$Binder$loop$1(baseService$Binder, continuation);
        Object obj2 = baseService$Binder$loop$1.result;
        CoroutineSingletons coroutineSingletons22 = CoroutineSingletons.COROUTINE_SUSPENDED;
        i = baseService$Binder$loop$1.label;
        int i32 = 1;
        if (i != 0) {
        }
        Collection<Long> values22 = baseService$Binder2.bandwidthListeners.values();
        Intrinsics.checkNotNullParameter(values22, "$this$min");
        Intrinsics.checkNotNullParameter(values22, "$this$minOrNull");
        it5 = values22.iterator();
        if (!it5.hasNext()) {
        }
        t2 = t;
        if (t2 != null) {
        }
        return Unit.INSTANCE;
    }

    @Override // com.github.shadowsocks.aidl.IShadowsocksService
    public void registerCallback(IShadowsocksServiceCallback iShadowsocksServiceCallback) {
        Intrinsics.checkParameterIsNotNull(iShadowsocksServiceCallback, "cb");
        this.callbacks.register(iShadowsocksServiceCallback);
    }

    public void startListeningForBandwidth(IShadowsocksServiceCallback iShadowsocksServiceCallback, long j) {
        Intrinsics.checkParameterIsNotNull(iShadowsocksServiceCallback, "cb");
        ViewGroupUtilsApi14.launch$default(this, null, null, new BaseService$Binder$startListeningForBandwidth$1(this, iShadowsocksServiceCallback, j, null), 3, null);
    }

    @Override // com.github.shadowsocks.aidl.IShadowsocksService
    public void stopListeningForBandwidth(IShadowsocksServiceCallback iShadowsocksServiceCallback) {
        Intrinsics.checkParameterIsNotNull(iShadowsocksServiceCallback, "cb");
        ViewGroupUtilsApi14.launch$default(this, null, null, new BaseService$Binder$stopListeningForBandwidth$1(this, iShadowsocksServiceCallback, null), 3, null);
    }

    @Override // com.github.shadowsocks.aidl.IShadowsocksService
    public void unregisterCallback(IShadowsocksServiceCallback iShadowsocksServiceCallback) {
        Intrinsics.checkParameterIsNotNull(iShadowsocksServiceCallback, "cb");
        stopListeningForBandwidth(iShadowsocksServiceCallback);
        this.callbacks.unregister(iShadowsocksServiceCallback);
    }
}
