package com.github.shadowsocks.bg;

import android.system.ErrnoException;
import android.system.Os;
import android.system.OsConstants;
import android.util.Log;
import androidx.transition.ViewGroupUtilsApi14;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Set;
import kotlin.collections.ArraysKt___ArraysKt;
import kotlin.io.FilesKt__FileReadWriteKt;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.Charsets;
import kotlin.text.StringsKt__IndentKt;

/* compiled from: Executable.kt */
public abstract class Executable {
    public static final Set<String> EXECUTABLES;
    public static final Executable INSTANCE = null;

    static {
        String[] strArr = {"libss-local.so", "libredsocks.so", "libtun2socks.so"};
        Intrinsics.checkNotNullParameter(strArr, "elements");
        EXECUTABLES = ViewGroupUtilsApi14.toSet(strArr);
    }

    public static final void killAll() {
        File[] listFiles = new File("/proc").listFiles(Executable$killAll$1.INSTANCE);
        if (listFiles != null) {
            for (File file : listFiles) {
                try {
                    InputStreamReader inputStreamReader = new InputStreamReader(new FileInputStream(new File(file, "cmdline")), Charsets.UTF_8);
                    File file2 = new File((String) ArraysKt___ArraysKt.first(StringsKt__IndentKt.split$default((CharSequence) FilesKt__FileReadWriteKt.readText(inputStreamReader instanceof BufferedReader ? (BufferedReader) inputStreamReader : new BufferedReader(inputStreamReader, 8192)), new char[]{0}, false, 2, 2)));
                    if (EXECUTABLES.contains(file2.getName())) {
                        try {
                            Intrinsics.checkExpressionValueIsNotNull(file, "process");
                            String name = file.getName();
                            Intrinsics.checkExpressionValueIsNotNull(name, "process.name");
                            Os.kill(Integer.parseInt(name), OsConstants.SIGKILL);
                        } catch (ErrnoException e) {
                            if (e.errno != OsConstants.ESRCH) {
                                e.printStackTrace();
                                StringBuilder sb = new StringBuilder();
                                sb.append("SIGKILL ");
                                sb.append(file2.getAbsolutePath());
                                sb.append(" (");
                                Intrinsics.checkExpressionValueIsNotNull(file, "process");
                                sb.append(file.getName());
                                sb.append(") failed");
                                Log.e("kill", sb.toString());
                            }
                        }
                    }
                } catch (IOException unused) {
                }
            }
        }
    }
}
