package com.github.shadowsocks.bg;

import android.app.Service;
import android.content.Intent;
import android.net.Network;
import android.os.IBinder;
import androidx.transition.ViewGroupUtilsApi14;
import com.github.shadowsocks.net.HostsFile;
import java.net.InetAddress;
import java.net.URL;
import java.net.URLConnection;
import java.util.ArrayList;
import kotlin.Unit;
import kotlin.coroutines.Continuation;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.CoroutineScope;

/* compiled from: ProxyService.kt */
public final class ProxyService extends Service implements BaseService$Interface {
    public final BaseService$Data data = new BaseService$Data(this);

    @Override // com.github.shadowsocks.bg.BaseService$Interface
    public ArrayList<String> buildAdditionalArguments(ArrayList<String> arrayList) {
        Intrinsics.checkParameterIsNotNull(arrayList, "cmd");
        Intrinsics.checkParameterIsNotNull(arrayList, "cmd");
        return arrayList;
    }

    @Override // com.github.shadowsocks.bg.BaseService$Interface
    public ServiceNotification createNotification(String str) {
        Intrinsics.checkParameterIsNotNull(str, "profileName");
        return new ServiceNotification(this, str, "service-proxy", true);
    }

    @Override // com.github.shadowsocks.bg.BaseService$Interface
    public void forceLoad() {
        ViewGroupUtilsApi14.forceLoad(this);
    }

    @Override // com.github.shadowsocks.bg.BaseService$Interface
    public Object getActiveNetwork(Continuation<? super Network> continuation) {
        return ViewGroupUtilsApi14.getActiveNetwork();
    }

    @Override // com.github.shadowsocks.bg.BaseService$Interface
    public BaseService$Data getData() {
        return this.data;
    }

    @Override // com.github.shadowsocks.bg.BaseService$Interface
    public String getTag() {
        return "ShadowsocksProxyService";
    }

    @Override // com.github.shadowsocks.bg.BaseService$Interface
    public void killProcesses(CoroutineScope coroutineScope) {
        Intrinsics.checkParameterIsNotNull(coroutineScope, "scope");
        ViewGroupUtilsApi14.killProcesses(this, coroutineScope);
    }

    public IBinder onBind(Intent intent) {
        Intrinsics.checkParameterIsNotNull(intent, "intent");
        return ViewGroupUtilsApi14.onBind(this, intent);
    }

    public void onDestroy() {
        super.onDestroy();
        this.data.binder.close();
    }

    public int onStartCommand(Intent intent, int i, int i2) {
        ViewGroupUtilsApi14.onStartCommand(this);
        return 2;
    }

    @Override // com.github.shadowsocks.bg.BaseService$Interface
    public Object openConnection(URL url, Continuation<? super URLConnection> continuation) {
        return url.openConnection();
    }

    @Override // com.github.shadowsocks.bg.BaseService$Interface
    public void persistStats() {
        ViewGroupUtilsApi14.persistStats(this);
    }

    @Override // com.github.shadowsocks.bg.BaseService$Interface
    public Object preInit(Continuation<? super Unit> continuation) {
        return Unit.INSTANCE;
    }

    @Override // com.github.shadowsocks.bg.BaseService$Interface
    public Object resolver(String str, Continuation<? super InetAddress[]> continuation) {
        return DnsResolverCompat.Companion.getInstance().resolveOnActiveNetwork(str, continuation);
    }

    @Override // com.github.shadowsocks.bg.BaseService$Interface
    public Object startProcesses(HostsFile hostsFile, Continuation<? super Unit> continuation) {
        return ViewGroupUtilsApi14.startProcesses(this);
    }

    @Override // com.github.shadowsocks.bg.BaseService$Interface
    public void startRunner() {
        ViewGroupUtilsApi14.startRunner(this);
    }

    @Override // com.github.shadowsocks.bg.BaseService$Interface
    public void stopRunner(boolean z, String str) {
        ViewGroupUtilsApi14.stopRunner(this, z, str);
    }
}
