package com.github.shadowsocks.bg;

import android.app.PendingIntent;
import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Build;
import android.os.Bundle;
import android.os.PowerManager;
import androidx.core.app.NotificationCompat$Action;
import androidx.core.app.NotificationCompat$Builder;
import androidx.core.app.RemoteInput;
import androidx.core.content.ContextCompat;
import androidx.core.graphics.drawable.IconCompat;
import androidx.transition.ViewGroupUtilsApi14;
import com.github.shadowsocks.Core;
import com.github.shadowsocks.aidl.IShadowsocksServiceCallback;
import com.github.shadowsocks.core.R$color;
import com.github.shadowsocks.core.R$drawable;
import com.github.shadowsocks.core.R$string;
import java.util.ArrayList;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.TypeCastException;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.PropertyReference1Impl;
import kotlin.jvm.internal.Reflection;
import kotlin.reflect.KProperty;

/* compiled from: ServiceNotification.kt */
public final class ServiceNotification extends BroadcastReceiver {
    public static final /* synthetic */ KProperty[] $$delegatedProperties;
    public final NotificationCompat$Builder builder;
    public final Lazy callback$delegate = ViewGroupUtilsApi14.lazy(new ServiceNotification$callback$2(this));
    public boolean callbackRegistered;
    public final BaseService$Interface service;

    static {
        PropertyReference1Impl propertyReference1Impl = new PropertyReference1Impl(Reflection.getOrCreateKotlinClass(ServiceNotification.class), "callback", "getCallback()Lcom/github/shadowsocks/aidl/IShadowsocksServiceCallback;");
        Objects.requireNonNull(Reflection.factory);
        $$delegatedProperties = new KProperty[]{propertyReference1Impl};
    }

    public ServiceNotification(BaseService$Interface baseService$Interface, String str, String str2, boolean z) {
        IconCompat iconCompat;
        RemoteInput[] remoteInputArr;
        Intrinsics.checkParameterIsNotNull(baseService$Interface, "service");
        Intrinsics.checkParameterIsNotNull(str, "profileName");
        Intrinsics.checkParameterIsNotNull(str2, "channel");
        this.service = baseService$Interface;
        Context context = (Context) baseService$Interface;
        NotificationCompat$Builder notificationCompat$Builder = new NotificationCompat$Builder(context, str2);
        notificationCompat$Builder.mNotification.when = 0;
        notificationCompat$Builder.mColor = ContextCompat.getColor(context, R$color.material_primary_500);
        notificationCompat$Builder.mNotification.tickerText = NotificationCompat$Builder.limitCharSequenceLength(context.getString(R$string.forward_success));
        notificationCompat$Builder.setContentTitle(str);
        Objects.requireNonNull(Core.INSTANCE);
        Function1<? super Context, PendingIntent> function1 = Core.configureIntent;
        RemoteInput[] remoteInputArr2 = null;
        if (function1 != null) {
            notificationCompat$Builder.mContentIntent = function1.invoke(baseService$Interface);
            notificationCompat$Builder.mNotification.icon = context.getResources().getIdentifier("logo", "mipmap", context.getPackageName());
            notificationCompat$Builder.mCategory = "service";
            notificationCompat$Builder.mPriority = z ? -1 : -2;
            this.builder = notificationCompat$Builder;
            int i = R$drawable.ic_navigation_close;
            CharSequence text = context.getText(R$string.stop);
            boolean z2 = false;
            PendingIntent broadcast = PendingIntent.getBroadcast(context, 0, new Intent("com.github.shadowsocks.CLOSE").setPackage(context.getPackageName()), 0);
            if (i == 0) {
                iconCompat = null;
            } else {
                iconCompat = IconCompat.createWithResource(null, "", i);
            }
            Bundle bundle = new Bundle();
            CharSequence limitCharSequenceLength = NotificationCompat$Builder.limitCharSequenceLength(text);
            ArrayList arrayList = new ArrayList();
            ArrayList arrayList2 = new ArrayList();
            if (arrayList.isEmpty()) {
                remoteInputArr = null;
            } else {
                remoteInputArr = (RemoteInput[]) arrayList.toArray(new RemoteInput[arrayList.size()]);
            }
            NotificationCompat$Action notificationCompat$Action = new NotificationCompat$Action(iconCompat, limitCharSequenceLength, broadcast, bundle, !arrayList2.isEmpty() ? (RemoteInput[]) arrayList2.toArray(new RemoteInput[arrayList2.size()]) : remoteInputArr2, remoteInputArr, true, 0, false, false);
            if (Build.VERSION.SDK_INT < 24) {
                notificationCompat$Builder.mActions.add(notificationCompat$Action);
            } else {
                notificationCompat$Builder.mInvisibleActions.add(notificationCompat$Action);
            }
            PowerManager powerManager = (PowerManager) ContextCompat.getSystemService(context, PowerManager.class);
            updateCallback((powerManager == null || powerManager.isInteractive()) ? true : z2);
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.addAction("android.intent.action.SCREEN_ON");
            intentFilter.addAction("android.intent.action.SCREEN_OFF");
            context.registerReceiver(this, intentFilter);
            show();
            return;
        }
        Intrinsics.throwUninitializedPropertyAccessException("configureIntent");
        throw null;
    }

    public final IShadowsocksServiceCallback getCallback() {
        Lazy lazy = this.callback$delegate;
        KProperty kProperty = $$delegatedProperties[0];
        return (IShadowsocksServiceCallback) lazy.getValue();
    }

    public void onReceive(Context context, Intent intent) {
        Intrinsics.checkParameterIsNotNull(context, "context");
        Intrinsics.checkParameterIsNotNull(intent, "intent");
        if (this.service.getData().state == BaseService$State.Connected) {
            updateCallback(Intrinsics.areEqual(intent.getAction(), "android.intent.action.SCREEN_ON"));
        }
    }

    public final void show() {
        BaseService$Interface baseService$Interface = this.service;
        if (baseService$Interface != null) {
            ((Service) baseService$Interface).startForeground(1, this.builder.build());
            return;
        }
        throw new TypeCastException("null cannot be cast to non-null type android.app.Service");
    }

    public final void updateCallback(boolean z) {
        if (z) {
            this.service.getData().binder.registerCallback(getCallback());
            this.service.getData().binder.startListeningForBandwidth(getCallback(), 1000);
            this.callbackRegistered = true;
        } else if (this.callbackRegistered) {
            this.service.getData().binder.unregisterCallback(getCallback());
            this.callbackRegistered = false;
        }
    }
}
