package com.github.shadowsocks.bg;

import android.content.IntentFilter;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.github.shadowsocks.Core;
import com.github.shadowsocks.aidl.TrafficStats;
import com.github.shadowsocks.database.Profile;
import com.github.shadowsocks.database.ProfileManager;
import com.github.shadowsocks.net.LocalSocketListener;
import com.github.shadowsocks.preference.DataStore;
import com.github.shadowsocks.utils.DirectBoot;
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.NoSuchElementException;
import java.util.Objects;
import kotlin.Pair;
import kotlin.collections.ArraysKt___ArraysKt;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: TrafficMonitor.kt */
public final class TrafficMonitor {
    public final TrafficStats current = new TrafficStats(0, 0, 0, 0, 15);
    public boolean dirty;
    public TrafficStats out = new TrafficStats(0, 0, 0, 0, 15);
    public TrafficStats persisted;
    public final LocalSocketListener thread;
    public long timestampLast;

    public TrafficMonitor(File file) {
        Intrinsics.checkParameterIsNotNull(file, "statFile");
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("TrafficMonitor-");
        outline25.append(file.getName());
        TrafficMonitor$thread$1 trafficMonitor$thread$1 = new TrafficMonitor$thread$1(this, file, outline25.toString(), file);
        trafficMonitor$thread$1.start();
        this.thread = trafficMonitor$thread$1;
    }

    public final void persistStats(long j) {
        TrafficStats trafficStats = this.current;
        TrafficStats trafficStats2 = this.persisted;
        if (trafficStats2 == null || Intrinsics.areEqual(trafficStats2, trafficStats)) {
            this.persisted = trafficStats;
            try {
                ProfileManager profileManager = ProfileManager.INSTANCE;
                Profile profile = profileManager.getProfile(j);
                if (profile != null) {
                    profile.setTx(profile.getTx() + trafficStats.txTotal);
                    profile.setRx(profile.getRx() + trafficStats.rxTotal);
                    profileManager.updateProfile(profile);
                }
            } catch (IOException e) {
                if (DataStore.INSTANCE.getDirectBootAware()) {
                    Pair<Profile, Profile> deviceProfile = DirectBoot.INSTANCE.getDeviceProfile();
                    Object obj = null;
                    if (deviceProfile != null) {
                        Intrinsics.checkNotNullParameter(deviceProfile, "$this$toList");
                        List listOf = ArraysKt___ArraysKt.listOf(deviceProfile.getFirst(), deviceProfile.getSecond());
                        Intrinsics.checkNotNullParameter(listOf, "$this$filterNotNull");
                        ArrayList arrayList = new ArrayList();
                        Intrinsics.checkNotNullParameter(listOf, "$this$filterNotNullTo");
                        Intrinsics.checkNotNullParameter(arrayList, "destination");
                        for (Object obj2 : listOf) {
                            if (obj2 != null) {
                                arrayList.add(obj2);
                            }
                        }
                        boolean z = false;
                        for (Object obj3 : arrayList) {
                            if (((Profile) obj3).getId() == j) {
                                if (!z) {
                                    obj = obj3;
                                    z = true;
                                } else {
                                    throw new IllegalArgumentException("Collection contains more than one matching element.");
                                }
                            }
                        }
                        if (z) {
                            Profile profile2 = (Profile) obj;
                            profile2.setTx(profile2.getTx() + trafficStats.txTotal);
                            profile2.setRx(profile2.getRx() + trafficStats.rxTotal);
                            profile2.setDirty(true);
                            DirectBoot directBoot = DirectBoot.INSTANCE;
                            directBoot.update(profile2);
                            Objects.requireNonNull(directBoot);
                            if (!DirectBoot.registered) {
                                Core.INSTANCE.getApp().registerReceiver(directBoot, new IntentFilter("android.intent.action.BOOT_COMPLETED"));
                                DirectBoot.registered = true;
                                return;
                            }
                            return;
                        }
                        throw new NoSuchElementException("Collection contains no element matching the predicate.");
                    }
                    Intrinsics.throwNpe();
                    throw null;
                }
                throw e;
            }
        } else {
            throw new IllegalStateException("Data loss occurred".toString());
        }
    }
}
