package com.github.shadowsocks.database;

import androidx.room.RoomDatabase;
import androidx.room.migration.Migration;
import androidx.sqlite.db.SupportSQLiteDatabase;
import androidx.transition.ViewGroupUtilsApi14;
import com.github.shadowsocks.database.KeyValuePair;
import com.github.shadowsocks.database.Profile;
import com.github.shadowsocks.database.PublicDatabase;
import com.github.shadowsocks.database.migration.RecreateSchemaMigration;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.PropertyReference1Impl;
import kotlin.jvm.internal.Reflection;
import kotlin.reflect.KProperty;

/* compiled from: PrivateDatabase.kt */
public abstract class PrivateDatabase extends RoomDatabase {
    public static final Companion Companion = new Companion(null);
    public static final Lazy instance$delegate = ViewGroupUtilsApi14.lazy(PrivateDatabase$Companion$instance$2.INSTANCE);

    /* compiled from: PrivateDatabase.kt */
    public static final class Companion {
        public static final /* synthetic */ KProperty[] $$delegatedProperties;

        static {
            PropertyReference1Impl propertyReference1Impl = new PropertyReference1Impl(Reflection.getOrCreateKotlinClass(Companion.class), "instance", "getInstance()Lcom/github/shadowsocks/database/PrivateDatabase;");
            Objects.requireNonNull(Reflection.factory);
            $$delegatedProperties = new KProperty[]{propertyReference1Impl};
        }

        public Companion(DefaultConstructorMarker defaultConstructorMarker) {
        }

        public final Profile.Dao getProfileDao() {
            Objects.requireNonNull(PrivateDatabase.Companion);
            Lazy lazy = PrivateDatabase.instance$delegate;
            KProperty kProperty = $$delegatedProperties[0];
            return ((PrivateDatabase) lazy.getValue()).profileDao();
        }
    }

    /* compiled from: PrivateDatabase.kt */
    public static final class Migration26 extends RecreateSchemaMigration {
        public static final Migration26 INSTANCE = new Migration26();

        public Migration26() {
            super(25, 26, "Profile", "(`id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `name` TEXT, `host` TEXT NOT NULL, `remotePort` INTEGER NOT NULL, `password` TEXT NOT NULL, `method` TEXT NOT NULL, `route` TEXT NOT NULL, `remoteDns` TEXT NOT NULL, `proxyApps` INTEGER NOT NULL, `bypass` INTEGER NOT NULL, `udpdns` INTEGER NOT NULL, `ipv6` INTEGER NOT NULL, `individual` TEXT NOT NULL, `tx` INTEGER NOT NULL, `rx` INTEGER NOT NULL, `userOrder` INTEGER NOT NULL, `plugin` TEXT)", "`id`, `name`, `host`, `remotePort`, `password`, `method`, `route`, `remoteDns`, `proxyApps`, `bypass`, `udpdns`, `ipv6`, `individual`, `tx`, `rx`, `userOrder`, `plugin`");
        }

        @Override // com.github.shadowsocks.database.migration.RecreateSchemaMigration, androidx.room.migration.Migration
        public void migrate(SupportSQLiteDatabase supportSQLiteDatabase) {
            Intrinsics.checkParameterIsNotNull(supportSQLiteDatabase, "database");
            super.migrate(supportSQLiteDatabase);
            PublicDatabase.Migration3.INSTANCE.migrate(supportSQLiteDatabase);
        }
    }

    /* compiled from: PrivateDatabase.kt */
    public static final class Migration27 extends Migration {
        public static final Migration27 INSTANCE = new Migration27();

        public Migration27() {
            super(26, 27);
        }

        @Override // androidx.room.migration.Migration
        public void migrate(SupportSQLiteDatabase supportSQLiteDatabase) {
            Intrinsics.checkParameterIsNotNull(supportSQLiteDatabase, "database");
            supportSQLiteDatabase.execSQL("ALTER TABLE `Profile` ADD COLUMN `udpFallback` INTEGER");
        }
    }

    /* compiled from: PrivateDatabase.kt */
    public static final class Migration28 extends Migration {
        public static final Migration28 INSTANCE = new Migration28();

        public Migration28() {
            super(27, 28);
        }

        @Override // androidx.room.migration.Migration
        public void migrate(SupportSQLiteDatabase supportSQLiteDatabase) {
            Intrinsics.checkParameterIsNotNull(supportSQLiteDatabase, "database");
            supportSQLiteDatabase.execSQL("ALTER TABLE `Profile` ADD COLUMN `metered` INTEGER NOT NULL DEFAULT 0");
        }
    }

    /* compiled from: PrivateDatabase.kt */
    public static final class Migration29 extends Migration {
        public static final Migration29 INSTANCE = new Migration29();

        public Migration29() {
            super(28, 29);
        }

        @Override // androidx.room.migration.Migration
        public void migrate(SupportSQLiteDatabase supportSQLiteDatabase) {
            Intrinsics.checkParameterIsNotNull(supportSQLiteDatabase, "database");
            supportSQLiteDatabase.execSQL("ALTER TABLE `Profile` ADD COLUMN `subscription` INTEGER NOT NULL DEFAULT " + Profile.SubscriptionStatus.UserConfigured.getPersistedValue());
        }
    }

    public abstract KeyValuePair.Dao keyValuePairDao();

    public abstract Profile.Dao profileDao();
}
