package com.github.shadowsocks.database;

import android.net.Uri;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.Base64;
import android.util.LongSparseArray;
import com.faster.cheetah.sdk.shadowsocks.tunnel.shadowsocks.AesCrypt;
import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import com.github.shadowsocks.aidl.TrafficStats$$ExternalSynthetic0;
import com.github.shadowsocks.plugin.PluginConfiguration;
import com.github.shadowsocks.plugin.PluginOptions;
import com.github.shadowsocks.preference.DataStore;
import com.github.shadowsocks.preference.RoomPreferenceDataStore;
import com.github.shadowsocks.utils.UtilsKt;
import com.tencent.mm.opensdk.modelmsg.WXMediaMessage;
import java.io.Serializable;
import java.nio.charset.Charset;
import java.util.Arrays;
import java.util.Collection;
import java.util.List;
import java.util.NoSuchElementException;
import java.util.Objects;
import kotlin.TypeCastException;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.Charsets;
import kotlin.text.Regex;
import kotlin.text.StringsKt__IndentKt;
import org.json.JSONArray;
import org.json.JSONObject;

public final class Profile implements Parcelable, Serializable {
    public static final Parcelable.Creator CREATOR = new Creator();
    public static final Companion Companion = new Companion(null);
    public static final Regex legacyPattern = new Regex("^(.+?):(.*)@(.+?):(\\d+?)$");
    public static final Regex pattern = new Regex("(?i)ss://[-a-zA-Z0-9+&@#/%?=.~*'()|!:,;\\[\\]]*[-a-zA-Z0-9+&@#/%=.~*'()|\\[\\]]");
    private static final long serialVersionUID;
    public static final Regex userInfoPattern = new Regex("^(.+?):(.*)$");
    private boolean bypass;
    private boolean dirty;
    private String host;
    private long id;
    private String individual;
    private boolean ipv6;
    private boolean metered;
    private String method;
    private String name;
    private String password;
    private String plugin;
    private boolean proxyApps;
    private String remoteDns;
    private int remotePort;
    private String route;
    private long rx;
    private SubscriptionStatus subscription;
    private long tx;
    private Long udpFallback;
    private boolean udpdns;
    private long userOrder;

    public static final class Companion {
        public Companion(DefaultConstructorMarker defaultConstructorMarker) {
        }
    }

    public static class Creator implements Parcelable.Creator {
        @Override // android.os.Parcelable.Creator
        public final Object createFromParcel(Parcel parcel) {
            Intrinsics.checkParameterIsNotNull(parcel, "in");
            return new Profile(parcel.readLong(), parcel.readString(), parcel.readString(), parcel.readInt(), parcel.readString(), parcel.readString(), parcel.readString(), parcel.readString(), parcel.readInt() != 0, parcel.readInt() != 0, parcel.readInt() != 0, parcel.readInt() != 0, parcel.readInt() != 0, parcel.readString(), parcel.readString(), parcel.readInt() != 0 ? Long.valueOf(parcel.readLong()) : null, (SubscriptionStatus) Enum.valueOf(SubscriptionStatus.class, parcel.readString()), parcel.readLong(), parcel.readLong(), parcel.readLong(), parcel.readInt() != 0);
        }

        @Override // android.os.Parcelable.Creator
        public final Object[] newArray(int i) {
            return new Profile[i];
        }
    }

    public interface Dao {
    }

    public enum SubscriptionStatus {
        UserConfigured(0),
        Active(1),
        Obsolete(2);
        
        public static final Companion Companion = new Companion(null);
        private final int persistedValue;

        public final class Companion {
            public Companion(DefaultConstructorMarker defaultConstructorMarker) {
            }
        }

        SubscriptionStatus(int i) {
            this.persistedValue = i;
        }

        public static final SubscriptionStatus of(int i) {
            Objects.requireNonNull(Companion);
            SubscriptionStatus[] values = values();
            SubscriptionStatus subscriptionStatus = null;
            boolean z = false;
            for (int i2 = 0; i2 < 3; i2++) {
                SubscriptionStatus subscriptionStatus2 = values[i2];
                if (subscriptionStatus2.getPersistedValue() == i) {
                    if (!z) {
                        subscriptionStatus = subscriptionStatus2;
                        z = true;
                    } else {
                        throw new IllegalArgumentException("Array contains more than one matching element.");
                    }
                }
            }
            if (z) {
                return subscriptionStatus;
            }
            throw new NoSuchElementException("Array contains no element matching the predicate.");
        }

        public static final int toInt(SubscriptionStatus subscriptionStatus) {
            Objects.requireNonNull(Companion);
            Intrinsics.checkParameterIsNotNull(subscriptionStatus, "status");
            return subscriptionStatus.getPersistedValue();
        }

        public final int getPersistedValue() {
            return this.persistedValue;
        }
    }

    public Profile() {
        this(0, null, null, 0, null, null, null, null, false, false, false, false, false, null, null, null, null, 0, 0, 0, false, 2097151, null);
    }

    public Profile(long j, String str, String str2, int i, String str3, String str4, String str5, String str6, boolean z, boolean z2, boolean z3, boolean z4, boolean z5, String str7, String str8, Long l, SubscriptionStatus subscriptionStatus, long j2, long j3, long j4, boolean z6) {
        Intrinsics.checkParameterIsNotNull(str2, "host");
        Intrinsics.checkParameterIsNotNull(str3, VpnProfileDataSource.KEY_PASSWORD);
        Intrinsics.checkParameterIsNotNull(str4, "method");
        Intrinsics.checkParameterIsNotNull(str5, "route");
        Intrinsics.checkParameterIsNotNull(str6, "remoteDns");
        Intrinsics.checkParameterIsNotNull(str7, "individual");
        Intrinsics.checkParameterIsNotNull(subscriptionStatus, "subscription");
        this.id = j;
        this.name = str;
        this.host = str2;
        this.remotePort = i;
        this.password = str3;
        this.method = str4;
        this.route = str5;
        this.remoteDns = str6;
        this.proxyApps = z;
        this.bypass = z2;
        this.udpdns = z3;
        this.ipv6 = z4;
        this.metered = z5;
        this.individual = str7;
        this.plugin = str8;
        this.udpFallback = l;
        this.subscription = subscriptionStatus;
        this.tx = j2;
        this.rx = j3;
        this.userOrder = j4;
        this.dirty = z6;
    }

    public static /* synthetic */ Profile copy$default(Profile profile, long j, String str, String str2, int i, String str3, String str4, String str5, String str6, boolean z, boolean z2, boolean z3, boolean z4, boolean z5, String str7, String str8, Long l, SubscriptionStatus subscriptionStatus, long j2, long j3, long j4, boolean z6, int i2, Object obj) {
        return profile.copy((i2 & 1) != 0 ? profile.id : j, (i2 & 2) != 0 ? profile.name : str, (i2 & 4) != 0 ? profile.host : str2, (i2 & 8) != 0 ? profile.remotePort : i, (i2 & 16) != 0 ? profile.password : str3, (i2 & 32) != 0 ? profile.method : str4, (i2 & 64) != 0 ? profile.route : str5, (i2 & 128) != 0 ? profile.remoteDns : str6, (i2 & 256) != 0 ? profile.proxyApps : z, (i2 & 512) != 0 ? profile.bypass : z2, (i2 & 1024) != 0 ? profile.udpdns : z3, (i2 & 2048) != 0 ? profile.ipv6 : z4, (i2 & 4096) != 0 ? profile.metered : z5, (i2 & 8192) != 0 ? profile.individual : str7, (i2 & 16384) != 0 ? profile.plugin : str8, (i2 & 32768) != 0 ? profile.udpFallback : l, (i2 & 65536) != 0 ? profile.subscription : subscriptionStatus, (i2 & WXMediaMessage.MINI_PROGRAM__THUMB_LENGHT) != 0 ? profile.tx : j2, (i2 & 262144) != 0 ? profile.rx : j3, (i2 & 524288) != 0 ? profile.userOrder : j4, (i2 & 1048576) != 0 ? profile.dirty : z6);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.github.shadowsocks.database.Profile */
    /* JADX WARN: Multi-variable type inference failed */
    public static /* synthetic */ JSONObject toJson$default(Profile profile, LongSparseArray longSparseArray, int i, Object obj) {
        if ((i & 1) != 0) {
            longSparseArray = null;
        }
        return profile.toJson(longSparseArray);
    }

    public final long component1() {
        return this.id;
    }

    public final boolean component10() {
        return this.bypass;
    }

    public final boolean component11() {
        return this.udpdns;
    }

    public final boolean component12() {
        return this.ipv6;
    }

    public final boolean component13() {
        return this.metered;
    }

    public final String component14() {
        return this.individual;
    }

    public final String component15() {
        return this.plugin;
    }

    public final Long component16() {
        return this.udpFallback;
    }

    public final SubscriptionStatus component17() {
        return this.subscription;
    }

    public final long component18() {
        return this.tx;
    }

    public final long component19() {
        return this.rx;
    }

    public final String component2() {
        return this.name;
    }

    public final long component20() {
        return this.userOrder;
    }

    public final boolean component21() {
        return this.dirty;
    }

    public final String component3() {
        return this.host;
    }

    public final int component4() {
        return this.remotePort;
    }

    public final String component5() {
        return this.password;
    }

    public final String component6() {
        return this.method;
    }

    public final String component7() {
        return this.route;
    }

    public final String component8() {
        return this.remoteDns;
    }

    public final boolean component9() {
        return this.proxyApps;
    }

    public final Profile copy(long j, String str, String str2, int i, String str3, String str4, String str5, String str6, boolean z, boolean z2, boolean z3, boolean z4, boolean z5, String str7, String str8, Long l, SubscriptionStatus subscriptionStatus, long j2, long j3, long j4, boolean z6) {
        Intrinsics.checkParameterIsNotNull(str2, "host");
        Intrinsics.checkParameterIsNotNull(str3, VpnProfileDataSource.KEY_PASSWORD);
        Intrinsics.checkParameterIsNotNull(str4, "method");
        Intrinsics.checkParameterIsNotNull(str5, "route");
        Intrinsics.checkParameterIsNotNull(str6, "remoteDns");
        Intrinsics.checkParameterIsNotNull(str7, "individual");
        Intrinsics.checkParameterIsNotNull(subscriptionStatus, "subscription");
        return new Profile(j, str, str2, i, str3, str4, str5, str6, z, z2, z3, z4, z5, str7, str8, l, subscriptionStatus, j2, j3, j4, z6);
    }

    public final void copyFeatureSettingsTo(Profile profile) {
        Intrinsics.checkParameterIsNotNull(profile, "profile");
        profile.route = this.route;
        profile.ipv6 = this.ipv6;
        profile.metered = this.metered;
        profile.proxyApps = this.proxyApps;
        profile.bypass = this.bypass;
        profile.individual = this.individual;
        profile.udpdns = this.udpdns;
    }

    public int describeContents() {
        return 0;
    }

    /* JADX WARNING: Removed duplicated region for block: B:43:0x0117  */
    /* JADX WARNING: Removed duplicated region for block: B:9:0x002a  */
    public final void deserialize() {
        boolean z;
        if (this.id != 0) {
            Objects.requireNonNull(DataStore.INSTANCE);
            Long l = DataStore.privateStore.getLong("profileId");
            long j = this.id;
            if (l == null || l.longValue() != j) {
                z = false;
                if (!z) {
                    DataStore dataStore = DataStore.INSTANCE;
                    dataStore.setEditingId(null);
                    Objects.requireNonNull(dataStore);
                    RoomPreferenceDataStore roomPreferenceDataStore = DataStore.privateStore;
                    String string = roomPreferenceDataStore.getString("profileName");
                    String str = "";
                    if (string == null) {
                        string = str;
                    }
                    this.name = string;
                    Objects.requireNonNull(dataStore);
                    String string2 = roomPreferenceDataStore.getString("proxy");
                    if (string2 == null) {
                        string2 = str;
                    }
                    this.host = StringsKt__IndentKt.trim(string2).toString();
                    Objects.requireNonNull(dataStore);
                    this.remotePort = UtilsKt.parsePort(roomPreferenceDataStore.getString("remotePortNum"), 8388, 1);
                    Objects.requireNonNull(dataStore);
                    String string3 = roomPreferenceDataStore.getString("sitekey");
                    if (string3 == null) {
                        string3 = str;
                    }
                    this.password = string3;
                    Objects.requireNonNull(dataStore);
                    String string4 = roomPreferenceDataStore.getString("encMethod");
                    if (string4 == null) {
                        string4 = str;
                    }
                    this.method = string4;
                    Objects.requireNonNull(dataStore);
                    String string5 = roomPreferenceDataStore.getString("route");
                    if (string5 == null) {
                        string5 = str;
                    }
                    this.route = string5;
                    Objects.requireNonNull(dataStore);
                    String string6 = roomPreferenceDataStore.getString("remoteDns");
                    if (string6 == null) {
                        string6 = str;
                    }
                    this.remoteDns = string6;
                    Objects.requireNonNull(dataStore);
                    Boolean bool = roomPreferenceDataStore.getBoolean("isProxyApps");
                    this.proxyApps = bool != null ? bool.booleanValue() : false;
                    Objects.requireNonNull(dataStore);
                    Boolean bool2 = roomPreferenceDataStore.getBoolean("isBypassApps");
                    this.bypass = bool2 != null ? bool2.booleanValue() : false;
                    Objects.requireNonNull(dataStore);
                    this.udpdns = roomPreferenceDataStore.getBoolean("isUdpDns", false);
                    Objects.requireNonNull(dataStore);
                    this.ipv6 = roomPreferenceDataStore.getBoolean("isIpv6", false);
                    Objects.requireNonNull(dataStore);
                    this.metered = roomPreferenceDataStore.getBoolean("metered", false);
                    Objects.requireNonNull(dataStore);
                    String string7 = roomPreferenceDataStore.getString("Proxyed");
                    if (string7 == null) {
                        string7 = str;
                    }
                    this.individual = string7;
                    Objects.requireNonNull(dataStore);
                    String string8 = roomPreferenceDataStore.getString("plugin");
                    if (string8 != null) {
                        str = string8;
                    }
                    this.plugin = str;
                    Objects.requireNonNull(dataStore);
                    this.udpFallback = roomPreferenceDataStore.getLong("udpFallback");
                    return;
                }
                throw new IllegalStateException("Check failed.".toString());
            }
        }
        z = true;
        if (!z) {
        }
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof Profile)) {
            return false;
        }
        Profile profile = (Profile) obj;
        return this.id == profile.id && Intrinsics.areEqual(this.name, profile.name) && Intrinsics.areEqual(this.host, profile.host) && this.remotePort == profile.remotePort && Intrinsics.areEqual(this.password, profile.password) && Intrinsics.areEqual(this.method, profile.method) && Intrinsics.areEqual(this.route, profile.route) && Intrinsics.areEqual(this.remoteDns, profile.remoteDns) && this.proxyApps == profile.proxyApps && this.bypass == profile.bypass && this.udpdns == profile.udpdns && this.ipv6 == profile.ipv6 && this.metered == profile.metered && Intrinsics.areEqual(this.individual, profile.individual) && Intrinsics.areEqual(this.plugin, profile.plugin) && Intrinsics.areEqual(this.udpFallback, profile.udpFallback) && Intrinsics.areEqual(this.subscription, profile.subscription) && this.tx == profile.tx && this.rx == profile.rx && this.userOrder == profile.userOrder && this.dirty == profile.dirty;
    }

    public final boolean getBypass() {
        return this.bypass;
    }

    public final boolean getDirty() {
        return this.dirty;
    }

    public final String getFormattedAddress() {
        String format = String.format(StringsKt__IndentKt.contains$default(this.host, ":", false, 2) ? "[%s]:%d" : "%s:%d", Arrays.copyOf(new Object[]{this.host, Integer.valueOf(this.remotePort)}, 2));
        Intrinsics.checkExpressionValueIsNotNull(format, "java.lang.String.format(this, *args)");
        return format;
    }

    public final String getFormattedName() {
        String str = this.name;
        if (str == null || str.length() == 0) {
            return getFormattedAddress();
        }
        String str2 = this.name;
        if (str2 != null) {
            return str2;
        }
        Intrinsics.throwNpe();
        throw null;
    }

    public final String getHost() {
        return this.host;
    }

    public final long getId() {
        return this.id;
    }

    public final String getIndividual() {
        return this.individual;
    }

    public final boolean getIpv6() {
        return this.ipv6;
    }

    public final boolean getMetered() {
        return this.metered;
    }

    public final String getMethod() {
        return this.method;
    }

    public final String getName() {
        return this.name;
    }

    public final String getPassword() {
        return this.password;
    }

    public final String getPlugin() {
        return this.plugin;
    }

    public final boolean getProxyApps() {
        return this.proxyApps;
    }

    public final String getRemoteDns() {
        return this.remoteDns;
    }

    public final int getRemotePort() {
        return this.remotePort;
    }

    public final String getRoute() {
        return this.route;
    }

    public final long getRx() {
        return this.rx;
    }

    public final SubscriptionStatus getSubscription() {
        return this.subscription;
    }

    public final long getTx() {
        return this.tx;
    }

    public final Long getUdpFallback() {
        return this.udpFallback;
    }

    public final boolean getUdpdns() {
        return this.udpdns;
    }

    public final long getUserOrder() {
        return this.userOrder;
    }

    public int hashCode() {
        int m0 = TrafficStats$$ExternalSynthetic0.m0(this.id) * 31;
        String str = this.name;
        int i = 0;
        int hashCode = (m0 + (str != null ? str.hashCode() : 0)) * 31;
        String str2 = this.host;
        int hashCode2 = (((hashCode + (str2 != null ? str2.hashCode() : 0)) * 31) + this.remotePort) * 31;
        String str3 = this.password;
        int hashCode3 = (hashCode2 + (str3 != null ? str3.hashCode() : 0)) * 31;
        String str4 = this.method;
        int hashCode4 = (hashCode3 + (str4 != null ? str4.hashCode() : 0)) * 31;
        String str5 = this.route;
        int hashCode5 = (hashCode4 + (str5 != null ? str5.hashCode() : 0)) * 31;
        String str6 = this.remoteDns;
        int hashCode6 = (hashCode5 + (str6 != null ? str6.hashCode() : 0)) * 31;
        boolean z = this.proxyApps;
        int i2 = 1;
        if (z) {
            z = true;
        }
        int i3 = z ? 1 : 0;
        int i4 = z ? 1 : 0;
        int i5 = z ? 1 : 0;
        int i6 = (hashCode6 + i3) * 31;
        boolean z2 = this.bypass;
        if (z2) {
            z2 = true;
        }
        int i7 = z2 ? 1 : 0;
        int i8 = z2 ? 1 : 0;
        int i9 = z2 ? 1 : 0;
        int i10 = (i6 + i7) * 31;
        boolean z3 = this.udpdns;
        if (z3) {
            z3 = true;
        }
        int i11 = z3 ? 1 : 0;
        int i12 = z3 ? 1 : 0;
        int i13 = z3 ? 1 : 0;
        int i14 = (i10 + i11) * 31;
        boolean z4 = this.ipv6;
        if (z4) {
            z4 = true;
        }
        int i15 = z4 ? 1 : 0;
        int i16 = z4 ? 1 : 0;
        int i17 = z4 ? 1 : 0;
        int i18 = (i14 + i15) * 31;
        boolean z5 = this.metered;
        if (z5) {
            z5 = true;
        }
        int i19 = z5 ? 1 : 0;
        int i20 = z5 ? 1 : 0;
        int i21 = z5 ? 1 : 0;
        int i22 = (i18 + i19) * 31;
        String str7 = this.individual;
        int hashCode7 = (i22 + (str7 != null ? str7.hashCode() : 0)) * 31;
        String str8 = this.plugin;
        int hashCode8 = (hashCode7 + (str8 != null ? str8.hashCode() : 0)) * 31;
        Long l = this.udpFallback;
        int hashCode9 = (hashCode8 + (l != null ? l.hashCode() : 0)) * 31;
        SubscriptionStatus subscriptionStatus = this.subscription;
        if (subscriptionStatus != null) {
            i = subscriptionStatus.hashCode();
        }
        int m02 = (TrafficStats$$ExternalSynthetic0.m0(this.userOrder) + ((TrafficStats$$ExternalSynthetic0.m0(this.rx) + ((TrafficStats$$ExternalSynthetic0.m0(this.tx) + ((hashCode9 + i) * 31)) * 31)) * 31)) * 31;
        boolean z6 = this.dirty;
        if (!z6) {
            i2 = z6 ? 1 : 0;
        }
        return m02 + i2;
    }

    public final boolean isSponsored() {
        return Intrinsics.areEqual(this.host, "198.199.101.152");
    }

    public final void serialize() {
        DataStore dataStore = DataStore.INSTANCE;
        dataStore.setEditingId(Long.valueOf(this.id));
        Objects.requireNonNull(dataStore);
        RoomPreferenceDataStore roomPreferenceDataStore = DataStore.privateStore;
        roomPreferenceDataStore.putString("profileName", this.name);
        Objects.requireNonNull(dataStore);
        roomPreferenceDataStore.putString("proxy", this.host);
        Objects.requireNonNull(dataStore);
        roomPreferenceDataStore.putString("remotePortNum", String.valueOf(this.remotePort));
        Objects.requireNonNull(dataStore);
        roomPreferenceDataStore.putString("sitekey", this.password);
        Objects.requireNonNull(dataStore);
        roomPreferenceDataStore.putString("route", this.route);
        Objects.requireNonNull(dataStore);
        roomPreferenceDataStore.putString("remoteDns", this.remoteDns);
        Objects.requireNonNull(dataStore);
        roomPreferenceDataStore.putString("encMethod", this.method);
        boolean z = this.proxyApps;
        Objects.requireNonNull(dataStore);
        roomPreferenceDataStore.putBoolean("isProxyApps", z);
        boolean z2 = this.bypass;
        Objects.requireNonNull(dataStore);
        roomPreferenceDataStore.putBoolean("isBypassApps", z2);
        Objects.requireNonNull(dataStore);
        roomPreferenceDataStore.putBoolean("isUdpDns", this.udpdns);
        Objects.requireNonNull(dataStore);
        roomPreferenceDataStore.putBoolean("isIpv6", this.ipv6);
        Objects.requireNonNull(dataStore);
        roomPreferenceDataStore.putBoolean("metered", this.metered);
        String str = this.individual;
        Objects.requireNonNull(dataStore);
        Intrinsics.checkParameterIsNotNull(str, "value");
        roomPreferenceDataStore.putString("Proxyed", str);
        String str2 = this.plugin;
        if (str2 == null) {
            str2 = "";
        }
        Objects.requireNonNull(dataStore);
        Intrinsics.checkParameterIsNotNull(str2, "value");
        roomPreferenceDataStore.putString("plugin", str2);
        Long l = this.udpFallback;
        Objects.requireNonNull(dataStore);
        Objects.requireNonNull(roomPreferenceDataStore);
        Intrinsics.checkParameterIsNotNull("udpFallback", "key");
        if (l == null) {
            roomPreferenceDataStore.remove("udpFallback");
        } else {
            roomPreferenceDataStore.putLong("udpFallback", l.longValue());
        }
        Objects.requireNonNull(dataStore);
        roomPreferenceDataStore.remove("profileDirty");
    }

    public final void setBypass(boolean z) {
        this.bypass = z;
    }

    public final void setDirty(boolean z) {
        this.dirty = z;
    }

    public final void setHost(String str) {
        Intrinsics.checkParameterIsNotNull(str, "<set-?>");
        this.host = str;
    }

    public final void setId(long j) {
        this.id = j;
    }

    public final void setIndividual(String str) {
        Intrinsics.checkParameterIsNotNull(str, "<set-?>");
        this.individual = str;
    }

    public final void setIpv6(boolean z) {
        this.ipv6 = z;
    }

    public final void setMetered(boolean z) {
        this.metered = z;
    }

    public final void setMethod(String str) {
        Intrinsics.checkParameterIsNotNull(str, "<set-?>");
        this.method = str;
    }

    public final void setName(String str) {
        this.name = str;
    }

    public final void setPassword(String str) {
        Intrinsics.checkParameterIsNotNull(str, "<set-?>");
        this.password = str;
    }

    public final void setPlugin(String str) {
        this.plugin = str;
    }

    public final void setProxyApps(boolean z) {
        this.proxyApps = z;
    }

    public final void setRemoteDns(String str) {
        Intrinsics.checkParameterIsNotNull(str, "<set-?>");
        this.remoteDns = str;
    }

    public final void setRemotePort(int i) {
        this.remotePort = i;
    }

    public final void setRoute(String str) {
        Intrinsics.checkParameterIsNotNull(str, "<set-?>");
        this.route = str;
    }

    public final void setRx(long j) {
        this.rx = j;
    }

    public final void setSubscription(SubscriptionStatus subscriptionStatus) {
        Intrinsics.checkParameterIsNotNull(subscriptionStatus, "<set-?>");
        this.subscription = subscriptionStatus;
    }

    public final void setTx(long j) {
        this.tx = j;
    }

    public final void setUdpFallback(Long l) {
        this.udpFallback = l;
    }

    public final void setUdpdns(boolean z) {
        this.udpdns = z;
    }

    public final void setUserOrder(long j) {
        this.userOrder = j;
    }

    public final JSONObject toJson(LongSparseArray<Profile> longSparseArray) {
        Profile profile;
        JSONObject jSONObject = new JSONObject();
        jSONObject.put("server", this.host);
        jSONObject.put("server_port", this.remotePort);
        jSONObject.put(VpnProfileDataSource.KEY_PASSWORD, this.password);
        jSONObject.put("method", this.method);
        String str = this.name;
        boolean z = false;
        List split$default = str != null ? StringsKt__IndentKt.split$default((CharSequence) str, new String[]{"___"}, false, 0, 6) : null;
        jSONObject.put("sname", split$default != null ? (String) split$default.get(1) : null);
        jSONObject.put("suser", split$default != null ? (String) split$default.get(2) : null);
        if (longSparseArray != null) {
            String str2 = this.plugin;
            if (str2 == null) {
                str2 = "";
            }
            PluginOptions options$default = PluginConfiguration.getOptions$default(new PluginConfiguration(str2), null, null, 3);
            if (options$default.getId().length() > 0) {
                jSONObject.put("plugin", options$default.getId());
                jSONObject.put("plugin_opts", options$default.toString());
            }
            jSONObject.put("remarks", this.name);
            jSONObject.put("route", this.route);
            jSONObject.put("remote_dns", this.remoteDns);
            jSONObject.put("ipv6", this.ipv6);
            jSONObject.put("metered", this.metered);
            JSONObject jSONObject2 = new JSONObject();
            jSONObject2.put("enabled", this.proxyApps);
            if (this.proxyApps) {
                jSONObject2.put("bypass", this.bypass);
                jSONObject2.put("android_list", new JSONArray((Collection) StringsKt__IndentKt.split$default((CharSequence) this.individual, new String[]{"\n"}, false, 0, 6)));
            }
            jSONObject.put("proxy_apps", jSONObject2);
            jSONObject.put("udpdns", this.udpdns);
            Long l = this.udpFallback;
            if (!(l == null || (profile = longSparseArray.get(l.longValue())) == null)) {
                String str3 = profile.plugin;
                if (str3 == null || str3.length() == 0) {
                    z = true;
                }
                if (z) {
                    jSONObject.put("udp_fallback", toJson$default(profile, null, 1, null));
                }
            }
        }
        return jSONObject;
    }

    public String toString() {
        String uri = toUri().toString();
        Intrinsics.checkExpressionValueIsNotNull(uri, "toUri().toString()");
        return uri;
    }

    public final Uri toUri() {
        String str;
        String str2 = this.method + ':' + this.password;
        Charset charset = Charsets.UTF_8;
        if (str2 != null) {
            byte[] bytes = str2.getBytes(charset);
            Intrinsics.checkExpressionValueIsNotNull(bytes, "(this as java.lang.String).getBytes(charset)");
            String encodeToString = Base64.encodeToString(bytes, 11);
            boolean z = false;
            if (StringsKt__IndentKt.contains$default((CharSequence) this.host, ':', false, 2)) {
                str = '[' + this.host + ']';
            } else {
                str = this.host;
            }
            Uri.Builder encodedAuthority = new Uri.Builder().scheme("ss").encodedAuthority(encodeToString + '@' + str + ':' + this.remotePort);
            String str3 = this.plugin;
            if (str3 == null) {
                str3 = "";
            }
            PluginConfiguration pluginConfiguration = new PluginConfiguration(str3);
            if (pluginConfiguration.selected.length() > 0) {
                encodedAuthority.appendQueryParameter("plugin", PluginConfiguration.getOptions$default(pluginConfiguration, null, null, 3).toString(false));
            }
            String str4 = this.name;
            if (str4 == null || str4.length() == 0) {
                z = true;
            }
            if (!z) {
                encodedAuthority.fragment(this.name);
            }
            Uri build = encodedAuthority.build();
            Intrinsics.checkExpressionValueIsNotNull(build, "builder.build()");
            return build;
        }
        throw new TypeCastException("null cannot be cast to non-null type java.lang.String");
    }

    public void writeToParcel(Parcel parcel, int i) {
        Intrinsics.checkParameterIsNotNull(parcel, "parcel");
        parcel.writeLong(this.id);
        parcel.writeString(this.name);
        parcel.writeString(this.host);
        parcel.writeInt(this.remotePort);
        parcel.writeString(this.password);
        parcel.writeString(this.method);
        parcel.writeString(this.route);
        parcel.writeString(this.remoteDns);
        parcel.writeInt(this.proxyApps ? 1 : 0);
        parcel.writeInt(this.bypass ? 1 : 0);
        parcel.writeInt(this.udpdns ? 1 : 0);
        parcel.writeInt(this.ipv6 ? 1 : 0);
        parcel.writeInt(this.metered ? 1 : 0);
        parcel.writeString(this.individual);
        parcel.writeString(this.plugin);
        Long l = this.udpFallback;
        if (l != null) {
            parcel.writeInt(1);
            parcel.writeLong(l.longValue());
        } else {
            parcel.writeInt(0);
        }
        parcel.writeString(this.subscription.name());
        parcel.writeLong(this.tx);
        parcel.writeLong(this.rx);
        parcel.writeLong(this.userOrder);
        parcel.writeInt(this.dirty ? 1 : 0);
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public /* synthetic */ Profile(long j, String str, String str2, int i, String str3, String str4, String str5, String str6, boolean z, boolean z2, boolean z3, boolean z4, boolean z5, String str7, String str8, Long l, SubscriptionStatus subscriptionStatus, long j2, long j3, long j4, boolean z6, int i2, DefaultConstructorMarker defaultConstructorMarker) {
        this((i2 & 1) != 0 ? 0 : j, (i2 & 2) != 0 ? "" : str, (i2 & 4) != 0 ? "198.199.101.152" : str2, (i2 & 8) != 0 ? 8388 : i, (i2 & 16) != 0 ? "u1rRWTssNv0p" : str3, (i2 & 32) != 0 ? AesCrypt.CIPHER_AES_256_CFB : str4, (i2 & 64) != 0 ? "all" : str5, (i2 & 128) != 0 ? "dns.google" : str6, (i2 & 256) != 0 ? false : z, (i2 & 512) != 0 ? false : z2, (i2 & 1024) != 0 ? false : z3, (i2 & 2048) != 0 ? false : z4, (i2 & 4096) != 0 ? false : z5, (i2 & 8192) != 0 ? "" : str7, (i2 & 16384) != 0 ? null : str8, (i2 & 32768) == 0 ? l : null, (i2 & 65536) != 0 ? SubscriptionStatus.UserConfigured : subscriptionStatus, (i2 & WXMediaMessage.MINI_PROGRAM__THUMB_LENGHT) != 0 ? 0 : j2, (i2 & 262144) != 0 ? 0 : j3, (i2 & 524288) != 0 ? 0 : j4, (i2 & 1048576) != 0 ? false : z6);
    }
}
