package com.github.shadowsocks.net;

import com.github.shadowsocks.utils.UtilsKt;
import io.netty.util.internal.StringUtil;
import java.net.InetAddress;
import java.util.Collections;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;
import kotlin.collections.ArraysKt___ArraysKt;
import kotlin.collections.EmptyList;
import kotlin.jvm.internal.Intrinsics;
import kotlin.sequences.FilteringSequence;
import kotlin.sequences.FilteringSequence$iterator$1;
import kotlin.sequences.Sequence;
import kotlin.sequences.SequencesKt;
import kotlin.sequences.TransformingSequence;
import kotlin.text.StringsKt__IndentKt;
import kotlin.text.StringsKt__StringsKt$splitToSequence$2;

/* compiled from: HostsFile.kt */
public final class HostsFile {
    public final Map<String, Set<InetAddress>> map = new LinkedHashMap();

    public HostsFile(String str) {
        InetAddress parseNumericAddress;
        Intrinsics.checkParameterIsNotNull(str, "input");
        TransformingSequence transformingSequence = (TransformingSequence) StringsKt__IndentKt.lineSequence(str);
        for (T t : transformingSequence.sequence) {
            Object obj = null;
            String substringBefore$default = StringsKt__IndentKt.substringBefore$default(transformingSequence.transformer.invoke(t), '#', null, 2);
            char[] cArr = {StringUtil.SPACE, '\t'};
            Intrinsics.checkNotNullParameter(substringBefore$default, "$this$splitToSequence");
            Intrinsics.checkNotNullParameter(cArr, "delimiters");
            Sequence filter = SequencesKt.filter(SequencesKt.map(StringsKt__IndentKt.rangesDelimitedBy$StringsKt__StringsKt$default((CharSequence) substringBefore$default, cArr, 0, false, 0, 2), new StringsKt__StringsKt$splitToSequence$2(substringBefore$default)), HostsFile$entries$1.INSTANCE);
            Intrinsics.checkNotNullParameter(filter, "$this$firstOrNull");
            FilteringSequence$iterator$1 filteringSequence$iterator$1 = new FilteringSequence$iterator$1((FilteringSequence) filter);
            String str2 = (String) (filteringSequence$iterator$1.hasNext() ? filteringSequence$iterator$1.next() : obj);
            if (!(str2 == null || (parseNumericAddress = UtilsKt.parseNumericAddress(str2)) == null)) {
                for (String str3 : SequencesKt.drop(filter, 1)) {
                    this.map.computeIfAbsent(str3, AnonymousClass1.INSTANCE).add(parseNumericAddress);
                }
            }
        }
    }

    public final List<InetAddress> resolve(String str) {
        Intrinsics.checkParameterIsNotNull(str, "hostname");
        Set<InetAddress> set = this.map.get(str);
        if (set == null) {
            return EmptyList.INSTANCE;
        }
        Intrinsics.checkNotNullParameter(set, "$this$shuffled");
        List<InetAddress> mutableList = ArraysKt___ArraysKt.toMutableList((Iterable) set);
        Collections.shuffle(mutableList);
        return mutableList;
    }
}
