package com.github.shadowsocks.plugin;

import android.content.ContentProvider;
import android.content.ContentValues;
import android.database.Cursor;
import android.database.MatrixCursor;
import android.net.Uri;
import android.os.Bundle;
import android.os.ParcelFileDescriptor;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: NativePluginProvider.kt */
public abstract class NativePluginProvider extends ContentProvider {
    public Bundle call(String str, String str2, Bundle bundle) {
        Intrinsics.checkParameterIsNotNull(str, "method");
        if (str.hashCode() != 1049814037 || !str.equals("shadowsocks:getExecutable")) {
            return super.call(str, str2, bundle);
        }
        throw new UnsupportedOperationException();
    }

    public int delete(Uri uri, String str, String[] strArr) {
        Intrinsics.checkParameterIsNotNull(uri, "uri");
        throw new UnsupportedOperationException();
    }

    public String getType(Uri uri) {
        Intrinsics.checkParameterIsNotNull(uri, "uri");
        return "application/x-elf";
    }

    public Uri insert(Uri uri, ContentValues contentValues) {
        Intrinsics.checkParameterIsNotNull(uri, "uri");
        throw new UnsupportedOperationException();
    }

    public boolean onCreate() {
        return true;
    }

    public abstract ParcelFileDescriptor openFile(Uri uri);

    @Override // android.content.ContentProvider
    public ParcelFileDescriptor openFile(Uri uri, String str) {
        Intrinsics.checkParameterIsNotNull(uri, "uri");
        Intrinsics.checkParameterIsNotNull(str, "mode");
        if (Intrinsics.areEqual(str, "r")) {
            return openFile(uri);
        }
        throw new IllegalStateException("Check failed.".toString());
    }

    public abstract void populateFiles(PathProvider pathProvider);

    public Cursor query(Uri uri, String[] strArr, String str, String[] strArr2, String str2) {
        Intrinsics.checkParameterIsNotNull(uri, "uri");
        if (str == null && strArr2 == null && str2 == null) {
            MatrixCursor matrixCursor = new MatrixCursor(strArr);
            populateFiles(new PathProvider(uri, matrixCursor));
            return matrixCursor;
        }
        throw new IllegalStateException("Check failed.".toString());
    }

    public int update(Uri uri, ContentValues contentValues, String str, String[] strArr) {
        Intrinsics.checkParameterIsNotNull(uri, "uri");
        throw new UnsupportedOperationException();
    }
}
