package com.github.shadowsocks.plugin;

import android.database.MatrixCursor;
import android.net.Uri;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: PathProvider.kt */
public final class PathProvider {
    public PathProvider(Uri uri, MatrixCursor matrixCursor) {
        Intrinsics.checkParameterIsNotNull(uri, "baseUri");
        Intrinsics.checkParameterIsNotNull(matrixCursor, "cursor");
        String path = uri.getPath();
        if (path != null) {
            char[] cArr = {'/'};
            Intrinsics.checkNotNullParameter(path, "$this$trim");
            Intrinsics.checkNotNullParameter(cArr, "chars");
            int length = path.length() - 1;
            int i = 0;
            boolean z = false;
            while (i <= length) {
                char charAt = path.charAt(!z ? i : length);
                Intrinsics.checkNotNullParameter(cArr, "$this$contains");
                Intrinsics.checkNotNullParameter(cArr, "$this$indexOf");
                int i2 = 0;
                while (true) {
                    if (i2 >= 1) {
                        i2 = -1;
                        break;
                    } else if (charAt == cArr[i2]) {
                        break;
                    } else {
                        i2++;
                    }
                }
                boolean z2 = i2 >= 0;
                if (!z) {
                    if (!z2) {
                        z = true;
                    } else {
                        i++;
                    }
                } else if (!z2) {
                    break;
                } else {
                    length--;
                }
            }
            path.subSequence(i, length + 1).toString();
        }
    }
}
