package com.github.shadowsocks.plugin;

import kotlin.TypeCastException;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: Plugin.kt */
public abstract class Plugin {
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (true ^ Intrinsics.areEqual(getClass(), obj != null ? obj.getClass() : null)) {
            return false;
        }
        String id = getId();
        if (obj != null) {
            return Intrinsics.areEqual(id, ((Plugin) obj).getId());
        }
        throw new TypeCastException("null cannot be cast to non-null type com.github.shadowsocks.plugin.Plugin");
    }

    public String getDefaultConfig() {
        return null;
    }

    public abstract String getId();

    public String[] getIdAliases() {
        return new String[0];
    }

    public int hashCode() {
        return getId().hashCode();
    }
}
