package com.github.shadowsocks.plugin;

import android.util.Log;
import androidx.transition.ViewGroupUtilsApi14;
import com.github.shadowsocks.utils.Commandline;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import kotlin.TypeCastException;
import kotlin.collections.ArraysKt___ArraysKt;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt__IndentKt;

/* compiled from: PluginConfiguration.kt */
public final class PluginConfiguration {
    public final Map<String, PluginOptions> pluginsOptions;
    public final String selected;

    public PluginConfiguration(String str) {
        PluginOptions pluginOptions;
        Intrinsics.checkParameterIsNotNull(str, "plugin");
        List<String> split$default = StringsKt__IndentKt.split$default((CharSequence) str, new char[]{'\n'}, false, 0, 6);
        ArrayList arrayList = new ArrayList(ViewGroupUtilsApi14.collectionSizeOrDefault(split$default, 10));
        for (String str2 : split$default) {
            if (StringsKt__IndentKt.startsWith$default(str2, "kcptun ", false, 2)) {
                pluginOptions = new PluginOptions();
                pluginOptions.setId("kcptun");
                try {
                    Iterator it = ViewGroupUtilsApi14.drop(Commandline.translateCommandline(str2), 1).iterator();
                    while (it.hasNext()) {
                        String str3 = (String) it.next();
                        if (Intrinsics.areEqual(str3, "--nocomp")) {
                            pluginOptions.put("nocomp", null);
                        } else if (!StringsKt__IndentKt.startsWith$default(str3, "--", false, 2)) {
                            throw new IllegalArgumentException("Unknown kcptun parameter: " + str3);
                        } else if (str3 != null) {
                            String substring = str3.substring(2);
                            Intrinsics.checkExpressionValueIsNotNull(substring, "(this as java.lang.String).substring(startIndex)");
                            pluginOptions.put(substring, it.next());
                        } else {
                            throw new TypeCastException("null cannot be cast to non-null type java.lang.String");
                        }
                    }
                    continue;
                } catch (Exception e) {
                    Log.w("PluginConfiguration", e.getMessage());
                }
            } else {
                pluginOptions = new PluginOptions(str2);
            }
            arrayList.add(pluginOptions);
        }
        ArrayList arrayList2 = new ArrayList();
        Iterator it2 = arrayList.iterator();
        while (it2.hasNext()) {
            Object next = it2.next();
            if (((PluginOptions) next).getId().length() > 0) {
                arrayList2.add(next);
            }
        }
        int mapCapacity = ViewGroupUtilsApi14.mapCapacity(ViewGroupUtilsApi14.collectionSizeOrDefault(arrayList2, 10));
        LinkedHashMap linkedHashMap = new LinkedHashMap(mapCapacity < 16 ? 16 : mapCapacity);
        Iterator it3 = arrayList2.iterator();
        while (it3.hasNext()) {
            Object next2 = it3.next();
            linkedHashMap.put(((PluginOptions) next2).getId(), next2);
        }
        String id = arrayList.isEmpty() ? "" : ((PluginOptions) arrayList.get(0)).getId();
        Intrinsics.checkParameterIsNotNull(linkedHashMap, "pluginsOptions");
        Intrinsics.checkParameterIsNotNull(id, "selected");
        this.pluginsOptions = linkedHashMap;
        this.selected = id;
    }

    public static PluginOptions getOptions$default(PluginConfiguration pluginConfiguration, String str, Function0 function0, int i) {
        String str2 = (i & 1) != 0 ? pluginConfiguration.selected : null;
        if ((i & 2) != 0) {
            function0 = new PluginConfiguration$getOptions$1(str2);
        }
        Intrinsics.checkParameterIsNotNull(str2, "id");
        Intrinsics.checkParameterIsNotNull(function0, "defaultConfig");
        if (str2.length() == 0) {
            return new PluginOptions();
        }
        PluginOptions pluginOptions = pluginConfiguration.pluginsOptions.get(str2);
        return pluginOptions != null ? pluginOptions : new PluginOptions(str2, (String) function0.invoke());
    }

    public String toString() {
        LinkedList linkedList = new LinkedList();
        for (Map.Entry<String, PluginOptions> entry : this.pluginsOptions.entrySet()) {
            PluginOptions value = entry.getValue();
            if (Intrinsics.areEqual(entry.getKey(), this.selected)) {
                linkedList.addFirst(value);
            } else {
                linkedList.addLast(value);
            }
        }
        if (!this.pluginsOptions.containsKey(this.selected)) {
            linkedList.addFirst(getOptions$default(this, null, null, 3));
        }
        return ArraysKt___ArraysKt.joinToString$default(linkedList, "\n", null, null, 0, null, PluginConfiguration$toString$1.INSTANCE, 30);
    }
}
