package com.github.shadowsocks.plugin;

import android.content.Intent;
import android.content.pm.ResolveInfo;
import androidx.transition.ViewGroupUtilsApi14;
import com.github.shadowsocks.Core;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: PluginList.kt */
public final class PluginList extends ArrayList<Plugin> {
    private final Map<String, Plugin> lookup;

    public PluginList() {
        add(NoPlugin.INSTANCE);
        List<ResolveInfo> queryIntentContentProviders = Core.INSTANCE.getApp().getPackageManager().queryIntentContentProviders(new Intent("com.github.shadowsocks.plugin.ACTION_NATIVE_PLUGIN"), 128);
        Intrinsics.checkExpressionValueIsNotNull(queryIntentContentProviders, "app.packageManager.query…ageManager.GET_META_DATA)");
        ArrayList arrayList = new ArrayList(ViewGroupUtilsApi14.collectionSizeOrDefault(queryIntentContentProviders, 10));
        for (T t : queryIntentContentProviders) {
            Intrinsics.checkExpressionValueIsNotNull(t, "it");
            arrayList.add(new NativePlugin(t));
        }
        addAll(arrayList);
        LinkedHashMap linkedHashMap = new LinkedHashMap();
        Iterator it = iterator();
        while (it.hasNext()) {
            Plugin plugin = (Plugin) it.next();
            PluginList$lookup$1$1 pluginList$lookup$1$1 = new PluginList$lookup$1$1(plugin);
            String id = plugin.getId();
            Intrinsics.checkExpressionValueIsNotNull(plugin, "plugin");
            pluginList$lookup$1$1.invoke((Plugin) linkedHashMap.put(id, plugin));
            for (String str : plugin.getIdAliases()) {
                pluginList$lookup$1$1.invoke((Plugin) linkedHashMap.put(str, plugin));
            }
        }
        this.lookup = linkedHashMap;
    }

    public /* bridge */ boolean contains(Plugin plugin) {
        return super.contains((Object) plugin);
    }

    public final Map<String, Plugin> getLookup() {
        return this.lookup;
    }

    public /* bridge */ int getSize() {
        return super.size();
    }

    public /* bridge */ int indexOf(Plugin plugin) {
        return super.indexOf((Object) plugin);
    }

    public /* bridge */ int lastIndexOf(Plugin plugin) {
        return super.lastIndexOf((Object) plugin);
    }

    @Override // java.util.List, java.util.AbstractList, java.util.ArrayList
    public final /* bridge */ Plugin remove(int i) {
        return removeAt(i);
    }

    public /* bridge */ Plugin removeAt(int i) {
        return (Plugin) remove(i);
    }

    public final /* bridge */ int size() {
        return getSize();
    }

    public final /* bridge */ boolean contains(Object obj) {
        if (obj instanceof Plugin) {
            return contains((Plugin) obj);
        }
        return false;
    }

    public final /* bridge */ int indexOf(Object obj) {
        if (obj instanceof Plugin) {
            return indexOf((Plugin) obj);
        }
        return -1;
    }

    public final /* bridge */ int lastIndexOf(Object obj) {
        if (obj instanceof Plugin) {
            return lastIndexOf((Plugin) obj);
        }
        return -1;
    }

    public /* bridge */ boolean remove(Plugin plugin) {
        return super.remove((Object) plugin);
    }

    @Override // java.util.List, java.util.ArrayList
    public final /* bridge */ boolean remove(Object obj) {
        if (obj instanceof Plugin) {
            return remove((Plugin) obj);
        }
        return false;
    }
}
