package com.github.shadowsocks.utils;

import androidx.recyclerview.widget.SortedList;

/* compiled from: Sorters.kt */
public abstract class BaseSorter<T> extends SortedList.Callback<T> {
    @Override // androidx.recyclerview.widget.SortedList.Callback, java.util.Comparator
    public int compare(T t, T t2) {
        if (t == null) {
            return t2 == null ? 0 : 1;
        }
        if (t2 == null) {
            return -1;
        }
        return compareNonNull(t, t2);
    }

    public abstract int compareNonNull(T t, T t2);
}
