package com.github.shadowsocks.utils;

import androidx.recyclerview.widget.SortedList;
import com.android.tools.r8.GeneratedOutlineSupport;
import java.util.Iterator;
import java.util.NoSuchElementException;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: ArrayIterator.kt */
public final class SortedListIterator<T> implements Iterator {
    public int count;
    public final SortedList<T> list;

    public SortedListIterator(SortedList<T> sortedList) {
        Intrinsics.checkParameterIsNotNull(sortedList, "list");
        this.list = sortedList;
    }

    public boolean hasNext() {
        return this.count < this.list.mSize;
    }

    @Override // java.util.Iterator
    public Object next() {
        if (hasNext()) {
            int i = this.count;
            this.count = i + 1;
            SortedList<T> sortedList = this.list;
            if (i < sortedList.mSize && i >= 0) {
                return sortedList.mData[i];
            }
            StringBuilder outline26 = GeneratedOutlineSupport.outline26("Asked to get item at ", i, " but size is ");
            outline26.append(sortedList.mSize);
            throw new IndexOutOfBoundsException(outline26.toString());
        }
        throw new NoSuchElementException();
    }

    public void remove() {
        throw new UnsupportedOperationException("Operation is not supported for read-only collection");
    }
}
