package com.google.protobuf;

import com.google.protobuf.Descriptors;
import io.netty.handler.codec.compression.FastLz;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public class ExtensionRegistry extends ExtensionRegistryLite {
    public static final ExtensionRegistry EMPTY_REGISTRY = new ExtensionRegistry(true);
    public final Map<String, ExtensionInfo> immutableExtensionsByName;
    public final Map<DescriptorIntPair, ExtensionInfo> immutableExtensionsByNumber;
    public final Map<String, ExtensionInfo> mutableExtensionsByName;
    public final Map<DescriptorIntPair, ExtensionInfo> mutableExtensionsByNumber;

    public final class DescriptorIntPair {
        public final Descriptors.Descriptor descriptor;
        public final int number;

        public DescriptorIntPair(Descriptors.Descriptor descriptor2, int i) {
            this.descriptor = descriptor2;
            this.number = i;
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof DescriptorIntPair)) {
                return false;
            }
            DescriptorIntPair descriptorIntPair = (DescriptorIntPair) obj;
            if (this.descriptor == descriptorIntPair.descriptor && this.number == descriptorIntPair.number) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            return (this.descriptor.hashCode() * FastLz.MAX_CHUNK_LENGTH) + this.number;
        }
    }

    public abstract class ExtensionInfo {
    }

    public ExtensionRegistry() {
        new HashMap();
        new HashMap();
        this.immutableExtensionsByNumber = new HashMap();
        new HashMap();
    }

    public ExtensionRegistry(boolean z) {
        super(ExtensionRegistryLite.EMPTY_REGISTRY_LITE);
        this.immutableExtensionsByName = Collections.emptyMap();
        this.mutableExtensionsByName = Collections.emptyMap();
        this.immutableExtensionsByNumber = Collections.emptyMap();
        this.mutableExtensionsByNumber = Collections.emptyMap();
    }
}
