package com.google.protobuf;

import com.google.protobuf.MapEntryLite;
import com.google.protobuf.MapField;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Objects;

public class MapFieldSchemaFull implements MapFieldSchema {
    @Override // com.google.protobuf.MapFieldSchema
    public MapEntryLite.Metadata<?, ?> forMapMetadata(Object obj) {
        MapEntry mapEntry = (MapEntry) obj;
        throw null;
    }

    @Override // com.google.protobuf.MapFieldSchema
    public Map<?, ?> forMutableMapData(Object obj) {
        return ((MapField) obj).getMutableMap();
    }

    @Override // com.google.protobuf.MapFieldSchema
    public int getSerializedSize(int i, Object obj, Object obj2) {
        if (obj == null) {
            return 0;
        }
        Map map = ((MapField) obj).getMap();
        MapEntry mapEntry = (MapEntry) obj2;
        if (map.isEmpty()) {
            return 0;
        }
        Iterator it = map.entrySet().iterator();
        if (!it.hasNext()) {
            return 0;
        }
        Map.Entry entry = (Map.Entry) it.next();
        CodedOutputStream.computeTagSize(i);
        Objects.requireNonNull(mapEntry);
        throw null;
    }

    @Override // com.google.protobuf.MapFieldSchema
    public boolean isImmutable(Object obj) {
        return !((MapField) obj).isMutable;
    }

    @Override // com.google.protobuf.MapFieldSchema
    public Object mergeFrom(Object obj, Object obj2) {
        MapField mapField = (MapField) obj;
        MapField mapField2 = (MapField) obj2;
        if (!mapField.isMutable) {
            new MapField(mapField.converter, MapField.StorageMode.MAP, MapFieldLite.copy(mapField.getMap()));
        }
        ((MapField.MutatabilityAwareMap) mapField.getMutableMap()).putAll(MapFieldLite.copy(mapField2.getMap()));
        return mapField;
    }

    @Override // com.google.protobuf.MapFieldSchema
    public Object newMapField(Object obj) {
        MapEntry mapEntry = (MapEntry) obj;
        return new MapField(new MapField.ImmutableMessageConverter(), MapField.StorageMode.MAP, new LinkedHashMap());
    }

    @Override // com.google.protobuf.MapFieldSchema
    public Object toImmutable(Object obj) {
        ((MapField) obj).isMutable = false;
        return obj;
    }
}
