package com.google.protobuf;

import com.google.protobuf.Descriptors;
import java.util.Collections;
import java.util.Map;
import java.util.logging.Logger;

public class TypeRegistry {
    public static final /* synthetic */ int $r8$clinit = 0;
    public final Map<String, Descriptors.Descriptor> types;

    public abstract class EmptyTypeRegistryHolder {
        public static final TypeRegistry EMPTY = new TypeRegistry(Collections.emptyMap());
    }

    static {
        Logger.getLogger(TypeRegistry.class.getName());
    }

    public TypeRegistry(Map<String, Descriptors.Descriptor> map) {
        this.types = map;
    }

    public final Descriptors.Descriptor getDescriptorForTypeUrl(String str) {
        String[] split = str.split("/");
        if (split.length == 1) {
            throw new InvalidProtocolBufferException(str.length() != 0 ? "Invalid type url found: ".concat(str) : new String("Invalid type url found: "));
        }
        return this.types.get(split[split.length - 1]);
    }
}
