package com.google.protobuf;

import androidx.transition.ViewGroupUtilsApi14;
import java.nio.ByteBuffer;

public abstract class Utf8 {
    public static final Processor processor;

    public abstract class Processor {
        public abstract String decodeUtf8(byte[] bArr, int i, int i2);

        public final String decodeUtf8Default(ByteBuffer byteBuffer, int i, int i2) {
            if ((i | i2 | ((byteBuffer.limit() - i) - i2)) >= 0) {
                int i3 = i + i2;
                char[] cArr = new char[i2];
                int i4 = 0;
                while (i < i3) {
                    byte b = byteBuffer.get(i);
                    if (!ViewGroupUtilsApi14.access$400(b)) {
                        break;
                    }
                    i++;
                    cArr[i4] = (char) b;
                    i4++;
                }
                int i5 = i4;
                while (i < i3) {
                    int i6 = i + 1;
                    byte b2 = byteBuffer.get(i);
                    if (ViewGroupUtilsApi14.access$400(b2)) {
                        int i7 = i5 + 1;
                        cArr[i5] = (char) b2;
                        while (i6 < i3) {
                            byte b3 = byteBuffer.get(i6);
                            if (!ViewGroupUtilsApi14.access$400(b3)) {
                                break;
                            }
                            i6++;
                            cArr[i7] = (char) b3;
                            i7++;
                        }
                        i = i6;
                        i5 = i7;
                    } else if (ViewGroupUtilsApi14.access$600(b2)) {
                        if (i6 < i3) {
                            ViewGroupUtilsApi14.access$700(b2, byteBuffer.get(i6), cArr, i5);
                            i = i6 + 1;
                            i5++;
                        } else {
                            throw InvalidProtocolBufferException.invalidUtf8();
                        }
                    } else if (ViewGroupUtilsApi14.access$800(b2)) {
                        if (i6 < i3 - 1) {
                            int i8 = i6 + 1;
                            ViewGroupUtilsApi14.access$900(b2, byteBuffer.get(i6), byteBuffer.get(i8), cArr, i5);
                            i = i8 + 1;
                            i5++;
                        } else {
                            throw InvalidProtocolBufferException.invalidUtf8();
                        }
                    } else if (i6 < i3 - 2) {
                        int i9 = i6 + 1;
                        byte b4 = byteBuffer.get(i6);
                        int i10 = i9 + 1;
                        ViewGroupUtilsApi14.access$1000(b2, b4, byteBuffer.get(i9), byteBuffer.get(i10), cArr, i5);
                        i = i10 + 1;
                        i5 = i5 + 1 + 1;
                    } else {
                        throw InvalidProtocolBufferException.invalidUtf8();
                    }
                }
                return new String(cArr, 0, i5);
            }
            throw new ArrayIndexOutOfBoundsException(String.format("buffer limit=%d, index=%d, limit=%d", Integer.valueOf(byteBuffer.limit()), Integer.valueOf(i), Integer.valueOf(i2)));
        }

        public abstract String decodeUtf8Direct(ByteBuffer byteBuffer, int i, int i2);

        public abstract int encodeUtf8(CharSequence charSequence, byte[] bArr, int i, int i2);

        public final int partialIsValidUtf8(int i, ByteBuffer byteBuffer, int i2, int i3) {
            if (byteBuffer.hasArray()) {
                int arrayOffset = byteBuffer.arrayOffset();
                return partialIsValidUtf8(i, byteBuffer.array(), i2 + arrayOffset, arrayOffset + i3);
            } else if (byteBuffer.isDirect()) {
                return partialIsValidUtf8Direct(i, byteBuffer, i2, i3);
            } else {
                return partialIsValidUtf8Default(i, byteBuffer, i2, i3);
            }
        }

        public abstract int partialIsValidUtf8(int i, byte[] bArr, int i2, int i3);

        /* JADX WARNING: Code restructure failed: missing block: B:25:0x0057, code lost:
            if (r21.get(r0) > -65) goto L_0x0059;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:46:0x009e, code lost:
            if (r21.get(r0) > -65) goto L_0x00a0;
         */
        public final int partialIsValidUtf8Default(int i, ByteBuffer byteBuffer, int i2, int i3) {
            byte b;
            int i4;
            byte b2;
            int i5;
            int i6 = i2;
            if (i != 0) {
                if (i6 >= i3) {
                    return i;
                }
                byte b3 = (byte) i;
                if (b3 < -32) {
                    if (b3 >= -62) {
                        int i7 = i6 + 1;
                        if (byteBuffer.get(i2) <= -65) {
                            i6 = i7;
                        }
                    }
                    return -1;
                } else if (b3 < -16) {
                    byte b4 = (byte) (~(i >> 8));
                    if (b4 == 0) {
                        i5 = i6 + 1;
                        b2 = byteBuffer.get(i2);
                        if (i5 >= i3) {
                            return Utf8.incompleteStateFor(b3, b2);
                        }
                    } else {
                        b2 = b4;
                        i5 = i6;
                    }
                    if (b2 <= -65 && ((b3 != -32 || b2 >= -96) && (b3 != -19 || b2 < -96))) {
                        i6 = i5 + 1;
                    }
                    return -1;
                } else {
                    byte b5 = (byte) (~(i >> 8));
                    if (b5 == 0) {
                        i4 = i6 + 1;
                        b5 = byteBuffer.get(i2);
                        if (i4 >= i3) {
                            return Utf8.incompleteStateFor(b3, b5);
                        }
                        b = 0;
                    } else {
                        b = (byte) (i >> 16);
                        i4 = i6;
                    }
                    if (b == 0) {
                        int i8 = i4 + 1;
                        byte b6 = byteBuffer.get(i4);
                        if (i8 >= i3) {
                            return Utf8.incompleteStateFor(b3, b5, b6);
                        }
                        b = b6;
                        i4 = i8;
                    }
                    if (b5 <= -65) {
                        if ((((b5 + 112) + (b3 << 28)) >> 30) == 0 && b <= -65) {
                            i6 = i4 + 1;
                        }
                    }
                    return -1;
                }
            }
            Processor processor = Utf8.processor;
            int i9 = i3 - 7;
            int i10 = i6;
            while (i10 < i9 && (byteBuffer.getLong(i10) & -9187201950435737472L) == 0) {
                i10 += 8;
            }
            int i11 = (i10 - i6) + i6;
            while (i11 < i3) {
                int i12 = i11 + 1;
                byte b7 = byteBuffer.get(i11);
                if (b7 < 0) {
                    if (b7 < -32) {
                        if (i12 >= i3) {
                            return b7;
                        }
                        if (b7 >= -62 && byteBuffer.get(i12) <= -65) {
                            i12++;
                        }
                    } else if (b7 < -16) {
                        if (i12 >= i3 - 1) {
                            return Utf8.access$300(byteBuffer, b7, i12, i3 - i12);
                        }
                        int i13 = i12 + 1;
                        byte b8 = byteBuffer.get(i12);
                        if (b8 <= -65 && ((b7 != -32 || b8 >= -96) && ((b7 != -19 || b8 < -96) && byteBuffer.get(i13) <= -65))) {
                            i11 = i13 + 1;
                        }
                    } else if (i12 >= i3 - 2) {
                        return Utf8.access$300(byteBuffer, b7, i12, i3 - i12);
                    } else {
                        int i14 = i12 + 1;
                        byte b9 = byteBuffer.get(i12);
                        if (b9 <= -65) {
                            if ((((b9 + 112) + (b7 << 28)) >> 30) == 0) {
                                int i15 = i14 + 1;
                                if (byteBuffer.get(i14) <= -65) {
                                    int i16 = i15 + 1;
                                    if (byteBuffer.get(i15) <= -65) {
                                        i11 = i16;
                                    }
                                }
                            }
                        }
                    }
                    return -1;
                }
                i11 = i12;
            }
            return 0;
        }

        public abstract int partialIsValidUtf8Direct(int i, ByteBuffer byteBuffer, int i2, int i3);
    }

    public final class SafeProcessor extends Processor {
        @Override // com.google.protobuf.Utf8.Processor
        public String decodeUtf8(byte[] bArr, int i, int i2) {
            if ((i | i2 | ((bArr.length - i) - i2)) >= 0) {
                int i3 = i + i2;
                char[] cArr = new char[i2];
                int i4 = 0;
                while (i < i3) {
                    byte b = bArr[i];
                    if (!ViewGroupUtilsApi14.access$400(b)) {
                        break;
                    }
                    i++;
                    cArr[i4] = (char) b;
                    i4++;
                }
                int i5 = i4;
                while (i < i3) {
                    int i6 = i + 1;
                    byte b2 = bArr[i];
                    if (ViewGroupUtilsApi14.access$400(b2)) {
                        int i7 = i5 + 1;
                        cArr[i5] = (char) b2;
                        while (i6 < i3) {
                            byte b3 = bArr[i6];
                            if (!ViewGroupUtilsApi14.access$400(b3)) {
                                break;
                            }
                            i6++;
                            cArr[i7] = (char) b3;
                            i7++;
                        }
                        i = i6;
                        i5 = i7;
                    } else if (ViewGroupUtilsApi14.access$600(b2)) {
                        if (i6 < i3) {
                            ViewGroupUtilsApi14.access$700(b2, bArr[i6], cArr, i5);
                            i = i6 + 1;
                            i5++;
                        } else {
                            throw InvalidProtocolBufferException.invalidUtf8();
                        }
                    } else if (ViewGroupUtilsApi14.access$800(b2)) {
                        if (i6 < i3 - 1) {
                            int i8 = i6 + 1;
                            ViewGroupUtilsApi14.access$900(b2, bArr[i6], bArr[i8], cArr, i5);
                            i = i8 + 1;
                            i5++;
                        } else {
                            throw InvalidProtocolBufferException.invalidUtf8();
                        }
                    } else if (i6 < i3 - 2) {
                        int i9 = i6 + 1;
                        byte b4 = bArr[i6];
                        int i10 = i9 + 1;
                        ViewGroupUtilsApi14.access$1000(b2, b4, bArr[i9], bArr[i10], cArr, i5);
                        i = i10 + 1;
                        i5 = i5 + 1 + 1;
                    } else {
                        throw InvalidProtocolBufferException.invalidUtf8();
                    }
                }
                return new String(cArr, 0, i5);
            }
            throw new ArrayIndexOutOfBoundsException(String.format("buffer length=%d, index=%d, size=%d", Integer.valueOf(bArr.length), Integer.valueOf(i), Integer.valueOf(i2)));
        }

        @Override // com.google.protobuf.Utf8.Processor
        public String decodeUtf8Direct(ByteBuffer byteBuffer, int i, int i2) {
            return decodeUtf8Default(byteBuffer, i, i2);
        }

        @Override // com.google.protobuf.Utf8.Processor
        public int encodeUtf8(CharSequence charSequence, byte[] bArr, int i, int i2) {
            int i3;
            int i4;
            int i5;
            char charAt;
            int length = charSequence.length();
            int i6 = i2 + i;
            int i7 = 0;
            while (i7 < length && (i5 = i7 + i) < i6 && (charAt = charSequence.charAt(i7)) < 128) {
                bArr[i5] = (byte) charAt;
                i7++;
            }
            if (i7 == length) {
                return i + length;
            }
            int i8 = i + i7;
            while (i7 < length) {
                char charAt2 = charSequence.charAt(i7);
                if (charAt2 < 128 && i8 < i6) {
                    i4 = i8 + 1;
                    bArr[i8] = (byte) charAt2;
                } else if (charAt2 < 2048 && i8 <= i6 - 2) {
                    int i9 = i8 + 1;
                    bArr[i8] = (byte) ((charAt2 >>> 6) | 960);
                    i8 = i9 + 1;
                    bArr[i9] = (byte) ((charAt2 & '?') | 128);
                    i7++;
                } else if ((charAt2 < 55296 || 57343 < charAt2) && i8 <= i6 - 3) {
                    int i10 = i8 + 1;
                    bArr[i8] = (byte) ((charAt2 >>> '\f') | 480);
                    int i11 = i10 + 1;
                    bArr[i10] = (byte) (((charAt2 >>> 6) & 63) | 128);
                    i4 = i11 + 1;
                    bArr[i11] = (byte) ((charAt2 & '?') | 128);
                } else if (i8 <= i6 - 4) {
                    int i12 = i7 + 1;
                    if (i12 != charSequence.length()) {
                        char charAt3 = charSequence.charAt(i12);
                        if (Character.isSurrogatePair(charAt2, charAt3)) {
                            int codePoint = Character.toCodePoint(charAt2, charAt3);
                            int i13 = i8 + 1;
                            bArr[i8] = (byte) ((codePoint >>> 18) | 240);
                            int i14 = i13 + 1;
                            bArr[i13] = (byte) (((codePoint >>> 12) & 63) | 128);
                            int i15 = i14 + 1;
                            bArr[i14] = (byte) (((codePoint >>> 6) & 63) | 128);
                            i8 = i15 + 1;
                            bArr[i15] = (byte) ((codePoint & 63) | 128);
                            i7 = i12;
                            i7++;
                        } else {
                            i7 = i12;
                        }
                    }
                    throw new UnpairedSurrogateException(i7 - 1, length);
                } else if (55296 > charAt2 || charAt2 > 57343 || ((i3 = i7 + 1) != charSequence.length() && Character.isSurrogatePair(charAt2, charSequence.charAt(i3)))) {
                    StringBuilder sb = new StringBuilder(37);
                    sb.append("Failed writing ");
                    sb.append(charAt2);
                    sb.append(" at index ");
                    sb.append(i8);
                    throw new ArrayIndexOutOfBoundsException(sb.toString());
                } else {
                    throw new UnpairedSurrogateException(i7, length);
                }
                i8 = i4;
                i7++;
            }
            return i8;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:25:0x0047, code lost:
            if (r13[r14] > -65) goto L_0x0049;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:46:0x0082, code lost:
            if (r13[r14] > -65) goto L_0x0084;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:8:0x001c, code lost:
            if (r13[r14] > -65) goto L_0x0022;
         */
        @Override // com.google.protobuf.Utf8.Processor
        public int partialIsValidUtf8(int i, byte[] bArr, int i2, int i3) {
            byte b;
            int i4;
            if (i != 0) {
                if (i2 >= i3) {
                    return i;
                }
                byte b2 = (byte) i;
                if (b2 < -32) {
                    if (b2 >= -62) {
                        i4 = i2 + 1;
                    }
                    return -1;
                } else if (b2 < -16) {
                    byte b3 = (byte) (~(i >> 8));
                    if (b3 == 0) {
                        int i5 = i2 + 1;
                        byte b4 = bArr[i2];
                        if (i5 >= i3) {
                            return Utf8.incompleteStateFor(b2, b4);
                        }
                        i2 = i5;
                        b3 = b4;
                    }
                    if (b3 <= -65 && ((b2 != -32 || b3 >= -96) && (b2 != -19 || b3 < -96))) {
                        i4 = i2 + 1;
                    }
                    return -1;
                } else {
                    byte b5 = (byte) (~(i >> 8));
                    if (b5 == 0) {
                        int i6 = i2 + 1;
                        b5 = bArr[i2];
                        if (i6 >= i3) {
                            return Utf8.incompleteStateFor(b2, b5);
                        }
                        i2 = i6;
                        b = 0;
                    } else {
                        b = (byte) (i >> 16);
                    }
                    if (b == 0) {
                        int i7 = i2 + 1;
                        byte b6 = bArr[i2];
                        if (i7 >= i3) {
                            return Utf8.incompleteStateFor(b2, b5, b6);
                        }
                        i2 = i7;
                        b = b6;
                    }
                    if (b5 <= -65) {
                        if ((((b5 + 112) + (b2 << 28)) >> 30) == 0 && b <= -65) {
                            i4 = i2 + 1;
                        }
                    }
                    return -1;
                }
                i2 = i4;
            }
            while (i2 < i3 && bArr[i2] >= 0) {
                i2++;
            }
            if (i2 >= i3) {
                return 0;
            }
            while (i2 < i3) {
                int i8 = i2 + 1;
                byte b7 = bArr[i2];
                if (b7 < 0) {
                    if (b7 < -32) {
                        if (i8 >= i3) {
                            return b7;
                        }
                        if (b7 >= -62) {
                            i2 = i8 + 1;
                            if (bArr[i8] > -65) {
                            }
                        }
                    } else if (b7 < -16) {
                        if (i8 >= i3 - 1) {
                            return Utf8.access$1100(bArr, i8, i3);
                        }
                        int i9 = i8 + 1;
                        byte b8 = bArr[i8];
                        if (b8 <= -65 && ((b7 != -32 || b8 >= -96) && (b7 != -19 || b8 < -96))) {
                            i2 = i9 + 1;
                            if (bArr[i9] > -65) {
                            }
                        }
                    } else if (i8 >= i3 - 2) {
                        return Utf8.access$1100(bArr, i8, i3);
                    } else {
                        int i10 = i8 + 1;
                        byte b9 = bArr[i8];
                        if (b9 <= -65) {
                            if ((((b9 + 112) + (b7 << 28)) >> 30) == 0) {
                                int i11 = i10 + 1;
                                if (bArr[i10] <= -65) {
                                    i2 = i11 + 1;
                                    if (bArr[i11] > -65) {
                                    }
                                }
                            }
                        }
                    }
                    return -1;
                }
                i2 = i8;
            }
            return 0;
        }

        @Override // com.google.protobuf.Utf8.Processor
        public int partialIsValidUtf8Direct(int i, ByteBuffer byteBuffer, int i2, int i3) {
            return partialIsValidUtf8Default(i, byteBuffer, i2, i3);
        }
    }

    public class UnpairedSurrogateException extends IllegalArgumentException {
        /* JADX WARNING: Illegal instructions before constructor call */
        public UnpairedSurrogateException(int i, int i2) {
            super(r0.toString());
            StringBuilder sb = new StringBuilder(54);
            sb.append("Unpaired surrogate at index ");
            sb.append(i);
            sb.append(" of ");
            sb.append(i2);
        }
    }

    static {
        Processor processor2;
        if (!(UnsafeUtil.HAS_UNSAFE_ARRAY_OPERATIONS && UnsafeUtil.HAS_UNSAFE_BYTEBUFFER_OPERATIONS) || Android.isOnAndroidDevice()) {
            processor2 = new SafeProcessor();
        } else {
            processor2 = new UnsafeProcessor();
        }
        processor = processor2;
    }

    public static int access$1100(byte[] bArr, int i, int i2) {
        byte b = bArr[i - 1];
        int i3 = i2 - i;
        if (i3 == 0) {
            return incompleteStateFor(b);
        }
        if (i3 == 1) {
            return incompleteStateFor(b, bArr[i]);
        }
        if (i3 == 2) {
            return incompleteStateFor(b, bArr[i], bArr[i + 1]);
        }
        throw new AssertionError();
    }

    public static int access$300(ByteBuffer byteBuffer, int i, int i2, int i3) {
        if (i3 == 0) {
            return incompleteStateFor(i);
        }
        if (i3 == 1) {
            return incompleteStateFor(i, byteBuffer.get(i2));
        }
        if (i3 == 2) {
            return incompleteStateFor(i, byteBuffer.get(i2), byteBuffer.get(i2 + 1));
        }
        throw new AssertionError();
    }

    public static int encode(CharSequence charSequence, byte[] bArr, int i, int i2) {
        return processor.encodeUtf8(charSequence, bArr, i, i2);
    }

    public static int encodedLength(CharSequence charSequence) {
        int length = charSequence.length();
        int i = 0;
        int i2 = 0;
        while (i2 < length && charSequence.charAt(i2) < 128) {
            i2++;
        }
        int i3 = length;
        while (true) {
            if (i2 >= length) {
                break;
            }
            char charAt = charSequence.charAt(i2);
            if (charAt < 2048) {
                i3 += (127 - charAt) >>> 31;
                i2++;
            } else {
                int length2 = charSequence.length();
                while (i2 < length2) {
                    char charAt2 = charSequence.charAt(i2);
                    if (charAt2 < 2048) {
                        i += (127 - charAt2) >>> 31;
                    } else {
                        i += 2;
                        if (55296 <= charAt2 && charAt2 <= 57343) {
                            if (Character.codePointAt(charSequence, i2) >= 65536) {
                                i2++;
                            } else {
                                throw new UnpairedSurrogateException(i2, length2);
                            }
                        }
                    }
                    i2++;
                }
                i3 += i;
            }
        }
        if (i3 >= length) {
            return i3;
        }
        StringBuilder sb = new StringBuilder(54);
        sb.append("UTF-8 length does not fit in int: ");
        sb.append(((long) i3) + 4294967296L);
        throw new IllegalArgumentException(sb.toString());
    }

    public static int incompleteStateFor(int i) {
        if (i > -12) {
            return -1;
        }
        return i;
    }

    public static int incompleteStateFor(int i, int i2) {
        if (i > -12 || i2 > -65) {
            return -1;
        }
        return i ^ (i2 << 8);
    }

    public static int incompleteStateFor(int i, int i2, int i3) {
        if (i > -12 || i2 > -65 || i3 > -65) {
            return -1;
        }
        return (i ^ (i2 << 8)) ^ (i3 << 16);
    }

    public final class UnsafeProcessor extends Processor {
        public static int unsafeIncompleteStateFor(byte[] bArr, int i, long j, int i2) {
            if (i2 == 0) {
                return Utf8.incompleteStateFor(i);
            }
            if (i2 == 1) {
                return Utf8.incompleteStateFor(i, UnsafeUtil.getByte(bArr, j));
            }
            if (i2 == 2) {
                return Utf8.incompleteStateFor(i, UnsafeUtil.getByte(bArr, j), UnsafeUtil.getByte(bArr, j + 1));
            }
            throw new AssertionError();
        }

        @Override // com.google.protobuf.Utf8.Processor
        public String decodeUtf8(byte[] bArr, int i, int i2) {
            if ((i | i2 | ((bArr.length - i) - i2)) >= 0) {
                int i3 = i + i2;
                char[] cArr = new char[i2];
                int i4 = 0;
                while (i < i3) {
                    byte b = UnsafeUtil.getByte(bArr, (long) i);
                    if (!ViewGroupUtilsApi14.access$400(b)) {
                        break;
                    }
                    i++;
                    cArr[i4] = (char) b;
                    i4++;
                }
                int i5 = i4;
                while (i < i3) {
                    int i6 = i + 1;
                    byte b2 = UnsafeUtil.getByte(bArr, (long) i);
                    if (ViewGroupUtilsApi14.access$400(b2)) {
                        int i7 = i5 + 1;
                        cArr[i5] = (char) b2;
                        while (i6 < i3) {
                            byte b3 = UnsafeUtil.getByte(bArr, (long) i6);
                            if (!ViewGroupUtilsApi14.access$400(b3)) {
                                break;
                            }
                            i6++;
                            cArr[i7] = (char) b3;
                            i7++;
                        }
                        i = i6;
                        i5 = i7;
                    } else if (ViewGroupUtilsApi14.access$600(b2)) {
                        if (i6 < i3) {
                            int i8 = i6 + 1;
                            ViewGroupUtilsApi14.access$700(b2, UnsafeUtil.getByte(bArr, (long) i6), cArr, i5);
                            i = i8;
                            i5++;
                        } else {
                            throw InvalidProtocolBufferException.invalidUtf8();
                        }
                    } else if (ViewGroupUtilsApi14.access$800(b2)) {
                        if (i6 < i3 - 1) {
                            int i9 = i6 + 1;
                            int i10 = i9 + 1;
                            ViewGroupUtilsApi14.access$900(b2, UnsafeUtil.getByte(bArr, (long) i6), UnsafeUtil.getByte(bArr, (long) i9), cArr, i5);
                            i = i10;
                            i5++;
                        } else {
                            throw InvalidProtocolBufferException.invalidUtf8();
                        }
                    } else if (i6 < i3 - 2) {
                        int i11 = i6 + 1;
                        int i12 = i11 + 1;
                        ViewGroupUtilsApi14.access$1000(b2, UnsafeUtil.getByte(bArr, (long) i6), UnsafeUtil.getByte(bArr, (long) i11), UnsafeUtil.getByte(bArr, (long) i12), cArr, i5);
                        i = i12 + 1;
                        i5 = i5 + 1 + 1;
                    } else {
                        throw InvalidProtocolBufferException.invalidUtf8();
                    }
                }
                return new String(cArr, 0, i5);
            }
            throw new ArrayIndexOutOfBoundsException(String.format("buffer length=%d, index=%d, size=%d", Integer.valueOf(bArr.length), Integer.valueOf(i), Integer.valueOf(i2)));
        }

        @Override // com.google.protobuf.Utf8.Processor
        public String decodeUtf8Direct(ByteBuffer byteBuffer, int i, int i2) {
            if ((i | i2 | ((byteBuffer.limit() - i) - i2)) >= 0) {
                long addressOffset = UnsafeUtil.addressOffset(byteBuffer) + ((long) i);
                long j = ((long) i2) + addressOffset;
                char[] cArr = new char[i2];
                int i3 = 0;
                while (addressOffset < j) {
                    byte b = UnsafeUtil.getByte(addressOffset);
                    if (!ViewGroupUtilsApi14.access$400(b)) {
                        break;
                    }
                    addressOffset++;
                    cArr[i3] = (char) b;
                    i3++;
                }
                while (true) {
                    int i4 = i3;
                    while (addressOffset < j) {
                        long j2 = addressOffset + 1;
                        byte b2 = UnsafeUtil.getByte(addressOffset);
                        if (ViewGroupUtilsApi14.access$400(b2)) {
                            cArr[i4] = (char) b2;
                            i4++;
                            addressOffset = j2;
                            while (addressOffset < j) {
                                byte b3 = UnsafeUtil.getByte(addressOffset);
                                if (!ViewGroupUtilsApi14.access$400(b3)) {
                                    break;
                                }
                                addressOffset++;
                                cArr[i4] = (char) b3;
                                i4++;
                            }
                        } else if (ViewGroupUtilsApi14.access$600(b2)) {
                            if (j2 < j) {
                                addressOffset = j2 + 1;
                                ViewGroupUtilsApi14.access$700(b2, UnsafeUtil.getByte(j2), cArr, i4);
                                i4++;
                            } else {
                                throw InvalidProtocolBufferException.invalidUtf8();
                            }
                        } else if (ViewGroupUtilsApi14.access$800(b2)) {
                            if (j2 < j - 1) {
                                long j3 = j2 + 1;
                                ViewGroupUtilsApi14.access$900(b2, UnsafeUtil.getByte(j2), UnsafeUtil.getByte(j3), cArr, i4);
                                i4++;
                                addressOffset = j3 + 1;
                            } else {
                                throw InvalidProtocolBufferException.invalidUtf8();
                            }
                        } else if (j2 < j - 2) {
                            long j4 = j2 + 1;
                            byte b4 = UnsafeUtil.getByte(j2);
                            long j5 = j4 + 1;
                            byte b5 = UnsafeUtil.getByte(j4);
                            addressOffset = j5 + 1;
                            ViewGroupUtilsApi14.access$1000(b2, b4, b5, UnsafeUtil.getByte(j5), cArr, i4);
                            i3 = i4 + 1 + 1;
                        } else {
                            throw InvalidProtocolBufferException.invalidUtf8();
                        }
                    }
                    return new String(cArr, 0, i4);
                }
            }
            throw new ArrayIndexOutOfBoundsException(String.format("buffer limit=%d, index=%d, limit=%d", Integer.valueOf(byteBuffer.limit()), Integer.valueOf(i), Integer.valueOf(i2)));
        }

        /* JADX WARNING: Removed duplicated region for block: B:11:0x0031  */
        /* JADX WARNING: Removed duplicated region for block: B:13:0x0033 A[LOOP:1: B:13:0x0033->B:38:0x00fb, LOOP_START, PHI: r2 r3 r4 r11 
          PHI: (r2v4 int) = (r2v3 int), (r2v6 int) binds: [B:10:0x002f, B:38:0x00fb] A[DONT_GENERATE, DONT_INLINE]
          PHI: (r3v3 char) = (r3v2 char), (r3v4 char) binds: [B:10:0x002f, B:38:0x00fb] A[DONT_GENERATE, DONT_INLINE]
          PHI: (r4v3 long) = (r4v2 long), (r4v5 long) binds: [B:10:0x002f, B:38:0x00fb] A[DONT_GENERATE, DONT_INLINE]
          PHI: (r11v3 long) = (r11v2 long), (r11v4 long) binds: [B:10:0x002f, B:38:0x00fb] A[DONT_GENERATE, DONT_INLINE]] */
        @Override // com.google.protobuf.Utf8.Processor
        public int encodeUtf8(CharSequence charSequence, byte[] bArr, int i, int i2) {
            long j;
            long j2;
            int i3;
            char charAt;
            long j3 = (long) i;
            long j4 = ((long) i2) + j3;
            int length = charSequence.length();
            if (length > i2 || bArr.length - i2 < i) {
                char charAt2 = charSequence.charAt(length - 1);
                StringBuilder sb = new StringBuilder(37);
                sb.append("Failed writing ");
                sb.append(charAt2);
                sb.append(" at index ");
                sb.append(i + i2);
                throw new ArrayIndexOutOfBoundsException(sb.toString());
            }
            int i4 = 0;
            while (true) {
                char c = 128;
                long j5 = 1;
                if (i4 < length && (charAt = charSequence.charAt(i4)) < 128) {
                    UnsafeUtil.putByte(bArr, j3, (byte) charAt);
                    i4++;
                    j3 = 1 + j3;
                } else if (i4 != length) {
                    return (int) j3;
                } else {
                    while (i4 < length) {
                        char charAt3 = charSequence.charAt(i4);
                        if (charAt3 < c && j3 < j4) {
                            long j6 = j3 + j5;
                            UnsafeUtil.putByte(bArr, j3, (byte) charAt3);
                            j2 = j5;
                            j = j6;
                        } else if (charAt3 < 2048 && j3 <= j4 - 2) {
                            long j7 = j3 + j5;
                            UnsafeUtil.putByte(bArr, j3, (byte) ((charAt3 >>> 6) | 960));
                            UnsafeUtil.putByte(bArr, j7, (byte) ((charAt3 & '?') | 128));
                            j = j7 + j5;
                            j2 = j5;
                            i4++;
                            c = 128;
                            j3 = j;
                            j5 = j2;
                        } else if ((charAt3 < 55296 || 57343 < charAt3) && j3 <= j4 - 3) {
                            long j8 = j3 + j5;
                            UnsafeUtil.putByte(bArr, j3, (byte) ((charAt3 >>> '\f') | 480));
                            long j9 = j8 + j5;
                            UnsafeUtil.putByte(bArr, j8, (byte) (((charAt3 >>> 6) & 63) | 128));
                            UnsafeUtil.putByte(bArr, j9, (byte) ((charAt3 & '?') | 128));
                            j = j9 + 1;
                            j2 = 1;
                        } else if (j3 <= j4 - 4) {
                            int i5 = i4 + 1;
                            if (i5 != length) {
                                char charAt4 = charSequence.charAt(i5);
                                if (Character.isSurrogatePair(charAt3, charAt4)) {
                                    int codePoint = Character.toCodePoint(charAt3, charAt4);
                                    long j10 = j3 + 1;
                                    UnsafeUtil.putByte(bArr, j3, (byte) ((codePoint >>> 18) | 240));
                                    long j11 = j10 + 1;
                                    UnsafeUtil.putByte(bArr, j10, (byte) (((codePoint >>> 12) & 63) | 128));
                                    long j12 = j11 + 1;
                                    UnsafeUtil.putByte(bArr, j11, (byte) (((codePoint >>> 6) & 63) | 128));
                                    j2 = 1;
                                    j = j12 + 1;
                                    UnsafeUtil.putByte(bArr, j12, (byte) ((codePoint & 63) | 128));
                                    i4 = i5;
                                    i4++;
                                    c = 128;
                                    j3 = j;
                                    j5 = j2;
                                } else {
                                    i4 = i5;
                                }
                            }
                            throw new UnpairedSurrogateException(i4 - 1, length);
                        } else if (55296 > charAt3 || charAt3 > 57343 || ((i3 = i4 + 1) != length && Character.isSurrogatePair(charAt3, charSequence.charAt(i3)))) {
                            StringBuilder sb2 = new StringBuilder(46);
                            sb2.append("Failed writing ");
                            sb2.append(charAt3);
                            sb2.append(" at index ");
                            sb2.append(j3);
                            throw new ArrayIndexOutOfBoundsException(sb2.toString());
                        } else {
                            throw new UnpairedSurrogateException(i4, length);
                        }
                        i4++;
                        c = 128;
                        j3 = j;
                        j5 = j2;
                    }
                    return (int) j3;
                }
            }
            if (i4 != length) {
            }
        }

        /* JADX WARNING: Code restructure failed: missing block: B:11:0x0036, code lost:
            if (com.google.protobuf.UnsafeUtil.getByte(r25, r8) > -65) goto L_0x003d;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:28:0x0067, code lost:
            if (com.google.protobuf.UnsafeUtil.getByte(r25, r8) > -65) goto L_0x0069;
         */
        @Override // com.google.protobuf.Utf8.Processor
        public int partialIsValidUtf8(int i, byte[] bArr, int i2, int i3) {
            int i4;
            byte b;
            long j;
            if ((i2 | i3 | (bArr.length - i3)) >= 0) {
                long j2 = (long) i2;
                long j3 = (long) i3;
                if (i != 0) {
                    if (j2 >= j3) {
                        return i;
                    }
                    byte b2 = (byte) i;
                    if (b2 < -32) {
                        if (b2 >= -62) {
                            j = j2 + 1;
                        }
                        return -1;
                    } else if (b2 < -16) {
                        byte b3 = (byte) (~(i >> 8));
                        if (b3 == 0) {
                            long j4 = j2 + 1;
                            b3 = UnsafeUtil.getByte(bArr, j2);
                            if (j4 >= j3) {
                                return Utf8.incompleteStateFor(b2, b3);
                            }
                            j2 = j4;
                        }
                        if (b3 <= -65 && ((b2 != -32 || b3 >= -96) && (b2 != -19 || b3 < -96))) {
                            j = j2 + 1;
                        }
                        return -1;
                    } else {
                        byte b4 = (byte) (~(i >> 8));
                        if (b4 == 0) {
                            long j5 = j2 + 1;
                            b4 = UnsafeUtil.getByte(bArr, j2);
                            if (j5 >= j3) {
                                return Utf8.incompleteStateFor(b2, b4);
                            }
                            j2 = j5;
                            b = 0;
                        } else {
                            b = (byte) (i >> 16);
                        }
                        if (b == 0) {
                            long j6 = j2 + 1;
                            b = UnsafeUtil.getByte(bArr, j2);
                            if (j6 >= j3) {
                                return Utf8.incompleteStateFor(b2, b4, b);
                            }
                            j2 = j6;
                        }
                        if (b4 <= -65) {
                            if ((((b4 + 112) + (b2 << 28)) >> 30) == 0 && b <= -65) {
                                long j7 = j2 + 1;
                                if (UnsafeUtil.getByte(bArr, j2) <= -65) {
                                    j2 = j7;
                                }
                            }
                        }
                        return -1;
                    }
                    j2 = j;
                }
                int i5 = (int) (j3 - j2);
                if (i5 >= 16) {
                    long j8 = j2;
                    i4 = 0;
                    while (true) {
                        if (i4 >= i5) {
                            i4 = i5;
                            break;
                        }
                        long j9 = j8 + 1;
                        if (UnsafeUtil.getByte(bArr, j8) < 0) {
                            break;
                        }
                        i4++;
                        j8 = j9;
                    }
                } else {
                    i4 = 0;
                }
                int i6 = i5 - i4;
                long j10 = j2 + ((long) i4);
                while (true) {
                    byte b5 = 0;
                    while (true) {
                        if (i6 <= 0) {
                            break;
                        }
                        long j11 = j10 + 1;
                        byte b6 = UnsafeUtil.getByte(bArr, j10);
                        if (b6 < 0) {
                            j10 = j11;
                            b5 = b6;
                            break;
                        }
                        i6--;
                        j10 = j11;
                        b5 = b6;
                    }
                    if (i6 != 0) {
                        int i7 = i6 - 1;
                        if (b5 >= -32) {
                            if (b5 >= -16) {
                                if (i7 >= 3) {
                                    i6 = i7 - 3;
                                    long j12 = j10 + 1;
                                    byte b7 = UnsafeUtil.getByte(bArr, j10);
                                    if (b7 > -65) {
                                        break;
                                    }
                                    if ((((b7 + 112) + (b5 << 28)) >> 30) != 0) {
                                        break;
                                    }
                                    long j13 = j12 + 1;
                                    if (UnsafeUtil.getByte(bArr, j12) > -65) {
                                        break;
                                    }
                                    long j14 = j13 + 1;
                                    if (UnsafeUtil.getByte(bArr, j13) > -65) {
                                        break;
                                    }
                                    j10 = j14;
                                } else {
                                    return unsafeIncompleteStateFor(bArr, b5, j10, i7);
                                }
                            } else if (i7 >= 2) {
                                i6 = i7 - 2;
                                long j15 = j10 + 1;
                                byte b8 = UnsafeUtil.getByte(bArr, j10);
                                if (b8 > -65 || ((b5 == -32 && b8 < -96) || (b5 == -19 && b8 >= -96))) {
                                    break;
                                }
                                j10 = j15 + 1;
                                if (UnsafeUtil.getByte(bArr, j15) > -65) {
                                    break;
                                }
                            } else {
                                return unsafeIncompleteStateFor(bArr, b5, j10, i7);
                            }
                        } else if (i7 != 0) {
                            i6 = i7 - 1;
                            if (b5 < -62) {
                                break;
                            }
                            long j16 = j10 + 1;
                            if (UnsafeUtil.getByte(bArr, j10) > -65) {
                                break;
                            }
                            j10 = j16;
                        } else {
                            return b5;
                        }
                    } else {
                        return 0;
                    }
                }
                return -1;
            }
            throw new ArrayIndexOutOfBoundsException(String.format("Array length=%d, index=%d, limit=%d", Integer.valueOf(bArr.length), Integer.valueOf(i2), Integer.valueOf(i3)));
        }

        /* JADX WARNING: Code restructure failed: missing block: B:11:0x0040, code lost:
            if (com.google.protobuf.UnsafeUtil.getByte(r6) > -65) goto L_0x0042;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:27:0x006b, code lost:
            if (com.google.protobuf.UnsafeUtil.getByte(r6) > -65) goto L_0x006d;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:48:0x00af, code lost:
            if (com.google.protobuf.UnsafeUtil.getByte(r6) > -65) goto L_0x00b5;
         */
        @Override // com.google.protobuf.Utf8.Processor
        public int partialIsValidUtf8Direct(int i, ByteBuffer byteBuffer, int i2, int i3) {
            int i4;
            long j;
            long j2;
            byte b;
            if ((i2 | i3 | (byteBuffer.limit() - i3)) >= 0) {
                long addressOffset = UnsafeUtil.addressOffset(byteBuffer) + ((long) i2);
                long j3 = ((long) (i3 - i2)) + addressOffset;
                if (i != 0) {
                    if (addressOffset >= j3) {
                        return i;
                    }
                    byte b2 = (byte) i;
                    if (b2 < -32) {
                        if (b2 >= -62) {
                            j2 = addressOffset + 1;
                        }
                        return -1;
                    } else if (b2 < -16) {
                        byte b3 = (byte) (~(i >> 8));
                        if (b3 == 0) {
                            long j4 = addressOffset + 1;
                            b3 = UnsafeUtil.getByte(addressOffset);
                            if (j4 >= j3) {
                                return Utf8.incompleteStateFor(b2, b3);
                            }
                            addressOffset = j4;
                        }
                        if (b3 <= -65 && ((b2 != -32 || b3 >= -96) && (b2 != -19 || b3 < -96))) {
                            j2 = addressOffset + 1;
                        }
                        return -1;
                    } else {
                        byte b4 = (byte) (~(i >> 8));
                        if (b4 == 0) {
                            long j5 = addressOffset + 1;
                            b4 = UnsafeUtil.getByte(addressOffset);
                            if (j5 >= j3) {
                                return Utf8.incompleteStateFor(b2, b4);
                            }
                            addressOffset = j5;
                            b = 0;
                        } else {
                            b = (byte) (i >> 16);
                        }
                        if (b == 0) {
                            long j6 = addressOffset + 1;
                            b = UnsafeUtil.getByte(addressOffset);
                            if (j6 >= j3) {
                                return Utf8.incompleteStateFor(b2, b4, b);
                            }
                            addressOffset = j6;
                        }
                        if (b4 <= -65) {
                            if ((((b4 + 112) + (b2 << 28)) >> 30) == 0 && b <= -65) {
                                j2 = addressOffset + 1;
                            }
                        }
                        return -1;
                    }
                    addressOffset = j2;
                }
                int i5 = (int) (j3 - addressOffset);
                if (i5 < 16) {
                    i4 = 0;
                } else {
                    int i6 = 8 - (((int) addressOffset) & 7);
                    int i7 = i6;
                    long j7 = addressOffset;
                    while (true) {
                        if (i7 > 0) {
                            long j8 = j7 + 1;
                            if (UnsafeUtil.getByte(j7) < 0) {
                                i4 = i6 - i7;
                                break;
                            }
                            i7--;
                            j7 = j8;
                        } else {
                            int i8 = i5 - i6;
                            long j9 = j7;
                            while (i8 >= 8 && (UnsafeUtil.MEMORY_ACCESSOR.getLong(j9) & -9187201950435737472L) == 0) {
                                j9 += 8;
                                i8 -= 8;
                            }
                            i4 = i5 - i8;
                        }
                    }
                }
                long j10 = addressOffset + ((long) i4);
                int i9 = i5 - i4;
                while (true) {
                    byte b5 = 0;
                    while (true) {
                        if (i9 <= 0) {
                            break;
                        }
                        long j11 = j10 + 1;
                        byte b6 = UnsafeUtil.getByte(j10);
                        if (b6 < 0) {
                            j10 = j11;
                            b5 = b6;
                            break;
                        }
                        i9--;
                        j10 = j11;
                        b5 = b6;
                    }
                    if (i9 == 0) {
                        return 0;
                    }
                    int i10 = i9 - 1;
                    if (b5 >= -32) {
                        if (b5 >= -16) {
                            if (i10 >= 3) {
                                i9 = i10 - 3;
                                long j12 = j10 + 1;
                                byte b7 = UnsafeUtil.getByte(j10);
                                if (b7 > -65) {
                                    break;
                                }
                                if ((((b7 + 112) + (b5 << 28)) >> 30) != 0) {
                                    break;
                                }
                                long j13 = j12 + 1;
                                if (UnsafeUtil.getByte(j12) > -65) {
                                    break;
                                }
                                j = j13 + 1;
                                if (UnsafeUtil.getByte(j13) > -65) {
                                    break;
                                }
                            } else {
                                return unsafeIncompleteStateFor(j10, b5, i10);
                            }
                        } else if (i10 >= 2) {
                            i9 = i10 - 2;
                            long j14 = j10 + 1;
                            byte b8 = UnsafeUtil.getByte(j10);
                            if (b8 > -65 || ((b5 == -32 && b8 < -96) || (b5 == -19 && b8 >= -96))) {
                                break;
                            }
                            j10 = j14 + 1;
                            if (UnsafeUtil.getByte(j14) > -65) {
                                break;
                            }
                        } else {
                            return unsafeIncompleteStateFor(j10, b5, i10);
                        }
                    } else if (i10 != 0) {
                        i9 = i10 - 1;
                        if (b5 < -62) {
                            break;
                        }
                        j = j10 + 1;
                        if (UnsafeUtil.getByte(j10) > -65) {
                            break;
                        }
                    } else {
                        return b5;
                    }
                    j10 = j;
                }
                return -1;
            }
            throw new ArrayIndexOutOfBoundsException(String.format("buffer limit=%d, index=%d, limit=%d", Integer.valueOf(byteBuffer.limit()), Integer.valueOf(i2), Integer.valueOf(i3)));
        }

        public static int unsafeIncompleteStateFor(long j, int i, int i2) {
            if (i2 == 0) {
                return Utf8.incompleteStateFor(i);
            }
            if (i2 == 1) {
                return Utf8.incompleteStateFor(i, UnsafeUtil.getByte(j));
            }
            if (i2 == 2) {
                return Utf8.incompleteStateFor(i, UnsafeUtil.getByte(j), UnsafeUtil.getByte(j + 1));
            }
            throw new AssertionError();
        }
    }
}
