package com.google.zxing;

import com.google.zxing.common.BitArray;
import com.google.zxing.common.BitMatrix;
import com.google.zxing.common.HybridBinarizer;
import java.lang.reflect.Array;
import org.xbill.DNS.KEYRecord;

public final class BinaryBitmap {
    public final Binarizer binarizer;
    public BitMatrix matrix;

    public BinaryBitmap(Binarizer binarizer2) {
        this.binarizer = binarizer2;
    }

    public BitMatrix getBlackMatrix() {
        int i;
        int i2;
        int i3;
        int i4;
        if (this.matrix == null) {
            HybridBinarizer hybridBinarizer = (HybridBinarizer) this.binarizer;
            BitMatrix bitMatrix = hybridBinarizer.matrix;
            if (bitMatrix == null) {
                LuminanceSource luminanceSource = hybridBinarizer.source;
                int i5 = luminanceSource.width;
                int i6 = luminanceSource.height;
                if (i5 < 40 || i6 < 40) {
                    BitMatrix bitMatrix2 = new BitMatrix(i5, i6);
                    hybridBinarizer.initArrays(i5);
                    int[] iArr = hybridBinarizer.buckets;
                    for (int i7 = 1; i7 < 5; i7++) {
                        byte[] row = luminanceSource.getRow((i6 * i7) / 5, hybridBinarizer.luminances);
                        int i8 = (i5 << 2) / 5;
                        for (int i9 = i5 / 5; i9 < i8; i9++) {
                            int i10 = (row[i9] & 255) >> 3;
                            iArr[i10] = iArr[i10] + 1;
                        }
                    }
                    int estimateBlackPoint = HybridBinarizer.estimateBlackPoint(iArr);
                    byte[] matrix2 = luminanceSource.getMatrix();
                    for (int i11 = 0; i11 < i6; i11++) {
                        int i12 = i11 * i5;
                        for (int i13 = 0; i13 < i5; i13++) {
                            if ((matrix2[i12 + i13] & 255) < estimateBlackPoint) {
                                bitMatrix2.set(i13, i11);
                            }
                        }
                    }
                    hybridBinarizer.matrix = bitMatrix2;
                } else {
                    byte[] matrix3 = luminanceSource.getMatrix();
                    int i14 = i5 >> 3;
                    if ((i5 & 7) != 0) {
                        i14++;
                    }
                    int i15 = i6 >> 3;
                    if ((i6 & 7) != 0) {
                        i15++;
                    }
                    int[] iArr2 = new int[2];
                    iArr2[1] = i14;
                    iArr2[0] = i15;
                    int[][] iArr3 = (int[][]) Array.newInstance(int.class, iArr2);
                    int i16 = 0;
                    while (true) {
                        int i17 = 8;
                        if (i16 >= i15) {
                            break;
                        }
                        int i18 = i16 << 3;
                        int i19 = i6 - 8;
                        if (i18 > i19) {
                            i18 = i19;
                        }
                        int i20 = 0;
                        while (i20 < i14) {
                            int i21 = i20 << 3;
                            int i22 = i5 - 8;
                            if (i21 > i22) {
                                i21 = i22;
                            }
                            int i23 = (i18 * i5) + i21;
                            int i24 = 0;
                            int i25 = 0;
                            int i26 = 0;
                            int i27 = KEYRecord.PROTOCOL_ANY;
                            while (i24 < i17) {
                                int i28 = i26;
                                int i29 = i27;
                                int i30 = 0;
                                while (i30 < i17) {
                                    int i31 = matrix3[i23 + i30] & 255;
                                    i25 += i31;
                                    i29 = i31 < i29 ? i31 : i29;
                                    if (i31 > i28) {
                                        i28 = i31;
                                    }
                                    i30++;
                                    i24 = i24;
                                    i17 = 8;
                                }
                                int i32 = i24;
                                int i33 = i29;
                                if (i28 - i33 > 24) {
                                    while (true) {
                                        i4 = i32 + 1;
                                        i23 += i5;
                                        if (i4 >= 8) {
                                            break;
                                        }
                                        int i34 = 0;
                                        for (int i35 = 8; i34 < i35; i35 = 8) {
                                            i25 += matrix3[i23 + i34] & 255;
                                            i34++;
                                            i28 = i28;
                                        }
                                        i32 = i4;
                                        i33 = i33;
                                    }
                                    i2 = i33;
                                    i = i28;
                                    i3 = i4;
                                } else {
                                    i2 = i33;
                                    i = i28;
                                    i3 = i32;
                                }
                                i24 = i3 + 1;
                                i23 += i5;
                                i17 = 8;
                                i27 = i2;
                                i26 = i;
                            }
                            int i36 = i25 >> 6;
                            if (i26 - i27 <= 24) {
                                i36 = i27 / 2;
                                if (i16 > 0 && i20 > 0) {
                                    int i37 = i16 - 1;
                                    int i38 = i20 - 1;
                                    int i39 = (((iArr3[i16][i38] * 2) + iArr3[i37][i20]) + iArr3[i37][i38]) / 4;
                                    if (i27 < i39) {
                                        i36 = i39;
                                    }
                                }
                            }
                            iArr3[i16][i20] = i36;
                            i20++;
                            i17 = 8;
                        }
                        i16++;
                    }
                    BitMatrix bitMatrix3 = new BitMatrix(i5, i6);
                    for (int i40 = 0; i40 < i15; i40++) {
                        int i41 = i40 << 3;
                        int i42 = i6 - 8;
                        if (i41 > i42) {
                            i41 = i42;
                        }
                        int i43 = 0;
                        while (i43 < i14) {
                            int i44 = i43 << 3;
                            int i45 = i5 - 8;
                            if (i44 > i45) {
                                i44 = i45;
                            }
                            int i46 = i14 - 3;
                            if (i43 < 2) {
                                i46 = 2;
                            } else if (i43 <= i46) {
                                i46 = i43;
                            }
                            int i47 = i15 - 3;
                            if (i40 < 2) {
                                i47 = 2;
                            } else if (i40 <= i47) {
                                i47 = i40;
                            }
                            int i48 = -2;
                            int i49 = 0;
                            for (int i50 = 2; i48 <= i50; i50 = 2) {
                                int[] iArr4 = iArr3[i47 + i48];
                                i49 = iArr4[i46 - 2] + iArr4[i46 - 1] + iArr4[i46] + iArr4[i46 + 1] + iArr4[i46 + 2] + i49;
                                i48++;
                            }
                            int i51 = i49 / 25;
                            int i52 = (i41 * i5) + i44;
                            int i53 = 0;
                            while (true) {
                                if (i53 >= 8) {
                                    break;
                                }
                                int i54 = 0;
                                for (int i55 = 8; i54 < i55; i55 = 8) {
                                    if ((matrix3[i52 + i54] & 255) <= i51) {
                                        bitMatrix3.set(i44 + i54, i41 + i53);
                                    }
                                    i54++;
                                    matrix3 = matrix3;
                                }
                                i53++;
                                i52 += i5;
                                i15 = i15;
                            }
                            i43++;
                            i14 = i14;
                        }
                    }
                    hybridBinarizer.matrix = bitMatrix3;
                }
                bitMatrix = hybridBinarizer.matrix;
            }
            this.matrix = bitMatrix;
        }
        return this.matrix;
    }

    public BitArray getBlackRow(int i, BitArray bitArray) {
        int i2;
        HybridBinarizer hybridBinarizer = (HybridBinarizer) this.binarizer;
        LuminanceSource luminanceSource = hybridBinarizer.source;
        int i3 = luminanceSource.width;
        if (bitArray.size < i3) {
            bitArray = new BitArray(i3);
        } else {
            int length = bitArray.bits.length;
            for (int i4 = 0; i4 < length; i4++) {
                bitArray.bits[i4] = 0;
            }
        }
        hybridBinarizer.initArrays(i3);
        byte[] row = luminanceSource.getRow(i, hybridBinarizer.luminances);
        int[] iArr = hybridBinarizer.buckets;
        int i5 = 0;
        while (true) {
            i2 = 1;
            if (i5 >= i3) {
                break;
            }
            int i6 = (row[i5] & 255) >> 3;
            iArr[i6] = iArr[i6] + 1;
            i5++;
        }
        int estimateBlackPoint = HybridBinarizer.estimateBlackPoint(iArr);
        if (i3 < 3) {
            for (int i7 = 0; i7 < i3; i7++) {
                if ((row[i7] & 255) < estimateBlackPoint) {
                    bitArray.set(i7);
                }
            }
        } else {
            int i8 = row[1] & 255;
            int i9 = row[0] & 255;
            int i10 = i8;
            while (i2 < i3 - 1) {
                int i11 = i2 + 1;
                int i12 = row[i11] & 255;
                if ((((i10 << 2) - i9) - i12) / 2 < estimateBlackPoint) {
                    bitArray.set(i2);
                }
                i9 = i10;
                i2 = i11;
                i10 = i12;
            }
        }
        return bitArray;
    }

    public String toString() {
        try {
            return getBlackMatrix().toString();
        } catch (NotFoundException unused) {
            return "";
        }
    }
}
