package com.google.zxing.common.detector;

import androidx.transition.ViewGroupUtilsApi14;
import com.google.zxing.NotFoundException;
import com.google.zxing.ResultPoint;
import com.google.zxing.common.BitMatrix;

public final class WhiteRectangleDetector {
    public final int downInit;
    public final int height;
    public final BitMatrix image;
    public final int leftInit;
    public final int rightInit;
    public final int upInit;
    public final int width;

    public WhiteRectangleDetector(BitMatrix bitMatrix, int i, int i2, int i3) {
        this.image = bitMatrix;
        int i4 = bitMatrix.height;
        this.height = i4;
        int i5 = bitMatrix.width;
        this.width = i5;
        int i6 = i / 2;
        int i7 = i2 - i6;
        this.leftInit = i7;
        int i8 = i2 + i6;
        this.rightInit = i8;
        int i9 = i3 - i6;
        this.upInit = i9;
        int i10 = i3 + i6;
        this.downInit = i10;
        if (i9 < 0 || i7 < 0 || i10 >= i4 || i8 >= i5) {
            throw NotFoundException.getNotFoundInstance();
        }
    }

    public final boolean containsBlackPoint(int i, int i2, int i3, boolean z) {
        if (z) {
            while (i <= i2) {
                if (this.image.get(i, i3)) {
                    return true;
                }
                i++;
            }
            return false;
        }
        while (i <= i2) {
            if (this.image.get(i3, i)) {
                return true;
            }
            i++;
        }
        return false;
    }

    public ResultPoint[] detect() {
        boolean z;
        int i = this.leftInit;
        int i2 = this.rightInit;
        int i3 = this.upInit;
        int i4 = this.downInit;
        boolean z2 = true;
        boolean z3 = false;
        boolean z4 = false;
        boolean z5 = false;
        boolean z6 = false;
        boolean z7 = false;
        while (true) {
            if (!z2) {
                z = false;
                break;
            }
            boolean z8 = true;
            boolean z9 = false;
            while (true) {
                if ((z8 || !z3) && i2 < this.width) {
                    z8 = containsBlackPoint(i3, i4, i2, false);
                    if (z8) {
                        i2++;
                        z3 = true;
                        z9 = true;
                    } else if (!z3) {
                        i2++;
                    }
                }
            }
            if (i2 >= this.width) {
                break;
            }
            boolean z10 = true;
            while (true) {
                if ((z10 || !z4) && i4 < this.height) {
                    z10 = containsBlackPoint(i, i2, i4, true);
                    if (z10) {
                        i4++;
                        z4 = true;
                        z9 = true;
                    } else if (!z4) {
                        i4++;
                    }
                }
            }
            if (i4 >= this.height) {
                break;
            }
            boolean z11 = true;
            while (true) {
                if ((z11 || !z5) && i >= 0) {
                    z11 = containsBlackPoint(i3, i4, i, false);
                    if (z11) {
                        i--;
                        z5 = true;
                        z9 = true;
                    } else if (!z5) {
                        i--;
                    }
                }
            }
            if (i < 0) {
                break;
            }
            z2 = z9;
            boolean z12 = true;
            while (true) {
                if ((z12 || !z7) && i3 >= 0) {
                    z12 = containsBlackPoint(i, i2, i3, true);
                    if (z12) {
                        i3--;
                        z2 = true;
                        z7 = true;
                    } else if (!z7) {
                        i3--;
                    }
                }
            }
            if (i3 < 0) {
                break;
            } else if (z2) {
                z6 = true;
            }
        }
        z = true;
        if (z || !z6) {
            throw NotFoundException.getNotFoundInstance();
        }
        int i5 = i2 - i;
        ResultPoint resultPoint = null;
        ResultPoint resultPoint2 = null;
        int i6 = 1;
        while (resultPoint2 == null && i6 < i5) {
            resultPoint2 = getBlackPointOnSegment((float) i, (float) (i4 - i6), (float) (i + i6), (float) i4);
            i6++;
        }
        if (resultPoint2 != null) {
            ResultPoint resultPoint3 = null;
            int i7 = 1;
            while (resultPoint3 == null && i7 < i5) {
                resultPoint3 = getBlackPointOnSegment((float) i, (float) (i3 + i7), (float) (i + i7), (float) i3);
                i7++;
            }
            if (resultPoint3 != null) {
                ResultPoint resultPoint4 = null;
                int i8 = 1;
                while (resultPoint4 == null && i8 < i5) {
                    resultPoint4 = getBlackPointOnSegment((float) i2, (float) (i3 + i8), (float) (i2 - i8), (float) i3);
                    i8++;
                }
                if (resultPoint4 != null) {
                    int i9 = 1;
                    while (resultPoint == null && i9 < i5) {
                        resultPoint = getBlackPointOnSegment((float) i2, (float) (i4 - i9), (float) (i2 - i9), (float) i4);
                        i9++;
                    }
                    if (resultPoint != null) {
                        float f = resultPoint.x;
                        float f2 = resultPoint.y;
                        float f3 = resultPoint2.x;
                        float f4 = resultPoint2.y;
                        float f5 = resultPoint4.x;
                        float f6 = resultPoint4.y;
                        float f7 = resultPoint3.x;
                        float f8 = resultPoint3.y;
                        if (f < ((float) this.width) / 2.0f) {
                            return new ResultPoint[]{new ResultPoint(f7 - 1.0f, f8 + 1.0f), new ResultPoint(f3 + 1.0f, f4 + 1.0f), new ResultPoint(f5 - 1.0f, f6 - 1.0f), new ResultPoint(f + 1.0f, f2 - 1.0f)};
                        }
                        return new ResultPoint[]{new ResultPoint(f7 + 1.0f, f8 + 1.0f), new ResultPoint(f3 + 1.0f, f4 - 1.0f), new ResultPoint(f5 - 1.0f, f6 + 1.0f), new ResultPoint(f - 1.0f, f2 - 1.0f)};
                    }
                    throw NotFoundException.getNotFoundInstance();
                }
                throw NotFoundException.getNotFoundInstance();
            }
            throw NotFoundException.getNotFoundInstance();
        }
        throw NotFoundException.getNotFoundInstance();
    }

    public final ResultPoint getBlackPointOnSegment(float f, float f2, float f3, float f4) {
        int round = ViewGroupUtilsApi14.round(ViewGroupUtilsApi14.distance(f, f2, f3, f4));
        float f5 = (float) round;
        float f6 = (f3 - f) / f5;
        float f7 = (f4 - f2) / f5;
        for (int i = 0; i < round; i++) {
            float f8 = (float) i;
            int round2 = ViewGroupUtilsApi14.round((f8 * f6) + f);
            int round3 = ViewGroupUtilsApi14.round((f8 * f7) + f2);
            if (this.image.get(round2, round3)) {
                return new ResultPoint((float) round2, (float) round3);
            }
        }
        return null;
    }
}
