package com.google.zxing.common.reedsolomon;

import java.util.Objects;

public final class ReedSolomonDecoder {
    public final GenericGF field;

    public ReedSolomonDecoder(GenericGF genericGF) {
        this.field = genericGF;
    }

    public void decode(int[] iArr, int i) {
        int[] iArr2;
        GenericGFPoly genericGFPoly = new GenericGFPoly(this.field, iArr);
        int[] iArr3 = new int[i];
        boolean z = true;
        for (int i2 = 0; i2 < i; i2++) {
            GenericGF genericGF = this.field;
            int evaluateAt = genericGFPoly.evaluateAt(genericGF.expTable[genericGF.generatorBase + i2]);
            iArr3[(i - 1) - i2] = evaluateAt;
            if (evaluateAt != 0) {
                z = false;
            }
        }
        if (!z) {
            GenericGFPoly genericGFPoly2 = new GenericGFPoly(this.field, iArr3);
            GenericGFPoly buildMonomial = this.field.buildMonomial(i, 1);
            if (buildMonomial.getDegree() < genericGFPoly2.getDegree()) {
                buildMonomial = genericGFPoly2;
                genericGFPoly2 = buildMonomial;
            }
            GenericGF genericGF2 = this.field;
            GenericGFPoly genericGFPoly3 = genericGF2.zero;
            GenericGFPoly genericGFPoly4 = genericGF2.one;
            GenericGFPoly genericGFPoly5 = genericGFPoly3;
            while (genericGFPoly2.getDegree() >= i / 2) {
                if (!genericGFPoly2.isZero()) {
                    GenericGFPoly genericGFPoly6 = this.field.zero;
                    int inverse = this.field.inverse(genericGFPoly2.getCoefficient(genericGFPoly2.getDegree()));
                    while (buildMonomial.getDegree() >= genericGFPoly2.getDegree() && !buildMonomial.isZero()) {
                        int degree = buildMonomial.getDegree() - genericGFPoly2.getDegree();
                        int multiply = this.field.multiply(buildMonomial.getCoefficient(buildMonomial.getDegree()), inverse);
                        genericGFPoly6 = genericGFPoly6.addOrSubtract(this.field.buildMonomial(degree, multiply));
                        buildMonomial = buildMonomial.addOrSubtract(genericGFPoly2.multiplyByMonomial(degree, multiply));
                    }
                    GenericGFPoly addOrSubtract = genericGFPoly6.multiply(genericGFPoly4).addOrSubtract(genericGFPoly5);
                    if (buildMonomial.getDegree() < genericGFPoly2.getDegree()) {
                        buildMonomial = genericGFPoly2;
                        genericGFPoly2 = buildMonomial;
                        genericGFPoly4 = addOrSubtract;
                        genericGFPoly5 = genericGFPoly4;
                    } else {
                        throw new IllegalStateException("Division algorithm failed to reduce polynomial?");
                    }
                } else {
                    throw new ReedSolomonException("r_{i-1} was zero");
                }
            }
            int coefficient = genericGFPoly4.getCoefficient(0);
            if (coefficient != 0) {
                int inverse2 = this.field.inverse(coefficient);
                GenericGFPoly[] genericGFPolyArr = {genericGFPoly4.multiply(inverse2), genericGFPoly2.multiply(inverse2)};
                GenericGFPoly genericGFPoly7 = genericGFPolyArr[0];
                GenericGFPoly genericGFPoly8 = genericGFPolyArr[1];
                int degree2 = genericGFPoly7.getDegree();
                if (degree2 == 1) {
                    iArr2 = new int[]{genericGFPoly7.getCoefficient(1)};
                } else {
                    int[] iArr4 = new int[degree2];
                    int i3 = 0;
                    for (int i4 = 1; i4 < this.field.size && i3 < degree2; i4++) {
                        if (genericGFPoly7.evaluateAt(i4) == 0) {
                            iArr4[i3] = this.field.inverse(i4);
                            i3++;
                        }
                    }
                    if (i3 == degree2) {
                        iArr2 = iArr4;
                    } else {
                        throw new ReedSolomonException("Error locator degree does not match number of roots");
                    }
                }
                int length = iArr2.length;
                int[] iArr5 = new int[length];
                for (int i5 = 0; i5 < length; i5++) {
                    int inverse3 = this.field.inverse(iArr2[i5]);
                    int i6 = 1;
                    for (int i7 = 0; i7 < length; i7++) {
                        if (i5 != i7) {
                            int multiply2 = this.field.multiply(iArr2[i7], inverse3);
                            i6 = this.field.multiply(i6, (multiply2 & 1) == 0 ? multiply2 | 1 : multiply2 & -2);
                        }
                    }
                    iArr5[i5] = this.field.multiply(genericGFPoly8.evaluateAt(inverse3), this.field.inverse(i6));
                    GenericGF genericGF3 = this.field;
                    if (genericGF3.generatorBase != 0) {
                        iArr5[i5] = genericGF3.multiply(iArr5[i5], inverse3);
                    }
                }
                for (int i8 = 0; i8 < iArr2.length; i8++) {
                    int length2 = iArr.length - 1;
                    GenericGF genericGF4 = this.field;
                    int i9 = iArr2[i8];
                    Objects.requireNonNull(genericGF4);
                    if (i9 != 0) {
                        int i10 = length2 - genericGF4.logTable[i9];
                        if (i10 >= 0) {
                            iArr[i10] = iArr[i10] ^ iArr5[i8];
                        } else {
                            throw new ReedSolomonException("Bad error location");
                        }
                    } else {
                        throw new IllegalArgumentException();
                    }
                }
                return;
            }
            throw new ReedSolomonException("sigmaTilde(0) was zero");
        }
    }
}
