package com.google.zxing.common.reedsolomon;

import java.util.ArrayList;
import java.util.List;

public final class ReedSolomonEncoder {
    public final List<GenericGFPoly> cachedGenerators;
    public final GenericGF field;

    public ReedSolomonEncoder(GenericGF genericGF) {
        this.field = genericGF;
        ArrayList arrayList = new ArrayList();
        this.cachedGenerators = arrayList;
        arrayList.add(new GenericGFPoly(genericGF, new int[]{1}));
    }

    public void encode(int[] iArr, int i) {
        if (i != 0) {
            int length = iArr.length - i;
            if (length > 0) {
                if (i >= this.cachedGenerators.size()) {
                    List<GenericGFPoly> list = this.cachedGenerators;
                    GenericGFPoly genericGFPoly = list.get(list.size() - 1);
                    for (int size = this.cachedGenerators.size(); size <= i; size++) {
                        GenericGF genericGF = this.field;
                        genericGFPoly = genericGFPoly.multiply(new GenericGFPoly(genericGF, new int[]{1, genericGF.expTable[(size - 1) + genericGF.generatorBase]}));
                        this.cachedGenerators.add(genericGFPoly);
                    }
                }
                GenericGFPoly genericGFPoly2 = this.cachedGenerators.get(i);
                int[] iArr2 = new int[length];
                System.arraycopy(iArr, 0, iArr2, 0, length);
                GenericGFPoly multiplyByMonomial = new GenericGFPoly(this.field, iArr2).multiplyByMonomial(i, 1);
                if (!multiplyByMonomial.field.equals(genericGFPoly2.field)) {
                    throw new IllegalArgumentException("GenericGFPolys do not have same GenericGF field");
                } else if (!genericGFPoly2.isZero()) {
                    GenericGFPoly genericGFPoly3 = multiplyByMonomial.field.zero;
                    int inverse = multiplyByMonomial.field.inverse(genericGFPoly2.getCoefficient(genericGFPoly2.getDegree()));
                    GenericGFPoly genericGFPoly4 = multiplyByMonomial;
                    while (genericGFPoly4.getDegree() >= genericGFPoly2.getDegree() && !genericGFPoly4.isZero()) {
                        int degree = genericGFPoly4.getDegree() - genericGFPoly2.getDegree();
                        int multiply = multiplyByMonomial.field.multiply(genericGFPoly4.getCoefficient(genericGFPoly4.getDegree()), inverse);
                        GenericGFPoly multiplyByMonomial2 = genericGFPoly2.multiplyByMonomial(degree, multiply);
                        genericGFPoly3 = genericGFPoly3.addOrSubtract(multiplyByMonomial.field.buildMonomial(degree, multiply));
                        genericGFPoly4 = genericGFPoly4.addOrSubtract(multiplyByMonomial2);
                    }
                    int[] iArr3 = new GenericGFPoly[]{genericGFPoly3, genericGFPoly4}[1].coefficients;
                    int length2 = i - iArr3.length;
                    for (int i2 = 0; i2 < length2; i2++) {
                        iArr[length + i2] = 0;
                    }
                    System.arraycopy(iArr3, 0, iArr, length + length2, iArr3.length);
                } else {
                    throw new IllegalArgumentException("Divide by 0");
                }
            } else {
                throw new IllegalArgumentException("No data bytes provided");
            }
        } else {
            throw new IllegalArgumentException("No error correction bytes");
        }
    }
}
