package com.google.zxing.datamatrix.decoder;

public final class Version {
    public static final Version[] VERSIONS = {new Version(1, 10, 10, 8, 8, new ECBlocks(5, new ECB(1, 3, null), null)), new Version(2, 12, 12, 10, 10, new ECBlocks(7, new ECB(1, 5, null), null)), new Version(3, 14, 14, 12, 12, new ECBlocks(10, new ECB(1, 8, null), null)), new Version(4, 16, 16, 14, 14, new ECBlocks(12, new ECB(1, 12, null), null)), new Version(5, 18, 18, 16, 16, new ECBlocks(14, new ECB(1, 18, null), null)), new Version(6, 20, 20, 18, 18, new ECBlocks(18, new ECB(1, 22, null), null)), new Version(7, 22, 22, 20, 20, new ECBlocks(20, new ECB(1, 30, null), null)), new Version(8, 24, 24, 22, 22, new ECBlocks(24, new ECB(1, 36, null), null)), new Version(9, 26, 26, 24, 24, new ECBlocks(28, new ECB(1, 44, null), null)), new Version(10, 32, 32, 14, 14, new ECBlocks(36, new ECB(1, 62, null), null)), new Version(11, 36, 36, 16, 16, new ECBlocks(42, new ECB(1, 86, null), null)), new Version(12, 40, 40, 18, 18, new ECBlocks(48, new ECB(1, 114, null), null)), new Version(13, 44, 44, 20, 20, new ECBlocks(56, new ECB(1, 144, null), null)), new Version(14, 48, 48, 22, 22, new ECBlocks(68, new ECB(1, 174, null), null)), new Version(15, 52, 52, 24, 24, new ECBlocks(42, new ECB(2, 102, null), null)), new Version(16, 64, 64, 14, 14, new ECBlocks(56, new ECB(2, 140, null), null)), new Version(17, 72, 72, 16, 16, new ECBlocks(36, new ECB(4, 92, null), null)), new Version(18, 80, 80, 18, 18, new ECBlocks(48, new ECB(4, 114, null), null)), new Version(19, 88, 88, 20, 20, new ECBlocks(56, new ECB(4, 144, null), null)), new Version(20, 96, 96, 22, 22, new ECBlocks(68, new ECB(4, 174, null), null)), new Version(21, 104, 104, 24, 24, new ECBlocks(56, new ECB(6, 136, null), null)), new Version(22, 120, 120, 18, 18, new ECBlocks(68, new ECB(6, 175, null), null)), new Version(23, 132, 132, 20, 20, new ECBlocks(62, new ECB(8, 163, null), null)), new Version(24, 144, 144, 22, 22, new ECBlocks(62, new ECB(8, 156, null), new ECB(2, 155, null), null)), new Version(25, 8, 18, 6, 16, new ECBlocks(7, new ECB(1, 5, null), null)), new Version(26, 8, 32, 6, 14, new ECBlocks(11, new ECB(1, 10, null), null)), new Version(27, 12, 26, 10, 24, new ECBlocks(14, new ECB(1, 16, null), null)), new Version(28, 12, 36, 10, 16, new ECBlocks(18, new ECB(1, 22, null), null)), new Version(29, 16, 36, 14, 16, new ECBlocks(24, new ECB(1, 32, null), null)), new Version(30, 16, 48, 14, 22, new ECBlocks(28, new ECB(1, 49, null), null))};
    public final int dataRegionSizeColumns;
    public final int dataRegionSizeRows;
    public final ECBlocks ecBlocks;
    public final int symbolSizeColumns;
    public final int symbolSizeRows;
    public final int totalCodewords;
    public final int versionNumber;

    public final class ECB {
        public final int count;
        public final int dataCodewords;

        public ECB(int i, int i2, AnonymousClass1 r3) {
            this.count = i;
            this.dataCodewords = i2;
        }
    }

    public Version(int i, int i2, int i3, int i4, int i5, ECBlocks eCBlocks) {
        this.versionNumber = i;
        this.symbolSizeRows = i2;
        this.symbolSizeColumns = i3;
        this.dataRegionSizeRows = i4;
        this.dataRegionSizeColumns = i5;
        this.ecBlocks = eCBlocks;
        int i6 = eCBlocks.ecCodewords;
        ECB[] ecbArr = eCBlocks.ecBlocks;
        int i7 = 0;
        for (ECB ecb : ecbArr) {
            i7 += (ecb.dataCodewords + i6) * ecb.count;
        }
        this.totalCodewords = i7;
    }

    public String toString() {
        return String.valueOf(this.versionNumber);
    }

    public final class ECBlocks {
        public final ECB[] ecBlocks;
        public final int ecCodewords;

        public ECBlocks(int i, ECB ecb, AnonymousClass1 r3) {
            this.ecCodewords = i;
            this.ecBlocks = new ECB[]{ecb};
        }

        public ECBlocks(int i, ECB ecb, ECB ecb2, AnonymousClass1 r4) {
            this.ecCodewords = i;
            this.ecBlocks = new ECB[]{ecb, ecb2};
        }
    }
}
