package com.google.zxing.oned;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.NotFoundException;
import com.google.zxing.ReaderException;
import com.google.zxing.Result;
import com.google.zxing.ResultMetadataType;
import com.google.zxing.ResultPoint;
import com.google.zxing.common.BitArray;
import java.util.EnumMap;

public final class UPCEANExtensionSupport {
    public static final int[] EXTENSION_START_PATTERN = {1, 1, 2};
    public final UPCEANExtension5Support fiveSupport = new UPCEANExtension5Support();
    public final UPCEANExtension2Support twoSupport = new UPCEANExtension2Support();

    public Result decodeRow(int i, BitArray bitArray, int i2) {
        EnumMap enumMap;
        int[] iArr = EXTENSION_START_PATTERN;
        int[] findGuardPattern = UPCEANReader.findGuardPattern(bitArray, i2, false, iArr, new int[iArr.length]);
        try {
            return this.fiveSupport.decodeRow(i, bitArray, findGuardPattern);
        } catch (ReaderException unused) {
            UPCEANExtension2Support uPCEANExtension2Support = this.twoSupport;
            StringBuilder sb = uPCEANExtension2Support.decodeRowStringBuffer;
            sb.setLength(0);
            int[] iArr2 = uPCEANExtension2Support.decodeMiddleCounters;
            iArr2[0] = 0;
            iArr2[1] = 0;
            iArr2[2] = 0;
            iArr2[3] = 0;
            int i3 = bitArray.size;
            int i4 = findGuardPattern[1];
            int i5 = 0;
            for (int i6 = 0; i6 < 2 && i4 < i3; i6++) {
                int decodeDigit = UPCEANReader.decodeDigit(bitArray, iArr2, i4, UPCEANReader.L_AND_G_PATTERNS);
                sb.append((char) ((decodeDigit % 10) + 48));
                for (int i7 : iArr2) {
                    i4 += i7;
                }
                if (decodeDigit >= 10) {
                    i5 |= 1 << (1 - i6);
                }
                if (i6 != 1) {
                    i4 = bitArray.getNextUnset(bitArray.getNextSet(i4));
                }
            }
            if (sb.length() != 2) {
                throw NotFoundException.getNotFoundInstance();
            } else if (Integer.parseInt(sb.toString()) % 4 == i5) {
                String sb2 = sb.toString();
                if (sb2.length() != 2) {
                    enumMap = null;
                } else {
                    enumMap = new EnumMap(ResultMetadataType.class);
                    enumMap.put((Object) ResultMetadataType.ISSUE_NUMBER, (Object) Integer.valueOf(sb2));
                }
                float f = (float) i;
                Result result = new Result(sb2, null, new ResultPoint[]{new ResultPoint(((float) (findGuardPattern[0] + findGuardPattern[1])) / 2.0f, f), new ResultPoint((float) i4, f)}, BarcodeFormat.UPC_EAN_EXTENSION);
                if (enumMap != null) {
                    result.putAllMetadata(enumMap);
                }
                return result;
            } else {
                throw NotFoundException.getNotFoundInstance();
            }
        }
    }
}
