package com.google.zxing.oned.rss.expanded.decoders;

import com.google.zxing.NotFoundException;
import com.google.zxing.common.BitArray;
import io.netty.handler.codec.compression.Bzip2Constants;

public final class AI013x0x1xDecoder extends AI01weightDecoder {
    public final String dateCode;
    public final String firstAIdigits;

    public AI013x0x1xDecoder(BitArray bitArray, String str, String str2) {
        super(bitArray);
        this.dateCode = str2;
        this.firstAIdigits = str;
    }

    @Override // com.google.zxing.oned.rss.expanded.decoders.AI01weightDecoder
    public void addWeightCode(StringBuilder sb, int i) {
        sb.append('(');
        sb.append(this.firstAIdigits);
        sb.append(i / Bzip2Constants.BASE_BLOCK_SIZE);
        sb.append(')');
    }

    @Override // com.google.zxing.oned.rss.expanded.decoders.AI01weightDecoder
    public int checkWeight(int i) {
        return i % Bzip2Constants.BASE_BLOCK_SIZE;
    }

    @Override // com.google.zxing.oned.rss.expanded.decoders.AbstractExpandedDecoder
    public String parseInformation() {
        if (this.information.size == 84) {
            StringBuilder sb = new StringBuilder();
            encodeCompressedGtin(sb, 8);
            encodeCompressedWeight(sb, 48, 20);
            int extractNumericValueFromBitArray = GeneralAppIdDecoder.extractNumericValueFromBitArray(this.generalDecoder.information, 68, 16);
            if (extractNumericValueFromBitArray != 38400) {
                sb.append('(');
                sb.append(this.dateCode);
                sb.append(')');
                int i = extractNumericValueFromBitArray % 32;
                int i2 = extractNumericValueFromBitArray / 32;
                int i3 = (i2 % 12) + 1;
                int i4 = i2 / 12;
                if (i4 / 10 == 0) {
                    sb.append('0');
                }
                sb.append(i4);
                if (i3 / 10 == 0) {
                    sb.append('0');
                }
                sb.append(i3);
                if (i / 10 == 0) {
                    sb.append('0');
                }
                sb.append(i);
            }
            return sb.toString();
        }
        throw NotFoundException.getNotFoundInstance();
    }
}
