package com.google.zxing.qrcode;

import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.google.zxing.BarcodeFormat;
import com.google.zxing.BinaryBitmap;
import com.google.zxing.DecodeHintType;
import com.google.zxing.FormatException;
import com.google.zxing.NotFoundException;
import com.google.zxing.Reader;
import com.google.zxing.Result;
import com.google.zxing.ResultMetadataType;
import com.google.zxing.ResultPoint;
import com.google.zxing.common.BitMatrix;
import com.google.zxing.common.DecoderResult;
import com.google.zxing.common.DefaultGridSampler;
import com.google.zxing.common.PerspectiveTransform;
import com.google.zxing.qrcode.decoder.Decoder;
import com.google.zxing.qrcode.decoder.QRCodeDecoderMetaData;
import com.google.zxing.qrcode.decoder.Version;
import com.google.zxing.qrcode.detector.AlignmentPattern;
import com.google.zxing.qrcode.detector.Detector;
import com.google.zxing.qrcode.detector.FinderPattern;
import com.google.zxing.qrcode.detector.FinderPatternFinder;
import com.google.zxing.qrcode.detector.FinderPatternInfo;
import com.yzq.zxinglibrary.view.ViewfinderResultPointCallback;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Objects;

public class QRCodeReader implements Reader {
    public static final ResultPoint[] NO_POINTS = new ResultPoint[0];
    public final Decoder decoder = new Decoder();

    @Override // com.google.zxing.Reader
    public final Result decode(BinaryBitmap binaryBitmap, Map<DecodeHintType, ?> map) {
        ResultPoint[] resultPointArr;
        DecoderResult decoderResult;
        ViewfinderResultPointCallback viewfinderResultPointCallback;
        int i;
        AlignmentPattern alignmentPattern;
        float f;
        float f2;
        float f3;
        int i2;
        char c;
        int i3;
        int i4;
        int i5 = 0;
        char c2 = 3;
        int i6 = 1;
        if (map == null || !map.containsKey(DecodeHintType.PURE_BARCODE)) {
            BitMatrix blackMatrix = binaryBitmap.getBlackMatrix();
            Detector detector = new Detector(blackMatrix);
            if (map == null) {
                viewfinderResultPointCallback = null;
            } else {
                viewfinderResultPointCallback = (ViewfinderResultPointCallback) map.get(DecodeHintType.NEED_RESULT_POINT_CALLBACK);
            }
            detector.resultPointCallback = viewfinderResultPointCallback;
            FinderPatternFinder finderPatternFinder = new FinderPatternFinder(blackMatrix, viewfinderResultPointCallback);
            boolean z = map != null && map.containsKey(DecodeHintType.TRY_HARDER);
            boolean z2 = map != null && map.containsKey(DecodeHintType.PURE_BARCODE);
            int i7 = blackMatrix.height;
            int i8 = blackMatrix.width;
            int i9 = (i7 * 3) / 228;
            if (i9 < 3 || z) {
                i9 = 3;
            }
            int[] iArr = new int[5];
            int i10 = i9 - 1;
            boolean z3 = false;
            while (true) {
                int i11 = 4;
                if (i10 >= i7 || z3) {
                    int size = finderPatternFinder.possibleCenters.size();
                } else {
                    iArr[i5] = i5;
                    iArr[i6] = i5;
                    iArr[2] = i5;
                    iArr[c2] = i5;
                    iArr[4] = i5;
                    int i12 = 0;
                    int i13 = 0;
                    while (i13 < i8) {
                        if (finderPatternFinder.image.get(i13, i10)) {
                            if ((i12 & 1) == i6) {
                                i12++;
                            }
                            iArr[i12] = iArr[i12] + i6;
                            i2 = 1;
                        } else if ((i12 & 1) != 0) {
                            i2 = 1;
                            iArr[i12] = iArr[i12] + 1;
                        } else if (i12 == i11) {
                            if (!FinderPatternFinder.foundPatternCross(iArr)) {
                                i2 = 1;
                                iArr[0] = iArr[2];
                                iArr[1] = iArr[3];
                                iArr[2] = iArr[4];
                                iArr[3] = 1;
                                iArr[4] = 0;
                            } else if (finderPatternFinder.handlePossibleCenter(iArr, i10, i13, z2)) {
                                if (finderPatternFinder.hasSkipped) {
                                    z3 = finderPatternFinder.haveMultiplyConfirmedCenters();
                                    i3 = 0;
                                    c = 2;
                                } else {
                                    if (finderPatternFinder.possibleCenters.size() > i6) {
                                        Iterator<FinderPattern> it = finderPatternFinder.possibleCenters.iterator();
                                        FinderPattern finderPattern = null;
                                        while (true) {
                                            if (!it.hasNext()) {
                                                break;
                                            }
                                            FinderPattern next = it.next();
                                            if (next.count >= 2) {
                                                if (finderPattern != null) {
                                                    finderPatternFinder.hasSkipped = true;
                                                    c = 2;
                                                    i4 = ((int) (Math.abs(finderPattern.x - next.x) - Math.abs(finderPattern.y - next.y))) / 2;
                                                    break;
                                                }
                                                finderPattern = next;
                                            }
                                        }
                                    }
                                    i4 = 0;
                                    c = 2;
                                    if (i4 > iArr[c]) {
                                        i13 = i8 - 1;
                                        i10 = ((i4 - iArr[c]) - 2) + i10;
                                    }
                                    i3 = 0;
                                }
                                iArr[i3] = i3;
                                iArr[1] = i3;
                                iArr[c] = i3;
                                iArr[3] = i3;
                                iArr[4] = i3;
                                i12 = 0;
                                i2 = 1;
                                i9 = 2;
                            } else {
                                i2 = 1;
                                iArr[0] = iArr[2];
                                iArr[1] = iArr[3];
                                iArr[2] = iArr[4];
                                iArr[3] = 1;
                                iArr[4] = 0;
                            }
                            i12 = 3;
                        } else {
                            i2 = 1;
                            i12++;
                            iArr[i12] = iArr[i12] + 1;
                        }
                        i13 += i2;
                        i11 = 4;
                        i6 = 1;
                    }
                    if (FinderPatternFinder.foundPatternCross(iArr) && finderPatternFinder.handlePossibleCenter(iArr, i10, i8, z2)) {
                        int i14 = iArr[0];
                        if (finderPatternFinder.hasSkipped) {
                            z3 = finderPatternFinder.haveMultiplyConfirmedCenters();
                        }
                        i9 = i14;
                    }
                    i10 += i9;
                    i5 = 0;
                    c2 = 3;
                    i6 = 1;
                }
            }
            int size2 = finderPatternFinder.possibleCenters.size();
            if (size2 >= 3) {
                float f4 = 0.0f;
                if (size2 > 3) {
                    float f5 = 0.0f;
                    float f6 = 0.0f;
                    for (FinderPattern finderPattern2 : finderPatternFinder.possibleCenters) {
                        float f7 = finderPattern2.estimatedModuleSize;
                        f5 += f7;
                        f6 += f7 * f7;
                    }
                    float f8 = (float) size2;
                    float f9 = f5 / f8;
                    Collections.sort(finderPatternFinder.possibleCenters, new FinderPatternFinder.FurthestFromAverageComparator(f9, null));
                    float max = Math.max(0.2f * f9, (float) Math.sqrt((double) ((f6 / f8) - (f9 * f9))));
                    int i15 = 0;
                    while (i15 < finderPatternFinder.possibleCenters.size() && finderPatternFinder.possibleCenters.size() > 3) {
                        if (Math.abs(finderPatternFinder.possibleCenters.get(i15).estimatedModuleSize - f9) > max) {
                            finderPatternFinder.possibleCenters.remove(i15);
                            i15--;
                        }
                        i15++;
                    }
                }
                if (finderPatternFinder.possibleCenters.size() > 3) {
                    for (FinderPattern finderPattern3 : finderPatternFinder.possibleCenters) {
                        f4 += finderPattern3.estimatedModuleSize;
                    }
                    Collections.sort(finderPatternFinder.possibleCenters, new FinderPatternFinder.CenterComparator(f4 / ((float) finderPatternFinder.possibleCenters.size()), null));
                    List<FinderPattern> list = finderPatternFinder.possibleCenters;
                    i = 3;
                    list.subList(3, list.size()).clear();
                } else {
                    i = 3;
                }
                FinderPattern[] finderPatternArr = new FinderPattern[i];
                finderPatternArr[0] = finderPatternFinder.possibleCenters.get(0);
                finderPatternArr[1] = finderPatternFinder.possibleCenters.get(1);
                finderPatternArr[2] = finderPatternFinder.possibleCenters.get(2);
                ResultPoint.orderBestPatterns(finderPatternArr);
                FinderPatternInfo finderPatternInfo = new FinderPatternInfo(finderPatternArr);
                FinderPattern finderPattern4 = finderPatternInfo.topLeft;
                FinderPattern finderPattern5 = finderPatternInfo.topRight;
                FinderPattern finderPattern6 = finderPatternInfo.bottomLeft;
                float calculateModuleSizeOneWay = (detector.calculateModuleSizeOneWay(finderPattern4, finderPattern6) + detector.calculateModuleSizeOneWay(finderPattern4, finderPattern5)) / 2.0f;
                if (calculateModuleSizeOneWay >= 1.0f) {
                    int round = ((ViewGroupUtilsApi14.round(ViewGroupUtilsApi14.distance(finderPattern4.x, finderPattern4.y, finderPattern6.x, finderPattern6.y) / calculateModuleSizeOneWay) + ViewGroupUtilsApi14.round(ViewGroupUtilsApi14.distance(finderPattern4.x, finderPattern4.y, finderPattern5.x, finderPattern5.y) / calculateModuleSizeOneWay)) / 2) + 7;
                    int i16 = round & 3;
                    if (i16 == 0) {
                        round++;
                    } else if (i16 == 2) {
                        round--;
                    } else if (i16 == 3) {
                        throw NotFoundException.getNotFoundInstance();
                    }
                    int[] iArr2 = Version.VERSION_DECODE_INFO;
                    if (round % 4 == 1) {
                        try {
                            Version versionForNumber = Version.getVersionForNumber((round - 17) / 4);
                            int dimensionForVersion = versionForNumber.getDimensionForVersion() - 7;
                            if (versionForNumber.alignmentPatternCenters.length > 0) {
                                float f10 = finderPattern5.x;
                                float f11 = finderPattern4.x;
                                float f12 = (f10 - f11) + finderPattern6.x;
                                float f13 = finderPattern5.y;
                                float f14 = finderPattern4.y;
                                float f15 = 1.0f - (3.0f / ((float) dimensionForVersion));
                                int outline0 = (int) GeneratedOutlineSupport.outline0(f12, f11, f15, f11);
                                int outline02 = (int) GeneratedOutlineSupport.outline0((f13 - f14) + finderPattern6.y, f14, f15, f14);
                                int i17 = 4;
                                while (true) {
                                    if (i17 > 16) {
                                        break;
                                    }
                                    try {
                                        alignmentPattern = detector.findAlignmentInRegion(calculateModuleSizeOneWay, outline0, outline02, (float) i17);
                                        break;
                                    } catch (NotFoundException unused) {
                                        i17 <<= 1;
                                    }
                                }
                            }
                            alignmentPattern = null;
                            float f16 = ((float) round) - 3.5f;
                            if (alignmentPattern != null) {
                                f2 = alignmentPattern.x;
                                f = alignmentPattern.y;
                                f3 = f16 - 3.0f;
                            } else {
                                f2 = (finderPattern5.x - finderPattern4.x) + finderPattern6.x;
                                f = (finderPattern5.y - finderPattern4.y) + finderPattern6.y;
                                f3 = f16;
                            }
                            BitMatrix sampleGrid = DefaultGridSampler.gridSampler.sampleGrid(detector.image, round, round, PerspectiveTransform.quadrilateralToQuadrilateral(3.5f, 3.5f, f16, 3.5f, f3, f3, 3.5f, f16, finderPattern4.x, finderPattern4.y, finderPattern5.x, finderPattern5.y, f2, f, finderPattern6.x, finderPattern6.y));
                            ResultPoint[] resultPointArr2 = alignmentPattern == null ? new ResultPoint[]{finderPattern6, finderPattern4, finderPattern5} : new ResultPoint[]{finderPattern6, finderPattern4, finderPattern5, alignmentPattern};
                            decoderResult = this.decoder.decode(sampleGrid, map);
                            resultPointArr = resultPointArr2;
                        } catch (IllegalArgumentException unused2) {
                            throw FormatException.getFormatInstance();
                        }
                    } else {
                        throw FormatException.getFormatInstance();
                    }
                } else {
                    throw NotFoundException.getNotFoundInstance();
                }
            } else {
                throw NotFoundException.getNotFoundInstance();
            }
        } else {
            BitMatrix blackMatrix2 = binaryBitmap.getBlackMatrix();
            int[] topLeftOnBit = blackMatrix2.getTopLeftOnBit();
            int[] bottomRightOnBit = blackMatrix2.getBottomRightOnBit();
            if (topLeftOnBit == null || bottomRightOnBit == null) {
                throw NotFoundException.getNotFoundInstance();
            }
            int i18 = blackMatrix2.height;
            int i19 = blackMatrix2.width;
            int i20 = topLeftOnBit[0];
            int i21 = topLeftOnBit[1];
            boolean z4 = true;
            int i22 = 0;
            while (i20 < i19 && i21 < i18) {
                if (z4 != blackMatrix2.get(i20, i21)) {
                    i22++;
                    if (i22 == 5) {
                        break;
                    }
                    z4 = !z4;
                }
                i20++;
                i21++;
            }
            if (i20 == i19 || i21 == i18) {
                throw NotFoundException.getNotFoundInstance();
            }
            float f17 = ((float) (i20 - topLeftOnBit[0])) / 7.0f;
            int i23 = topLeftOnBit[1];
            int i24 = bottomRightOnBit[1];
            int i25 = topLeftOnBit[0];
            int i26 = bottomRightOnBit[0];
            if (i25 >= i26 || i23 >= i24) {
                throw NotFoundException.getNotFoundInstance();
            }
            int i27 = i24 - i23;
            if (i27 == i26 - i25 || (i26 = i25 + i27) < blackMatrix2.width) {
                int round2 = Math.round(((float) ((i26 - i25) + 1)) / f17);
                int round3 = Math.round(((float) (i27 + 1)) / f17);
                if (round2 <= 0 || round3 <= 0) {
                    throw NotFoundException.getNotFoundInstance();
                } else if (round3 == round2) {
                    int i28 = (int) (f17 / 2.0f);
                    int i29 = i23 + i28;
                    int i30 = i25 + i28;
                    int i31 = (((int) (((float) (round2 - 1)) * f17)) + i30) - i26;
                    if (i31 > 0) {
                        if (i31 <= i28) {
                            i30 -= i31;
                        } else {
                            throw NotFoundException.getNotFoundInstance();
                        }
                    }
                    int i32 = (((int) (((float) (round3 - 1)) * f17)) + i29) - i24;
                    if (i32 > 0) {
                        if (i32 <= i28) {
                            i29 -= i32;
                        } else {
                            throw NotFoundException.getNotFoundInstance();
                        }
                    }
                    BitMatrix bitMatrix = new BitMatrix(round2, round3);
                    for (int i33 = 0; i33 < round3; i33++) {
                        int i34 = ((int) (((float) i33) * f17)) + i29;
                        for (int i35 = 0; i35 < round2; i35++) {
                            if (blackMatrix2.get(((int) (((float) i35) * f17)) + i30, i34)) {
                                bitMatrix.set(i35, i33);
                            }
                        }
                    }
                    decoderResult = this.decoder.decode(bitMatrix, map);
                    resultPointArr = NO_POINTS;
                } else {
                    throw NotFoundException.getNotFoundInstance();
                }
            } else {
                throw NotFoundException.getNotFoundInstance();
            }
        }
        Object obj = decoderResult.other;
        if (obj instanceof QRCodeDecoderMetaData) {
            Objects.requireNonNull((QRCodeDecoderMetaData) obj);
            if (resultPointArr.length >= 3) {
                ResultPoint resultPoint = resultPointArr[0];
                resultPointArr[0] = resultPointArr[2];
                resultPointArr[2] = resultPoint;
            }
        }
        Result result = new Result(decoderResult.text, decoderResult.rawBytes, resultPointArr, BarcodeFormat.QR_CODE);
        List<byte[]> list2 = decoderResult.byteSegments;
        if (list2 != null) {
            result.putMetadata(ResultMetadataType.BYTE_SEGMENTS, list2);
        }
        String str = decoderResult.ecLevel;
        if (str != null) {
            result.putMetadata(ResultMetadataType.ERROR_CORRECTION_LEVEL, str);
        }
        if (decoderResult.structuredAppendParity >= 0 && decoderResult.structuredAppendSequenceNumber >= 0) {
            result.putMetadata(ResultMetadataType.STRUCTURED_APPEND_SEQUENCE, Integer.valueOf(decoderResult.structuredAppendSequenceNumber));
            result.putMetadata(ResultMetadataType.STRUCTURED_APPEND_PARITY, Integer.valueOf(decoderResult.structuredAppendParity));
        }
        return result;
    }

    @Override // com.google.zxing.Reader
    public void reset() {
    }
}
