package com.huawei.nfc.sdk.service;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Bundle;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.util.Log;
import com.huawei.nfc.sdk.service.ICUPOnlinePayService;
import com.unionpay.c;

public class HwOpenPayTask {
    public boolean haveInitService;
    public final byte[] lock = new byte[0];
    public Context mContext;
    public ServiceConnection mNfcServiceConnection = new MyServiceConnection(null);
    public ICUPOnlinePayService mOpenService;
    public IHwPayResultCallBack payResultCallBack;
    public c resultCallBack;

    public interface IHwPayResultCallBack {
        void onError(String str, String str2);

        void onResult(Bundle bundle);
    }

    public class MyServiceConnection implements ServiceConnection {
        public MyServiceConnection(AnonymousClass1 r2) {
        }

        public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            ICUPOnlinePayService iCUPOnlinePayService;
            synchronized (HwOpenPayTask.this.lock) {
                HwOpenPayTask hwOpenPayTask = HwOpenPayTask.this;
                int i = ICUPOnlinePayService.Stub.$r8$clinit;
                if (iBinder == null) {
                    iCUPOnlinePayService = null;
                } else {
                    IInterface queryLocalInterface = iBinder.queryLocalInterface("com.huawei.nfc.sdk.service.ICUPOnlinePayService");
                    iCUPOnlinePayService = (queryLocalInterface == null || !(queryLocalInterface instanceof ICUPOnlinePayService)) ? new ICUPOnlinePayService.Stub.Proxy(iBinder) : (ICUPOnlinePayService) queryLocalInterface;
                }
                hwOpenPayTask.mOpenService = iCUPOnlinePayService;
                HwOpenPayTask.this.lock.notifyAll();
            }
        }

        public void onServiceDisconnected(ComponentName componentName) {
            synchronized (HwOpenPayTask.this.lock) {
                HwOpenPayTask hwOpenPayTask = HwOpenPayTask.this;
                hwOpenPayTask.mOpenService = null;
                hwOpenPayTask.lock.notifyAll();
            }
        }
    }

    public HwOpenPayTask(Context context) {
        new IInterface() {
            /* class com.huawei.nfc.sdk.service.HwOpenPayTask.AnonymousClass1 */

            {
                attachInterface(this, "com.huawei.nfc.sdk.service.ICUPOnlinePayCallBackService");
            }

            public IBinder asBinder() {
                return this;
            }

            @Override // android.os.Binder
            public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) {
                if (i == 1) {
                    parcel.enforceInterface("com.huawei.nfc.sdk.service.ICUPOnlinePayCallBackService");
                    Bundle bundle = parcel.readInt() != 0 ? (Bundle) Bundle.CREATOR.createFromParcel(parcel) : null;
                    IHwPayResultCallBack iHwPayResultCallBack = HwOpenPayTask.this.payResultCallBack;
                    if (iHwPayResultCallBack != null) {
                        iHwPayResultCallBack.onResult(bundle);
                        HwOpenPayTask.this.payResultCallBack = null;
                    }
                    HwOpenPayTask hwOpenPayTask = HwOpenPayTask.this;
                    if (hwOpenPayTask.haveInitService) {
                        hwOpenPayTask.disConnect();
                    }
                } else if (i == 2) {
                    parcel.enforceInterface("com.huawei.nfc.sdk.service.ICUPOnlinePayCallBackService");
                    String readString = parcel.readString();
                    String readString2 = parcel.readString();
                    IHwPayResultCallBack iHwPayResultCallBack2 = HwOpenPayTask.this.payResultCallBack;
                    if (iHwPayResultCallBack2 != null) {
                        iHwPayResultCallBack2.onError(readString, readString2);
                        HwOpenPayTask.this.payResultCallBack = null;
                    }
                    HwOpenPayTask hwOpenPayTask2 = HwOpenPayTask.this;
                    if (hwOpenPayTask2.haveInitService) {
                        hwOpenPayTask2.disConnect();
                    }
                } else if (i != 1598968902) {
                    return super.onTransact(i, parcel, parcel2, i2);
                } else {
                    parcel2.writeString("com.huawei.nfc.sdk.service.ICUPOnlinePayCallBackService");
                    return true;
                }
                parcel2.writeNoException();
                return true;
            }
        };
        this.mContext = context;
    }

    public static void access$600(HwOpenPayTask hwOpenPayTask) {
        synchronized (hwOpenPayTask.lock) {
            if (hwOpenPayTask.mOpenService == null) {
                Intent intent = new Intent("com.huawei.nfc.action.OPEN_AIDL_API_PAY");
                intent.setPackage("com.huawei.wallet");
                if (hwOpenPayTask.mContext.bindService(intent, hwOpenPayTask.mNfcServiceConnection, 1)) {
                    hwOpenPayTask.haveInitService = true;
                    if (hwOpenPayTask.mOpenService == null) {
                        try {
                            hwOpenPayTask.lock.wait();
                        } catch (InterruptedException unused) {
                            Log.e("HwOpenPayTask", "---InterruptedException--");
                        }
                    }
                }
                hwOpenPayTask.failResult();
            }
        }
    }

    public final void disConnect() {
        ServiceConnection serviceConnection;
        if (this.haveInitService) {
            this.haveInitService = false;
            this.mOpenService = null;
            Context context = this.mContext;
            if (context != null && (serviceConnection = this.mNfcServiceConnection) != null) {
                try {
                    context.unbindService(serviceConnection);
                } catch (Exception unused) {
                }
            }
        }
    }

    public final void failResult() {
        c cVar = this.resultCallBack;
        if (cVar != null) {
            new Bundle();
            cVar.onResult(0);
        }
        IHwPayResultCallBack iHwPayResultCallBack = this.payResultCallBack;
        if (iHwPayResultCallBack != null) {
            iHwPayResultCallBack.onError("003", "WALLET VERSION LOWER");
        }
        disConnect();
    }
}
