package com.meituan.android.walle;

public final class Pair<A, B> {
    public final A mFirst;
    public final B mSecond;

    public Pair(A a, B b) {
        this.mFirst = a;
        this.mSecond = b;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || Pair.class != obj.getClass()) {
            return false;
        }
        Pair pair = (Pair) obj;
        A a = this.mFirst;
        if (a == null) {
            if (pair.mFirst != null) {
                return false;
            }
        } else if (!a.equals(pair.mFirst)) {
            return false;
        }
        B b = this.mSecond;
        if (b == null) {
            if (pair.mSecond != null) {
                return false;
            }
        } else if (!b.equals(pair.mSecond)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        A a = this.mFirst;
        int i = 0;
        int hashCode = ((a == null ? 0 : a.hashCode()) + 31) * 31;
        B b = this.mSecond;
        if (b != null) {
            i = b.hashCode();
        }
        return hashCode + i;
    }
}
