package com.squareup.okhttp;

import okio.Buffer;

public final class FormEncodingBuilder {
    private static final MediaType CONTENT_TYPE = MediaType.parse("application/x-www-form-urlencoded");
    private final Buffer content = new Buffer();

    public FormEncodingBuilder add(String str, String str2) {
        Buffer buffer = this.content;
        if (buffer.size > 0) {
            buffer.writeByte(38);
        }
        HttpUrl.canonicalize(this.content, str, 0, str.length(), HttpUrl.QUERY_COMPONENT_ENCODE_SET, false, true);
        this.content.writeByte(61);
        HttpUrl.canonicalize(this.content, str2, 0, str2.length(), HttpUrl.QUERY_COMPONENT_ENCODE_SET, false, true);
        return this;
    }

    public FormEncodingBuilder addEncoded(String str, String str2) {
        Buffer buffer = this.content;
        if (buffer.size > 0) {
            buffer.writeByte(38);
        }
        HttpUrl.canonicalize(this.content, str, 0, str.length(), HttpUrl.QUERY_COMPONENT_ENCODE_SET, true, true);
        this.content.writeByte(61);
        HttpUrl.canonicalize(this.content, str2, 0, str2.length(), HttpUrl.QUERY_COMPONENT_ENCODE_SET, true, true);
        return this;
    }

    public RequestBody build() {
        Buffer buffer = this.content;
        if (buffer.size != 0) {
            return RequestBody.create(CONTENT_TYPE, buffer.snapshot());
        }
        throw new IllegalStateException("Form encoded body must have at least one part.");
    }
}
