package com.unionpay;

import android.app.Activity;
import android.webkit.JavascriptInterface;
import android.webkit.WebSettings;
import android.webkit.WebView;
import java.io.IOException;
import java.io.InputStream;
import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;
import java.util.Objects;
import java.util.Scanner;
import org.json.JSONObject;

public class WebViewJavascriptBridge implements Serializable {
    public w _messageHandler;
    public Map _messageHandlers;
    public Map _responseCallbacks;
    public long _uniqueId;
    private boolean mAllowScheme = false;
    public Activity mContext;
    public WebView mWebView;

    public WebViewJavascriptBridge(Activity activity, WebView webView, w wVar) {
        this.mContext = activity;
        this.mWebView = webView;
        this._messageHandler = wVar;
        this._messageHandlers = new HashMap();
        this._responseCallbacks = new HashMap();
        this._uniqueId = 0;
        WebSettings settings = this.mWebView.getSettings();
        settings.setJavaScriptEnabled(true);
        settings.setSavePassword(false);
        settings.setAllowFileAccess(false);
        settings.setDomStorageEnabled(true);
        try {
            this.mWebView.removeJavascriptInterface("accessibility");
            this.mWebView.removeJavascriptInterface("accessibilityTraversal");
            this.mWebView.removeJavascriptInterface("searchBoxJavaBridge_");
        } catch (Throwable th) {
            th.printStackTrace();
        }
        this.mWebView.addJavascriptInterface(this, "_WebViewJavascriptBridge");
        this.mWebView.setWebViewClient(new v(this, (byte) 0));
        this.mWebView.setWebChromeClient(new u(this, (byte) 0));
    }

    public static void access$300(WebViewJavascriptBridge webViewJavascriptBridge, String str, String str2) {
        Objects.requireNonNull(webViewJavascriptBridge);
        HashMap hashMap = new HashMap();
        hashMap.put("responseId", str);
        hashMap.put("responseData", str2);
        webViewJavascriptBridge._dispatchMessage(hashMap);
    }

    public static String convertStreamToString(InputStream inputStream) {
        String str = "";
        try {
            Scanner useDelimiter = new Scanner(inputStream, "UTF-8").useDelimiter("\\A");
            if (useDelimiter.hasNext()) {
                str = useDelimiter.next();
            }
            inputStream.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return str;
    }

    public final void _dispatchMessage(Map map) {
        this.mContext.runOnUiThread(new s(this, String.format("javascript:WebViewJavascriptBridge._handleMessageFromJava('%s');", new JSONObject(map).toString().replace("\\", "\\\\").replace("\"", "\\\"").replace("'", "\\'").replace("\n", "\\n").replace("\r", "\\r").replace("\f", "\\f"))));
    }

    @JavascriptInterface
    public void _handleMessageFromJs(String str, String str2, String str3, String str4, String str5) {
        w wVar;
        if (str2 != null) {
            t tVar = (t) ((x) this._responseCallbacks.get(str2));
            access$300(tVar.a, tVar.b, str3);
            this._responseCallbacks.remove(str2);
            return;
        }
        t tVar2 = null;
        if (str4 != null) {
            tVar2 = new t(this, str4);
        }
        if (str5 != null) {
            wVar = (w) this._messageHandlers.get(str5);
            if (wVar == null) {
                return;
            }
        } else {
            wVar = this._messageHandler;
        }
        try {
            this.mContext.runOnUiThread(new r(this, wVar, str, tVar2));
        } catch (Exception e) {
            e.getMessage();
        }
    }

    public final void _sendData(String str, x xVar, String str2) {
        HashMap hashMap = new HashMap();
        hashMap.put("data", str);
        if (xVar != null) {
            StringBuilder sb = new StringBuilder("java_cb_");
            long j = this._uniqueId + 1;
            this._uniqueId = j;
            sb.append(j);
            String sb2 = sb.toString();
            this._responseCallbacks.put(sb2, xVar);
            hashMap.put("callbackId", sb2);
        }
        if (str2 != null) {
            hashMap.put("handlerName", str2);
        }
        _dispatchMessage(hashMap);
    }

    public void callHandler(String str) {
        callHandler(str, null, null);
    }

    public void callHandler(String str, String str2) {
        callHandler(str, str2, null);
    }

    public void callHandler(String str, String str2, x xVar) {
        _sendData(str2, xVar, str);
    }

    public void registerHandler(String str, w wVar) {
        this._messageHandlers.put(str, wVar);
    }

    public void send(String str) {
        send(str, null);
    }

    public void send(String str, x xVar) {
        _sendData(str, xVar, null);
    }

    public void setAllowScheme(boolean z) {
        this.mAllowScheme = z;
    }
}
