package com.yzq.zxinglibrary.android;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.AsyncTask;
import android.util.Log;

public final class InactivityTimer {
    public final Activity activity;
    public AsyncTask<Object, Object, Object> inactivityTask;
    public final BroadcastReceiver powerStatusReceiver = new PowerStatusReceiver(null);
    public boolean registered = false;

    public final class InactivityAsyncTask extends AsyncTask<Object, Object, Object> {
        public InactivityAsyncTask(AnonymousClass1 r2) {
        }

        @Override // android.os.AsyncTask
        public Object doInBackground(Object... objArr) {
            try {
                Thread.sleep(300000);
                Log.i("InactivityTimer", "Finishing activity due to inactivity");
                InactivityTimer.this.activity.finish();
                return null;
            } catch (InterruptedException unused) {
                return null;
            }
        }
    }

    public final class PowerStatusReceiver extends BroadcastReceiver {
        public PowerStatusReceiver(AnonymousClass1 r2) {
        }

        public void onReceive(Context context, Intent intent) {
            if ("android.intent.action.BATTERY_CHANGED".equals(intent.getAction())) {
                if (intent.getIntExtra("plugged", -1) <= 0) {
                    InactivityTimer.this.onActivity();
                } else {
                    InactivityTimer.this.cancel();
                }
            }
        }
    }

    public InactivityTimer(Activity activity2) {
        this.activity = activity2;
        onActivity();
    }

    public final synchronized void cancel() {
        AsyncTask<Object, Object, Object> asyncTask = this.inactivityTask;
        if (asyncTask != null) {
            asyncTask.cancel(true);
            this.inactivityTask = null;
        }
    }

    @SuppressLint({"NewApi"})
    public synchronized void onActivity() {
        cancel();
        InactivityAsyncTask inactivityAsyncTask = new InactivityAsyncTask(null);
        this.inactivityTask = inactivityAsyncTask;
        inactivityAsyncTask.execute(new Object[0]);
    }
}
