package com.yzq.zxinglibrary.camera;

import android.annotation.SuppressLint;
import android.hardware.Camera;
import android.os.AsyncTask;
import android.util.Log;
import java.util.ArrayList;
import java.util.Collection;
import java.util.concurrent.RejectedExecutionException;

public final class AutoFocusManager implements Camera.AutoFocusCallback {
    public static final Collection<String> FOCUS_MODES_CALLING_AF;
    public static final String TAG = AutoFocusManager.class.getSimpleName();
    public final Camera camera;
    public boolean focusing;
    public AsyncTask<?, ?, ?> outstandingTask;
    public boolean stopped;

    public final class AutoFocusTask extends AsyncTask<Object, Object, Object> {
        public AutoFocusTask(AnonymousClass1 r2) {
        }

        @Override // android.os.AsyncTask
        public Object doInBackground(Object... objArr) {
            try {
                Thread.sleep(1000);
            } catch (InterruptedException unused) {
            }
            AutoFocusManager.this.start();
            return null;
        }
    }

    static {
        ArrayList arrayList = new ArrayList(2);
        FOCUS_MODES_CALLING_AF = arrayList;
        arrayList.add("auto");
        arrayList.add("macro");
    }

    public AutoFocusManager(Camera camera2) {
        this.camera = camera2;
        start();
    }

    @SuppressLint({"NewApi"})
    public final synchronized void autoFocusAgainLater() {
        if (!this.stopped && this.outstandingTask == null) {
            AutoFocusTask autoFocusTask = new AutoFocusTask(null);
            try {
                autoFocusTask.execute(new Object[0]);
                this.outstandingTask = autoFocusTask;
            } catch (RejectedExecutionException e) {
                Log.w(TAG, "Could not request auto focus", e);
            }
        }
    }

    public synchronized void onAutoFocus(boolean z, Camera camera2) {
        this.focusing = false;
        autoFocusAgainLater();
    }

    public synchronized void start() {
        this.outstandingTask = null;
        if (!this.stopped && !this.focusing) {
            try {
                this.camera.autoFocus(this);
                this.focusing = true;
            } catch (RuntimeException e) {
                Log.w(TAG, "Unexpected exception while focusing", e);
                autoFocusAgainLater();
            }
        }
    }

    public synchronized void stop() {
        this.stopped = true;
        synchronized (this) {
            AsyncTask<?, ?, ?> asyncTask = this.outstandingTask;
            if (asyncTask != null) {
                if (asyncTask.getStatus() != AsyncTask.Status.FINISHED) {
                    this.outstandingTask.cancel(true);
                }
                this.outstandingTask = null;
            }
        }
        try {
            this.camera.cancelAutoFocus();
        } catch (RuntimeException e) {
            Log.w(TAG, "Unexpected exception while cancelling focusing", e);
        }
    }
}
