package com.yzq.zxinglibrary.camera;

import android.annotation.SuppressLint;
import android.hardware.Camera;
import android.util.Log;

public abstract class OpenCameraInterface {
    @SuppressLint({"NewApi"})
    public static Camera open(int i) {
        int numberOfCameras = Camera.getNumberOfCameras();
        if (numberOfCameras == 0) {
            Log.w("com.yzq.zxinglibrary.camera.OpenCameraInterface", "No cameras!");
            return null;
        }
        boolean z = i >= 0;
        if (!z) {
            i = 0;
            while (i < numberOfCameras) {
                Camera.CameraInfo cameraInfo = new Camera.CameraInfo();
                Camera.getCameraInfo(i, cameraInfo);
                if (cameraInfo.facing == 0) {
                    break;
                }
                i++;
            }
        }
        if (i < numberOfCameras) {
            Log.i("com.yzq.zxinglibrary.camera.OpenCameraInterface", "Opening camera #" + i);
            return Camera.open(i);
        } else if (z) {
            Log.w("com.yzq.zxinglibrary.camera.OpenCameraInterface", "Requested camera does not exist: " + i);
            return null;
        } else {
            Log.i("com.yzq.zxinglibrary.camera.OpenCameraInterface", "No camera facing back; returning camera #0");
            return Camera.open(0);
        }
    }
}
