package com.yzq.zxinglibrary.camera;

import android.graphics.Point;
import android.hardware.Camera;
import android.os.Handler;
import android.util.Log;

public final class PreviewCallback implements Camera.PreviewCallback {
    public static final String TAG = PreviewCallback.class.getSimpleName();
    public final CameraConfigurationManager configManager;
    public Handler previewHandler;
    public int previewMessage;

    public PreviewCallback(CameraConfigurationManager cameraConfigurationManager) {
        this.configManager = cameraConfigurationManager;
    }

    public void onPreviewFrame(byte[] bArr, Camera camera) {
        Point point = this.configManager.cameraResolution;
        Handler handler = this.previewHandler;
        if (point == null || handler == null) {
            Log.d(TAG, "Got preview callback, but no handler or resolution available");
            return;
        }
        handler.obtainMessage(this.previewMessage, point.x, point.y, bArr).sendToTarget();
        this.previewHandler = null;
    }
}
