package com.yzq.zxinglibrary.view;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.core.content.ContextCompat;
import com.google.zxing.ResultPoint;
import com.yzq.zxinglibrary.R$color;
import com.yzq.zxinglibrary.R$drawable;
import com.yzq.zxinglibrary.bean.ZxingConfig;
import com.yzq.zxinglibrary.camera.CameraManager;
import java.util.ArrayList;
import java.util.List;

public final class ViewfinderView extends View {
    public CameraManager cameraManager;
    public ZxingConfig config;
    public List<ResultPoint> lastPossibleResultPoints;
    public int maskColor;
    public final Paint paint;
    public List<ResultPoint> possibleResultPoints;
    public int reactColor;
    public int resultColor;
    public int resultPointColor;
    public final View scanLineView;

    public ViewfinderView(Context context) {
        this(context, null);
    }

    @SuppressLint({"DrawAllocation"})
    public void onDraw(Canvas canvas) {
        CameraManager cameraManager2 = this.cameraManager;
        if (cameraManager2 != null) {
            Rect framingRect = cameraManager2.getFramingRect();
            Rect framingRectInPreview = this.cameraManager.getFramingRectInPreview();
            if (!(framingRect == null || framingRectInPreview == null)) {
                int width = canvas.getWidth();
                int height = canvas.getHeight();
                this.scanLineView.setLayoutParams(new ViewGroup.LayoutParams(framingRect.width(), 10));
                this.scanLineView.setBackgroundColor(this.reactColor);
                this.paint.setColor(this.maskColor);
                float f = (float) width;
                canvas.drawRect(0.0f, 0.0f, f, (float) framingRect.top, this.paint);
                canvas.drawRect(0.0f, (float) framingRect.top, (float) framingRect.left, (float) (framingRect.bottom + 1), this.paint);
                canvas.drawRect((float) (framingRect.right + 1), (float) framingRect.top, f, (float) (framingRect.bottom + 1), this.paint);
                canvas.drawRect(0.0f, (float) (framingRect.bottom + 1), f, (float) height, this.paint);
                if (this.config.getFrameLineColor() != -1) {
                    this.paint.setColor(ContextCompat.getColor(getContext(), this.config.getFrameLineColor()));
                    this.paint.setStrokeWidth(2.0f);
                    this.paint.setStyle(Paint.Style.STROKE);
                    canvas.drawRect(framingRect, this.paint);
                }
                this.paint.setColor(this.reactColor);
                this.paint.setStyle(Paint.Style.FILL);
                this.paint.setStrokeWidth(1.0f);
                int width2 = (int) (((double) framingRect.width()) * 0.07d);
                int i = (int) (((double) width2) * 0.2d);
                int i2 = i > 15 ? 15 : i;
                int i3 = framingRect.left;
                int i4 = framingRect.top;
                canvas.drawRect((float) (i3 - i2), (float) i4, (float) i3, (float) (i4 + width2), this.paint);
                int i5 = framingRect.left;
                int i6 = framingRect.top;
                canvas.drawRect((float) (i5 - i2), (float) (i6 - i2), (float) (i5 + width2), (float) i6, this.paint);
                int i7 = framingRect.right;
                int i8 = framingRect.top;
                canvas.drawRect((float) i7, (float) i8, (float) (i7 + i2), (float) (i8 + width2), this.paint);
                int i9 = framingRect.right;
                int i10 = framingRect.top;
                canvas.drawRect((float) (i9 - width2), (float) (i10 - i2), (float) (i9 + i2), (float) i10, this.paint);
                int i11 = framingRect.left;
                int i12 = framingRect.bottom;
                canvas.drawRect((float) (i11 - i2), (float) (i12 - width2), (float) i11, (float) i12, this.paint);
                int i13 = framingRect.left;
                int i14 = framingRect.bottom;
                canvas.drawRect((float) (i13 - i2), (float) i14, (float) (i13 + width2), (float) (i14 + i2), this.paint);
                int i15 = framingRect.right;
                int i16 = framingRect.bottom;
                canvas.drawRect((float) i15, (float) (i16 - width2), (float) (i15 + i2), (float) i16, this.paint);
                int i17 = framingRect.right;
                int i18 = framingRect.bottom;
                canvas.drawRect((float) (i17 - width2), (float) i18, (float) (i17 + i2), (float) (i18 + i2), this.paint);
                float width3 = ((float) framingRect.width()) / ((float) framingRectInPreview.width());
                float height2 = ((float) framingRect.height()) / ((float) framingRectInPreview.height());
                List<ResultPoint> list = this.possibleResultPoints;
                List<ResultPoint> list2 = this.lastPossibleResultPoints;
                int i19 = framingRect.left;
                int i20 = framingRect.top;
                if (list.isEmpty()) {
                    this.lastPossibleResultPoints = null;
                } else {
                    this.possibleResultPoints = new ArrayList(5);
                    this.lastPossibleResultPoints = list;
                    this.paint.setAlpha(160);
                    this.paint.setColor(this.resultPointColor);
                    synchronized (list) {
                        for (ResultPoint resultPoint : list) {
                            canvas.drawCircle((float) (((int) (resultPoint.x * width3)) + i19), (float) (((int) (resultPoint.y * height2)) + i20), 6.0f, this.paint);
                        }
                    }
                }
                if (list2 != null) {
                    this.paint.setAlpha(80);
                    this.paint.setColor(this.resultPointColor);
                    synchronized (list2) {
                        for (ResultPoint resultPoint2 : list2) {
                            canvas.drawCircle((float) (((int) (resultPoint2.x * width3)) + i19), (float) (((int) (resultPoint2.y * height2)) + i20), 3.0f, this.paint);
                        }
                    }
                }
                postInvalidateDelayed(80, framingRect.left - 6, framingRect.top - 6, framingRect.right + 6, framingRect.bottom + 6);
            }
        }
    }

    public void setCameraManager(CameraManager cameraManager2) {
        this.cameraManager = cameraManager2;
    }

    public void setZxingConfig(ZxingConfig zxingConfig) {
        this.config = zxingConfig;
        this.reactColor = ContextCompat.getColor(getContext(), zxingConfig.getReactColor());
    }

    public ViewfinderView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ViewfinderView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.paint = new Paint(1);
        Resources resources = getResources();
        this.maskColor = ContextCompat.getColor(getContext(), R$color.viewfinder_mask);
        this.resultColor = ContextCompat.getColor(getContext(), R$color.result_view);
        this.resultPointColor = ContextCompat.getColor(getContext(), R$color.possible_result_points);
        ContextCompat.getColor(getContext(), R$color.status_text);
        this.possibleResultPoints = new ArrayList(10);
        this.lastPossibleResultPoints = null;
        BitmapFactory.decodeResource(resources, R$drawable.scan_light);
        this.scanLineView = new View(context);
    }
}
