package io.github.rockerhieu.emojicon;

import android.content.Context;
import android.text.Spannable;
import android.util.SparseIntArray;
import java.util.HashMap;
import java.util.Map;
import net.xfkefu.sdk.R;

public abstract class EmojiconHandler {
    public static final SparseIntArray sEmojiModifiersMap;
    public static final SparseIntArray sEmojisMap;
    public static Map<String, Integer> sEmojisModifiedMap = new HashMap();
    public static final SparseIntArray sSoftbanksMap = new SparseIntArray(471);

    static {
        SparseIntArray sparseIntArray = new SparseIntArray(1029);
        sEmojisMap = sparseIntArray;
        SparseIntArray sparseIntArray2 = new SparseIntArray(5);
        sEmojiModifiersMap = sparseIntArray2;
        sparseIntArray2.put(127995, 1);
        sparseIntArray2.put(127996, 1);
        sparseIntArray2.put(127997, 1);
        sparseIntArray2.put(127998, 1);
        sparseIntArray2.put(127999, 1);
        sparseIntArray.put(128516, R.drawable.emoji_1f604);
        sparseIntArray.put(128515, R.drawable.emoji_1f603);
        sparseIntArray.put(128512, R.drawable.emoji_1f600);
        sparseIntArray.put(128522, R.drawable.emoji_1f60a);
        sparseIntArray.put(9786, R.drawable.emoji_263a);
        sparseIntArray.put(128521, R.drawable.emoji_1f609);
        sparseIntArray.put(128525, R.drawable.emoji_1f60d);
        sparseIntArray.put(128536, R.drawable.emoji_1f618);
        sparseIntArray.put(128538, R.drawable.emoji_1f61a);
        sparseIntArray.put(128535, R.drawable.emoji_1f617);
        sparseIntArray.put(128537, R.drawable.emoji_1f619);
        sparseIntArray.put(128540, R.drawable.emoji_1f61c);
        sparseIntArray.put(128541, R.drawable.emoji_1f61d);
        sparseIntArray.put(128539, R.drawable.emoji_1f61b);
        sparseIntArray.put(128563, R.drawable.emoji_1f633);
        sparseIntArray.put(128513, R.drawable.emoji_1f601);
        sparseIntArray.put(128532, R.drawable.emoji_1f614);
        sparseIntArray.put(128524, R.drawable.emoji_1f60c);
        sparseIntArray.put(128530, R.drawable.emoji_1f612);
        sparseIntArray.put(128542, R.drawable.emoji_1f61e);
        sparseIntArray.put(128547, R.drawable.emoji_1f623);
        sparseIntArray.put(128546, R.drawable.emoji_1f622);
        sparseIntArray.put(128514, R.drawable.emoji_1f602);
        sparseIntArray.put(128557, R.drawable.emoji_1f62d);
        sparseIntArray.put(128554, R.drawable.emoji_1f62a);
        sparseIntArray.put(128549, R.drawable.emoji_1f625);
        sparseIntArray.put(128560, R.drawable.emoji_1f630);
        sparseIntArray.put(128517, R.drawable.emoji_1f605);
        sparseIntArray.put(128531, R.drawable.emoji_1f613);
        sparseIntArray.put(128553, R.drawable.emoji_1f629);
        sparseIntArray.put(128555, R.drawable.emoji_1f62b);
        sparseIntArray.put(128552, R.drawable.emoji_1f628);
        sparseIntArray.put(128561, R.drawable.emoji_1f631);
        sparseIntArray.put(128544, R.drawable.emoji_1f620);
        sparseIntArray.put(128545, R.drawable.emoji_1f621);
        sparseIntArray.put(128548, R.drawable.emoji_1f624);
        sparseIntArray.put(128534, R.drawable.emoji_1f616);
        sparseIntArray.put(128518, R.drawable.emoji_1f606);
        sparseIntArray.put(128523, R.drawable.emoji_1f60b);
        sparseIntArray.put(128567, R.drawable.emoji_1f637);
        sparseIntArray.put(128526, R.drawable.emoji_1f60e);
        sparseIntArray.put(128564, R.drawable.emoji_1f634);
        sparseIntArray.put(128565, R.drawable.emoji_1f635);
        sparseIntArray.put(128562, R.drawable.emoji_1f632);
        sparseIntArray.put(128543, R.drawable.emoji_1f61f);
        sparseIntArray.put(128550, R.drawable.emoji_1f626);
        sparseIntArray.put(128551, R.drawable.emoji_1f627);
        sparseIntArray.put(128520, R.drawable.emoji_1f608);
        SparseIntArray sparseIntArray3 = sEmojisMap;
        sparseIntArray3.put(128127, R.drawable.emoji_1f47f);
        sparseIntArray3.put(128558, R.drawable.emoji_1f62e);
        sparseIntArray3.put(128556, R.drawable.emoji_1f62c);
        sparseIntArray3.put(128528, R.drawable.emoji_1f610);
        sparseIntArray3.put(128533, R.drawable.emoji_1f615);
        sparseIntArray3.put(128559, R.drawable.emoji_1f62f);
        sparseIntArray3.put(128566, R.drawable.emoji_1f636);
        sparseIntArray3.put(128519, R.drawable.emoji_1f607);
        sparseIntArray3.put(128527, R.drawable.emoji_1f60f);
        sparseIntArray3.put(128529, R.drawable.emoji_1f611);
        sparseIntArray3.put(128114, R.drawable.emoji_1f472);
        sparseIntArray3.put(128115, R.drawable.emoji_1f473);
        sparseIntArray3.put(128110, R.drawable.emoji_1f46e);
        sparseIntArray3.put(128119, R.drawable.emoji_1f477);
        sparseIntArray3.put(128130, R.drawable.emoji_1f482);
        sparseIntArray3.put(128118, R.drawable.emoji_1f476);
        sparseIntArray3.put(128102, R.drawable.emoji_1f466);
        sparseIntArray3.put(128103, R.drawable.emoji_1f467);
        sparseIntArray3.put(128104, R.drawable.emoji_1f468);
        sparseIntArray3.put(128105, R.drawable.emoji_1f469);
        sparseIntArray3.put(128116, R.drawable.emoji_1f474);
        sparseIntArray3.put(128117, R.drawable.emoji_1f475);
        sparseIntArray3.put(128113, R.drawable.emoji_1f471);
        sparseIntArray3.put(128124, R.drawable.emoji_1f47c);
        sparseIntArray3.put(128120, R.drawable.emoji_1f478);
        sparseIntArray3.put(128570, R.drawable.emoji_1f63a);
        sparseIntArray3.put(128568, R.drawable.emoji_1f638);
        sparseIntArray3.put(128571, R.drawable.emoji_1f63b);
        sparseIntArray3.put(128573, R.drawable.emoji_1f63d);
        sparseIntArray3.put(128572, R.drawable.emoji_1f63c);
        sparseIntArray3.put(128576, R.drawable.emoji_1f640);
        sparseIntArray3.put(128575, R.drawable.emoji_1f63f);
        sparseIntArray3.put(128569, R.drawable.emoji_1f639);
        sparseIntArray3.put(128574, R.drawable.emoji_1f63e);
        sparseIntArray3.put(128121, R.drawable.emoji_1f479);
        sparseIntArray3.put(128122, R.drawable.emoji_1f47a);
        sparseIntArray3.put(128584, R.drawable.emoji_1f648);
        sparseIntArray3.put(128585, R.drawable.emoji_1f649);
        sparseIntArray3.put(128586, R.drawable.emoji_1f64a);
        sparseIntArray3.put(128128, R.drawable.emoji_1f480);
        sparseIntArray3.put(128125, R.drawable.emoji_1f47d);
        sparseIntArray3.put(128169, R.drawable.emoji_1f4a9);
        sparseIntArray3.put(128293, R.drawable.emoji_1f525);
        sparseIntArray3.put(10024, R.drawable.emoji_2728);
        sparseIntArray3.put(127775, R.drawable.emoji_1f31f);
        sparseIntArray3.put(128171, R.drawable.emoji_1f4ab);
        sparseIntArray3.put(128165, R.drawable.emoji_1f4a5);
        sparseIntArray3.put(128162, R.drawable.emoji_1f4a2);
        sparseIntArray3.put(128166, R.drawable.emoji_1f4a6);
        sparseIntArray3.put(128167, R.drawable.emoji_1f4a7);
        SparseIntArray sparseIntArray4 = sEmojisMap;
        sparseIntArray4.put(128164, R.drawable.emoji_1f4a4);
        sparseIntArray4.put(128168, R.drawable.emoji_1f4a8);
        sparseIntArray4.put(128066, R.drawable.emoji_1f442);
        sparseIntArray4.put(128064, R.drawable.emoji_1f440);
        sparseIntArray4.put(128067, R.drawable.emoji_1f443);
        sparseIntArray4.put(128069, R.drawable.emoji_1f445);
        sparseIntArray4.put(128068, R.drawable.emoji_1f444);
        sparseIntArray4.put(128077, R.drawable.emoji_1f44d);
        sparseIntArray4.put(128078, R.drawable.emoji_1f44e);
        sparseIntArray4.put(128076, R.drawable.emoji_1f44c);
        sparseIntArray4.put(128074, R.drawable.emoji_1f44a);
        sparseIntArray4.put(9994, R.drawable.emoji_270a);
        sparseIntArray4.put(9996, R.drawable.emoji_270c);
        sparseIntArray4.put(128075, R.drawable.emoji_1f44b);
        sparseIntArray4.put(9995, R.drawable.emoji_270b);
        sparseIntArray4.put(128080, R.drawable.emoji_1f450);
        sparseIntArray4.put(128070, R.drawable.emoji_1f446);
        sparseIntArray4.put(128071, R.drawable.emoji_1f447);
        sparseIntArray4.put(128073, R.drawable.emoji_1f449);
        sparseIntArray4.put(128072, R.drawable.emoji_1f448);
        sparseIntArray4.put(128588, R.drawable.emoji_1f64c);
        sparseIntArray4.put(128591, R.drawable.emoji_1f64f);
        sparseIntArray4.put(9757, R.drawable.emoji_261d);
        sparseIntArray4.put(128079, R.drawable.emoji_1f44f);
        sparseIntArray4.put(128170, R.drawable.emoji_1f4aa);
        sparseIntArray4.put(128694, R.drawable.emoji_1f6b6);
        sparseIntArray4.put(127939, R.drawable.emoji_1f3c3);
        sparseIntArray4.put(128131, R.drawable.emoji_1f483);
        sparseIntArray4.put(128107, R.drawable.emoji_1f46b);
        sparseIntArray4.put(128106, R.drawable.emoji_1f46a);
        sparseIntArray4.put(128108, R.drawable.emoji_1f46c);
        sparseIntArray4.put(128109, R.drawable.emoji_1f46d);
        sparseIntArray4.put(128143, R.drawable.emoji_1f48f);
        sparseIntArray4.put(128145, R.drawable.emoji_1f491);
        sparseIntArray4.put(128111, R.drawable.emoji_1f46f);
        sparseIntArray4.put(128582, R.drawable.emoji_1f646);
        sparseIntArray4.put(128581, R.drawable.emoji_1f645);
        sparseIntArray4.put(128129, R.drawable.emoji_1f481);
        sparseIntArray4.put(128587, R.drawable.emoji_1f64b);
        sparseIntArray4.put(128134, R.drawable.emoji_1f486);
        sparseIntArray4.put(128135, R.drawable.emoji_1f487);
        sparseIntArray4.put(128133, R.drawable.emoji_1f485);
        sparseIntArray4.put(128112, R.drawable.emoji_1f470);
        sparseIntArray4.put(128590, R.drawable.emoji_1f64e);
        sparseIntArray4.put(128589, R.drawable.emoji_1f64d);
        sparseIntArray4.put(128583, R.drawable.emoji_1f647);
        sparseIntArray4.put(127913, R.drawable.emoji_1f3a9);
        sparseIntArray4.put(128081, R.drawable.emoji_1f451);
        sparseIntArray4.put(128082, R.drawable.emoji_1f452);
        sparseIntArray4.put(128095, R.drawable.emoji_1f45f);
        SparseIntArray sparseIntArray5 = sEmojisMap;
        sparseIntArray5.put(128094, R.drawable.emoji_1f45e);
        sparseIntArray5.put(128097, R.drawable.emoji_1f461);
        sparseIntArray5.put(128096, R.drawable.emoji_1f460);
        sparseIntArray5.put(128098, R.drawable.emoji_1f462);
        sparseIntArray5.put(128085, R.drawable.emoji_1f455);
        sparseIntArray5.put(128084, R.drawable.emoji_1f454);
        sparseIntArray5.put(128090, R.drawable.emoji_1f45a);
        sparseIntArray5.put(128087, R.drawable.emoji_1f457);
        sparseIntArray5.put(127933, R.drawable.emoji_1f3bd);
        sparseIntArray5.put(128086, R.drawable.emoji_1f456);
        sparseIntArray5.put(128088, R.drawable.emoji_1f458);
        sparseIntArray5.put(128089, R.drawable.emoji_1f459);
        sparseIntArray5.put(128188, R.drawable.emoji_1f4bc);
        sparseIntArray5.put(128092, R.drawable.emoji_1f45c);
        sparseIntArray5.put(128093, R.drawable.emoji_1f45d);
        sparseIntArray5.put(128091, R.drawable.emoji_1f45b);
        sparseIntArray5.put(128083, R.drawable.emoji_1f453);
        sparseIntArray5.put(127872, R.drawable.emoji_1f380);
        sparseIntArray5.put(127746, R.drawable.emoji_1f302);
        sparseIntArray5.put(128132, R.drawable.emoji_1f484);
        sparseIntArray5.put(128155, R.drawable.emoji_1f49b);
        sparseIntArray5.put(128153, R.drawable.emoji_1f499);
        sparseIntArray5.put(128156, R.drawable.emoji_1f49c);
        sparseIntArray5.put(128154, R.drawable.emoji_1f49a);
        sparseIntArray5.put(10084, R.drawable.emoji_2764);
        sparseIntArray5.put(128148, R.drawable.emoji_1f494);
        sparseIntArray5.put(128151, R.drawable.emoji_1f497);
        sparseIntArray5.put(128147, R.drawable.emoji_1f493);
        sparseIntArray5.put(128149, R.drawable.emoji_1f495);
        sparseIntArray5.put(128150, R.drawable.emoji_1f496);
        sparseIntArray5.put(128158, R.drawable.emoji_1f49e);
        sparseIntArray5.put(128152, R.drawable.emoji_1f498);
        sparseIntArray5.put(128140, R.drawable.emoji_1f48c);
        sparseIntArray5.put(128139, R.drawable.emoji_1f48b);
        sparseIntArray5.put(128141, R.drawable.emoji_1f48d);
        sparseIntArray5.put(128142, R.drawable.emoji_1f48e);
        sparseIntArray5.put(128100, R.drawable.emoji_1f464);
        sparseIntArray5.put(128101, R.drawable.emoji_1f465);
        sparseIntArray5.put(128172, R.drawable.emoji_1f4ac);
        sparseIntArray5.put(128099, R.drawable.emoji_1f463);
        sparseIntArray5.put(128173, R.drawable.emoji_1f4ad);
        sparseIntArray5.put(128054, R.drawable.emoji_1f436);
        sparseIntArray5.put(128058, R.drawable.emoji_1f43a);
        sparseIntArray5.put(128049, R.drawable.emoji_1f431);
        sparseIntArray5.put(128045, R.drawable.emoji_1f42d);
        sparseIntArray5.put(128057, R.drawable.emoji_1f439);
        sparseIntArray5.put(128048, R.drawable.emoji_1f430);
        sparseIntArray5.put(128056, R.drawable.emoji_1f438);
        sparseIntArray5.put(128047, R.drawable.emoji_1f42f);
        sparseIntArray5.put(128040, R.drawable.emoji_1f428);
        SparseIntArray sparseIntArray6 = sEmojisMap;
        sparseIntArray6.put(128059, R.drawable.emoji_1f43b);
        sparseIntArray6.put(128055, R.drawable.emoji_1f437);
        sparseIntArray6.put(128061, R.drawable.emoji_1f43d);
        sparseIntArray6.put(128046, R.drawable.emoji_1f42e);
        sparseIntArray6.put(128023, R.drawable.emoji_1f417);
        sparseIntArray6.put(128053, R.drawable.emoji_1f435);
        sparseIntArray6.put(128018, R.drawable.emoji_1f412);
        sparseIntArray6.put(128052, R.drawable.emoji_1f434);
        sparseIntArray6.put(128017, R.drawable.emoji_1f411);
        sparseIntArray6.put(128024, R.drawable.emoji_1f418);
        sparseIntArray6.put(128060, R.drawable.emoji_1f43c);
        sparseIntArray6.put(128039, R.drawable.emoji_1f427);
        sparseIntArray6.put(128038, R.drawable.emoji_1f426);
        sparseIntArray6.put(128036, R.drawable.emoji_1f424);
        sparseIntArray6.put(128037, R.drawable.emoji_1f425);
        sparseIntArray6.put(128035, R.drawable.emoji_1f423);
        sparseIntArray6.put(128020, R.drawable.emoji_1f414);
        sparseIntArray6.put(128013, R.drawable.emoji_1f40d);
        sparseIntArray6.put(128034, R.drawable.emoji_1f422);
        sparseIntArray6.put(128027, R.drawable.emoji_1f41b);
        sparseIntArray6.put(128029, R.drawable.emoji_1f41d);
        sparseIntArray6.put(128028, R.drawable.emoji_1f41c);
        sparseIntArray6.put(128030, R.drawable.emoji_1f41e);
        sparseIntArray6.put(128012, R.drawable.emoji_1f40c);
        sparseIntArray6.put(128025, R.drawable.emoji_1f419);
        sparseIntArray6.put(128026, R.drawable.emoji_1f41a);
        sparseIntArray6.put(128032, R.drawable.emoji_1f420);
        sparseIntArray6.put(128031, R.drawable.emoji_1f41f);
        sparseIntArray6.put(128044, R.drawable.emoji_1f42c);
        sparseIntArray6.put(128051, R.drawable.emoji_1f433);
        sparseIntArray6.put(128011, R.drawable.emoji_1f40b);
        sparseIntArray6.put(128004, R.drawable.emoji_1f404);
        sparseIntArray6.put(128015, R.drawable.emoji_1f40f);
        sparseIntArray6.put(128000, R.drawable.emoji_1f400);
        sparseIntArray6.put(128003, R.drawable.emoji_1f403);
        sparseIntArray6.put(128005, R.drawable.emoji_1f405);
        sparseIntArray6.put(128007, R.drawable.emoji_1f407);
        sparseIntArray6.put(128009, R.drawable.emoji_1f409);
        sparseIntArray6.put(128014, R.drawable.emoji_1f40e);
        sparseIntArray6.put(128016, R.drawable.emoji_1f410);
        sparseIntArray6.put(128019, R.drawable.emoji_1f413);
        sparseIntArray6.put(128021, R.drawable.emoji_1f415);
        sparseIntArray6.put(128022, R.drawable.emoji_1f416);
        sparseIntArray6.put(128001, R.drawable.emoji_1f401);
        sparseIntArray6.put(128002, R.drawable.emoji_1f402);
        sparseIntArray6.put(128050, R.drawable.emoji_1f432);
        sparseIntArray6.put(128033, R.drawable.emoji_1f421);
        sparseIntArray6.put(128010, R.drawable.emoji_1f40a);
        sparseIntArray6.put(128043, R.drawable.emoji_1f42b);
        sparseIntArray6.put(128042, R.drawable.emoji_1f42a);
        SparseIntArray sparseIntArray7 = sEmojisMap;
        sparseIntArray7.put(128006, R.drawable.emoji_1f406);
        sparseIntArray7.put(128008, R.drawable.emoji_1f408);
        sparseIntArray7.put(128041, R.drawable.emoji_1f429);
        sparseIntArray7.put(128062, R.drawable.emoji_1f43e);
        sparseIntArray7.put(128144, R.drawable.emoji_1f490);
        sparseIntArray7.put(127800, R.drawable.emoji_1f338);
        sparseIntArray7.put(127799, R.drawable.emoji_1f337);
        sparseIntArray7.put(127808, R.drawable.emoji_1f340);
        sparseIntArray7.put(127801, R.drawable.emoji_1f339);
        sparseIntArray7.put(127803, R.drawable.emoji_1f33b);
        sparseIntArray7.put(127802, R.drawable.emoji_1f33a);
        sparseIntArray7.put(127809, R.drawable.emoji_1f341);
        sparseIntArray7.put(127811, R.drawable.emoji_1f343);
        sparseIntArray7.put(127810, R.drawable.emoji_1f342);
        sparseIntArray7.put(127807, R.drawable.emoji_1f33f);
        sparseIntArray7.put(127806, R.drawable.emoji_1f33e);
        sparseIntArray7.put(127812, R.drawable.emoji_1f344);
        sparseIntArray7.put(127797, R.drawable.emoji_1f335);
        sparseIntArray7.put(127796, R.drawable.emoji_1f334);
        sparseIntArray7.put(127794, R.drawable.emoji_1f332);
        sparseIntArray7.put(127795, R.drawable.emoji_1f333);
        sparseIntArray7.put(127792, R.drawable.emoji_1f330);
        sparseIntArray7.put(127793, R.drawable.emoji_1f331);
        sparseIntArray7.put(127804, R.drawable.emoji_1f33c);
        sparseIntArray7.put(127760, R.drawable.emoji_1f310);
        sparseIntArray7.put(127774, R.drawable.emoji_1f31e);
        sparseIntArray7.put(127773, R.drawable.emoji_1f31d);
        sparseIntArray7.put(127770, R.drawable.emoji_1f31a);
        sparseIntArray7.put(127761, R.drawable.emoji_1f311);
        sparseIntArray7.put(127762, R.drawable.emoji_1f312);
        sparseIntArray7.put(127763, R.drawable.emoji_1f313);
        sparseIntArray7.put(127764, R.drawable.emoji_1f314);
        sparseIntArray7.put(127765, R.drawable.emoji_1f315);
        sparseIntArray7.put(127766, R.drawable.emoji_1f316);
        sparseIntArray7.put(127767, R.drawable.emoji_1f317);
        sparseIntArray7.put(127768, R.drawable.emoji_1f318);
        sparseIntArray7.put(127772, R.drawable.emoji_1f31c);
        sparseIntArray7.put(127771, R.drawable.emoji_1f31b);
        sparseIntArray7.put(127769, R.drawable.emoji_1f319);
        sparseIntArray7.put(127757, R.drawable.emoji_1f30d);
        sparseIntArray7.put(127758, R.drawable.emoji_1f30e);
        sparseIntArray7.put(127759, R.drawable.emoji_1f30f);
        sparseIntArray7.put(127755, R.drawable.emoji_1f30b);
        sparseIntArray7.put(127756, R.drawable.emoji_1f30c);
        sparseIntArray7.put(127776, R.drawable.emoji_1f303);
        sparseIntArray7.put(11088, R.drawable.emoji_2b50);
        sparseIntArray7.put(9728, R.drawable.emoji_2600);
        sparseIntArray7.put(9925, R.drawable.emoji_26c5);
        sparseIntArray7.put(9729, R.drawable.emoji_2601);
        sparseIntArray7.put(9889, R.drawable.emoji_26a1);
        SparseIntArray sparseIntArray8 = sEmojisMap;
        sparseIntArray8.put(9748, R.drawable.emoji_2614);
        sparseIntArray8.put(10052, R.drawable.emoji_2744);
        sparseIntArray8.put(9924, R.drawable.emoji_26c4);
        sparseIntArray8.put(127744, R.drawable.emoji_1f300);
        sparseIntArray8.put(127745, R.drawable.emoji_1f301);
        sparseIntArray8.put(127752, R.drawable.emoji_1f308);
        sparseIntArray8.put(127754, R.drawable.emoji_1f30a);
        sparseIntArray8.put(127885, R.drawable.emoji_1f38d);
        sparseIntArray8.put(128157, R.drawable.emoji_1f49d);
        sparseIntArray8.put(127886, R.drawable.emoji_1f38e);
        sparseIntArray8.put(127890, R.drawable.emoji_1f392);
        sparseIntArray8.put(127891, R.drawable.emoji_1f393);
        sparseIntArray8.put(127887, R.drawable.emoji_1f38f);
        sparseIntArray8.put(127878, R.drawable.emoji_1f386);
        sparseIntArray8.put(127879, R.drawable.emoji_1f387);
        sparseIntArray8.put(127888, R.drawable.emoji_1f390);
        sparseIntArray8.put(127889, R.drawable.emoji_1f391);
        sparseIntArray8.put(127875, R.drawable.emoji_1f383);
        sparseIntArray8.put(128123, R.drawable.emoji_1f47b);
        sparseIntArray8.put(127877, R.drawable.emoji_1f385);
        sparseIntArray8.put(127876, R.drawable.emoji_1f384);
        sparseIntArray8.put(127873, R.drawable.emoji_1f381);
        sparseIntArray8.put(127883, R.drawable.emoji_1f38b);
        sparseIntArray8.put(127881, R.drawable.emoji_1f389);
        sparseIntArray8.put(127882, R.drawable.emoji_1f38a);
        sparseIntArray8.put(127880, R.drawable.emoji_1f388);
        sparseIntArray8.put(127884, R.drawable.emoji_1f38c);
        sparseIntArray8.put(128302, R.drawable.emoji_1f52e);
        sparseIntArray8.put(127909, R.drawable.emoji_1f3a5);
        sparseIntArray8.put(128247, R.drawable.emoji_1f4f7);
        sparseIntArray8.put(128249, R.drawable.emoji_1f4f9);
        sparseIntArray8.put(128252, R.drawable.emoji_1f4fc);
        sparseIntArray8.put(128191, R.drawable.emoji_1f4bf);
        sparseIntArray8.put(128192, R.drawable.emoji_1f4c0);
        sparseIntArray8.put(128189, R.drawable.emoji_1f4bd);
        sparseIntArray8.put(128190, R.drawable.emoji_1f4be);
        sparseIntArray8.put(128187, R.drawable.emoji_1f4bb);
        sparseIntArray8.put(128241, R.drawable.emoji_1f4f1);
        sparseIntArray8.put(9742, R.drawable.emoji_260e);
        sparseIntArray8.put(128222, R.drawable.emoji_1f4de);
        sparseIntArray8.put(128223, R.drawable.emoji_1f4df);
        sparseIntArray8.put(128224, R.drawable.emoji_1f4e0);
        sparseIntArray8.put(128225, R.drawable.emoji_1f4e1);
        sparseIntArray8.put(128250, R.drawable.emoji_1f4fa);
        sparseIntArray8.put(128251, R.drawable.emoji_1f4fb);
        sparseIntArray8.put(128266, R.drawable.emoji_1f50a);
        sparseIntArray8.put(128265, R.drawable.emoji_1f509);
        sparseIntArray8.put(128264, R.drawable.emoji_1f508);
        sparseIntArray8.put(128263, R.drawable.emoji_1f507);
        sparseIntArray8.put(128276, R.drawable.emoji_1f514);
        SparseIntArray sparseIntArray9 = sEmojisMap;
        sparseIntArray9.put(128277, R.drawable.emoji_1f515);
        sparseIntArray9.put(128226, R.drawable.emoji_1f4e2);
        sparseIntArray9.put(128227, R.drawable.emoji_1f4e3);
        sparseIntArray9.put(9203, R.drawable.emoji_23f3);
        sparseIntArray9.put(8987, R.drawable.emoji_231b);
        sparseIntArray9.put(9200, R.drawable.emoji_23f0);
        sparseIntArray9.put(8986, R.drawable.emoji_231a);
        sparseIntArray9.put(128275, R.drawable.emoji_1f513);
        sparseIntArray9.put(128274, R.drawable.emoji_1f512);
        sparseIntArray9.put(128271, R.drawable.emoji_1f50f);
        sparseIntArray9.put(128272, R.drawable.emoji_1f510);
        sparseIntArray9.put(128273, R.drawable.emoji_1f511);
        sparseIntArray9.put(128270, R.drawable.emoji_1f50e);
        sparseIntArray9.put(128161, R.drawable.emoji_1f4a1);
        sparseIntArray9.put(128294, R.drawable.emoji_1f526);
        sparseIntArray9.put(128262, R.drawable.emoji_1f506);
        sparseIntArray9.put(128261, R.drawable.emoji_1f505);
        sparseIntArray9.put(128268, R.drawable.emoji_1f50c);
        sparseIntArray9.put(128267, R.drawable.emoji_1f50b);
        sparseIntArray9.put(128269, R.drawable.emoji_1f50d);
        sparseIntArray9.put(128705, R.drawable.emoji_1f6c1);
        sparseIntArray9.put(128704, R.drawable.emoji_1f6c0);
        sparseIntArray9.put(128703, R.drawable.emoji_1f6bf);
        sparseIntArray9.put(128701, R.drawable.emoji_1f6bd);
        sparseIntArray9.put(128295, R.drawable.emoji_1f527);
        sparseIntArray9.put(128297, R.drawable.emoji_1f529);
        sparseIntArray9.put(128296, R.drawable.emoji_1f528);
        sparseIntArray9.put(128682, R.drawable.emoji_1f6aa);
        sparseIntArray9.put(128684, R.drawable.emoji_1f6ac);
        sparseIntArray9.put(128163, R.drawable.emoji_1f4a3);
        sparseIntArray9.put(128299, R.drawable.emoji_1f52b);
        sparseIntArray9.put(128298, R.drawable.emoji_1f52a);
        sparseIntArray9.put(128138, R.drawable.emoji_1f48a);
        sparseIntArray9.put(128137, R.drawable.emoji_1f489);
        sparseIntArray9.put(128176, R.drawable.emoji_1f4b0);
        sparseIntArray9.put(128180, R.drawable.emoji_1f4b4);
        sparseIntArray9.put(128181, R.drawable.emoji_1f4b5);
        sparseIntArray9.put(128183, R.drawable.emoji_1f4b7);
        sparseIntArray9.put(128182, R.drawable.emoji_1f4b6);
        sparseIntArray9.put(128179, R.drawable.emoji_1f4b3);
        sparseIntArray9.put(128184, R.drawable.emoji_1f4b8);
        sparseIntArray9.put(128242, R.drawable.emoji_1f4f2);
        sparseIntArray9.put(128231, R.drawable.emoji_1f4e7);
        sparseIntArray9.put(128229, R.drawable.emoji_1f4e5);
        sparseIntArray9.put(128228, R.drawable.emoji_1f4e4);
        sparseIntArray9.put(9993, R.drawable.emoji_2709);
        sparseIntArray9.put(128233, R.drawable.emoji_1f4e9);
        sparseIntArray9.put(128232, R.drawable.emoji_1f4e8);
        sparseIntArray9.put(128239, R.drawable.emoji_1f4ef);
        sparseIntArray9.put(128235, R.drawable.emoji_1f4eb);
        SparseIntArray sparseIntArray10 = sEmojisMap;
        sparseIntArray10.put(128234, R.drawable.emoji_1f4ea);
        sparseIntArray10.put(128236, R.drawable.emoji_1f4ec);
        sparseIntArray10.put(128237, R.drawable.emoji_1f4ed);
        sparseIntArray10.put(128238, R.drawable.emoji_1f4ee);
        sparseIntArray10.put(128230, R.drawable.emoji_1f4e6);
        sparseIntArray10.put(128221, R.drawable.emoji_1f4dd);
        sparseIntArray10.put(128196, R.drawable.emoji_1f4c4);
        sparseIntArray10.put(128195, R.drawable.emoji_1f4c3);
        sparseIntArray10.put(128209, R.drawable.emoji_1f4d1);
        sparseIntArray10.put(128202, R.drawable.emoji_1f4ca);
        sparseIntArray10.put(128200, R.drawable.emoji_1f4c8);
        sparseIntArray10.put(128201, R.drawable.emoji_1f4c9);
        sparseIntArray10.put(128220, R.drawable.emoji_1f4dc);
        sparseIntArray10.put(128203, R.drawable.emoji_1f4cb);
        sparseIntArray10.put(128197, R.drawable.emoji_1f4c5);
        sparseIntArray10.put(128198, R.drawable.emoji_1f4c6);
        sparseIntArray10.put(128199, R.drawable.emoji_1f4c7);
        sparseIntArray10.put(128193, R.drawable.emoji_1f4c1);
        sparseIntArray10.put(128194, R.drawable.emoji_1f4c2);
        sparseIntArray10.put(9986, R.drawable.emoji_2702);
        sparseIntArray10.put(128204, R.drawable.emoji_1f4cc);
        sparseIntArray10.put(128206, R.drawable.emoji_1f4ce);
        sparseIntArray10.put(10002, R.drawable.emoji_2712);
        sparseIntArray10.put(9999, R.drawable.emoji_270f);
        sparseIntArray10.put(128207, R.drawable.emoji_1f4cf);
        sparseIntArray10.put(128208, R.drawable.emoji_1f4d0);
        sparseIntArray10.put(128213, R.drawable.emoji_1f4d5);
        sparseIntArray10.put(128215, R.drawable.emoji_1f4d7);
        sparseIntArray10.put(128216, R.drawable.emoji_1f4d8);
        sparseIntArray10.put(128217, R.drawable.emoji_1f4d9);
        sparseIntArray10.put(128211, R.drawable.emoji_1f4d3);
        sparseIntArray10.put(128212, R.drawable.emoji_1f4d4);
        sparseIntArray10.put(128210, R.drawable.emoji_1f4d2);
        sparseIntArray10.put(128218, R.drawable.emoji_1f4da);
        sparseIntArray10.put(128214, R.drawable.emoji_1f4d6);
        sparseIntArray10.put(128278, R.drawable.emoji_1f516);
        sparseIntArray10.put(128219, R.drawable.emoji_1f4db);
        sparseIntArray10.put(128300, R.drawable.emoji_1f52c);
        sparseIntArray10.put(128301, R.drawable.emoji_1f52d);
        sparseIntArray10.put(128240, R.drawable.emoji_1f4f0);
        sparseIntArray10.put(127912, R.drawable.emoji_1f3a8);
        sparseIntArray10.put(127916, R.drawable.emoji_1f3ac);
        sparseIntArray10.put(127908, R.drawable.emoji_1f3a4);
        sparseIntArray10.put(127911, R.drawable.emoji_1f3a7);
        sparseIntArray10.put(127932, R.drawable.emoji_1f3bc);
        sparseIntArray10.put(127925, R.drawable.emoji_1f3b5);
        sparseIntArray10.put(127926, R.drawable.emoji_1f3b6);
        sparseIntArray10.put(127929, R.drawable.emoji_1f3b9);
        sparseIntArray10.put(127931, R.drawable.emoji_1f3bb);
        sparseIntArray10.put(127930, R.drawable.emoji_1f3ba);
        SparseIntArray sparseIntArray11 = sEmojisMap;
        sparseIntArray11.put(127927, R.drawable.emoji_1f3b7);
        sparseIntArray11.put(127928, R.drawable.emoji_1f3b8);
        sparseIntArray11.put(128126, R.drawable.emoji_1f47e);
        sparseIntArray11.put(127918, R.drawable.emoji_1f3ae);
        sparseIntArray11.put(127183, R.drawable.emoji_1f0cf);
        sparseIntArray11.put(127924, R.drawable.emoji_1f3b4);
        sparseIntArray11.put(126980, R.drawable.emoji_1f004);
        sparseIntArray11.put(127922, R.drawable.emoji_1f3b2);
        sparseIntArray11.put(127919, R.drawable.emoji_1f3af);
        sparseIntArray11.put(127944, R.drawable.emoji_1f3c8);
        sparseIntArray11.put(127936, R.drawable.emoji_1f3c0);
        sparseIntArray11.put(9917, R.drawable.emoji_26bd);
        sparseIntArray11.put(9918, R.drawable.emoji_26be);
        sparseIntArray11.put(127934, R.drawable.emoji_1f3be);
        sparseIntArray11.put(127921, R.drawable.emoji_1f3b1);
        sparseIntArray11.put(127945, R.drawable.emoji_1f3c9);
        sparseIntArray11.put(127923, R.drawable.emoji_1f3b3);
        sparseIntArray11.put(9971, R.drawable.emoji_26f3);
        sparseIntArray11.put(128693, R.drawable.emoji_1f6b5);
        sparseIntArray11.put(128692, R.drawable.emoji_1f6b4);
        sparseIntArray11.put(127937, R.drawable.emoji_1f3c1);
        sparseIntArray11.put(127943, R.drawable.emoji_1f3c7);
        sparseIntArray11.put(127942, R.drawable.emoji_1f3c6);
        sparseIntArray11.put(127935, R.drawable.emoji_1f3bf);
        sparseIntArray11.put(127938, R.drawable.emoji_1f3c2);
        sparseIntArray11.put(127946, R.drawable.emoji_1f3ca);
        sparseIntArray11.put(127940, R.drawable.emoji_1f3c4);
        sparseIntArray11.put(127907, R.drawable.emoji_1f3a3);
        sparseIntArray11.put(9749, R.drawable.emoji_2615);
        sparseIntArray11.put(127861, R.drawable.emoji_1f375);
        sparseIntArray11.put(127862, R.drawable.emoji_1f376);
        sparseIntArray11.put(127868, R.drawable.emoji_1f37c);
        sparseIntArray11.put(127866, R.drawable.emoji_1f37a);
        sparseIntArray11.put(127867, R.drawable.emoji_1f37b);
        sparseIntArray11.put(127864, R.drawable.emoji_1f378);
        sparseIntArray11.put(127865, R.drawable.emoji_1f379);
        sparseIntArray11.put(127863, R.drawable.emoji_1f377);
        sparseIntArray11.put(127860, R.drawable.emoji_1f374);
        sparseIntArray11.put(127829, R.drawable.emoji_1f355);
        sparseIntArray11.put(127828, R.drawable.emoji_1f354);
        sparseIntArray11.put(127839, R.drawable.emoji_1f35f);
        sparseIntArray11.put(127831, R.drawable.emoji_1f357);
        sparseIntArray11.put(127830, R.drawable.emoji_1f356);
        sparseIntArray11.put(127837, R.drawable.emoji_1f35d);
        sparseIntArray11.put(127835, R.drawable.emoji_1f35b);
        sparseIntArray11.put(127844, R.drawable.emoji_1f364);
        sparseIntArray11.put(127857, R.drawable.emoji_1f371);
        sparseIntArray11.put(127843, R.drawable.emoji_1f363);
        sparseIntArray11.put(127845, R.drawable.emoji_1f365);
        sparseIntArray11.put(127833, R.drawable.emoji_1f359);
        SparseIntArray sparseIntArray12 = sEmojisMap;
        sparseIntArray12.put(127832, R.drawable.emoji_1f358);
        sparseIntArray12.put(127834, R.drawable.emoji_1f35a);
        sparseIntArray12.put(127836, R.drawable.emoji_1f35c);
        sparseIntArray12.put(127858, R.drawable.emoji_1f372);
        sparseIntArray12.put(127842, R.drawable.emoji_1f362);
        sparseIntArray12.put(127841, R.drawable.emoji_1f361);
        sparseIntArray12.put(127859, R.drawable.emoji_1f373);
        sparseIntArray12.put(127838, R.drawable.emoji_1f35e);
        sparseIntArray12.put(127849, R.drawable.emoji_1f369);
        sparseIntArray12.put(127854, R.drawable.emoji_1f36e);
        sparseIntArray12.put(127846, R.drawable.emoji_1f366);
        sparseIntArray12.put(127848, R.drawable.emoji_1f368);
        sparseIntArray12.put(127847, R.drawable.emoji_1f367);
        sparseIntArray12.put(127874, R.drawable.emoji_1f382);
        sparseIntArray12.put(127856, R.drawable.emoji_1f370);
        sparseIntArray12.put(127850, R.drawable.emoji_1f36a);
        sparseIntArray12.put(127851, R.drawable.emoji_1f36b);
        sparseIntArray12.put(127852, R.drawable.emoji_1f36c);
        sparseIntArray12.put(127853, R.drawable.emoji_1f36d);
        sparseIntArray12.put(127855, R.drawable.emoji_1f36f);
        sparseIntArray12.put(127822, R.drawable.emoji_1f34e);
        sparseIntArray12.put(127823, R.drawable.emoji_1f34f);
        sparseIntArray12.put(127818, R.drawable.emoji_1f34a);
        sparseIntArray12.put(127819, R.drawable.emoji_1f34b);
        sparseIntArray12.put(127826, R.drawable.emoji_1f352);
        sparseIntArray12.put(127815, R.drawable.emoji_1f347);
        sparseIntArray12.put(127817, R.drawable.emoji_1f349);
        sparseIntArray12.put(127827, R.drawable.emoji_1f353);
        sparseIntArray12.put(127825, R.drawable.emoji_1f351);
        sparseIntArray12.put(127816, R.drawable.emoji_1f348);
        sparseIntArray12.put(127820, R.drawable.emoji_1f34c);
        sparseIntArray12.put(127824, R.drawable.emoji_1f350);
        sparseIntArray12.put(127821, R.drawable.emoji_1f34d);
        sparseIntArray12.put(127840, R.drawable.emoji_1f360);
        sparseIntArray12.put(127814, R.drawable.emoji_1f346);
        sparseIntArray12.put(127813, R.drawable.emoji_1f345);
        sparseIntArray12.put(127805, R.drawable.emoji_1f33d);
        sparseIntArray12.put(127968, R.drawable.emoji_1f3e0);
        sparseIntArray12.put(127969, R.drawable.emoji_1f3e1);
        sparseIntArray12.put(127979, R.drawable.emoji_1f3eb);
        sparseIntArray12.put(127970, R.drawable.emoji_1f3e2);
        sparseIntArray12.put(127971, R.drawable.emoji_1f3e3);
        sparseIntArray12.put(127973, R.drawable.emoji_1f3e5);
        sparseIntArray12.put(127974, R.drawable.emoji_1f3e6);
        sparseIntArray12.put(127978, R.drawable.emoji_1f3ea);
        sparseIntArray12.put(127977, R.drawable.emoji_1f3e9);
        sparseIntArray12.put(127976, R.drawable.emoji_1f3e8);
        sparseIntArray12.put(128146, R.drawable.emoji_1f492);
        sparseIntArray12.put(9962, R.drawable.emoji_26ea);
        sparseIntArray12.put(127980, R.drawable.emoji_1f3ec);
        SparseIntArray sparseIntArray13 = sEmojisMap;
        sparseIntArray13.put(127972, R.drawable.emoji_1f3e4);
        sparseIntArray13.put(127751, R.drawable.emoji_1f307);
        sparseIntArray13.put(127750, R.drawable.emoji_1f306);
        sparseIntArray13.put(127983, R.drawable.emoji_1f3ef);
        sparseIntArray13.put(127984, R.drawable.emoji_1f3f0);
        sparseIntArray13.put(9978, R.drawable.emoji_26fa);
        sparseIntArray13.put(127981, R.drawable.emoji_1f3ed);
        sparseIntArray13.put(128508, R.drawable.emoji_1f5fc);
        sparseIntArray13.put(128510, R.drawable.emoji_1f5fe);
        sparseIntArray13.put(128507, R.drawable.emoji_1f5fb);
        sparseIntArray13.put(127748, R.drawable.emoji_1f304);
        sparseIntArray13.put(127749, R.drawable.emoji_1f305);
        sparseIntArray13.put(127747, R.drawable.emoji_1f303);
        sparseIntArray13.put(128509, R.drawable.emoji_1f5fd);
        sparseIntArray13.put(127753, R.drawable.emoji_1f309);
        sparseIntArray13.put(127904, R.drawable.emoji_1f3a0);
        sparseIntArray13.put(127905, R.drawable.emoji_1f3a1);
        sparseIntArray13.put(9970, R.drawable.emoji_26f2);
        sparseIntArray13.put(127906, R.drawable.emoji_1f3a2);
        sparseIntArray13.put(128674, R.drawable.emoji_1f6a2);
        sparseIntArray13.put(9973, R.drawable.emoji_26f5);
        sparseIntArray13.put(128676, R.drawable.emoji_1f6a4);
        sparseIntArray13.put(128675, R.drawable.emoji_1f6a3);
        sparseIntArray13.put(9875, R.drawable.emoji_2693);
        sparseIntArray13.put(128640, R.drawable.emoji_1f680);
        sparseIntArray13.put(9992, R.drawable.emoji_2708);
        sparseIntArray13.put(128186, R.drawable.emoji_1f4ba);
        sparseIntArray13.put(128641, R.drawable.emoji_1f681);
        sparseIntArray13.put(128642, R.drawable.emoji_1f682);
        sparseIntArray13.put(128650, R.drawable.emoji_1f68a);
        sparseIntArray13.put(128649, R.drawable.emoji_1f689);
        sparseIntArray13.put(128670, R.drawable.emoji_1f69e);
        sparseIntArray13.put(128646, R.drawable.emoji_1f686);
        sparseIntArray13.put(128644, R.drawable.emoji_1f684);
        sparseIntArray13.put(128645, R.drawable.emoji_1f685);
        sparseIntArray13.put(128648, R.drawable.emoji_1f688);
        sparseIntArray13.put(128647, R.drawable.emoji_1f687);
        sparseIntArray13.put(128669, R.drawable.emoji_1f69d);
        sparseIntArray13.put(128651, R.drawable.emoji_1f68b);
        sparseIntArray13.put(128643, R.drawable.emoji_1f683);
        sparseIntArray13.put(128654, R.drawable.emoji_1f68e);
        sparseIntArray13.put(128652, R.drawable.emoji_1f68c);
        sparseIntArray13.put(128653, R.drawable.emoji_1f68d);
        sparseIntArray13.put(128665, R.drawable.emoji_1f699);
        sparseIntArray13.put(128664, R.drawable.emoji_1f698);
        sparseIntArray13.put(128663, R.drawable.emoji_1f697);
        sparseIntArray13.put(128661, R.drawable.emoji_1f695);
        sparseIntArray13.put(128662, R.drawable.emoji_1f696);
        sparseIntArray13.put(128667, R.drawable.emoji_1f69b);
        sparseIntArray13.put(128666, R.drawable.emoji_1f69a);
        SparseIntArray sparseIntArray14 = sEmojisMap;
        sparseIntArray14.put(128680, R.drawable.emoji_1f6a8);
        sparseIntArray14.put(128659, R.drawable.emoji_1f693);
        sparseIntArray14.put(128660, R.drawable.emoji_1f694);
        sparseIntArray14.put(128658, R.drawable.emoji_1f692);
        sparseIntArray14.put(128657, R.drawable.emoji_1f691);
        sparseIntArray14.put(128656, R.drawable.emoji_1f690);
        sparseIntArray14.put(128690, R.drawable.emoji_1f6b2);
        sparseIntArray14.put(128673, R.drawable.emoji_1f6a1);
        sparseIntArray14.put(128671, R.drawable.emoji_1f69f);
        sparseIntArray14.put(128672, R.drawable.emoji_1f6a0);
        sparseIntArray14.put(128668, R.drawable.emoji_1f69c);
        sparseIntArray14.put(128136, R.drawable.emoji_1f488);
        sparseIntArray14.put(128655, R.drawable.emoji_1f68f);
        sparseIntArray14.put(127915, R.drawable.emoji_1f3ab);
        sparseIntArray14.put(128678, R.drawable.emoji_1f6a6);
        sparseIntArray14.put(128677, R.drawable.emoji_1f6a5);
        sparseIntArray14.put(9888, R.drawable.emoji_26a0);
        sparseIntArray14.put(128679, R.drawable.emoji_1f6a7);
        sparseIntArray14.put(128304, R.drawable.emoji_1f530);
        sparseIntArray14.put(9981, R.drawable.emoji_26fd);
        sparseIntArray14.put(127982, R.drawable.emoji_1f3ee);
        sparseIntArray14.put(127920, R.drawable.emoji_1f3b0);
        sparseIntArray14.put(9832, R.drawable.emoji_2668);
        sparseIntArray14.put(128511, R.drawable.emoji_1f5ff);
        sparseIntArray14.put(127914, R.drawable.emoji_1f3aa);
        sparseIntArray14.put(127917, R.drawable.emoji_1f3ad);
        sparseIntArray14.put(128205, R.drawable.emoji_1f4cd);
        sparseIntArray14.put(128681, R.drawable.emoji_1f6a9);
        sparseIntArray14.put(128287, R.drawable.emoji_1f51f);
        sparseIntArray14.put(128290, R.drawable.emoji_1f522);
        sparseIntArray14.put(128291, R.drawable.emoji_1f523);
        sparseIntArray14.put(11014, R.drawable.emoji_2b06);
        sparseIntArray14.put(11015, R.drawable.emoji_2b07);
        sparseIntArray14.put(11013, R.drawable.emoji_2b05);
        sparseIntArray14.put(10145, R.drawable.emoji_27a1);
        sparseIntArray14.put(128288, R.drawable.emoji_1f520);
        sparseIntArray14.put(128289, R.drawable.emoji_1f521);
        sparseIntArray14.put(128292, R.drawable.emoji_1f524);
        sparseIntArray14.put(8599, R.drawable.emoji_2197);
        sparseIntArray14.put(8598, R.drawable.emoji_2196);
        sparseIntArray14.put(8600, R.drawable.emoji_2198);
        sparseIntArray14.put(8601, R.drawable.emoji_2199);
        sparseIntArray14.put(8596, R.drawable.emoji_2194);
        sparseIntArray14.put(8597, R.drawable.emoji_2195);
        sparseIntArray14.put(128260, R.drawable.emoji_1f504);
        sparseIntArray14.put(9664, R.drawable.emoji_25c0);
        sparseIntArray14.put(9654, R.drawable.emoji_25b6);
        sparseIntArray14.put(128316, R.drawable.emoji_1f53c);
        sparseIntArray14.put(128317, R.drawable.emoji_1f53d);
        sparseIntArray14.put(8617, R.drawable.emoji_21a9);
        SparseIntArray sparseIntArray15 = sEmojisMap;
        sparseIntArray15.put(8618, R.drawable.emoji_21aa);
        sparseIntArray15.put(8505, R.drawable.emoji_2139);
        sparseIntArray15.put(9194, R.drawable.emoji_23ea);
        sparseIntArray15.put(9193, R.drawable.emoji_23e9);
        sparseIntArray15.put(9195, R.drawable.emoji_23eb);
        sparseIntArray15.put(9196, R.drawable.emoji_23ec);
        sparseIntArray15.put(10549, R.drawable.emoji_2935);
        sparseIntArray15.put(10548, R.drawable.emoji_2934);
        sparseIntArray15.put(127383, R.drawable.emoji_1f197);
        sparseIntArray15.put(128256, R.drawable.emoji_1f500);
        sparseIntArray15.put(128257, R.drawable.emoji_1f501);
        sparseIntArray15.put(128258, R.drawable.emoji_1f502);
        sparseIntArray15.put(127381, R.drawable.emoji_1f195);
        sparseIntArray15.put(127385, R.drawable.emoji_1f199);
        sparseIntArray15.put(127378, R.drawable.emoji_1f192);
        sparseIntArray15.put(127379, R.drawable.emoji_1f193);
        sparseIntArray15.put(127382, R.drawable.emoji_1f196);
        sparseIntArray15.put(128246, R.drawable.emoji_1f4f6);
        sparseIntArray15.put(127910, R.drawable.emoji_1f3a6);
        sparseIntArray15.put(127489, R.drawable.emoji_1f201);
        sparseIntArray15.put(127535, R.drawable.emoji_1f22f);
        sparseIntArray15.put(127539, R.drawable.emoji_1f233);
        sparseIntArray15.put(127541, R.drawable.emoji_1f235);
        sparseIntArray15.put(127540, R.drawable.emoji_1f234);
        sparseIntArray15.put(127538, R.drawable.emoji_1f232);
        sparseIntArray15.put(127568, R.drawable.emoji_1f250);
        sparseIntArray15.put(127545, R.drawable.emoji_1f239);
        sparseIntArray15.put(127546, R.drawable.emoji_1f23a);
        sparseIntArray15.put(127542, R.drawable.emoji_1f236);
        sparseIntArray15.put(127514, R.drawable.emoji_1f21a);
        sparseIntArray15.put(128699, R.drawable.emoji_1f6bb);
        sparseIntArray15.put(128697, R.drawable.emoji_1f6b9);
        sparseIntArray15.put(128698, R.drawable.emoji_1f6ba);
        sparseIntArray15.put(128700, R.drawable.emoji_1f6bc);
        sparseIntArray15.put(128702, R.drawable.emoji_1f6be);
        sparseIntArray15.put(128688, R.drawable.emoji_1f6b0);
        sparseIntArray15.put(128686, R.drawable.emoji_1f6ae);
        sparseIntArray15.put(127359, R.drawable.emoji_1f17f);
        sparseIntArray15.put(9855, R.drawable.emoji_267f);
        sparseIntArray15.put(128685, R.drawable.emoji_1f6ad);
        sparseIntArray15.put(127543, R.drawable.emoji_1f237);
        sparseIntArray15.put(127544, R.drawable.emoji_1f238);
        sparseIntArray15.put(127490, R.drawable.emoji_1f202);
        sparseIntArray15.put(9410, R.drawable.emoji_24c2);
        sparseIntArray15.put(128706, R.drawable.emoji_1f6c2);
        sparseIntArray15.put(128708, R.drawable.emoji_1f6c4);
        sparseIntArray15.put(128709, R.drawable.emoji_1f6c5);
        sparseIntArray15.put(128707, R.drawable.emoji_1f6c3);
        sparseIntArray15.put(127569, R.drawable.emoji_1f251);
        sparseIntArray15.put(12953, R.drawable.emoji_3299);
        SparseIntArray sparseIntArray16 = sEmojisMap;
        sparseIntArray16.put(12951, R.drawable.emoji_3297);
        sparseIntArray16.put(127377, R.drawable.emoji_1f191);
        sparseIntArray16.put(127384, R.drawable.emoji_1f198);
        sparseIntArray16.put(127380, R.drawable.emoji_1f194);
        sparseIntArray16.put(128683, R.drawable.emoji_1f6ab);
        sparseIntArray16.put(128286, R.drawable.emoji_1f51e);
        sparseIntArray16.put(128245, R.drawable.emoji_1f4f5);
        sparseIntArray16.put(128687, R.drawable.emoji_1f6af);
        sparseIntArray16.put(128689, R.drawable.emoji_1f6b1);
        sparseIntArray16.put(128691, R.drawable.emoji_1f6b3);
        sparseIntArray16.put(128695, R.drawable.emoji_1f6b7);
        sparseIntArray16.put(128696, R.drawable.emoji_1f6b8);
        sparseIntArray16.put(9940, R.drawable.emoji_26d4);
        sparseIntArray16.put(10035, R.drawable.emoji_2733);
        sparseIntArray16.put(10055, R.drawable.emoji_2747);
        sparseIntArray16.put(10062, R.drawable.emoji_274e);
        sparseIntArray16.put(9989, R.drawable.emoji_2705);
        sparseIntArray16.put(10036, R.drawable.emoji_2734);
        sparseIntArray16.put(128159, R.drawable.emoji_1f49f);
        sparseIntArray16.put(127386, R.drawable.emoji_1f19a);
        sparseIntArray16.put(128243, R.drawable.emoji_1f4f3);
        sparseIntArray16.put(128244, R.drawable.emoji_1f4f4);
        sparseIntArray16.put(127344, R.drawable.emoji_1f170);
        sparseIntArray16.put(127345, R.drawable.emoji_1f171);
        sparseIntArray16.put(127374, R.drawable.emoji_1f18e);
        sparseIntArray16.put(127358, R.drawable.emoji_1f17e);
        sparseIntArray16.put(128160, R.drawable.emoji_1f4a0);
        sparseIntArray16.put(10175, R.drawable.emoji_27bf);
        sparseIntArray16.put(9851, R.drawable.emoji_267b);
        sparseIntArray16.put(9800, R.drawable.emoji_2648);
        sparseIntArray16.put(9801, R.drawable.emoji_2649);
        sparseIntArray16.put(9802, R.drawable.emoji_264a);
        sparseIntArray16.put(9803, R.drawable.emoji_264b);
        sparseIntArray16.put(9804, R.drawable.emoji_264c);
        sparseIntArray16.put(9805, R.drawable.emoji_264d);
        sparseIntArray16.put(9806, R.drawable.emoji_264e);
        sparseIntArray16.put(9807, R.drawable.emoji_264f);
        sparseIntArray16.put(9808, R.drawable.emoji_2650);
        sparseIntArray16.put(9809, R.drawable.emoji_2651);
        sparseIntArray16.put(9810, R.drawable.emoji_2652);
        sparseIntArray16.put(9811, R.drawable.emoji_2653);
        sparseIntArray16.put(9934, R.drawable.emoji_26ce);
        sparseIntArray16.put(128303, R.drawable.emoji_1f52f);
        sparseIntArray16.put(127975, R.drawable.emoji_1f3e7);
        sparseIntArray16.put(128185, R.drawable.emoji_1f4b9);
        sparseIntArray16.put(128178, R.drawable.emoji_1f4b2);
        sparseIntArray16.put(128177, R.drawable.emoji_1f4b1);
        sparseIntArray16.put(169, R.drawable.emoji_00a9);
        sparseIntArray16.put(174, R.drawable.emoji_00ae);
        sparseIntArray16.put(8482, R.drawable.emoji_2122);
        SparseIntArray sparseIntArray17 = sEmojisMap;
        sparseIntArray17.put(10060, R.drawable.emoji_274c);
        sparseIntArray17.put(8252, R.drawable.emoji_203c);
        sparseIntArray17.put(8265, R.drawable.emoji_2049);
        sparseIntArray17.put(10071, R.drawable.emoji_2757);
        sparseIntArray17.put(10067, R.drawable.emoji_2753);
        sparseIntArray17.put(10069, R.drawable.emoji_2755);
        sparseIntArray17.put(10068, R.drawable.emoji_2754);
        sparseIntArray17.put(11093, R.drawable.emoji_2b55);
        sparseIntArray17.put(128285, R.drawable.emoji_1f51d);
        sparseIntArray17.put(128282, R.drawable.emoji_1f51a);
        sparseIntArray17.put(128281, R.drawable.emoji_1f519);
        sparseIntArray17.put(128283, R.drawable.emoji_1f51b);
        sparseIntArray17.put(128284, R.drawable.emoji_1f51c);
        sparseIntArray17.put(128259, R.drawable.emoji_1f503);
        sparseIntArray17.put(128347, R.drawable.emoji_1f55b);
        sparseIntArray17.put(128359, R.drawable.emoji_1f567);
        sparseIntArray17.put(128336, R.drawable.emoji_1f550);
        sparseIntArray17.put(128348, R.drawable.emoji_1f55c);
        sparseIntArray17.put(128337, R.drawable.emoji_1f551);
        sparseIntArray17.put(128349, R.drawable.emoji_1f55d);
        sparseIntArray17.put(128338, R.drawable.emoji_1f552);
        sparseIntArray17.put(128350, R.drawable.emoji_1f55e);
        sparseIntArray17.put(128339, R.drawable.emoji_1f553);
        sparseIntArray17.put(128351, R.drawable.emoji_1f55f);
        sparseIntArray17.put(128340, R.drawable.emoji_1f554);
        sparseIntArray17.put(128352, R.drawable.emoji_1f560);
        sparseIntArray17.put(128341, R.drawable.emoji_1f555);
        sparseIntArray17.put(128342, R.drawable.emoji_1f556);
        sparseIntArray17.put(128343, R.drawable.emoji_1f557);
        sparseIntArray17.put(128344, R.drawable.emoji_1f558);
        sparseIntArray17.put(128345, R.drawable.emoji_1f559);
        sparseIntArray17.put(128346, R.drawable.emoji_1f55a);
        sparseIntArray17.put(128353, R.drawable.emoji_1f561);
        sparseIntArray17.put(128354, R.drawable.emoji_1f562);
        sparseIntArray17.put(128355, R.drawable.emoji_1f563);
        sparseIntArray17.put(128356, R.drawable.emoji_1f564);
        sparseIntArray17.put(128357, R.drawable.emoji_1f565);
        sparseIntArray17.put(128358, R.drawable.emoji_1f566);
        sparseIntArray17.put(10006, R.drawable.emoji_2716);
        sparseIntArray17.put(10133, R.drawable.emoji_2795);
        sparseIntArray17.put(10134, R.drawable.emoji_2796);
        sparseIntArray17.put(10135, R.drawable.emoji_2797);
        sparseIntArray17.put(9824, R.drawable.emoji_2660);
        sparseIntArray17.put(9829, R.drawable.emoji_2665);
        sparseIntArray17.put(9827, R.drawable.emoji_2663);
        sparseIntArray17.put(9830, R.drawable.emoji_2666);
        sparseIntArray17.put(128174, R.drawable.emoji_1f4ae);
        sparseIntArray17.put(128175, R.drawable.emoji_1f4af);
        sparseIntArray17.put(10004, R.drawable.emoji_2714);
        sparseIntArray17.put(9745, R.drawable.emoji_2611);
        SparseIntArray sparseIntArray18 = sEmojisMap;
        sparseIntArray18.put(128280, R.drawable.emoji_1f518);
        sparseIntArray18.put(128279, R.drawable.emoji_1f517);
        sparseIntArray18.put(10160, R.drawable.emoji_27b0);
        sparseIntArray18.put(12336, R.drawable.emoji_3030);
        sparseIntArray18.put(12349, R.drawable.emoji_303d);
        sparseIntArray18.put(128305, R.drawable.emoji_1f531);
        sparseIntArray18.put(9724, R.drawable.emoji_25fc);
        sparseIntArray18.put(9723, R.drawable.emoji_25fb);
        sparseIntArray18.put(9726, R.drawable.emoji_25fe);
        sparseIntArray18.put(9725, R.drawable.emoji_25fd);
        sparseIntArray18.put(9642, R.drawable.emoji_25aa);
        sparseIntArray18.put(9643, R.drawable.emoji_25ab);
        sparseIntArray18.put(128314, R.drawable.emoji_1f53a);
        sparseIntArray18.put(128306, R.drawable.emoji_1f532);
        sparseIntArray18.put(128307, R.drawable.emoji_1f533);
        sparseIntArray18.put(9899, R.drawable.emoji_26ab);
        sparseIntArray18.put(9898, R.drawable.emoji_26aa);
        sparseIntArray18.put(128308, R.drawable.emoji_1f534);
        sparseIntArray18.put(128309, R.drawable.emoji_1f535);
        sparseIntArray18.put(128315, R.drawable.emoji_1f53b);
        sparseIntArray18.put(11036, R.drawable.emoji_2b1c);
        sparseIntArray18.put(11035, R.drawable.emoji_2b1b);
        sparseIntArray18.put(128310, R.drawable.emoji_1f536);
        sparseIntArray18.put(128311, R.drawable.emoji_1f537);
        sparseIntArray18.put(128312, R.drawable.emoji_1f538);
        sparseIntArray18.put(128313, R.drawable.emoji_1f539);
        SparseIntArray sparseIntArray19 = sSoftbanksMap;
        sparseIntArray19.put(57345, R.drawable.emoji_1f466);
        sparseIntArray19.put(57346, R.drawable.emoji_1f467);
        sparseIntArray19.put(57347, R.drawable.emoji_1f48b);
        sparseIntArray19.put(57348, R.drawable.emoji_1f468);
        sparseIntArray19.put(57349, R.drawable.emoji_1f469);
        sparseIntArray19.put(57350, R.drawable.emoji_1f455);
        sparseIntArray19.put(57351, R.drawable.emoji_1f45e);
        sparseIntArray19.put(57352, R.drawable.emoji_1f4f7);
        sparseIntArray19.put(57353, R.drawable.emoji_1f4de);
        sparseIntArray19.put(57354, R.drawable.emoji_1f4f1);
        sparseIntArray19.put(57355, R.drawable.emoji_1f4e0);
        sparseIntArray19.put(57356, R.drawable.emoji_1f4bb);
        sparseIntArray19.put(57357, R.drawable.emoji_1f44a);
        sparseIntArray19.put(57358, R.drawable.emoji_1f44d);
        sparseIntArray19.put(57359, R.drawable.emoji_261d);
        sparseIntArray19.put(57360, R.drawable.emoji_270a);
        sparseIntArray19.put(57361, R.drawable.emoji_270c);
        sparseIntArray19.put(57362, R.drawable.emoji_1f64b);
        sparseIntArray19.put(57363, R.drawable.emoji_1f3bf);
        sparseIntArray19.put(57364, R.drawable.emoji_26f3);
        sparseIntArray19.put(57365, R.drawable.emoji_1f3be);
        sparseIntArray19.put(57366, R.drawable.emoji_26be);
        sparseIntArray19.put(57367, R.drawable.emoji_1f3c4);
        sparseIntArray19.put(57368, R.drawable.emoji_26bd);
        sparseIntArray19.put(57369, R.drawable.emoji_1f3a3);
        sparseIntArray19.put(57370, R.drawable.emoji_1f434);
        sparseIntArray19.put(57371, R.drawable.emoji_1f697);
        sparseIntArray19.put(57372, R.drawable.emoji_26f5);
        sparseIntArray19.put(57373, R.drawable.emoji_2708);
        sparseIntArray19.put(57374, R.drawable.emoji_1f683);
        sparseIntArray19.put(57375, R.drawable.emoji_1f685);
        sparseIntArray19.put(57376, R.drawable.emoji_2753);
        sparseIntArray19.put(57377, R.drawable.emoji_2757);
        sparseIntArray19.put(57378, R.drawable.emoji_2764);
        sparseIntArray19.put(57379, R.drawable.emoji_1f494);
        sparseIntArray19.put(57380, R.drawable.emoji_1f550);
        sparseIntArray19.put(57381, R.drawable.emoji_1f551);
        sparseIntArray19.put(57382, R.drawable.emoji_1f552);
        sparseIntArray19.put(57383, R.drawable.emoji_1f553);
        sparseIntArray19.put(57384, R.drawable.emoji_1f554);
        sparseIntArray19.put(57385, R.drawable.emoji_1f555);
        sparseIntArray19.put(57386, R.drawable.emoji_1f556);
        sparseIntArray19.put(57387, R.drawable.emoji_1f557);
        sparseIntArray19.put(57388, R.drawable.emoji_1f558);
        sparseIntArray19.put(57389, R.drawable.emoji_1f559);
        sparseIntArray19.put(57390, R.drawable.emoji_1f55a);
        sparseIntArray19.put(57391, R.drawable.emoji_1f55b);
        sparseIntArray19.put(57392, R.drawable.emoji_1f338);
        sparseIntArray19.put(57393, R.drawable.emoji_1f531);
        sparseIntArray19.put(57394, R.drawable.emoji_1f339);
        SparseIntArray sparseIntArray20 = sSoftbanksMap;
        sparseIntArray20.put(57395, R.drawable.emoji_1f384);
        sparseIntArray20.put(57396, R.drawable.emoji_1f48d);
        sparseIntArray20.put(57397, R.drawable.emoji_1f48e);
        sparseIntArray20.put(57398, R.drawable.emoji_1f3e0);
        sparseIntArray20.put(57399, R.drawable.emoji_26ea);
        sparseIntArray20.put(57400, R.drawable.emoji_1f3e2);
        sparseIntArray20.put(57401, R.drawable.emoji_1f689);
        sparseIntArray20.put(57402, R.drawable.emoji_26fd);
        sparseIntArray20.put(57403, R.drawable.emoji_1f5fb);
        sparseIntArray20.put(57404, R.drawable.emoji_1f3a4);
        sparseIntArray20.put(57405, R.drawable.emoji_1f3a5);
        sparseIntArray20.put(57406, R.drawable.emoji_1f3b5);
        sparseIntArray20.put(57407, R.drawable.emoji_1f511);
        sparseIntArray20.put(57408, R.drawable.emoji_1f3b7);
        sparseIntArray20.put(57409, R.drawable.emoji_1f3b8);
        sparseIntArray20.put(57410, R.drawable.emoji_1f3ba);
        sparseIntArray20.put(57411, R.drawable.emoji_1f374);
        sparseIntArray20.put(57412, R.drawable.emoji_1f377);
        sparseIntArray20.put(57413, R.drawable.emoji_2615);
        sparseIntArray20.put(57414, R.drawable.emoji_1f370);
        sparseIntArray20.put(57415, R.drawable.emoji_1f37a);
        sparseIntArray20.put(57416, R.drawable.emoji_26c4);
        sparseIntArray20.put(57417, R.drawable.emoji_2601);
        sparseIntArray20.put(57418, R.drawable.emoji_2600);
        sparseIntArray20.put(57419, R.drawable.emoji_2614);
        sparseIntArray20.put(57420, R.drawable.emoji_1f313);
        sparseIntArray20.put(57421, R.drawable.emoji_1f304);
        sparseIntArray20.put(57422, R.drawable.emoji_1f47c);
        sparseIntArray20.put(57423, R.drawable.emoji_1f431);
        sparseIntArray20.put(57424, R.drawable.emoji_1f42f);
        sparseIntArray20.put(57425, R.drawable.emoji_1f43b);
        sparseIntArray20.put(57426, R.drawable.emoji_1f429);
        sparseIntArray20.put(57427, R.drawable.emoji_1f42d);
        sparseIntArray20.put(57428, R.drawable.emoji_1f433);
        sparseIntArray20.put(57429, R.drawable.emoji_1f427);
        sparseIntArray20.put(57430, R.drawable.emoji_1f60a);
        sparseIntArray20.put(57431, R.drawable.emoji_1f603);
        sparseIntArray20.put(57432, R.drawable.emoji_1f61e);
        sparseIntArray20.put(57433, R.drawable.emoji_1f620);
        sparseIntArray20.put(57434, R.drawable.emoji_1f4a9);
        sparseIntArray20.put(57601, R.drawable.emoji_1f4ea);
        sparseIntArray20.put(57602, R.drawable.emoji_1f4ee);
        sparseIntArray20.put(57603, R.drawable.emoji_1f4e7);
        sparseIntArray20.put(57604, R.drawable.emoji_1f4f2);
        sparseIntArray20.put(57605, R.drawable.emoji_1f61c);
        sparseIntArray20.put(57606, R.drawable.emoji_1f60d);
        sparseIntArray20.put(57607, R.drawable.emoji_1f631);
        sparseIntArray20.put(57608, R.drawable.emoji_1f613);
        sparseIntArray20.put(57609, R.drawable.emoji_1f435);
        sparseIntArray20.put(57610, R.drawable.emoji_1f419);
        SparseIntArray sparseIntArray21 = sSoftbanksMap;
        sparseIntArray21.put(57611, R.drawable.emoji_1f437);
        sparseIntArray21.put(57612, R.drawable.emoji_1f47d);
        sparseIntArray21.put(57613, R.drawable.emoji_1f680);
        sparseIntArray21.put(57614, R.drawable.emoji_1f451);
        sparseIntArray21.put(57615, R.drawable.emoji_1f4a1);
        sparseIntArray21.put(57616, R.drawable.emoji_1f331);
        sparseIntArray21.put(57617, R.drawable.emoji_1f48f);
        sparseIntArray21.put(57618, R.drawable.emoji_1f381);
        sparseIntArray21.put(57619, R.drawable.emoji_1f52b);
        sparseIntArray21.put(57620, R.drawable.emoji_1f50d);
        sparseIntArray21.put(57621, R.drawable.emoji_1f3c3);
        sparseIntArray21.put(57622, R.drawable.emoji_1f528);
        sparseIntArray21.put(57623, R.drawable.emoji_1f386);
        sparseIntArray21.put(57624, R.drawable.emoji_1f341);
        sparseIntArray21.put(57625, R.drawable.emoji_1f342);
        sparseIntArray21.put(57626, R.drawable.emoji_1f47f);
        sparseIntArray21.put(57627, R.drawable.emoji_1f47b);
        sparseIntArray21.put(57628, R.drawable.emoji_1f480);
        sparseIntArray21.put(57629, R.drawable.emoji_1f525);
        sparseIntArray21.put(57630, R.drawable.emoji_1f4bc);
        sparseIntArray21.put(57631, R.drawable.emoji_1f4ba);
        sparseIntArray21.put(57632, R.drawable.emoji_1f354);
        sparseIntArray21.put(57633, R.drawable.emoji_26f2);
        sparseIntArray21.put(57634, R.drawable.emoji_26fa);
        sparseIntArray21.put(57635, R.drawable.emoji_2668);
        sparseIntArray21.put(57636, R.drawable.emoji_1f3a1);
        sparseIntArray21.put(57637, R.drawable.emoji_1f3ab);
        sparseIntArray21.put(57638, R.drawable.emoji_1f4bf);
        sparseIntArray21.put(57639, R.drawable.emoji_1f4c0);
        sparseIntArray21.put(57640, R.drawable.emoji_1f4fb);
        sparseIntArray21.put(57641, R.drawable.emoji_1f4fc);
        sparseIntArray21.put(57642, R.drawable.emoji_1f4fa);
        sparseIntArray21.put(57643, R.drawable.emoji_1f47e);
        sparseIntArray21.put(57644, R.drawable.emoji_303d);
        sparseIntArray21.put(57645, R.drawable.emoji_1f004);
        sparseIntArray21.put(57646, R.drawable.emoji_1f19a);
        sparseIntArray21.put(57647, R.drawable.emoji_1f4b0);
        sparseIntArray21.put(57648, R.drawable.emoji_1f3af);
        sparseIntArray21.put(57649, R.drawable.emoji_1f3c6);
        sparseIntArray21.put(57650, R.drawable.emoji_1f3c1);
        sparseIntArray21.put(57651, R.drawable.emoji_1f3b0);
        sparseIntArray21.put(57652, R.drawable.emoji_1f40e);
        sparseIntArray21.put(57653, R.drawable.emoji_1f6a4);
        sparseIntArray21.put(57654, R.drawable.emoji_1f6b2);
        sparseIntArray21.put(57655, R.drawable.emoji_1f6a7);
        sparseIntArray21.put(57656, R.drawable.emoji_1f6b9);
        sparseIntArray21.put(57657, R.drawable.emoji_1f6ba);
        sparseIntArray21.put(57658, R.drawable.emoji_1f6bc);
        sparseIntArray21.put(57659, R.drawable.emoji_1f489);
        sparseIntArray21.put(57660, R.drawable.emoji_1f4a4);
        SparseIntArray sparseIntArray22 = sSoftbanksMap;
        sparseIntArray22.put(57661, R.drawable.emoji_26a1);
        sparseIntArray22.put(57662, R.drawable.emoji_1f460);
        sparseIntArray22.put(57663, R.drawable.emoji_1f6c0);
        sparseIntArray22.put(57664, R.drawable.emoji_1f6bd);
        sparseIntArray22.put(57665, R.drawable.emoji_1f50a);
        sparseIntArray22.put(57666, R.drawable.emoji_1f4e2);
        sparseIntArray22.put(57667, R.drawable.emoji_1f38c);
        sparseIntArray22.put(57668, R.drawable.emoji_1f50f);
        sparseIntArray22.put(57669, R.drawable.emoji_1f513);
        sparseIntArray22.put(57670, R.drawable.emoji_1f306);
        sparseIntArray22.put(57671, R.drawable.emoji_1f373);
        sparseIntArray22.put(57672, R.drawable.emoji_1f4c7);
        sparseIntArray22.put(57673, R.drawable.emoji_1f4b1);
        sparseIntArray22.put(57674, R.drawable.emoji_1f4b9);
        sparseIntArray22.put(57675, R.drawable.emoji_1f4e1);
        sparseIntArray22.put(57676, R.drawable.emoji_1f4aa);
        sparseIntArray22.put(57677, R.drawable.emoji_1f3e6);
        sparseIntArray22.put(57678, R.drawable.emoji_1f6a5);
        sparseIntArray22.put(57679, R.drawable.emoji_1f17f);
        sparseIntArray22.put(57680, R.drawable.emoji_1f68f);
        sparseIntArray22.put(57681, R.drawable.emoji_1f6bb);
        sparseIntArray22.put(57682, R.drawable.emoji_1f46e);
        sparseIntArray22.put(57683, R.drawable.emoji_1f3e3);
        sparseIntArray22.put(57684, R.drawable.emoji_1f3e7);
        sparseIntArray22.put(57685, R.drawable.emoji_1f3e5);
        sparseIntArray22.put(57686, R.drawable.emoji_1f3ea);
        sparseIntArray22.put(57687, R.drawable.emoji_1f3eb);
        sparseIntArray22.put(57688, R.drawable.emoji_1f3e8);
        sparseIntArray22.put(57689, R.drawable.emoji_1f68c);
        sparseIntArray22.put(57690, R.drawable.emoji_1f695);
        sparseIntArray22.put(57857, R.drawable.emoji_1f6b6);
        sparseIntArray22.put(57858, R.drawable.emoji_1f6a2);
        sparseIntArray22.put(57859, R.drawable.emoji_1f201);
        sparseIntArray22.put(57860, R.drawable.emoji_1f49f);
        sparseIntArray22.put(57861, R.drawable.emoji_2734);
        sparseIntArray22.put(57862, R.drawable.emoji_2733);
        sparseIntArray22.put(57863, R.drawable.emoji_1f51e);
        sparseIntArray22.put(57864, R.drawable.emoji_1f6ad);
        sparseIntArray22.put(57865, R.drawable.emoji_1f530);
        sparseIntArray22.put(57866, R.drawable.emoji_267f);
        sparseIntArray22.put(57867, R.drawable.emoji_1f4f6);
        sparseIntArray22.put(57868, R.drawable.emoji_2665);
        sparseIntArray22.put(57869, R.drawable.emoji_2666);
        sparseIntArray22.put(57870, R.drawable.emoji_2660);
        sparseIntArray22.put(57871, R.drawable.emoji_2663);
        sparseIntArray22.put(57872, R.drawable.emoji_0023);
        sparseIntArray22.put(57873, R.drawable.emoji_27bf);
        sparseIntArray22.put(57874, R.drawable.emoji_1f195);
        sparseIntArray22.put(57875, R.drawable.emoji_1f199);
        sparseIntArray22.put(57876, R.drawable.emoji_1f192);
        SparseIntArray sparseIntArray23 = sSoftbanksMap;
        sparseIntArray23.put(57877, R.drawable.emoji_1f236);
        sparseIntArray23.put(57878, R.drawable.emoji_1f21a);
        sparseIntArray23.put(57879, R.drawable.emoji_1f237);
        sparseIntArray23.put(57880, R.drawable.emoji_1f238);
        sparseIntArray23.put(57881, R.drawable.emoji_1f534);
        sparseIntArray23.put(57882, R.drawable.emoji_1f532);
        sparseIntArray23.put(57883, R.drawable.emoji_1f533);
        sparseIntArray23.put(57884, R.drawable.emoji_0031);
        sparseIntArray23.put(57885, R.drawable.emoji_0032);
        sparseIntArray23.put(57886, R.drawable.emoji_0033);
        sparseIntArray23.put(57887, R.drawable.emoji_0034);
        sparseIntArray23.put(57888, R.drawable.emoji_0035);
        sparseIntArray23.put(57889, R.drawable.emoji_0036);
        sparseIntArray23.put(57890, R.drawable.emoji_0037);
        sparseIntArray23.put(57891, R.drawable.emoji_0038);
        sparseIntArray23.put(57892, R.drawable.emoji_0039);
        sparseIntArray23.put(57893, R.drawable.emoji_0030);
        sparseIntArray23.put(57894, R.drawable.emoji_1f250);
        sparseIntArray23.put(57895, R.drawable.emoji_1f239);
        sparseIntArray23.put(57896, R.drawable.emoji_1f202);
        sparseIntArray23.put(57897, R.drawable.emoji_1f194);
        sparseIntArray23.put(57898, R.drawable.emoji_1f235);
        sparseIntArray23.put(57899, R.drawable.emoji_1f233);
        sparseIntArray23.put(57900, R.drawable.emoji_1f22f);
        sparseIntArray23.put(57901, R.drawable.emoji_1f23a);
        sparseIntArray23.put(57902, R.drawable.emoji_1f446);
        sparseIntArray23.put(57903, R.drawable.emoji_1f447);
        sparseIntArray23.put(57904, R.drawable.emoji_1f448);
        sparseIntArray23.put(57905, R.drawable.emoji_1f449);
        sparseIntArray23.put(57906, R.drawable.emoji_2b06);
        sparseIntArray23.put(57907, R.drawable.emoji_2b07);
        sparseIntArray23.put(57908, R.drawable.emoji_27a1);
        sparseIntArray23.put(57909, R.drawable.emoji_1f519);
        sparseIntArray23.put(57910, R.drawable.emoji_2197);
        sparseIntArray23.put(57911, R.drawable.emoji_2196);
        sparseIntArray23.put(57912, R.drawable.emoji_2198);
        sparseIntArray23.put(57913, R.drawable.emoji_2199);
        sparseIntArray23.put(57914, R.drawable.emoji_25b6);
        sparseIntArray23.put(57915, R.drawable.emoji_25c0);
        sparseIntArray23.put(57916, R.drawable.emoji_23e9);
        sparseIntArray23.put(57917, R.drawable.emoji_23ea);
        sparseIntArray23.put(57918, R.drawable.emoji_1f52e);
        sparseIntArray23.put(57919, R.drawable.emoji_2648);
        sparseIntArray23.put(57920, R.drawable.emoji_2649);
        sparseIntArray23.put(57921, R.drawable.emoji_264a);
        sparseIntArray23.put(57922, R.drawable.emoji_264b);
        sparseIntArray23.put(57923, R.drawable.emoji_264c);
        sparseIntArray23.put(57924, R.drawable.emoji_264d);
        sparseIntArray23.put(57925, R.drawable.emoji_264e);
        sparseIntArray23.put(57926, R.drawable.emoji_264f);
        SparseIntArray sparseIntArray24 = sSoftbanksMap;
        sparseIntArray24.put(57927, R.drawable.emoji_2650);
        sparseIntArray24.put(57928, R.drawable.emoji_2651);
        sparseIntArray24.put(57929, R.drawable.emoji_2652);
        sparseIntArray24.put(57930, R.drawable.emoji_2653);
        sparseIntArray24.put(57931, R.drawable.emoji_26ce);
        sparseIntArray24.put(57932, R.drawable.emoji_1f51d);
        sparseIntArray24.put(57933, R.drawable.emoji_1f197);
        sparseIntArray24.put(57934, R.drawable.emoji_00a9);
        sparseIntArray24.put(57935, R.drawable.emoji_00ae);
        sparseIntArray24.put(57936, R.drawable.emoji_1f4f3);
        sparseIntArray24.put(57937, R.drawable.emoji_1f4f4);
        sparseIntArray24.put(57938, R.drawable.emoji_26a0);
        sparseIntArray24.put(57939, R.drawable.emoji_1f481);
        sparseIntArray24.put(58113, R.drawable.emoji_1f4c3);
        sparseIntArray24.put(58114, R.drawable.emoji_1f454);
        sparseIntArray24.put(58115, R.drawable.emoji_1f33a);
        sparseIntArray24.put(58116, R.drawable.emoji_1f337);
        sparseIntArray24.put(58117, R.drawable.emoji_1f33b);
        sparseIntArray24.put(58118, R.drawable.emoji_1f490);
        sparseIntArray24.put(58119, R.drawable.emoji_1f334);
        sparseIntArray24.put(58120, R.drawable.emoji_1f335);
        sparseIntArray24.put(58121, R.drawable.emoji_1f6be);
        sparseIntArray24.put(58122, R.drawable.emoji_1f3a7);
        sparseIntArray24.put(58123, R.drawable.emoji_1f376);
        sparseIntArray24.put(58124, R.drawable.emoji_1f37b);
        sparseIntArray24.put(58125, R.drawable.emoji_3297);
        sparseIntArray24.put(58126, R.drawable.emoji_1f6ac);
        sparseIntArray24.put(58127, R.drawable.emoji_1f48a);
        sparseIntArray24.put(58128, R.drawable.emoji_1f388);
        sparseIntArray24.put(58129, R.drawable.emoji_1f4a3);
        sparseIntArray24.put(58130, R.drawable.emoji_1f389);
        sparseIntArray24.put(58131, R.drawable.emoji_2702);
        sparseIntArray24.put(58132, R.drawable.emoji_1f380);
        sparseIntArray24.put(58133, R.drawable.emoji_3299);
        sparseIntArray24.put(58134, R.drawable.emoji_1f4bd);
        sparseIntArray24.put(58135, R.drawable.emoji_1f4e3);
        sparseIntArray24.put(58136, R.drawable.emoji_1f452);
        sparseIntArray24.put(58137, R.drawable.emoji_1f457);
        sparseIntArray24.put(58138, R.drawable.emoji_1f461);
        sparseIntArray24.put(58139, R.drawable.emoji_1f462);
        sparseIntArray24.put(58140, R.drawable.emoji_1f484);
        sparseIntArray24.put(58141, R.drawable.emoji_1f485);
        sparseIntArray24.put(58142, R.drawable.emoji_1f486);
        sparseIntArray24.put(58143, R.drawable.emoji_1f487);
        sparseIntArray24.put(58144, R.drawable.emoji_1f488);
        sparseIntArray24.put(58145, R.drawable.emoji_1f458);
        sparseIntArray24.put(58146, R.drawable.emoji_1f459);
        sparseIntArray24.put(58147, R.drawable.emoji_1f45c);
        sparseIntArray24.put(58148, R.drawable.emoji_1f3ac);
        sparseIntArray24.put(58149, R.drawable.emoji_1f514);
        SparseIntArray sparseIntArray25 = sSoftbanksMap;
        sparseIntArray25.put(58150, R.drawable.emoji_1f3b6);
        sparseIntArray25.put(58151, R.drawable.emoji_1f493);
        sparseIntArray25.put(58152, R.drawable.emoji_1f48c);
        sparseIntArray25.put(58153, R.drawable.emoji_1f498);
        sparseIntArray25.put(58154, R.drawable.emoji_1f499);
        sparseIntArray25.put(58155, R.drawable.emoji_1f49a);
        sparseIntArray25.put(58156, R.drawable.emoji_1f49b);
        sparseIntArray25.put(58157, R.drawable.emoji_1f49c);
        sparseIntArray25.put(58158, R.drawable.emoji_2728);
        sparseIntArray25.put(58159, R.drawable.emoji_2b50);
        sparseIntArray25.put(58160, R.drawable.emoji_1f4a8);
        sparseIntArray25.put(58161, R.drawable.emoji_1f4a6);
        sparseIntArray25.put(58162, R.drawable.emoji_2b55);
        sparseIntArray25.put(58163, R.drawable.emoji_2716);
        sparseIntArray25.put(58164, R.drawable.emoji_1f4a2);
        sparseIntArray25.put(58165, R.drawable.emoji_1f31f);
        sparseIntArray25.put(58166, R.drawable.emoji_2754);
        sparseIntArray25.put(58167, R.drawable.emoji_2755);
        sparseIntArray25.put(58168, R.drawable.emoji_1f375);
        sparseIntArray25.put(58169, R.drawable.emoji_1f35e);
        sparseIntArray25.put(58170, R.drawable.emoji_1f366);
        sparseIntArray25.put(58171, R.drawable.emoji_1f35f);
        sparseIntArray25.put(58172, R.drawable.emoji_1f361);
        sparseIntArray25.put(58173, R.drawable.emoji_1f358);
        sparseIntArray25.put(58174, R.drawable.emoji_1f35a);
        sparseIntArray25.put(58175, R.drawable.emoji_1f35d);
        sparseIntArray25.put(58176, R.drawable.emoji_1f35c);
        sparseIntArray25.put(58177, R.drawable.emoji_1f35b);
        sparseIntArray25.put(58178, R.drawable.emoji_1f359);
        sparseIntArray25.put(58179, R.drawable.emoji_1f362);
        sparseIntArray25.put(58180, R.drawable.emoji_1f363);
        sparseIntArray25.put(58181, R.drawable.emoji_1f34e);
        sparseIntArray25.put(58182, R.drawable.emoji_1f34a);
        sparseIntArray25.put(58183, R.drawable.emoji_1f353);
        sparseIntArray25.put(58184, R.drawable.emoji_1f349);
        sparseIntArray25.put(58185, R.drawable.emoji_1f345);
        sparseIntArray25.put(58186, R.drawable.emoji_1f346);
        sparseIntArray25.put(58187, R.drawable.emoji_1f382);
        sparseIntArray25.put(58188, R.drawable.emoji_1f371);
        sparseIntArray25.put(58189, R.drawable.emoji_1f372);
        sparseIntArray25.put(58369, R.drawable.emoji_1f625);
        sparseIntArray25.put(58370, R.drawable.emoji_1f60f);
        sparseIntArray25.put(58371, R.drawable.emoji_1f614);
        sparseIntArray25.put(58372, R.drawable.emoji_1f601);
        sparseIntArray25.put(58373, R.drawable.emoji_1f609);
        sparseIntArray25.put(58374, R.drawable.emoji_1f623);
        sparseIntArray25.put(58375, R.drawable.emoji_1f616);
        sparseIntArray25.put(58376, R.drawable.emoji_1f62a);
        sparseIntArray25.put(58377, R.drawable.emoji_1f445);
        sparseIntArray25.put(58378, R.drawable.emoji_1f606);
        SparseIntArray sparseIntArray26 = sSoftbanksMap;
        sparseIntArray26.put(58379, R.drawable.emoji_1f628);
        sparseIntArray26.put(58380, R.drawable.emoji_1f637);
        sparseIntArray26.put(58381, R.drawable.emoji_1f633);
        sparseIntArray26.put(58382, R.drawable.emoji_1f612);
        sparseIntArray26.put(58383, R.drawable.emoji_1f630);
        sparseIntArray26.put(58384, R.drawable.emoji_1f632);
        sparseIntArray26.put(58385, R.drawable.emoji_1f62d);
        sparseIntArray26.put(58386, R.drawable.emoji_1f602);
        sparseIntArray26.put(58387, R.drawable.emoji_1f622);
        sparseIntArray26.put(58388, R.drawable.emoji_263a);
        sparseIntArray26.put(58389, R.drawable.emoji_1f605);
        sparseIntArray26.put(58390, R.drawable.emoji_1f621);
        sparseIntArray26.put(58391, R.drawable.emoji_1f61a);
        sparseIntArray26.put(58392, R.drawable.emoji_1f618);
        sparseIntArray26.put(58393, R.drawable.emoji_1f440);
        sparseIntArray26.put(58394, R.drawable.emoji_1f443);
        sparseIntArray26.put(58395, R.drawable.emoji_1f442);
        sparseIntArray26.put(58396, R.drawable.emoji_1f444);
        sparseIntArray26.put(58397, R.drawable.emoji_1f64f);
        sparseIntArray26.put(58398, R.drawable.emoji_1f44b);
        sparseIntArray26.put(58399, R.drawable.emoji_1f44f);
        sparseIntArray26.put(58400, R.drawable.emoji_1f44c);
        sparseIntArray26.put(58401, R.drawable.emoji_1f44e);
        sparseIntArray26.put(58402, R.drawable.emoji_1f450);
        sparseIntArray26.put(58403, R.drawable.emoji_1f645);
        sparseIntArray26.put(58404, R.drawable.emoji_1f646);
        sparseIntArray26.put(58405, R.drawable.emoji_1f491);
        sparseIntArray26.put(58406, R.drawable.emoji_1f647);
        sparseIntArray26.put(58407, R.drawable.emoji_1f64c);
        sparseIntArray26.put(58408, R.drawable.emoji_1f46b);
        sparseIntArray26.put(58409, R.drawable.emoji_1f46f);
        sparseIntArray26.put(58410, R.drawable.emoji_1f3c0);
        sparseIntArray26.put(58411, R.drawable.emoji_1f3c8);
        sparseIntArray26.put(58412, R.drawable.emoji_1f3b1);
        sparseIntArray26.put(58413, R.drawable.emoji_1f3ca);
        sparseIntArray26.put(58414, R.drawable.emoji_1f699);
        sparseIntArray26.put(58415, R.drawable.emoji_1f69a);
        sparseIntArray26.put(58416, R.drawable.emoji_1f692);
        sparseIntArray26.put(58417, R.drawable.emoji_1f691);
        sparseIntArray26.put(58418, R.drawable.emoji_1f693);
        sparseIntArray26.put(58419, R.drawable.emoji_1f3a2);
        sparseIntArray26.put(58420, R.drawable.emoji_1f687);
        sparseIntArray26.put(58421, R.drawable.emoji_1f684);
        sparseIntArray26.put(58422, R.drawable.emoji_1f38d);
        sparseIntArray26.put(58423, R.drawable.emoji_1f49d);
        sparseIntArray26.put(58424, R.drawable.emoji_1f38e);
        sparseIntArray26.put(58425, R.drawable.emoji_1f393);
        sparseIntArray26.put(58426, R.drawable.emoji_1f392);
        sparseIntArray26.put(58427, R.drawable.emoji_1f38f);
        sparseIntArray26.put(58428, R.drawable.emoji_1f302);
        SparseIntArray sparseIntArray27 = sSoftbanksMap;
        sparseIntArray27.put(58429, R.drawable.emoji_1f492);
        sparseIntArray27.put(58430, R.drawable.emoji_1f30a);
        sparseIntArray27.put(58431, R.drawable.emoji_1f367);
        sparseIntArray27.put(58432, R.drawable.emoji_1f387);
        sparseIntArray27.put(58433, R.drawable.emoji_1f41a);
        sparseIntArray27.put(58434, R.drawable.emoji_1f390);
        sparseIntArray27.put(58435, R.drawable.emoji_1f300);
        sparseIntArray27.put(58436, R.drawable.emoji_1f33e);
        sparseIntArray27.put(58437, R.drawable.emoji_1f383);
        sparseIntArray27.put(58438, R.drawable.emoji_1f391);
        sparseIntArray27.put(58439, R.drawable.emoji_1f343);
        sparseIntArray27.put(58440, R.drawable.emoji_1f385);
        sparseIntArray27.put(58441, R.drawable.emoji_1f305);
        sparseIntArray27.put(58442, R.drawable.emoji_1f307);
        sparseIntArray27.put(58443, R.drawable.emoji_1f303);
        sparseIntArray27.put(58443, R.drawable.emoji_1f30c);
        sparseIntArray27.put(58444, R.drawable.emoji_1f308);
        sparseIntArray27.put(58625, R.drawable.emoji_1f3e9);
        sparseIntArray27.put(58626, R.drawable.emoji_1f3a8);
        sparseIntArray27.put(58627, R.drawable.emoji_1f3a9);
        sparseIntArray27.put(58628, R.drawable.emoji_1f3ec);
        sparseIntArray27.put(58629, R.drawable.emoji_1f3ef);
        sparseIntArray27.put(58630, R.drawable.emoji_1f3f0);
        sparseIntArray27.put(58631, R.drawable.emoji_1f3a6);
        sparseIntArray27.put(58632, R.drawable.emoji_1f3ed);
        sparseIntArray27.put(58633, R.drawable.emoji_1f5fc);
        sparseIntArray27.put(58635, R.drawable.emoji_1f1ef_1f1f5);
        sparseIntArray27.put(58636, R.drawable.emoji_1f1fa_1f1f8);
        sparseIntArray27.put(58637, R.drawable.emoji_1f1eb_1f1f7);
        sparseIntArray27.put(58638, R.drawable.emoji_1f1e9_1f1ea);
        sparseIntArray27.put(58639, R.drawable.emoji_1f1ee_1f1f9);
        sparseIntArray27.put(58640, R.drawable.emoji_1f1ec_1f1e7);
        sparseIntArray27.put(58641, R.drawable.emoji_1f1ea_1f1f8);
        sparseIntArray27.put(58642, R.drawable.emoji_1f1f7_1f1fa);
        sparseIntArray27.put(58643, R.drawable.emoji_1f1e8_1f1f3);
        sparseIntArray27.put(58644, R.drawable.emoji_1f1f0_1f1f7);
        sparseIntArray27.put(58645, R.drawable.emoji_1f471);
        sparseIntArray27.put(58646, R.drawable.emoji_1f472);
        sparseIntArray27.put(58647, R.drawable.emoji_1f473);
        sparseIntArray27.put(58648, R.drawable.emoji_1f474);
        sparseIntArray27.put(58649, R.drawable.emoji_1f475);
        sparseIntArray27.put(58650, R.drawable.emoji_1f476);
        sparseIntArray27.put(58651, R.drawable.emoji_1f477);
        sparseIntArray27.put(58652, R.drawable.emoji_1f478);
        sparseIntArray27.put(58653, R.drawable.emoji_1f5fd);
        sparseIntArray27.put(58654, R.drawable.emoji_1f482);
        sparseIntArray27.put(58655, R.drawable.emoji_1f483);
        sparseIntArray27.put(58656, R.drawable.emoji_1f42c);
        sparseIntArray27.put(58657, R.drawable.emoji_1f426);
        sparseIntArray27.put(58658, R.drawable.emoji_1f420);
        SparseIntArray sparseIntArray28 = sSoftbanksMap;
        sparseIntArray28.put(58659, R.drawable.emoji_1f423);
        sparseIntArray28.put(58660, R.drawable.emoji_1f439);
        sparseIntArray28.put(58661, R.drawable.emoji_1f41b);
        sparseIntArray28.put(58662, R.drawable.emoji_1f418);
        sparseIntArray28.put(58663, R.drawable.emoji_1f428);
        sparseIntArray28.put(58664, R.drawable.emoji_1f412);
        sparseIntArray28.put(58665, R.drawable.emoji_1f411);
        sparseIntArray28.put(58666, R.drawable.emoji_1f43a);
        sparseIntArray28.put(58667, R.drawable.emoji_1f42e);
        sparseIntArray28.put(58668, R.drawable.emoji_1f430);
        sparseIntArray28.put(58669, R.drawable.emoji_1f40d);
        sparseIntArray28.put(58670, R.drawable.emoji_1f414);
        sparseIntArray28.put(58671, R.drawable.emoji_1f417);
        sparseIntArray28.put(58672, R.drawable.emoji_1f42b);
        sparseIntArray28.put(58673, R.drawable.emoji_1f438);
        sparseIntArray28.put(58674, R.drawable.emoji_1f170);
        sparseIntArray28.put(58675, R.drawable.emoji_1f171);
        sparseIntArray28.put(58676, R.drawable.emoji_1f18e);
        sparseIntArray28.put(58677, R.drawable.emoji_1f17e);
        sparseIntArray28.put(58678, R.drawable.emoji_1f43e);
        sparseIntArray28.put(58679, R.drawable.emoji_2122);
        SparseIntArray sparseIntArray29 = sEmojisMap;
        sparseIntArray29.put(128578, R.drawable.emoji_1f642);
        sparseIntArray29.put(129303, R.drawable.emoji_1f917);
        sparseIntArray29.put(129300, R.drawable.emoji_1f914);
        sparseIntArray29.put(128580, R.drawable.emoji_1f644);
        sparseIntArray29.put(129296, R.drawable.emoji_1f910);
        sparseIntArray29.put(129299, R.drawable.emoji_1f913);
        sparseIntArray29.put(9785, R.drawable.emoji_2639);
        sparseIntArray29.put(128577, R.drawable.emoji_1f641);
        sparseIntArray29.put(128579, R.drawable.emoji_1f643);
        sparseIntArray29.put(129298, R.drawable.emoji_1f912);
        sparseIntArray29.put(129301, R.drawable.emoji_1f915);
        sparseIntArray29.put(129297, R.drawable.emoji_1f911);
        sparseIntArray29.put(9937, R.drawable.emoji_26d1);
        sparseIntArray29.put(128373, R.drawable.emoji_1f575);
        sparseIntArray29.put(128483, R.drawable.emoji_1f5e3);
        sparseIntArray29.put(128372, R.drawable.emoji_1f574);
        sparseIntArray29.put(128405, R.drawable.emoji_1f595);
        sparseIntArray29.put(129304, R.drawable.emoji_1f918);
        sparseIntArray29.put(128400, R.drawable.emoji_1f590);
        sparseIntArray29.put(9997, R.drawable.emoji_270d);
        sparseIntArray29.put(128065, R.drawable.emoji_1f441);
        sparseIntArray29.put(10083, R.drawable.emoji_2763);
        sparseIntArray29.put(128371, R.drawable.emoji_1f573);
        sparseIntArray29.put(128495, R.drawable.emoji_1f5ef);
        sparseIntArray29.put(128374, R.drawable.emoji_1f576);
        sparseIntArray29.put(128717, R.drawable.emoji_1f6cd);
        sparseIntArray29.put(128255, R.drawable.emoji_1f4ff);
        sparseIntArray29.put(9760, R.drawable.emoji_2620);
        sparseIntArray29.put(129302, R.drawable.emoji_1f916);
        sparseIntArray29.put(129409, R.drawable.emoji_1f981);
        sparseIntArray29.put(129412, R.drawable.emoji_1f984);
        sparseIntArray29.put(128063, R.drawable.emoji_1f43f);
        sparseIntArray29.put(129411, R.drawable.emoji_1f983);
        sparseIntArray29.put(128330, R.drawable.emoji_1f54a);
        sparseIntArray29.put(129408, R.drawable.emoji_1f980);
        sparseIntArray29.put(128375, R.drawable.emoji_1f577);
        sparseIntArray29.put(128376, R.drawable.emoji_1f578);
        sparseIntArray29.put(129410, R.drawable.emoji_1f982);
        sparseIntArray29.put(127989, R.drawable.emoji_1f3f5);
        sparseIntArray29.put(9752, R.drawable.emoji_2618);
        sparseIntArray29.put(127798, R.drawable.emoji_1f336);
        sparseIntArray29.put(129472, R.drawable.emoji_1f9c0);
        sparseIntArray29.put(127789, R.drawable.emoji_1f32d);
        sparseIntArray29.put(127790, R.drawable.emoji_1f32e);
        sparseIntArray29.put(127791, R.drawable.emoji_1f32f);
        sparseIntArray29.put(127871, R.drawable.emoji_1f37f);
        sparseIntArray29.put(127870, R.drawable.emoji_1f37e);
        sparseIntArray29.put(127869, R.drawable.emoji_1f37d);
        sparseIntArray29.put(127994, R.drawable.emoji_1f3fa);
        sparseIntArray29.put(128506, R.drawable.emoji_1f5fa);
        SparseIntArray sparseIntArray30 = sEmojisMap;
        sparseIntArray30.put(127956, R.drawable.emoji_1f3d4);
        sparseIntArray30.put(9968, R.drawable.emoji_26f0);
        sparseIntArray30.put(127957, R.drawable.emoji_1f3d5);
        sparseIntArray30.put(127958, R.drawable.emoji_1f3d6);
        sparseIntArray30.put(127964, R.drawable.emoji_1f3dc);
        sparseIntArray30.put(127965, R.drawable.emoji_1f3dd);
        sparseIntArray30.put(127966, R.drawable.emoji_1f3de);
        sparseIntArray30.put(127967, R.drawable.emoji_1f3df);
        sparseIntArray30.put(127963, R.drawable.emoji_1f3db);
        sparseIntArray30.put(127959, R.drawable.emoji_1f3d7);
        sparseIntArray30.put(127960, R.drawable.emoji_1f3d8);
        sparseIntArray30.put(127961, R.drawable.emoji_1f3d9);
        sparseIntArray30.put(127962, R.drawable.emoji_1f3da);
        sparseIntArray30.put(128720, R.drawable.emoji_1f6d0);
        sparseIntArray30.put(128331, R.drawable.emoji_1f54b);
        sparseIntArray30.put(128332, R.drawable.emoji_1f54c);
        sparseIntArray30.put(128333, R.drawable.emoji_1f54d);
        sparseIntArray30.put(128444, R.drawable.emoji_1f5bc);
        sparseIntArray30.put(128738, R.drawable.emoji_1f6e2);
        sparseIntArray30.put(128739, R.drawable.emoji_1f6e3);
        sparseIntArray30.put(128740, R.drawable.emoji_1f6e4);
        sparseIntArray30.put(128755, R.drawable.emoji_1f6f3);
        sparseIntArray30.put(9972, R.drawable.emoji_26f4);
        sparseIntArray30.put(128741, R.drawable.emoji_1f6e5);
        sparseIntArray30.put(128745, R.drawable.emoji_1f6e9);
        sparseIntArray30.put(128747, R.drawable.emoji_1f6eb);
        sparseIntArray30.put(128748, R.drawable.emoji_1f6ec);
        sparseIntArray30.put(128752, R.drawable.emoji_1f6f0);
        sparseIntArray30.put(128718, R.drawable.emoji_1f6ce);
        sparseIntArray30.put(128716, R.drawable.emoji_1f6cc);
        sparseIntArray30.put(128719, R.drawable.emoji_1f6cf);
        sparseIntArray30.put(128715, R.drawable.emoji_1f6cb);
        sparseIntArray30.put(9201, R.drawable.emoji_23f1);
        sparseIntArray30.put(9202, R.drawable.emoji_23f2);
        sparseIntArray30.put(128368, R.drawable.emoji_1f570);
        sparseIntArray30.put(127777, R.drawable.emoji_1f321);
        sparseIntArray30.put(9928, R.drawable.emoji_26c8);
        sparseIntArray30.put(127780, R.drawable.emoji_1f324);
        sparseIntArray30.put(127781, R.drawable.emoji_1f325);
        sparseIntArray30.put(127782, R.drawable.emoji_1f326);
        sparseIntArray30.put(127783, R.drawable.emoji_1f327);
        sparseIntArray30.put(127784, R.drawable.emoji_1f328);
        sparseIntArray30.put(127785, R.drawable.emoji_1f329);
        sparseIntArray30.put(127786, R.drawable.emoji_1f32a);
        sparseIntArray30.put(127787, R.drawable.emoji_1f32b);
        sparseIntArray30.put(127788, R.drawable.emoji_1f32c);
        sparseIntArray30.put(9730, R.drawable.emoji_2602);
        sparseIntArray30.put(9969, R.drawable.emoji_26f1);
        sparseIntArray30.put(9731, R.drawable.emoji_2603);
        sparseIntArray30.put(9732, R.drawable.emoji_2604);
        SparseIntArray sparseIntArray31 = sEmojisMap;
        sparseIntArray31.put(128334, R.drawable.emoji_1f54e);
        sparseIntArray31.put(127894, R.drawable.emoji_1f396);
        sparseIntArray31.put(127895, R.drawable.emoji_1f397);
        sparseIntArray31.put(127902, R.drawable.emoji_1f39e);
        sparseIntArray31.put(127903, R.drawable.emoji_1f39f);
        sparseIntArray31.put(127991, R.drawable.emoji_1f3f7);
        sparseIntArray31.put(127948, R.drawable.emoji_1f3cc);
        sparseIntArray31.put(9976, R.drawable.emoji_26f8);
        sparseIntArray31.put(9975, R.drawable.emoji_26f7);
        sparseIntArray31.put(9977, R.drawable.emoji_26f9);
        sparseIntArray31.put(127947, R.drawable.emoji_1f3cb);
        sparseIntArray31.put(127950, R.drawable.emoji_1f3ce);
        sparseIntArray31.put(127949, R.drawable.emoji_1f3cd);
        sparseIntArray31.put(127941, R.drawable.emoji_1f3c5);
        sparseIntArray31.put(127951, R.drawable.emoji_1f3cf);
        sparseIntArray31.put(127952, R.drawable.emoji_1f3d0);
        sparseIntArray31.put(127953, R.drawable.emoji_1f3d1);
        sparseIntArray31.put(127954, R.drawable.emoji_1f3d2);
        sparseIntArray31.put(127955, R.drawable.emoji_1f3d3);
        sparseIntArray31.put(127992, R.drawable.emoji_1f3f8);
        sparseIntArray31.put(128377, R.drawable.emoji_1f579);
        sparseIntArray31.put(9197, R.drawable.emoji_23ed);
        sparseIntArray31.put(9199, R.drawable.emoji_23ef);
        sparseIntArray31.put(9198, R.drawable.emoji_23ee);
        sparseIntArray31.put(9208, R.drawable.emoji_23f8);
        sparseIntArray31.put(9209, R.drawable.emoji_23f9);
        sparseIntArray31.put(9210, R.drawable.emoji_23fa);
        sparseIntArray31.put(127897, R.drawable.emoji_1f399);
        sparseIntArray31.put(127898, R.drawable.emoji_1f39a);
        sparseIntArray31.put(127899, R.drawable.emoji_1f39b);
        sparseIntArray31.put(128421, R.drawable.emoji_1f5a5);
        sparseIntArray31.put(128424, R.drawable.emoji_1f5a8);
        sparseIntArray31.put(9000, R.drawable.emoji_2328);
        sparseIntArray31.put(128433, R.drawable.emoji_1f5b1);
        sparseIntArray31.put(128434, R.drawable.emoji_1f5b2);
        sparseIntArray31.put(128253, R.drawable.emoji_1f4fd);
        sparseIntArray31.put(128248, R.drawable.emoji_1f4f8);
        sparseIntArray31.put(128367, R.drawable.emoji_1f56f);
        sparseIntArray31.put(128478, R.drawable.emoji_1f5de);
        sparseIntArray31.put(128499, R.drawable.emoji_1f5f3);
        sparseIntArray31.put(128395, R.drawable.emoji_1f58b);
        sparseIntArray31.put(128394, R.drawable.emoji_1f58a);
        sparseIntArray31.put(128396, R.drawable.emoji_1f58c);
        sparseIntArray31.put(128397, R.drawable.emoji_1f58d);
        sparseIntArray31.put(128450, R.drawable.emoji_1f5c2);
        sparseIntArray31.put(128466, R.drawable.emoji_1f5d2);
        sparseIntArray31.put(128467, R.drawable.emoji_1f5d3);
        sparseIntArray31.put(128391, R.drawable.emoji_1f587);
        sparseIntArray31.put(128451, R.drawable.emoji_1f5c3);
        sparseIntArray31.put(128452, R.drawable.emoji_1f5c4);
        SparseIntArray sparseIntArray32 = sEmojisMap;
        sparseIntArray32.put(128465, R.drawable.emoji_1f5d1);
        sparseIntArray32.put(128477, R.drawable.emoji_1f5dd);
        sparseIntArray32.put(9935, R.drawable.emoji_26cf);
        sparseIntArray32.put(9874, R.drawable.emoji_2692);
        sparseIntArray32.put(128736, R.drawable.emoji_1f6e0);
        sparseIntArray32.put(9881, R.drawable.emoji_2699);
        sparseIntArray32.put(128476, R.drawable.emoji_1f5dc);
        sparseIntArray32.put(9879, R.drawable.emoji_2697);
        sparseIntArray32.put(9878, R.drawable.emoji_2696);
        sparseIntArray32.put(9939, R.drawable.emoji_26d3);
        sparseIntArray32.put(128481, R.drawable.emoji_1f5e1);
        sparseIntArray32.put(9876, R.drawable.emoji_2694);
        sparseIntArray32.put(128737, R.drawable.emoji_1f6e1);
        sparseIntArray32.put(127993, R.drawable.emoji_1f3f9);
        sparseIntArray32.put(9904, R.drawable.emoji_26b0);
        sparseIntArray32.put(9905, R.drawable.emoji_26b1);
        sparseIntArray32.put(127987, R.drawable.emoji_1f3f3);
        sparseIntArray32.put(127988, R.drawable.emoji_1f3f4);
        sparseIntArray32.put(9884, R.drawable.emoji_269c);
        sparseIntArray32.put(9883, R.drawable.emoji_269b);
        sparseIntArray32.put(128329, R.drawable.emoji_1f549);
        sparseIntArray32.put(10017, R.drawable.emoji_2721);
        sparseIntArray32.put(9784, R.drawable.emoji_2638);
        sparseIntArray32.put(9775, R.drawable.emoji_262f);
        sparseIntArray32.put(10013, R.drawable.emoji_271d);
        sparseIntArray32.put(9766, R.drawable.emoji_2626);
        sparseIntArray32.put(9961, R.drawable.emoji_26e9);
        sparseIntArray32.put(9770, R.drawable.emoji_262a);
        sparseIntArray32.put(9774, R.drawable.emoji_262e);
        sparseIntArray32.put(9762, R.drawable.emoji_2622);
        sparseIntArray32.put(9763, R.drawable.emoji_2623);
        sparseIntArray32.put(128488, R.drawable.emoji_1f5e8);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0047, code lost:
        if (r3 == 0) goto L_0x004b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:42:0x0099, code lost:
        if (r5 == 0) goto L_0x009b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:44:0x009d, code lost:
        r3 = r5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:55:0x0100, code lost:
        if (r5 == 0) goto L_0x009b;
     */
    public static void addEmojis(Context context, Spannable spannable, int i, int i2, int i3, int i4, int i5, boolean z) {
        EmojiconSpan[] emojiconSpanArr;
        int i6;
        int i7;
        int charCount;
        int i8;
        int codePointAt;
        if (!(z || spannable == null)) {
            int length = spannable.length();
            int i9 = (i5 < 0 || i5 >= length - i4) ? length : i5 + i4;
            for (EmojiconSpan emojiconSpan : (EmojiconSpan[]) spannable.getSpans(0, length, EmojiconSpan.class)) {
                spannable.removeSpan(emojiconSpan);
            }
            for (int i10 = i4; i10 < i9; i10 += i6) {
                char charAt = spannable.charAt(i10);
                i6 = 1;
                if ((charAt >> '\f') == 14) {
                    i7 = sSoftbanksMap.get(charAt);
                } else {
                    i7 = 0;
                }
                i6 = 0;
                if (i7 == 0) {
                    int codePointAt2 = Character.codePointAt(spannable, i10);
                    i6 = Character.charCount(codePointAt2);
                    if (codePointAt2 > 255) {
                        i7 = sEmojisMap.get(codePointAt2);
                    }
                    int i11 = i10 + i6;
                    if (i11 < i9) {
                        int codePointAt3 = Character.codePointAt(spannable, i11);
                        if (codePointAt3 == 65039) {
                            int charCount2 = Character.charCount(codePointAt3);
                            int i12 = i11 + charCount2;
                            if (i12 < i9 && (codePointAt = Character.codePointAt(spannable, i12)) == 8419) {
                                int charCount3 = Character.charCount(codePointAt);
                                int keyCapEmoji = getKeyCapEmoji(codePointAt2);
                                if (keyCapEmoji == 0) {
                                    charCount3 = 0;
                                    charCount2 = 0;
                                } else {
                                    i7 = keyCapEmoji;
                                }
                                i6 = charCount2 + charCount3 + i6;
                            }
                        } else {
                            if (codePointAt3 == 8419) {
                                charCount = Character.charCount(codePointAt3);
                                i8 = getKeyCapEmoji(codePointAt2);
                            } else if (sEmojiModifiersMap.get(codePointAt3, 0) > 0) {
                                charCount = Character.charCount(codePointAt3);
                                String str = "emoji_" + Integer.toHexString(codePointAt2) + "_" + Integer.toHexString(codePointAt3);
                                if (sEmojisModifiedMap.containsKey(str)) {
                                    i8 = sEmojisModifiedMap.get(str).intValue();
                                } else {
                                    int identifier = context.getResources().getIdentifier(str, "drawable", context.getApplicationContext().getPackageName());
                                    if (identifier != 0) {
                                        sEmojisModifiedMap.put(str, Integer.valueOf(identifier));
                                    }
                                    i8 = identifier;
                                }
                            }
                            charCount = 0;
                            i6 += charCount;
                        }
                    }
                }
                if (i7 > 0) {
                    spannable.setSpan(new EmojiconSpan(context, i7, i, i2, i3), i10, i10 + i6, 33);
                }
            }
        }
    }

    public static int getKeyCapEmoji(int i) {
        if (i == 35) {
            return R.drawable.emoji_0023;
        }
        if (i == 42) {
            return R.drawable.emoji_002a_20e3;
        }
        switch (i) {
            case 48:
                return R.drawable.emoji_0030;
            case 49:
                return R.drawable.emoji_0031;
            case 50:
                return R.drawable.emoji_0032;
            case 51:
                return R.drawable.emoji_0033;
            case 52:
                return R.drawable.emoji_0034;
            case 53:
                return R.drawable.emoji_0035;
            case 54:
                return R.drawable.emoji_0036;
            case 55:
                return R.drawable.emoji_0037;
            case 56:
                return R.drawable.emoji_0038;
            case 57:
                return R.drawable.emoji_0039;
            default:
                return 0;
        }
    }
}
