package io.github.rockerhieu.emojicon;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.drawable.Drawable;
import android.text.style.DynamicDrawableSpan;
import java.lang.ref.WeakReference;

public class EmojiconSpan extends DynamicDrawableSpan {
    public final Context mContext;
    public Drawable mDrawable;
    public WeakReference<Drawable> mDrawableRef;
    public int mHeight;
    public final int mResourceId;
    public final int mSize;
    public final int mTextSize;
    public int mTop;
    public int mWidth;

    public EmojiconSpan(Context context, int i, int i2, int i3, int i4) {
        super(i3);
        this.mContext = context;
        this.mResourceId = i;
        this.mSize = i2;
        this.mHeight = i2;
        this.mWidth = i2;
        this.mTextSize = i4;
    }

    public void draw(Canvas canvas, CharSequence charSequence, int i, int i2, float f, int i3, int i4, int i5, Paint paint) {
        WeakReference<Drawable> weakReference = this.mDrawableRef;
        if (weakReference == null || weakReference.get() == null) {
            this.mDrawableRef = new WeakReference<>(getDrawable());
        }
        Drawable drawable = this.mDrawableRef.get();
        canvas.save();
        int i6 = i5 - drawable.getBounds().bottom;
        if (((DynamicDrawableSpan) this).mVerticalAlignment == 1) {
            i6 = ((((i5 - i3) / 2) + i3) - ((drawable.getBounds().bottom - drawable.getBounds().top) / 2)) - this.mTop;
        }
        canvas.translate(f, (float) i6);
        drawable.draw(canvas);
        canvas.restore();
    }

    public Drawable getDrawable() {
        if (this.mDrawable == null) {
            try {
                Drawable drawable = this.mContext.getResources().getDrawable(this.mResourceId);
                this.mDrawable = drawable;
                int i = this.mSize;
                this.mHeight = i;
                int intrinsicWidth = (i * drawable.getIntrinsicWidth()) / this.mDrawable.getIntrinsicHeight();
                this.mWidth = intrinsicWidth;
                int i2 = this.mTextSize;
                int i3 = this.mHeight;
                int i4 = (i2 - i3) / 2;
                this.mTop = i4;
                this.mDrawable.setBounds(0, i4, intrinsicWidth, i3 + i4);
            } catch (Exception unused) {
            }
        }
        return this.mDrawable;
    }
}
