package io.github.rockerhieu.emojicon.emoji;

import android.os.Parcel;
import android.os.Parcelable;
import com.android.tools.r8.GeneratedOutlineSupport;

public class Emojicon implements Parcelable {
    public static final Parcelable.Creator<Emojicon> CREATOR = new Parcelable.Creator<Emojicon>() {
        /* class io.github.rockerhieu.emojicon.emoji.Emojicon.AnonymousClass1 */

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // android.os.Parcelable.Creator
        public Emojicon createFromParcel(Parcel parcel) {
            return new Emojicon(parcel);
        }

        /* Return type fixed from 'java.lang.Object[]' to match base method */
        @Override // android.os.Parcelable.Creator
        public Emojicon[] newArray(int i) {
            return new Emojicon[i];
        }
    };
    public String emoji;
    public int icon;
    public char value;

    public Emojicon(Parcel parcel) {
        this.icon = parcel.readInt();
        this.value = (char) parcel.readInt();
        this.emoji = parcel.readString();
    }

    public static Emojicon fromChar(char c) {
        Emojicon emojicon = new Emojicon();
        emojicon.emoji = Character.toString(c);
        return emojicon;
    }

    public static Emojicon fromChars(String str) {
        Emojicon emojicon = new Emojicon();
        emojicon.emoji = str;
        return emojicon;
    }

    public static Emojicon fromCodePoint(int i) {
        String str;
        Emojicon emojicon = new Emojicon();
        if (Character.charCount(i) == 1) {
            str = String.valueOf(i);
        } else {
            str = new String(Character.toChars(i));
        }
        emojicon.emoji = str;
        return emojicon;
    }

    public static Emojicon[] getEmojicons(int i) {
        if (i == 1) {
            return People.DATA;
        }
        if (i == 2) {
            return Nature.DATA;
        }
        if (i == 3) {
            return Objects.DATA;
        }
        if (i == 4) {
            return Places.DATA;
        }
        if (i == 5) {
            return Symbols.DATA;
        }
        throw new IllegalArgumentException(GeneratedOutlineSupport.outline11("Invalid emojicon type: ", i));
    }

    public int describeContents() {
        return 0;
    }

    public boolean equals(Object obj) {
        return (obj instanceof Emojicon) && this.emoji.equals(((Emojicon) obj).emoji);
    }

    public int hashCode() {
        return this.emoji.hashCode();
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.icon);
        parcel.writeInt(this.value);
        parcel.writeString(this.emoji);
    }

    public Emojicon() {
    }
}
