package io.netty.channel;

import io.netty.util.concurrent.Future;
import io.netty.util.concurrent.GenericFutureListener;

public interface ChannelFuture extends Future<Void> {
    /* Return type fixed from 'io.netty.channel.ChannelFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> addListener(GenericFutureListener<? extends Future<? super Void>> genericFutureListener);

    /* Return type fixed from 'io.netty.channel.ChannelFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> addListeners(GenericFutureListener<? extends Future<? super Void>>... genericFutureListenerArr);

    /* Return type fixed from 'io.netty.channel.ChannelFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> await();

    /* Return type fixed from 'io.netty.channel.ChannelFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> awaitUninterruptibly();

    Channel channel();

    boolean isVoid();

    /* Return type fixed from 'io.netty.channel.ChannelFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> removeListener(GenericFutureListener<? extends Future<? super Void>> genericFutureListener);

    /* Return type fixed from 'io.netty.channel.ChannelFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> removeListeners(GenericFutureListener<? extends Future<? super Void>>... genericFutureListenerArr);

    /* Return type fixed from 'io.netty.channel.ChannelFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> sync();

    /* Return type fixed from 'io.netty.channel.ChannelFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> syncUninterruptibly();
}
