package io.netty.channel;

import io.netty.util.concurrent.Future;
import io.netty.util.concurrent.GenericFutureListener;
import io.netty.util.concurrent.ProgressiveFuture;

public interface ChannelProgressiveFuture extends ChannelFuture, ProgressiveFuture<Void> {
    /* Return type fixed from 'io.netty.channel.ChannelProgressiveFuture' to match base method */
    @Override // io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> addListener(GenericFutureListener<? extends Future<? super Void>> genericFutureListener);

    /* Return type fixed from 'io.netty.channel.ChannelProgressiveFuture' to match base method */
    @Override // io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> addListeners(GenericFutureListener<? extends Future<? super Void>>... genericFutureListenerArr);

    /* Return type fixed from 'io.netty.channel.ChannelProgressiveFuture' to match base method */
    @Override // io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> await();

    /* Return type fixed from 'io.netty.channel.ChannelProgressiveFuture' to match base method */
    @Override // io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> awaitUninterruptibly();

    /* Return type fixed from 'io.netty.channel.ChannelProgressiveFuture' to match base method */
    @Override // io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> removeListener(GenericFutureListener<? extends Future<? super Void>> genericFutureListener);

    /* Return type fixed from 'io.netty.channel.ChannelProgressiveFuture' to match base method */
    @Override // io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> removeListeners(GenericFutureListener<? extends Future<? super Void>>... genericFutureListenerArr);

    /* Return type fixed from 'io.netty.channel.ChannelProgressiveFuture' to match base method */
    @Override // io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> sync();

    /* Return type fixed from 'io.netty.channel.ChannelProgressiveFuture' to match base method */
    @Override // io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> syncUninterruptibly();
}
