package io.netty.channel;

import io.netty.util.concurrent.Future;
import io.netty.util.concurrent.GenericFutureListener;
import io.netty.util.concurrent.Promise;

public interface ChannelPromise extends ChannelFuture, Promise<Void> {
    /* Return type fixed from 'io.netty.channel.ChannelPromise' to match base method */
    @Override // io.netty.util.concurrent.Promise, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    Promise<Void> addListener(GenericFutureListener<? extends Future<? super Void>> genericFutureListener);

    /* Return type fixed from 'io.netty.channel.ChannelPromise' to match base method */
    @Override // io.netty.util.concurrent.Promise, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    Promise<Void> addListeners(GenericFutureListener<? extends Future<? super Void>>... genericFutureListenerArr);

    /* Return type fixed from 'io.netty.channel.ChannelPromise' to match base method */
    @Override // io.netty.util.concurrent.Promise, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    Promise<Void> await();

    /* Return type fixed from 'io.netty.channel.ChannelPromise' to match base method */
    @Override // io.netty.util.concurrent.Promise, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    Promise<Void> awaitUninterruptibly();

    @Override // io.netty.channel.ChannelFuture
    Channel channel();

    /* Return type fixed from 'io.netty.channel.ChannelPromise' to match base method */
    @Override // io.netty.util.concurrent.Promise, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    Promise<Void> removeListener(GenericFutureListener<? extends Future<? super Void>> genericFutureListener);

    /* Return type fixed from 'io.netty.channel.ChannelPromise' to match base method */
    @Override // io.netty.util.concurrent.Promise, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    Promise<Void> removeListeners(GenericFutureListener<? extends Future<? super Void>>... genericFutureListenerArr);

    /* Return type fixed from 'io.netty.channel.ChannelPromise' to match base method */
    @Override // io.netty.util.concurrent.Promise
    Promise<Void> setFailure(Throwable th);

    ChannelPromise setSuccess();

    ChannelPromise setSuccess(Void v);

    /* Return type fixed from 'io.netty.channel.ChannelPromise' to match base method */
    @Override // io.netty.util.concurrent.Promise, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    Promise<Void> sync();

    /* Return type fixed from 'io.netty.channel.ChannelPromise' to match base method */
    @Override // io.netty.util.concurrent.Promise, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    Promise<Void> syncUninterruptibly();

    boolean trySuccess();

    ChannelPromise unvoid();
}
