package io.netty.channel.group;

import io.netty.channel.Channel;
import io.netty.channel.ChannelFuture;
import io.netty.util.concurrent.Future;
import io.netty.util.concurrent.GenericFutureListener;
import java.util.Iterator;

public interface ChannelGroupFuture extends Future<Void>, Iterable<ChannelFuture> {
    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> addListener(GenericFutureListener<? extends Future<? super Void>> genericFutureListener);

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> addListeners(GenericFutureListener<? extends Future<? super Void>>... genericFutureListenerArr);

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> await();

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> awaitUninterruptibly();

    @Override // io.netty.util.concurrent.Future
    ChannelGroupException cause();

    ChannelFuture find(Channel channel);

    ChannelGroup group();

    boolean isPartialFailure();

    boolean isPartialSuccess();

    @Override // io.netty.util.concurrent.Future
    boolean isSuccess();

    @Override // java.lang.Iterable
    Iterator<ChannelFuture> iterator();

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> removeListener(GenericFutureListener<? extends Future<? super Void>> genericFutureListener);

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> removeListeners(GenericFutureListener<? extends Future<? super Void>>... genericFutureListenerArr);

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> sync();

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.util.concurrent.Future
    Future<Void> syncUninterruptibly();
}
