package io.netty.channel.group;

import io.netty.channel.Channel;
import io.netty.channel.ChannelFuture;
import io.netty.util.concurrent.Future;
import io.netty.util.concurrent.GenericFutureListener;
import java.util.Collections;
import java.util.Iterator;
import java.util.concurrent.TimeUnit;

public final class VoidChannelGroupFuture implements ChannelGroupFuture {
    private static final Iterator<ChannelFuture> EMPTY = Collections.emptyList().iterator();
    private final ChannelGroup group;

    public VoidChannelGroupFuture(ChannelGroup channelGroup) {
        this.group = channelGroup;
    }

    private static RuntimeException reject() {
        return new IllegalStateException("void future");
    }

    @Override // io.netty.util.concurrent.Future
    public boolean cancel(boolean z) {
        return false;
    }

    @Override // io.netty.channel.group.ChannelGroupFuture, io.netty.util.concurrent.Future
    public ChannelGroupException cause() {
        return null;
    }

    @Override // io.netty.channel.group.ChannelGroupFuture
    public ChannelFuture find(Channel channel) {
        return null;
    }

    @Override // io.netty.util.concurrent.Future
    public Void getNow() {
        return null;
    }

    @Override // io.netty.channel.group.ChannelGroupFuture
    public ChannelGroup group() {
        return this.group;
    }

    @Override // io.netty.util.concurrent.Future
    public boolean isCancellable() {
        return false;
    }

    public boolean isCancelled() {
        return false;
    }

    public boolean isDone() {
        return false;
    }

    @Override // io.netty.channel.group.ChannelGroupFuture
    public boolean isPartialFailure() {
        return false;
    }

    @Override // io.netty.channel.group.ChannelGroupFuture
    public boolean isPartialSuccess() {
        return false;
    }

    @Override // io.netty.channel.group.ChannelGroupFuture, io.netty.util.concurrent.Future
    public boolean isSuccess() {
        return false;
    }

    @Override // io.netty.channel.group.ChannelGroupFuture, java.lang.Iterable
    public Iterator<ChannelFuture> iterator() {
        return EMPTY;
    }

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.channel.group.ChannelGroupFuture, io.netty.util.concurrent.Future
    public Future<Void> addListener(GenericFutureListener<? extends Future<? super Void>> genericFutureListener) {
        throw reject();
    }

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.channel.group.ChannelGroupFuture, io.netty.util.concurrent.Future
    public Future<Void> addListeners(GenericFutureListener<? extends Future<? super Void>>... genericFutureListenerArr) {
        throw reject();
    }

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.channel.group.ChannelGroupFuture, io.netty.util.concurrent.Future
    public Future<Void> await() {
        throw reject();
    }

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.channel.group.ChannelGroupFuture, io.netty.util.concurrent.Future
    public Future<Void> awaitUninterruptibly() {
        throw reject();
    }

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.channel.group.ChannelGroupFuture, io.netty.util.concurrent.Future
    public Future<Void> removeListener(GenericFutureListener<? extends Future<? super Void>> genericFutureListener) {
        throw reject();
    }

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.channel.group.ChannelGroupFuture, io.netty.util.concurrent.Future
    public Future<Void> removeListeners(GenericFutureListener<? extends Future<? super Void>>... genericFutureListenerArr) {
        throw reject();
    }

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.channel.group.ChannelGroupFuture, io.netty.util.concurrent.Future
    public Future<Void> sync() {
        throw reject();
    }

    /* Return type fixed from 'io.netty.channel.group.ChannelGroupFuture' to match base method */
    @Override // io.netty.channel.group.ChannelGroupFuture, io.netty.util.concurrent.Future
    public Future<Void> syncUninterruptibly() {
        throw reject();
    }

    @Override // io.netty.util.concurrent.Future
    public boolean await(long j, TimeUnit timeUnit) {
        throw reject();
    }

    @Override // io.netty.util.concurrent.Future
    public boolean awaitUninterruptibly(long j, TimeUnit timeUnit) {
        throw reject();
    }

    @Override // java.util.concurrent.Future
    public Void get() {
        throw reject();
    }

    @Override // io.netty.util.concurrent.Future
    public boolean await(long j) {
        throw reject();
    }

    @Override // io.netty.util.concurrent.Future
    public boolean awaitUninterruptibly(long j) {
        throw reject();
    }

    @Override // java.util.concurrent.Future
    public Void get(long j, TimeUnit timeUnit) {
        throw reject();
    }
}
