package io.netty.channel.socket;

import io.netty.buffer.ByteBuf;
import io.netty.buffer.ByteBufHolder;
import io.netty.channel.AddressedEnvelope;
import io.netty.channel.DefaultAddressedEnvelope;
import java.net.InetSocketAddress;

public class DatagramPacket extends DefaultAddressedEnvelope<ByteBuf, InetSocketAddress> implements ByteBufHolder {
    public DatagramPacket(ByteBuf byteBuf, InetSocketAddress inetSocketAddress) {
        super(byteBuf, inetSocketAddress);
    }

    @Override // io.netty.channel.DefaultAddressedEnvelope, io.netty.channel.AddressedEnvelope, io.netty.buffer.ByteBufHolder
    public /* bridge */ /* synthetic */ ByteBuf content() {
        return (ByteBuf) super.content();
    }

    public DatagramPacket(ByteBuf byteBuf, InetSocketAddress inetSocketAddress, InetSocketAddress inetSocketAddress2) {
        super(byteBuf, inetSocketAddress, inetSocketAddress2);
    }

    @Override // io.netty.buffer.ByteBufHolder
    public DatagramPacket copy() {
        return replace(((ByteBuf) content()).copy());
    }

    @Override // io.netty.buffer.ByteBufHolder
    public DatagramPacket duplicate() {
        return replace(((ByteBuf) content()).duplicate());
    }

    @Override // io.netty.buffer.ByteBufHolder
    public DatagramPacket replace(ByteBuf byteBuf) {
        return new DatagramPacket(byteBuf, (InetSocketAddress) recipient(), (InetSocketAddress) sender());
    }

    @Override // io.netty.buffer.ByteBufHolder
    public DatagramPacket retainedDuplicate() {
        return replace(((ByteBuf) content()).retainedDuplicate());
    }

    /* Return type fixed from 'io.netty.channel.socket.DatagramPacket' to match base method */
    @Override // io.netty.channel.DefaultAddressedEnvelope, io.netty.channel.DefaultAddressedEnvelope, io.netty.channel.AddressedEnvelope, io.netty.util.ReferenceCounted, io.netty.buffer.ByteBufHolder
    public AddressedEnvelope<ByteBuf, InetSocketAddress> retain() {
        super.retain();
        return this;
    }

    /* Return type fixed from 'io.netty.channel.socket.DatagramPacket' to match base method */
    @Override // io.netty.channel.DefaultAddressedEnvelope, io.netty.channel.DefaultAddressedEnvelope, io.netty.channel.AddressedEnvelope, io.netty.util.ReferenceCounted, io.netty.buffer.ByteBufHolder
    public AddressedEnvelope<ByteBuf, InetSocketAddress> touch() {
        super.touch();
        return this;
    }

    /* Return type fixed from 'io.netty.channel.socket.DatagramPacket' to match base method */
    @Override // io.netty.channel.DefaultAddressedEnvelope, io.netty.channel.DefaultAddressedEnvelope, io.netty.channel.AddressedEnvelope, io.netty.util.ReferenceCounted, io.netty.buffer.ByteBufHolder
    public AddressedEnvelope<ByteBuf, InetSocketAddress> retain(int i) {
        super.retain(i);
        return this;
    }

    /* Return type fixed from 'io.netty.channel.socket.DatagramPacket' to match base method */
    @Override // io.netty.channel.DefaultAddressedEnvelope, io.netty.channel.DefaultAddressedEnvelope, io.netty.channel.AddressedEnvelope, io.netty.util.ReferenceCounted, io.netty.buffer.ByteBufHolder
    public AddressedEnvelope<ByteBuf, InetSocketAddress> touch(Object obj) {
        super.touch(obj);
        return this;
    }
}
