package io.netty.channel.socket.oio;

import io.netty.buffer.ByteBufAllocator;
import io.netty.channel.Channel;
import io.netty.channel.ChannelException;
import io.netty.channel.ChannelOption;
import io.netty.channel.MessageSizeEstimator;
import io.netty.channel.PreferHeapByteBufAllocator;
import io.netty.channel.RecvByteBufAllocator;
import io.netty.channel.WriteBufferWaterMark;
import io.netty.channel.socket.DefaultServerSocketChannelConfig;
import io.netty.channel.socket.ServerSocketChannel;
import java.io.IOException;
import java.net.ServerSocket;
import java.util.Map;

@Deprecated
public class DefaultOioServerSocketChannelConfig extends DefaultServerSocketChannelConfig implements OioServerSocketChannelConfig {
    @Deprecated
    public DefaultOioServerSocketChannelConfig(ServerSocketChannel serverSocketChannel, ServerSocket serverSocket) {
        super(serverSocketChannel, serverSocket);
        setAllocator((ByteBufAllocator) new PreferHeapByteBufAllocator(getAllocator()));
    }

    @Override // io.netty.channel.DefaultChannelConfig
    public void autoReadCleared() {
        Channel channel = this.channel;
        if (channel instanceof OioServerSocketChannel) {
            ((OioServerSocketChannel) channel).clearReadPending0();
        }
    }

    @Override // io.netty.channel.ChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public <T> T getOption(ChannelOption<T> channelOption) {
        return channelOption == ChannelOption.SO_TIMEOUT ? (T) Integer.valueOf(getSoTimeout()) : (T) super.getOption(channelOption);
    }

    @Override // io.netty.channel.ChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public Map<ChannelOption<?>, Object> getOptions() {
        return getOptions(super.getOptions(), ChannelOption.SO_TIMEOUT);
    }

    @Override // io.netty.channel.socket.oio.OioServerSocketChannelConfig
    public int getSoTimeout() {
        try {
            return this.javaSocket.getSoTimeout();
        } catch (IOException e) {
            throw new ChannelException(e);
        }
    }

    @Override // io.netty.channel.ChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public <T> boolean setOption(ChannelOption<T> channelOption, T t) {
        validate(channelOption, t);
        if (channelOption != ChannelOption.SO_TIMEOUT) {
            return super.setOption(channelOption, t);
        }
        setSoTimeout(t.intValue());
        return true;
    }

    @Override // io.netty.channel.socket.oio.OioServerSocketChannelConfig
    public OioServerSocketChannelConfig setSoTimeout(int i) {
        try {
            this.javaSocket.setSoTimeout(i);
            return this;
        } catch (IOException e) {
            throw new ChannelException(e);
        }
    }

    @Override // io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.DefaultChannelConfig
    public OioServerSocketChannelConfig setAutoClose(boolean z) {
        super.setAutoClose(z);
        return this;
    }

    @Override // io.netty.channel.socket.ServerSocketChannelConfig, io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public OioServerSocketChannelConfig setBacklog(int i) {
        super.setBacklog(i);
        return this;
    }

    @Override // io.netty.channel.socket.ServerSocketChannelConfig, io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public OioServerSocketChannelConfig setPerformancePreferences(int i, int i2, int i3) {
        super.setPerformancePreferences(i, i2, i3);
        return this;
    }

    @Override // io.netty.channel.socket.ServerSocketChannelConfig, io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public OioServerSocketChannelConfig setReceiveBufferSize(int i) {
        super.setReceiveBufferSize(i);
        return this;
    }

    @Override // io.netty.channel.socket.ServerSocketChannelConfig, io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public OioServerSocketChannelConfig setReuseAddress(boolean z) {
        super.setReuseAddress(z);
        return this;
    }

    public DefaultOioServerSocketChannelConfig(OioServerSocketChannel oioServerSocketChannel, ServerSocket serverSocket) {
        super(oioServerSocketChannel, serverSocket);
        setAllocator((ByteBufAllocator) new PreferHeapByteBufAllocator(getAllocator()));
    }

    @Override // io.netty.channel.socket.ServerSocketChannelConfig, io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public OioServerSocketChannelConfig setAllocator(ByteBufAllocator byteBufAllocator) {
        super.setAllocator(byteBufAllocator);
        return this;
    }

    @Override // io.netty.channel.socket.ServerSocketChannelConfig, io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public OioServerSocketChannelConfig setAutoRead(boolean z) {
        super.setAutoRead(z);
        return this;
    }

    @Override // io.netty.channel.socket.ServerSocketChannelConfig, io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public OioServerSocketChannelConfig setConnectTimeoutMillis(int i) {
        super.setConnectTimeoutMillis(i);
        return this;
    }

    @Override // io.netty.channel.socket.ServerSocketChannelConfig, io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    @Deprecated
    public OioServerSocketChannelConfig setMaxMessagesPerRead(int i) {
        super.setMaxMessagesPerRead(i);
        return this;
    }

    @Override // io.netty.channel.socket.ServerSocketChannelConfig, io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public OioServerSocketChannelConfig setMessageSizeEstimator(MessageSizeEstimator messageSizeEstimator) {
        super.setMessageSizeEstimator(messageSizeEstimator);
        return this;
    }

    @Override // io.netty.channel.socket.ServerSocketChannelConfig, io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public OioServerSocketChannelConfig setRecvByteBufAllocator(RecvByteBufAllocator recvByteBufAllocator) {
        super.setRecvByteBufAllocator(recvByteBufAllocator);
        return this;
    }

    @Override // io.netty.channel.socket.ServerSocketChannelConfig, io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public OioServerSocketChannelConfig setWriteBufferHighWaterMark(int i) {
        super.setWriteBufferHighWaterMark(i);
        return this;
    }

    @Override // io.netty.channel.socket.ServerSocketChannelConfig, io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public OioServerSocketChannelConfig setWriteBufferLowWaterMark(int i) {
        super.setWriteBufferLowWaterMark(i);
        return this;
    }

    @Override // io.netty.channel.socket.ServerSocketChannelConfig, io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public OioServerSocketChannelConfig setWriteBufferWaterMark(WriteBufferWaterMark writeBufferWaterMark) {
        super.setWriteBufferWaterMark(writeBufferWaterMark);
        return this;
    }

    @Override // io.netty.channel.socket.ServerSocketChannelConfig, io.netty.channel.socket.oio.OioServerSocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig, io.netty.channel.socket.DefaultServerSocketChannelConfig
    public OioServerSocketChannelConfig setWriteSpinCount(int i) {
        super.setWriteSpinCount(i);
        return this;
    }
}
