package io.netty.channel.socket.oio;

import io.netty.buffer.ByteBufAllocator;
import io.netty.channel.Channel;
import io.netty.channel.ChannelException;
import io.netty.channel.ChannelOption;
import io.netty.channel.MessageSizeEstimator;
import io.netty.channel.PreferHeapByteBufAllocator;
import io.netty.channel.RecvByteBufAllocator;
import io.netty.channel.WriteBufferWaterMark;
import io.netty.channel.socket.DefaultSocketChannelConfig;
import io.netty.channel.socket.SocketChannel;
import java.io.IOException;
import java.net.Socket;
import java.util.Map;

@Deprecated
public class DefaultOioSocketChannelConfig extends DefaultSocketChannelConfig implements OioSocketChannelConfig {
    @Deprecated
    public DefaultOioSocketChannelConfig(SocketChannel socketChannel, Socket socket) {
        super(socketChannel, socket);
        setAllocator((ByteBufAllocator) new PreferHeapByteBufAllocator(getAllocator()));
    }

    @Override // io.netty.channel.DefaultChannelConfig
    public void autoReadCleared() {
        Channel channel = this.channel;
        if (channel instanceof OioSocketChannel) {
            ((OioSocketChannel) channel).clearReadPending0();
        }
    }

    @Override // io.netty.channel.ChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.DefaultChannelConfig
    public <T> T getOption(ChannelOption<T> channelOption) {
        return channelOption == ChannelOption.SO_TIMEOUT ? (T) Integer.valueOf(getSoTimeout()) : (T) super.getOption(channelOption);
    }

    @Override // io.netty.channel.ChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.DefaultChannelConfig
    public Map<ChannelOption<?>, Object> getOptions() {
        return getOptions(super.getOptions(), ChannelOption.SO_TIMEOUT);
    }

    @Override // io.netty.channel.socket.oio.OioSocketChannelConfig
    public int getSoTimeout() {
        try {
            return this.javaSocket.getSoTimeout();
        } catch (IOException e) {
            throw new ChannelException(e);
        }
    }

    @Override // io.netty.channel.ChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.DefaultChannelConfig
    public <T> boolean setOption(ChannelOption<T> channelOption, T t) {
        validate(channelOption, t);
        if (channelOption != ChannelOption.SO_TIMEOUT) {
            return super.setOption(channelOption, t);
        }
        setSoTimeout(t.intValue());
        return true;
    }

    @Override // io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setSoTimeout(int i) {
        try {
            this.javaSocket.setSoTimeout(i);
            return this;
        } catch (IOException e) {
            throw new ChannelException(e);
        }
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setKeepAlive(boolean z) {
        super.setKeepAlive(z);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setPerformancePreferences(int i, int i2, int i3) {
        super.setPerformancePreferences(i, i2, i3);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setReceiveBufferSize(int i) {
        super.setReceiveBufferSize(i);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setReuseAddress(boolean z) {
        super.setReuseAddress(z);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setSendBufferSize(int i) {
        super.setSendBufferSize(i);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setSoLinger(int i) {
        super.setSoLinger(i);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setTcpNoDelay(boolean z) {
        super.setTcpNoDelay(z);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setTrafficClass(int i) {
        super.setTrafficClass(i);
        return this;
    }

    public DefaultOioSocketChannelConfig(OioSocketChannel oioSocketChannel, Socket socket) {
        super(oioSocketChannel, socket);
        setAllocator((ByteBufAllocator) new PreferHeapByteBufAllocator(getAllocator()));
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DuplexChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setAllowHalfClosure(boolean z) {
        super.setAllowHalfClosure(z);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setConnectTimeoutMillis(int i) {
        super.setConnectTimeoutMillis(i);
        return this;
    }

    @Override // io.netty.channel.ChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setWriteBufferHighWaterMark(int i) {
        super.setWriteBufferHighWaterMark(i);
        return this;
    }

    @Override // io.netty.channel.ChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setWriteBufferLowWaterMark(int i) {
        super.setWriteBufferLowWaterMark(i);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DuplexChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setAllocator(ByteBufAllocator byteBufAllocator) {
        super.setAllocator(byteBufAllocator);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DuplexChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setAutoClose(boolean z) {
        super.setAutoClose(z);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DuplexChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setAutoRead(boolean z) {
        super.setAutoRead(z);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DuplexChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    @Deprecated
    public OioSocketChannelConfig setMaxMessagesPerRead(int i) {
        super.setMaxMessagesPerRead(i);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DuplexChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setMessageSizeEstimator(MessageSizeEstimator messageSizeEstimator) {
        super.setMessageSizeEstimator(messageSizeEstimator);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DuplexChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setRecvByteBufAllocator(RecvByteBufAllocator recvByteBufAllocator) {
        super.setRecvByteBufAllocator(recvByteBufAllocator);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DuplexChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setWriteBufferWaterMark(WriteBufferWaterMark writeBufferWaterMark) {
        super.setWriteBufferWaterMark(writeBufferWaterMark);
        return this;
    }

    @Override // io.netty.channel.socket.SocketChannelConfig, io.netty.channel.ChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.socket.DefaultSocketChannelConfig, io.netty.channel.DefaultChannelConfig, io.netty.channel.socket.DuplexChannelConfig, io.netty.channel.socket.oio.OioSocketChannelConfig
    public OioSocketChannelConfig setWriteSpinCount(int i) {
        super.setWriteSpinCount(i);
        return this;
    }
}
