package io.netty.handler.codec.serialization;

import java.io.ObjectOutputStream;
import java.io.ObjectStreamClass;
import java.io.OutputStream;

public class CompactObjectOutputStream extends ObjectOutputStream {
    public static final int TYPE_FAT_DESCRIPTOR = 0;
    public static final int TYPE_THIN_DESCRIPTOR = 1;

    public CompactObjectOutputStream(OutputStream outputStream) {
        super(outputStream);
    }

    @Override // java.io.ObjectOutputStream
    public void writeClassDescriptor(ObjectStreamClass objectStreamClass) {
        Class<?> forClass = objectStreamClass.forClass();
        if (forClass.isPrimitive() || forClass.isArray() || forClass.isInterface() || objectStreamClass.getSerialVersionUID() == 0) {
            write(0);
            super.writeClassDescriptor(objectStreamClass);
            return;
        }
        write(1);
        writeUTF(objectStreamClass.getName());
    }

    @Override // java.io.ObjectOutputStream
    public void writeStreamHeader() {
        writeByte(5);
    }
}
