package kotlin.ranges;

import kotlin.jvm.internal.Intrinsics;

/* compiled from: _Ranges.kt */
public abstract class RangesKt___RangesKt {
    public static final long coerceAtMost(long j, long j2) {
        return j > j2 ? j2 : j;
    }

    public static final int coerceIn(int i, int i2, int i3) {
        if (i2 > i3) {
            throw new IllegalArgumentException("Cannot coerce value to an empty range: maximum " + i3 + " is less than minimum " + i2 + '.');
        } else if (i < i2) {
            return i2;
        } else {
            return i > i3 ? i3 : i;
        }
    }

    public static final IntProgression downTo(int i, int i2) {
        return new IntProgression(i, i2, -1);
    }

    public static final IntProgression step(IntProgression intProgression, int i) {
        Intrinsics.checkNotNullParameter(intProgression, "$this$step");
        boolean z = i > 0;
        Integer valueOf = Integer.valueOf(i);
        Intrinsics.checkNotNullParameter(valueOf, "step");
        if (z) {
            int i2 = intProgression.first;
            int i3 = intProgression.last;
            if (intProgression.step <= 0) {
                i = -i;
            }
            return new IntProgression(i2, i3, i);
        }
        throw new IllegalArgumentException("Step must be positive, was: " + valueOf + '.');
    }

    public static final IntRange until(int i, int i2) {
        if (i2 > Integer.MIN_VALUE) {
            return new IntRange(i, i2 - 1);
        }
        IntRange intRange = IntRange.Companion;
        return IntRange.EMPTY;
    }
}
