package kotlin.sequences;

import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import java.util.Iterator;
import java.util.NoSuchElementException;
import kotlin.Result;
import kotlin.Unit;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.CoroutineContext;
import kotlin.coroutines.EmptyCoroutineContext;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: SequenceBuilder.kt */
public final class SequenceBuilderIterator<T> extends SequenceScope<T> implements Iterator<T>, Continuation<Unit> {
    public Continuation<? super Unit> nextStep;
    public T nextValue;
    public int state;

    public final Throwable exceptionalState() {
        int i = this.state;
        if (i == 4) {
            return new NoSuchElementException();
        }
        if (i == 5) {
            return new IllegalStateException("Iterator has failed.");
        }
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("Unexpected state of the iterator: ");
        outline25.append(this.state);
        return new IllegalStateException(outline25.toString());
    }

    @Override // kotlin.coroutines.Continuation
    public CoroutineContext getContext() {
        return EmptyCoroutineContext.INSTANCE;
    }

    public boolean hasNext() {
        while (true) {
            int i = this.state;
            Iterator it = null;
            if (i != 0) {
                if (i == 1) {
                    Intrinsics.checkNotNull(null);
                    if (it.hasNext()) {
                        this.state = 2;
                        return true;
                    }
                } else if (i == 2 || i == 3) {
                    return true;
                } else {
                    if (i == 4) {
                        return false;
                    }
                    throw exceptionalState();
                }
            }
            this.state = 5;
            Continuation<? super Unit> continuation = this.nextStep;
            Intrinsics.checkNotNull(continuation);
            this.nextStep = null;
            continuation.resumeWith(Result.m133constructorimpl(Unit.INSTANCE));
        }
    }

    @Override // java.util.Iterator
    public T next() {
        int i = this.state;
        if (i != 0 && i != 1) {
            Iterator it = null;
            if (i == 2) {
                this.state = 1;
                Intrinsics.checkNotNull(null);
                return (T) it.next();
            } else if (i == 3) {
                this.state = 0;
                T t = this.nextValue;
                this.nextValue = null;
                return t;
            } else {
                throw exceptionalState();
            }
        } else if (hasNext()) {
            return next();
        } else {
            throw new NoSuchElementException();
        }
    }

    public void remove() {
        throw new UnsupportedOperationException("Operation is not supported for read-only collection");
    }

    @Override // kotlin.coroutines.Continuation
    public void resumeWith(Object obj) {
        ViewGroupUtilsApi14.throwOnFailure(obj);
        this.state = 4;
    }
}
