package kotlinx.coroutines;

import com.android.tools.r8.GeneratedOutlineSupport;
import java.util.concurrent.Future;
import kotlin.Unit;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: Future.kt */
public final class CancelFutureOnCancel extends CancelHandler {
    public final Future<?> future;

    public CancelFutureOnCancel(Future<?> future2) {
        Intrinsics.checkParameterIsNotNull(future2, "future");
        this.future = future2;
    }

    @Override // kotlin.jvm.functions.Function1
    public Object invoke(Object obj) {
        Throwable th = (Throwable) obj;
        this.future.cancel(false);
        return Unit.INSTANCE;
    }

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("CancelFutureOnCancel[");
        outline25.append(this.future);
        outline25.append(']');
        return outline25.toString();
    }

    @Override // kotlinx.coroutines.CancelHandler
    public void invoke(Throwable th) {
        this.future.cancel(false);
    }
}
