package kotlinx.coroutines;

import androidx.transition.ViewGroupUtilsApi14;
import java.util.Iterator;
import java.util.List;
import kotlin.coroutines.CoroutineContext;
import kotlin.jvm.internal.Intrinsics;
import kotlin.sequences.SequencesKt;
import net.xfkefu.sdk.retrofit.Retrofit2;

/* compiled from: CoroutineExceptionHandlerImpl.kt */
public abstract class CoroutineExceptionHandlerImplKt {
    public static final List<CoroutineExceptionHandler> handlers;

    static {
        Iterator $load$61017 = C$$ServiceLoaderMethods.$load$61017();
        Intrinsics.checkExpressionValueIsNotNull($load$61017, "ServiceLoader.load(\n    ….classLoader\n).iterator()");
        handlers = SequencesKt.toList(ViewGroupUtilsApi14.asSequence($load$61017));
    }

    public static final void handleCoroutineExceptionImpl(CoroutineContext coroutineContext, Throwable th) {
        Intrinsics.checkParameterIsNotNull(coroutineContext, "context");
        Intrinsics.checkParameterIsNotNull(th, Retrofit2.RESP_CODE_EXCEPTION);
        for (CoroutineExceptionHandler coroutineExceptionHandler : handlers) {
            try {
                coroutineExceptionHandler.handleException(coroutineContext, th);
            } catch (Throwable th2) {
                Thread currentThread = Thread.currentThread();
                Intrinsics.checkExpressionValueIsNotNull(currentThread, "currentThread");
                currentThread.getUncaughtExceptionHandler().uncaughtException(currentThread, ViewGroupUtilsApi14.handlerException(th, th2));
            }
        }
        Thread currentThread2 = Thread.currentThread();
        Intrinsics.checkExpressionValueIsNotNull(currentThread2, "currentThread");
        currentThread2.getUncaughtExceptionHandler().uncaughtException(currentThread2, th);
    }
}
