package kotlinx.coroutines;

import com.android.tools.r8.GeneratedOutlineSupport;
import java.util.concurrent.Future;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: Executors.kt */
public final class DisposableFutureHandle implements DisposableHandle {
    public final Future<?> future;

    public DisposableFutureHandle(Future<?> future2) {
        Intrinsics.checkParameterIsNotNull(future2, "future");
        this.future = future2;
    }

    @Override // kotlinx.coroutines.DisposableHandle
    public void dispose() {
        this.future.cancel(false);
    }

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("DisposableFutureHandle[");
        outline25.append(this.future);
        outline25.append(']');
        return outline25.toString();
    }
}
