package kotlinx.coroutines;

import com.android.tools.r8.GeneratedOutlineSupport;
import kotlin.Unit;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: CancellableContinuation.kt */
public final class DisposeOnCancel extends CancelHandler {
    public final DisposableHandle handle;

    public DisposeOnCancel(DisposableHandle disposableHandle) {
        Intrinsics.checkParameterIsNotNull(disposableHandle, "handle");
        this.handle = disposableHandle;
    }

    @Override // kotlin.jvm.functions.Function1
    public Object invoke(Object obj) {
        Throwable th = (Throwable) obj;
        this.handle.dispose();
        return Unit.INSTANCE;
    }

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("DisposeOnCancel[");
        outline25.append(this.handle);
        outline25.append(']');
        return outline25.toString();
    }

    @Override // kotlinx.coroutines.CancelHandler
    public void invoke(Throwable th) {
        this.handle.dispose();
    }
}
