package kotlinx.coroutines;

import kotlin.TypeCastException;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.Job;

/* compiled from: JobSupport.kt */
public abstract class JobNode<J extends Job> implements DisposableHandle, Incomplete, Function1 {
    public final J job;

    public JobNode(J j) {
        Intrinsics.checkParameterIsNotNull(j, "job");
        this.job = j;
    }

    @Override // kotlinx.coroutines.DisposableHandle
    public void dispose() {
        Object state$kotlinx_coroutines_core;
        J j = this.job;
        if (j != null) {
            JobSupport jobSupport = (JobSupport) j;
            Intrinsics.checkParameterIsNotNull(this, "node");
            do {
                state$kotlinx_coroutines_core = jobSupport.getState$kotlinx_coroutines_core();
                if (state$kotlinx_coroutines_core instanceof JobNode) {
                    if (state$kotlinx_coroutines_core != this) {
                        return;
                    }
                } else if ((state$kotlinx_coroutines_core instanceof Incomplete) && ((Incomplete) state$kotlinx_coroutines_core).getList() != null) {
                    remove();
                    return;
                } else {
                    return;
                }
            } while (!JobSupport._state$FU.compareAndSet(jobSupport, state$kotlinx_coroutines_core, JobSupportKt.EMPTY_ACTIVE));
            return;
        }
        throw new TypeCastException("null cannot be cast to non-null type kotlinx.coroutines.JobSupport");
    }

    @Override // kotlinx.coroutines.Incomplete
    public NodeList getList() {
        return null;
    }

    public abstract void invoke(Throwable th);

    @Override // kotlinx.coroutines.Incomplete
    public boolean isActive() {
        return true;
    }
}
