package kotlinx.coroutines;

import com.android.tools.r8.GeneratedOutlineSupport;
import kotlin.Unit;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.internal.LockFreeLinkedListNode;

/* compiled from: CancellableContinuation.kt */
public final class RemoveOnCancel extends CancelHandler {
    public final LockFreeLinkedListNode node;

    public RemoveOnCancel(LockFreeLinkedListNode lockFreeLinkedListNode) {
        Intrinsics.checkParameterIsNotNull(lockFreeLinkedListNode, "node");
        this.node = lockFreeLinkedListNode;
    }

    @Override // kotlin.jvm.functions.Function1
    public Object invoke(Object obj) {
        Throwable th = (Throwable) obj;
        this.node.remove();
        return Unit.INSTANCE;
    }

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("RemoveOnCancel[");
        outline25.append(this.node);
        outline25.append(']');
        return outline25.toString();
    }

    @Override // kotlinx.coroutines.CancelHandler
    public void invoke(Throwable th) {
        this.node.remove();
    }
}
