package kotlinx.coroutines;

import kotlin.jvm.internal.Intrinsics;

/* compiled from: EventLoop.common.kt */
public abstract class ThreadLocalEventLoop {
    public static final ThreadLocalEventLoop INSTANCE = null;
    public static final ThreadLocal<EventLoopImplPlatform> ref = new ThreadLocal<>();

    public static final EventLoopImplPlatform getEventLoop$kotlinx_coroutines_core() {
        ThreadLocal<EventLoopImplPlatform> threadLocal = ref;
        EventLoopImplPlatform eventLoopImplPlatform = threadLocal.get();
        if (eventLoopImplPlatform != null) {
            return eventLoopImplPlatform;
        }
        Thread currentThread = Thread.currentThread();
        Intrinsics.checkExpressionValueIsNotNull(currentThread, "Thread.currentThread()");
        BlockingEventLoop blockingEventLoop = new BlockingEventLoop(currentThread);
        threadLocal.set(blockingEventLoop);
        return blockingEventLoop;
    }
}
