package kotlinx.coroutines.android;

import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import androidx.transition.ViewGroupUtilsApi14;
import java.lang.reflect.Constructor;
import kotlin.Result;
import kotlin.TypeCastException;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: HandlerDispatcher.kt */
public abstract class HandlerDispatcherKt {
    static {
        Object obj;
        try {
            Looper mainLooper = Looper.getMainLooper();
            Intrinsics.checkExpressionValueIsNotNull(mainLooper, "Looper.getMainLooper()");
            Handler asHandler = asHandler(mainLooper, true);
            Intrinsics.checkParameterIsNotNull(asHandler, "handler");
            obj = Result.m133constructorimpl(new HandlerContext(asHandler, "Main", false));
        } catch (Throwable th) {
            obj = Result.m133constructorimpl(ViewGroupUtilsApi14.createFailure(th));
        }
        if (Result.m138isFailureimpl(obj)) {
            obj = null;
        }
        HandlerContext handlerContext = (HandlerContext) obj;
    }

    public static final Handler asHandler(Looper looper, boolean z) {
        Intrinsics.checkParameterIsNotNull(looper, "$this$asHandler");
        if (!z) {
            return new Handler(looper);
        }
        if (Build.VERSION.SDK_INT >= 28) {
            Object invoke = Handler.class.getDeclaredMethod("createAsync", Looper.class).invoke(null, looper);
            if (invoke != null) {
                return (Handler) invoke;
            }
            throw new TypeCastException("null cannot be cast to non-null type android.os.Handler");
        }
        try {
            Constructor declaredConstructor = Handler.class.getDeclaredConstructor(Looper.class, Handler.Callback.class, Boolean.TYPE);
            Intrinsics.checkExpressionValueIsNotNull(declaredConstructor, "Handler::class.java.getD…:class.javaPrimitiveType)");
            Object newInstance = declaredConstructor.newInstance(looper, null, Boolean.TRUE);
            Intrinsics.checkExpressionValueIsNotNull(newInstance, "constructor.newInstance(this, null, true)");
            return (Handler) newInstance;
        } catch (NoSuchMethodException unused) {
            return new Handler(looper);
        }
    }
}
