package kotlinx.coroutines.channels;

import com.android.tools.r8.GeneratedOutlineSupport;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: Channel.kt */
public final class ValueOrClosed<T> {
    public final Object holder;

    /* compiled from: Channel.kt */
    public final class Closed {
        public final Throwable cause;

        public Closed(Throwable th) {
            this.cause = th;
        }

        public boolean equals(Object obj) {
            return (obj instanceof Closed) && Intrinsics.areEqual(this.cause, ((Closed) obj).cause);
        }

        public int hashCode() {
            Throwable th = this.cause;
            if (th != null) {
                return th.hashCode();
            }
            return 0;
        }

        public String toString() {
            StringBuilder outline25 = GeneratedOutlineSupport.outline25("Closed(");
            outline25.append(this.cause);
            outline25.append(')');
            return outline25.toString();
        }
    }

    public /* synthetic */ ValueOrClosed(Object obj) {
        this.holder = obj;
    }

    public boolean equals(Object obj) {
        return (obj instanceof ValueOrClosed) && Intrinsics.areEqual(this.holder, ((ValueOrClosed) obj).holder);
    }

    public int hashCode() {
        Object obj = this.holder;
        if (obj != null) {
            return obj.hashCode();
        }
        return 0;
    }

    public String toString() {
        Object obj = this.holder;
        if (obj instanceof Closed) {
            return obj.toString();
        }
        return "Value(" + obj + ')';
    }
}
