package kotlinx.coroutines.internal;

import androidx.transition.ViewGroupUtilsApi14;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;
import kotlin.jvm.internal.Intrinsics;
import kotlin.sequences.SequencesKt;
import kotlinx.coroutines.MainCoroutineDispatcher;
import kotlinx.coroutines.android.AndroidDispatcherFactory;

/* compiled from: MainDispatchers.kt */
public final class MainDispatcherLoader {
    public static final boolean FAST_SERVICE_LOADER_ENABLED;
    public static final MainCoroutineDispatcher dispatcher;

    static {
        MainDispatcherLoader mainDispatcherLoader = new MainDispatcherLoader();
        Intrinsics.checkParameterIsNotNull("kotlinx.coroutines.fast.service.loader", "propertyName");
        String systemProp = SystemPropsKt.systemProp("kotlinx.coroutines.fast.service.loader");
        FAST_SERVICE_LOADER_ENABLED = systemProp != null ? Boolean.parseBoolean(systemProp) : true;
        dispatcher = mainDispatcherLoader.loadMainDispatcher();
    }

    public final MainCoroutineDispatcher loadMainDispatcher() {
        Object obj;
        try {
            Iterator $load$61018 = C$$ServiceLoaderMethods.$load$61018();
            Intrinsics.checkExpressionValueIsNotNull($load$61018, "ServiceLoader.load(\n    …             ).iterator()");
            List list = SequencesKt.toList(ViewGroupUtilsApi14.asSequence($load$61018));
            Iterator it = list.iterator();
            if (!it.hasNext()) {
                obj = null;
            } else {
                obj = it.next();
                if (it.hasNext()) {
                    Objects.requireNonNull((AndroidDispatcherFactory) obj);
                    do {
                        Objects.requireNonNull((AndroidDispatcherFactory) it.next());
                    } while (it.hasNext());
                }
            }
            AndroidDispatcherFactory androidDispatcherFactory = (AndroidDispatcherFactory) obj;
            if (androidDispatcherFactory != null) {
                return ViewGroupUtilsApi14.tryCreateDispatcher(androidDispatcherFactory, list);
            }
            return new MissingMainCoroutineDispatcher(null, null, 2);
        } catch (Throwable th) {
            return new MissingMainCoroutineDispatcher(th, null, 2);
        }
    }
}
