package net.lucode.hackware.magicindicator.buildins.commonnavigator.indicators;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.RectF;
import android.view.View;
import java.util.List;
import kotlinx.coroutines.internal.SystemPropsKt;
import net.lucode.hackware.magicindicator.buildins.commonnavigator.abs.IPagerIndicator;
import net.lucode.hackware.magicindicator.buildins.commonnavigator.model.PositionData;

public class TestPagerIndicator extends View implements IPagerIndicator {
    public RectF mInnerRect = new RectF();
    public int mInnerRectColor;
    public RectF mOutRect = new RectF();
    public int mOutRectColor;
    public Paint mPaint;
    public List<PositionData> mPositionDataList;

    public TestPagerIndicator(Context context) {
        super(context);
        init();
    }

    public int getInnerRectColor() {
        return this.mInnerRectColor;
    }

    public int getOutRectColor() {
        return this.mOutRectColor;
    }

    public final void init() {
        Paint paint = new Paint(1);
        this.mPaint = paint;
        paint.setStyle(Paint.Style.STROKE);
        this.mOutRectColor = -65536;
        this.mInnerRectColor = -16711936;
    }

    public void onDraw(Canvas canvas) {
        this.mPaint.setColor(this.mOutRectColor);
        canvas.drawRect(this.mOutRect, this.mPaint);
        this.mPaint.setColor(this.mInnerRectColor);
        canvas.drawRect(this.mInnerRect, this.mPaint);
    }

    @Override // net.lucode.hackware.magicindicator.buildins.commonnavigator.abs.IPagerIndicator
    public void onPageScrollStateChanged(int i) {
    }

    @Override // net.lucode.hackware.magicindicator.buildins.commonnavigator.abs.IPagerIndicator
    public void onPageScrolled(int i, float f, int i2) {
        List<PositionData> list = this.mPositionDataList;
        if (list != null && !list.isEmpty()) {
            PositionData imitativePositionData = SystemPropsKt.getImitativePositionData(this.mPositionDataList, i);
            PositionData imitativePositionData2 = SystemPropsKt.getImitativePositionData(this.mPositionDataList, i + 1);
            RectF rectF = this.mOutRect;
            int i3 = imitativePositionData.mLeft;
            rectF.left = (((float) (imitativePositionData2.mLeft - i3)) * f) + ((float) i3);
            int i4 = imitativePositionData.mTop;
            rectF.top = (((float) (imitativePositionData2.mTop - i4)) * f) + ((float) i4);
            int i5 = imitativePositionData.mRight;
            rectF.right = (((float) (imitativePositionData2.mRight - i5)) * f) + ((float) i5);
            int i6 = imitativePositionData.mBottom;
            rectF.bottom = (((float) (imitativePositionData2.mBottom - i6)) * f) + ((float) i6);
            RectF rectF2 = this.mInnerRect;
            int i7 = imitativePositionData.mContentLeft;
            rectF2.left = (((float) (imitativePositionData2.mContentLeft - i7)) * f) + ((float) i7);
            int i8 = imitativePositionData.mContentTop;
            rectF2.top = (((float) (imitativePositionData2.mContentTop - i8)) * f) + ((float) i8);
            int i9 = imitativePositionData.mContentRight;
            rectF2.right = (((float) (imitativePositionData2.mContentRight - i9)) * f) + ((float) i9);
            int i10 = imitativePositionData.mContentBottom;
            rectF2.bottom = (((float) (imitativePositionData2.mContentBottom - i10)) * f) + ((float) i10);
            invalidate();
        }
    }

    @Override // net.lucode.hackware.magicindicator.buildins.commonnavigator.abs.IPagerIndicator
    public void onPageSelected(int i) {
    }

    @Override // net.lucode.hackware.magicindicator.buildins.commonnavigator.abs.IPagerIndicator
    public void onPositionDataProvide(List<PositionData> list) {
        this.mPositionDataList = list;
    }

    public void setInnerRectColor(int i) {
        this.mInnerRectColor = i;
    }

    public void setOutRectColor(int i) {
        this.mOutRectColor = i;
    }
}
