package net.xfkefu.sdk.a;

import android.content.Context;
import android.content.res.AssetFileDescriptor;
import android.content.res.Resources;
import android.media.MediaPlayer;
import android.media.RingtoneManager;
import java.io.IOException;

public class RingHelper {
    private static final String TAG = "RingHelper";
    private static MediaPlayer mediaPlayer = null;
    private static boolean playing = false;

    public static void play(Context context, int i, boolean z) {
        XfLog.debug(TAG, "play 1");
        if (z) {
            playing = false;
        }
        play(context, i);
    }

    public static void play(Context context, int i) {
        String str = TAG;
        XfLog.debug(str, "play 2");
        if (!playing) {
            XfLog.debug(str, "play 3");
            playing = true;
            if (i == 0) {
                RingtoneManager.getRingtone(context, RingtoneManager.getDefaultUri(2)).play();
                playing = false;
                return;
            }
            try {
                MediaPlayer mediaPlayer2 = mediaPlayer;
                if (mediaPlayer2 == null) {
                    MediaPlayer mediaPlayer3 = new MediaPlayer();
                    mediaPlayer = mediaPlayer3;
                    mediaPlayer3.setAudioStreamType(5);
                    mediaPlayer.setOnCompletionListener(new MediaPlayer.OnCompletionListener() {
                        /* class net.xfkefu.sdk.a.RingHelper.AnonymousClass1 */

                        public void onCompletion(MediaPlayer mediaPlayer) {
                            XfLog.debug(RingHelper.TAG, "onCompletion");
                            mediaPlayer.seekTo(0);
                            boolean unused = RingHelper.playing = false;
                        }
                    });
                    mediaPlayer.setOnErrorListener(new MediaPlayer.OnErrorListener() {
                        /* class net.xfkefu.sdk.a.RingHelper.AnonymousClass2 */

                        public boolean onError(MediaPlayer mediaPlayer, int i, int i2) {
                            XfLog.debug(RingHelper.TAG, "onError");
                            boolean unused = RingHelper.playing = false;
                            return true;
                        }
                    });
                } else {
                    mediaPlayer2.reset();
                }
                Resources resources = context.getResources();
                AssetFileDescriptor openRawResourceFd = context.getResources().openRawResourceFd(resources.getIdentifier("ring_" + i, "raw", context.getPackageName()));
                mediaPlayer.setDataSource(openRawResourceFd.getFileDescriptor(), openRawResourceFd.getStartOffset(), openRawResourceFd.getLength());
                openRawResourceFd.close();
                mediaPlayer.prepare();
                mediaPlayer.start();
            } catch (IOException e) {
                XfLog.error(TAG, e.getMessage());
                playing = false;
            }
        }
    }
}
