package net.xfkefu.sdk.adapter;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import java.util.ArrayList;
import java.util.List;
import net.xfkefu.sdk.R;
import net.xfkefu.sdk.entity.QuestionAnswer;

public class QuestionListViewAdapter extends BaseAdapter {
    private final Activity activity;
    private List<QuestionAnswer> dataList = new ArrayList();

    public static class ViewHolder {
        public TextView tvProblem;
    }

    public QuestionListViewAdapter(Activity activity2) {
        this.activity = activity2;
    }

    public int getCount() {
        List<QuestionAnswer> list = this.dataList;
        if (list == null) {
            return 0;
        }
        return list.size();
    }

    public long getItemId(int i) {
        return (long) i;
    }

    public View getView(int i, View view, ViewGroup viewGroup) {
        ViewHolder viewHolder;
        if (view == null) {
            view = LayoutInflater.from(this.activity).inflate(R.layout.kefu_item_common_problem, viewGroup, false);
            viewHolder = new ViewHolder();
            viewHolder.tvProblem = (TextView) view.findViewById(R.id.tv_problem);
            view.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) view.getTag();
        }
        viewHolder.tvProblem.setText(getItem(i).question);
        return view;
    }

    public void setData(List<QuestionAnswer> list) {
        this.dataList = list;
        notifyDataSetChanged();
    }

    public QuestionAnswer getItem(int i) {
        return this.dataList.get(i);
    }
}
