package net.xfkefu.sdk.dialog;

import android.app.Activity;
import android.graphics.drawable.ColorDrawable;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import android.widget.RatingBar;
import android.widget.TextView;
import androidx.appcompat.widget.AppCompatEditText;
import androidx.fragment.app.FragmentManager;
import net.xfkefu.sdk.R;
import net.xfkefu.sdk.a.XfStoreMerchant;
import net.xfkefu.sdk.a.XfToast;
import net.xfkefu.sdk.a.Z;
import net.xfkefu.sdk.dialog.AppraiseDialog;
import net.xfkefu.sdk.entity.KefuInfo;
import net.xfkefu.sdk.model.AppraiseModel;
import net.xfkefu.sdk.retrofit.ApiCallback;

public class AppraiseDialog extends BaseDialogFragment {
    private static final String TAG = AppraiseDialog.class.getSimpleName();
    private final KefuInfo staffInfo;

    public AppraiseDialog(Activity activity, KefuInfo kefuInfo) {
        super(activity);
        this.staffInfo = kefuInfo;
    }

    private void initView(final View view) {
        ((TextView) view.findViewById(R.id.tv_title)).setText(getString(R.string.kefu_rating_a, this.staffInfo.name));
        final RatingBar ratingBar = (RatingBar) view.findViewById(R.id.rating_bar);
        final AppCompatEditText appCompatEditText = (AppCompatEditText) view.findViewById(R.id.et_content);
        view.findViewById(R.id.btn_submit).setOnClickListener(new View.OnClickListener() {
            /* class net.xfkefu.sdk.dialog.AppraiseDialog.AnonymousClass1 */

            public void onClick(View view) {
                float rating = ratingBar.getRating();
                new AppraiseModel().submit(Z.MERCHANT_ID, XfStoreMerchant.getString(XfStoreMerchant.USER_INFO), AppraiseDialog.this.staffInfo.id, (int) rating, appCompatEditText.getText().toString(), new ApiCallback<String>() {
                    /* class net.xfkefu.sdk.dialog.AppraiseDialog.AnonymousClass1.AnonymousClass1 */

                    @Override // net.xfkefu.sdk.retrofit.ApiCallback
                    public void onFailed(String str, String str2) {
                        view.post(new Runnable(str2) {
                            /* class net.xfkefu.sdk.dialog.$$Lambda$AppraiseDialog$1$1$q4701DrUxcqGu8fR3Y06bDnApwg */
                            public final /* synthetic */ String f$1;

                            {
                                this.f$1 = r2;
                            }

                            public final void run() {
                                AppraiseDialog.AnonymousClass1.AnonymousClass1 r0 = AppraiseDialog.AnonymousClass1.AnonymousClass1.this;
                                XfToast.show(AppraiseDialog.this.activity, this.f$1);
                            }
                        });
                    }

                    public void onSuccess(String str) {
                        AppraiseDialog.this.dismiss();
                        view.post(new Runnable() {
                            /* class net.xfkefu.sdk.dialog.$$Lambda$AppraiseDialog$1$1$9hAqSLxNbOm0ah8uVos9AnxmuRw */

                            public final void run() {
                                XfToast.show(AppraiseDialog.this.activity, R.string.kefu_rating_true);
                            }
                        });
                    }
                });
            }
        });
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        View inflate = LayoutInflater.from(this.activity).inflate(R.layout.kefu_dialog_rating, viewGroup, false);
        initView(inflate);
        return inflate;
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onStart() {
        super.onStart();
        Window window = getDialog().getWindow();
        window.setBackgroundDrawable(new ColorDrawable(0));
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.gravity = 17;
        attributes.width = -1;
        attributes.height = -2;
        window.setAttributes(attributes);
    }

    public void show(FragmentManager fragmentManager) {
        super.show(fragmentManager, TAG);
    }
}
