package net.xfkefu.sdk.encrypt;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;
import javax.crypto.Cipher;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import net.xfkefu.sdk.retrofit.Retrofit2;

public class CryptLib {
    public Cipher _cx = Cipher.getInstance("AES/CBC/PKCS5Padding");
    public byte[] _iv = new byte[16];
    public byte[] _key = new byte[32];

    public enum EncryptMode {
        ENCRYPT,
        DECRYPT
    }

    public static String SHA256(String str, int i) {
        MessageDigest instance = MessageDigest.getInstance("SHA-256");
        instance.update(str.getBytes("UTF-8"));
        byte[] digest = instance.digest();
        StringBuffer stringBuffer = new StringBuffer();
        int length = digest.length;
        for (int i2 = 0; i2 < length; i2++) {
            stringBuffer.append(String.format("%02x", Byte.valueOf(digest[i2])));
        }
        if (i > stringBuffer.toString().length()) {
            return stringBuffer.toString();
        }
        return stringBuffer.toString().substring(0, i);
    }

    private String encryptDecrypt(String str, String str2, EncryptMode encryptMode, String str3) {
        String str4;
        int length = str2.getBytes("UTF-8").length;
        int length2 = str2.getBytes("UTF-8").length;
        byte[] bArr = this._key;
        if (length2 > bArr.length) {
            length = bArr.length;
        }
        int length3 = str3.getBytes("UTF-8").length;
        int length4 = str3.getBytes("UTF-8").length;
        byte[] bArr2 = this._iv;
        if (length4 > bArr2.length) {
            length3 = bArr2.length;
        }
        System.arraycopy(str2.getBytes("UTF-8"), 0, this._key, 0, length);
        System.arraycopy(str3.getBytes("UTF-8"), 0, this._iv, 0, length3);
        SecretKeySpec secretKeySpec = new SecretKeySpec(this._key, "AES");
        IvParameterSpec ivParameterSpec = new IvParameterSpec(this._iv);
        if (encryptMode.equals(EncryptMode.ENCRYPT)) {
            this._cx.init(1, secretKeySpec, ivParameterSpec);
            str4 = Base64Utils.encode(this._cx.doFinal(str.getBytes("UTF-8")));
        } else {
            str4 = "";
        }
        if (encryptMode.equals(EncryptMode.DECRYPT)) {
            this._cx.init(2, secretKeySpec, ivParameterSpec);
            str4 = new String(this._cx.doFinal(Base64Utils.decode(str)));
        }
        System.out.println(str4);
        return str4;
    }

    public static String generateRandomIV(int i) {
        byte[] bArr = new byte[16];
        new SecureRandom().nextBytes(bArr);
        StringBuffer stringBuffer = new StringBuffer();
        for (int i2 = 0; i2 < 16; i2++) {
            stringBuffer.append(String.format("%02x", Byte.valueOf(bArr[i2])));
        }
        if (i > stringBuffer.toString().length()) {
            return stringBuffer.toString();
        }
        return stringBuffer.toString().substring(0, i);
    }

    public static final String md5(String str) {
        try {
            MessageDigest instance = MessageDigest.getInstance("MD5");
            instance.update(str.getBytes());
            byte[] digest = instance.digest();
            StringBuilder sb = new StringBuilder();
            for (byte b : digest) {
                String hexString = Integer.toHexString(b & 255);
                while (hexString.length() < 2) {
                    hexString = Retrofit2.RESP_CODE_SUCCESS + hexString;
                }
                sb.append(hexString);
            }
            return sb.toString();
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
            return "";
        }
    }

    public String decrypt(String str, String str2, String str3) {
        return encryptDecrypt(str, str2, EncryptMode.DECRYPT, str3);
    }

    public String encrypt(String str, String str2, String str3) {
        return encryptDecrypt(str, str2, EncryptMode.ENCRYPT, str3);
    }
}
