package net.xfkefu.sdk.model;

import android.database.sqlite.SQLiteConstraintException;
import com.allpayx.sdk.constants.AllPayConst;
import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.UUID;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt__IndentKt;
import net.xfkefu.sdk.a.DateHelper;
import net.xfkefu.sdk.a.XfLog;
import net.xfkefu.sdk.entity.ChatMessage;
import net.xfkefu.sdk.entity.XfImage;
import net.xfkefu.sdk.retrofit.A;
import net.xfkefu.sdk.retrofit.ApiCallback;
import net.xfkefu.sdk.retrofit.ApiService;
import net.xfkefu.sdk.retrofit.Retrofit2;
import net.xfkefu.sdk.room.XfDB;
import okhttp3.Headers;
import okhttp3.MediaType;
import okhttp3.MultipartBody;
import okhttp3.Request;
import okhttp3.RequestBody$Companion$asRequestBody$1;
import okhttp3.Response;
import okhttp3.internal.Util;
import okhttp3.internal.connection.RealCall;
import okio.ByteString;
import org.json.JSONException;
import org.json.JSONObject;

public class ChatMessageModel extends _Model {
    private static final String TAG = "ChatMessageModel";

    public boolean dbAddChatMessage(ChatMessage chatMessage) {
        try {
            XfDB.getInstance().chatMsgDao().insert(chatMessage);
            return true;
        } catch (SQLiteConstraintException e) {
            XfLog.error(TAG, e.getMessage());
            return false;
        }
    }

    public boolean dbDeleteByRoomCode(String str) {
        return XfDB.getInstance().chatMsgDao().deleteByRoomCode(str) > 0;
    }

    public boolean dbDeleteByRoomCodeUser(String str, long j) {
        return XfDB.getInstance().chatMsgDao().deleteByRoomUser(str, j) > 0;
    }

    public boolean dbDeleteByUUID(String str) {
        return XfDB.getInstance().chatMsgDao().deleteByUUID(str) > 0;
    }

    public List<ChatMessage> dbGetBurnMessage() {
        if (XfDB.getInstance() != null) {
            return XfDB.getInstance().chatMsgDao().listByBurn(DateHelper.currentTimeMillis());
        }
        return new ArrayList();
    }

    public List<ChatMessage> dbGetByKeyword(String str) {
        if (str == null || "".equals(str)) {
            return XfDB.getInstance().chatMsgDao().listAll();
        }
        return XfDB.getInstance().chatMsgDao().listByKeyword(str);
    }

    public ChatMessage dbGetByMsgId(long j) {
        return XfDB.getInstance().chatMsgDao().getByMsgId(j);
    }

    public List<ChatMessage> dbGetByRoom(String str) {
        return XfDB.getInstance().chatMsgDao().listByRoom(str);
    }

    public List<ChatMessage> dbGetByRoomNew(String str, long j) {
        return XfDB.getInstance().chatMsgDao().listByRoomNew(str, j);
    }

    public ChatMessage dbGetBySequence(long j) {
        return XfDB.getInstance().chatMsgDao().getBySequence(j);
    }

    public ChatMessage dbGetByUUID(String str) {
        return XfDB.getInstance().chatMsgDao().getByUUID(str);
    }

    public boolean dbUpdateContentBySequence(long j, String str) {
        return XfDB.getInstance().chatMsgDao().updateContent(j, str) > 0;
    }

    public boolean dbUpdateMsgId(String str, long j, int i) {
        return XfDB.getInstance().chatMsgDao().updateMsgId(str, j, i) > 0;
    }

    public boolean dbUpdateSendTimes(long j, int i) {
        return XfDB.getInstance().chatMsgDao().updateSendTimes(j, i) > 0;
    }

    public boolean dbUpdateStatus(long j, int i) {
        return XfDB.getInstance().chatMsgDao().updateStatus(j, i) > 0;
    }

    public void httpAsyncUploadAudio(String str, ApiCallback<String> apiCallback) {
    }

    public void httpAsyncUploadImage(String str, ApiCallback<XfImage> apiCallback) {
    }

    public void httpAsyncUploadVideo(String str, ApiCallback<String> apiCallback) {
    }

    public String httpSyncUploadAudio(String str) {
        return null;
    }

    public XfImage httpSyncUploadImage(String str) {
        String uuid = UUID.randomUUID().toString();
        Intrinsics.checkNotNullExpressionValue(uuid, "UUID.randomUUID().toString()");
        Intrinsics.checkNotNullParameter(uuid, "boundary");
        ByteString encodeUtf8 = ByteString.Companion.encodeUtf8(uuid);
        MediaType mediaType = MultipartBody.MIXED;
        ArrayList arrayList = new ArrayList();
        MediaType mediaType2 = MultipartBody.FORM;
        Intrinsics.checkNotNullParameter(mediaType2, "type");
        if (Intrinsics.areEqual(mediaType2.type, "multipart")) {
            File file = new File(str);
            MediaType parse = MediaType.parse("image/png");
            Intrinsics.checkNotNullParameter(file, "$this$asRequestBody");
            RequestBody$Companion$asRequestBody$1 requestBody$Companion$asRequestBody$1 = new RequestBody$Companion$asRequestBody$1(file, parse);
            String name = file.getName();
            Intrinsics.checkNotNullParameter("file", VpnProfileDataSource.KEY_NAME);
            Intrinsics.checkNotNullParameter(requestBody$Companion$asRequestBody$1, "body");
            Intrinsics.checkNotNullParameter("file", VpnProfileDataSource.KEY_NAME);
            Intrinsics.checkNotNullParameter(requestBody$Companion$asRequestBody$1, "body");
            StringBuilder sb = new StringBuilder();
            sb.append("form-data; name=");
            MultipartBody.Companion companion = MultipartBody.Companion;
            companion.appendQuotedString$okhttp(sb, "file");
            if (name != null) {
                sb.append("; filename=");
                companion.appendQuotedString$okhttp(sb, name);
            }
            String sb2 = sb.toString();
            Intrinsics.checkNotNullExpressionValue(sb2, "StringBuilder().apply(builderAction).toString()");
            ArrayList arrayList2 = new ArrayList(20);
            Intrinsics.checkNotNullParameter("Content-Disposition", VpnProfileDataSource.KEY_NAME);
            Intrinsics.checkNotNullParameter(sb2, "value");
            boolean z = false;
            for (int i = 0; i < 19; i++) {
                char charAt = "Content-Disposition".charAt(i);
                if (!('!' <= charAt && '~' >= charAt)) {
                    throw new IllegalArgumentException(Util.format("Unexpected char %#04x at %d in header name: %s", Integer.valueOf(charAt), Integer.valueOf(i), "Content-Disposition").toString());
                }
            }
            Intrinsics.checkNotNullParameter("Content-Disposition", VpnProfileDataSource.KEY_NAME);
            Intrinsics.checkNotNullParameter(sb2, "value");
            arrayList2.add("Content-Disposition");
            arrayList2.add(StringsKt__IndentKt.trim(sb2).toString());
            Object[] array = arrayList2.toArray(new String[0]);
            Objects.requireNonNull(array, "null cannot be cast to non-null type kotlin.Array<T>");
            Headers headers = new Headers((String[]) array, null);
            Intrinsics.checkNotNullParameter(requestBody$Companion$asRequestBody$1, "body");
            if (headers.get("Content-Type") == null) {
                if (headers.get("Content-Length") == null) {
                    z = true;
                }
                if (z) {
                    MultipartBody.Part part = new MultipartBody.Part(headers, requestBody$Companion$asRequestBody$1, null);
                    Intrinsics.checkNotNullParameter(part, "part");
                    arrayList.add(part);
                    if (!arrayList.isEmpty()) {
                        MultipartBody multipartBody = new MultipartBody(encodeUtf8, mediaType2, Util.toImmutableList(arrayList));
                        Request.Builder builder = new Request.Builder();
                        builder.url(A.BASE_URL_API + ApiService.chatMessageImageUpload);
                        builder.post(multipartBody);
                        try {
                            Response execute = ((RealCall) Retrofit2.httpClient().newCall(builder.build())).execute();
                            if (execute.isSuccessful()) {
                                JSONObject jSONObject = new JSONObject(execute.body.string());
                                if (jSONObject.getBoolean(AllPayConst.VTPAY_PAY_RESULT_SUCCESS)) {
                                    JSONObject jSONObject2 = jSONObject.getJSONObject("data");
                                    XfImage xfImage = new XfImage();
                                    xfImage.name = getString(jSONObject2, VpnProfileDataSource.KEY_NAME);
                                    xfImage.suffix = getString(jSONObject2, "suffix");
                                    xfImage.md5 = getString(jSONObject2, "md5");
                                    xfImage.path = getString(jSONObject2, "path");
                                    xfImage.url = getString(jSONObject2, "url");
                                    xfImage.size = getLong(jSONObject2, "size");
                                    return xfImage;
                                }
                            }
                            return null;
                        } catch (IOException | JSONException e) {
                            e.printStackTrace();
                            return null;
                        }
                    } else {
                        throw new IllegalStateException("Multipart body must have at least one part.".toString());
                    }
                } else {
                    throw new IllegalArgumentException("Unexpected header: Content-Length".toString());
                }
            } else {
                throw new IllegalArgumentException("Unexpected header: Content-Type".toString());
            }
        } else {
            throw new IllegalArgumentException(("multipart != " + mediaType2).toString());
        }
    }

    public String httpSyncUploadVideo(String str) {
        return null;
    }

    public boolean dbUpdateStatus(String str, int i) {
        return XfDB.getInstance().chatMsgDao().updateStatus(str, i) > 0;
    }
}
