package net.xfkefu.sdk.model;

import com.allpayx.sdk.constants.AllPayConst;
import com.android.tools.r8.GeneratedOutlineSupport;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Objects;
import net.xfkefu.sdk.a.XfLog;
import net.xfkefu.sdk.entity.CommonProblem;
import net.xfkefu.sdk.entity.MerchantInfo;
import net.xfkefu.sdk.entity.MerchantSetting;
import net.xfkefu.sdk.retrofit.A;
import net.xfkefu.sdk.retrofit.ApiCallback;
import net.xfkefu.sdk.retrofit.ApiService;
import net.xfkefu.sdk.retrofit.Retrofit2;
import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;
import okhttp3.ResponseBody;
import okhttp3.internal.connection.RealCall;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class MerchantModel extends _Model {
    private static final String TAG = "MerchantModel";

    public void getCommonProblem(final ApiCallback<List<CommonProblem>> apiCallback) {
        RequestBody create = RequestBody.create(new JSONObject().toString(), Retrofit2.MEDIA_TYPE_JSON);
        Request.Builder builder = new Request.Builder();
        builder.url(A.BASE_URL_API + ApiService.commonProblemQueryAll);
        builder.post(create);
        ((RealCall) Retrofit2.httpClient().newCall(builder.build())).enqueue(new Callback() {
            /* class net.xfkefu.sdk.model.MerchantModel.AnonymousClass4 */

            private List<CommonProblem> fetchChild(JSONArray jSONArray) {
                ArrayList arrayList = new ArrayList();
                if (jSONArray == null) {
                    return arrayList;
                }
                int length = jSONArray.length();
                for (int i = 0; i < length; i++) {
                    JSONObject jSONObject = jSONArray.getJSONObject(i);
                    CommonProblem commonProblem = new CommonProblem();
                    commonProblem.id = MerchantModel.this.getLong(jSONObject, "id");
                    commonProblem.parentId = MerchantModel.this.getLong(jSONObject, "fatherId");
                    commonProblem.question = MerchantModel.this.getString(jSONObject, "questionName");
                    commonProblem.content = MerchantModel.this.getString(jSONObject, "content");
                    commonProblem.icon = MerchantModel.this.getString(jSONObject, "icon");
                    commonProblem.link = MerchantModel.this.getString(jSONObject, "link");
                    boolean z = MerchantModel.this.getBoolean(jSONObject, "hasChild");
                    commonProblem.hasChild = z;
                    if (z) {
                        commonProblem.childs = fetchChild(MerchantModel.this.getJSONArray(jSONObject, "childs"));
                    }
                    arrayList.add(commonProblem);
                }
                return arrayList;
            }

            @Override // okhttp3.Callback
            public void onFailure(Call call, IOException iOException) {
                String str = MerchantModel.TAG;
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("onResponse: code=");
                outline25.append(iOException.getMessage());
                XfLog.debug(str, outline25.toString());
                ApiCallback apiCallback = apiCallback;
                if (apiCallback != null) {
                    apiCallback.onFailed(Retrofit2.RESP_CODE_EXCEPTION, iOException.getMessage());
                }
            }

            @Override // okhttp3.Callback
            public void onResponse(Call call, Response response) {
                String str = MerchantModel.TAG;
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("onResponse: code=");
                outline25.append(response.code);
                XfLog.debug(str, outline25.toString());
                if (response.isSuccessful()) {
                    try {
                        ResponseBody responseBody = response.body;
                        Objects.requireNonNull(responseBody);
                        JSONObject jSONObject = new JSONObject(responseBody.string());
                        if (jSONObject.getBoolean(AllPayConst.VTPAY_PAY_RESULT_SUCCESS)) {
                            JSONArray jSONArray = jSONObject.getJSONObject("data").getJSONArray("commonProblemVOS");
                            ArrayList arrayList = new ArrayList();
                            int length = jSONArray.length();
                            for (int i = 0; i < length; i++) {
                                JSONObject jSONObject2 = jSONArray.getJSONObject(i);
                                CommonProblem commonProblem = new CommonProblem();
                                commonProblem.id = MerchantModel.this.getLong(jSONObject2, "id");
                                commonProblem.parentId = MerchantModel.this.getLong(jSONObject2, "fatherId");
                                commonProblem.question = MerchantModel.this.getString(jSONObject2, "questionName");
                                commonProblem.content = MerchantModel.this.getString(jSONObject2, "content");
                                commonProblem.icon = MerchantModel.this.getString(jSONObject2, "icon");
                                commonProblem.link = MerchantModel.this.getString(jSONObject2, "link");
                                boolean z = MerchantModel.this.getBoolean(jSONObject2, "hasChild");
                                commonProblem.hasChild = z;
                                if (z) {
                                    commonProblem.childs = fetchChild(MerchantModel.this.getJSONArray(jSONObject2, "childs"));
                                }
                                arrayList.add(commonProblem);
                            }
                            ApiCallback apiCallback = apiCallback;
                            if (apiCallback != null) {
                                apiCallback.onSuccess(arrayList);
                                return;
                            }
                            return;
                        }
                        ApiCallback apiCallback2 = apiCallback;
                        if (apiCallback2 != null) {
                            apiCallback2.onFailed(jSONObject.getString("code"), jSONObject.getString("msg"));
                        }
                    } catch (IOException | JSONException e) {
                        ApiCallback apiCallback3 = apiCallback;
                        if (apiCallback3 != null) {
                            apiCallback3.onFailed(Retrofit2.RESP_CODE_EXCEPTION, e.getMessage());
                        }
                    }
                }
            }
        });
    }

    public void getInfo(String str, final ApiCallback<MerchantInfo> apiCallback) {
        HashMap hashMap = new HashMap();
        hashMap.put("data", str);
        RequestBody create = RequestBody.create(new JSONObject(hashMap).toString(), Retrofit2.MEDIA_TYPE_JSON);
        Request.Builder builder = new Request.Builder();
        builder.url(A.BASE_URL_API + ApiService.merchantInfo);
        builder.post(create);
        ((RealCall) Retrofit2.httpClient().newCall(builder.build())).enqueue(new Callback() {
            /* class net.xfkefu.sdk.model.MerchantModel.AnonymousClass1 */

            @Override // okhttp3.Callback
            public void onFailure(Call call, IOException iOException) {
                String str = MerchantModel.TAG;
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("onResponse: code=");
                outline25.append(iOException.getMessage());
                XfLog.debug(str, outline25.toString());
                ApiCallback apiCallback = apiCallback;
                if (apiCallback != null) {
                    apiCallback.onFailed(Retrofit2.RESP_CODE_EXCEPTION, iOException.getMessage());
                }
            }

            @Override // okhttp3.Callback
            public void onResponse(Call call, Response response) {
                String str = MerchantModel.TAG;
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("onResponse: code=");
                outline25.append(response.code);
                XfLog.debug(str, outline25.toString());
                if (response.isSuccessful()) {
                    try {
                        ResponseBody responseBody = response.body;
                        Objects.requireNonNull(responseBody);
                        JSONObject jSONObject = new JSONObject(responseBody.string());
                        if (jSONObject.getBoolean(AllPayConst.VTPAY_PAY_RESULT_SUCCESS)) {
                            JSONObject jSONObject2 = jSONObject.getJSONObject("data");
                            MerchantInfo merchantInfo = new MerchantInfo();
                            merchantInfo.merchantId = MerchantModel.this.getLong(jSONObject2, "merchantId");
                            merchantInfo.merchantName = MerchantModel.this.getString(jSONObject2, "merchantName");
                            merchantInfo.icon = MerchantModel.this.getString(jSONObject2, "icon");
                            merchantInfo.dataCenterId = MerchantModel.this.getLong(jSONObject2, "datacenterId");
                            merchantInfo.meetWord = MerchantModel.this.getString(jSONObject2, "meetWord");
                            ApiCallback apiCallback = apiCallback;
                            if (apiCallback != null) {
                                apiCallback.onSuccess(merchantInfo);
                                return;
                            }
                            return;
                        }
                        ApiCallback apiCallback2 = apiCallback;
                        if (apiCallback2 != null) {
                            apiCallback2.onFailed(jSONObject.getString("code"), jSONObject.getString("msg"));
                        }
                    } catch (IOException | JSONException e) {
                        ApiCallback apiCallback3 = apiCallback;
                        if (apiCallback3 != null) {
                            apiCallback3.onFailed(Retrofit2.RESP_CODE_EXCEPTION, e.getMessage());
                        }
                    }
                }
            }
        });
    }

    public void getSettingByMchId(long j, final ApiCallback<MerchantSetting> apiCallback) {
        HashMap hashMap = new HashMap();
        hashMap.put("data", j + "");
        RequestBody create = RequestBody.create(new JSONObject(hashMap).toString(), Retrofit2.MEDIA_TYPE_JSON);
        Request.Builder builder = new Request.Builder();
        builder.url(A.BASE_URL_API + ApiService.merchantSettingByMchId);
        builder.post(create);
        ((RealCall) Retrofit2.httpClient().newCall(builder.build())).enqueue(new Callback() {
            /* class net.xfkefu.sdk.model.MerchantModel.AnonymousClass2 */

            @Override // okhttp3.Callback
            public void onFailure(Call call, IOException iOException) {
                String str = MerchantModel.TAG;
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("onResponse: code=");
                outline25.append(iOException.getMessage());
                XfLog.debug(str, outline25.toString());
                ApiCallback apiCallback = apiCallback;
                if (apiCallback != null) {
                    apiCallback.onFailed(Retrofit2.RESP_CODE_EXCEPTION, iOException.getMessage());
                }
            }

            @Override // okhttp3.Callback
            public void onResponse(Call call, Response response) {
                String str = MerchantModel.TAG;
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("onResponse: code=");
                outline25.append(response.code);
                XfLog.debug(str, outline25.toString());
                if (response.isSuccessful()) {
                    try {
                        ResponseBody responseBody = response.body;
                        Objects.requireNonNull(responseBody);
                        JSONObject jSONObject = new JSONObject(responseBody.string());
                        if (jSONObject.getBoolean(AllPayConst.VTPAY_PAY_RESULT_SUCCESS)) {
                            JSONObject jSONObject2 = jSONObject.getJSONObject("data");
                            MerchantSetting merchantSetting = new MerchantSetting();
                            merchantSetting.rate = MerchantModel.this.getBoolean(jSONObject2, "rate");
                            ApiCallback apiCallback = apiCallback;
                            if (apiCallback != null) {
                                apiCallback.onSuccess(merchantSetting);
                                return;
                            }
                            return;
                        }
                        ApiCallback apiCallback2 = apiCallback;
                        if (apiCallback2 != null) {
                            apiCallback2.onFailed(jSONObject.getString("code"), jSONObject.getString("msg"));
                        }
                    } catch (IOException | JSONException e) {
                        ApiCallback apiCallback3 = apiCallback;
                        if (apiCallback3 != null) {
                            apiCallback3.onFailed(Retrofit2.RESP_CODE_EXCEPTION, e.getMessage());
                        }
                    }
                }
            }
        });
    }

    public void getSettingByMchKey(String str, final ApiCallback<MerchantSetting> apiCallback) {
        HashMap hashMap = new HashMap();
        hashMap.put("data", str);
        RequestBody create = RequestBody.create(new JSONObject(hashMap).toString(), Retrofit2.MEDIA_TYPE_JSON);
        Request.Builder builder = new Request.Builder();
        builder.url(A.BASE_URL_API + ApiService.merchantSettingByMchKey);
        builder.post(create);
        ((RealCall) Retrofit2.httpClient().newCall(builder.build())).enqueue(new Callback() {
            /* class net.xfkefu.sdk.model.MerchantModel.AnonymousClass3 */

            @Override // okhttp3.Callback
            public void onFailure(Call call, IOException iOException) {
                String str = MerchantModel.TAG;
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("onResponse: code=");
                outline25.append(iOException.getMessage());
                XfLog.debug(str, outline25.toString());
                ApiCallback apiCallback = apiCallback;
                if (apiCallback != null) {
                    apiCallback.onFailed(Retrofit2.RESP_CODE_EXCEPTION, iOException.getMessage());
                }
            }

            @Override // okhttp3.Callback
            public void onResponse(Call call, Response response) {
                String str = MerchantModel.TAG;
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("onResponse: code=");
                outline25.append(response.code);
                XfLog.debug(str, outline25.toString());
                if (response.isSuccessful()) {
                    try {
                        ResponseBody responseBody = response.body;
                        Objects.requireNonNull(responseBody);
                        JSONObject jSONObject = new JSONObject(responseBody.string());
                        if (jSONObject.getBoolean(AllPayConst.VTPAY_PAY_RESULT_SUCCESS)) {
                            JSONObject jSONObject2 = jSONObject.getJSONObject("data");
                            MerchantSetting merchantSetting = new MerchantSetting();
                            merchantSetting.rate = MerchantModel.this.getBoolean(jSONObject2, "rate");
                            ApiCallback apiCallback = apiCallback;
                            if (apiCallback != null) {
                                apiCallback.onSuccess(merchantSetting);
                                return;
                            }
                            return;
                        }
                        ApiCallback apiCallback2 = apiCallback;
                        if (apiCallback2 != null) {
                            apiCallback2.onFailed(jSONObject.getString("code"), jSONObject.getString("msg"));
                        }
                    } catch (IOException | JSONException e) {
                        ApiCallback apiCallback3 = apiCallback;
                        if (apiCallback3 != null) {
                            apiCallback3.onFailed(Retrofit2.RESP_CODE_EXCEPTION, e.getMessage());
                        }
                    }
                }
            }
        });
    }

    public MerchantInfo getInfo(String str) {
        try {
            HashMap hashMap = new HashMap();
            hashMap.put("data", str);
            RequestBody create = RequestBody.create(new JSONObject(hashMap).toString(), Retrofit2.MEDIA_TYPE_JSON);
            Request.Builder builder = new Request.Builder();
            builder.url(A.BASE_URL_API + ApiService.merchantInfo);
            builder.post(create);
            Response execute = ((RealCall) Retrofit2.httpClient().newCall(builder.build())).execute();
            if (!execute.isSuccessful()) {
                return null;
            }
            ResponseBody responseBody = execute.body;
            Objects.requireNonNull(responseBody);
            JSONObject jSONObject = new JSONObject(responseBody.string());
            if (!jSONObject.getBoolean(AllPayConst.VTPAY_PAY_RESULT_SUCCESS)) {
                return null;
            }
            JSONObject jSONObject2 = jSONObject.getJSONObject("data");
            MerchantInfo merchantInfo = new MerchantInfo();
            merchantInfo.merchantId = getLong(jSONObject2, "merchantId");
            merchantInfo.merchantName = getString(jSONObject2, "merchantName");
            merchantInfo.icon = getString(jSONObject2, "icon");
            merchantInfo.dataCenterId = getLong(jSONObject2, "datacenterId");
            merchantInfo.meetWord = getString(jSONObject2, "meetWord");
            return merchantInfo;
        } catch (IOException | JSONException e) {
            e.printStackTrace();
            return null;
        }
    }
}
