package net.xfkefu.sdk.model;

import com.allpayx.sdk.constants.AllPayConst;
import com.android.tools.r8.GeneratedOutlineSupport;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import net.xfkefu.sdk.a.XfLog;
import net.xfkefu.sdk.entity.OfflineMessageItem;
import net.xfkefu.sdk.entity.Page;
import net.xfkefu.sdk.retrofit.A;
import net.xfkefu.sdk.retrofit.ApiCallback;
import net.xfkefu.sdk.retrofit.ApiService;
import net.xfkefu.sdk.retrofit.Retrofit2;
import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;
import okhttp3.internal.connection.RealCall;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class OfflineMessageModel extends _Model {
    private static final String TAG = "OfflineMessageModel";

    public void offlineMessagePageQuery(String str, long j, int i, int i2, final ApiCallback<Page<OfflineMessageItem>> apiCallback) {
        HashMap hashMap = new HashMap();
        hashMap.put("houseId", str);
        hashMap.put("merchantId", Long.valueOf(j));
        hashMap.put("currentPage", Integer.valueOf(i));
        hashMap.put("pageSize", Integer.valueOf(i2));
        RequestBody create = RequestBody.create(new JSONObject(hashMap).toString(), Retrofit2.MEDIA_TYPE_JSON);
        Request.Builder builder = new Request.Builder();
        builder.url(A.BASE_URL_API + ApiService.offlineMessagePageQuery);
        builder.post(create);
        ((RealCall) Retrofit2.httpClient().newCall(builder.build())).enqueue(new Callback() {
            /* class net.xfkefu.sdk.model.OfflineMessageModel.AnonymousClass1 */

            @Override // okhttp3.Callback
            public void onFailure(Call call, IOException iOException) {
                String str = OfflineMessageModel.TAG;
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("onResponse: code=");
                outline25.append(iOException.getMessage());
                XfLog.debug(str, outline25.toString());
                ApiCallback apiCallback = apiCallback;
                if (apiCallback != null) {
                    apiCallback.onFailed(Retrofit2.RESP_CODE_EXCEPTION, iOException.getMessage());
                }
            }

            @Override // okhttp3.Callback
            public void onResponse(Call call, Response response) {
                String str = OfflineMessageModel.TAG;
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("onResponse: code=");
                outline25.append(response.code);
                XfLog.debug(str, outline25.toString());
                if (response.isSuccessful()) {
                    try {
                        JSONObject jSONObject = new JSONObject(response.body.string());
                        if (jSONObject.getBoolean(AllPayConst.VTPAY_PAY_RESULT_SUCCESS)) {
                            JSONObject jSONObject2 = jSONObject.getJSONObject("data");
                            Page page = new Page();
                            page.setPageNo(OfflineMessageModel.this.getInt(jSONObject2, "pageNo"));
                            page.setPageSize(OfflineMessageModel.this.getInt(jSONObject2, "pageSize"));
                            page.setCount(OfflineMessageModel.this.getInt(jSONObject2, "count"));
                            JSONArray jSONArray = jSONObject2.getJSONArray("data");
                            ArrayList arrayList = new ArrayList();
                            int length = jSONArray.length();
                            for (int i = 0; i < length; i++) {
                                JSONObject jSONObject3 = jSONArray.getJSONObject(i);
                                OfflineMessageItem offlineMessageItem = new OfflineMessageItem();
                                offlineMessageItem.apiVersion = OfflineMessageModel.this.getString(jSONObject3, "apiVersion");
                                offlineMessageItem.chatRoomId = OfflineMessageModel.this.getString(jSONObject3, "chatRoomId");
                                offlineMessageItem.cmd = OfflineMessageModel.this.getInt(jSONObject3, "cmd");
                                offlineMessageItem._content = OfflineMessageModel.this.getString(jSONObject3, "_content");
                                offlineMessageItem.contentType = OfflineMessageModel.this.getString(jSONObject3, "contentType");
                                offlineMessageItem.dbPath = OfflineMessageModel.this.getString(jSONObject3, "dbPath");
                                offlineMessageItem.deviceId = OfflineMessageModel.this.getString(jSONObject3, "deviceId");
                                offlineMessageItem.fireTime = OfflineMessageModel.this.getLong(jSONObject3, "fireTime");
                                offlineMessageItem.forward = OfflineMessageModel.this.getBoolean(jSONObject3, "forward");
                                offlineMessageItem.houseId = OfflineMessageModel.this.getString(jSONObject3, "houseId");
                                offlineMessageItem.jsonContent = OfflineMessageModel.this.getString(jSONObject3, "jsonContent");
                                offlineMessageItem.messageId = OfflineMessageModel.this.getLong(jSONObject3, "messageId");
                                offlineMessageItem.messageUUID = OfflineMessageModel.this.getString(jSONObject3, "messageUUID");
                                offlineMessageItem.pageSize = OfflineMessageModel.this.getInt(jSONObject3, "pageSize");
                                offlineMessageItem.platFormType = OfflineMessageModel.this.getString(jSONObject3, "platFormType");
                                offlineMessageItem.platformVersion = OfflineMessageModel.this.getString(jSONObject3, "platformVersion");
                                offlineMessageItem.quote = OfflineMessageModel.this.getBoolean(jSONObject3, "isQuote");
                                offlineMessageItem.quoteId = OfflineMessageModel.this.getString(jSONObject3, "quoteId");
                                offlineMessageItem.receiverId = OfflineMessageModel.this.getString(jSONObject3, "receiverId");
                                offlineMessageItem.receiverNickName = OfflineMessageModel.this.getString(jSONObject3, "receiverNickName");
                                offlineMessageItem.receiveType = OfflineMessageModel.this.getInt(jSONObject3, "receiveType");
                                offlineMessageItem.senderId = OfflineMessageModel.this.getString(jSONObject3, "senderId");
                                offlineMessageItem.senderNickName = OfflineMessageModel.this.getString(jSONObject3, "senderNickName");
                                offlineMessageItem.senderType = OfflineMessageModel.this.getString(jSONObject3, "senderType");
                                offlineMessageItem.sequence = OfflineMessageModel.this.getLong(jSONObject3, "sequence");
                                offlineMessageItem.timestamp = OfflineMessageModel.this.getLong(jSONObject3, "timestamp");
                                offlineMessageItem.withdraw = OfflineMessageModel.this.getBoolean(jSONObject3, "withdraw");
                                offlineMessageItem.encryptKey = OfflineMessageModel.this.getString(jSONObject3, "encryptKey");
                                offlineMessageItem.sign = OfflineMessageModel.this.getString(jSONObject3, "sign");
                                offlineMessageItem.referenceMessageId = OfflineMessageModel.this.getString(jSONObject3, "referenceMessageId");
                                arrayList.add(offlineMessageItem);
                            }
                            page.setData(arrayList);
                            ApiCallback apiCallback = apiCallback;
                            if (apiCallback != null) {
                                apiCallback.onSuccess(page);
                                return;
                            }
                            return;
                        }
                        ApiCallback apiCallback2 = apiCallback;
                        if (apiCallback2 != null) {
                            apiCallback2.onFailed(jSONObject.getString("code"), jSONObject.getString("msg"));
                        }
                    } catch (IOException | JSONException e) {
                        ApiCallback apiCallback3 = apiCallback;
                        if (apiCallback3 != null) {
                            apiCallback3.onFailed(Retrofit2.RESP_CODE_EXCEPTION, e.getMessage());
                        }
                    }
                }
            }
        });
    }
}
