package net.xfkefu.sdk.model;

import com.allpayx.sdk.constants.AllPayConst;
import com.android.tools.r8.GeneratedOutlineSupport;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Objects;
import net.xfkefu.sdk.a.XfLog;
import net.xfkefu.sdk.entity.QuestionAnswer;
import net.xfkefu.sdk.retrofit.A;
import net.xfkefu.sdk.retrofit.ApiCallback;
import net.xfkefu.sdk.retrofit.ApiService;
import net.xfkefu.sdk.retrofit.Retrofit2;
import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;
import okhttp3.ResponseBody;
import okhttp3.internal.connection.RealCall;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class QuestionModel extends _Model {
    private static final String TAG = "QuestionModel";

    public void getQuestion(long j, long j2, long j3, final ApiCallback<List<QuestionAnswer>> apiCallback) {
        HashMap hashMap = new HashMap();
        hashMap.put("merchantId", j + "");
        if (j2 > 0) {
            hashMap.put("skillGroupId", j2 + "");
        }
        if (j3 > 0) {
            hashMap.put("parentQuestionId", j3 + "");
        }
        RequestBody create = RequestBody.create(new JSONObject(hashMap).toString(), Retrofit2.MEDIA_TYPE_JSON);
        Request.Builder builder = new Request.Builder();
        builder.url(A.BASE_URL_API + ApiService.questionFindByMerchantId);
        builder.post(create);
        ((RealCall) Retrofit2.httpClient().newCall(builder.build())).enqueue(new Callback() {
            /* class net.xfkefu.sdk.model.QuestionModel.AnonymousClass1 */

            @Override // okhttp3.Callback
            public void onFailure(Call call, IOException iOException) {
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("onResponse: code=");
                outline25.append(iOException.getMessage());
                XfLog.debug(QuestionModel.TAG, outline25.toString());
                ApiCallback apiCallback = apiCallback;
                if (apiCallback != null) {
                    apiCallback.onFailed(Retrofit2.RESP_CODE_EXCEPTION, iOException.getMessage());
                }
            }

            @Override // okhttp3.Callback
            public void onResponse(Call call, Response response) {
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("onResponse: code=");
                outline25.append(response.code);
                XfLog.debug(QuestionModel.TAG, outline25.toString());
                if (response.isSuccessful()) {
                    try {
                        ResponseBody responseBody = response.body;
                        Objects.requireNonNull(responseBody);
                        JSONObject jSONObject = new JSONObject(responseBody.string());
                        if (jSONObject.getBoolean(AllPayConst.VTPAY_PAY_RESULT_SUCCESS)) {
                            JSONArray jSONArray = jSONObject.getJSONArray("data");
                            ArrayList arrayList = new ArrayList();
                            int length = jSONArray.length();
                            for (int i = 0; i < length; i++) {
                                JSONObject jSONObject2 = jSONArray.getJSONObject(i);
                                QuestionAnswer questionAnswer = new QuestionAnswer();
                                questionAnswer.id = QuestionModel.this.getLong(jSONObject2, "id");
                                questionAnswer.question = QuestionModel.this.getString(jSONObject2, "question");
                                questionAnswer.answer = QuestionModel.this.getString(jSONObject2, "answer");
                                questionAnswer.link = QuestionModel.this.getString(jSONObject2, "answer");
                                questionAnswer.answerType = QuestionModel.this.getInt(jSONObject2, "answerType");
                                questionAnswer.position = QuestionModel.this.getInt(jSONObject2, "position");
                                questionAnswer.hasChild = questionAnswer.answerType == 4;
                                arrayList.add(questionAnswer);
                            }
                            ApiCallback apiCallback = apiCallback;
                            if (apiCallback != null) {
                                apiCallback.onSuccess(arrayList);
                                return;
                            }
                            return;
                        }
                        ApiCallback apiCallback2 = apiCallback;
                        if (apiCallback2 != null) {
                            apiCallback2.onFailed(jSONObject.getString("code"), jSONObject.getString("msg"));
                        }
                    } catch (IOException | JSONException e) {
                        ApiCallback apiCallback3 = apiCallback;
                        if (apiCallback3 != null) {
                            apiCallback3.onFailed(Retrofit2.RESP_CODE_EXCEPTION, e.getMessage());
                        }
                    }
                }
            }
        });
    }
}
