package net.xfkefu.sdk.retrofit;

import android.os.Build;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.util.Collections;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Objects;
import java.util.UUID;
import java.util.concurrent.TimeUnit;
import kotlin.collections.ArraysKt___ArraysKt;
import kotlin.jvm.internal.Intrinsics;
import net.xfkefu.sdk.a.XfLog;
import net.xfkefu.sdk.a.XfStoreMerchant;
import net.xfkefu.sdk.a.Z;
import net.xfkefu.sdk.encrypt.XfCrypt;
import okhttp3.Handshake;
import okhttp3.Headers;
import okhttp3.HttpUrl;
import okhttp3.Interceptor;
import okhttp3.MediaType;
import okhttp3.MultipartBody;
import okhttp3.OkHttpClient;
import okhttp3.Protocol;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;
import okhttp3.ResponseBody;
import okhttp3.internal.Util;
import okhttp3.internal.connection.Exchange;
import okhttp3.internal.http.RealInterceptorChain;
import okhttp3.logging.HttpLoggingInterceptor;
import okio.Buffer;
import org.json.JSONArray;
import org.json.JSONObject;

public class Retrofit2 {
    public static final MediaType MEDIA_TYPE_JSON = MediaType.parse("application/json");
    public static final String RESP_CODE_301 = "301";
    public static final String RESP_CODE_EXCEPTION = "exception";
    public static final String RESP_CODE_SUCCESS = "0";

    public static OkHttpClient httpClient() {
        HttpLoggingInterceptor httpLoggingInterceptor = new HttpLoggingInterceptor();
        HttpLoggingInterceptor.Level level = HttpLoggingInterceptor.Level.NONE;
        Intrinsics.checkNotNullParameter(level, "level");
        httpLoggingInterceptor.level = level;
        OkHttpClient.Builder builder = new OkHttpClient.Builder();
        TimeUnit timeUnit = TimeUnit.SECONDS;
        Intrinsics.checkNotNullParameter(timeUnit, "unit");
        builder.connectTimeout = Util.checkDuration("timeout", 10, timeUnit);
        Intrinsics.checkNotNullParameter(timeUnit, "unit");
        builder.writeTimeout = Util.checkDuration("timeout", 60, timeUnit);
        Intrinsics.checkNotNullParameter(timeUnit, "unit");
        builder.readTimeout = Util.checkDuration("timeout", 20, timeUnit);
        builder.addInterceptor(new Interceptor() {
            /* class net.xfkefu.sdk.retrofit.Retrofit2.AnonymousClass2 */

            @Override // okhttp3.Interceptor
            public Response intercept(Interceptor.Chain chain) {
                String valueOf = String.valueOf(System.currentTimeMillis());
                String uuid = UUID.randomUUID().toString();
                String string = XfStoreMerchant.getString(XfStoreMerchant.DEVICE_ID);
                Request request = ((RealInterceptorChain) chain).request;
                Objects.requireNonNull(request);
                Request.Builder builder = new Request.Builder(request);
                builder.addHeader("client_type", "android");
                builder.addHeader("request_id", uuid);
                builder.addHeader("timestamp", valueOf);
                builder.addHeader("device_id", string);
                builder.addHeader("device_type", Build.MODEL);
                builder.addHeader("lang", "zh_CH");
                return ((RealInterceptorChain) chain).proceed(builder.build());
            }
        });
        builder.addInterceptor(new Interceptor() {
            /* class net.xfkefu.sdk.retrofit.Retrofit2.AnonymousClass1 */
            private static final String TAG = "Http://";

            private String getParams(RequestBody requestBody) {
                Buffer buffer = new Buffer();
                try {
                    requestBody.writeTo(buffer);
                    return buffer.readString(StandardCharsets.UTF_8);
                } catch (IOException e) {
                    e.printStackTrace();
                    return "";
                }
            }

            @Override // okhttp3.Interceptor
            public Response intercept(Interceptor.Chain chain) {
                boolean z;
                LinkedHashMap linkedHashMap;
                Map map;
                Request request = ((RealInterceptorChain) chain).request;
                String header = request.header("isEncrypt");
                if (header != null) {
                    z = Boolean.parseBoolean(header);
                    Intrinsics.checkNotNullParameter(request, "request");
                    new LinkedHashMap();
                    HttpUrl httpUrl = request.url;
                    String str = request.method;
                    RequestBody requestBody = request.body;
                    if (request.tags.isEmpty()) {
                        linkedHashMap = new LinkedHashMap();
                    } else {
                        Map<Class<?>, Object> map2 = request.tags;
                        Intrinsics.checkNotNullParameter(map2, "$this$toMutableMap");
                        linkedHashMap = new LinkedHashMap(map2);
                    }
                    Headers.Builder newBuilder = request.headers.newBuilder();
                    Intrinsics.checkNotNullParameter("isEncrypt", VpnProfileDataSource.KEY_NAME);
                    newBuilder.removeAll("isEncrypt");
                    if (httpUrl != null) {
                        Headers build = newBuilder.build();
                        byte[] bArr = Util.EMPTY_BYTE_ARRAY;
                        Intrinsics.checkNotNullParameter(linkedHashMap, "$this$toImmutableMap");
                        if (linkedHashMap.isEmpty()) {
                            map = ArraysKt___ArraysKt.emptyMap();
                        } else {
                            map = Collections.unmodifiableMap(new LinkedHashMap(linkedHashMap));
                            Intrinsics.checkNotNullExpressionValue(map, "Collections.unmodifiableMap(LinkedHashMap(this))");
                        }
                        request = new Request(httpUrl, str, build, requestBody, map);
                    } else {
                        throw new IllegalStateException("url == null".toString());
                    }
                } else {
                    z = false;
                }
                Request request2 = request;
                String header2 = request2.header("request_id");
                String header3 = request2.header("timestamp");
                String outline18 = GeneratedOutlineSupport.outline18(TAG, header3);
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("Request:");
                outline25.append(request2.url.url);
                XfLog.debug(outline18, outline25.toString());
                RequestBody requestBody2 = request2.body;
                String params = getParams(requestBody2);
                XfLog.debug(GeneratedOutlineSupport.outline18(TAG, header3), "Params:" + params);
                if (z && !requestBody2.contentType().type.equals(MultipartBody.FORM.type)) {
                    try {
                        String AesEncrypt = XfCrypt.AesEncrypt(params, XfCrypt.token(header2, header3, Z.KEY));
                        String sign = XfCrypt.sign(Z.KEY, header2, header3, AesEncrypt);
                        RequestBody create = RequestBody.create(AesEncrypt, Retrofit2.MEDIA_TYPE_JSON);
                        Request.Builder builder = new Request.Builder(request2);
                        builder.addHeader("sign", sign);
                        builder.post(create);
                        request2 = builder.build();
                        XfLog.debug(TAG + header3, "Params:" + AesEncrypt);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
                Response proceed = ((RealInterceptorChain) chain).proceed(request2);
                ResponseBody responseBody = proceed.body;
                MediaType contentType = responseBody.contentType();
                String string = responseBody.string();
                XfLog.debug(GeneratedOutlineSupport.outline18(TAG, header3), "Response:" + string);
                if (z) {
                    try {
                        String header$default = Response.header$default(proceed, "response_id", null, 2);
                        String header$default2 = Response.header$default(proceed, "timestamp", null, 2);
                        String header$default3 = Response.header$default(proceed, "sign", null, 2);
                        JSONObject jSONObject = new JSONObject(string);
                        if (!Retrofit2.RESP_CODE_SUCCESS.equals(jSONObject.getString("code"))) {
                            jSONObject.put("data", (Object) null);
                            string = jSONObject.toString();
                        } else if (jSONObject.has("data")) {
                            String string2 = !jSONObject.isNull("data") ? jSONObject.getString("data") : null;
                            if (!XfCrypt.validate(string2, header$default, header$default2, Z.KEY, header$default3)) {
                                jSONObject.put("code", "300");
                                jSONObject.put("msg", "非法数据");
                                jSONObject.put("data", (Object) null);
                            } else if (string2 == null) {
                                jSONObject.put("data", (Object) null);
                            } else {
                                String AesDecrypt = XfCrypt.AesDecrypt(string2, XfCrypt.token(header$default, header$default2, Z.KEY));
                                if (AesDecrypt == null) {
                                    jSONObject.put("data", (Object) null);
                                } else if (AesDecrypt.startsWith("{")) {
                                    jSONObject.put("data", new JSONObject(AesDecrypt));
                                } else if (AesDecrypt.startsWith("[")) {
                                    jSONObject.put("data", new JSONArray(AesDecrypt));
                                } else {
                                    jSONObject.put("data", AesDecrypt);
                                }
                            }
                            string = jSONObject.toString();
                            XfLog.debug(TAG + header3, "Response:" + string);
                        }
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
                if (proceed.code == 200) {
                    Intrinsics.checkNotNullParameter(proceed, "response");
                    Request request3 = proceed.request;
                    Protocol protocol = proceed.protocol;
                    int i = proceed.code;
                    String str2 = proceed.message;
                    Handshake handshake = proceed.handshake;
                    Headers.Builder newBuilder2 = proceed.headers.newBuilder();
                    Response response = proceed.networkResponse;
                    Response response2 = proceed.cacheResponse;
                    Response response3 = proceed.priorResponse;
                    long j = proceed.sentRequestAtMillis;
                    long j2 = proceed.receivedResponseAtMillis;
                    Exchange exchange = proceed.exchange;
                    ResponseBody create2 = ResponseBody.create(string, contentType);
                    if (!(i >= 0)) {
                        throw new IllegalStateException(GeneratedOutlineSupport.outline11("code < 0: ", i).toString());
                    } else if (request3 == null) {
                        throw new IllegalStateException("request == null".toString());
                    } else if (protocol == null) {
                        throw new IllegalStateException("protocol == null".toString());
                    } else if (str2 != null) {
                        return new Response(request3, protocol, str2, i, handshake, newBuilder2.build(), create2, response, response2, response3, j, j2, exchange);
                    } else {
                        throw new IllegalStateException("message == null".toString());
                    }
                } else {
                    throw new IOException(string);
                }
            }
        });
        builder.addInterceptor(httpLoggingInterceptor);
        return new OkHttpClient(builder);
    }
}
