package net.xfkefu.sdk.socket;

import com.android.tools.r8.GeneratedOutlineSupport;
import com.etc.commons.im.protobuf.ProtocolBase;
import com.google.protobuf.InvalidProtocolBufferException;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import net.xfkefu.sdk.a.XfLog;
import net.xfkefu.sdk.a.XfStoreMerchant;
import net.xfkefu.sdk.a.Z;
import net.xfkefu.sdk.im.MessageBuilderHelper;

public class SocketManager {
    private static final String CLIENT_TAG_1 = "1";
    private static final String CLIENT_TAG_2 = "2";
    private static final String CLIENT_TAG_3 = "3";
    private static final String CLIENT_TAG_4 = "4";
    public static String DEVICE_ID = null;
    public static String SDK_VERSION = null;
    private static final String TAG;
    private static String TCP_HOST = "127.0.0.1";
    private static int TCP_PORT = 59990;
    private static ExecutorService executor;
    private static INettyResponse messageListener;
    private static SocketClient nettyClient;
    private static TimestampListener timestampListener;
    public static Map<String, Integer> uuidCmdMap = new HashMap();

    static {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("Netty_");
        outline25.append(SocketManager.class.getSimpleName());
        TAG = outline25.toString();
    }

    public static void connect(String str, int i, final INettyResponse iNettyResponse) {
        String str2 = TAG;
        XfLog.debug(str2, "connect(" + str + ", " + i + ")");
        SocketClient socketClient = nettyClient;
        if (socketClient == null || !socketClient.isOpen()) {
            TCP_HOST = str;
            TCP_PORT = i;
            SocketClient socketClient2 = new SocketClient("1", TCP_HOST, TCP_PORT, new INettyResponse() {
                /* class net.xfkefu.sdk.socket.SocketManager.AnonymousClass1 */

                @Override // net.xfkefu.sdk.socket.INettyResponse
                public void connected() {
                    XfLog.error(SocketManager.TAG + "1", "connected()");
                    INettyResponse iNettyResponse = iNettyResponse;
                    if (iNettyResponse != null) {
                        iNettyResponse.connected();
                    }
                }

                @Override // net.xfkefu.sdk.socket.INettyResponse
                public void disconnected() {
                    XfLog.error(SocketManager.TAG + "1", "disconnected()");
                    INettyResponse iNettyResponse = iNettyResponse;
                    if (iNettyResponse != null) {
                        iNettyResponse.disconnected();
                    }
                }

                @Override // net.xfkefu.sdk.socket.INettyResponse
                public void recvMessage(ProtocolBase.Message message) {
                    String str = SocketManager.TAG + "1";
                    XfLog.debug(str, "recvMessage(" + message.getCmd() + ") ");
                    SocketManager.messageHandler(message, iNettyResponse);
                }
            });
            nettyClient = socketClient2;
            socketClient2.start();
            executor = Executors.newSingleThreadExecutor();
        }
    }

    public static void disconnect() {
        shutdown();
    }

    public static void init(String str, String str2) {
        DEVICE_ID = str;
        SDK_VERSION = str2;
    }

    public static boolean login(String str, SocketCallback socketCallback) {
        String str2 = TAG;
        XfLog.debug(str2, "login " + str);
        String str3 = Z.LOGIN;
        if (str3 != null && str3.equals(str)) {
            XfLog.debug(str2, "login 不用重复登录" + str);
            return true;
        } else if (nettyClient == null) {
            return false;
        } else {
            nettyClient.sendMessage(MessageBuilderHelper.buildLoginRequest(DEVICE_ID, SDK_VERSION, XfStoreMerchant.getLong(XfStoreMerchant.DATA_CENTER_ID), Z.MERCHANT_ID, str));
            return true;
        }
    }

    public static boolean logout(String str, SocketCallback socketCallback) {
        String str2 = TAG;
        XfLog.debug(str2, "logout " + str);
        if (nettyClient == null) {
            return false;
        }
        nettyClient.sendMessage(MessageBuilderHelper.buildLogoutRequest(DEVICE_ID, SDK_VERSION, XfStoreMerchant.getLong(XfStoreMerchant.DATA_CENTER_ID), Z.MERCHANT_ID, str));
        return true;
    }

    /* access modifiers changed from: private */
    public static void messageHandler(ProtocolBase.Message message, INettyResponse iNettyResponse) {
        TimestampListener timestampListener2;
        if (message.getCmd() == ProtocolBase.CMD.Keepalive_Response) {
            try {
                ProtocolBase.MessageResponse parseFrom = ProtocolBase.MessageResponse.parseFrom(message.getResponse().getValue());
                if (parseFrom.getErrorCode() == ProtocolBase.ERROR_CODE.SUCCESS && (timestampListener2 = timestampListener) != null) {
                    timestampListener2.onTimestamp(parseFrom.getFromTimeStamp(), parseFrom.getTimestamp());
                }
            } catch (InvalidProtocolBufferException e) {
                e.printStackTrace();
            }
        } else {
            if (iNettyResponse != null) {
                iNettyResponse.recvMessage(message);
            }
            INettyResponse iNettyResponse2 = messageListener;
            if (iNettyResponse2 != null) {
                iNettyResponse2.recvMessage(message);
            }
        }
    }

    public static boolean sendBuildSignal(String str) {
        String str2 = TAG;
        XfLog.debug(str2, "sendBuildSignal " + str);
        if (nettyClient == null) {
            return false;
        }
        long j = XfStoreMerchant.getLong(XfStoreMerchant.DATA_CENTER_ID);
        long j2 = XfStoreMerchant.getLong(XfStoreMerchant.KEFU_TYPE, 0);
        ProtocolBase.Message buildBuildSingleRequest = MessageBuilderHelper.buildBuildSingleRequest(DEVICE_ID, SDK_VERSION, j, Z.MERCHANT_ID, Long.valueOf(j2), XfStoreMerchant.getString(XfStoreMerchant.USER_INFO), XfStoreMerchant.getString(XfStoreMerchant.USER_NAME), str);
        nettyClient.sendMessage(buildBuildSingleRequest);
        uuidCmdMap.put(buildBuildSingleRequest.getMessageUUID(), Integer.valueOf(buildBuildSingleRequest.getCmdValue()));
        return true;
    }

    public static void sendChangeMsgStatus(final long j, String str, final Long l, final String str2, final long j2, final String str3, final ProtocolBase.MESSAGE_STATUS_TYPE message_status_type) {
        String str4 = TAG;
        XfLog.debug(str4, "sendChangeMsgStatus " + str2);
        SocketClient socketClient = nettyClient;
        if (socketClient != null && socketClient.isOpen()) {
            executor.execute(new Runnable() {
                /* class net.xfkefu.sdk.socket.SocketManager.AnonymousClass4 */

                public void run() {
                    SocketManager.nettyClient.sendMessage(MessageBuilderHelper.buildChangeMessageStatusRequest(SocketManager.DEVICE_ID, SocketManager.SDK_VERSION, XfStoreMerchant.getLong(XfStoreMerchant.DATA_CENTER_ID), j, XfStoreMerchant.getString(XfStoreMerchant.USER_INFO), str3, XfStoreMerchant.getString(XfStoreMerchant.KEFU_INFO), l, str2, j2, message_status_type));
                }
            });
        }
    }

    public static void sendMsg(final long j, final Long l, final long j2, final String str, final String str2, String str3, final String str4, String str5, final ProtocolBase.CONTENT_TYPE content_type, final byte[] bArr) {
        String str6 = TAG;
        XfLog.debug(str6, "sendMsg " + str2);
        SocketClient socketClient = nettyClient;
        if (socketClient != null && socketClient.isOpen()) {
            executor.execute(new Runnable() {
                /* class net.xfkefu.sdk.socket.SocketManager.AnonymousClass2 */

                public void run() {
                    ProtocolBase.Message buildMessageRequest = MessageBuilderHelper.buildMessageRequest(SocketManager.DEVICE_ID, SocketManager.SDK_VERSION, XfStoreMerchant.getLong(XfStoreMerchant.DATA_CENTER_ID), j, XfStoreMerchant.getString(XfStoreMerchant.USER_INFO), l, j2, str, str2, str4, XfStoreMerchant.getString(XfStoreMerchant.KEFU_INFO), content_type, bArr);
                    SocketManager.nettyClient.sendMessage(buildMessageRequest);
                    SocketManager.uuidCmdMap.put(buildMessageRequest.getMessageUUID(), Integer.valueOf(buildMessageRequest.getCmdValue()));
                }
            });
        }
    }

    public static void sendMsgAck(final long j, final ProtocolBase.CMD cmd, final String str, String str2, String str3, final String str4, final long j2, final long j3, final long j4, final ProtocolBase.MESSAGE_STATUS_TYPE message_status_type) {
        String str5 = TAG;
        XfLog.debug(str5, "sendMsgAck " + str4);
        SocketClient socketClient = nettyClient;
        if (socketClient != null && socketClient.isOpen()) {
            executor.execute(new Runnable() {
                /* class net.xfkefu.sdk.socket.SocketManager.AnonymousClass3 */

                public void run() {
                    SocketManager.nettyClient.sendMessage(MessageBuilderHelper.buildMessageAckRequest(SocketManager.DEVICE_ID, SocketManager.SDK_VERSION, XfStoreMerchant.getLong(XfStoreMerchant.DATA_CENTER_ID), j, XfStoreMerchant.getString(XfStoreMerchant.USER_INFO), cmd, XfStoreMerchant.getString(XfStoreMerchant.KEFU_INFO), str4, j2, str, j3, j4, message_status_type));
                }
            });
        }
    }

    public static void setOnMessageListener(INettyResponse iNettyResponse) {
        messageListener = iNettyResponse;
    }

    public static void setOnTimestampListener(TimestampListener timestampListener2) {
        timestampListener = timestampListener2;
    }

    public static void shutdown() {
        String str = TAG;
        XfLog.error(str, "shutdown() ");
        if (nettyClient != null) {
            XfLog.error(str + "1", "shutdown() 1");
            nettyClient.shutdown();
            nettyClient = null;
            return;
        }
        XfLog.error(str + "1", "shutdown() 0");
    }
}
