package net.xfkefu.sdk.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.database.Cursor;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.provider.MediaStore;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.inputmethod.InputMethodManager;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.activity.result.ActivityResult;
import androidx.activity.result.ActivityResultCallback;
import androidx.activity.result.ActivityResultLauncher;
import androidx.activity.result.contract.ActivityResultContracts$RequestMultiplePermissions;
import androidx.activity.result.contract.ActivityResultContracts$StartActivityForResult;
import androidx.core.content.FileProvider;
import androidx.fragment.app.BackStackRecord;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.etc.commons.im.protobuf.ProtocolBase;
import io.github.rockerhieu.emojicon.EmojiconGridFragment;
import io.github.rockerhieu.emojicon.EmojiconsFragment;
import io.github.rockerhieu.emojicon.emoji.Emojicon;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.UUID;
import net.xfkefu.sdk.R;
import net.xfkefu.sdk.XfKefu;
import net.xfkefu.sdk.a.ChatMessageHelper;
import net.xfkefu.sdk.a.ChatRoomHelper;
import net.xfkefu.sdk.a.DateHelper;
import net.xfkefu.sdk.a.PermissionHelper;
import net.xfkefu.sdk.a.XfLang;
import net.xfkefu.sdk.a.XfLog;
import net.xfkefu.sdk.a.XfStoreMerchant;
import net.xfkefu.sdk.a.Z;
import net.xfkefu.sdk.adapter.ChatMessageRecyclerViewAdapter;
import net.xfkefu.sdk.adapter.QuestionBarRecyclerViewAdapter;
import net.xfkefu.sdk.dialog.AppraiseDialog;
import net.xfkefu.sdk.dialog.SkillPickerDialog;
import net.xfkefu.sdk.entity.ChatMessage;
import net.xfkefu.sdk.entity.ChatRoom;
import net.xfkefu.sdk.entity.CommonProblem;
import net.xfkefu.sdk.entity.KefuInfo;
import net.xfkefu.sdk.entity.MerchantSetting;
import net.xfkefu.sdk.entity.QuestionAnswer;
import net.xfkefu.sdk.entity.Skill;
import net.xfkefu.sdk.model.CommonProblemModel;
import net.xfkefu.sdk.socket.SocketManager;
import net.xfkefu.sdk.ui.KefuFragment;
import net.xfkefu.sdk.view.XfButton;
import net.xfkefu.sdk.view.XfImageButton;
import net.xfkefu.sdk.viewmodel.KefuViewModel;
import org.json.JSONException;
import org.json.JSONObject;

public class KefuFragment extends Fragment implements EmojiconGridFragment.OnEmojiconClickedListener, EmojiconsFragment.OnEmojiconBackspaceClickedListener {
    public static final /* synthetic */ int $r8$clinit = 0;
    private static final String TAG = KefuFragment.class.getSimpleName();
    private boolean SingleBuild;
    private FragmentActivity activity;
    private final BroadcastReceiver broadcastReceiver = new BroadcastReceiver() {
        /* class net.xfkefu.sdk.ui.KefuFragment.AnonymousClass8 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            action.hashCode();
            char c = 65535;
            switch (action.hashCode()) {
                case -1228390324:
                    if (action.equals(Z.ANSWER_ACTION)) {
                        c = 0;
                        break;
                    }
                    break;
                case -1060641372:
                    if (action.equals(Z.QUESTION_ACTION)) {
                        c = 1;
                        break;
                    }
                    break;
                case -817457429:
                    if (action.equals(Z.MESSAGE_STATUS_ACTION)) {
                        c = 2;
                        break;
                    }
                    break;
                case -119068187:
                    if (action.equals(Z.MESSAGE_NEW_ACTION)) {
                        c = 3;
                        break;
                    }
                    break;
                case 9140557:
                    if (action.equals(Z.QUESTION_NOTIFY_ACTION)) {
                        c = 4;
                        break;
                    }
                    break;
                case 24388270:
                    if (action.equals(Z.COMMON_PROBLEM_ACTION)) {
                        c = 5;
                        break;
                    }
                    break;
                case 175926818:
                    if (action.equals(Z.MESSAGE_ID_ACTION)) {
                        c = 6;
                        break;
                    }
                    break;
                case 2038364706:
                    if (action.equals(Z.BUILD_SIGNAL_ACTION)) {
                        c = 7;
                        break;
                    }
                    break;
            }
            switch (c) {
                case 0:
                    String stringExtra = intent.getStringExtra("answer");
                    if (stringExtra != null) {
                        ChatMessage buildAnswerMessage = ChatMessageHelper.buildAnswerMessage(XfStoreMerchant.getRoomCode(), stringExtra);
                        if (KefuFragment.this.viewModel.addChatMessage(buildAnswerMessage)) {
                            KefuFragment.this.messageAdapter.addData(buildAnswerMessage);
                            KefuFragment.this.rvMessage.scrollToPosition(KefuFragment.this.messageAdapter.getItemCount() - 1);
                            return;
                        }
                        return;
                    }
                    return;
                case 1:
                    long longExtra = intent.getLongExtra("questionId", -1);
                    if (longExtra != -1) {
                        ChatMessage buildQuestionMessage = ChatMessageHelper.buildQuestionMessage(XfStoreMerchant.getRoomCode(), longExtra, intent.getStringExtra("questionName"));
                        if (KefuFragment.this.viewModel.addChatMessage(buildQuestionMessage)) {
                            KefuFragment.this.messageAdapter.addData(buildQuestionMessage);
                            KefuFragment.this.rvMessage.scrollToPosition(KefuFragment.this.messageAdapter.getItemCount() - 1);
                            return;
                        }
                        return;
                    }
                    return;
                case 2:
                    KefuFragment.this.rvMessage.post(new Runnable(intent.getLongExtra("messageId", -1), intent.getIntExtra("status", 1)) {
                        /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$8$9hqSAVOa07iIpQ8aqarwRanXNNg */
                        public final /* synthetic */ long f$1;
                        public final /* synthetic */ int f$2;

                        {
                            this.f$1 = r2;
                            this.f$2 = r4;
                        }

                        public final void run() {
                            KefuFragment.AnonymousClass8 r0 = KefuFragment.AnonymousClass8.this;
                            KefuFragment.this.messageAdapter.changeMessageStatus(this.f$1, this.f$2);
                        }
                    });
                    return;
                case 3:
                    ChatMessage chatMessage = (ChatMessage) intent.getSerializableExtra("msg");
                    XfLog.debug(KefuFragment.TAG, "0 thread ");
                    String roomCode = XfStoreMerchant.getRoomCode();
                    if (roomCode != null && roomCode.equals(chatMessage.roomCode)) {
                        KefuFragment.this.rvMessage.post(new Runnable(chatMessage) {
                            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$8$ZYjPInNxGF9Sq9mblFdGYQMZ4c0 */
                            public final /* synthetic */ ChatMessage f$1;

                            {
                                this.f$1 = r2;
                            }

                            public final void run() {
                                KefuFragment.AnonymousClass8 r0 = KefuFragment.AnonymousClass8.this;
                                ChatMessage chatMessage = this.f$1;
                                Objects.requireNonNull(r0);
                                XfLog.debug(KefuFragment.TAG, "1 thread ");
                                KefuFragment.this.messageAdapter.addData(chatMessage);
                                KefuFragment.this.rvMessage.scrollToPosition(KefuFragment.this.messageAdapter.getItemCount() - 1);
                            }
                        });
                        return;
                    }
                    return;
                case 4:
                    KefuFragment.this.rvMessage.scrollToPosition(KefuFragment.this.messageAdapter.getItemCount() - 1);
                    return;
                case 5:
                    long longExtra2 = intent.getLongExtra("parent", -1);
                    if (longExtra2 != -1) {
                        CommonProblem byId = new CommonProblemModel().getById(longExtra2);
                        if (byId.hasChild) {
                            String roomCode2 = XfStoreMerchant.getRoomCode();
                            if (roomCode2 == null) {
                                roomCode2 = ChatRoomHelper.genRoomCode(XfStoreMerchant.getLong(XfStoreMerchant.DATA_CENTER_ID), Z.MERCHANT_ID, XfStoreMerchant.getString(XfStoreMerchant.USER_INFO));
                            }
                            ChatMessage buildAnswerMessage2 = ChatMessageHelper.buildAnswerMessage(roomCode2, byId.question);
                            if (KefuFragment.this.viewModel.addChatMessage(buildAnswerMessage2)) {
                                KefuFragment.this.messageAdapter.addData(buildAnswerMessage2);
                            }
                            ChatMessage buildCommonProblemMessage = ChatMessageHelper.buildCommonProblemMessage(roomCode2, longExtra2);
                            if (KefuFragment.this.viewModel.addChatMessage(buildCommonProblemMessage)) {
                                KefuFragment.this.messageAdapter.addData(buildCommonProblemMessage);
                            }
                            KefuFragment.this.rvMessage.scrollToPosition(KefuFragment.this.messageAdapter.getItemCount() - 1);
                            return;
                        }
                        return;
                    }
                    return;
                case 6:
                    KefuFragment.this.rvMessage.post(new Runnable(intent.getStringExtra("messageUUID"), intent.getLongExtra("messageId", -1), intent.getIntExtra("status", 0)) {
                        /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$8$LsAGWOgZtiWXWe6x_LC8Kaot9Mg */
                        public final /* synthetic */ String f$1;
                        public final /* synthetic */ long f$2;
                        public final /* synthetic */ int f$3;

                        {
                            this.f$1 = r2;
                            this.f$2 = r3;
                            this.f$3 = r5;
                        }

                        public final void run() {
                            KefuFragment.AnonymousClass8 r0 = KefuFragment.AnonymousClass8.this;
                            KefuFragment.this.messageAdapter.changeMessageId(this.f$1, this.f$2, this.f$3);
                        }
                    });
                    return;
                case 7:
                    KefuFragment.this.SingleBuild = true;
                    KefuFragment.this.rvMessage.postDelayed(new Runnable() {
                        /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$8$Mi1T84OE3hDEDKNS_6rr9cE7WNI */

                        public final void run() {
                            KefuFragment.AnonymousClass8 r0 = KefuFragment.AnonymousClass8.this;
                            if (KefuFragment.this.waitSendContent != null) {
                                KefuFragment kefuFragment = KefuFragment.this;
                                if (kefuFragment.sendMessage(kefuFragment.waitSendDelaySend, KefuFragment.this.waitSendContentType, KefuFragment.this.waitSendContent)) {
                                    KefuFragment.this.etMessage.setText("");
                                }
                            }
                        }
                    }, 600);
                    return;
                default:
                    return;
            }
        }
    };
    private XfImageButton btnAdd;
    private XfImageButton btnAudio;
    private XfImageButton btnEmoji;
    private XfButton btnInit;
    private LinearLayout btnRate;
    private XfButton btnSend;
    private ActivityResultLauncher<Intent> cameraActivityLauncher;
    private ActivityResultLauncher<String[]> cameraPermissionLauncher;
    private EditText etMessage;
    private LinearLayout layoutAdd;
    private LinearLayout layoutBottom;
    private FrameLayout layoutEmoji;
    private LinearLayout layoutInit;
    private LinearLayout layoutKefu;
    public ChatMessageRecyclerViewAdapter messageAdapter;
    private File outputFile;
    private ActivityResultLauncher<Intent> photoActivityLauncher;
    private ActivityResultLauncher<String[]> photoPermissionLauncher;
    public QuestionBarRecyclerViewAdapter questionBarAdapter;
    private RecyclerView rvMessage;
    private RecyclerView rvQuestion;
    private KefuInfo staffInfo;
    private TextView tvInit;
    private KefuViewModel viewModel;
    private String waitSendContent = null;
    private int waitSendContentType = -1;
    private boolean waitSendDelaySend = false;

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void cameraImagePick() {
        Uri uri;
        String[] strArr = {"android.permission.CAMERA", "android.permission.RECORD_AUDIO", "android.permission.WRITE_EXTERNAL_STORAGE", "android.permission.READ_EXTERNAL_STORAGE"};
        if (PermissionHelper.hasPermissions(this.activity, strArr)) {
            String path = this.activity.getExternalFilesDir("cache").getPath();
            this.outputFile = new File(path, DateHelper.currentTimeMillis() + ".jpg");
            Intent intent = new Intent("android.media.action.IMAGE_CAPTURE");
            if (Build.VERSION.SDK_INT >= 24) {
                intent.setFlags(1);
                FragmentActivity fragmentActivity = this.activity;
                uri = FileProvider.getUriForFile(fragmentActivity, this.activity.getPackageName() + ".fileProvider", this.outputFile);
            } else {
                uri = Uri.fromFile(this.outputFile);
            }
            intent.putExtra("output", uri);
            this.cameraActivityLauncher.launch(intent, null);
            return;
        }
        this.cameraPermissionLauncher.launch(strArr, null);
    }

    private void initData() {
        SocketManager.login(XfStoreMerchant.getString(XfStoreMerchant.USER_INFO), null);
        this.messageAdapter = new ChatMessageRecyclerViewAdapter(this.activity, new ArrayList());
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(this.activity);
        linearLayoutManager.setStackFromEnd(true);
        this.rvMessage.setLayoutManager(linearLayoutManager);
        this.rvMessage.setAdapter(this.messageAdapter);
        this.viewModel.init(this.activity);
    }

    private void initObserve() {
        KefuViewModel kefuViewModel = (KefuViewModel) new ViewModelProvider(getViewModelStore(), getDefaultViewModelProviderFactory()).get(KefuViewModel.class);
        this.viewModel = kefuViewModel;
        kefuViewModel.initLiveData.observe(getViewLifecycleOwner(), new Observer() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$UfPOAc9mfZyd475UfhXnuRW6svg */

            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                KefuFragment.this.lambda$initObserve$9$KefuFragment((ChatRoom) obj);
            }
        });
        this.viewModel.messageLiveData.observe(getViewLifecycleOwner(), new Observer() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$c4ieBYLyCh7ZaYsMFQcr2XiugwU */

            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                KefuFragment.this.lambda$initObserve$10$KefuFragment((List) obj);
            }
        });
        this.viewModel.kefuInfoLiveData.observe(getViewLifecycleOwner(), new Observer() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$QHQWGlRN99Y9u_2Y_7e2SDVJeQ */

            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                KefuFragment.this.lambda$initObserve$11$KefuFragment((KefuInfo) obj);
            }
        });
        this.viewModel.kefuTypeLiveData.observe(getViewLifecycleOwner(), new Observer() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$X1TBfa4koCk2K5AdB7cZzTvoE */

            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                KefuFragment.this.lambda$initObserve$12$KefuFragment((List) obj);
            }
        });
        this.viewModel.questionLiveData.observe(getViewLifecycleOwner(), new Observer() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$R4dWF00SU0nM4ERPLnn2DxCCogw */

            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                KefuFragment.this.lambda$initObserve$13$KefuFragment((QuestionAnswer) obj);
            }
        });
        this.viewModel.questionBarLiveData.observe(getViewLifecycleOwner(), new Observer() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$hulDO20KVZyRD5snK8WtwRnrPlQ */

            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                KefuFragment.this.lambda$initObserve$14$KefuFragment((List) obj);
            }
        });
        this.viewModel.settingLiveData.observe(getViewLifecycleOwner(), new Observer() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$aqDGJPJ9UQkR2WeEGIqm54BwFc */

            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                KefuFragment.this.lambda$initObserve$15$KefuFragment((MerchantSetting) obj);
            }
        });
        setEmojiFragment(false);
    }

    private void initView(View view) {
        this.layoutInit = (LinearLayout) view.findViewById(R.id.layout_init);
        this.tvInit = (TextView) view.findViewById(R.id.tv_init);
        this.btnInit = (XfButton) view.findViewById(R.id.btn_init);
        this.rvMessage = (RecyclerView) view.findViewById(R.id.rv_message);
        this.rvQuestion = (RecyclerView) view.findViewById(R.id.rv_question);
        this.layoutBottom = (LinearLayout) view.findViewById(R.id.layout_bottom);
        this.layoutEmoji = (FrameLayout) view.findViewById(R.id.layout_emoji);
        this.layoutAdd = (LinearLayout) view.findViewById(R.id.layout_add);
        this.etMessage = (EditText) view.findViewById(R.id.et_message);
        this.btnAudio = (XfImageButton) view.findViewById(R.id.btn_audio);
        this.btnEmoji = (XfImageButton) view.findViewById(R.id.btn_emoji);
        this.btnAdd = (XfImageButton) view.findViewById(R.id.btn_add);
        this.btnSend = (XfButton) view.findViewById(R.id.btn_send);
        this.btnRate = (LinearLayout) view.findViewById(R.id.btn_rate);
        this.btnInit.setOnClickListener(new View.OnClickListener() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$5h5cFfRxDjnUKcW3QR3CTTmjMFg */

            public final void onClick(View view) {
                KefuFragment.this.lambda$initView$1$KefuFragment(view);
            }
        });
        this.btnAudio.setOnClickListener($$Lambda$KefuFragment$TaPFoF_xKmNbcr0X28Qe2hc3jR0.INSTANCE);
        this.btnEmoji.setOnClickListener(new View.OnClickListener() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$MKI38I5xER3vEs49t3AQmxDHvlM */

            public final void onClick(View view) {
                KefuFragment.this.lambda$initView$3$KefuFragment(view);
            }
        });
        this.btnAdd.setOnClickListener(new View.OnClickListener() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$fkhqqPKGTYoa7YsG71CmkDjro0 */

            public final void onClick(View view) {
                KefuFragment.this.lambda$initView$4$KefuFragment(view);
            }
        });
        this.btnSend.setOnClickListener(new View.OnClickListener() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$xMyGMX_SzbRgYHPvQj9tkVNerMo */

            public final void onClick(View view) {
                KefuFragment.this.lambda$initView$5$KefuFragment(view);
            }
        });
        view.findViewById(R.id.item_camera).setOnClickListener(new View.OnClickListener() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$2UY39Y7qQZ1vtxETHVXPog6zsH4 */

            public final void onClick(View view) {
                KefuFragment.this.lambda$initView$6$KefuFragment(view);
            }
        });
        view.findViewById(R.id.item_photo).setOnClickListener(new View.OnClickListener() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$t8FZzj0p5anFomcrTIvttZwYAB4 */

            public final void onClick(View view) {
                KefuFragment.this.lambda$initView$7$KefuFragment(view);
            }
        });
        this.etMessage.setOnClickListener(new View.OnClickListener() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$a9ZLCoGl8nK_zZuppWdLl4IsEw */

            public final void onClick(View view) {
                KefuFragment.this.lambda$initView$8$KefuFragment(view);
            }
        });
        this.etMessage.addTextChangedListener(new TextWatcher() {
            /* class net.xfkefu.sdk.ui.KefuFragment.AnonymousClass4 */

            public void afterTextChanged(Editable editable) {
            }

            public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
            }

            public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
                if ("".contentEquals(charSequence)) {
                    KefuFragment.this.btnAdd.setVisibility(0);
                    KefuFragment.this.btnSend.setVisibility(8);
                    return;
                }
                KefuFragment.this.btnAdd.setVisibility(8);
                KefuFragment.this.btnSend.setVisibility(0);
            }
        });
        this.rvMessage.addOnScrollListener(new RecyclerView.OnScrollListener() {
            /* class net.xfkefu.sdk.ui.KefuFragment.AnonymousClass5 */

            private void changeMessageStatus(ChatMessage chatMessage) {
                if (chatMessage != null && chatMessage.type != 4 && chatMessage.inout == 1 && chatMessage.status == 2) {
                    SocketManager.sendChangeMsgStatus(Z.MERCHANT_ID, XfStoreMerchant.getString(XfStoreMerchant.KEFU_INFO), Long.valueOf(XfStoreMerchant.getLong(XfStoreMerchant.KEFU_TYPE)), chatMessage.roomCode, chatMessage.msgId, chatMessage.uuid, ProtocolBase.MESSAGE_STATUS_TYPE.READED);
                    KefuFragment.this.viewModel.changeMessageStatus(chatMessage.uuid, 3);
                    KefuFragment.this.messageAdapter.changeMessageStatus(chatMessage.uuid, 3);
                }
            }

            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrolled(RecyclerView recyclerView, int i, int i2) {
                LinearLayoutManager linearLayoutManager = (LinearLayoutManager) recyclerView.getLayoutManager();
                if (linearLayoutManager != null) {
                    int findFirstVisibleItemPosition = linearLayoutManager.findFirstVisibleItemPosition();
                    int findLastVisibleItemPosition = linearLayoutManager.findLastVisibleItemPosition();
                    int i3 = findLastVisibleItemPosition - findFirstVisibleItemPosition;
                    if (findLastVisibleItemPosition == 0) {
                        changeMessageStatus(KefuFragment.this.messageAdapter.getItem(findLastVisibleItemPosition));
                    }
                    if (i3 != 0) {
                        String str = KefuFragment.TAG;
                        XfLog.debug(str, "onScrolled(" + findFirstVisibleItemPosition + ", " + findLastVisibleItemPosition + ")");
                        while (findFirstVisibleItemPosition <= findLastVisibleItemPosition) {
                            changeMessageStatus(KefuFragment.this.messageAdapter.getItem(findFirstVisibleItemPosition));
                            findFirstVisibleItemPosition++;
                        }
                    }
                }
            }
        });
        this.btnRate.setOnClickListener(new View.OnClickListener() {
            /* class net.xfkefu.sdk.ui.KefuFragment.AnonymousClass6 */

            public void onClick(View view) {
                if (KefuFragment.this.staffInfo != null) {
                    new AppraiseDialog(KefuFragment.this.activity, KefuFragment.this.staffInfo).show(KefuFragment.this.getChildFragmentManager());
                }
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void photoImagePick() {
        String[] strArr = {"android.permission.CAMERA", "android.permission.WRITE_EXTERNAL_STORAGE", "android.permission.READ_EXTERNAL_STORAGE"};
        if (PermissionHelper.hasPermissions(this.activity, strArr)) {
            String path = this.activity.getExternalFilesDir("cache").getPath();
            this.outputFile = new File(path, DateHelper.currentTimeMillis() + ".jpg");
            Intent intent = new Intent("android.intent.action.PICK", (Uri) null);
            intent.setDataAndType(MediaStore.Images.Media.EXTERNAL_CONTENT_URI, "image/*");
            intent.putExtra("output", Uri.fromFile(this.outputFile));
            this.photoActivityLauncher.launch(intent, null);
            return;
        }
        this.photoPermissionLauncher.launch(strArr, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean sendMessage(boolean z, int i, String str) {
        String roomCode = XfStoreMerchant.getRoomCode();
        if (roomCode == null) {
            SocketManager.sendBuildSignal(XfLang.getLang(this.activity));
            this.waitSendDelaySend = z;
            this.waitSendContentType = i;
            this.waitSendContent = str;
            return false;
        }
        if (!this.SingleBuild) {
            SocketManager.sendBuildSignal(XfLang.getLang(this.activity));
        } else {
            this.waitSendDelaySend = false;
            this.waitSendContentType = -1;
            this.waitSendContent = null;
        }
        String uuid = UUID.randomUUID().toString();
        long currentTimeMillis = DateHelper.currentTimeMillis();
        String string = XfStoreMerchant.getString(XfStoreMerchant.USER_INFO);
        String string2 = XfStoreMerchant.getString(XfStoreMerchant.USER_NAME);
        String string3 = XfStoreMerchant.getString(XfStoreMerchant.KEFU_INFO);
        long j = XfStoreMerchant.getLong(XfStoreMerchant.KEFU_TYPE, 0);
        ChatMessage buildSendMessage = ChatMessageHelper.buildSendMessage(roomCode, uuid, currentTimeMillis, string, string2, null, string3, null, null, j, i, str, 0, -1, -1, false, null, false);
        boolean addChatMessage = this.viewModel.addChatMessage(buildSendMessage);
        if (addChatMessage) {
            this.messageAdapter.addData(buildSendMessage);
            this.rvMessage.scrollToPosition(this.messageAdapter.getItemCount() - 1);
            if (!z) {
                SocketManager.sendMsg(Z.MERCHANT_ID, Long.valueOf(j), currentTimeMillis, uuid, roomCode, string, string2, string3, ProtocolBase.CONTENT_TYPE.forNumber(i), str.getBytes());
            }
        }
        return addChatMessage;
    }

    private void setEmojiFragment(boolean z) {
        BackStackRecord backStackRecord = new BackStackRecord(getChildFragmentManager());
        int i = R.id.layout_emoji;
        EmojiconsFragment emojiconsFragment = new EmojiconsFragment();
        Bundle bundle = new Bundle();
        bundle.putBoolean("useSystemDefaults", z);
        emojiconsFragment.setArguments(bundle);
        backStackRecord.replace(i, emojiconsFragment);
        backStackRecord.commit();
    }

    public /* synthetic */ void lambda$initObserve$10$KefuFragment(List list) {
        this.messageAdapter.addData(list);
        String roomCode = XfStoreMerchant.getRoomCode();
        String string = XfStoreMerchant.getString(XfStoreMerchant.INTRODUCE);
        if (string != null && !"".equals(string)) {
            ChatMessage buildIntroduceMessage = ChatMessageHelper.buildIntroduceMessage(roomCode, string);
            if (this.viewModel.addChatMessage(buildIntroduceMessage)) {
                this.messageAdapter.addData(buildIntroduceMessage);
            }
        }
        this.viewModel.getQuestionList(Z.MERCHANT_ID, XfStoreMerchant.getLong(XfStoreMerchant.KEFU_TYPE, 0), 0, null);
        this.rvMessage.scrollToPosition(this.messageAdapter.getItemCount() - 1);
    }

    public /* synthetic */ void lambda$initObserve$11$KefuFragment(KefuInfo kefuInfo) {
        if (kefuInfo != null) {
            this.staffInfo = kefuInfo;
        }
    }

    public /* synthetic */ void lambda$initObserve$12$KefuFragment(List list) {
        if (list == null || list.size() == 0) {
            XfStoreMerchant.setLong(XfStoreMerchant.KEFU_TYPE, 0);
        } else if (list.size() == 1) {
            XfStoreMerchant.setLong(XfStoreMerchant.KEFU_TYPE, ((Skill) list.get(0)).kefuType);
            this.viewModel.getQuestionList(Z.MERCHANT_ID, XfStoreMerchant.getLong(XfStoreMerchant.KEFU_TYPE, 0), 0, null);
        } else {
            new SkillPickerDialog(this.activity, list, new SkillPickerDialog.Listener() {
                /* class net.xfkefu.sdk.ui.KefuFragment.AnonymousClass7 */

                @Override // net.xfkefu.sdk.dialog.SkillPickerDialog.Listener
                public void onPicker(Skill skill) {
                    KefuFragment.this.viewModel.getQuestionList(Z.MERCHANT_ID, XfStoreMerchant.getLong(XfStoreMerchant.KEFU_TYPE, 0), 0, null);
                }
            }).show(getChildFragmentManager());
        }
    }

    public /* synthetic */ void lambda$initObserve$13$KefuFragment(QuestionAnswer questionAnswer) {
        if (questionAnswer != null) {
            ChatMessage buildQuestionMessage = ChatMessageHelper.buildQuestionMessage(XfStoreMerchant.getRoomCode(), questionAnswer.id, questionAnswer.question);
            if (this.viewModel.addChatMessage(buildQuestionMessage)) {
                this.messageAdapter.addData(buildQuestionMessage);
                this.rvMessage.scrollToPosition(this.messageAdapter.getItemCount() - 1);
            }
        }
    }

    public /* synthetic */ void lambda$initObserve$14$KefuFragment(List list) {
        if (list != null && list.size() > 0 && this.questionBarAdapter == null) {
            this.rvQuestion.setVisibility(0);
            LinearLayoutManager linearLayoutManager = new LinearLayoutManager(this.activity);
            linearLayoutManager.setOrientation(0);
            this.rvQuestion.setLayoutManager(linearLayoutManager);
            QuestionBarRecyclerViewAdapter questionBarRecyclerViewAdapter = new QuestionBarRecyclerViewAdapter(this.activity, list);
            this.questionBarAdapter = questionBarRecyclerViewAdapter;
            this.rvQuestion.setAdapter(questionBarRecyclerViewAdapter);
        }
    }

    public /* synthetic */ void lambda$initObserve$15$KefuFragment(MerchantSetting merchantSetting) {
        if (merchantSetting != null && merchantSetting.rate) {
            this.btnRate.setVisibility(0);
        }
    }

    public /* synthetic */ void lambda$initObserve$9$KefuFragment(ChatRoom chatRoom) {
        boolean z = false;
        if (chatRoom != null) {
            this.layoutInit.setVisibility(8);
            String str = chatRoom.customerInfo;
            if (str != null && !"".equals(str)) {
                z = true;
            }
            this.SingleBuild = z;
            String roomCode = XfStoreMerchant.getRoomCode();
            if (roomCode != null) {
                this.viewModel.getHistoryMessage(roomCode);
                this.viewModel.getKefuInfo(Z.MERCHANT_ID, XfStoreMerchant.getString(XfStoreMerchant.KEFU_INFO));
                this.viewModel.getSettingByMchKey(XfKefu.MchKey);
                if (XfStoreMerchant.getLong(XfStoreMerchant.KEFU_TYPE, 0) == 0) {
                    this.viewModel.getKefuTypeList(Z.MERCHANT_ID);
                    return;
                }
                return;
            }
            if (XfStoreMerchant.getLong(XfStoreMerchant.KEFU_TYPE, 0) == 0) {
                this.viewModel.getKefuTypeList(Z.MERCHANT_ID);
            } else {
                this.viewModel.getQuestionList(Z.MERCHANT_ID, XfStoreMerchant.getLong(XfStoreMerchant.KEFU_TYPE, 0), 0, null);
            }
            String string = XfStoreMerchant.getString(XfStoreMerchant.INTRODUCE);
            if (string != null && !"".equals(string)) {
                ChatMessage buildIntroduceMessage = ChatMessageHelper.buildIntroduceMessage(ChatRoomHelper.genRoomCode(XfStoreMerchant.getLong(XfStoreMerchant.DATA_CENTER_ID), Z.MERCHANT_ID, XfStoreMerchant.getString(XfStoreMerchant.USER_INFO)), string);
                if (this.viewModel.addChatMessage(buildIntroduceMessage)) {
                    this.messageAdapter.addData(buildIntroduceMessage);
                    return;
                }
                return;
            }
            return;
        }
        this.tvInit.setText(R.string.kefu_init_failed);
        this.btnInit.setVisibility(0);
    }

    public /* synthetic */ void lambda$initView$1$KefuFragment(View view) {
        this.tvInit.setText(R.string.kefu_init_ing);
        this.btnInit.setVisibility(4);
        this.viewModel.init(this.activity);
    }

    public /* synthetic */ void lambda$initView$3$KefuFragment(View view) {
        this.etMessage.requestFocus();
        if (this.layoutAdd.getVisibility() == 0) {
            this.layoutAdd.setVisibility(8);
        }
        if (this.layoutEmoji.getVisibility() == 8) {
            this.layoutEmoji.setVisibility(0);
            ((InputMethodManager) this.activity.getSystemService("input_method")).hideSoftInputFromWindow(this.etMessage.getWindowToken(), 0);
            return;
        }
        this.layoutEmoji.setVisibility(8);
    }

    public /* synthetic */ void lambda$initView$4$KefuFragment(View view) {
        if (this.layoutEmoji.getVisibility() == 0) {
            this.layoutEmoji.setVisibility(8);
        }
        if (this.layoutAdd.getVisibility() == 8) {
            this.layoutAdd.setVisibility(0);
            ((InputMethodManager) this.activity.getSystemService("input_method")).hideSoftInputFromWindow(this.etMessage.getWindowToken(), 0);
            return;
        }
        this.layoutAdd.setVisibility(8);
    }

    public /* synthetic */ void lambda$initView$5$KefuFragment(View view) {
        if (sendMessage(false, 1, this.etMessage.getText().toString())) {
            this.etMessage.setText("");
        }
    }

    public /* synthetic */ void lambda$initView$6$KefuFragment(View view) {
        cameraImagePick();
    }

    public /* synthetic */ void lambda$initView$7$KefuFragment(View view) {
        photoImagePick();
    }

    public /* synthetic */ void lambda$initView$8$KefuFragment(View view) {
        this.layoutAdd.setVisibility(8);
        this.layoutEmoji.setVisibility(8);
    }

    public void lambda$onCreate$0$KefuFragment(ActivityResult activityResult) {
        if (activityResult.mResultCode != 0) {
            this.layoutAdd.setVisibility(8);
            try {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("thumbnailUrl", (Object) null);
                jSONObject.put("imageUrl", (Object) null);
                jSONObject.put("filePath", this.outputFile.getPath());
                sendMessage(true, 3, jSONObject.toString());
            } catch (JSONException e) {
                e.printStackTrace();
            }
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        this.activity = requireActivity();
        this.cameraPermissionLauncher = registerForActivityResult(new ActivityResultContracts$RequestMultiplePermissions(), new ActivityResultCallback<Map<String, Boolean>>() {
            /* class net.xfkefu.sdk.ui.KefuFragment.AnonymousClass1 */

            public void onActivityResult(Map<String, Boolean> map) {
                int i = 0;
                for (Boolean bool : map.values()) {
                    if (bool.booleanValue()) {
                        i++;
                    }
                }
                if (i == map.size()) {
                    new Handler(Looper.getMainLooper()).postDelayed(new Runnable() {
                        /* class net.xfkefu.sdk.ui.KefuFragment.AnonymousClass1.AnonymousClass1 */

                        public void run() {
                            KefuFragment.this.cameraImagePick();
                        }
                    }, 500);
                }
            }
        });
        this.photoPermissionLauncher = registerForActivityResult(new ActivityResultContracts$RequestMultiplePermissions(), new ActivityResultCallback<Map<String, Boolean>>() {
            /* class net.xfkefu.sdk.ui.KefuFragment.AnonymousClass2 */

            public void onActivityResult(Map<String, Boolean> map) {
                int i = 0;
                for (Boolean bool : map.values()) {
                    if (bool.booleanValue()) {
                        i++;
                    }
                }
                if (i == map.size()) {
                    new Handler(Looper.getMainLooper()).postDelayed(new Runnable() {
                        /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$2$PC1kbta8RDubYCwkCG6Ard9IHgc */

                        public final void run() {
                            KefuFragment.this.photoImagePick();
                        }
                    }, 500);
                }
            }
        });
        this.cameraActivityLauncher = registerForActivityResult(new ActivityResultContracts$StartActivityForResult(), new ActivityResultCallback() {
            /* class net.xfkefu.sdk.ui.$$Lambda$KefuFragment$8dWgrLT0xjLoKqW6WdeChZUgU */

            @Override // androidx.activity.result.ActivityResultCallback
            public final void onActivityResult(Object obj) {
                KefuFragment.this.lambda$onCreate$0$KefuFragment((ActivityResult) obj);
            }
        });
        this.photoActivityLauncher = registerForActivityResult(new ActivityResultContracts$StartActivityForResult(), new ActivityResultCallback<ActivityResult>() {
            /* class net.xfkefu.sdk.ui.KefuFragment.AnonymousClass3 */

            public void onActivityResult(ActivityResult activityResult) {
                String str;
                if (activityResult.mResultCode != 0 && activityResult.mData != null) {
                    KefuFragment.this.layoutAdd.setVisibility(8);
                    try {
                        Uri data = activityResult.mData.getData();
                        if (data != null) {
                            String[] strArr = {"_data", "width", "height"};
                            Cursor query = KefuFragment.this.requireActivity().getContentResolver().query(data, strArr, null, null, null);
                            query.moveToFirst();
                            str = query.getString(query.getColumnIndex(strArr[0]));
                            query.close();
                        } else {
                            str = activityResult.mData.getAction();
                            if (str != null) {
                                str = str.replace("file://", "");
                            }
                        }
                        if (str != null) {
                            try {
                                JSONObject jSONObject = new JSONObject();
                                jSONObject.put("thumbnailUrl", (Object) null);
                                jSONObject.put("imageUrl", (Object) null);
                                jSONObject.put("filePath", str);
                                KefuFragment.this.sendMessage(true, 3, jSONObject.toString());
                            } catch (JSONException e) {
                                e.printStackTrace();
                            }
                        }
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
            }
        });
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        View inflate = LayoutInflater.from(this.activity).inflate(R.layout.kefu_fragment_main, viewGroup, false);
        initView(inflate);
        initObserve();
        initData();
        return inflate;
    }

    @Override // io.github.rockerhieu.emojicon.EmojiconsFragment.OnEmojiconBackspaceClickedListener
    public void onEmojiconBackspaceClicked(View view) {
        this.etMessage.dispatchKeyEvent(new KeyEvent(0, 0, 0, 67, 0, 0, 0, 0, 6));
    }

    @Override // io.github.rockerhieu.emojicon.EmojiconGridFragment.OnEmojiconClickedListener
    public void onEmojiconClicked(Emojicon emojicon) {
        EditText editText = this.etMessage;
        if (editText != null && emojicon != null) {
            int selectionStart = editText.getSelectionStart();
            int selectionEnd = editText.getSelectionEnd();
            if (selectionStart < 0) {
                editText.append(emojicon.emoji);
                return;
            }
            Editable text = editText.getText();
            int min = Math.min(selectionStart, selectionEnd);
            int max = Math.max(selectionStart, selectionEnd);
            String str = emojicon.emoji;
            text.replace(min, max, str, 0, str.length());
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onPause() {
        super.onPause();
        XfKefu.resetUnreadMsgNum();
        LocalBroadcastManager.getInstance(requireActivity()).unregisterReceiver(this.broadcastReceiver);
    }

    @Override // androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        XfKefu.resetUnreadMsgNum();
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction(Z.BUILD_SIGNAL_ACTION);
        intentFilter.addAction(Z.CUSTOMER_JOIN_ACTION);
        intentFilter.addAction(Z.MESSAGE_NEW_ACTION);
        intentFilter.addAction(Z.MESSAGE_ID_ACTION);
        intentFilter.addAction(Z.MESSAGE_STATUS_ACTION);
        intentFilter.addAction(Z.COMMON_PROBLEM_ACTION);
        intentFilter.addAction(Z.QUESTION_ACTION);
        intentFilter.addAction(Z.QUESTION_NOTIFY_ACTION);
        intentFilter.addAction(Z.ANSWER_ACTION);
        LocalBroadcastManager.getInstance(requireActivity()).registerReceiver(this.broadcastReceiver, intentFilter);
    }
}
