package net.xfkefu.sdk.ui;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.webkit.WebChromeClient;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatActivity;
import net.xfkefu.sdk.R;
import net.xfkefu.sdk.a.XfLog;

public class WebViewActivity extends AppCompatActivity {
    private static final String TAG = WebViewActivity.class.getSimpleName();
    private TextView tvTitle;
    private WebView webView;

    public static Intent getIntent(Context context, String str) {
        Intent intent = new Intent(context, WebViewActivity.class);
        intent.putExtra("url", str);
        return intent;
    }

    private void initData() {
        String string = getIntent().getExtras().getString("url");
        XfLog.debug(TAG, string);
        this.webView.loadUrl(string);
    }

    private void initObserve() {
    }

    private void initView() {
        setContentView(R.layout.kefu_activity_web_view);
        findViewById(R.id.nav_back).setOnClickListener(new View.OnClickListener() {
            /* class net.xfkefu.sdk.ui.WebViewActivity.AnonymousClass1 */

            public void onClick(View view) {
                WebViewActivity.this.finish();
            }
        });
        this.tvTitle = (TextView) findViewById(R.id.tv_title);
        WebView webView2 = (WebView) findViewById(R.id.web_view);
        this.webView = webView2;
        webView2.setWebViewClient(new WebViewClient() {
            /* class net.xfkefu.sdk.ui.WebViewActivity.AnonymousClass2 */

            @Override // android.webkit.WebViewClient
            public boolean shouldOverrideUrlLoading(WebView webView, String str) {
                if (str == null) {
                    return false;
                }
                if (!str.startsWith("file://") && !str.startsWith("http://") && !str.startsWith("https://")) {
                    return true;
                }
                webView.loadUrl(str);
                return true;
            }
        });
        WebSettings settings = this.webView.getSettings();
        settings.setJavaScriptEnabled(true);
        settings.setDomStorageEnabled(true);
        settings.setUseWideViewPort(true);
        settings.setLoadWithOverviewMode(true);
        settings.setSupportZoom(false);
        settings.setBuiltInZoomControls(false);
        settings.setDisplayZoomControls(false);
        settings.setCacheMode(1);
        settings.setAllowFileAccess(true);
        settings.setJavaScriptCanOpenWindowsAutomatically(true);
        settings.setLoadsImagesAutomatically(true);
        settings.setDefaultTextEncodingName("utf-8");
        settings.setDefaultFontSize(40);
        this.webView.setWebChromeClient(new WebChromeClient() {
            /* class net.xfkefu.sdk.ui.WebViewActivity.AnonymousClass3 */

            public void onReceivedTitle(WebView webView, String str) {
                WebViewActivity.this.tvTitle.setText(str);
            }
        });
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        initView();
        initData();
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onPause() {
        super.onPause();
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onResume() {
        super.onResume();
    }
}
