package net.xfkefu.sdk.view;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import androidx.appcompat.widget.AppCompatButton;
import net.xfkefu.sdk.a.DateHelper;
import net.xfkefu.sdk.a.XfLog;

public class XfButton extends AppCompatButton {
    private long lastClickTime = 0;
    private View.OnClickListener mOnClickListener;
    private final View.OnClickListener viewOnClickListener = new View.OnClickListener() {
        /* class net.xfkefu.sdk.view.XfButton.AnonymousClass1 */

        public void onClick(View view) {
            long currentTimeMillis = DateHelper.currentTimeMillis();
            if (currentTimeMillis - XfButton.this.lastClickTime > 10) {
                XfButton.this.lastClickTime = currentTimeMillis;
                if (XfButton.this.mOnClickListener != null) {
                    XfButton.this.mOnClickListener.onClick(view);
                    return;
                }
                return;
            }
            XfLog.debug("XfButton", "重复点击");
        }
    };

    public XfButton(Context context) {
        super(context);
    }

    public void setOnClickListener(View.OnClickListener onClickListener) {
        super.setOnClickListener(this.viewOnClickListener);
        this.mOnClickListener = onClickListener;
    }

    public XfButton(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public XfButton(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }
}
