package net.xfkefu.sdk.view;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import androidx.appcompat.widget.AppCompatImageButton;
import net.xfkefu.sdk.a.DateHelper;
import net.xfkefu.sdk.a.XfLog;

public class XfImageButton extends AppCompatImageButton {
    private long lastClickTime = 0;
    private View.OnClickListener mOnClickListener;
    private final View.OnClickListener viewOnClickListener = new View.OnClickListener() {
        /* class net.xfkefu.sdk.view.XfImageButton.AnonymousClass1 */

        public void onClick(View view) {
            long currentTimeMillis = DateHelper.currentTimeMillis();
            if (currentTimeMillis - XfImageButton.this.lastClickTime > 1000) {
                XfImageButton.this.lastClickTime = currentTimeMillis;
                if (XfImageButton.this.mOnClickListener != null) {
                    XfImageButton.this.mOnClickListener.onClick(view);
                    return;
                }
                return;
            }
            XfLog.debug("XfImageButton", "重复点击");
        }
    };

    public XfImageButton(Context context) {
        super(context);
    }

    public void setOnClickListener(View.OnClickListener onClickListener) {
        super.setOnClickListener(this.viewOnClickListener);
        this.mOnClickListener = onClickListener;
    }

    public XfImageButton(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public XfImageButton(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }
}
