package net.xfkefu.sdk.viewholder;

import android.graphics.drawable.Drawable;
import android.util.DisplayMetrics;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.fragment.app.FragmentActivity;
import com.bumptech.glide.Glide;
import com.bumptech.glide.RequestBuilder;
import com.bumptech.glide.load.DataSource;
import com.bumptech.glide.load.engine.GlideException;
import com.bumptech.glide.request.RequestListener;
import com.bumptech.glide.request.target.Target;
import net.xfkefu.sdk.R;
import net.xfkefu.sdk.a.CacheHelper;
import net.xfkefu.sdk.dialog.ImageViewDialog;
import net.xfkefu.sdk.entity.ChatMessage;

public class ImageInViewHolder extends MessageItemViewHolder {
    public ImageView ivCover;

    public ImageInViewHolder(View view) {
        super(view);
        this.ivCover = (ImageView) view.findViewById(R.id.iv_cover);
    }

    @Override // net.xfkefu.sdk.viewholder.MessageItemViewHolder
    public void onBindViewHolder(final FragmentActivity fragmentActivity, final ChatMessage chatMessage, boolean z) {
        final String str = chatMessage.content;
        CacheHelper.cacheImage(fragmentActivity, str, new CacheHelper.Listener() {
            /* class net.xfkefu.sdk.viewholder.ImageInViewHolder.AnonymousClass1 */

            @Override // net.xfkefu.sdk.a.CacheHelper.Listener
            public void onFinish(boolean z, String str) {
                if (z) {
                    ((RequestBuilder) Glide.with(fragmentActivity).load(str).error(R.drawable.kefu_image_broken)).listener(new RequestListener<Drawable>() {
                        /* class net.xfkefu.sdk.viewholder.ImageInViewHolder.AnonymousClass1.AnonymousClass1 */

                        @Override // com.bumptech.glide.request.RequestListener
                        public boolean onLoadFailed(GlideException glideException, Object obj, Target<Drawable> target, boolean z) {
                            return false;
                        }

                        public boolean onResourceReady(Drawable drawable, Object obj, Target<Drawable> target, DataSource dataSource, boolean z) {
                            DisplayMetrics displayMetrics = new DisplayMetrics();
                            fragmentActivity.getWindowManager().getDefaultDisplay().getRealMetrics(displayMetrics);
                            float f = ((float) displayMetrics.widthPixels) / 2.5f;
                            int intrinsicWidth = drawable.getIntrinsicWidth();
                            int intrinsicHeight = drawable.getIntrinsicHeight();
                            ViewGroup.LayoutParams layoutParams = ImageInViewHolder.this.ivCover.getLayoutParams();
                            if (intrinsicWidth > intrinsicHeight) {
                                layoutParams.width = (int) f;
                                layoutParams.height = (int) ((f / ((float) intrinsicWidth)) * ((float) intrinsicHeight));
                            } else {
                                layoutParams.width = (int) ((f / ((float) intrinsicHeight)) * ((float) intrinsicWidth));
                                layoutParams.height = (int) f;
                            }
                            ImageInViewHolder.this.ivCover.setLayoutParams(layoutParams);
                            return false;
                        }
                    }).into(ImageInViewHolder.this.ivCover);
                } else {
                    ((RequestBuilder) Glide.with(fragmentActivity).load(str).error(R.drawable.kefu_image_broken)).listener(new RequestListener<Drawable>() {
                        /* class net.xfkefu.sdk.viewholder.ImageInViewHolder.AnonymousClass1.AnonymousClass2 */

                        @Override // com.bumptech.glide.request.RequestListener
                        public boolean onLoadFailed(GlideException glideException, Object obj, Target<Drawable> target, boolean z) {
                            return false;
                        }

                        public boolean onResourceReady(Drawable drawable, Object obj, Target<Drawable> target, DataSource dataSource, boolean z) {
                            DisplayMetrics displayMetrics = new DisplayMetrics();
                            fragmentActivity.getWindowManager().getDefaultDisplay().getRealMetrics(displayMetrics);
                            float f = ((float) displayMetrics.widthPixels) / 2.5f;
                            int intrinsicWidth = drawable.getIntrinsicWidth();
                            int intrinsicHeight = drawable.getIntrinsicHeight();
                            ViewGroup.LayoutParams layoutParams = ImageInViewHolder.this.ivCover.getLayoutParams();
                            if (intrinsicWidth > intrinsicHeight) {
                                layoutParams.width = (int) f;
                                layoutParams.height = (int) ((f / ((float) intrinsicWidth)) * ((float) intrinsicHeight));
                            } else {
                                layoutParams.width = (int) ((f / ((float) intrinsicHeight)) * ((float) intrinsicWidth));
                                layoutParams.height = (int) f;
                            }
                            ImageInViewHolder.this.ivCover.setLayoutParams(layoutParams);
                            return false;
                        }
                    }).into(ImageInViewHolder.this.ivCover);
                }
            }
        });
        this.ivCover.setOnClickListener(new View.OnClickListener() {
            /* class net.xfkefu.sdk.viewholder.ImageInViewHolder.AnonymousClass2 */

            public void onClick(View view) {
                CacheHelper.cacheImage(fragmentActivity, chatMessage.content, new CacheHelper.Listener() {
                    /* class net.xfkefu.sdk.viewholder.ImageInViewHolder.AnonymousClass2.AnonymousClass1 */

                    @Override // net.xfkefu.sdk.a.CacheHelper.Listener
                    public void onFinish(boolean z, String str) {
                        if (z) {
                            new ImageViewDialog(fragmentActivity, str).show(fragmentActivity.getSupportFragmentManager());
                        }
                    }
                });
            }
        });
    }
}
