package net.xfkefu.sdk.viewholder;

import android.content.Context;
import android.view.View;
import android.widget.TextView;
import androidx.fragment.app.FragmentActivity;
import com.android.tools.r8.GeneratedOutlineSupport;
import net.xfkefu.sdk.R;
import net.xfkefu.sdk.a.XfLog;
import net.xfkefu.sdk.entity.ChatMessage;
import net.xfkefu.sdk.model.ChatMessageModel;
import net.xfkefu.sdk.view.XfImageButton;

public class TextOutViewHolder extends MessageItemViewHolder {
    public XfImageButton btnSend;
    public TextView tvContent;
    public TextView tvStatus;

    public TextOutViewHolder(View view) {
        super(view);
        this.tvContent = (TextView) view.findViewById(R.id.tv_message_content);
        this.tvStatus = (TextView) view.findViewById(R.id.tv_status);
        this.btnSend = (XfImageButton) view.findViewById(R.id.btn_send_failed);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void autoResend(final Context context, final ChatMessage chatMessage) {
        String simpleName = TextOutViewHolder.class.getSimpleName();
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("autoResend times:");
        outline25.append(chatMessage.sendTimes);
        XfLog.debug(simpleName, outline25.toString());
        if (chatMessage.sendTimes < 2) {
            new Thread(new Runnable() {
                /* class net.xfkefu.sdk.viewholder.TextOutViewHolder.AnonymousClass3 */

                public void run() {
                    if (new ChatMessageModel().dbGetByUUID(chatMessage.uuid).status != 0) {
                        String simpleName = TextOutViewHolder.class.getSimpleName();
                        StringBuilder outline25 = GeneratedOutlineSupport.outline25("autoResend times:");
                        outline25.append(chatMessage.sendTimes);
                        outline25.append(" 发送成功不继续重发");
                        XfLog.debug(simpleName, outline25.toString());
                        TextOutViewHolder.this.tvStatus.post(new Runnable() {
                            /* class net.xfkefu.sdk.viewholder.TextOutViewHolder.AnonymousClass3.AnonymousClass1 */

                            public void run() {
                                AnonymousClass3 r0 = AnonymousClass3.this;
                                int i = chatMessage.status;
                                if (i == 1 || i == 2) {
                                    TextOutViewHolder.this.btnSend.setVisibility(8);
                                    TextOutViewHolder.this.tvStatus.setVisibility(0);
                                    TextOutViewHolder.this.tvStatus.setText(R.string.kefu_unread);
                                } else if (i != 3) {
                                    TextOutViewHolder.this.btnSend.setVisibility(8);
                                    TextOutViewHolder.this.tvStatus.setVisibility(8);
                                } else {
                                    TextOutViewHolder.this.btnSend.setVisibility(8);
                                    TextOutViewHolder.this.tvStatus.setVisibility(0);
                                    TextOutViewHolder.this.tvStatus.setText(R.string.kefu_read);
                                }
                            }
                        });
                        return;
                    }
                    TextOutViewHolder.this.sendMessage(chatMessage);
                    chatMessage.sendTimes++;
                    TextOutViewHolder.this.btnSend.post(new Runnable() {
                        /* class net.xfkefu.sdk.viewholder.TextOutViewHolder.AnonymousClass3.AnonymousClass2 */

                        public void run() {
                            AnonymousClass3 r0 = AnonymousClass3.this;
                            TextOutViewHolder.this.autoResend(context, chatMessage);
                        }
                    });
                }
            }).start();
        } else {
            this.btnSend.postDelayed(new Runnable() {
                /* class net.xfkefu.sdk.viewholder.TextOutViewHolder.AnonymousClass4 */

                public void run() {
                    ChatMessageModel chatMessageModel = new ChatMessageModel();
                    if (chatMessageModel.dbGetByUUID(chatMessage.uuid).status == 0) {
                        TextOutViewHolder.this.btnSend.setVisibility(0);
                        TextOutViewHolder.this.tvStatus.setVisibility(8);
                    }
                    ChatMessage chatMessage = chatMessage;
                    int i = chatMessage.sendTimes + 1;
                    chatMessage.sendTimes = i;
                    chatMessageModel.dbUpdateSendTimes(chatMessage.sequence, i);
                }
            }, 5000);
        }
    }

    @Override // net.xfkefu.sdk.viewholder.MessageItemViewHolder
    public void onBindViewHolder(final FragmentActivity fragmentActivity, final ChatMessage chatMessage, boolean z) {
        this.tvContent.setText(chatMessage.content);
        int i = chatMessage.status;
        if (i != 0) {
            if (i == 1 || i == 2) {
                this.btnSend.setVisibility(8);
                this.tvStatus.setVisibility(0);
                this.tvStatus.setText(R.string.kefu_unread);
            } else if (i != 3) {
                this.btnSend.setVisibility(8);
                this.tvStatus.setVisibility(8);
            } else {
                this.btnSend.setVisibility(8);
                this.tvStatus.setVisibility(0);
                this.tvStatus.setText(R.string.kefu_read);
            }
        } else if (chatMessage.sendTimes > 0) {
            this.tvStatus.setVisibility(8);
            this.btnSend.setVisibility(0);
        } else {
            this.tvStatus.setVisibility(0);
            this.tvStatus.setText(R.string.kefu_send_message_ing);
            this.btnSend.setVisibility(8);
            this.btnSend.postDelayed(new Runnable() {
                /* class net.xfkefu.sdk.viewholder.TextOutViewHolder.AnonymousClass1 */

                public void run() {
                    TextOutViewHolder.this.autoResend(fragmentActivity, chatMessage);
                }
            }, 5000);
        }
        this.btnSend.setOnClickListener(new View.OnClickListener() {
            /* class net.xfkefu.sdk.viewholder.TextOutViewHolder.AnonymousClass2 */

            public void onClick(View view) {
                TextOutViewHolder.this.tvStatus.setVisibility(0);
                TextOutViewHolder.this.tvStatus.setText(R.string.kefu_send_message_ing);
                TextOutViewHolder.this.btnSend.setVisibility(8);
                ChatMessage chatMessage = chatMessage;
                chatMessage.sendTimes = 1;
                TextOutViewHolder.this.autoResend(fragmentActivity, chatMessage);
            }
        });
    }
}
