package okhttp3;

import androidx.transition.ViewGroupUtilsApi14;
import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import java.net.MalformedURLException;
import java.net.URI;
import java.net.URISyntaxException;
import java.net.URL;
import java.nio.charset.Charset;
import java.nio.charset.StandardCharsets;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.ranges.IntProgression;
import kotlin.ranges.RangesKt___RangesKt;
import kotlin.text.Regex;
import kotlin.text.StringsKt__IndentKt;
import okhttp3.internal.Util;
import okio.Buffer;

/* compiled from: HttpUrl.kt */
public final class HttpUrl {
    public static final Companion Companion = new Companion(null);
    public static final char[] HEX_DIGITS = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'};
    public final String fragment;
    public final String host;
    public final boolean isHttps;
    public final String password;
    public final int port;
    public final List<String> queryNamesAndValues;
    public final String scheme;
    public final String url;
    public final String username;

    /* compiled from: HttpUrl.kt */
    public final class Builder {
        public static final Companion Companion = new Companion(null);
        public String encodedFragment;
        public String encodedPassword = "";
        public final List<String> encodedPathSegments;
        public List<String> encodedQueryNamesAndValues;
        public String encodedUsername = "";
        public String host;
        public int port = -1;
        public String scheme;

        /* compiled from: HttpUrl.kt */
        public final class Companion {
            public Companion(DefaultConstructorMarker defaultConstructorMarker) {
            }
        }

        public Builder() {
            ArrayList arrayList = new ArrayList();
            this.encodedPathSegments = arrayList;
            arrayList.add("");
        }

        public final HttpUrl build() {
            ArrayList arrayList;
            String str = this.scheme;
            if (str != null) {
                Companion companion = HttpUrl.Companion;
                String percentDecode$okhttp$default = Companion.percentDecode$okhttp$default(companion, this.encodedUsername, 0, 0, false, 7);
                String percentDecode$okhttp$default2 = Companion.percentDecode$okhttp$default(companion, this.encodedPassword, 0, 0, false, 7);
                String str2 = this.host;
                if (str2 != null) {
                    int effectivePort = effectivePort();
                    List<String> list = this.encodedPathSegments;
                    ArrayList arrayList2 = new ArrayList(ViewGroupUtilsApi14.collectionSizeOrDefault(list, 10));
                    Iterator<T> it = list.iterator();
                    while (it.hasNext()) {
                        arrayList2.add(Companion.percentDecode$okhttp$default(HttpUrl.Companion, it.next(), 0, 0, false, 7));
                    }
                    List<String> list2 = this.encodedQueryNamesAndValues;
                    if (list2 != null) {
                        arrayList = new ArrayList(ViewGroupUtilsApi14.collectionSizeOrDefault(list2, 10));
                        Iterator<T> it2 = list2.iterator();
                        while (it2.hasNext()) {
                            T next = it2.next();
                            arrayList.add(next != null ? Companion.percentDecode$okhttp$default(HttpUrl.Companion, next, 0, 0, true, 3) : null);
                        }
                    } else {
                        arrayList = null;
                    }
                    String str3 = this.encodedFragment;
                    return new HttpUrl(str, percentDecode$okhttp$default, percentDecode$okhttp$default2, str2, effectivePort, arrayList2, arrayList, str3 != null ? Companion.percentDecode$okhttp$default(HttpUrl.Companion, str3, 0, 0, false, 7) : null, toString());
                }
                throw new IllegalStateException("host == null");
            }
            throw new IllegalStateException("scheme == null");
        }

        public final int effectivePort() {
            int i = this.port;
            if (i != -1) {
                return i;
            }
            String str = this.scheme;
            Intrinsics.checkNotNull(str);
            Intrinsics.checkNotNullParameter(str, "scheme");
            int hashCode = str.hashCode();
            if (hashCode != 3213448) {
                if (hashCode == 99617003 && str.equals("https")) {
                    return 443;
                }
            } else if (str.equals("http")) {
                return 80;
            }
            return -1;
        }

        public final Builder encodedQuery(String str) {
            List<String> list;
            if (str != null) {
                Companion companion = HttpUrl.Companion;
                list = companion.toQueryNamesAndValues$okhttp(Companion.canonicalize$okhttp$default(companion, str, 0, 0, com.squareup.okhttp.HttpUrl.QUERY_ENCODE_SET, true, false, true, false, null, 211));
            } else {
                list = null;
            }
            this.encodedQueryNamesAndValues = list;
            return this;
        }

        /* JADX DEBUG: Failed to insert an additional move for type inference into block B:218:0x0327 */
        /* JADX WARN: Type inference failed for: r3v10, types: [boolean, int] */
        /* JADX WARN: Type inference failed for: r3v12 */
        /* JADX WARN: Type inference failed for: r3v13 */
        /* JADX WARN: Type inference failed for: r3v14 */
        /* JADX WARN: Type inference failed for: r3v45 */
        /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
            jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
            	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:57)
            	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
            	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:15)
            */
        /* JADX WARNING: Removed duplicated region for block: B:113:0x0285  */
        /* JADX WARNING: Removed duplicated region for block: B:114:0x0287  */
        /* JADX WARNING: Removed duplicated region for block: B:116:0x028a  */
        /* JADX WARNING: Removed duplicated region for block: B:117:0x028e  */
        /* JADX WARNING: Removed duplicated region for block: B:137:0x032a  */
        /* JADX WARNING: Removed duplicated region for block: B:217:0x03f2 A[SYNTHETIC] */
        public final okhttp3.HttpUrl.Builder parse$okhttp(okhttp3.HttpUrl r27, java.lang.String r28) {
            /*
            // Method dump skipped, instructions count: 1137
            */
            throw new UnsupportedOperationException("Method not decompiled: okhttp3.HttpUrl.Builder.parse$okhttp(okhttp3.HttpUrl, java.lang.String):okhttp3.HttpUrl$Builder");
        }

        /* JADX WARNING: Code restructure failed: missing block: B:14:0x0033, code lost:
            if ((r9.encodedPassword.length() > 0) != false) goto L_0x0035;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:43:0x00b3, code lost:
            if (r1 != r5) goto L_0x00b5;
         */
        public String toString() {
            StringBuilder sb = new StringBuilder();
            String str = this.scheme;
            if (str != null) {
                sb.append(str);
                sb.append("://");
            } else {
                sb.append("//");
            }
            boolean z = true;
            if (!(this.encodedUsername.length() > 0)) {
            }
            sb.append(this.encodedUsername);
            if (this.encodedPassword.length() <= 0) {
                z = false;
            }
            if (z) {
                sb.append(':');
                sb.append(this.encodedPassword);
            }
            sb.append('@');
            String str2 = this.host;
            if (str2 != null) {
                Intrinsics.checkNotNull(str2);
                if (StringsKt__IndentKt.contains$default((CharSequence) str2, ':', false, 2)) {
                    sb.append('[');
                    sb.append(this.host);
                    sb.append(']');
                } else {
                    sb.append(this.host);
                }
            }
            int i = -1;
            if (!(this.port == -1 && this.scheme == null)) {
                int effectivePort = effectivePort();
                String str3 = this.scheme;
                if (str3 != null) {
                    Intrinsics.checkNotNull(str3);
                    Intrinsics.checkNotNullParameter(str3, "scheme");
                    int hashCode = str3.hashCode();
                    if (hashCode != 3213448) {
                        if (hashCode == 99617003 && str3.equals("https")) {
                            i = 443;
                        }
                    } else if (str3.equals("http")) {
                        i = 80;
                    }
                }
                sb.append(':');
                sb.append(effectivePort);
            }
            List<String> list = this.encodedPathSegments;
            Intrinsics.checkNotNullParameter(list, "$this$toPathString");
            Intrinsics.checkNotNullParameter(sb, "out");
            int size = list.size();
            for (int i2 = 0; i2 < size; i2++) {
                sb.append('/');
                sb.append(list.get(i2));
            }
            if (this.encodedQueryNamesAndValues != null) {
                sb.append('?');
                List<String> list2 = this.encodedQueryNamesAndValues;
                Intrinsics.checkNotNull(list2);
                Intrinsics.checkNotNullParameter(list2, "$this$toQueryString");
                Intrinsics.checkNotNullParameter(sb, "out");
                IntProgression step = RangesKt___RangesKt.step(RangesKt___RangesKt.until(0, list2.size()), 2);
                int i3 = step.first;
                int i4 = step.last;
                int i5 = step.step;
                if (i5 < 0 ? i3 >= i4 : i3 <= i4) {
                    while (true) {
                        String str4 = list2.get(i3);
                        String str5 = list2.get(i3 + 1);
                        if (i3 > 0) {
                            sb.append('&');
                        }
                        sb.append(str4);
                        if (str5 != null) {
                            sb.append('=');
                            sb.append(str5);
                        }
                        if (i3 == i4) {
                            break;
                        }
                        i3 += i5;
                    }
                }
            }
            if (this.encodedFragment != null) {
                sb.append('#');
                sb.append(this.encodedFragment);
            }
            String sb2 = sb.toString();
            Intrinsics.checkNotNullExpressionValue(sb2, "StringBuilder().apply(builderAction).toString()");
            return sb2;
        }
    }

    /* compiled from: HttpUrl.kt */
    public final class Companion {
        public Companion(DefaultConstructorMarker defaultConstructorMarker) {
        }

        public static String canonicalize$okhttp$default(Companion companion, String str, int i, int i2, String str2, boolean z, boolean z2, boolean z3, boolean z4, Charset charset, int i3) {
            int i4 = (i3 & 1) != 0 ? 0 : i;
            int length = (i3 & 2) != 0 ? str.length() : i2;
            boolean z5 = (i3 & 8) != 0 ? false : z;
            boolean z6 = (i3 & 16) != 0 ? false : z2;
            boolean z7 = (i3 & 32) != 0 ? false : z3;
            boolean z8 = (i3 & 64) != 0 ? false : z4;
            int i5 = 128;
            Charset charset2 = (i3 & 128) != 0 ? null : charset;
            Intrinsics.checkNotNullParameter(str, "$this$canonicalize");
            Intrinsics.checkNotNullParameter(str2, "encodeSet");
            int i6 = i4;
            while (i6 < length) {
                int codePointAt = str.codePointAt(i6);
                int i7 = 32;
                int i8 = 2;
                if (codePointAt < 32 || codePointAt == 127 || ((codePointAt >= i5 && !z8) || StringsKt__IndentKt.contains$default((CharSequence) str2, (char) codePointAt, false, 2) || ((codePointAt == 37 && (!z5 || (z6 && !companion.isPercentEncoded(str, i6, length)))) || (codePointAt == 43 && z7)))) {
                    Buffer buffer = new Buffer();
                    buffer.writeUtf8(str, i4, i6);
                    Buffer buffer2 = null;
                    while (i6 < length) {
                        int codePointAt2 = str.codePointAt(i6);
                        if (!z5 || !(codePointAt2 == 9 || codePointAt2 == 10 || codePointAt2 == 12 || codePointAt2 == 13)) {
                            if (codePointAt2 != 43 || !z7) {
                                if (codePointAt2 >= i7 && codePointAt2 != 127 && (codePointAt2 < 128 || z8)) {
                                    if (!StringsKt__IndentKt.contains$default((CharSequence) str2, (char) codePointAt2, false, i8) && (codePointAt2 != 37 || (z5 && (!z6 || companion.isPercentEncoded(str, i6, length))))) {
                                        buffer.writeUtf8CodePoint(codePointAt2);
                                        i6 += Character.charCount(codePointAt2);
                                        i8 = 2;
                                        i7 = 32;
                                    }
                                }
                                if (buffer2 == null) {
                                    buffer2 = new Buffer();
                                }
                                if (charset2 == null || Intrinsics.areEqual(charset2, StandardCharsets.UTF_8)) {
                                    buffer2.writeUtf8CodePoint(codePointAt2);
                                } else {
                                    buffer2.writeString(str, i6, Character.charCount(codePointAt2) + i6, charset2);
                                }
                                while (!buffer2.exhausted()) {
                                    int readByte = buffer2.readByte() & 255;
                                    buffer.writeByte(37);
                                    char[] cArr = HttpUrl.HEX_DIGITS;
                                    buffer.writeByte((int) cArr[(readByte >> 4) & 15]);
                                    buffer.writeByte((int) cArr[readByte & 15]);
                                }
                                i6 += Character.charCount(codePointAt2);
                                i8 = 2;
                                i7 = 32;
                            } else {
                                buffer.writeUtf8(z5 ? "+" : "%2B");
                            }
                        }
                        i6 += Character.charCount(codePointAt2);
                        i8 = 2;
                        i7 = 32;
                    }
                    return buffer.readUtf8();
                }
                i6 += Character.charCount(codePointAt);
                i5 = 128;
            }
            String substring = str.substring(i4, length);
            Intrinsics.checkNotNullExpressionValue(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
            return substring;
        }

        public static String percentDecode$okhttp$default(Companion companion, String str, int i, int i2, boolean z, int i3) {
            int i4;
            if ((i3 & 1) != 0) {
                i = 0;
            }
            if ((i3 & 2) != 0) {
                i2 = str.length();
            }
            if ((i3 & 4) != 0) {
                z = false;
            }
            Intrinsics.checkNotNullParameter(str, "$this$percentDecode");
            int i5 = i;
            while (i5 < i2) {
                char charAt = str.charAt(i5);
                if (charAt == '%' || (charAt == '+' && z)) {
                    Buffer buffer = new Buffer();
                    buffer.writeUtf8(str, i, i5);
                    while (i5 < i2) {
                        int codePointAt = str.codePointAt(i5);
                        if (codePointAt == 37 && (i4 = i5 + 2) < i2) {
                            int parseHexDigit = Util.parseHexDigit(str.charAt(i5 + 1));
                            int parseHexDigit2 = Util.parseHexDigit(str.charAt(i4));
                            if (!(parseHexDigit == -1 || parseHexDigit2 == -1)) {
                                buffer.writeByte((parseHexDigit << 4) + parseHexDigit2);
                                i5 = Character.charCount(codePointAt) + i4;
                            }
                        } else if (codePointAt == 43 && z) {
                            buffer.writeByte(32);
                            i5++;
                        }
                        buffer.writeUtf8CodePoint(codePointAt);
                        i5 += Character.charCount(codePointAt);
                    }
                    return buffer.readUtf8();
                }
                i5++;
            }
            String substring = str.substring(i, i2);
            Intrinsics.checkNotNullExpressionValue(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
            return substring;
        }

        public final int defaultPort(String str) {
            Intrinsics.checkNotNullParameter(str, "scheme");
            int hashCode = str.hashCode();
            if (hashCode != 3213448) {
                if (hashCode == 99617003 && str.equals("https")) {
                    return 443;
                }
            } else if (str.equals("http")) {
                return 80;
            }
            return -1;
        }

        public final boolean isPercentEncoded(String str, int i, int i2) {
            int i3 = i + 2;
            if (i3 >= i2 || str.charAt(i) != '%' || Util.parseHexDigit(str.charAt(i + 1)) == -1 || Util.parseHexDigit(str.charAt(i3)) == -1) {
                return false;
            }
            return true;
        }

        public final List<String> toQueryNamesAndValues$okhttp(String str) {
            Intrinsics.checkNotNullParameter(str, "$this$toQueryNamesAndValues");
            ArrayList arrayList = new ArrayList();
            int i = 0;
            while (i <= str.length()) {
                int indexOf$default = StringsKt__IndentKt.indexOf$default((CharSequence) str, '&', i, false, 4);
                if (indexOf$default == -1) {
                    indexOf$default = str.length();
                }
                int indexOf$default2 = StringsKt__IndentKt.indexOf$default((CharSequence) str, '=', i, false, 4);
                if (indexOf$default2 == -1 || indexOf$default2 > indexOf$default) {
                    String substring = str.substring(i, indexOf$default);
                    Intrinsics.checkNotNullExpressionValue(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                    arrayList.add(substring);
                    arrayList.add(null);
                } else {
                    String substring2 = str.substring(i, indexOf$default2);
                    Intrinsics.checkNotNullExpressionValue(substring2, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                    arrayList.add(substring2);
                    String substring3 = str.substring(indexOf$default2 + 1, indexOf$default);
                    Intrinsics.checkNotNullExpressionValue(substring3, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                    arrayList.add(substring3);
                }
                i = indexOf$default + 1;
            }
            return arrayList;
        }
    }

    public HttpUrl(String str, String str2, String str3, String str4, int i, List<String> list, List<String> list2, String str5, String str6) {
        Intrinsics.checkNotNullParameter(str, "scheme");
        Intrinsics.checkNotNullParameter(str2, VpnProfileDataSource.KEY_USERNAME);
        Intrinsics.checkNotNullParameter(str3, VpnProfileDataSource.KEY_PASSWORD);
        Intrinsics.checkNotNullParameter(str4, "host");
        Intrinsics.checkNotNullParameter(list, "pathSegments");
        Intrinsics.checkNotNullParameter(str6, "url");
        this.scheme = str;
        this.username = str2;
        this.password = str3;
        this.host = str4;
        this.port = i;
        this.queryNamesAndValues = list2;
        this.fragment = str5;
        this.url = str6;
        this.isHttps = Intrinsics.areEqual(str, "https");
    }

    public final String encodedPassword() {
        if (this.password.length() == 0) {
            return "";
        }
        int indexOf$default = StringsKt__IndentKt.indexOf$default((CharSequence) this.url, '@', 0, false, 6);
        String str = this.url;
        Objects.requireNonNull(str, "null cannot be cast to non-null type java.lang.String");
        String substring = str.substring(StringsKt__IndentKt.indexOf$default((CharSequence) this.url, ':', this.scheme.length() + 3, false, 4) + 1, indexOf$default);
        Intrinsics.checkNotNullExpressionValue(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
        return substring;
    }

    public final String encodedPath() {
        int indexOf$default = StringsKt__IndentKt.indexOf$default((CharSequence) this.url, '/', this.scheme.length() + 3, false, 4);
        String str = this.url;
        int delimiterOffset = Util.delimiterOffset(str, "?#", indexOf$default, str.length());
        String str2 = this.url;
        Objects.requireNonNull(str2, "null cannot be cast to non-null type java.lang.String");
        String substring = str2.substring(indexOf$default, delimiterOffset);
        Intrinsics.checkNotNullExpressionValue(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
        return substring;
    }

    public final List<String> encodedPathSegments() {
        int indexOf$default = StringsKt__IndentKt.indexOf$default((CharSequence) this.url, '/', this.scheme.length() + 3, false, 4);
        String str = this.url;
        int delimiterOffset = Util.delimiterOffset(str, "?#", indexOf$default, str.length());
        ArrayList arrayList = new ArrayList();
        while (indexOf$default < delimiterOffset) {
            int i = indexOf$default + 1;
            int delimiterOffset2 = Util.delimiterOffset(this.url, '/', i, delimiterOffset);
            String str2 = this.url;
            Objects.requireNonNull(str2, "null cannot be cast to non-null type java.lang.String");
            String substring = str2.substring(i, delimiterOffset2);
            Intrinsics.checkNotNullExpressionValue(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
            arrayList.add(substring);
            indexOf$default = delimiterOffset2;
        }
        return arrayList;
    }

    public final String encodedQuery() {
        if (this.queryNamesAndValues == null) {
            return null;
        }
        int indexOf$default = StringsKt__IndentKt.indexOf$default((CharSequence) this.url, '?', 0, false, 6) + 1;
        String str = this.url;
        int delimiterOffset = Util.delimiterOffset(str, '#', indexOf$default, str.length());
        String str2 = this.url;
        Objects.requireNonNull(str2, "null cannot be cast to non-null type java.lang.String");
        String substring = str2.substring(indexOf$default, delimiterOffset);
        Intrinsics.checkNotNullExpressionValue(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
        return substring;
    }

    public final String encodedUsername() {
        if (this.username.length() == 0) {
            return "";
        }
        int length = this.scheme.length() + 3;
        String str = this.url;
        int delimiterOffset = Util.delimiterOffset(str, ":@", length, str.length());
        String str2 = this.url;
        Objects.requireNonNull(str2, "null cannot be cast to non-null type java.lang.String");
        String substring = str2.substring(length, delimiterOffset);
        Intrinsics.checkNotNullExpressionValue(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
        return substring;
    }

    public boolean equals(Object obj) {
        return (obj instanceof HttpUrl) && Intrinsics.areEqual(((HttpUrl) obj).url, this.url);
    }

    public int hashCode() {
        return this.url.hashCode();
    }

    public final String redact() {
        Builder builder;
        Intrinsics.checkNotNullParameter("/...", "link");
        try {
            builder = new Builder();
            builder.parse$okhttp(this, "/...");
        } catch (IllegalArgumentException unused) {
            builder = null;
        }
        Intrinsics.checkNotNull(builder);
        Intrinsics.checkNotNullParameter("", VpnProfileDataSource.KEY_USERNAME);
        Companion companion = Companion;
        builder.encodedUsername = Companion.canonicalize$okhttp$default(companion, "", 0, 0, com.squareup.okhttp.HttpUrl.USERNAME_ENCODE_SET, false, false, false, false, null, 251);
        Intrinsics.checkNotNullParameter("", VpnProfileDataSource.KEY_PASSWORD);
        builder.encodedPassword = Companion.canonicalize$okhttp$default(companion, "", 0, 0, com.squareup.okhttp.HttpUrl.USERNAME_ENCODE_SET, false, false, false, false, null, 251);
        return builder.build().url;
    }

    public String toString() {
        return this.url;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0055  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0074  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0076  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0099  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x00a5  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x00b1 A[LOOP:0: B:22:0x00af->B:23:0x00b1, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x00d6  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0104  */
    public final URI uri() {
        int i;
        String str;
        int size;
        int i2;
        List<String> list;
        String str2;
        String builder;
        Builder builder2 = new Builder();
        builder2.scheme = this.scheme;
        String encodedUsername = encodedUsername();
        Intrinsics.checkNotNullParameter(encodedUsername, "<set-?>");
        builder2.encodedUsername = encodedUsername;
        String encodedPassword = encodedPassword();
        Intrinsics.checkNotNullParameter(encodedPassword, "<set-?>");
        builder2.encodedPassword = encodedPassword;
        builder2.host = this.host;
        int i3 = this.port;
        String str3 = this.scheme;
        Intrinsics.checkNotNullParameter(str3, "scheme");
        int hashCode = str3.hashCode();
        int i4 = -1;
        if (hashCode != 3213448) {
            if (hashCode == 99617003 && str3.equals("https")) {
                i = 443;
                if (i3 != i) {
                    i4 = this.port;
                }
                builder2.port = i4;
                builder2.encodedPathSegments.clear();
                builder2.encodedPathSegments.addAll(encodedPathSegments());
                builder2.encodedQuery(encodedQuery());
                String str4 = null;
                if (this.fragment == null) {
                    str = null;
                } else {
                    String str5 = this.url;
                    Objects.requireNonNull(str5, "null cannot be cast to non-null type java.lang.String");
                    str = str5.substring(StringsKt__IndentKt.indexOf$default((CharSequence) this.url, '#', 0, false, 6) + 1);
                    Intrinsics.checkNotNullExpressionValue(str, "(this as java.lang.String).substring(startIndex)");
                }
                builder2.encodedFragment = str;
                String str6 = builder2.host;
                builder2.host = str6 != null ? new Regex("[\"<>^`{|}]").replace(str6, "") : null;
                size = builder2.encodedPathSegments.size();
                for (i2 = 0; i2 < size; i2++) {
                    List<String> list2 = builder2.encodedPathSegments;
                    list2.set(i2, Companion.canonicalize$okhttp$default(Companion, list2.get(i2), 0, 0, "[]", true, true, false, false, null, 227));
                }
                list = builder2.encodedQueryNamesAndValues;
                if (list != null) {
                    int size2 = list.size();
                    for (int i5 = 0; i5 < size2; i5++) {
                        String str7 = list.get(i5);
                        list.set(i5, str7 != null ? Companion.canonicalize$okhttp$default(Companion, str7, 0, 0, "\\^`{|}", true, true, true, false, null, 195) : null);
                    }
                }
                str2 = builder2.encodedFragment;
                if (str2 != null) {
                    str4 = Companion.canonicalize$okhttp$default(Companion, str2, 0, 0, " \"#<>\\^`{|}", true, true, false, true, null, 163);
                }
                builder2.encodedFragment = str4;
                builder = builder2.toString();
                return new URI(builder);
            }
        } else if (str3.equals("http")) {
            i = 80;
            if (i3 != i) {
            }
            builder2.port = i4;
            builder2.encodedPathSegments.clear();
            builder2.encodedPathSegments.addAll(encodedPathSegments());
            builder2.encodedQuery(encodedQuery());
            String str42 = null;
            if (this.fragment == null) {
            }
            builder2.encodedFragment = str;
            String str62 = builder2.host;
            builder2.host = str62 != null ? new Regex("[\"<>^`{|}]").replace(str62, "") : null;
            size = builder2.encodedPathSegments.size();
            while (i2 < size) {
            }
            list = builder2.encodedQueryNamesAndValues;
            if (list != null) {
            }
            str2 = builder2.encodedFragment;
            if (str2 != null) {
            }
            builder2.encodedFragment = str42;
            builder = builder2.toString();
            return new URI(builder);
        }
        i = -1;
        if (i3 != i) {
        }
        builder2.port = i4;
        builder2.encodedPathSegments.clear();
        builder2.encodedPathSegments.addAll(encodedPathSegments());
        builder2.encodedQuery(encodedQuery());
        String str422 = null;
        if (this.fragment == null) {
        }
        builder2.encodedFragment = str;
        String str622 = builder2.host;
        builder2.host = str622 != null ? new Regex("[\"<>^`{|}]").replace(str622, "") : null;
        size = builder2.encodedPathSegments.size();
        while (i2 < size) {
        }
        list = builder2.encodedQueryNamesAndValues;
        if (list != null) {
        }
        str2 = builder2.encodedFragment;
        if (str2 != null) {
        }
        builder2.encodedFragment = str422;
        builder = builder2.toString();
        try {
            return new URI(builder);
        } catch (URISyntaxException e) {
            try {
                URI create = URI.create(new Regex("[\\u0000-\\u001F\\u007F-\\u009F\\p{javaWhitespace}]").replace(builder, ""));
                Intrinsics.checkNotNullExpressionValue(create, "try {\n        val stripp…e) // Unexpected!\n      }");
                return create;
            } catch (Exception unused) {
                throw new RuntimeException(e);
            }
        }
    }

    public final URL url() {
        try {
            return new URL(this.url);
        } catch (MalformedURLException e) {
            throw new RuntimeException(e);
        }
    }
}
