package okhttp3.internal;

import android.support.v4.media.session.PlaybackStateCompat;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import java.io.Closeable;
import java.io.IOException;
import java.io.InterruptedIOException;
import java.net.Socket;
import java.nio.charset.Charset;
import java.nio.charset.StandardCharsets;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.Locale;
import java.util.Objects;
import java.util.TimeZone;
import java.util.concurrent.TimeUnit;
import kotlin.collections.ArrayAsCollection;
import kotlin.collections.ArraysKt___ArraysKt;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.Charsets;
import kotlin.text.Regex;
import kotlin.text.StringsKt__IndentKt;
import okhttp3.Headers;
import okhttp3.HttpUrl;
import okhttp3.OkHttpClient;
import okhttp3.Response;
import okhttp3.ResponseBody;
import okhttp3.ResponseBody$Companion$asResponseBody$1;
import okhttp3.internal.http2.Header;
import okio.Buffer;
import okio.BufferedSource;
import okio.ByteString;
import okio.Options;
import okio.Source;

/* compiled from: Util.kt */
public abstract class Util {
    public static final byte[] EMPTY_BYTE_ARRAY;
    public static final Headers EMPTY_HEADERS = Headers.Companion.of(new String[0]);
    public static final ResponseBody EMPTY_RESPONSE;
    public static final Options UNICODE_BOMS;
    public static final TimeZone UTC;
    public static final Regex VERIFY_AS_IP_ADDRESS = new Regex("([0-9a-fA-F]*:[0-9a-fA-F:.]*)|([\\d.]+)");
    public static final String okHttpName;

    static {
        int i;
        int i2;
        byte[] bArr = new byte[0];
        EMPTY_BYTE_ARRAY = bArr;
        Intrinsics.checkNotNullParameter(bArr, "$this$toResponseBody");
        Buffer buffer = new Buffer();
        buffer.write(bArr);
        long j = (long) 0;
        Intrinsics.checkNotNullParameter(buffer, "$this$asResponseBody");
        EMPTY_RESPONSE = new ResponseBody$Companion$asResponseBody$1(buffer, null, j);
        Intrinsics.checkNotNullParameter(bArr, "$this$toRequestBody");
        checkOffsetAndCount(j, j, j);
        Options.Companion companion = Options.Companion;
        ByteString.Companion companion2 = ByteString.Companion;
        ByteString[] byteStringArr = {companion2.decodeHex("efbbbf"), companion2.decodeHex("feff"), companion2.decodeHex("fffe"), companion2.decodeHex("0000ffff"), companion2.decodeHex("ffff0000")};
        Intrinsics.checkNotNullParameter(byteStringArr, "byteStrings");
        Intrinsics.checkNotNullParameter(byteStringArr, "$this$toMutableList");
        Intrinsics.checkNotNullParameter(byteStringArr, "$this$asCollection");
        ArrayList arrayList = new ArrayList(new ArrayAsCollection(byteStringArr, false));
        Intrinsics.checkNotNullParameter(arrayList, "$this$sort");
        if (arrayList.size() > 1) {
            Collections.sort(arrayList);
        }
        ArrayList arrayList2 = new ArrayList(5);
        int i3 = 0;
        while (true) {
            i = -1;
            if (i3 >= 5) {
                break;
            }
            ByteString byteString = byteStringArr[i3];
            arrayList2.add(-1);
            i3++;
        }
        Object[] array = arrayList2.toArray(new Integer[0]);
        Objects.requireNonNull(array, "null cannot be cast to non-null type kotlin.Array<T>");
        Integer[] numArr = (Integer[]) array;
        Integer[] numArr2 = (Integer[]) Arrays.copyOf(numArr, numArr.length);
        Intrinsics.checkNotNullParameter(numArr2, "elements");
        ArrayList arrayList3 = numArr2.length == 0 ? new ArrayList() : new ArrayList(new ArrayAsCollection(numArr2, true));
        int i4 = 0;
        int i5 = 0;
        while (i4 < 5) {
            ByteString byteString2 = byteStringArr[i4];
            int i6 = i5 + 1;
            int size = arrayList.size();
            Intrinsics.checkNotNullParameter(arrayList, "$this$binarySearch");
            ArraysKt___ArraysKt.rangeCheck$CollectionsKt__CollectionsKt(arrayList.size(), 0, size);
            int i7 = size + i;
            int i8 = 0;
            while (true) {
                if (i8 > i7) {
                    i2 = -(i8 + 1);
                    break;
                }
                i2 = (i8 + i7) >>> 1;
                int compareValues = ViewGroupUtilsApi14.compareValues((Comparable) arrayList.get(i2), byteString2);
                if (compareValues >= 0) {
                    if (compareValues <= 0) {
                        break;
                    }
                    i7 = i2 - 1;
                } else {
                    i8 = i2 + 1;
                }
            }
            arrayList3.set(i2, Integer.valueOf(i5));
            i4++;
            i5 = i6;
            i = -1;
        }
        if (((ByteString) arrayList.get(0)).size() > 0) {
            int i9 = 0;
            while (i9 < arrayList.size()) {
                ByteString byteString3 = (ByteString) arrayList.get(i9);
                int i10 = i9 + 1;
                int i11 = i10;
                while (i11 < arrayList.size()) {
                    ByteString byteString4 = (ByteString) arrayList.get(i11);
                    if (!byteString4.startsWith(byteString3)) {
                        continue;
                        break;
                    }
                    if (!(byteString4.size() != byteString3.size())) {
                        throw new IllegalArgumentException(("duplicate option: " + byteString4).toString());
                    } else if (((Number) arrayList3.get(i11)).intValue() > ((Number) arrayList3.get(i9)).intValue()) {
                        arrayList.remove(i11);
                        arrayList3.remove(i11);
                    } else {
                        i11++;
                    }
                }
                i9 = i10;
            }
            Buffer buffer2 = new Buffer();
            companion.buildTrieRecursive(0, buffer2, 0, arrayList, 0, arrayList.size(), arrayList3);
            int[] iArr = new int[((int) companion.getIntCount(buffer2))];
            int i12 = 0;
            while (!buffer2.exhausted()) {
                iArr[i12] = buffer2.readInt();
                i12++;
            }
            Object[] copyOf = Arrays.copyOf(byteStringArr, 5);
            Intrinsics.checkNotNullExpressionValue(copyOf, "java.util.Arrays.copyOf(this, size)");
            UNICODE_BOMS = new Options((ByteString[]) copyOf, iArr, null);
            TimeZone timeZone = TimeZone.getTimeZone("GMT");
            Intrinsics.checkNotNull(timeZone);
            UTC = timeZone;
            String name = OkHttpClient.class.getName();
            Intrinsics.checkNotNullExpressionValue(name, "OkHttpClient::class.java.name");
            String removePrefix = StringsKt__IndentKt.removePrefix(name, "okhttp3.");
            Intrinsics.checkNotNullParameter(removePrefix, "$this$removeSuffix");
            Intrinsics.checkNotNullParameter("Client", "suffix");
            Intrinsics.checkNotNullParameter(removePrefix, "$this$endsWith");
            Intrinsics.checkNotNullParameter("Client", "suffix");
            if (StringsKt__IndentKt.endsWith$default(removePrefix, "Client", false, 2)) {
                removePrefix = removePrefix.substring(0, removePrefix.length() - "Client".length());
                Intrinsics.checkNotNullExpressionValue(removePrefix, "(this as java.lang.Strin…ing(startIndex, endIndex)");
            }
            okHttpName = removePrefix;
            return;
        }
        throw new IllegalArgumentException("the empty byte string is not a supported option".toString());
    }

    public static final boolean canReuseConnectionFor(HttpUrl httpUrl, HttpUrl httpUrl2) {
        Intrinsics.checkNotNullParameter(httpUrl, "$this$canReuseConnectionFor");
        Intrinsics.checkNotNullParameter(httpUrl2, "other");
        return Intrinsics.areEqual(httpUrl.host, httpUrl2.host) && httpUrl.port == httpUrl2.port && Intrinsics.areEqual(httpUrl.scheme, httpUrl2.scheme);
    }

    public static final int checkDuration(String str, long j, TimeUnit timeUnit) {
        Intrinsics.checkNotNullParameter(str, VpnProfileDataSource.KEY_NAME);
        boolean z = false;
        int i = (j > 0 ? 1 : (j == 0 ? 0 : -1));
        if (i >= 0) {
            long millis = timeUnit.toMillis(j);
            if (millis <= ((long) Integer.MAX_VALUE)) {
                if (millis != 0 || i <= 0) {
                    z = true;
                }
                if (z) {
                    return (int) millis;
                }
                throw new IllegalArgumentException(GeneratedOutlineSupport.outline18(str, " too small.").toString());
            }
            throw new IllegalArgumentException(GeneratedOutlineSupport.outline18(str, " too large.").toString());
        }
        throw new IllegalStateException(GeneratedOutlineSupport.outline18(str, " < 0").toString());
    }

    public static final void checkOffsetAndCount(long j, long j2, long j3) {
        if ((j2 | j3) < 0 || j2 > j || j - j2 < j3) {
            throw new ArrayIndexOutOfBoundsException();
        }
    }

    public static final void closeQuietly(Closeable closeable) {
        Intrinsics.checkNotNullParameter(closeable, "$this$closeQuietly");
        try {
            closeable.close();
        } catch (RuntimeException e) {
            throw e;
        } catch (Exception unused) {
        }
    }

    public static final int delimiterOffset(String str, String str2, int i, int i2) {
        Intrinsics.checkNotNullParameter(str, "$this$delimiterOffset");
        Intrinsics.checkNotNullParameter(str2, "delimiters");
        while (i < i2) {
            if (StringsKt__IndentKt.contains$default((CharSequence) str2, str.charAt(i), false, 2)) {
                return i;
            }
            i++;
        }
        return i2;
    }

    public static final boolean discard(Source source, int i, TimeUnit timeUnit) {
        Intrinsics.checkNotNullParameter(source, "$this$discard");
        Intrinsics.checkNotNullParameter(timeUnit, "timeUnit");
        try {
            return skipAll(source, i, timeUnit);
        } catch (IOException unused) {
            return false;
        }
    }

    public static final String format(String str, Object... objArr) {
        Intrinsics.checkNotNullParameter(str, "format");
        Intrinsics.checkNotNullParameter(objArr, "args");
        Locale locale = Locale.US;
        Object[] copyOf = Arrays.copyOf(objArr, objArr.length);
        String format = String.format(locale, str, Arrays.copyOf(copyOf, copyOf.length));
        Intrinsics.checkNotNullExpressionValue(format, "java.lang.String.format(locale, format, *args)");
        return format;
    }

    public static final boolean hasIntersection(String[] strArr, String[] strArr2, Comparator<? super String> comparator) {
        Intrinsics.checkNotNullParameter(strArr, "$this$hasIntersection");
        Intrinsics.checkNotNullParameter(comparator, "comparator");
        if (!(strArr.length == 0) && strArr2 != null) {
            if (!(strArr2.length == 0)) {
                for (String str : strArr) {
                    for (String str2 : strArr2) {
                        if (comparator.compare(str, str2) == 0) {
                            return true;
                        }
                    }
                }
            }
        }
        return false;
    }

    public static final long headersContentLength(Response response) {
        Intrinsics.checkNotNullParameter(response, "$this$headersContentLength");
        String str = response.headers.get("Content-Length");
        if (str != null) {
            Intrinsics.checkNotNullParameter(str, "$this$toLongOrDefault");
            try {
                return Long.parseLong(str);
            } catch (NumberFormatException unused) {
            }
        }
        return -1;
    }

    @SafeVarargs
    public static final <T> List<T> immutableListOf(T... tArr) {
        Intrinsics.checkNotNullParameter(tArr, "elements");
        Object[] objArr = (Object[]) tArr.clone();
        List<T> unmodifiableList = Collections.unmodifiableList(ArraysKt___ArraysKt.listOf(Arrays.copyOf(objArr, objArr.length)));
        Intrinsics.checkNotNullExpressionValue(unmodifiableList, "Collections.unmodifiable…istOf(*elements.clone()))");
        return unmodifiableList;
    }

    public static final int indexOfControlOrNonAscii(String str) {
        Intrinsics.checkNotNullParameter(str, "$this$indexOfControlOrNonAscii");
        int length = str.length();
        for (int i = 0; i < length; i++) {
            char charAt = str.charAt(i);
            if (Intrinsics.compare(charAt, 31) <= 0 || Intrinsics.compare(charAt, 127) >= 0) {
                return i;
            }
        }
        return -1;
    }

    public static final int indexOfFirstNonAsciiWhitespace(String str, int i, int i2) {
        Intrinsics.checkNotNullParameter(str, "$this$indexOfFirstNonAsciiWhitespace");
        while (i < i2) {
            char charAt = str.charAt(i);
            if (charAt != '\t' && charAt != '\n' && charAt != '\f' && charAt != '\r' && charAt != ' ') {
                return i;
            }
            i++;
        }
        return i2;
    }

    public static final int indexOfLastNonAsciiWhitespace(String str, int i, int i2) {
        Intrinsics.checkNotNullParameter(str, "$this$indexOfLastNonAsciiWhitespace");
        int i3 = i2 - 1;
        if (i3 >= i) {
            while (true) {
                char charAt = str.charAt(i3);
                if (charAt == '\t' || charAt == '\n' || charAt == '\f' || charAt == '\r' || charAt == ' ') {
                    if (i3 == i) {
                        break;
                    }
                    i3--;
                } else {
                    return i3 + 1;
                }
            }
        }
        return i;
    }

    public static final String[] intersect(String[] strArr, String[] strArr2, Comparator<? super String> comparator) {
        Intrinsics.checkNotNullParameter(strArr, "$this$intersect");
        Intrinsics.checkNotNullParameter(strArr2, "other");
        Intrinsics.checkNotNullParameter(comparator, "comparator");
        ArrayList arrayList = new ArrayList();
        for (String str : strArr) {
            int length = strArr2.length;
            int i = 0;
            while (true) {
                if (i >= length) {
                    break;
                } else if (comparator.compare(str, strArr2[i]) == 0) {
                    arrayList.add(str);
                    break;
                } else {
                    i++;
                }
            }
        }
        Object[] array = arrayList.toArray(new String[0]);
        Objects.requireNonNull(array, "null cannot be cast to non-null type kotlin.Array<T>");
        return (String[]) array;
    }

    public static final int parseHexDigit(char c) {
        if ('0' <= c && '9' >= c) {
            return c - '0';
        }
        char c2 = 'a';
        if ('a' > c || 'f' < c) {
            c2 = 'A';
            if ('A' > c || 'F' < c) {
                return -1;
            }
        }
        return (c - c2) + 10;
    }

    public static final Charset readBomAsCharset(BufferedSource bufferedSource, Charset charset) {
        Charset charset2;
        Intrinsics.checkNotNullParameter(bufferedSource, "$this$readBomAsCharset");
        Intrinsics.checkNotNullParameter(charset, "default");
        int select = bufferedSource.select(UNICODE_BOMS);
        if (select == -1) {
            return charset;
        }
        if (select == 0) {
            Charset charset3 = StandardCharsets.UTF_8;
            Intrinsics.checkNotNullExpressionValue(charset3, "UTF_8");
            return charset3;
        } else if (select == 1) {
            Charset charset4 = StandardCharsets.UTF_16BE;
            Intrinsics.checkNotNullExpressionValue(charset4, "UTF_16BE");
            return charset4;
        } else if (select != 2) {
            if (select == 3) {
                Charsets charsets = Charsets.INSTANCE;
                charset2 = Charsets.utf_32be;
                if (charset2 == null) {
                    charset2 = Charset.forName("UTF-32BE");
                    Intrinsics.checkNotNullExpressionValue(charset2, "Charset.forName(\"UTF-32BE\")");
                    Charsets.utf_32be = charset2;
                }
            } else if (select == 4) {
                Charsets charsets2 = Charsets.INSTANCE;
                charset2 = Charsets.utf_32le;
                if (charset2 == null) {
                    charset2 = Charset.forName("UTF-32LE");
                    Intrinsics.checkNotNullExpressionValue(charset2, "Charset.forName(\"UTF-32LE\")");
                    Charsets.utf_32le = charset2;
                }
            } else {
                throw new AssertionError();
            }
            return charset2;
        } else {
            Charset charset5 = StandardCharsets.UTF_16LE;
            Intrinsics.checkNotNullExpressionValue(charset5, "UTF_16LE");
            return charset5;
        }
    }

    public static final int readMedium(BufferedSource bufferedSource) {
        Intrinsics.checkNotNullParameter(bufferedSource, "$this$readMedium");
        return (bufferedSource.readByte() & 255) | ((bufferedSource.readByte() & 255) << 16) | ((bufferedSource.readByte() & 255) << 8);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0053, code lost:
        if (r5 == Long.MAX_VALUE) goto L_0x0072;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0070, code lost:
        if (r5 != Long.MAX_VALUE) goto L_0x007a;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0072, code lost:
        r11.timeout().clearDeadline();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x007a, code lost:
        r11.timeout().deadlineNanoTime(r0 + r5);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x0082, code lost:
        return r12;
     */
    public static final boolean skipAll(Source source, int i, TimeUnit timeUnit) {
        boolean z;
        Intrinsics.checkNotNullParameter(source, "$this$skipAll");
        Intrinsics.checkNotNullParameter(timeUnit, "timeUnit");
        long nanoTime = System.nanoTime();
        long deadlineNanoTime = source.timeout().hasDeadline() ? source.timeout().deadlineNanoTime() - nanoTime : Long.MAX_VALUE;
        source.timeout().deadlineNanoTime(Math.min(deadlineNanoTime, timeUnit.toNanos((long) i)) + nanoTime);
        try {
            Buffer buffer = new Buffer();
            while (source.read(buffer, PlaybackStateCompat.ACTION_PLAY_FROM_URI) != -1) {
                buffer.skip(buffer.size);
            }
            z = true;
        } catch (InterruptedIOException unused) {
            z = false;
        } catch (Throwable th) {
            if (deadlineNanoTime == Long.MAX_VALUE) {
                source.timeout().clearDeadline();
            } else {
                source.timeout().deadlineNanoTime(nanoTime + deadlineNanoTime);
            }
            throw th;
        }
    }

    public static final Headers toHeaders(List<Header> list) {
        Intrinsics.checkNotNullParameter(list, "$this$toHeaders");
        ArrayList arrayList = new ArrayList(20);
        for (Header header : list) {
            ByteString byteString = header.name;
            ByteString byteString2 = header.value;
            String utf8 = byteString.utf8();
            String utf82 = byteString2.utf8();
            Intrinsics.checkNotNullParameter(utf8, VpnProfileDataSource.KEY_NAME);
            Intrinsics.checkNotNullParameter(utf82, "value");
            arrayList.add(utf8);
            arrayList.add(StringsKt__IndentKt.trim(utf82).toString());
        }
        Object[] array = arrayList.toArray(new String[0]);
        Objects.requireNonNull(array, "null cannot be cast to non-null type kotlin.Array<T>");
        return new Headers((String[]) array, null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:19:? A[RETURN, SYNTHETIC] */
    public static final String toHostHeader(HttpUrl httpUrl, boolean z) {
        String str;
        int i;
        Intrinsics.checkNotNullParameter(httpUrl, "$this$toHostHeader");
        if (StringsKt__IndentKt.contains$default((CharSequence) httpUrl.host, (CharSequence) ":", false, 2)) {
            str = '[' + httpUrl.host + ']';
        } else {
            str = httpUrl.host;
        }
        if (!z) {
            int i2 = httpUrl.port;
            String str2 = httpUrl.scheme;
            Intrinsics.checkNotNullParameter(str2, "scheme");
            int hashCode = str2.hashCode();
            if (hashCode != 3213448) {
                if (hashCode == 99617003 && str2.equals("https")) {
                    i = 443;
                    if (i2 == i) {
                        return str;
                    }
                }
            } else if (str2.equals("http")) {
                i = 80;
                if (i2 == i) {
                }
            }
            i = -1;
            if (i2 == i) {
            }
        }
        return str + ':' + httpUrl.port;
    }

    public static final <T> List<T> toImmutableList(List<? extends T> list) {
        Intrinsics.checkNotNullParameter(list, "$this$toImmutableList");
        List<T> unmodifiableList = Collections.unmodifiableList(ArraysKt___ArraysKt.toMutableList((Collection) list));
        Intrinsics.checkNotNullExpressionValue(unmodifiableList, "Collections.unmodifiableList(toMutableList())");
        return unmodifiableList;
    }

    public static final int toNonNegativeInt(String str, int i) {
        if (str != null) {
            try {
                long parseLong = Long.parseLong(str);
                if (parseLong > ((long) Integer.MAX_VALUE)) {
                    return Integer.MAX_VALUE;
                }
                if (parseLong < 0) {
                    return 0;
                }
                return (int) parseLong;
            } catch (NumberFormatException unused) {
            }
        }
        return i;
    }

    public static final String trimSubstring(String str, int i, int i2) {
        Intrinsics.checkNotNullParameter(str, "$this$trimSubstring");
        int indexOfFirstNonAsciiWhitespace = indexOfFirstNonAsciiWhitespace(str, i, i2);
        String substring = str.substring(indexOfFirstNonAsciiWhitespace, indexOfLastNonAsciiWhitespace(str, indexOfFirstNonAsciiWhitespace, i2));
        Intrinsics.checkNotNullExpressionValue(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
        return substring;
    }

    public static final Throwable withSuppressed(Exception exc, List<? extends Exception> list) {
        Intrinsics.checkNotNullParameter(exc, "$this$withSuppressed");
        Intrinsics.checkNotNullParameter(list, "suppressed");
        if (list.size() > 1) {
            System.out.println(list);
        }
        for (Exception exc2 : list) {
            ViewGroupUtilsApi14.addSuppressed(exc, exc2);
        }
        return exc;
    }

    public static final int delimiterOffset(String str, char c, int i, int i2) {
        Intrinsics.checkNotNullParameter(str, "$this$delimiterOffset");
        while (i < i2) {
            if (str.charAt(i) == c) {
                return i;
            }
            i++;
        }
        return i2;
    }

    public static final void closeQuietly(Socket socket) {
        Intrinsics.checkNotNullParameter(socket, "$this$closeQuietly");
        try {
            socket.close();
        } catch (AssertionError e) {
            throw e;
        } catch (RuntimeException e2) {
            if (!Intrinsics.areEqual(e2.getMessage(), "bio == null")) {
                throw e2;
            }
        } catch (Exception unused) {
        }
    }

    public static final int skipAll(Buffer buffer, byte b) {
        Intrinsics.checkNotNullParameter(buffer, "$this$skipAll");
        int i = 0;
        while (!buffer.exhausted() && buffer.getByte(0) == b) {
            i++;
            buffer.readByte();
        }
        return i;
    }
}
