package okhttp3.internal.concurrent;

import com.android.tools.r8.GeneratedOutlineSupport;
import java.util.Objects;
import java.util.logging.Level;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.internal.SystemPropsKt;
import okhttp3.internal.concurrent.TaskRunner;

/* compiled from: TaskRunner.kt */
public final class TaskRunner$runnable$1 implements Runnable {
    public final /* synthetic */ TaskRunner this$0;

    public TaskRunner$runnable$1(TaskRunner taskRunner) {
        this.this$0 = taskRunner;
    }

    public void run() {
        Task awaitTaskToRun;
        while (true) {
            synchronized (this.this$0) {
                awaitTaskToRun = this.this$0.awaitTaskToRun();
            }
            if (awaitTaskToRun != null) {
                TaskQueue taskQueue = awaitTaskToRun.queue;
                Intrinsics.checkNotNull(taskQueue);
                long j = -1;
                TaskRunner.Companion companion = TaskRunner.Companion;
                boolean isLoggable = TaskRunner.logger.isLoggable(Level.FINE);
                if (isLoggable) {
                    Objects.requireNonNull(taskQueue.taskRunner.backend);
                    j = System.nanoTime();
                    SystemPropsKt.access$log(awaitTaskToRun, taskQueue, "starting");
                }
                try {
                    TaskRunner.access$runTask(this.this$0, awaitTaskToRun);
                    if (isLoggable) {
                        Objects.requireNonNull(taskQueue.taskRunner.backend);
                        long nanoTime = System.nanoTime() - j;
                        StringBuilder outline25 = GeneratedOutlineSupport.outline25("finished run in ");
                        outline25.append(SystemPropsKt.formatDuration(nanoTime));
                        SystemPropsKt.access$log(awaitTaskToRun, taskQueue, outline25.toString());
                    }
                } catch (Throwable th) {
                    if (isLoggable) {
                        Objects.requireNonNull(taskQueue.taskRunner.backend);
                        long nanoTime2 = System.nanoTime() - j;
                        StringBuilder outline252 = GeneratedOutlineSupport.outline25("failed a run in ");
                        outline252.append(SystemPropsKt.formatDuration(nanoTime2));
                        SystemPropsKt.access$log(awaitTaskToRun, taskQueue, outline252.toString());
                    }
                    throw th;
                }
            } else {
                return;
            }
        }
    }
}
