package okhttp3.internal.http;

import com.allpayx.sdk.util.Constants;
import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import java.util.ArrayList;
import java.util.Collections;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.collections.ArraysKt___ArraysKt;
import kotlin.collections.EmptyList;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.Regex;
import kotlin.text.StringsKt__IndentKt;
import kotlinx.coroutines.internal.SystemPropsKt;
import okhttp3.Challenge;
import okhttp3.Cookie;
import okhttp3.CookieJar;
import okhttp3.Headers;
import okhttp3.HttpUrl;
import okhttp3.Response;
import okhttp3.internal.Util;
import okhttp3.internal.publicsuffix.PublicSuffixDatabase;
import okio.Buffer;
import okio.ByteString;

/* compiled from: HttpHeaders.kt */
public abstract class HttpHeaders {
    public static final ByteString QUOTED_STRING_DELIMITERS;
    public static final ByteString TOKEN_DELIMITERS;

    static {
        ByteString.Companion companion = ByteString.Companion;
        QUOTED_STRING_DELIMITERS = companion.encodeUtf8("\"\\");
        TOKEN_DELIMITERS = companion.encodeUtf8("\t ,=");
    }

    public static final boolean promisesBody(Response response) {
        Intrinsics.checkNotNullParameter(response, "$this$promisesBody");
        if (Intrinsics.areEqual(response.request.method, "HEAD")) {
            return false;
        }
        int i = response.code;
        if (((i >= 100 && i < 200) || i == 204 || i == 304) && Util.headersContentLength(response) == -1 && !StringsKt__IndentKt.equals("chunked", Response.header$default(response, "Transfer-Encoding", null, 2), true)) {
            return false;
        }
        return true;
    }

    public static final void readChallengeHeader(Buffer buffer, List<Challenge> list) {
        String readToken;
        int skipAll;
        int i;
        int i2;
        String str;
        String str2;
        String str3;
        List<Challenge> list2 = list;
        while (true) {
            String str4 = null;
            String str5 = null;
            while (true) {
                if (str4 == null) {
                    skipCommasAndWhitespace(buffer);
                    str4 = readToken(buffer);
                    if (str4 == null) {
                        return;
                    }
                }
                boolean skipCommasAndWhitespace = skipCommasAndWhitespace(buffer);
                readToken = readToken(buffer);
                if (readToken != null) {
                    byte b = (byte) 61;
                    skipAll = Util.skipAll(buffer, b);
                    boolean skipCommasAndWhitespace2 = skipCommasAndWhitespace(buffer);
                    i2 = 1;
                    if (skipCommasAndWhitespace || (!skipCommasAndWhitespace2 && !buffer.exhausted())) {
                        LinkedHashMap linkedHashMap = new LinkedHashMap();
                        int skipAll2 = Util.skipAll(buffer, b) + skipAll;
                        while (true) {
                            if (readToken == null) {
                                readToken = readToken(buffer);
                                if (skipCommasAndWhitespace(buffer)) {
                                    continue;
                                    break;
                                }
                                skipAll2 = Util.skipAll(buffer, b);
                            }
                            if (skipAll2 == 0) {
                                continue;
                                break;
                            } else if (skipAll2 <= 1 && !skipCommasAndWhitespace(buffer)) {
                                byte b2 = (byte) 34;
                                if (!(!buffer.exhausted() && buffer.getByte(0) == b2)) {
                                    str = str4;
                                    str2 = readToken(buffer);
                                } else if (buffer.readByte() == b2) {
                                    Buffer buffer2 = new Buffer();
                                    while (true) {
                                        long indexOfElement = buffer.indexOfElement(QUOTED_STRING_DELIMITERS);
                                        if (indexOfElement == -1) {
                                            break;
                                        } else if (buffer.getByte(indexOfElement) == b2) {
                                            buffer2.write(buffer, indexOfElement);
                                            buffer.readByte();
                                            str5 = buffer2.readUtf8();
                                            break;
                                        } else {
                                            str = str4;
                                            if (buffer.size == indexOfElement + 1) {
                                                str2 = null;
                                                break;
                                            }
                                            buffer2.write(buffer, indexOfElement);
                                            buffer.readByte();
                                            buffer2.write(buffer, 1);
                                            str4 = str;
                                            str5 = null;
                                        }
                                    }
                                    str2 = str5;
                                    str = str4;
                                } else {
                                    throw new IllegalArgumentException("Failed requirement.".toString());
                                }
                                if (str2 == null || ((String) linkedHashMap.put(readToken, str2)) != null) {
                                    return;
                                }
                                if (skipCommasAndWhitespace(buffer) || buffer.exhausted()) {
                                    readToken = null;
                                    str4 = str;
                                    str5 = null;
                                    list2 = list;
                                } else {
                                    return;
                                }
                            } else {
                                return;
                            }
                        }
                        list2.add(new Challenge(str4, linkedHashMap));
                        str4 = readToken;
                    }
                } else if (buffer.exhausted()) {
                    list2.add(new Challenge(str4, ArraysKt___ArraysKt.emptyMap()));
                    return;
                } else {
                    return;
                }
            }
            StringBuilder sb = new StringBuilder();
            sb.append(readToken);
            Intrinsics.checkNotNullParameter(Constants.PARAMETER_EQUALS, "$this$repeat");
            if (skipAll >= 0) {
                if (skipAll != 0) {
                    if (skipAll != 1) {
                        int length = Constants.PARAMETER_EQUALS.length();
                        if (length != 0) {
                            if (length != 1) {
                                StringBuilder sb2 = new StringBuilder(Constants.PARAMETER_EQUALS.length() * skipAll);
                                if (1 <= skipAll) {
                                    while (true) {
                                        sb2.append((CharSequence) Constants.PARAMETER_EQUALS);
                                        if (i2 == skipAll) {
                                            break;
                                        }
                                        i2++;
                                    }
                                }
                                str3 = sb2.toString();
                                Intrinsics.checkNotNullExpressionValue(str3, "sb.toString()");
                            } else {
                                char charAt = Constants.PARAMETER_EQUALS.charAt(0);
                                char[] cArr = new char[skipAll];
                                for (i = 0; i < skipAll; i++) {
                                    cArr[i] = charAt;
                                }
                                str3 = new String(cArr);
                            }
                        }
                    } else {
                        str3 = Constants.PARAMETER_EQUALS.toString();
                    }
                    sb.append(str3);
                    Map singletonMap = Collections.singletonMap(str5, sb.toString());
                    Intrinsics.checkNotNullExpressionValue(singletonMap, "Collections.singletonMap…ek + \"=\".repeat(eqCount))");
                    list2.add(new Challenge(str4, singletonMap));
                }
                str3 = "";
                sb.append(str3);
                Map singletonMap2 = Collections.singletonMap(str5, sb.toString());
                Intrinsics.checkNotNullExpressionValue(singletonMap2, "Collections.singletonMap…ek + \"=\".repeat(eqCount))");
                list2.add(new Challenge(str4, singletonMap2));
            } else {
                throw new IllegalArgumentException(("Count 'n' must be non-negative, but was " + skipAll + '.').toString());
            }
        }
    }

    public static final String readToken(Buffer buffer) {
        long indexOfElement = buffer.indexOfElement(TOKEN_DELIMITERS);
        if (indexOfElement == -1) {
            indexOfElement = buffer.size;
        }
        if (indexOfElement != 0) {
            return buffer.readUtf8(indexOfElement);
        }
        return null;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:104:0x021e, code lost:
        if (okhttp3.internal.Util.VERIFY_AS_IP_ADDRESS.matches(r0) == false) goto L_0x0220;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:112:0x0239, code lost:
        if (okhttp3.internal.publicsuffix.PublicSuffixDatabase.instance.getEffectiveTldPlusOne(r4) == null) goto L_0x027c;
     */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0226  */
    /* JADX WARNING: Removed duplicated region for block: B:126:0x027f  */
    /* JADX WARNING: Removed duplicated region for block: B:146:0x0289 A[SYNTHETIC] */
    public static final void receiveHeaders(CookieJar cookieJar, HttpUrl httpUrl, Headers headers) {
        List list;
        List list2;
        int i;
        List list3;
        Cookie cookie;
        long j;
        String str;
        String str2;
        boolean z;
        Intrinsics.checkNotNullParameter(cookieJar, "$this$receiveHeaders");
        Intrinsics.checkNotNullParameter(httpUrl, "url");
        Intrinsics.checkNotNullParameter(headers, "headers");
        if (cookieJar != CookieJar.NO_COOKIES) {
            Cookie cookie2 = Cookie.Companion;
            Intrinsics.checkNotNullParameter(httpUrl, "url");
            Intrinsics.checkNotNullParameter(headers, "headers");
            Intrinsics.checkNotNullParameter("Set-Cookie", VpnProfileDataSource.KEY_NAME);
            int size = headers.size();
            ArrayList arrayList = null;
            for (int i2 = 0; i2 < size; i2++) {
                if (StringsKt__IndentKt.equals("Set-Cookie", headers.name(i2), true)) {
                    if (arrayList == null) {
                        arrayList = new ArrayList(2);
                    }
                    arrayList.add(headers.value(i2));
                }
            }
            if (arrayList != null) {
                list = Collections.unmodifiableList(arrayList);
                Intrinsics.checkNotNullExpressionValue(list, "Collections.unmodifiableList(result)");
            } else {
                list = EmptyList.INSTANCE;
            }
            List list4 = list;
            int size2 = list4.size();
            ArrayList arrayList2 = null;
            int i3 = 0;
            int i4 = 0;
            while (i4 < size2) {
                String str3 = (String) list4.get(i4);
                Intrinsics.checkNotNullParameter(httpUrl, "url");
                Intrinsics.checkNotNullParameter(str3, "setCookie");
                long currentTimeMillis = System.currentTimeMillis();
                Intrinsics.checkNotNullParameter(httpUrl, "url");
                Intrinsics.checkNotNullParameter(str3, "setCookie");
                byte[] bArr = Util.EMPTY_BYTE_ARRAY;
                char c = ';';
                int delimiterOffset = Util.delimiterOffset(str3, ';', i3, str3.length());
                char c2 = '=';
                int delimiterOffset2 = Util.delimiterOffset(str3, '=', i3, delimiterOffset);
                if (delimiterOffset2 != delimiterOffset) {
                    String trimSubstring = Util.trimSubstring(str3, i3, delimiterOffset2);
                    if ((trimSubstring.length() == 0) || Util.indexOfControlOrNonAscii(trimSubstring) != -1) {
                        list3 = list4;
                        i = size2;
                    } else {
                        String trimSubstring2 = Util.trimSubstring(str3, delimiterOffset2 + 1, delimiterOffset);
                        if (Util.indexOfControlOrNonAscii(trimSubstring2) == -1) {
                            int i5 = delimiterOffset + 1;
                            int length = str3.length();
                            long j2 = 253402300799999L;
                            list3 = list4;
                            long j3 = -1;
                            String str4 = null;
                            String str5 = null;
                            boolean z2 = false;
                            boolean z3 = false;
                            boolean z4 = false;
                            boolean z5 = true;
                            while (true) {
                                long j4 = Long.MAX_VALUE;
                                long j5 = Long.MIN_VALUE;
                                if (i5 < length) {
                                    int delimiterOffset3 = Util.delimiterOffset(str3, c, i5, length);
                                    int delimiterOffset4 = Util.delimiterOffset(str3, c2, i5, delimiterOffset3);
                                    String trimSubstring3 = Util.trimSubstring(str3, i5, delimiterOffset4);
                                    String trimSubstring4 = delimiterOffset4 < delimiterOffset3 ? Util.trimSubstring(str3, delimiterOffset4 + 1, delimiterOffset3) : "";
                                    if (StringsKt__IndentKt.equals(trimSubstring3, "expires", true)) {
                                        try {
                                            j2 = Cookie.parseExpires(trimSubstring4, 0, trimSubstring4.length());
                                        } catch (IllegalArgumentException unused) {
                                        }
                                    } else if (StringsKt__IndentKt.equals(trimSubstring3, "max-age", true)) {
                                        try {
                                            long parseLong = Long.parseLong(trimSubstring4);
                                            if (parseLong > 0) {
                                                j5 = parseLong;
                                            }
                                            j3 = j5;
                                        } catch (NumberFormatException e) {
                                            if (new Regex("-?\\d+").matches(trimSubstring4)) {
                                                if (StringsKt__IndentKt.startsWith$default(trimSubstring4, "-", false, 2)) {
                                                    j4 = Long.MIN_VALUE;
                                                }
                                                j3 = j4;
                                            } else {
                                                throw e;
                                            }
                                        }
                                    } else {
                                        if (StringsKt__IndentKt.equals(trimSubstring3, "domain", true)) {
                                            if (!StringsKt__IndentKt.endsWith$default(trimSubstring4, ".", false, 2)) {
                                                String canonicalHost = SystemPropsKt.toCanonicalHost(StringsKt__IndentKt.removePrefix(trimSubstring4, "."));
                                                if (canonicalHost != null) {
                                                    z5 = false;
                                                    str4 = canonicalHost;
                                                } else {
                                                    throw new IllegalArgumentException();
                                                }
                                            } else {
                                                throw new IllegalArgumentException("Failed requirement.".toString());
                                            }
                                        } else if (StringsKt__IndentKt.equals(trimSubstring3, "path", true)) {
                                            str5 = trimSubstring4;
                                        } else if (StringsKt__IndentKt.equals(trimSubstring3, "secure", true)) {
                                            z2 = true;
                                        } else if (StringsKt__IndentKt.equals(trimSubstring3, "httponly", true)) {
                                            z3 = true;
                                        }
                                        i5 = delimiterOffset3 + 1;
                                        c2 = '=';
                                        c = ';';
                                        size2 = size2;
                                    }
                                    z4 = true;
                                    i5 = delimiterOffset3 + 1;
                                    c2 = '=';
                                    c = ';';
                                    size2 = size2;
                                } else {
                                    i = size2;
                                    if (j3 == Long.MIN_VALUE) {
                                        j = Long.MIN_VALUE;
                                    } else if (j3 != -1) {
                                        if (j3 <= 9223372036854775L) {
                                            j4 = j3 * ((long) 1000);
                                        }
                                        long j6 = currentTimeMillis + j4;
                                        j = (j6 < currentTimeMillis || j6 > 253402300799999L) ? 253402300799999L : j6;
                                    } else {
                                        j = j2;
                                    }
                                    String str6 = httpUrl.host;
                                    if (str4 == null) {
                                        str = str6;
                                    } else {
                                        if (!Intrinsics.areEqual(str6, str4)) {
                                            if (StringsKt__IndentKt.endsWith$default(str6, str4, false, 2) && str6.charAt((str6.length() - str4.length()) - 1) == '.') {
                                                byte[] bArr2 = Util.EMPTY_BYTE_ARRAY;
                                                Intrinsics.checkNotNullParameter(str6, "$this$canParseAsIpAddress");
                                            }
                                            z = false;
                                            if (z) {
                                                str = str4;
                                            }
                                        }
                                        z = true;
                                        if (z) {
                                        }
                                    }
                                    if (str6.length() != str.length()) {
                                        PublicSuffixDatabase.Companion companion = PublicSuffixDatabase.Companion;
                                    }
                                    String str7 = "/";
                                    if (str5 == null || !StringsKt__IndentKt.startsWith$default(str5, str7, false, 2)) {
                                        String encodedPath = httpUrl.encodedPath();
                                        int lastIndexOf$default = StringsKt__IndentKt.lastIndexOf$default((CharSequence) encodedPath, '/', 0, false, 6);
                                        if (lastIndexOf$default != 0) {
                                            str7 = encodedPath.substring(0, lastIndexOf$default);
                                            Intrinsics.checkNotNullExpressionValue(str7, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                                        }
                                        str2 = str7;
                                    } else {
                                        str2 = str5;
                                    }
                                    cookie = new Cookie(trimSubstring, trimSubstring2, j, str, str2, z2, z3, z4, z5, null);
                                }
                            }
                            if (cookie != null) {
                                if (arrayList2 == null) {
                                    arrayList2 = new ArrayList();
                                }
                                arrayList2.add(cookie);
                            }
                            i4++;
                            i3 = 0;
                            list4 = list3;
                            size2 = i;
                        }
                    }
                    cookie = null;
                    if (cookie != null) {
                    }
                    i4++;
                    i3 = 0;
                    list4 = list3;
                    size2 = i;
                }
                cookie = null;
                list3 = list4;
                i = size2;
                if (cookie != null) {
                }
                i4++;
                i3 = 0;
                list4 = list3;
                size2 = i;
            }
            if (arrayList2 != null) {
                list2 = Collections.unmodifiableList(arrayList2);
                Intrinsics.checkNotNullExpressionValue(list2, "Collections.unmodifiableList(cookies)");
            } else {
                list2 = EmptyList.INSTANCE;
            }
            if (!list2.isEmpty()) {
                Intrinsics.checkNotNullParameter(httpUrl, "url");
                Intrinsics.checkNotNullParameter(list2, "cookies");
            }
        }
    }

    public static final boolean skipCommasAndWhitespace(Buffer buffer) {
        boolean z = false;
        while (!buffer.exhausted()) {
            byte b = buffer.getByte(0);
            if (b == 9 || b == 32) {
                buffer.readByte();
            } else if (b != 44) {
                break;
            } else {
                buffer.readByte();
                z = true;
            }
        }
        return z;
    }
}
