package okhttp3.internal.http1;

import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import java.util.ArrayList;
import java.util.Objects;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt__IndentKt;
import okhttp3.Headers;
import okio.BufferedSource;

/* compiled from: HeadersReader.kt */
public final class HeadersReader {
    public long headerLimit = ((long) 262144);
    public final BufferedSource source;

    public HeadersReader(BufferedSource bufferedSource) {
        Intrinsics.checkNotNullParameter(bufferedSource, "source");
        this.source = bufferedSource;
    }

    public final Headers readHeaders() {
        ArrayList arrayList = new ArrayList(20);
        while (true) {
            String readLine = readLine();
            if (readLine.length() == 0) {
                Object[] array = arrayList.toArray(new String[0]);
                Objects.requireNonNull(array, "null cannot be cast to non-null type kotlin.Array<T>");
                return new Headers((String[]) array, null);
            }
            Intrinsics.checkNotNullParameter(readLine, "line");
            int indexOf$default = StringsKt__IndentKt.indexOf$default((CharSequence) readLine, ':', 1, false, 4);
            if (indexOf$default != -1) {
                String substring = readLine.substring(0, indexOf$default);
                Intrinsics.checkNotNullExpressionValue(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                String substring2 = readLine.substring(indexOf$default + 1);
                Intrinsics.checkNotNullExpressionValue(substring2, "(this as java.lang.String).substring(startIndex)");
                Intrinsics.checkNotNullParameter(substring, VpnProfileDataSource.KEY_NAME);
                Intrinsics.checkNotNullParameter(substring2, "value");
                arrayList.add(substring);
                arrayList.add(StringsKt__IndentKt.trim(substring2).toString());
            } else if (readLine.charAt(0) == ':') {
                String substring3 = readLine.substring(1);
                Intrinsics.checkNotNullExpressionValue(substring3, "(this as java.lang.String).substring(startIndex)");
                Intrinsics.checkNotNullParameter("", VpnProfileDataSource.KEY_NAME);
                Intrinsics.checkNotNullParameter(substring3, "value");
                arrayList.add("");
                arrayList.add(StringsKt__IndentKt.trim(substring3).toString());
            } else {
                Intrinsics.checkNotNullParameter("", VpnProfileDataSource.KEY_NAME);
                Intrinsics.checkNotNullParameter(readLine, "value");
                arrayList.add("");
                arrayList.add(StringsKt__IndentKt.trim(readLine).toString());
            }
        }
    }

    public final String readLine() {
        String readUtf8LineStrict = this.source.readUtf8LineStrict(this.headerLimit);
        this.headerLimit -= (long) readUtf8LineStrict.length();
        return readUtf8LineStrict;
    }
}
