package okhttp3.internal.http2;

import io.netty.handler.codec.compression.FastLz;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: Settings.kt */
public final class Settings {
    public int set;
    public final int[] values = new int[10];

    public final int getInitialWindowSize() {
        return (this.set & 128) != 0 ? this.values[7] : FastLz.MAX_CHUNK_LENGTH;
    }

    public final void merge(Settings settings) {
        Intrinsics.checkNotNullParameter(settings, "other");
        for (int i = 0; i < 10; i++) {
            boolean z = true;
            if (((1 << i) & settings.set) == 0) {
                z = false;
            }
            if (z) {
                set(i, settings.values[i]);
            }
        }
    }

    public final Settings set(int i, int i2) {
        if (i >= 0) {
            int[] iArr = this.values;
            if (i < iArr.length) {
                this.set = (1 << i) | this.set;
                iArr[i] = i2;
            }
        }
        return this;
    }
}
