package okhttp3.internal.platform.android;

import android.util.Log;
import com.android.tools.r8.GeneratedOutlineSupport;
import java.util.logging.Handler;
import java.util.logging.Level;
import java.util.logging.LogRecord;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt__IndentKt;

/* compiled from: AndroidLog.kt */
public final class AndroidLogHandler extends Handler {
    public static final AndroidLogHandler INSTANCE = new AndroidLogHandler();

    @Override // java.util.logging.Handler
    public void close() {
    }

    public void flush() {
    }

    public void publish(LogRecord logRecord) {
        int i;
        int min;
        Intrinsics.checkNotNullParameter(logRecord, "record");
        AndroidLog androidLog = AndroidLog.INSTANCE;
        String loggerName = logRecord.getLoggerName();
        Intrinsics.checkNotNullExpressionValue(loggerName, "record.loggerName");
        if (logRecord.getLevel().intValue() > Level.INFO.intValue()) {
            i = 5;
        } else {
            i = logRecord.getLevel().intValue() == Level.INFO.intValue() ? 4 : 3;
        }
        String message = logRecord.getMessage();
        Intrinsics.checkNotNullExpressionValue(message, "record.message");
        Throwable thrown = logRecord.getThrown();
        Intrinsics.checkNotNullParameter(loggerName, "loggerName");
        Intrinsics.checkNotNullParameter(message, "message");
        String str = AndroidLog.knownLoggers.get(loggerName);
        if (str == null) {
            int i2 = 23;
            Intrinsics.checkNotNullParameter(loggerName, "$this$take");
            int length = loggerName.length();
            if (23 > length) {
                i2 = length;
            }
            str = loggerName.substring(0, i2);
            Intrinsics.checkNotNullExpressionValue(str, "(this as java.lang.Strin…ing(startIndex, endIndex)");
        }
        if (Log.isLoggable(str, i)) {
            if (thrown != null) {
                StringBuilder outline28 = GeneratedOutlineSupport.outline28(message, "\n");
                outline28.append(Log.getStackTraceString(thrown));
                message = outline28.toString();
            }
            int length2 = message.length();
            int i3 = 0;
            while (i3 < length2) {
                int indexOf$default = StringsKt__IndentKt.indexOf$default((CharSequence) message, '\n', i3, false, 4);
                if (indexOf$default == -1) {
                    indexOf$default = length2;
                }
                while (true) {
                    min = Math.min(indexOf$default, i3 + 4000);
                    String substring = message.substring(i3, min);
                    Intrinsics.checkNotNullExpressionValue(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                    Log.println(i, str, substring);
                    if (min >= indexOf$default) {
                        break;
                    }
                    i3 = min;
                }
                i3 = min + 1;
            }
        }
    }
}
