package org.xbill.DNS;

public abstract class DClass {
    public static Mnemonic classes;

    public class DClassMnemonic extends Mnemonic {
        public DClassMnemonic() {
            super("DClass", 2);
            this.prefix = sanitize("CLASS");
        }

        @Override // org.xbill.DNS.Mnemonic
        public void check(int i) {
            DClass.check(i);
        }
    }

    static {
        DClassMnemonic dClassMnemonic = new DClassMnemonic();
        classes = dClassMnemonic;
        dClassMnemonic.add(1, "IN");
        classes.add(3, "CH");
        classes.addAlias(3, "CHAOS");
        classes.add(4, "HS");
        classes.addAlias(4, "HESIOD");
        classes.add(CERTRecord.OID, "NONE");
        classes.add(KEYRecord.PROTOCOL_ANY, "ANY");
    }

    public static void check(int i) {
        if (i < 0 || i > 65535) {
            throw new InvalidDClassException(i);
        }
    }

    public static String string(int i) {
        return classes.getText(i);
    }
}
