package org.xbill.DNS;

import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.TimeZone;

public abstract class FormattedTime {
    public static NumberFormat w2;
    public static NumberFormat w4;

    static {
        DecimalFormat decimalFormat = new DecimalFormat();
        w2 = decimalFormat;
        decimalFormat.setMinimumIntegerDigits(2);
        DecimalFormat decimalFormat2 = new DecimalFormat();
        w4 = decimalFormat2;
        decimalFormat2.setMinimumIntegerDigits(4);
        w4.setGroupingUsed(false);
    }

    public static String format(Date date) {
        GregorianCalendar gregorianCalendar = new GregorianCalendar(TimeZone.getTimeZone("UTC"));
        StringBuffer stringBuffer = new StringBuffer();
        gregorianCalendar.setTime(date);
        stringBuffer.append(w4.format((long) gregorianCalendar.get(1)));
        stringBuffer.append(w2.format((long) (gregorianCalendar.get(2) + 1)));
        stringBuffer.append(w2.format((long) gregorianCalendar.get(5)));
        stringBuffer.append(w2.format((long) gregorianCalendar.get(11)));
        stringBuffer.append(w2.format((long) gregorianCalendar.get(12)));
        stringBuffer.append(w2.format((long) gregorianCalendar.get(13)));
        return stringBuffer.toString();
    }

    public static Date parse(String str) {
        if (str.length() == 14) {
            GregorianCalendar gregorianCalendar = new GregorianCalendar(TimeZone.getTimeZone("UTC"));
            gregorianCalendar.clear();
            try {
                gregorianCalendar.set(Integer.parseInt(str.substring(0, 4)), Integer.parseInt(str.substring(4, 6)) - 1, Integer.parseInt(str.substring(6, 8)), Integer.parseInt(str.substring(8, 10)), Integer.parseInt(str.substring(10, 12)), Integer.parseInt(str.substring(12, 14)));
                return gregorianCalendar.getTime();
            } catch (NumberFormatException unused) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append("Invalid time encoding: ");
                stringBuffer.append(str);
                throw new TextParseException(stringBuffer.toString());
            }
        } else {
            StringBuffer stringBuffer2 = new StringBuffer();
            stringBuffer2.append("Invalid time encoding: ");
            stringBuffer2.append(str);
            throw new TextParseException(stringBuffer2.toString());
        }
    }
}
