package org.xbill.DNS;

import com.android.tools.r8.GeneratedOutlineSupport;
import kotlinx.coroutines.internal.SystemPropsKt;

public class GenericEDNSOption extends EDNSOption {
    public byte[] data;

    public GenericEDNSOption(int i) {
        super(i);
    }

    @Override // org.xbill.DNS.EDNSOption
    public void optionFromWire(DNSInput dNSInput) {
        this.data = dNSInput.readByteArray();
    }

    @Override // org.xbill.DNS.EDNSOption
    public String optionToString() {
        StringBuffer outline24 = GeneratedOutlineSupport.outline24("<");
        outline24.append(SystemPropsKt.toString(this.data));
        outline24.append(">");
        return outline24.toString();
    }

    @Override // org.xbill.DNS.EDNSOption
    public void optionToWire(DNSOutput dNSOutput) {
        dNSOutput.writeByteArray(this.data);
    }
}
