package androidx.appcompat.app;

import android.animation.Animator;
import android.animation.AnimatorInflater;
import android.animation.ObjectAnimator;
import android.animation.TypeConverter;
import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.AppOpsManager;
import android.app.Dialog;
import android.app.UiModeManager;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.res.ColorStateList;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.Cursor;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PointF;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.DrawableContainer;
import android.graphics.drawable.InsetDrawable;
import android.icu.text.DecimalFormatSymbols;
import android.location.Location;
import android.location.LocationManager;
import android.media.AudioManager;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.CancellationSignal;
import android.os.Handler;
import android.os.IBinder;
import android.os.Parcel;
import android.os.ParcelFileDescriptor;
import android.os.Parcelable;
import android.os.PowerManager;
import android.os.Process;
import android.os.StrictMode;
import android.os.Trace;
import android.support.v4.media.MediaBrowserCompat;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.method.PasswordTransformationMethod;
import android.util.AndroidRuntimeException;
import android.util.AttributeSet;
import android.util.Base64;
import android.util.Log;
import android.util.LongSparseArray;
import android.util.Property;
import android.util.Size;
import android.util.SizeF;
import android.util.StateSet;
import android.util.TypedValue;
import android.util.Xml;
import android.view.ActionMode;
import android.view.KeyCharacterMap;
import android.view.KeyEvent;
import android.view.KeyboardShortcutGroup;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.Window;
import android.view.WindowManager;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.widget.CompoundButton;
import android.widget.FrameLayout;
import android.widget.ListAdapter;
import android.widget.PopupWindow;
import android.widget.TextView;
import androidx.appcompat.R$attr;
import androidx.appcompat.R$color;
import androidx.appcompat.R$id;
import androidx.appcompat.R$layout;
import androidx.appcompat.R$style;
import androidx.appcompat.R$styleable;
import androidx.appcompat.app.AppCompatViewInflater;
import androidx.appcompat.app.TwilightManager;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.appcompat.view.ActionMode;
import androidx.appcompat.view.ContextThemeWrapper;
import androidx.appcompat.view.StandaloneActionMode;
import androidx.appcompat.view.SupportActionModeWrapper;
import androidx.appcompat.view.WindowCallbackWrapper;
import androidx.appcompat.view.menu.ExpandedMenuView;
import androidx.appcompat.view.menu.ListMenuPresenter;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.appcompat.view.menu.MenuPresenter;
import androidx.appcompat.widget.ActionBarContextView;
import androidx.appcompat.widget.ActionBarOverlayLayout;
import androidx.appcompat.widget.ActionMenuPresenter;
import androidx.appcompat.widget.ActionMenuView;
import androidx.appcompat.widget.AppCompatAutoCompleteTextView;
import androidx.appcompat.widget.AppCompatButton;
import androidx.appcompat.widget.AppCompatCheckBox;
import androidx.appcompat.widget.AppCompatCheckedTextView;
import androidx.appcompat.widget.AppCompatDrawableManager;
import androidx.appcompat.widget.AppCompatEditText;
import androidx.appcompat.widget.AppCompatImageButton;
import androidx.appcompat.widget.AppCompatImageView;
import androidx.appcompat.widget.AppCompatMultiAutoCompleteTextView;
import androidx.appcompat.widget.AppCompatRadioButton;
import androidx.appcompat.widget.AppCompatRatingBar;
import androidx.appcompat.widget.AppCompatSeekBar;
import androidx.appcompat.widget.AppCompatSpinner;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.appcompat.widget.AppCompatToggleButton;
import androidx.appcompat.widget.ContentFrameLayout;
import androidx.appcompat.widget.DecorContentParent;
import androidx.appcompat.widget.TintTypedArray;
import androidx.appcompat.widget.ToolbarWidgetWrapper;
import androidx.appcompat.widget.TooltipCompatHandler;
import androidx.appcompat.widget.VectorEnabledTintResources;
import androidx.appcompat.widget.ViewStubCompat;
import androidx.appcompat.widget.ViewUtils;
import androidx.collection.SimpleArrayMap;
import androidx.constraintlayout.core.ArrayRow;
import androidx.constraintlayout.core.LinearSystem;
import androidx.constraintlayout.core.SolverVariable;
import androidx.constraintlayout.core.widgets.ChainHead;
import androidx.constraintlayout.core.widgets.ConstraintAnchor;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.core.widgets.ConstraintWidgetContainer;
import androidx.constraintlayout.core.widgets.Guideline;
import androidx.constraintlayout.core.widgets.HelperWidget;
import androidx.constraintlayout.core.widgets.analyzer.WidgetGroup;
import androidx.constraintlayout.motion.widget.MotionLayout;
import androidx.core.app.ActivityCompat;
import androidx.core.app.ActivityRecreator;
import androidx.core.content.ContextCompat;
import androidx.core.content.res.FontResourcesParserCompat$FamilyResourceEntry;
import androidx.core.content.res.FontResourcesParserCompat$FontFamilyFilesResourceEntry;
import androidx.core.content.res.FontResourcesParserCompat$FontFileResourceEntry;
import androidx.core.content.res.FontResourcesParserCompat$ProviderResourceEntry;
import androidx.core.graphics.PathParser$PathDataNode;
import androidx.core.graphics.drawable.TintAwareDrawable;
import androidx.core.graphics.drawable.WrappedDrawable;
import androidx.core.graphics.drawable.WrappedDrawableApi14;
import androidx.core.graphics.drawable.WrappedDrawableApi21;
import androidx.core.provider.FontRequest;
import androidx.core.text.PrecomputedTextCompat;
import androidx.core.view.KeyEventDispatcher;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import androidx.core.view.ViewPropertyAnimatorCompat;
import androidx.core.view.ViewPropertyAnimatorListenerAdapter;
import androidx.core.view.WindowInsetsCompat;
import androidx.core.widget.TextViewCompat$OreoCallback;
import androidx.fragment.R$animator;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentAnim$AnimationOrAnimator;
import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.LifecycleRegistry;
import androidx.recyclerview.widget.OrientationHelper;
import androidx.recyclerview.widget.RecyclerView;
import androidx.room.RoomDatabase;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.ut.device.AidConstants;
import io.netty.util.internal.StringUtil;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.Serializable;
import java.lang.ref.WeakReference;
import java.lang.reflect.Array;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.nio.ByteBuffer;
import java.nio.MappedByteBuffer;
import java.nio.channels.FileChannel;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Calendar;
import java.util.Collections;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import kotlin.Pair;
import kotlin.jvm.internal.Intrinsics;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

public class AppCompatDelegateImpl extends AppCompatDelegate implements MenuBuilder.Callback, LayoutInflater.Factory2 {
    public static final boolean sCanApplyOverrideConfiguration = true;
    public static final boolean sCanReturnDifferentContext = (!"robolectric".equals(Build.FINGERPRINT));
    public static final SimpleArrayMap<String, Integer> sLocalNightModes = new SimpleArrayMap<>();
    public static final int[] sWindowBackgroundStyleable = {16842836};
    public ActionBar mActionBar;
    public ActionMenuPresenterCallback mActionMenuPresenterCallback;
    public ActionMode mActionMode;
    public PopupWindow mActionModePopup;
    public ActionBarContextView mActionModeView;
    public boolean mActivityHandlesUiMode;
    public boolean mActivityHandlesUiModeChecked;
    public final AppCompatCallback mAppCompatCallback;
    public AppCompatViewInflater mAppCompatViewInflater;
    public AppCompatWindowCallback mAppCompatWindowCallback;
    public AutoNightModeManager mAutoBatteryNightModeManager;
    public AutoNightModeManager mAutoTimeNightModeManager;
    public boolean mBaseContextAttached;
    public boolean mClosingActionMenu;
    public final Context mContext;
    public boolean mCreated;
    public DecorContentParent mDecorContentParent;
    public boolean mEnableDefaultActionBarUp;
    public ViewPropertyAnimatorCompat mFadeAnim = null;
    public boolean mFeatureIndeterminateProgress;
    public boolean mFeatureProgress;
    public boolean mHasActionBar;
    public final Object mHost;
    public int mInvalidatePanelMenuFeatures;
    public boolean mInvalidatePanelMenuPosted;
    public final Runnable mInvalidatePanelMenuRunnable = new Runnable() {
        /* class androidx.appcompat.app.AppCompatDelegateImpl.AnonymousClass2 */

        public void run() {
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            if ((appCompatDelegateImpl.mInvalidatePanelMenuFeatures & 1) != 0) {
                appCompatDelegateImpl.doInvalidatePanelMenu(0);
            }
            AppCompatDelegateImpl appCompatDelegateImpl2 = AppCompatDelegateImpl.this;
            if ((appCompatDelegateImpl2.mInvalidatePanelMenuFeatures & 4096) != 0) {
                appCompatDelegateImpl2.doInvalidatePanelMenu(108);
            }
            AppCompatDelegateImpl appCompatDelegateImpl3 = AppCompatDelegateImpl.this;
            appCompatDelegateImpl3.mInvalidatePanelMenuPosted = false;
            appCompatDelegateImpl3.mInvalidatePanelMenuFeatures = 0;
        }
    };
    public boolean mIsDestroyed;
    public boolean mIsFloating;
    public int mLocalNightMode = -100;
    public boolean mLongPressBackDown;
    public MenuInflater mMenuInflater;
    public boolean mOverlayActionBar;
    public boolean mOverlayActionMode;
    public PanelMenuPresenterCallback mPanelMenuPresenterCallback;
    public PanelFeatureState[] mPanels;
    public PanelFeatureState mPreparedPanel;
    public Runnable mShowActionModePopup;
    public boolean mStarted;
    public View mStatusGuard;
    public ViewGroup mSubDecor;
    public boolean mSubDecorInstalled;
    public Rect mTempRect1;
    public Rect mTempRect2;
    public int mThemeResId;
    public CharSequence mTitle;
    public TextView mTitleView;
    public Window mWindow;
    public boolean mWindowNoTitle;

    public class ActionBarDrawableToggleImpl implements ActionBarDrawerToggle$Delegate {
        public ActionBarDrawableToggleImpl(AppCompatDelegateImpl appCompatDelegateImpl) {
        }
    }

    public final class ActionMenuPresenterCallback implements MenuPresenter.Callback {
        public ActionMenuPresenterCallback() {
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter.Callback
        public void onCloseMenu(MenuBuilder menuBuilder, boolean z) {
            AppCompatDelegateImpl.this.checkCloseActionMenu(menuBuilder);
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter.Callback
        public boolean onOpenSubMenu(MenuBuilder menuBuilder) {
            Window.Callback windowCallback = AppCompatDelegateImpl.this.getWindowCallback();
            if (windowCallback == null) {
                return true;
            }
            windowCallback.onMenuOpened(108, menuBuilder);
            return true;
        }
    }

    public class ActionModeCallbackWrapperV9 implements ActionMode.Callback {
        public ActionMode.Callback mWrapped;

        public ActionModeCallbackWrapperV9(ActionMode.Callback callback) {
            this.mWrapped = callback;
        }

        @Override // androidx.appcompat.view.ActionMode.Callback
        public boolean onActionItemClicked(ActionMode actionMode, MenuItem menuItem) {
            return this.mWrapped.onActionItemClicked(actionMode, menuItem);
        }

        @Override // androidx.appcompat.view.ActionMode.Callback
        public boolean onCreateActionMode(ActionMode actionMode, Menu menu) {
            return this.mWrapped.onCreateActionMode(actionMode, menu);
        }

        @Override // androidx.appcompat.view.ActionMode.Callback
        public void onDestroyActionMode(ActionMode actionMode) {
            this.mWrapped.onDestroyActionMode(actionMode);
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            if (appCompatDelegateImpl.mActionModePopup != null) {
                appCompatDelegateImpl.mWindow.getDecorView().removeCallbacks(AppCompatDelegateImpl.this.mShowActionModePopup);
            }
            AppCompatDelegateImpl appCompatDelegateImpl2 = AppCompatDelegateImpl.this;
            if (appCompatDelegateImpl2.mActionModeView != null) {
                appCompatDelegateImpl2.endOnGoingFadeAnimation();
                AppCompatDelegateImpl appCompatDelegateImpl3 = AppCompatDelegateImpl.this;
                ViewPropertyAnimatorCompat animate = ViewCompat.animate(appCompatDelegateImpl3.mActionModeView);
                animate.alpha(0.0f);
                appCompatDelegateImpl3.mFadeAnim = animate;
                ViewPropertyAnimatorCompat viewPropertyAnimatorCompat = AppCompatDelegateImpl.this.mFadeAnim;
                AnonymousClass1 r0 = new ViewPropertyAnimatorListenerAdapter() {
                    /* class androidx.appcompat.app.AppCompatDelegateImpl.ActionModeCallbackWrapperV9.AnonymousClass1 */

                    @Override // androidx.core.view.ViewPropertyAnimatorListener
                    public void onAnimationEnd(View view) {
                        AppCompatDelegateImpl.this.mActionModeView.setVisibility(8);
                        AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
                        PopupWindow popupWindow = appCompatDelegateImpl.mActionModePopup;
                        if (popupWindow != null) {
                            popupWindow.dismiss();
                        } else if (appCompatDelegateImpl.mActionModeView.getParent() instanceof View) {
                            AtomicInteger atomicInteger = ViewCompat.sNextGeneratedId;
                            ((View) AppCompatDelegateImpl.this.mActionModeView.getParent()).requestApplyInsets();
                        }
                        AppCompatDelegateImpl.this.mActionModeView.killMode();
                        AppCompatDelegateImpl.this.mFadeAnim.setListener(null);
                        AppCompatDelegateImpl appCompatDelegateImpl2 = AppCompatDelegateImpl.this;
                        appCompatDelegateImpl2.mFadeAnim = null;
                        ViewGroup viewGroup = appCompatDelegateImpl2.mSubDecor;
                        AtomicInteger atomicInteger2 = ViewCompat.sNextGeneratedId;
                        viewGroup.requestApplyInsets();
                    }
                };
                View view = viewPropertyAnimatorCompat.mView.get();
                if (view != null) {
                    viewPropertyAnimatorCompat.setListenerInternal(view, r0);
                }
            }
            AppCompatDelegateImpl appCompatDelegateImpl4 = AppCompatDelegateImpl.this;
            AppCompatCallback appCompatCallback = appCompatDelegateImpl4.mAppCompatCallback;
            if (appCompatCallback != null) {
                appCompatCallback.onSupportActionModeFinished(appCompatDelegateImpl4.mActionMode);
            }
            AppCompatDelegateImpl appCompatDelegateImpl5 = AppCompatDelegateImpl.this;
            appCompatDelegateImpl5.mActionMode = null;
            ViewGroup viewGroup = appCompatDelegateImpl5.mSubDecor;
            AtomicInteger atomicInteger = ViewCompat.sNextGeneratedId;
            viewGroup.requestApplyInsets();
        }

        @Override // androidx.appcompat.view.ActionMode.Callback
        public boolean onPrepareActionMode(ActionMode actionMode, Menu menu) {
            ViewGroup viewGroup = AppCompatDelegateImpl.this.mSubDecor;
            AtomicInteger atomicInteger = ViewCompat.sNextGeneratedId;
            viewGroup.requestApplyInsets();
            return this.mWrapped.onPrepareActionMode(actionMode, menu);
        }
    }

    public class AutoBatteryNightModeManager extends AutoNightModeManager {
        public final PowerManager mPowerManager;

        public AutoBatteryNightModeManager(Context context) {
            super();
            this.mPowerManager = (PowerManager) context.getApplicationContext().getSystemService("power");
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.AutoNightModeManager
        public IntentFilter createIntentFilterForBroadcastReceiver() {
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.addAction("android.os.action.POWER_SAVE_MODE_CHANGED");
            return intentFilter;
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.AutoNightModeManager
        public int getApplyableNightMode() {
            return this.mPowerManager.isPowerSaveMode() ? 2 : 1;
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.AutoNightModeManager
        public void onChange() {
            AppCompatDelegateImpl.this.applyDayNight();
        }
    }

    public abstract class AutoNightModeManager {
        public BroadcastReceiver mReceiver;

        public AutoNightModeManager() {
        }

        public void cleanup() {
            BroadcastReceiver broadcastReceiver = this.mReceiver;
            if (broadcastReceiver != null) {
                try {
                    AppCompatDelegateImpl.this.mContext.unregisterReceiver(broadcastReceiver);
                } catch (IllegalArgumentException unused) {
                }
                this.mReceiver = null;
            }
        }

        public abstract IntentFilter createIntentFilterForBroadcastReceiver();

        public abstract int getApplyableNightMode();

        public abstract void onChange();

        public void setup() {
            cleanup();
            IntentFilter createIntentFilterForBroadcastReceiver = createIntentFilterForBroadcastReceiver();
            if (createIntentFilterForBroadcastReceiver != null && createIntentFilterForBroadcastReceiver.countActions() != 0) {
                if (this.mReceiver == null) {
                    this.mReceiver = new BroadcastReceiver() {
                        /* class androidx.appcompat.app.AppCompatDelegateImpl.AutoNightModeManager.AnonymousClass1 */

                        public void onReceive(Context context, Intent intent) {
                            AutoNightModeManager.this.onChange();
                        }
                    };
                }
                AppCompatDelegateImpl.this.mContext.registerReceiver(this.mReceiver, createIntentFilterForBroadcastReceiver);
            }
        }
    }

    public class AutoTimeNightModeManager extends AutoNightModeManager {
        public final TwilightManager mTwilightManager;

        public AutoTimeNightModeManager(TwilightManager twilightManager) {
            super();
            this.mTwilightManager = twilightManager;
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.AutoNightModeManager
        public IntentFilter createIntentFilterForBroadcastReceiver() {
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.addAction("android.intent.action.TIME_SET");
            intentFilter.addAction("android.intent.action.TIMEZONE_CHANGED");
            intentFilter.addAction("android.intent.action.TIME_TICK");
            return intentFilter;
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.AutoNightModeManager
        public int getApplyableNightMode() {
            boolean z;
            long j;
            TwilightManager twilightManager = this.mTwilightManager;
            TwilightManager.TwilightState twilightState = twilightManager.mTwilightState;
            boolean z2 = false;
            if (twilightState.nextUpdate > System.currentTimeMillis()) {
                z = twilightState.isNight;
            } else {
                Location location = null;
                Location lastKnownLocationForProvider = Api17Impl.checkSelfPermission(twilightManager.mContext, "android.permission.ACCESS_COARSE_LOCATION") == 0 ? twilightManager.getLastKnownLocationForProvider("network") : null;
                if (Api17Impl.checkSelfPermission(twilightManager.mContext, "android.permission.ACCESS_FINE_LOCATION") == 0) {
                    location = twilightManager.getLastKnownLocationForProvider("gps");
                }
                if (location == null || lastKnownLocationForProvider == null ? location != null : location.getTime() > lastKnownLocationForProvider.getTime()) {
                    lastKnownLocationForProvider = location;
                }
                if (lastKnownLocationForProvider != null) {
                    TwilightManager.TwilightState twilightState2 = twilightManager.mTwilightState;
                    long currentTimeMillis = System.currentTimeMillis();
                    if (TwilightCalculator.sInstance == null) {
                        TwilightCalculator.sInstance = new TwilightCalculator();
                    }
                    TwilightCalculator twilightCalculator = TwilightCalculator.sInstance;
                    twilightCalculator.calculateTwilight(currentTimeMillis - 86400000, lastKnownLocationForProvider.getLatitude(), lastKnownLocationForProvider.getLongitude());
                    twilightCalculator.calculateTwilight(currentTimeMillis, lastKnownLocationForProvider.getLatitude(), lastKnownLocationForProvider.getLongitude());
                    if (twilightCalculator.state == 1) {
                        z2 = true;
                    }
                    long j2 = twilightCalculator.sunrise;
                    long j3 = twilightCalculator.sunset;
                    twilightCalculator.calculateTwilight(currentTimeMillis + 86400000, lastKnownLocationForProvider.getLatitude(), lastKnownLocationForProvider.getLongitude());
                    long j4 = twilightCalculator.sunrise;
                    if (j2 == -1 || j3 == -1) {
                        j = 43200000 + currentTimeMillis;
                    } else {
                        j = (currentTimeMillis > j3 ? j4 + 0 : currentTimeMillis > j2 ? j3 + 0 : j2 + 0) + 60000;
                    }
                    twilightState2.isNight = z2;
                    twilightState2.nextUpdate = j;
                    z = twilightState.isNight;
                } else {
                    Log.i("TwilightManager", "Could not get last known location. This is probably because the app does not have any location permissions. Falling back to hardcoded sunrise/sunset values.");
                    int i = Calendar.getInstance().get(11);
                    if (i < 6 || i >= 22) {
                        z2 = true;
                    }
                    z = z2;
                }
            }
            if (z) {
                return 2;
            }
            return 1;
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.AutoNightModeManager
        public void onChange() {
            AppCompatDelegateImpl.this.applyDayNight();
        }
    }

    public class ListMenuDecorView extends ContentFrameLayout {
        public ListMenuDecorView(Context context) {
            super(context);
        }

        public boolean dispatchKeyEvent(KeyEvent keyEvent) {
            return AppCompatDelegateImpl.this.dispatchKeyEvent(keyEvent) || super.dispatchKeyEvent(keyEvent);
        }

        public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
            if (motionEvent.getAction() == 0) {
                int x = (int) motionEvent.getX();
                int y = (int) motionEvent.getY();
                if (x < -5 || y < -5 || x > getWidth() + 5 || y > getHeight() + 5) {
                    AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
                    appCompatDelegateImpl.closePanel(appCompatDelegateImpl.getPanelState(0), true);
                    return true;
                }
            }
            return super.onInterceptTouchEvent(motionEvent);
        }

        public void setBackgroundResource(int i) {
            setBackgroundDrawable(AppCompatResources.getDrawable(getContext(), i));
        }
    }

    public static final class PanelFeatureState {
        public int background;
        public View createdPanelView;
        public ViewGroup decorView;
        public int featureId;
        public Bundle frozenActionViewState;
        public int gravity;
        public boolean isHandled;
        public boolean isOpen;
        public boolean isPrepared;
        public ListMenuPresenter listMenuPresenter;
        public Context listPresenterContext;
        public MenuBuilder menu;
        public boolean qwertyMode;
        public boolean refreshDecorView = false;
        public boolean refreshMenuContent;
        public View shownPanelView;
        public int windowAnimations;

        @SuppressLint({"BanParcelableUsage"})
        public static class SavedState implements Parcelable {
            public static final Parcelable.Creator<SavedState> CREATOR = new Parcelable.ClassLoaderCreator<SavedState>() {
                /* class androidx.appcompat.app.AppCompatDelegateImpl.PanelFeatureState.SavedState.AnonymousClass1 */

                /* Return type fixed from 'java.lang.Object' to match base method */
                @Override // android.os.Parcelable.ClassLoaderCreator
                public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                    return SavedState.readFromParcel(parcel, classLoader);
                }

                @Override // android.os.Parcelable.Creator
                public Object[] newArray(int i) {
                    return new SavedState[i];
                }

                @Override // android.os.Parcelable.Creator
                public Object createFromParcel(Parcel parcel) {
                    return SavedState.readFromParcel(parcel, null);
                }
            };
            public int featureId;
            public boolean isOpen;
            public Bundle menuState;

            public static SavedState readFromParcel(Parcel parcel, ClassLoader classLoader) {
                SavedState savedState = new SavedState();
                savedState.featureId = parcel.readInt();
                boolean z = true;
                if (parcel.readInt() != 1) {
                    z = false;
                }
                savedState.isOpen = z;
                if (z) {
                    savedState.menuState = parcel.readBundle(classLoader);
                }
                return savedState;
            }

            public int describeContents() {
                return 0;
            }

            public void writeToParcel(Parcel parcel, int i) {
                parcel.writeInt(this.featureId);
                parcel.writeInt(this.isOpen ? 1 : 0);
                if (this.isOpen) {
                    parcel.writeBundle(this.menuState);
                }
            }
        }

        public PanelFeatureState(int i) {
            this.featureId = i;
        }

        public void setMenu(MenuBuilder menuBuilder) {
            ListMenuPresenter listMenuPresenter2;
            MenuBuilder menuBuilder2 = this.menu;
            if (menuBuilder != menuBuilder2) {
                if (menuBuilder2 != null) {
                    menuBuilder2.removeMenuPresenter(this.listMenuPresenter);
                }
                this.menu = menuBuilder;
                if (menuBuilder != null && (listMenuPresenter2 = this.listMenuPresenter) != null) {
                    menuBuilder.addMenuPresenter(listMenuPresenter2, menuBuilder.mContext);
                }
            }
        }
    }

    public final class PanelMenuPresenterCallback implements MenuPresenter.Callback {
        public PanelMenuPresenterCallback() {
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter.Callback
        public void onCloseMenu(MenuBuilder menuBuilder, boolean z) {
            MenuBuilder rootMenu = menuBuilder.getRootMenu();
            boolean z2 = rootMenu != menuBuilder;
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            if (z2) {
                menuBuilder = rootMenu;
            }
            PanelFeatureState findMenuPanel = appCompatDelegateImpl.findMenuPanel(menuBuilder);
            if (findMenuPanel == null) {
                return;
            }
            if (z2) {
                AppCompatDelegateImpl.this.callOnPanelClosed(findMenuPanel.featureId, findMenuPanel, rootMenu);
                AppCompatDelegateImpl.this.closePanel(findMenuPanel, true);
                return;
            }
            AppCompatDelegateImpl.this.closePanel(findMenuPanel, z);
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter.Callback
        public boolean onOpenSubMenu(MenuBuilder menuBuilder) {
            Window.Callback windowCallback;
            if (menuBuilder != menuBuilder.getRootMenu()) {
                return true;
            }
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            if (!appCompatDelegateImpl.mHasActionBar || (windowCallback = appCompatDelegateImpl.getWindowCallback()) == null || AppCompatDelegateImpl.this.mIsDestroyed) {
                return true;
            }
            windowCallback.onMenuOpened(108, menuBuilder);
            return true;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:9:0x002f, code lost:
        r4 = null;
     */
    public AppCompatDelegateImpl(Context context, Window window, AppCompatCallback appCompatCallback, Object obj) {
        SimpleArrayMap<String, Integer> simpleArrayMap;
        Integer orDefault;
        AppCompatActivity appCompatActivity;
        this.mContext = context;
        this.mAppCompatCallback = appCompatCallback;
        this.mHost = obj;
        if (obj instanceof Dialog) {
            while (true) {
                if (context != null) {
                    if (!(context instanceof AppCompatActivity)) {
                        if (!(context instanceof ContextWrapper)) {
                            break;
                        }
                        context = ((ContextWrapper) context).getBaseContext();
                    } else {
                        appCompatActivity = (AppCompatActivity) context;
                        break;
                    }
                } else {
                    break;
                }
            }
            if (appCompatActivity != null) {
                this.mLocalNightMode = ((AppCompatDelegateImpl) appCompatActivity.getDelegate()).mLocalNightMode;
            }
        }
        if (this.mLocalNightMode == -100 && (orDefault = (simpleArrayMap = sLocalNightModes).getOrDefault(this.mHost.getClass().getName(), null)) != null) {
            this.mLocalNightMode = orDefault.intValue();
            simpleArrayMap.remove(this.mHost.getClass().getName());
        }
        if (window != null) {
            attachToWindow(window);
        }
        AppCompatDrawableManager.preload();
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void addContentView(View view, ViewGroup.LayoutParams layoutParams) {
        ensureSubDecor();
        ((ViewGroup) this.mSubDecor.findViewById(16908290)).addView(view, layoutParams);
        this.mAppCompatWindowCallback.mWrapped.onContentChanged();
    }

    public boolean applyDayNight() {
        return applyDayNight(true);
    }

    public final void attachToWindow(Window window) {
        if (this.mWindow == null) {
            Window.Callback callback = window.getCallback();
            if (!(callback instanceof AppCompatWindowCallback)) {
                AppCompatWindowCallback appCompatWindowCallback = new AppCompatWindowCallback(callback);
                this.mAppCompatWindowCallback = appCompatWindowCallback;
                window.setCallback(appCompatWindowCallback);
                TintTypedArray obtainStyledAttributes = TintTypedArray.obtainStyledAttributes(this.mContext, null, sWindowBackgroundStyleable);
                Drawable drawableIfKnown = obtainStyledAttributes.getDrawableIfKnown(0);
                if (drawableIfKnown != null) {
                    window.setBackgroundDrawable(drawableIfKnown);
                }
                obtainStyledAttributes.mWrapped.recycle();
                this.mWindow = window;
                return;
            }
            throw new IllegalStateException("AppCompat has already installed itself into the Window");
        }
        throw new IllegalStateException("AppCompat has already installed itself into the Window");
    }

    public void callOnPanelClosed(int i, PanelFeatureState panelFeatureState, Menu menu) {
        if (menu == null && panelFeatureState != null) {
            menu = panelFeatureState.menu;
        }
        if ((panelFeatureState == null || panelFeatureState.isOpen) && !this.mIsDestroyed) {
            this.mAppCompatWindowCallback.mWrapped.onPanelClosed(i, menu);
        }
    }

    public void checkCloseActionMenu(MenuBuilder menuBuilder) {
        ActionMenuPresenter actionMenuPresenter;
        if (!this.mClosingActionMenu) {
            this.mClosingActionMenu = true;
            ActionBarOverlayLayout actionBarOverlayLayout = (ActionBarOverlayLayout) this.mDecorContentParent;
            actionBarOverlayLayout.pullChildren();
            ActionMenuView actionMenuView = ((ToolbarWidgetWrapper) actionBarOverlayLayout.mDecorToolbar).mToolbar.mMenuView;
            if (!(actionMenuView == null || (actionMenuPresenter = actionMenuView.mPresenter) == null)) {
                actionMenuPresenter.dismissPopupMenus();
            }
            Window.Callback windowCallback = getWindowCallback();
            if (windowCallback != null && !this.mIsDestroyed) {
                windowCallback.onPanelClosed(108, menuBuilder);
            }
            this.mClosingActionMenu = false;
        }
    }

    public void closePanel(PanelFeatureState panelFeatureState, boolean z) {
        ViewGroup viewGroup;
        DecorContentParent decorContentParent;
        if (!z || panelFeatureState.featureId != 0 || (decorContentParent = this.mDecorContentParent) == null || !((ActionBarOverlayLayout) decorContentParent).isOverflowMenuShowing()) {
            WindowManager windowManager = (WindowManager) this.mContext.getSystemService("window");
            if (!(windowManager == null || !panelFeatureState.isOpen || (viewGroup = panelFeatureState.decorView) == null)) {
                windowManager.removeView(viewGroup);
                if (z) {
                    callOnPanelClosed(panelFeatureState.featureId, panelFeatureState, null);
                }
            }
            panelFeatureState.isPrepared = false;
            panelFeatureState.isHandled = false;
            panelFeatureState.isOpen = false;
            panelFeatureState.shownPanelView = null;
            panelFeatureState.refreshDecorView = true;
            if (this.mPreparedPanel == panelFeatureState) {
                this.mPreparedPanel = null;
                return;
            }
            return;
        }
        checkCloseActionMenu(panelFeatureState.menu);
    }

    public final Configuration createOverrideConfigurationForDayNight(Context context, int i, Configuration configuration) {
        int i2 = i != 1 ? i != 2 ? context.getApplicationContext().getResources().getConfiguration().uiMode & 48 : 32 : 16;
        Configuration configuration2 = new Configuration();
        configuration2.fontScale = 0.0f;
        if (configuration != null) {
            configuration2.setTo(configuration);
        }
        configuration2.uiMode = i2 | (configuration2.uiMode & -49);
        return configuration2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:65:0x00ea  */
    /* JADX WARNING: Removed duplicated region for block: B:86:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:91:? A[RETURN, SYNTHETIC] */
    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        boolean z;
        boolean z2;
        boolean z3;
        View decorView;
        Object obj = this.mHost;
        boolean z4 = true;
        if (((obj instanceof KeyEventDispatcher.Component) || (obj instanceof AppCompatDialog)) && (decorView = this.mWindow.getDecorView()) != null && KeyEventDispatcher.dispatchBeforeHierarchy(decorView, keyEvent)) {
            return true;
        }
        if (keyEvent.getKeyCode() == 82 && this.mAppCompatWindowCallback.mWrapped.dispatchKeyEvent(keyEvent)) {
            return true;
        }
        int keyCode = keyEvent.getKeyCode();
        if (keyEvent.getAction() == 0) {
            if (keyCode == 4) {
                if ((keyEvent.getFlags() & 128) == 0) {
                    z4 = false;
                }
                this.mLongPressBackDown = z4;
            } else if (keyCode == 82) {
                if (keyEvent.getRepeatCount() != 0) {
                    return true;
                }
                PanelFeatureState panelState = getPanelState(0);
                if (panelState.isOpen) {
                    return true;
                }
                preparePanel(panelState, keyEvent);
                return true;
            }
        } else if (keyCode == 4) {
            boolean z5 = this.mLongPressBackDown;
            this.mLongPressBackDown = false;
            PanelFeatureState panelState2 = getPanelState(0);
            if (!panelState2.isOpen) {
                ActionMode actionMode = this.mActionMode;
                if (actionMode != null) {
                    actionMode.finish();
                } else {
                    initWindowDecorActionBar();
                    ActionBar actionBar = this.mActionBar;
                    if (actionBar == null || !actionBar.collapseActionView()) {
                        z = false;
                        if (!z) {
                            return true;
                        }
                    }
                }
                z = true;
                if (!z) {
                    return false;
                }
            } else if (z5) {
                return true;
            } else {
                closePanel(panelState2, true);
                return true;
            }
        } else if (keyCode == 82) {
            if (this.mActionMode != null) {
                return true;
            }
            PanelFeatureState panelState3 = getPanelState(0);
            DecorContentParent decorContentParent = this.mDecorContentParent;
            if (decorContentParent == null || !((ActionBarOverlayLayout) decorContentParent).canShowOverflowMenu() || ViewConfiguration.get(this.mContext).hasPermanentMenuKey()) {
                boolean z6 = panelState3.isOpen;
                if (z6 || panelState3.isHandled) {
                    closePanel(panelState3, true);
                    z2 = z6;
                    if (z2) {
                        return true;
                    }
                    AudioManager audioManager = (AudioManager) this.mContext.getApplicationContext().getSystemService("audio");
                    if (audioManager != null) {
                        audioManager.playSoundEffect(0);
                        return true;
                    }
                    Log.w("AppCompatDelegate", "Couldn't get audio manager");
                    return true;
                } else if (panelState3.isPrepared) {
                    if (panelState3.refreshMenuContent) {
                        panelState3.isPrepared = false;
                        z3 = preparePanel(panelState3, keyEvent);
                    } else {
                        z3 = true;
                    }
                    if (z3) {
                        openPanel(panelState3, keyEvent);
                        z2 = true;
                        if (z2) {
                        }
                    }
                }
            } else {
                if (((ActionBarOverlayLayout) this.mDecorContentParent).isOverflowMenuShowing()) {
                    ActionBarOverlayLayout actionBarOverlayLayout = (ActionBarOverlayLayout) this.mDecorContentParent;
                    actionBarOverlayLayout.pullChildren();
                    z2 = ((ToolbarWidgetWrapper) actionBarOverlayLayout.mDecorToolbar).hideOverflowMenu();
                } else if (!this.mIsDestroyed && preparePanel(panelState3, keyEvent)) {
                    ActionBarOverlayLayout actionBarOverlayLayout2 = (ActionBarOverlayLayout) this.mDecorContentParent;
                    actionBarOverlayLayout2.pullChildren();
                    z2 = ((ToolbarWidgetWrapper) actionBarOverlayLayout2.mDecorToolbar).mToolbar.showOverflowMenu();
                }
                if (z2) {
                }
            }
            z2 = false;
            if (z2) {
            }
        }
        return false;
    }

    public void doInvalidatePanelMenu(int i) {
        PanelFeatureState panelState = getPanelState(i);
        if (panelState.menu != null) {
            Bundle bundle = new Bundle();
            panelState.menu.saveActionViewStates(bundle);
            if (bundle.size() > 0) {
                panelState.frozenActionViewState = bundle;
            }
            panelState.menu.stopDispatchingItemsChanged();
            panelState.menu.clear();
        }
        panelState.refreshMenuContent = true;
        panelState.refreshDecorView = true;
        if ((i == 108 || i == 0) && this.mDecorContentParent != null) {
            PanelFeatureState panelState2 = getPanelState(0);
            panelState2.isPrepared = false;
            preparePanel(panelState2, null);
        }
    }

    public void endOnGoingFadeAnimation() {
        ViewPropertyAnimatorCompat viewPropertyAnimatorCompat = this.mFadeAnim;
        if (viewPropertyAnimatorCompat != null) {
            viewPropertyAnimatorCompat.cancel();
        }
    }

    public final void ensureSubDecor() {
        ViewGroup viewGroup;
        CharSequence charSequence;
        Context context;
        if (!this.mSubDecorInstalled) {
            TypedArray obtainStyledAttributes = this.mContext.obtainStyledAttributes(R$styleable.AppCompatTheme);
            int i = R$styleable.AppCompatTheme_windowActionBar;
            if (obtainStyledAttributes.hasValue(i)) {
                if (obtainStyledAttributes.getBoolean(R$styleable.AppCompatTheme_windowNoTitle, false)) {
                    requestWindowFeature(1);
                } else if (obtainStyledAttributes.getBoolean(i, false)) {
                    requestWindowFeature(108);
                }
                if (obtainStyledAttributes.getBoolean(R$styleable.AppCompatTheme_windowActionBarOverlay, false)) {
                    requestWindowFeature(109);
                }
                if (obtainStyledAttributes.getBoolean(R$styleable.AppCompatTheme_windowActionModeOverlay, false)) {
                    requestWindowFeature(10);
                }
                this.mIsFloating = obtainStyledAttributes.getBoolean(R$styleable.AppCompatTheme_android_windowIsFloating, false);
                obtainStyledAttributes.recycle();
                ensureWindow();
                this.mWindow.getDecorView();
                LayoutInflater from = LayoutInflater.from(this.mContext);
                if (this.mWindowNoTitle) {
                    viewGroup = this.mOverlayActionMode ? (ViewGroup) from.inflate(R$layout.abc_screen_simple_overlay_action_mode, (ViewGroup) null) : (ViewGroup) from.inflate(R$layout.abc_screen_simple, (ViewGroup) null);
                } else if (this.mIsFloating) {
                    viewGroup = (ViewGroup) from.inflate(R$layout.abc_dialog_title_material, (ViewGroup) null);
                    this.mOverlayActionBar = false;
                    this.mHasActionBar = false;
                } else if (this.mHasActionBar) {
                    TypedValue typedValue = new TypedValue();
                    this.mContext.getTheme().resolveAttribute(R$attr.actionBarTheme, typedValue, true);
                    if (typedValue.resourceId != 0) {
                        context = new ContextThemeWrapper(this.mContext, typedValue.resourceId);
                    } else {
                        context = this.mContext;
                    }
                    viewGroup = (ViewGroup) LayoutInflater.from(context).inflate(R$layout.abc_screen_toolbar, (ViewGroup) null);
                    DecorContentParent decorContentParent = (DecorContentParent) viewGroup.findViewById(R$id.decor_content_parent);
                    this.mDecorContentParent = decorContentParent;
                    decorContentParent.setWindowCallback(getWindowCallback());
                    if (this.mOverlayActionBar) {
                        ((ActionBarOverlayLayout) this.mDecorContentParent).initFeature(109);
                    }
                    if (this.mFeatureProgress) {
                        ((ActionBarOverlayLayout) this.mDecorContentParent).initFeature(2);
                    }
                    if (this.mFeatureIndeterminateProgress) {
                        ((ActionBarOverlayLayout) this.mDecorContentParent).initFeature(5);
                    }
                } else {
                    viewGroup = null;
                }
                if (viewGroup != null) {
                    AnonymousClass3 r1 = new OnApplyWindowInsetsListener() {
                        /* class androidx.appcompat.app.AppCompatDelegateImpl.AnonymousClass3 */

                        @Override // androidx.core.view.OnApplyWindowInsetsListener
                        public WindowInsetsCompat onApplyWindowInsets(View view, WindowInsetsCompat windowInsetsCompat) {
                            int systemWindowInsetTop = windowInsetsCompat.getSystemWindowInsetTop();
                            int updateStatusGuard = AppCompatDelegateImpl.this.updateStatusGuard(windowInsetsCompat, null);
                            if (systemWindowInsetTop != updateStatusGuard) {
                                windowInsetsCompat = windowInsetsCompat.replaceSystemWindowInsets(windowInsetsCompat.getSystemWindowInsetLeft(), updateStatusGuard, windowInsetsCompat.getSystemWindowInsetRight(), windowInsetsCompat.getSystemWindowInsetBottom());
                            }
                            return ViewCompat.onApplyWindowInsets(view, windowInsetsCompat);
                        }
                    };
                    AtomicInteger atomicInteger = ViewCompat.sNextGeneratedId;
                    ViewCompat.Api21Impl.setOnApplyWindowInsetsListener(viewGroup, r1);
                    if (this.mDecorContentParent == null) {
                        this.mTitleView = (TextView) viewGroup.findViewById(R$id.title);
                    }
                    Method method = ViewUtils.sComputeFitSystemWindowsMethod;
                    try {
                        Method method2 = viewGroup.getClass().getMethod("makeOptionalFitsSystemWindows", new Class[0]);
                        if (!method2.isAccessible()) {
                            method2.setAccessible(true);
                        }
                        method2.invoke(viewGroup, new Object[0]);
                    } catch (NoSuchMethodException unused) {
                        Log.d("ViewUtils", "Could not find method makeOptionalFitsSystemWindows. Oh well...");
                    } catch (InvocationTargetException e) {
                        Log.d("ViewUtils", "Could not invoke makeOptionalFitsSystemWindows", e);
                    } catch (IllegalAccessException e2) {
                        Log.d("ViewUtils", "Could not invoke makeOptionalFitsSystemWindows", e2);
                    }
                    ContentFrameLayout contentFrameLayout = (ContentFrameLayout) viewGroup.findViewById(R$id.action_bar_activity_content);
                    ViewGroup viewGroup2 = (ViewGroup) this.mWindow.findViewById(16908290);
                    if (viewGroup2 != null) {
                        while (viewGroup2.getChildCount() > 0) {
                            View childAt = viewGroup2.getChildAt(0);
                            viewGroup2.removeViewAt(0);
                            contentFrameLayout.addView(childAt);
                        }
                        viewGroup2.setId(-1);
                        contentFrameLayout.setId(16908290);
                        if (viewGroup2 instanceof FrameLayout) {
                            ((FrameLayout) viewGroup2).setForeground(null);
                        }
                    }
                    this.mWindow.setContentView(viewGroup);
                    contentFrameLayout.setAttachListener(new ContentFrameLayout.OnAttachListener() {
                        /* class androidx.appcompat.app.AppCompatDelegateImpl.AnonymousClass5 */
                    });
                    this.mSubDecor = viewGroup;
                    Object obj = this.mHost;
                    if (obj instanceof Activity) {
                        charSequence = ((Activity) obj).getTitle();
                    } else {
                        charSequence = this.mTitle;
                    }
                    if (!TextUtils.isEmpty(charSequence)) {
                        DecorContentParent decorContentParent2 = this.mDecorContentParent;
                        if (decorContentParent2 != null) {
                            decorContentParent2.setWindowTitle(charSequence);
                        } else {
                            ActionBar actionBar = this.mActionBar;
                            if (actionBar != null) {
                                actionBar.setWindowTitle(charSequence);
                            } else {
                                TextView textView = this.mTitleView;
                                if (textView != null) {
                                    textView.setText(charSequence);
                                }
                            }
                        }
                    }
                    ContentFrameLayout contentFrameLayout2 = (ContentFrameLayout) this.mSubDecor.findViewById(16908290);
                    View decorView = this.mWindow.getDecorView();
                    contentFrameLayout2.mDecorPadding.set(decorView.getPaddingLeft(), decorView.getPaddingTop(), decorView.getPaddingRight(), decorView.getPaddingBottom());
                    AtomicInteger atomicInteger2 = ViewCompat.sNextGeneratedId;
                    if (contentFrameLayout2.isLaidOut()) {
                        contentFrameLayout2.requestLayout();
                    }
                    TypedArray obtainStyledAttributes2 = this.mContext.obtainStyledAttributes(R$styleable.AppCompatTheme);
                    obtainStyledAttributes2.getValue(R$styleable.AppCompatTheme_windowMinWidthMajor, contentFrameLayout2.getMinWidthMajor());
                    obtainStyledAttributes2.getValue(R$styleable.AppCompatTheme_windowMinWidthMinor, contentFrameLayout2.getMinWidthMinor());
                    int i2 = R$styleable.AppCompatTheme_windowFixedWidthMajor;
                    if (obtainStyledAttributes2.hasValue(i2)) {
                        obtainStyledAttributes2.getValue(i2, contentFrameLayout2.getFixedWidthMajor());
                    }
                    int i3 = R$styleable.AppCompatTheme_windowFixedWidthMinor;
                    if (obtainStyledAttributes2.hasValue(i3)) {
                        obtainStyledAttributes2.getValue(i3, contentFrameLayout2.getFixedWidthMinor());
                    }
                    int i4 = R$styleable.AppCompatTheme_windowFixedHeightMajor;
                    if (obtainStyledAttributes2.hasValue(i4)) {
                        obtainStyledAttributes2.getValue(i4, contentFrameLayout2.getFixedHeightMajor());
                    }
                    int i5 = R$styleable.AppCompatTheme_windowFixedHeightMinor;
                    if (obtainStyledAttributes2.hasValue(i5)) {
                        obtainStyledAttributes2.getValue(i5, contentFrameLayout2.getFixedHeightMinor());
                    }
                    obtainStyledAttributes2.recycle();
                    contentFrameLayout2.requestLayout();
                    this.mSubDecorInstalled = true;
                    PanelFeatureState panelState = getPanelState(0);
                    if (!this.mIsDestroyed && panelState.menu == null) {
                        invalidatePanelMenu(108);
                        return;
                    }
                    return;
                }
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("AppCompat does not support the current theme features: { windowActionBar: ");
                outline25.append(this.mHasActionBar);
                outline25.append(", windowActionBarOverlay: ");
                outline25.append(this.mOverlayActionBar);
                outline25.append(", android:windowIsFloating: ");
                outline25.append(this.mIsFloating);
                outline25.append(", windowActionModeOverlay: ");
                outline25.append(this.mOverlayActionMode);
                outline25.append(", windowNoTitle: ");
                outline25.append(this.mWindowNoTitle);
                outline25.append(" }");
                throw new IllegalArgumentException(outline25.toString());
            }
            obtainStyledAttributes.recycle();
            throw new IllegalStateException("You need to use a Theme.AppCompat theme (or descendant) with this activity.");
        }
    }

    public final void ensureWindow() {
        if (this.mWindow == null) {
            Object obj = this.mHost;
            if (obj instanceof Activity) {
                attachToWindow(((Activity) obj).getWindow());
            }
        }
        if (this.mWindow == null) {
            throw new IllegalStateException("We have not been given a Window");
        }
    }

    public PanelFeatureState findMenuPanel(Menu menu) {
        PanelFeatureState[] panelFeatureStateArr = this.mPanels;
        int length = panelFeatureStateArr != null ? panelFeatureStateArr.length : 0;
        for (int i = 0; i < length; i++) {
            PanelFeatureState panelFeatureState = panelFeatureStateArr[i];
            if (panelFeatureState != null && panelFeatureState.menu == menu) {
                return panelFeatureState;
            }
        }
        return null;
    }

    public final AutoNightModeManager getAutoTimeNightModeManager(Context context) {
        if (this.mAutoTimeNightModeManager == null) {
            if (TwilightManager.sInstance == null) {
                Context applicationContext = context.getApplicationContext();
                TwilightManager.sInstance = new TwilightManager(applicationContext, (LocationManager) applicationContext.getSystemService("location"));
            }
            this.mAutoTimeNightModeManager = new AutoTimeNightModeManager(TwilightManager.sInstance);
        }
        return this.mAutoTimeNightModeManager;
    }

    public PanelFeatureState getPanelState(int i) {
        PanelFeatureState[] panelFeatureStateArr = this.mPanels;
        if (panelFeatureStateArr == null || panelFeatureStateArr.length <= i) {
            PanelFeatureState[] panelFeatureStateArr2 = new PanelFeatureState[(i + 1)];
            if (panelFeatureStateArr != null) {
                System.arraycopy(panelFeatureStateArr, 0, panelFeatureStateArr2, 0, panelFeatureStateArr.length);
            }
            this.mPanels = panelFeatureStateArr2;
            panelFeatureStateArr = panelFeatureStateArr2;
        }
        PanelFeatureState panelFeatureState = panelFeatureStateArr[i];
        if (panelFeatureState != null) {
            return panelFeatureState;
        }
        PanelFeatureState panelFeatureState2 = new PanelFeatureState(i);
        panelFeatureStateArr[i] = panelFeatureState2;
        return panelFeatureState2;
    }

    public final Window.Callback getWindowCallback() {
        return this.mWindow.getCallback();
    }

    public final void initWindowDecorActionBar() {
        ensureSubDecor();
        if (this.mHasActionBar && this.mActionBar == null) {
            Object obj = this.mHost;
            if (obj instanceof Activity) {
                this.mActionBar = new WindowDecorActionBar((Activity) this.mHost, this.mOverlayActionBar);
            } else if (obj instanceof Dialog) {
                this.mActionBar = new WindowDecorActionBar((Dialog) this.mHost);
            }
            ActionBar actionBar = this.mActionBar;
            if (actionBar != null) {
                actionBar.setDefaultDisplayHomeAsUpEnabled(this.mEnableDefaultActionBarUp);
            }
        }
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void installViewFactory() {
        LayoutInflater from = LayoutInflater.from(this.mContext);
        if (from.getFactory() == null) {
            from.setFactory2(this);
        } else if (!(from.getFactory2() instanceof AppCompatDelegateImpl)) {
            Log.i("AppCompatDelegate", "The Activity's LayoutInflater already has a Factory installed so we can not install AppCompat's");
        }
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void invalidateOptionsMenu() {
        initWindowDecorActionBar();
        ActionBar actionBar = this.mActionBar;
        if (actionBar == null || !actionBar.invalidateOptionsMenu()) {
            invalidatePanelMenu(0);
        }
    }

    public final void invalidatePanelMenu(int i) {
        this.mInvalidatePanelMenuFeatures = (1 << i) | this.mInvalidatePanelMenuFeatures;
        if (!this.mInvalidatePanelMenuPosted) {
            View decorView = this.mWindow.getDecorView();
            Runnable runnable = this.mInvalidatePanelMenuRunnable;
            AtomicInteger atomicInteger = ViewCompat.sNextGeneratedId;
            decorView.postOnAnimation(runnable);
            this.mInvalidatePanelMenuPosted = true;
        }
    }

    public int mapNightMode(Context context, int i) {
        if (i == -100) {
            return -1;
        }
        if (i != -1) {
            if (i != 0) {
                if (!(i == 1 || i == 2)) {
                    if (i == 3) {
                        if (this.mAutoBatteryNightModeManager == null) {
                            this.mAutoBatteryNightModeManager = new AutoBatteryNightModeManager(context);
                        }
                        return this.mAutoBatteryNightModeManager.getApplyableNightMode();
                    }
                    throw new IllegalStateException("Unknown value set for night mode. Please use one of the MODE_NIGHT values from AppCompatDelegate.");
                }
            } else if (Build.VERSION.SDK_INT < 23 || ((UiModeManager) context.getApplicationContext().getSystemService("uimode")).getNightMode() != 0) {
                return getAutoTimeNightModeManager(context).getApplyableNightMode();
            } else {
                return -1;
            }
        }
        return i;
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void onCreate(Bundle bundle) {
        this.mBaseContextAttached = true;
        applyDayNight(false);
        ensureWindow();
        Object obj = this.mHost;
        if (obj instanceof Activity) {
            String str = null;
            try {
                Activity activity = (Activity) obj;
                try {
                    str = Api17Impl.getParentActivityName(activity, activity.getComponentName());
                } catch (PackageManager.NameNotFoundException e) {
                    throw new IllegalArgumentException(e);
                }
            } catch (IllegalArgumentException unused) {
            }
            if (str != null) {
                ActionBar actionBar = this.mActionBar;
                if (actionBar == null) {
                    this.mEnableDefaultActionBarUp = true;
                } else {
                    actionBar.setDefaultDisplayHomeAsUpEnabled(true);
                }
            }
            synchronized (AppCompatDelegate.sActivityDelegatesLock) {
                AppCompatDelegate.removeDelegateFromActives(this);
                AppCompatDelegate.sActivityDelegates.add(new WeakReference<>(this));
            }
        }
        this.mCreated = true;
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:81:0x01c6 */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r10v0, types: [android.util.AttributeSet] */
    /* JADX WARN: Type inference failed for: r7v2, types: [androidx.appcompat.app.AppCompatViewInflater, java.lang.Object] */
    /* JADX WARN: Type inference failed for: r2v4 */
    /* JADX WARN: Type inference failed for: r2v5, types: [android.view.View] */
    /* JADX WARN: Type inference failed for: r2v6, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r7v5, types: [java.lang.Object[]] */
    /* JADX WARN: Type inference failed for: r7v6, types: [java.lang.Object[]] */
    /* JADX WARN: Type inference failed for: r9v4, types: [java.lang.Object[]] */
    /* JADX WARN: Type inference failed for: r7v7, types: [java.lang.Object[]] */
    /* JADX WARN: Type inference failed for: r2v7 */
    /* JADX WARN: Type inference failed for: r7v8, types: [java.lang.Object[]] */
    /* JADX WARN: Type inference failed for: r7v9, types: [java.lang.Object[]] */
    /* JADX WARN: Type inference failed for: r2v8 */
    /* JADX WARN: Type inference failed for: r2v71 */
    /* JADX WARN: Type inference failed for: r2v72 */
    /* JADX WARN: Type inference failed for: r2v73 */
    /* JADX WARN: Type inference failed for: r2v74 */
    /* JADX WARN: Type inference failed for: r2v75 */
    /* JADX WARN: Type inference failed for: r2v76 */
    /* JADX WARN: Type inference failed for: r2v77 */
    /* JADX WARN: Type inference failed for: r2v78 */
    /* JADX WARN: Type inference failed for: r2v79 */
    /* JADX WARN: Type inference failed for: r2v80 */
    /* JADX WARN: Type inference failed for: r2v81 */
    /* JADX WARN: Type inference failed for: r2v82 */
    /* JADX WARN: Type inference failed for: r2v83 */
    /* JADX WARN: Type inference failed for: r2v84 */
    /* JADX WARN: Type inference failed for: r2v85 */
    /* JADX WARN: Type inference failed for: r2v86 */
    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Unknown variable types count: 8 */
    public final View onCreateView(View view, String str, Context context, AttributeSet attributeSet) {
        char c;
        ?? r2;
        if (this.mAppCompatViewInflater == null) {
            String string = this.mContext.obtainStyledAttributes(R$styleable.AppCompatTheme).getString(R$styleable.AppCompatTheme_viewInflaterClass);
            if (string == null) {
                this.mAppCompatViewInflater = new AppCompatViewInflater();
            } else {
                try {
                    this.mAppCompatViewInflater = (AppCompatViewInflater) Class.forName(string).getDeclaredConstructor(new Class[0]).newInstance(new Object[0]);
                } catch (Throwable th) {
                    Log.i("AppCompatDelegate", "Failed to instantiate custom view inflater " + string + ". Falling back to default.", th);
                    this.mAppCompatViewInflater = new AppCompatViewInflater();
                }
            }
        }
        ?? r7 = this.mAppCompatViewInflater;
        boolean z = VectorEnabledTintResources.sCompatVectorFromResourcesEnabled;
        Objects.requireNonNull(r7);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.View, 0, 0);
        int resourceId = obtainStyledAttributes.getResourceId(R$styleable.View_theme, 0);
        if (resourceId != 0) {
            Log.i("AppCompatViewInflater", "app:theme is now deprecated. Please move to using android:theme instead.");
        }
        obtainStyledAttributes.recycle();
        Context contextThemeWrapper = (resourceId == 0 || ((context instanceof ContextThemeWrapper) && ((ContextThemeWrapper) context).mThemeResource == resourceId)) ? context : new ContextThemeWrapper(context, resourceId);
        str.hashCode();
        switch (str.hashCode()) {
            case -1946472170:
                if (str.equals("RatingBar")) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case -1455429095:
                if (str.equals("CheckedTextView")) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case -1346021293:
                if (str.equals("MultiAutoCompleteTextView")) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case -938935918:
                if (str.equals("TextView")) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case -937446323:
                if (str.equals("ImageButton")) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            case -658531749:
                if (str.equals("SeekBar")) {
                    c = 5;
                    break;
                }
                c = 65535;
                break;
            case -339785223:
                if (str.equals("Spinner")) {
                    c = 6;
                    break;
                }
                c = 65535;
                break;
            case 776382189:
                if (str.equals("RadioButton")) {
                    c = 7;
                    break;
                }
                c = 65535;
                break;
            case 799298502:
                if (str.equals("ToggleButton")) {
                    c = '\b';
                    break;
                }
                c = 65535;
                break;
            case 1125864064:
                if (str.equals("ImageView")) {
                    c = '\t';
                    break;
                }
                c = 65535;
                break;
            case 1413872058:
                if (str.equals("AutoCompleteTextView")) {
                    c = '\n';
                    break;
                }
                c = 65535;
                break;
            case 1601505219:
                if (str.equals("CheckBox")) {
                    c = 11;
                    break;
                }
                c = 65535;
                break;
            case 1666676343:
                if (str.equals("EditText")) {
                    c = '\f';
                    break;
                }
                c = 65535;
                break;
            case 2001146706:
                if (str.equals("Button")) {
                    c = StringUtil.CARRIAGE_RETURN;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                AppCompatRatingBar appCompatRatingBar = new AppCompatRatingBar(contextThemeWrapper, attributeSet);
                r7.verifyNotNull(appCompatRatingBar, str);
                r2 = appCompatRatingBar;
                break;
            case 1:
                AppCompatCheckedTextView appCompatCheckedTextView = new AppCompatCheckedTextView(contextThemeWrapper, attributeSet);
                r7.verifyNotNull(appCompatCheckedTextView, str);
                r2 = appCompatCheckedTextView;
                break;
            case 2:
                AppCompatMultiAutoCompleteTextView appCompatMultiAutoCompleteTextView = new AppCompatMultiAutoCompleteTextView(contextThemeWrapper, attributeSet);
                r7.verifyNotNull(appCompatMultiAutoCompleteTextView, str);
                r2 = appCompatMultiAutoCompleteTextView;
                break;
            case 3:
                AppCompatTextView createTextView = r7.createTextView(contextThemeWrapper, attributeSet);
                r7.verifyNotNull(createTextView, str);
                r2 = createTextView;
                break;
            case 4:
                AppCompatImageButton appCompatImageButton = new AppCompatImageButton(contextThemeWrapper, attributeSet);
                r7.verifyNotNull(appCompatImageButton, str);
                r2 = appCompatImageButton;
                break;
            case 5:
                AppCompatSeekBar appCompatSeekBar = new AppCompatSeekBar(contextThemeWrapper, attributeSet);
                r7.verifyNotNull(appCompatSeekBar, str);
                r2 = appCompatSeekBar;
                break;
            case 6:
                AppCompatSpinner appCompatSpinner = new AppCompatSpinner(contextThemeWrapper, attributeSet);
                r7.verifyNotNull(appCompatSpinner, str);
                r2 = appCompatSpinner;
                break;
            case 7:
                AppCompatRadioButton createRadioButton = r7.createRadioButton(contextThemeWrapper, attributeSet);
                r7.verifyNotNull(createRadioButton, str);
                r2 = createRadioButton;
                break;
            case '\b':
                AppCompatToggleButton appCompatToggleButton = new AppCompatToggleButton(contextThemeWrapper, attributeSet);
                r7.verifyNotNull(appCompatToggleButton, str);
                r2 = appCompatToggleButton;
                break;
            case '\t':
                AppCompatImageView appCompatImageView = new AppCompatImageView(contextThemeWrapper, attributeSet);
                r7.verifyNotNull(appCompatImageView, str);
                r2 = appCompatImageView;
                break;
            case '\n':
                AppCompatAutoCompleteTextView createAutoCompleteTextView = r7.createAutoCompleteTextView(contextThemeWrapper, attributeSet);
                r7.verifyNotNull(createAutoCompleteTextView, str);
                r2 = createAutoCompleteTextView;
                break;
            case 11:
                AppCompatCheckBox createCheckBox = r7.createCheckBox(contextThemeWrapper, attributeSet);
                r7.verifyNotNull(createCheckBox, str);
                r2 = createCheckBox;
                break;
            case '\f':
                AppCompatEditText appCompatEditText = new AppCompatEditText(contextThemeWrapper, attributeSet);
                r7.verifyNotNull(appCompatEditText, str);
                r2 = appCompatEditText;
                break;
            case '\r':
                AppCompatButton createButton = r7.createButton(contextThemeWrapper, attributeSet);
                r7.verifyNotNull(createButton, str);
                r2 = createButton;
                break;
            default:
                r2 = r7.createView();
                break;
        }
        if (r2 == 0 && context != contextThemeWrapper) {
            r2 = 0;
            r2 = 0;
            if (str.equals("view")) {
                str = attributeSet.getAttributeValue(r2, "class");
            }
            try {
                ?? r9 = r7.mConstructorArgs;
                r9[0] = contextThemeWrapper;
                r9[1] = attributeSet;
                if (-1 == str.indexOf(46)) {
                    int i = 0;
                    while (true) {
                        String[] strArr = AppCompatViewInflater.sClassPrefixList;
                        if (i < strArr.length) {
                            View createViewByPrefix = r7.createViewByPrefix(contextThemeWrapper, str, strArr[i]);
                            if (createViewByPrefix != null) {
                                ?? r72 = r7.mConstructorArgs;
                                r72[0] = r2;
                                r72[1] = r2;
                                r2 = createViewByPrefix;
                            } else {
                                i++;
                            }
                        }
                    }
                } else {
                    View createViewByPrefix2 = r7.createViewByPrefix(contextThemeWrapper, str, r2);
                    ?? r73 = r7.mConstructorArgs;
                    r73[0] = r2;
                    r73[1] = r2;
                    r2 = createViewByPrefix2;
                }
            } catch (Exception unused) {
            } finally {
                ?? r74 = r7.mConstructorArgs;
                r74[0] = r2;
                r74[1] = r2;
            }
        }
        if (r2 != 0) {
            Context context2 = r2.getContext();
            if (context2 instanceof ContextWrapper) {
                AtomicInteger atomicInteger = ViewCompat.sNextGeneratedId;
                if (r2.hasOnClickListeners()) {
                    TypedArray obtainStyledAttributes2 = context2.obtainStyledAttributes((AttributeSet) attributeSet, AppCompatViewInflater.sOnClickAttrs);
                    String string2 = obtainStyledAttributes2.getString(0);
                    if (string2 != null) {
                        r2.setOnClickListener(new AppCompatViewInflater.DeclaredOnClickListener(r2, string2));
                    }
                    obtainStyledAttributes2.recycle();
                }
            }
        }
        return r2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x0063  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x006a  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0071  */
    /* JADX WARNING: Removed duplicated region for block: B:32:? A[RETURN, SYNTHETIC] */
    @Override // androidx.appcompat.app.AppCompatDelegate
    public void onDestroy() {
        ActionBar actionBar;
        AutoNightModeManager autoNightModeManager;
        AutoNightModeManager autoNightModeManager2;
        if (this.mHost instanceof Activity) {
            synchronized (AppCompatDelegate.sActivityDelegatesLock) {
                AppCompatDelegate.removeDelegateFromActives(this);
            }
        }
        if (this.mInvalidatePanelMenuPosted) {
            this.mWindow.getDecorView().removeCallbacks(this.mInvalidatePanelMenuRunnable);
        }
        this.mStarted = false;
        this.mIsDestroyed = true;
        if (this.mLocalNightMode != -100) {
            Object obj = this.mHost;
            if ((obj instanceof Activity) && ((Activity) obj).isChangingConfigurations()) {
                sLocalNightModes.put(this.mHost.getClass().getName(), Integer.valueOf(this.mLocalNightMode));
                actionBar = this.mActionBar;
                if (actionBar != null) {
                    actionBar.onDestroy();
                }
                autoNightModeManager = this.mAutoTimeNightModeManager;
                if (autoNightModeManager != null) {
                    autoNightModeManager.cleanup();
                }
                autoNightModeManager2 = this.mAutoBatteryNightModeManager;
                if (autoNightModeManager2 == null) {
                    autoNightModeManager2.cleanup();
                    return;
                }
                return;
            }
        }
        sLocalNightModes.remove(this.mHost.getClass().getName());
        actionBar = this.mActionBar;
        if (actionBar != null) {
        }
        autoNightModeManager = this.mAutoTimeNightModeManager;
        if (autoNightModeManager != null) {
        }
        autoNightModeManager2 = this.mAutoBatteryNightModeManager;
        if (autoNightModeManager2 == null) {
        }
    }

    @Override // androidx.appcompat.view.menu.MenuBuilder.Callback
    public boolean onMenuItemSelected(MenuBuilder menuBuilder, MenuItem menuItem) {
        PanelFeatureState findMenuPanel;
        Window.Callback windowCallback = getWindowCallback();
        if (windowCallback == null || this.mIsDestroyed || (findMenuPanel = findMenuPanel(menuBuilder.getRootMenu())) == null) {
            return false;
        }
        return windowCallback.onMenuItemSelected(findMenuPanel.featureId, menuItem);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0047, code lost:
        if (r6 == false) goto L_0x00be;
     */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0044  */
    @Override // androidx.appcompat.view.menu.MenuBuilder.Callback
    public void onMenuModeChange(MenuBuilder menuBuilder) {
        boolean z;
        boolean z2;
        DecorContentParent decorContentParent = this.mDecorContentParent;
        if (decorContentParent != null && ((ActionBarOverlayLayout) decorContentParent).canShowOverflowMenu()) {
            if (ViewConfiguration.get(this.mContext).hasPermanentMenuKey()) {
                ActionBarOverlayLayout actionBarOverlayLayout = (ActionBarOverlayLayout) this.mDecorContentParent;
                actionBarOverlayLayout.pullChildren();
                ActionMenuView actionMenuView = ((ToolbarWidgetWrapper) actionBarOverlayLayout.mDecorToolbar).mToolbar.mMenuView;
                if (actionMenuView != null) {
                    ActionMenuPresenter actionMenuPresenter = actionMenuView.mPresenter;
                    if (actionMenuPresenter != null) {
                        if (actionMenuPresenter.mPostedOpenRunnable != null || actionMenuPresenter.isOverflowMenuShowing()) {
                            z2 = true;
                            if (z2) {
                                z = true;
                            }
                        }
                    }
                    z2 = false;
                    if (z2) {
                    }
                }
                z = false;
            }
            Window.Callback windowCallback = getWindowCallback();
            if (((ActionBarOverlayLayout) this.mDecorContentParent).isOverflowMenuShowing()) {
                ActionBarOverlayLayout actionBarOverlayLayout2 = (ActionBarOverlayLayout) this.mDecorContentParent;
                actionBarOverlayLayout2.pullChildren();
                ((ToolbarWidgetWrapper) actionBarOverlayLayout2.mDecorToolbar).hideOverflowMenu();
                if (!this.mIsDestroyed) {
                    windowCallback.onPanelClosed(108, getPanelState(0).menu);
                    return;
                }
                return;
            } else if (windowCallback != null && !this.mIsDestroyed) {
                if (this.mInvalidatePanelMenuPosted && (1 & this.mInvalidatePanelMenuFeatures) != 0) {
                    this.mWindow.getDecorView().removeCallbacks(this.mInvalidatePanelMenuRunnable);
                    this.mInvalidatePanelMenuRunnable.run();
                }
                PanelFeatureState panelState = getPanelState(0);
                MenuBuilder menuBuilder2 = panelState.menu;
                if (menuBuilder2 != null && !panelState.refreshMenuContent && windowCallback.onPreparePanel(0, panelState.createdPanelView, menuBuilder2)) {
                    windowCallback.onMenuOpened(108, panelState.menu);
                    ActionBarOverlayLayout actionBarOverlayLayout3 = (ActionBarOverlayLayout) this.mDecorContentParent;
                    actionBarOverlayLayout3.pullChildren();
                    ((ToolbarWidgetWrapper) actionBarOverlayLayout3.mDecorToolbar).mToolbar.showOverflowMenu();
                    return;
                }
                return;
            } else {
                return;
            }
        }
        PanelFeatureState panelState2 = getPanelState(0);
        panelState2.refreshDecorView = true;
        closePanel(panelState2, false);
        openPanel(panelState2, null);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:73:0x0154, code lost:
        if (r14 != null) goto L_0x0156;
     */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x015b  */
    public final void openPanel(PanelFeatureState panelFeatureState, KeyEvent keyEvent) {
        int i;
        boolean z;
        ViewGroup.LayoutParams layoutParams;
        if (!panelFeatureState.isOpen && !this.mIsDestroyed) {
            if (panelFeatureState.featureId == 0) {
                if ((this.mContext.getResources().getConfiguration().screenLayout & 15) == 4) {
                    return;
                }
            }
            Window.Callback windowCallback = getWindowCallback();
            if (windowCallback == null || windowCallback.onMenuOpened(panelFeatureState.featureId, panelFeatureState.menu)) {
                WindowManager windowManager = (WindowManager) this.mContext.getSystemService("window");
                if (windowManager != null && preparePanel(panelFeatureState, keyEvent)) {
                    ViewGroup viewGroup = panelFeatureState.decorView;
                    if (viewGroup == null || panelFeatureState.refreshDecorView) {
                        if (viewGroup == null) {
                            initWindowDecorActionBar();
                            ActionBar actionBar = this.mActionBar;
                            Context themedContext = actionBar != null ? actionBar.getThemedContext() : null;
                            if (themedContext == null) {
                                themedContext = this.mContext;
                            }
                            TypedValue typedValue = new TypedValue();
                            Resources.Theme newTheme = themedContext.getResources().newTheme();
                            newTheme.setTo(themedContext.getTheme());
                            newTheme.resolveAttribute(R$attr.actionBarPopupTheme, typedValue, true);
                            int i2 = typedValue.resourceId;
                            if (i2 != 0) {
                                newTheme.applyStyle(i2, true);
                            }
                            newTheme.resolveAttribute(R$attr.panelMenuListTheme, typedValue, true);
                            int i3 = typedValue.resourceId;
                            if (i3 != 0) {
                                newTheme.applyStyle(i3, true);
                            } else {
                                newTheme.applyStyle(R$style.Theme_AppCompat_CompactMenu, true);
                            }
                            ContextThemeWrapper contextThemeWrapper = new ContextThemeWrapper(themedContext, 0);
                            contextThemeWrapper.getTheme().setTo(newTheme);
                            panelFeatureState.listPresenterContext = contextThemeWrapper;
                            TypedArray obtainStyledAttributes = contextThemeWrapper.obtainStyledAttributes(R$styleable.AppCompatTheme);
                            panelFeatureState.background = obtainStyledAttributes.getResourceId(R$styleable.AppCompatTheme_panelBackground, 0);
                            panelFeatureState.windowAnimations = obtainStyledAttributes.getResourceId(R$styleable.AppCompatTheme_android_windowAnimationStyle, 0);
                            obtainStyledAttributes.recycle();
                            panelFeatureState.decorView = new ListMenuDecorView(panelFeatureState.listPresenterContext);
                            panelFeatureState.gravity = 81;
                        } else if (panelFeatureState.refreshDecorView && viewGroup.getChildCount() > 0) {
                            panelFeatureState.decorView.removeAllViews();
                        }
                        View view = panelFeatureState.createdPanelView;
                        if (view != null) {
                            panelFeatureState.shownPanelView = view;
                        } else {
                            if (panelFeatureState.menu != null) {
                                if (this.mPanelMenuPresenterCallback == null) {
                                    this.mPanelMenuPresenterCallback = new PanelMenuPresenterCallback();
                                }
                                PanelMenuPresenterCallback panelMenuPresenterCallback = this.mPanelMenuPresenterCallback;
                                if (panelFeatureState.listMenuPresenter == null) {
                                    ListMenuPresenter listMenuPresenter = new ListMenuPresenter(panelFeatureState.listPresenterContext, R$layout.abc_list_menu_item_layout);
                                    panelFeatureState.listMenuPresenter = listMenuPresenter;
                                    listMenuPresenter.mCallback = panelMenuPresenterCallback;
                                    MenuBuilder menuBuilder = panelFeatureState.menu;
                                    menuBuilder.addMenuPresenter(listMenuPresenter, menuBuilder.mContext);
                                }
                                ListMenuPresenter listMenuPresenter2 = panelFeatureState.listMenuPresenter;
                                ViewGroup viewGroup2 = panelFeatureState.decorView;
                                if (listMenuPresenter2.mMenuView == null) {
                                    listMenuPresenter2.mMenuView = (ExpandedMenuView) listMenuPresenter2.mInflater.inflate(R$layout.abc_expanded_menu_layout, viewGroup2, false);
                                    if (listMenuPresenter2.mAdapter == null) {
                                        listMenuPresenter2.mAdapter = new ListMenuPresenter.MenuAdapter();
                                    }
                                    listMenuPresenter2.mMenuView.setAdapter((ListAdapter) listMenuPresenter2.mAdapter);
                                    listMenuPresenter2.mMenuView.setOnItemClickListener(listMenuPresenter2);
                                }
                                ExpandedMenuView expandedMenuView = listMenuPresenter2.mMenuView;
                                panelFeatureState.shownPanelView = expandedMenuView;
                            }
                            z = false;
                            if (z) {
                                if (panelFeatureState.shownPanelView != null && (panelFeatureState.createdPanelView != null || ((ListMenuPresenter.MenuAdapter) panelFeatureState.listMenuPresenter.getAdapter()).getCount() > 0)) {
                                    ViewGroup.LayoutParams layoutParams2 = panelFeatureState.shownPanelView.getLayoutParams();
                                    if (layoutParams2 == null) {
                                        layoutParams2 = new ViewGroup.LayoutParams(-2, -2);
                                    }
                                    panelFeatureState.decorView.setBackgroundResource(panelFeatureState.background);
                                    ViewParent parent = panelFeatureState.shownPanelView.getParent();
                                    if (parent instanceof ViewGroup) {
                                        ((ViewGroup) parent).removeView(panelFeatureState.shownPanelView);
                                    }
                                    panelFeatureState.decorView.addView(panelFeatureState.shownPanelView, layoutParams2);
                                    if (!panelFeatureState.shownPanelView.hasFocus()) {
                                        panelFeatureState.shownPanelView.requestFocus();
                                    }
                                }
                            }
                            panelFeatureState.refreshDecorView = true;
                            return;
                        }
                        z = true;
                        if (z) {
                        }
                        panelFeatureState.refreshDecorView = true;
                        return;
                    }
                    View view2 = panelFeatureState.createdPanelView;
                    if (!(view2 == null || (layoutParams = view2.getLayoutParams()) == null || layoutParams.width != -1)) {
                        i = -1;
                        panelFeatureState.isHandled = false;
                        WindowManager.LayoutParams layoutParams3 = new WindowManager.LayoutParams(i, -2, 0, 0, AidConstants.EVENT_REQUEST_FAILED, 8519680, -3);
                        layoutParams3.gravity = panelFeatureState.gravity;
                        layoutParams3.windowAnimations = panelFeatureState.windowAnimations;
                        windowManager.addView(panelFeatureState.decorView, layoutParams3);
                        panelFeatureState.isOpen = true;
                        return;
                    }
                    i = -2;
                    panelFeatureState.isHandled = false;
                    WindowManager.LayoutParams layoutParams32 = new WindowManager.LayoutParams(i, -2, 0, 0, AidConstants.EVENT_REQUEST_FAILED, 8519680, -3);
                    layoutParams32.gravity = panelFeatureState.gravity;
                    layoutParams32.windowAnimations = panelFeatureState.windowAnimations;
                    windowManager.addView(panelFeatureState.decorView, layoutParams32);
                    panelFeatureState.isOpen = true;
                    return;
                }
                return;
            }
            closePanel(panelFeatureState, true);
        }
    }

    public final boolean performPanelShortcut(PanelFeatureState panelFeatureState, int i, KeyEvent keyEvent, int i2) {
        MenuBuilder menuBuilder;
        boolean z = false;
        if (keyEvent.isSystem()) {
            return false;
        }
        if ((panelFeatureState.isPrepared || preparePanel(panelFeatureState, keyEvent)) && (menuBuilder = panelFeatureState.menu) != null) {
            z = menuBuilder.performShortcut(i, keyEvent, i2);
        }
        if (z && (i2 & 1) == 0 && this.mDecorContentParent == null) {
            closePanel(panelFeatureState, true);
        }
        return z;
    }

    public final boolean preparePanel(PanelFeatureState panelFeatureState, KeyEvent keyEvent) {
        DecorContentParent decorContentParent;
        DecorContentParent decorContentParent2;
        DecorContentParent decorContentParent3;
        Resources.Theme theme;
        DecorContentParent decorContentParent4;
        if (this.mIsDestroyed) {
            return false;
        }
        if (panelFeatureState.isPrepared) {
            return true;
        }
        PanelFeatureState panelFeatureState2 = this.mPreparedPanel;
        if (!(panelFeatureState2 == null || panelFeatureState2 == panelFeatureState)) {
            closePanel(panelFeatureState2, false);
        }
        Window.Callback windowCallback = getWindowCallback();
        if (windowCallback != null) {
            panelFeatureState.createdPanelView = windowCallback.onCreatePanelView(panelFeatureState.featureId);
        }
        int i = panelFeatureState.featureId;
        boolean z = i == 0 || i == 108;
        if (z && (decorContentParent4 = this.mDecorContentParent) != null) {
            ActionBarOverlayLayout actionBarOverlayLayout = (ActionBarOverlayLayout) decorContentParent4;
            actionBarOverlayLayout.pullChildren();
            ((ToolbarWidgetWrapper) actionBarOverlayLayout.mDecorToolbar).mMenuPrepared = true;
        }
        if (panelFeatureState.createdPanelView == null && (!z || !(this.mActionBar instanceof ToolbarActionBar))) {
            MenuBuilder menuBuilder = panelFeatureState.menu;
            if (menuBuilder == null || panelFeatureState.refreshMenuContent) {
                if (menuBuilder == null) {
                    Context context = this.mContext;
                    int i2 = panelFeatureState.featureId;
                    if ((i2 == 0 || i2 == 108) && this.mDecorContentParent != null) {
                        TypedValue typedValue = new TypedValue();
                        Resources.Theme theme2 = context.getTheme();
                        theme2.resolveAttribute(R$attr.actionBarTheme, typedValue, true);
                        if (typedValue.resourceId != 0) {
                            theme = context.getResources().newTheme();
                            theme.setTo(theme2);
                            theme.applyStyle(typedValue.resourceId, true);
                            theme.resolveAttribute(R$attr.actionBarWidgetTheme, typedValue, true);
                        } else {
                            theme2.resolveAttribute(R$attr.actionBarWidgetTheme, typedValue, true);
                            theme = null;
                        }
                        if (typedValue.resourceId != 0) {
                            if (theme == null) {
                                theme = context.getResources().newTheme();
                                theme.setTo(theme2);
                            }
                            theme.applyStyle(typedValue.resourceId, true);
                        }
                        if (theme != null) {
                            ContextThemeWrapper contextThemeWrapper = new ContextThemeWrapper(context, 0);
                            contextThemeWrapper.getTheme().setTo(theme);
                            context = contextThemeWrapper;
                        }
                    }
                    MenuBuilder menuBuilder2 = new MenuBuilder(context);
                    menuBuilder2.mCallback = this;
                    panelFeatureState.setMenu(menuBuilder2);
                    if (panelFeatureState.menu == null) {
                        return false;
                    }
                }
                if (z && (decorContentParent3 = this.mDecorContentParent) != null) {
                    if (this.mActionMenuPresenterCallback == null) {
                        this.mActionMenuPresenterCallback = new ActionMenuPresenterCallback();
                    }
                    ((ActionBarOverlayLayout) decorContentParent3).setMenu(panelFeatureState.menu, this.mActionMenuPresenterCallback);
                }
                panelFeatureState.menu.stopDispatchingItemsChanged();
                if (!windowCallback.onCreatePanelMenu(panelFeatureState.featureId, panelFeatureState.menu)) {
                    panelFeatureState.setMenu(null);
                    if (z && (decorContentParent2 = this.mDecorContentParent) != null) {
                        ((ActionBarOverlayLayout) decorContentParent2).setMenu(null, this.mActionMenuPresenterCallback);
                    }
                    return false;
                }
                panelFeatureState.refreshMenuContent = false;
            }
            panelFeatureState.menu.stopDispatchingItemsChanged();
            Bundle bundle = panelFeatureState.frozenActionViewState;
            if (bundle != null) {
                panelFeatureState.menu.restoreActionViewStates(bundle);
                panelFeatureState.frozenActionViewState = null;
            }
            if (!windowCallback.onPreparePanel(0, panelFeatureState.createdPanelView, panelFeatureState.menu)) {
                if (z && (decorContentParent = this.mDecorContentParent) != null) {
                    ((ActionBarOverlayLayout) decorContentParent).setMenu(null, this.mActionMenuPresenterCallback);
                }
                panelFeatureState.menu.startDispatchingItemsChanged();
                return false;
            }
            boolean z2 = KeyCharacterMap.load(keyEvent != null ? keyEvent.getDeviceId() : -1).getKeyboardType() != 1;
            panelFeatureState.qwertyMode = z2;
            panelFeatureState.menu.setQwertyMode(z2);
            panelFeatureState.menu.startDispatchingItemsChanged();
        }
        panelFeatureState.isPrepared = true;
        panelFeatureState.isHandled = false;
        this.mPreparedPanel = panelFeatureState;
        return true;
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public boolean requestWindowFeature(int i) {
        if (i == 8) {
            Log.i("AppCompatDelegate", "You should now use the AppCompatDelegate.FEATURE_SUPPORT_ACTION_BAR id when requesting this feature.");
            i = 108;
        } else if (i == 9) {
            Log.i("AppCompatDelegate", "You should now use the AppCompatDelegate.FEATURE_SUPPORT_ACTION_BAR_OVERLAY id when requesting this feature.");
            i = 109;
        }
        if (this.mWindowNoTitle && i == 108) {
            return false;
        }
        if (this.mHasActionBar && i == 1) {
            this.mHasActionBar = false;
        }
        if (i == 1) {
            throwFeatureRequestIfSubDecorInstalled();
            this.mWindowNoTitle = true;
            return true;
        } else if (i == 2) {
            throwFeatureRequestIfSubDecorInstalled();
            this.mFeatureProgress = true;
            return true;
        } else if (i == 5) {
            throwFeatureRequestIfSubDecorInstalled();
            this.mFeatureIndeterminateProgress = true;
            return true;
        } else if (i == 10) {
            throwFeatureRequestIfSubDecorInstalled();
            this.mOverlayActionMode = true;
            return true;
        } else if (i == 108) {
            throwFeatureRequestIfSubDecorInstalled();
            this.mHasActionBar = true;
            return true;
        } else if (i != 109) {
            return this.mWindow.requestFeature(i);
        } else {
            throwFeatureRequestIfSubDecorInstalled();
            this.mOverlayActionBar = true;
            return true;
        }
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void setContentView(View view) {
        ensureSubDecor();
        ViewGroup viewGroup = (ViewGroup) this.mSubDecor.findViewById(16908290);
        viewGroup.removeAllViews();
        viewGroup.addView(view);
        this.mAppCompatWindowCallback.mWrapped.onContentChanged();
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public final void setTitle(CharSequence charSequence) {
        this.mTitle = charSequence;
        DecorContentParent decorContentParent = this.mDecorContentParent;
        if (decorContentParent != null) {
            decorContentParent.setWindowTitle(charSequence);
            return;
        }
        ActionBar actionBar = this.mActionBar;
        if (actionBar != null) {
            actionBar.setWindowTitle(charSequence);
            return;
        }
        TextView textView = this.mTitleView;
        if (textView != null) {
            textView.setText(charSequence);
        }
    }

    public final boolean shouldAnimateActionModeView() {
        ViewGroup viewGroup;
        if (this.mSubDecorInstalled && (viewGroup = this.mSubDecor) != null) {
            AtomicInteger atomicInteger = ViewCompat.sNextGeneratedId;
            if (viewGroup.isLaidOut()) {
                return true;
            }
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x0043  */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x0047  */
    @Override // androidx.appcompat.app.AppCompatDelegate
    public ActionMode startSupportActionMode(ActionMode.Callback callback) {
        ActionMode actionMode;
        ActionMode actionMode2;
        AppCompatCallback appCompatCallback;
        ContextThemeWrapper contextThemeWrapper;
        AppCompatCallback appCompatCallback2;
        if (callback != null) {
            ActionMode actionMode3 = this.mActionMode;
            if (actionMode3 != null) {
                actionMode3.finish();
            }
            ActionModeCallbackWrapperV9 actionModeCallbackWrapperV9 = new ActionModeCallbackWrapperV9(callback);
            initWindowDecorActionBar();
            ActionBar actionBar = this.mActionBar;
            if (actionBar != null) {
                ActionMode startActionMode = actionBar.startActionMode(actionModeCallbackWrapperV9);
                this.mActionMode = startActionMode;
                if (!(startActionMode == null || (appCompatCallback2 = this.mAppCompatCallback) == null)) {
                    appCompatCallback2.onSupportActionModeStarted(startActionMode);
                }
            }
            if (this.mActionMode == null) {
                endOnGoingFadeAnimation();
                ActionMode actionMode4 = this.mActionMode;
                if (actionMode4 != null) {
                    actionMode4.finish();
                }
                AppCompatCallback appCompatCallback3 = this.mAppCompatCallback;
                if (appCompatCallback3 != null && !this.mIsDestroyed) {
                    try {
                        actionMode = appCompatCallback3.onWindowStartingSupportActionMode(actionModeCallbackWrapperV9);
                    } catch (AbstractMethodError unused) {
                    }
                    if (actionMode == null) {
                        this.mActionMode = actionMode;
                    } else {
                        boolean z = true;
                        if (this.mActionModeView == null) {
                            if (this.mIsFloating) {
                                TypedValue typedValue = new TypedValue();
                                Resources.Theme theme = this.mContext.getTheme();
                                theme.resolveAttribute(R$attr.actionBarTheme, typedValue, true);
                                if (typedValue.resourceId != 0) {
                                    Resources.Theme newTheme = this.mContext.getResources().newTheme();
                                    newTheme.setTo(theme);
                                    newTheme.applyStyle(typedValue.resourceId, true);
                                    ContextThemeWrapper contextThemeWrapper2 = new ContextThemeWrapper(this.mContext, 0);
                                    contextThemeWrapper2.getTheme().setTo(newTheme);
                                    contextThemeWrapper = contextThemeWrapper2;
                                } else {
                                    contextThemeWrapper = this.mContext;
                                }
                                this.mActionModeView = new ActionBarContextView(contextThemeWrapper);
                                PopupWindow popupWindow = new PopupWindow(contextThemeWrapper, (AttributeSet) null, R$attr.actionModePopupWindowStyle);
                                this.mActionModePopup = popupWindow;
                                Api17Impl.setWindowLayoutType(popupWindow, 2);
                                this.mActionModePopup.setContentView(this.mActionModeView);
                                this.mActionModePopup.setWidth(-1);
                                contextThemeWrapper.getTheme().resolveAttribute(R$attr.actionBarSize, typedValue, true);
                                this.mActionModeView.setContentHeight(TypedValue.complexToDimensionPixelSize(typedValue.data, contextThemeWrapper.getResources().getDisplayMetrics()));
                                this.mActionModePopup.setHeight(-2);
                                this.mShowActionModePopup = new Runnable() {
                                    /* class androidx.appcompat.app.AppCompatDelegateImpl.AnonymousClass6 */

                                    public void run() {
                                        AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
                                        appCompatDelegateImpl.mActionModePopup.showAtLocation(appCompatDelegateImpl.mActionModeView, 55, 0, 0);
                                        AppCompatDelegateImpl.this.endOnGoingFadeAnimation();
                                        if (AppCompatDelegateImpl.this.shouldAnimateActionModeView()) {
                                            AppCompatDelegateImpl.this.mActionModeView.setAlpha(0.0f);
                                            AppCompatDelegateImpl appCompatDelegateImpl2 = AppCompatDelegateImpl.this;
                                            ViewPropertyAnimatorCompat animate = ViewCompat.animate(appCompatDelegateImpl2.mActionModeView);
                                            animate.alpha(1.0f);
                                            appCompatDelegateImpl2.mFadeAnim = animate;
                                            ViewPropertyAnimatorCompat viewPropertyAnimatorCompat = AppCompatDelegateImpl.this.mFadeAnim;
                                            AnonymousClass1 r1 = new ViewPropertyAnimatorListenerAdapter() {
                                                /* class androidx.appcompat.app.AppCompatDelegateImpl.AnonymousClass6.AnonymousClass1 */

                                                @Override // androidx.core.view.ViewPropertyAnimatorListener
                                                public void onAnimationEnd(View view) {
                                                    AppCompatDelegateImpl.this.mActionModeView.setAlpha(1.0f);
                                                    AppCompatDelegateImpl.this.mFadeAnim.setListener(null);
                                                    AppCompatDelegateImpl.this.mFadeAnim = null;
                                                }

                                                @Override // androidx.core.view.ViewPropertyAnimatorListenerAdapter, androidx.core.view.ViewPropertyAnimatorListener
                                                public void onAnimationStart(View view) {
                                                    AppCompatDelegateImpl.this.mActionModeView.setVisibility(0);
                                                }
                                            };
                                            View view = viewPropertyAnimatorCompat.mView.get();
                                            if (view != null) {
                                                viewPropertyAnimatorCompat.setListenerInternal(view, r1);
                                                return;
                                            }
                                            return;
                                        }
                                        AppCompatDelegateImpl.this.mActionModeView.setAlpha(1.0f);
                                        AppCompatDelegateImpl.this.mActionModeView.setVisibility(0);
                                    }
                                };
                            } else {
                                ViewStubCompat viewStubCompat = (ViewStubCompat) this.mSubDecor.findViewById(R$id.action_mode_bar_stub);
                                if (viewStubCompat != null) {
                                    initWindowDecorActionBar();
                                    ActionBar actionBar2 = this.mActionBar;
                                    Context themedContext = actionBar2 != null ? actionBar2.getThemedContext() : null;
                                    if (themedContext == null) {
                                        themedContext = this.mContext;
                                    }
                                    viewStubCompat.setLayoutInflater(LayoutInflater.from(themedContext));
                                    this.mActionModeView = (ActionBarContextView) viewStubCompat.inflate();
                                }
                            }
                        }
                        if (this.mActionModeView != null) {
                            endOnGoingFadeAnimation();
                            this.mActionModeView.killMode();
                            Context context = this.mActionModeView.getContext();
                            ActionBarContextView actionBarContextView = this.mActionModeView;
                            if (this.mActionModePopup != null) {
                                z = false;
                            }
                            StandaloneActionMode standaloneActionMode = new StandaloneActionMode(context, actionBarContextView, actionModeCallbackWrapperV9, z);
                            if (actionModeCallbackWrapperV9.mWrapped.onCreateActionMode(standaloneActionMode, standaloneActionMode.mMenu)) {
                                standaloneActionMode.invalidate();
                                this.mActionModeView.initForMode(standaloneActionMode);
                                this.mActionMode = standaloneActionMode;
                                if (shouldAnimateActionModeView()) {
                                    this.mActionModeView.setAlpha(0.0f);
                                    ViewPropertyAnimatorCompat animate = ViewCompat.animate(this.mActionModeView);
                                    animate.alpha(1.0f);
                                    this.mFadeAnim = animate;
                                    AnonymousClass7 r0 = new ViewPropertyAnimatorListenerAdapter() {
                                        /* class androidx.appcompat.app.AppCompatDelegateImpl.AnonymousClass7 */

                                        @Override // androidx.core.view.ViewPropertyAnimatorListener
                                        public void onAnimationEnd(View view) {
                                            AppCompatDelegateImpl.this.mActionModeView.setAlpha(1.0f);
                                            AppCompatDelegateImpl.this.mFadeAnim.setListener(null);
                                            AppCompatDelegateImpl.this.mFadeAnim = null;
                                        }

                                        @Override // androidx.core.view.ViewPropertyAnimatorListenerAdapter, androidx.core.view.ViewPropertyAnimatorListener
                                        public void onAnimationStart(View view) {
                                            AppCompatDelegateImpl.this.mActionModeView.setVisibility(0);
                                            AppCompatDelegateImpl.this.mActionModeView.sendAccessibilityEvent(32);
                                            if (AppCompatDelegateImpl.this.mActionModeView.getParent() instanceof View) {
                                                AtomicInteger atomicInteger = ViewCompat.sNextGeneratedId;
                                                ((View) AppCompatDelegateImpl.this.mActionModeView.getParent()).requestApplyInsets();
                                            }
                                        }
                                    };
                                    View view = animate.mView.get();
                                    if (view != null) {
                                        animate.setListenerInternal(view, r0);
                                    }
                                } else {
                                    this.mActionModeView.setAlpha(1.0f);
                                    this.mActionModeView.setVisibility(0);
                                    this.mActionModeView.sendAccessibilityEvent(32);
                                    if (this.mActionModeView.getParent() instanceof View) {
                                        AtomicInteger atomicInteger = ViewCompat.sNextGeneratedId;
                                        ((View) this.mActionModeView.getParent()).requestApplyInsets();
                                    }
                                }
                                if (this.mActionModePopup != null) {
                                    this.mWindow.getDecorView().post(this.mShowActionModePopup);
                                }
                            } else {
                                this.mActionMode = null;
                            }
                        }
                    }
                    actionMode2 = this.mActionMode;
                    if (!(actionMode2 == null || (appCompatCallback = this.mAppCompatCallback) == null)) {
                        appCompatCallback.onSupportActionModeStarted(actionMode2);
                    }
                    this.mActionMode = this.mActionMode;
                }
                actionMode = null;
                if (actionMode == null) {
                }
                actionMode2 = this.mActionMode;
                appCompatCallback.onSupportActionModeStarted(actionMode2);
                this.mActionMode = this.mActionMode;
            }
            return this.mActionMode;
        }
        throw new IllegalArgumentException("ActionMode callback can not be null.");
    }

    public final void throwFeatureRequestIfSubDecorInstalled() {
        if (this.mSubDecorInstalled) {
            throw new AndroidRuntimeException("Window feature must be requested before adding content");
        }
    }

    public final int updateStatusGuard(WindowInsetsCompat windowInsetsCompat, Rect rect) {
        boolean z;
        WindowInsetsCompat windowInsetsCompat2;
        int i;
        int i2;
        boolean z2;
        int i3;
        ViewGroup.MarginLayoutParams marginLayoutParams;
        int i4;
        int systemWindowInsetTop = windowInsetsCompat.getSystemWindowInsetTop();
        ActionBarContextView actionBarContextView = this.mActionModeView;
        int i5 = 8;
        if (actionBarContextView == null || !(actionBarContextView.getLayoutParams() instanceof ViewGroup.MarginLayoutParams)) {
            z = false;
        } else {
            ViewGroup.MarginLayoutParams marginLayoutParams2 = (ViewGroup.MarginLayoutParams) this.mActionModeView.getLayoutParams();
            boolean z3 = true;
            if (this.mActionModeView.isShown()) {
                if (this.mTempRect1 == null) {
                    this.mTempRect1 = new Rect();
                    this.mTempRect2 = new Rect();
                }
                Rect rect2 = this.mTempRect1;
                Rect rect3 = this.mTempRect2;
                rect2.set(windowInsetsCompat.getSystemWindowInsetLeft(), windowInsetsCompat.getSystemWindowInsetTop(), windowInsetsCompat.getSystemWindowInsetRight(), windowInsetsCompat.getSystemWindowInsetBottom());
                ViewUtils.computeFitSystemWindows(this.mSubDecor, rect2, rect3);
                int i6 = rect2.top;
                int i7 = rect2.left;
                int i8 = rect2.right;
                ViewGroup viewGroup = this.mSubDecor;
                AtomicInteger atomicInteger = ViewCompat.sNextGeneratedId;
                if (Build.VERSION.SDK_INT >= 23) {
                    windowInsetsCompat2 = ViewCompat.Api23Impl.getRootWindowInsets(viewGroup);
                } else {
                    windowInsetsCompat2 = ViewCompat.Api21Impl.getRootWindowInsets(viewGroup);
                }
                if (windowInsetsCompat2 == null) {
                    i = 0;
                } else {
                    i = windowInsetsCompat2.getSystemWindowInsetLeft();
                }
                if (windowInsetsCompat2 == null) {
                    i2 = 0;
                } else {
                    i2 = windowInsetsCompat2.getSystemWindowInsetRight();
                }
                if (marginLayoutParams2.topMargin == i6 && marginLayoutParams2.leftMargin == i7 && marginLayoutParams2.rightMargin == i8) {
                    z2 = false;
                } else {
                    marginLayoutParams2.topMargin = i6;
                    marginLayoutParams2.leftMargin = i7;
                    marginLayoutParams2.rightMargin = i8;
                    z2 = true;
                }
                if (i6 <= 0 || this.mStatusGuard != null) {
                    View view = this.mStatusGuard;
                    if (!(view == null || ((marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams()).height == (i4 = marginLayoutParams2.topMargin) && marginLayoutParams.leftMargin == i && marginLayoutParams.rightMargin == i2))) {
                        marginLayoutParams.height = i4;
                        marginLayoutParams.leftMargin = i;
                        marginLayoutParams.rightMargin = i2;
                        this.mStatusGuard.setLayoutParams(marginLayoutParams);
                    }
                } else {
                    View view2 = new View(this.mContext);
                    this.mStatusGuard = view2;
                    view2.setVisibility(8);
                    FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(-1, marginLayoutParams2.topMargin, 51);
                    layoutParams.leftMargin = i;
                    layoutParams.rightMargin = i2;
                    this.mSubDecor.addView(this.mStatusGuard, -1, layoutParams);
                }
                View view3 = this.mStatusGuard;
                z = view3 != null;
                if (z && view3.getVisibility() != 0) {
                    View view4 = this.mStatusGuard;
                    if ((view4.getWindowSystemUiVisibility() & 8192) == 0) {
                        z3 = false;
                    }
                    if (z3) {
                        i3 = ContextCompat.getColor(this.mContext, R$color.abc_decor_view_status_guard_light);
                    } else {
                        i3 = ContextCompat.getColor(this.mContext, R$color.abc_decor_view_status_guard);
                    }
                    view4.setBackgroundColor(i3);
                }
                if (!this.mOverlayActionMode && z) {
                    systemWindowInsetTop = 0;
                }
                z3 = z2;
            } else {
                if (marginLayoutParams2.topMargin != 0) {
                    marginLayoutParams2.topMargin = 0;
                } else {
                    z3 = false;
                }
                z = false;
            }
            if (z3) {
                this.mActionModeView.setLayoutParams(marginLayoutParams2);
            }
        }
        View view5 = this.mStatusGuard;
        if (view5 != null) {
            if (z) {
                i5 = 0;
            }
            view5.setVisibility(i5);
        }
        return systemWindowInsetTop;
    }

    public abstract class Api17Impl {
        public static Field sButtonDrawableField;
        public static boolean sButtonDrawableFieldFetched;
        public static Field sDrawableCacheField;
        public static boolean sDrawableCacheFieldFetched;
        public static Method sGetLayoutDirectionMethod;
        public static boolean sGetLayoutDirectionMethodFetched;
        public static Method sIsTagEnabledMethod;
        public static Field sOverlapAnchorField;
        public static boolean sOverlapAnchorFieldAttempted;
        public static Field sResourcesImplField;
        public static boolean sResourcesImplFieldFetched;
        public static Method sSetLayoutDirectionMethod;
        public static boolean sSetLayoutDirectionMethodFetched;
        public static Method sSetWindowLayoutTypeMethod;
        public static boolean sSetWindowLayoutTypeMethodAttempted;
        public static Class<?> sThemedResourceCacheClazz;
        public static boolean sThemedResourceCacheClazzFetched;
        public static Field sThemedResourceCache_mUnthemedEntriesField;
        public static boolean sThemedResourceCache_mUnthemedEntriesFieldFetched;
        public static long sTraceTagApp;

        /* JADX WARNING: Code restructure failed: missing block: B:117:0x01eb, code lost:
            if (r5 == r6) goto L_0x0200;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:125:0x01fe, code lost:
            if (r5 == 2) goto L_0x0200;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:128:0x0206, code lost:
            r22 = r21;
            r5 = false;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:180:0x02df, code lost:
            if (r3[r16].mTarget.mOwner == r6) goto L_0x02e3;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:73:0x014d, code lost:
            if (r4[r2].mTarget.mOwner == r5) goto L_0x0151;
         */
        /* JADX WARNING: Removed duplicated region for block: B:209:0x0364  */
        /* JADX WARNING: Removed duplicated region for block: B:216:0x038c  */
        /* JADX WARNING: Removed duplicated region for block: B:222:0x039c  */
        /* JADX WARNING: Removed duplicated region for block: B:253:0x048e A[ADDED_TO_REGION] */
        /* JADX WARNING: Removed duplicated region for block: B:276:0x04f8 A[ADDED_TO_REGION] */
        /* JADX WARNING: Removed duplicated region for block: B:315:0x058a  */
        /* JADX WARNING: Removed duplicated region for block: B:334:0x05e9  */
        /* JADX WARNING: Removed duplicated region for block: B:335:0x05eb  */
        /* JADX WARNING: Removed duplicated region for block: B:342:0x05ff  */
        /* JADX WARNING: Removed duplicated region for block: B:348:0x060c  */
        /* JADX WARNING: Removed duplicated region for block: B:391:0x06c8  */
        /* JADX WARNING: Removed duplicated region for block: B:404:0x0710  */
        /* JADX WARNING: Removed duplicated region for block: B:405:0x0712  */
        /* JADX WARNING: Removed duplicated region for block: B:408:0x071d  */
        /* JADX WARNING: Removed duplicated region for block: B:409:0x0720  */
        /* JADX WARNING: Removed duplicated region for block: B:412:0x0726  */
        /* JADX WARNING: Removed duplicated region for block: B:413:0x0729  */
        /* JADX WARNING: Removed duplicated region for block: B:415:0x072d  */
        /* JADX WARNING: Removed duplicated region for block: B:419:0x073c  */
        /* JADX WARNING: Removed duplicated region for block: B:421:0x073f  */
        /* JADX WARNING: Removed duplicated region for block: B:67:0x012d  */
        /* JADX WARNING: Removed duplicated region for block: B:70:0x013d  */
        /* JADX WARNING: Removed duplicated region for block: B:76:0x0153  */
        /* JADX WARNING: Removed duplicated region for block: B:77:0x0156  */
        public static void applyChainConstraints(ConstraintWidgetContainer constraintWidgetContainer, LinearSystem linearSystem, ArrayList<ConstraintWidget> arrayList, int i) {
            int i2;
            ChainHead[] chainHeadArr;
            int i3;
            int i4;
            int i5;
            ChainHead[] chainHeadArr2;
            int i6;
            boolean z;
            boolean z2;
            ConstraintWidget constraintWidget;
            ConstraintWidget constraintWidget2;
            ConstraintAnchor constraintAnchor;
            ConstraintWidget constraintWidget3;
            int i7;
            ConstraintAnchor constraintAnchor2;
            SolverVariable solverVariable;
            SolverVariable solverVariable2;
            int i8;
            ConstraintWidget constraintWidget4;
            ConstraintAnchor constraintAnchor3;
            ConstraintAnchor constraintAnchor4;
            ConstraintAnchor constraintAnchor5;
            ConstraintWidget constraintWidget5;
            SolverVariable solverVariable3;
            SolverVariable solverVariable4;
            ConstraintAnchor constraintAnchor6;
            ConstraintWidget constraintWidget6;
            int i9;
            ConstraintWidget constraintWidget7;
            ConstraintWidget constraintWidget8;
            ConstraintWidget constraintWidget9;
            ConstraintWidget constraintWidget10;
            SolverVariable solverVariable5;
            ConstraintAnchor constraintAnchor7;
            float f;
            int size;
            int i10;
            ArrayList<ConstraintWidget> arrayList2;
            int i11;
            ChainHead chainHead;
            ConstraintWidget constraintWidget11;
            int i12;
            boolean z3;
            ChainHead[] chainHeadArr3;
            ConstraintWidget constraintWidget12;
            ConstraintWidget constraintWidget13;
            ConstraintWidget constraintWidget14;
            int i13;
            int i14;
            int i15;
            boolean z4;
            ConstraintAnchor constraintAnchor8;
            ConstraintWidget constraintWidget15;
            int i16;
            ConstraintWidgetContainer constraintWidgetContainer2 = constraintWidgetContainer;
            ArrayList<ConstraintWidget> arrayList3 = arrayList;
            if (i == 0) {
                i3 = constraintWidgetContainer2.mHorizontalChainsSize;
                chainHeadArr = constraintWidgetContainer2.mHorizontalChainsArray;
                i2 = 0;
            } else {
                i3 = constraintWidgetContainer2.mVerticalChainsSize;
                chainHeadArr = constraintWidgetContainer2.mVerticalChainsArray;
                i2 = 2;
            }
            int i17 = 0;
            while (i17 < i3) {
                ChainHead chainHead2 = chainHeadArr[i17];
                SolverVariable solverVariable6 = null;
                int i18 = 8;
                int i19 = 1;
                if (!chainHead2.mDefined) {
                    int i20 = chainHead2.mOrientation * 2;
                    ConstraintWidget constraintWidget16 = chainHead2.mFirst;
                    ConstraintWidget constraintWidget17 = constraintWidget16;
                    boolean z5 = false;
                    while (!z5) {
                        chainHead2.mWidgetsCount += i19;
                        ConstraintWidget[] constraintWidgetArr = constraintWidget16.mNextChainWidget;
                        int i21 = chainHead2.mOrientation;
                        constraintWidgetArr[i21] = null;
                        constraintWidget16.mListNextMatchConstraintsWidget[i21] = null;
                        if (constraintWidget16.mVisibility != i18) {
                            chainHead2.mVisibleWidgets += i19;
                            ConstraintWidget.DimensionBehaviour dimensionBehaviour = constraintWidget16.getDimensionBehaviour(i21);
                            ConstraintWidget.DimensionBehaviour dimensionBehaviour2 = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                            if (dimensionBehaviour != dimensionBehaviour2) {
                                int i22 = chainHead2.mTotalSize;
                                int i23 = chainHead2.mOrientation;
                                if (i23 == 0) {
                                    i16 = constraintWidget16.getWidth();
                                } else {
                                    i16 = i23 == i19 ? constraintWidget16.getHeight() : 0;
                                }
                                chainHead2.mTotalSize = i22 + i16;
                            }
                            int margin = constraintWidget16.mListAnchors[i20].getMargin() + chainHead2.mTotalSize;
                            chainHead2.mTotalSize = margin;
                            int i24 = i20 + 1;
                            chainHead2.mTotalSize = constraintWidget16.mListAnchors[i24].getMargin() + margin;
                            int margin2 = constraintWidget16.mListAnchors[i20].getMargin() + chainHead2.mTotalMargins;
                            chainHead2.mTotalMargins = margin2;
                            chainHead2.mTotalMargins = constraintWidget16.mListAnchors[i24].getMargin() + margin2;
                            if (chainHead2.mFirstVisibleWidget == null) {
                                chainHead2.mFirstVisibleWidget = constraintWidget16;
                            }
                            chainHead2.mLastVisibleWidget = constraintWidget16;
                            ConstraintWidget.DimensionBehaviour[] dimensionBehaviourArr = constraintWidget16.mListDimensionBehaviors;
                            int i25 = chainHead2.mOrientation;
                            if (dimensionBehaviourArr[i25] == dimensionBehaviour2) {
                                int[] iArr = constraintWidget16.mResolvedMatchConstraintDefault;
                                if (iArr[i25] != 0) {
                                    z4 = z5;
                                    if (!(iArr[i25] == 3 || iArr[i25] == 2)) {
                                        i15 = i17;
                                        int i26 = chainHead2.mOrientation;
                                        if (constraintWidget17 != constraintWidget16) {
                                            constraintWidget17.mNextChainWidget[chainHead2.mOrientation] = constraintWidget16;
                                        }
                                        constraintAnchor8 = constraintWidget16.mListAnchors[i20 + 1].mTarget;
                                        if (constraintAnchor8 != null) {
                                            constraintWidget15 = constraintAnchor8.mOwner;
                                            ConstraintAnchor[] constraintAnchorArr = constraintWidget15.mListAnchors;
                                            if (constraintAnchorArr[i20].mTarget != null) {
                                            }
                                        }
                                        constraintWidget15 = null;
                                        if (constraintWidget15 != null) {
                                            z5 = z4;
                                        } else {
                                            constraintWidget15 = constraintWidget16;
                                            z5 = true;
                                        }
                                        constraintWidget17 = constraintWidget16;
                                        i17 = i15;
                                        i19 = 1;
                                        i18 = 8;
                                        constraintWidget16 = constraintWidget15;
                                    }
                                } else {
                                    z4 = z5;
                                }
                                chainHead2.mWidgetsMatchCount++;
                                float[] fArr = constraintWidget16.mWeight;
                                float f2 = fArr[i25];
                                if (f2 > 0.0f) {
                                    i15 = i17;
                                    chainHead2.mTotalWeight += fArr[i25];
                                } else {
                                    i15 = i17;
                                }
                                if (constraintWidget16.mVisibility != 8 && dimensionBehaviourArr[i25] == dimensionBehaviour2 && (iArr[i25] == 0 || iArr[i25] == 3)) {
                                    if (f2 < 0.0f) {
                                        chainHead2.mHasUndefinedWeights = true;
                                    } else {
                                        chainHead2.mHasDefinedWeights = true;
                                    }
                                    if (chainHead2.mWeightedMatchConstraintsWidgets == null) {
                                        chainHead2.mWeightedMatchConstraintsWidgets = new ArrayList<>();
                                    }
                                    chainHead2.mWeightedMatchConstraintsWidgets.add(constraintWidget16);
                                }
                                if (chainHead2.mFirstMatchConstraintWidget == null) {
                                    chainHead2.mFirstMatchConstraintWidget = constraintWidget16;
                                }
                                ConstraintWidget constraintWidget18 = chainHead2.mLastMatchConstraintWidget;
                                if (constraintWidget18 != null) {
                                    constraintWidget18.mListNextMatchConstraintsWidget[chainHead2.mOrientation] = constraintWidget16;
                                }
                                chainHead2.mLastMatchConstraintWidget = constraintWidget16;
                                int i262 = chainHead2.mOrientation;
                                if (constraintWidget17 != constraintWidget16) {
                                }
                                constraintAnchor8 = constraintWidget16.mListAnchors[i20 + 1].mTarget;
                                if (constraintAnchor8 != null) {
                                }
                                constraintWidget15 = null;
                                if (constraintWidget15 != null) {
                                }
                                constraintWidget17 = constraintWidget16;
                                i17 = i15;
                                i19 = 1;
                                i18 = 8;
                                constraintWidget16 = constraintWidget15;
                            }
                        }
                        z4 = z5;
                        i15 = i17;
                        if (constraintWidget17 != constraintWidget16) {
                        }
                        constraintAnchor8 = constraintWidget16.mListAnchors[i20 + 1].mTarget;
                        if (constraintAnchor8 != null) {
                        }
                        constraintWidget15 = null;
                        if (constraintWidget15 != null) {
                        }
                        constraintWidget17 = constraintWidget16;
                        i17 = i15;
                        i19 = 1;
                        i18 = 8;
                        constraintWidget16 = constraintWidget15;
                    }
                    i4 = i17;
                    ConstraintWidget constraintWidget19 = chainHead2.mFirstVisibleWidget;
                    if (constraintWidget19 != null) {
                        chainHead2.mTotalSize -= constraintWidget19.mListAnchors[i20].getMargin();
                    }
                    ConstraintWidget constraintWidget20 = chainHead2.mLastVisibleWidget;
                    if (constraintWidget20 != null) {
                        chainHead2.mTotalSize -= constraintWidget20.mListAnchors[i20 + 1].getMargin();
                    }
                    chainHead2.mLast = constraintWidget16;
                    if (chainHead2.mOrientation != 0 || !chainHead2.mIsRtl) {
                        chainHead2.mHead = chainHead2.mFirst;
                    } else {
                        chainHead2.mHead = constraintWidget16;
                    }
                    chainHead2.mHasComplexMatchWeights = chainHead2.mHasDefinedWeights && chainHead2.mHasUndefinedWeights;
                } else {
                    i4 = i17;
                }
                chainHead2.mDefined = true;
                if (arrayList3 == null || arrayList3.contains(chainHead2.mFirst)) {
                    ConstraintWidget constraintWidget21 = chainHead2.mFirst;
                    ConstraintWidget constraintWidget22 = chainHead2.mLast;
                    ConstraintWidget constraintWidget23 = chainHead2.mFirstVisibleWidget;
                    ConstraintWidget constraintWidget24 = chainHead2.mLastVisibleWidget;
                    ConstraintWidget constraintWidget25 = chainHead2.mHead;
                    float f3 = chainHead2.mTotalWeight;
                    boolean z6 = constraintWidgetContainer2.mListDimensionBehaviors[i] == ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                    if (i == 0) {
                        int i27 = constraintWidget25.mHorizontalChainStyle;
                        boolean z7 = i27 == 0;
                        if (i27 == 1) {
                            i14 = 2;
                            z2 = true;
                        } else {
                            i14 = 2;
                            z2 = false;
                        }
                        z = z7;
                    } else {
                        int i28 = constraintWidget25.mVerticalChainStyle;
                        z = i28 == 0;
                        z2 = i28 == 1;
                    }
                    boolean z8 = z;
                    boolean z9 = true;
                    ConstraintWidget constraintWidget26 = constraintWidget21;
                    boolean z10 = false;
                    while (!z10) {
                        ConstraintAnchor constraintAnchor9 = constraintWidget26.mListAnchors[i2];
                        int i29 = z9 ? 1 : 4;
                        int margin3 = constraintAnchor9.getMargin();
                        ConstraintWidget.DimensionBehaviour dimensionBehaviour3 = constraintWidget26.mListDimensionBehaviors[i];
                        ConstraintWidget.DimensionBehaviour dimensionBehaviour4 = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                        if (dimensionBehaviour3 == dimensionBehaviour4 && constraintWidget26.mResolvedMatchConstraintDefault[i] == 0) {
                            i12 = i3;
                            z3 = true;
                        } else {
                            i12 = i3;
                            z3 = false;
                        }
                        ConstraintAnchor constraintAnchor10 = constraintAnchor9.mTarget;
                        if (!(constraintAnchor10 == null || constraintWidget26 == constraintWidget21)) {
                            margin3 = constraintAnchor10.getMargin() + margin3;
                        }
                        if (!z9 || constraintWidget26 == constraintWidget21 || constraintWidget26 == constraintWidget23) {
                            chainHeadArr3 = chainHeadArr;
                        } else {
                            chainHeadArr3 = chainHeadArr;
                            i29 = 8;
                        }
                        ConstraintAnchor constraintAnchor11 = constraintAnchor9.mTarget;
                        if (constraintAnchor11 != null) {
                            if (constraintWidget26 == constraintWidget23) {
                                constraintWidget13 = constraintWidget25;
                                constraintWidget12 = constraintWidget21;
                                linearSystem.addGreaterThan(constraintAnchor9.mSolverVariable, constraintAnchor11.mSolverVariable, margin3, 6);
                            } else {
                                constraintWidget13 = constraintWidget25;
                                constraintWidget12 = constraintWidget21;
                                linearSystem.addGreaterThan(constraintAnchor9.mSolverVariable, constraintAnchor11.mSolverVariable, margin3, 8);
                            }
                            if (z3 && !z9) {
                                i29 = 5;
                            }
                            linearSystem.addEquality(constraintAnchor9.mSolverVariable, constraintAnchor9.mTarget.mSolverVariable, margin3, (constraintWidget26 != constraintWidget23 || !z9 || !constraintWidget26.mIsInBarrier[i]) ? i29 : 5);
                        } else {
                            constraintWidget13 = constraintWidget25;
                            constraintWidget12 = constraintWidget21;
                        }
                        if (z6) {
                            if (constraintWidget26.mVisibility == 8 || constraintWidget26.mListDimensionBehaviors[i] != dimensionBehaviour4) {
                                i13 = 0;
                            } else {
                                ConstraintAnchor[] constraintAnchorArr2 = constraintWidget26.mListAnchors;
                                i13 = 0;
                                linearSystem.addGreaterThan(constraintAnchorArr2[i2 + 1].mSolverVariable, constraintAnchorArr2[i2].mSolverVariable, 0, 5);
                            }
                            linearSystem.addGreaterThan(constraintWidget26.mListAnchors[i2].mSolverVariable, constraintWidgetContainer2.mListAnchors[i2].mSolverVariable, i13, 8);
                        }
                        ConstraintAnchor constraintAnchor12 = constraintWidget26.mListAnchors[i2 + 1].mTarget;
                        if (constraintAnchor12 != null) {
                            constraintWidget14 = constraintAnchor12.mOwner;
                            ConstraintAnchor[] constraintAnchorArr3 = constraintWidget14.mListAnchors;
                            if (constraintAnchorArr3[i2].mTarget != null) {
                            }
                        }
                        constraintWidget14 = null;
                        if (constraintWidget14 != null) {
                            constraintWidget26 = constraintWidget14;
                            z10 = z10;
                        } else {
                            z10 = true;
                        }
                        chainHeadArr = chainHeadArr3;
                        i3 = i12;
                        constraintWidget25 = constraintWidget13;
                        constraintWidget21 = constraintWidget12;
                    }
                    i5 = i3;
                    chainHeadArr2 = chainHeadArr;
                    if (constraintWidget24 != null) {
                        int i30 = i2 + 1;
                        if (constraintWidget22.mListAnchors[i30].mTarget != null) {
                            ConstraintAnchor constraintAnchor13 = constraintWidget24.mListAnchors[i30];
                            if ((constraintWidget24.mListDimensionBehaviors[i] == ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT && constraintWidget24.mResolvedMatchConstraintDefault[i] == 0) && !z9) {
                                ConstraintAnchor constraintAnchor14 = constraintAnchor13.mTarget;
                                if (constraintAnchor14.mOwner == constraintWidgetContainer2) {
                                    linearSystem.addEquality(constraintAnchor13.mSolverVariable, constraintAnchor14.mSolverVariable, -constraintAnchor13.getMargin(), 5);
                                    linearSystem.addLowerThan(constraintAnchor13.mSolverVariable, constraintWidget22.mListAnchors[i30].mTarget.mSolverVariable, -constraintAnchor13.getMargin(), 6);
                                    if (z6) {
                                        int i31 = i2 + 1;
                                        SolverVariable solverVariable7 = constraintWidgetContainer2.mListAnchors[i31].mSolverVariable;
                                        ConstraintAnchor[] constraintAnchorArr4 = constraintWidget22.mListAnchors;
                                        linearSystem.addGreaterThan(solverVariable7, constraintAnchorArr4[i31].mSolverVariable, constraintAnchorArr4[i31].getMargin(), 8);
                                    }
                                    ArrayList<ConstraintWidget> arrayList4 = chainHead2.mWeightedMatchConstraintsWidgets;
                                    if (arrayList4 != null && (size = arrayList4.size()) > 1) {
                                        float f4 = (chainHead2.mHasUndefinedWeights || chainHead2.mHasComplexMatchWeights) ? f3 : (float) chainHead2.mWidgetsMatchCount;
                                        ConstraintWidget constraintWidget27 = null;
                                        float f5 = 0.0f;
                                        i10 = 0;
                                        while (i10 < size) {
                                            ConstraintWidget constraintWidget28 = arrayList4.get(i10);
                                            float f6 = constraintWidget28.mWeight[i];
                                            if (f6 < 0.0f) {
                                                if (chainHead2.mHasComplexMatchWeights) {
                                                    ConstraintAnchor[] constraintAnchorArr5 = constraintWidget28.mListAnchors;
                                                    linearSystem.addEquality(constraintAnchorArr5[i2 + 1].mSolverVariable, constraintAnchorArr5[i2].mSolverVariable, 0, 4);
                                                    chainHead = chainHead2;
                                                    arrayList2 = arrayList4;
                                                    i11 = size;
                                                    i10++;
                                                    chainHead2 = chainHead;
                                                    size = i11;
                                                    arrayList4 = arrayList2;
                                                } else {
                                                    f6 = 1.0f;
                                                }
                                            }
                                            int i32 = (f6 > 0.0f ? 1 : (f6 == 0.0f ? 0 : -1));
                                            if (i32 == 0) {
                                                ConstraintAnchor[] constraintAnchorArr6 = constraintWidget28.mListAnchors;
                                                linearSystem.addEquality(constraintAnchorArr6[i2 + 1].mSolverVariable, constraintAnchorArr6[i2].mSolverVariable, 0, 8);
                                                chainHead = chainHead2;
                                                arrayList2 = arrayList4;
                                                i11 = size;
                                                i10++;
                                                chainHead2 = chainHead;
                                                size = i11;
                                                arrayList4 = arrayList2;
                                            } else {
                                                if (constraintWidget27 != null) {
                                                    ConstraintAnchor[] constraintAnchorArr7 = constraintWidget27.mListAnchors;
                                                    SolverVariable solverVariable8 = constraintAnchorArr7[i2].mSolverVariable;
                                                    int i33 = i2 + 1;
                                                    SolverVariable solverVariable9 = constraintAnchorArr7[i33].mSolverVariable;
                                                    ConstraintAnchor[] constraintAnchorArr8 = constraintWidget28.mListAnchors;
                                                    arrayList2 = arrayList4;
                                                    SolverVariable solverVariable10 = constraintAnchorArr8[i2].mSolverVariable;
                                                    SolverVariable solverVariable11 = constraintAnchorArr8[i33].mSolverVariable;
                                                    i11 = size;
                                                    ArrayRow createRow = linearSystem.createRow();
                                                    constraintWidget11 = constraintWidget28;
                                                    createRow.constantValue = 0.0f;
                                                    chainHead = chainHead2;
                                                    if (f4 == 0.0f || f5 == f6) {
                                                        createRow.variables.put(solverVariable8, 1.0f);
                                                        createRow.variables.put(solverVariable9, -1.0f);
                                                        createRow.variables.put(solverVariable11, 1.0f);
                                                        createRow.variables.put(solverVariable10, -1.0f);
                                                    } else if (f5 == 0.0f) {
                                                        createRow.variables.put(solverVariable8, 1.0f);
                                                        createRow.variables.put(solverVariable9, -1.0f);
                                                    } else if (i32 == 0) {
                                                        createRow.variables.put(solverVariable10, 1.0f);
                                                        createRow.variables.put(solverVariable11, -1.0f);
                                                    } else {
                                                        float f7 = (f5 / f4) / (f6 / f4);
                                                        createRow.variables.put(solverVariable8, 1.0f);
                                                        createRow.variables.put(solverVariable9, -1.0f);
                                                        createRow.variables.put(solverVariable11, f7);
                                                        createRow.variables.put(solverVariable10, -f7);
                                                    }
                                                    linearSystem.addConstraint(createRow);
                                                } else {
                                                    chainHead = chainHead2;
                                                    arrayList2 = arrayList4;
                                                    i11 = size;
                                                    constraintWidget11 = constraintWidget28;
                                                }
                                                f5 = f6;
                                                constraintWidget27 = constraintWidget11;
                                                i10++;
                                                chainHead2 = chainHead;
                                                size = i11;
                                                arrayList4 = arrayList2;
                                            }
                                        }
                                    }
                                    if (constraintWidget23 != null || (constraintWidget23 != constraintWidget24 && !z9)) {
                                        constraintWidget = constraintWidget24;
                                        constraintWidget2 = constraintWidget23;
                                        i8 = i4;
                                        if (z8 || constraintWidget2 == null) {
                                            i6 = i8;
                                            if (z2 && constraintWidget2 != null) {
                                                int i34 = chainHead2.mWidgetsMatchCount;
                                                boolean z11 = i34 <= 0 && chainHead2.mWidgetsCount == i34;
                                                constraintWidget4 = constraintWidget2;
                                                ConstraintWidget constraintWidget29 = constraintWidget4;
                                                while (constraintWidget4 != null) {
                                                    ConstraintWidget constraintWidget30 = constraintWidget4.mNextChainWidget[i];
                                                    while (constraintWidget30 != null && constraintWidget30.mVisibility == 8) {
                                                        constraintWidget30 = constraintWidget30.mNextChainWidget[i];
                                                    }
                                                    if (constraintWidget4 == constraintWidget2 || constraintWidget4 == constraintWidget || constraintWidget30 == null) {
                                                        constraintWidget5 = constraintWidget30;
                                                    } else {
                                                        ConstraintWidget constraintWidget31 = constraintWidget30 == constraintWidget ? null : constraintWidget30;
                                                        ConstraintAnchor constraintAnchor15 = constraintWidget4.mListAnchors[i2];
                                                        SolverVariable solverVariable12 = constraintAnchor15.mSolverVariable;
                                                        int i35 = i2 + 1;
                                                        SolverVariable solverVariable13 = constraintWidget29.mListAnchors[i35].mSolverVariable;
                                                        int margin4 = constraintAnchor15.getMargin();
                                                        int margin5 = constraintWidget4.mListAnchors[i35].getMargin();
                                                        if (constraintWidget31 != null) {
                                                            constraintAnchor6 = constraintWidget31.mListAnchors[i2];
                                                            solverVariable4 = constraintAnchor6.mSolverVariable;
                                                            ConstraintAnchor constraintAnchor16 = constraintAnchor6.mTarget;
                                                            solverVariable3 = constraintAnchor16 != null ? constraintAnchor16.mSolverVariable : null;
                                                        } else {
                                                            constraintAnchor6 = constraintWidget.mListAnchors[i2];
                                                            solverVariable4 = constraintAnchor6 != null ? constraintAnchor6.mSolverVariable : null;
                                                            solverVariable3 = constraintWidget4.mListAnchors[i35].mSolverVariable;
                                                        }
                                                        int margin6 = constraintAnchor6 != null ? constraintAnchor6.getMargin() + margin5 : margin5;
                                                        int margin7 = constraintWidget29.mListAnchors[i35].getMargin() + margin4;
                                                        int i36 = z11 ? 8 : 4;
                                                        if (solverVariable12 == null || solverVariable13 == null || solverVariable4 == null || solverVariable3 == null) {
                                                            constraintWidget6 = constraintWidget31;
                                                        } else {
                                                            constraintWidget6 = constraintWidget31;
                                                            linearSystem.addCentering(solverVariable12, solverVariable13, margin7, 0.5f, solverVariable4, solverVariable3, margin6, i36);
                                                        }
                                                        constraintWidget5 = constraintWidget6;
                                                    }
                                                    if (constraintWidget4.mVisibility != 8) {
                                                        constraintWidget29 = constraintWidget4;
                                                    }
                                                    constraintWidget4 = constraintWidget5;
                                                }
                                                ConstraintAnchor constraintAnchor17 = constraintWidget2.mListAnchors[i2];
                                                constraintAnchor3 = constraintWidget21.mListAnchors[i2].mTarget;
                                                int i37 = i2 + 1;
                                                constraintAnchor4 = constraintWidget.mListAnchors[i37];
                                                constraintAnchor5 = constraintWidget22.mListAnchors[i37].mTarget;
                                                if (constraintAnchor3 != null) {
                                                    if (constraintWidget2 != constraintWidget) {
                                                        linearSystem.addEquality(constraintAnchor17.mSolverVariable, constraintAnchor3.mSolverVariable, constraintAnchor17.getMargin(), 5);
                                                    } else if (constraintAnchor5 != null) {
                                                        linearSystem.addCentering(constraintAnchor17.mSolverVariable, constraintAnchor3.mSolverVariable, constraintAnchor17.getMargin(), 0.5f, constraintAnchor4.mSolverVariable, constraintAnchor5.mSolverVariable, constraintAnchor4.getMargin(), 5);
                                                    }
                                                }
                                                if (!(constraintAnchor5 == null || constraintWidget2 == constraintWidget)) {
                                                    linearSystem.addEquality(constraintAnchor4.mSolverVariable, constraintAnchor5.mSolverVariable, -constraintAnchor4.getMargin(), 5);
                                                }
                                            }
                                            if (!((!z8 && !z2) || constraintWidget2 == null || constraintWidget2 == constraintWidget)) {
                                                ConstraintAnchor[] constraintAnchorArr9 = constraintWidget2.mListAnchors;
                                                constraintAnchor = constraintAnchorArr9[i2];
                                                constraintWidget3 = constraintWidget != null ? constraintWidget2 : constraintWidget;
                                                i7 = i2 + 1;
                                                constraintAnchor2 = constraintWidget3.mListAnchors[i7];
                                                ConstraintAnchor constraintAnchor18 = constraintAnchor.mTarget;
                                                solverVariable = constraintAnchor18 == null ? constraintAnchor18.mSolverVariable : null;
                                                ConstraintAnchor constraintAnchor19 = constraintAnchor2.mTarget;
                                                SolverVariable solverVariable14 = constraintAnchor19 == null ? constraintAnchor19.mSolverVariable : null;
                                                if (constraintWidget22 == constraintWidget3) {
                                                    ConstraintAnchor constraintAnchor20 = constraintWidget22.mListAnchors[i7].mTarget;
                                                    if (constraintAnchor20 != null) {
                                                        solverVariable6 = constraintAnchor20.mSolverVariable;
                                                    }
                                                    solverVariable2 = solverVariable6;
                                                } else {
                                                    solverVariable2 = solverVariable14;
                                                }
                                                if (constraintWidget2 == constraintWidget3) {
                                                    constraintAnchor = constraintAnchorArr9[i2];
                                                    constraintAnchor2 = constraintAnchorArr9[i7];
                                                }
                                                if (!(solverVariable == null || solverVariable2 == null)) {
                                                    linearSystem.addCentering(constraintAnchor.mSolverVariable, solverVariable, constraintAnchor.getMargin(), 0.5f, solverVariable2, constraintAnchor2.mSolverVariable, constraintWidget3.mListAnchors[i7].getMargin(), 5);
                                                }
                                            }
                                        } else {
                                            int i38 = chainHead2.mWidgetsMatchCount;
                                            boolean z12 = i38 > 0 && chainHead2.mWidgetsCount == i38;
                                            ConstraintWidget constraintWidget32 = constraintWidget2;
                                            ConstraintWidget constraintWidget33 = constraintWidget32;
                                            while (constraintWidget33 != null) {
                                                ConstraintWidget constraintWidget34 = constraintWidget33.mNextChainWidget[i];
                                                while (true) {
                                                    if (constraintWidget34 != null) {
                                                        if (constraintWidget34.mVisibility != 8) {
                                                            break;
                                                        }
                                                        constraintWidget34 = constraintWidget34.mNextChainWidget[i];
                                                    } else {
                                                        break;
                                                    }
                                                }
                                                if (constraintWidget34 != null || constraintWidget33 == constraintWidget) {
                                                    ConstraintAnchor constraintAnchor21 = constraintWidget33.mListAnchors[i2];
                                                    SolverVariable solverVariable15 = constraintAnchor21.mSolverVariable;
                                                    ConstraintAnchor constraintAnchor22 = constraintAnchor21.mTarget;
                                                    SolverVariable solverVariable16 = constraintAnchor22 != null ? constraintAnchor22.mSolverVariable : null;
                                                    if (constraintWidget32 != constraintWidget33) {
                                                        solverVariable16 = constraintWidget32.mListAnchors[i2 + 1].mSolverVariable;
                                                    } else if (constraintWidget33 == constraintWidget2) {
                                                        ConstraintAnchor[] constraintAnchorArr10 = constraintWidget21.mListAnchors;
                                                        solverVariable16 = constraintAnchorArr10[i2].mTarget != null ? constraintAnchorArr10[i2].mTarget.mSolverVariable : null;
                                                    }
                                                    int margin8 = constraintAnchor21.getMargin();
                                                    int i39 = i2 + 1;
                                                    int margin9 = constraintWidget33.mListAnchors[i39].getMargin();
                                                    if (constraintWidget34 != null) {
                                                        constraintAnchor7 = constraintWidget34.mListAnchors[i2];
                                                        solverVariable5 = constraintAnchor7.mSolverVariable;
                                                    } else {
                                                        constraintAnchor7 = constraintWidget22.mListAnchors[i39].mTarget;
                                                        if (constraintAnchor7 != null) {
                                                            solverVariable5 = constraintAnchor7.mSolverVariable;
                                                        } else {
                                                            constraintWidget10 = constraintWidget34;
                                                            solverVariable5 = null;
                                                            SolverVariable solverVariable17 = constraintWidget33.mListAnchors[i39].mSolverVariable;
                                                            if (constraintAnchor7 != null) {
                                                                margin9 += constraintAnchor7.getMargin();
                                                            }
                                                            int margin10 = constraintWidget32.mListAnchors[i39].getMargin() + margin8;
                                                            if (solverVariable15 != null || solverVariable16 == null || solverVariable5 == null || solverVariable17 == null) {
                                                                i9 = i8;
                                                                constraintWidget9 = constraintWidget10;
                                                                constraintWidget7 = constraintWidget32;
                                                            } else {
                                                                if (constraintWidget33 == constraintWidget2) {
                                                                    margin10 = constraintWidget2.mListAnchors[i2].getMargin();
                                                                }
                                                                i9 = i8;
                                                                constraintWidget9 = constraintWidget10;
                                                                constraintWidget7 = constraintWidget32;
                                                                constraintWidget8 = constraintWidget33;
                                                                linearSystem.addCentering(solverVariable15, solverVariable16, margin10, 0.5f, solverVariable5, solverVariable17, constraintWidget33 == constraintWidget ? constraintWidget.mListAnchors[i39].getMargin() : margin9, z12 ? 8 : 5);
                                                                constraintWidget32 = constraintWidget8.mVisibility == 8 ? constraintWidget8 : constraintWidget7;
                                                                constraintWidget33 = constraintWidget9;
                                                                i8 = i9;
                                                            }
                                                        }
                                                    }
                                                    constraintWidget10 = constraintWidget34;
                                                    SolverVariable solverVariable172 = constraintWidget33.mListAnchors[i39].mSolverVariable;
                                                    if (constraintAnchor7 != null) {
                                                    }
                                                    int margin102 = constraintWidget32.mListAnchors[i39].getMargin() + margin8;
                                                    if (solverVariable15 != null) {
                                                    }
                                                    i9 = i8;
                                                    constraintWidget9 = constraintWidget10;
                                                    constraintWidget7 = constraintWidget32;
                                                } else {
                                                    constraintWidget9 = constraintWidget34;
                                                    constraintWidget7 = constraintWidget32;
                                                    i9 = i8;
                                                }
                                                constraintWidget8 = constraintWidget33;
                                                if (constraintWidget8.mVisibility == 8) {
                                                }
                                                constraintWidget33 = constraintWidget9;
                                                i8 = i9;
                                            }
                                        }
                                    } else {
                                        ConstraintAnchor constraintAnchor23 = constraintWidget21.mListAnchors[i2];
                                        int i40 = i2 + 1;
                                        ConstraintAnchor constraintAnchor24 = constraintWidget22.mListAnchors[i40];
                                        ConstraintAnchor constraintAnchor25 = constraintAnchor23.mTarget;
                                        SolverVariable solverVariable18 = constraintAnchor25 != null ? constraintAnchor25.mSolverVariable : null;
                                        ConstraintAnchor constraintAnchor26 = constraintAnchor24.mTarget;
                                        SolverVariable solverVariable19 = constraintAnchor26 != null ? constraintAnchor26.mSolverVariable : null;
                                        ConstraintAnchor constraintAnchor27 = constraintWidget23.mListAnchors[i2];
                                        if (constraintWidget24 != null) {
                                            constraintAnchor24 = constraintWidget24.mListAnchors[i40];
                                        }
                                        if (solverVariable18 == null || solverVariable19 == null) {
                                            constraintWidget = constraintWidget24;
                                            constraintWidget2 = constraintWidget23;
                                            i8 = i4;
                                        } else {
                                            if (i == 0) {
                                                f = constraintWidget25.mHorizontalBiasPercent;
                                            } else {
                                                f = constraintWidget25.mVerticalBiasPercent;
                                            }
                                            constraintWidget = constraintWidget24;
                                            constraintWidget2 = constraintWidget23;
                                            i8 = i4;
                                            linearSystem.addCentering(constraintAnchor27.mSolverVariable, solverVariable18, constraintAnchor27.getMargin(), f, solverVariable19, constraintAnchor24.mSolverVariable, constraintAnchor24.getMargin(), 7);
                                        }
                                    }
                                    i6 = i8;
                                    ConstraintAnchor[] constraintAnchorArr92 = constraintWidget2.mListAnchors;
                                    constraintAnchor = constraintAnchorArr92[i2];
                                    if (constraintWidget != null) {
                                    }
                                    i7 = i2 + 1;
                                    constraintAnchor2 = constraintWidget3.mListAnchors[i7];
                                    ConstraintAnchor constraintAnchor182 = constraintAnchor.mTarget;
                                    if (constraintAnchor182 == null) {
                                    }
                                    ConstraintAnchor constraintAnchor192 = constraintAnchor2.mTarget;
                                    if (constraintAnchor192 == null) {
                                    }
                                    if (constraintWidget22 == constraintWidget3) {
                                    }
                                    if (constraintWidget2 == constraintWidget3) {
                                    }
                                    linearSystem.addCentering(constraintAnchor.mSolverVariable, solverVariable, constraintAnchor.getMargin(), 0.5f, solverVariable2, constraintAnchor2.mSolverVariable, constraintWidget3.mListAnchors[i7].getMargin(), 5);
                                }
                            }
                            if (z9) {
                                ConstraintAnchor constraintAnchor28 = constraintAnchor13.mTarget;
                                if (constraintAnchor28.mOwner == constraintWidgetContainer2) {
                                    linearSystem.addEquality(constraintAnchor13.mSolverVariable, constraintAnchor28.mSolverVariable, -constraintAnchor13.getMargin(), 4);
                                }
                            }
                            linearSystem.addLowerThan(constraintAnchor13.mSolverVariable, constraintWidget22.mListAnchors[i30].mTarget.mSolverVariable, -constraintAnchor13.getMargin(), 6);
                            if (z6) {
                            }
                            ArrayList<ConstraintWidget> arrayList42 = chainHead2.mWeightedMatchConstraintsWidgets;
                            if (chainHead2.mHasUndefinedWeights) {
                            }
                            ConstraintWidget constraintWidget272 = null;
                            float f52 = 0.0f;
                            i10 = 0;
                            while (i10 < size) {
                            }
                            if (constraintWidget23 != null) {
                            }
                            constraintWidget = constraintWidget24;
                            constraintWidget2 = constraintWidget23;
                            i8 = i4;
                            if (z8) {
                            }
                            i6 = i8;
                            int i342 = chainHead2.mWidgetsMatchCount;
                            if (i342 <= 0) {
                            }
                            constraintWidget4 = constraintWidget2;
                            ConstraintWidget constraintWidget292 = constraintWidget4;
                            while (constraintWidget4 != null) {
                            }
                            ConstraintAnchor constraintAnchor172 = constraintWidget2.mListAnchors[i2];
                            constraintAnchor3 = constraintWidget21.mListAnchors[i2].mTarget;
                            int i372 = i2 + 1;
                            constraintAnchor4 = constraintWidget.mListAnchors[i372];
                            constraintAnchor5 = constraintWidget22.mListAnchors[i372].mTarget;
                            if (constraintAnchor3 != null) {
                            }
                            linearSystem.addEquality(constraintAnchor4.mSolverVariable, constraintAnchor5.mSolverVariable, -constraintAnchor4.getMargin(), 5);
                            ConstraintAnchor[] constraintAnchorArr922 = constraintWidget2.mListAnchors;
                            constraintAnchor = constraintAnchorArr922[i2];
                            if (constraintWidget != null) {
                            }
                            i7 = i2 + 1;
                            constraintAnchor2 = constraintWidget3.mListAnchors[i7];
                            ConstraintAnchor constraintAnchor1822 = constraintAnchor.mTarget;
                            if (constraintAnchor1822 == null) {
                            }
                            ConstraintAnchor constraintAnchor1922 = constraintAnchor2.mTarget;
                            if (constraintAnchor1922 == null) {
                            }
                            if (constraintWidget22 == constraintWidget3) {
                            }
                            if (constraintWidget2 == constraintWidget3) {
                            }
                            linearSystem.addCentering(constraintAnchor.mSolverVariable, solverVariable, constraintAnchor.getMargin(), 0.5f, solverVariable2, constraintAnchor2.mSolverVariable, constraintWidget3.mListAnchors[i7].getMargin(), 5);
                        }
                    }
                    if (z6) {
                    }
                    ArrayList<ConstraintWidget> arrayList422 = chainHead2.mWeightedMatchConstraintsWidgets;
                    if (chainHead2.mHasUndefinedWeights) {
                    }
                    ConstraintWidget constraintWidget2722 = null;
                    float f522 = 0.0f;
                    i10 = 0;
                    while (i10 < size) {
                    }
                    if (constraintWidget23 != null) {
                    }
                    constraintWidget = constraintWidget24;
                    constraintWidget2 = constraintWidget23;
                    i8 = i4;
                    if (z8) {
                    }
                    i6 = i8;
                    int i3422 = chainHead2.mWidgetsMatchCount;
                    if (i3422 <= 0) {
                    }
                    constraintWidget4 = constraintWidget2;
                    ConstraintWidget constraintWidget2922 = constraintWidget4;
                    while (constraintWidget4 != null) {
                    }
                    ConstraintAnchor constraintAnchor1722 = constraintWidget2.mListAnchors[i2];
                    constraintAnchor3 = constraintWidget21.mListAnchors[i2].mTarget;
                    int i3722 = i2 + 1;
                    constraintAnchor4 = constraintWidget.mListAnchors[i3722];
                    constraintAnchor5 = constraintWidget22.mListAnchors[i3722].mTarget;
                    if (constraintAnchor3 != null) {
                    }
                    linearSystem.addEquality(constraintAnchor4.mSolverVariable, constraintAnchor5.mSolverVariable, -constraintAnchor4.getMargin(), 5);
                    ConstraintAnchor[] constraintAnchorArr9222 = constraintWidget2.mListAnchors;
                    constraintAnchor = constraintAnchorArr9222[i2];
                    if (constraintWidget != null) {
                    }
                    i7 = i2 + 1;
                    constraintAnchor2 = constraintWidget3.mListAnchors[i7];
                    ConstraintAnchor constraintAnchor18222 = constraintAnchor.mTarget;
                    if (constraintAnchor18222 == null) {
                    }
                    ConstraintAnchor constraintAnchor19222 = constraintAnchor2.mTarget;
                    if (constraintAnchor19222 == null) {
                    }
                    if (constraintWidget22 == constraintWidget3) {
                    }
                    if (constraintWidget2 == constraintWidget3) {
                    }
                    linearSystem.addCentering(constraintAnchor.mSolverVariable, solverVariable, constraintAnchor.getMargin(), 0.5f, solverVariable2, constraintAnchor2.mSolverVariable, constraintWidget3.mListAnchors[i7].getMargin(), 5);
                } else {
                    i5 = i3;
                    chainHeadArr2 = chainHeadArr;
                    i6 = i4;
                }
                i17 = i6 + 1;
                constraintWidgetContainer2 = constraintWidgetContainer;
                arrayList3 = arrayList;
                chainHeadArr = chainHeadArr2;
                i3 = i5;
            }
        }

        public static boolean areSameOptions(Bundle bundle, Bundle bundle2) {
            if (bundle == bundle2) {
                return true;
            }
            if (bundle == null) {
                if (bundle2.getInt(MediaBrowserCompat.EXTRA_PAGE, -1) == -1 && bundle2.getInt(MediaBrowserCompat.EXTRA_PAGE_SIZE, -1) == -1) {
                    return true;
                }
                return false;
            } else if (bundle2 == null) {
                if (bundle.getInt(MediaBrowserCompat.EXTRA_PAGE, -1) == -1 && bundle.getInt(MediaBrowserCompat.EXTRA_PAGE_SIZE, -1) == -1) {
                    return true;
                }
                return false;
            } else if (bundle.getInt(MediaBrowserCompat.EXTRA_PAGE, -1) == bundle2.getInt(MediaBrowserCompat.EXTRA_PAGE, -1) && bundle.getInt(MediaBrowserCompat.EXTRA_PAGE_SIZE, -1) == bundle2.getInt(MediaBrowserCompat.EXTRA_PAGE_SIZE, -1)) {
                return true;
            } else {
                return false;
            }
        }

        /* JADX WARNING: Code restructure failed: missing block: B:13:0x0033, code lost:
            if (r10.right <= r12.left) goto L_0x0043;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:15:0x003a, code lost:
            if (r10.top >= r12.bottom) goto L_0x0043;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:17:0x0041, code lost:
            if (r10.left >= r12.right) goto L_0x0043;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:19:0x0045, code lost:
            r7 = false;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:9:0x0026, code lost:
            if (r10.bottom <= r12.top) goto L_0x0043;
         */
        public static boolean beamBeats(int i, Rect rect, Rect rect2, Rect rect3) {
            int i2;
            int i3;
            boolean beamsOverlap = beamsOverlap(i, rect, rect2);
            if (beamsOverlap(i, rect, rect3) || !beamsOverlap) {
                return false;
            }
            if (i != 17) {
                if (i != 33) {
                    if (i != 66) {
                        if (i != 130) {
                            throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
                        }
                    }
                }
            }
            boolean z = true;
            if (!z || i == 17 || i == 66) {
                return true;
            }
            int majorAxisDistance = majorAxisDistance(i, rect, rect2);
            if (i == 17) {
                i3 = rect.left;
                i2 = rect3.left;
            } else if (i == 33) {
                i3 = rect.top;
                i2 = rect3.top;
            } else if (i == 66) {
                i3 = rect3.right;
                i2 = rect.right;
            } else if (i == 130) {
                i3 = rect3.bottom;
                i2 = rect.bottom;
            } else {
                throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
            }
            if (majorAxisDistance < Math.max(1, i3 - i2)) {
                return true;
            }
            return false;
        }

        public static boolean beamsOverlap(int i, Rect rect, Rect rect2) {
            if (i != 17) {
                if (i != 33) {
                    if (i != 66) {
                        if (i != 130) {
                            throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
                        }
                    }
                }
                if (rect2.right < rect.left || rect2.left > rect.right) {
                    return false;
                }
                return true;
            }
            if (rect2.bottom < rect.top || rect2.top > rect.bottom) {
                return false;
            }
            return true;
        }

        public static final Bundle bundleOf(Pair<String, ? extends Object>... pairArr) {
            Intrinsics.checkParameterIsNotNull(pairArr, "pairs");
            Bundle bundle = new Bundle(pairArr.length);
            for (Pair<String, ? extends Object> pair : pairArr) {
                String component1 = pair.component1();
                Object component2 = pair.component2();
                if (component2 == null) {
                    bundle.putString(component1, null);
                } else if (component2 instanceof Boolean) {
                    bundle.putBoolean(component1, ((Boolean) component2).booleanValue());
                } else if (component2 instanceof Byte) {
                    bundle.putByte(component1, ((Number) component2).byteValue());
                } else if (component2 instanceof Character) {
                    bundle.putChar(component1, ((Character) component2).charValue());
                } else if (component2 instanceof Double) {
                    bundle.putDouble(component1, ((Number) component2).doubleValue());
                } else if (component2 instanceof Float) {
                    bundle.putFloat(component1, ((Number) component2).floatValue());
                } else if (component2 instanceof Integer) {
                    bundle.putInt(component1, ((Number) component2).intValue());
                } else if (component2 instanceof Long) {
                    bundle.putLong(component1, ((Number) component2).longValue());
                } else if (component2 instanceof Short) {
                    bundle.putShort(component1, ((Number) component2).shortValue());
                } else if (component2 instanceof Bundle) {
                    bundle.putBundle(component1, (Bundle) component2);
                } else if (component2 instanceof CharSequence) {
                    bundle.putCharSequence(component1, (CharSequence) component2);
                } else if (component2 instanceof Parcelable) {
                    bundle.putParcelable(component1, (Parcelable) component2);
                } else if (component2 instanceof boolean[]) {
                    bundle.putBooleanArray(component1, (boolean[]) component2);
                } else if (component2 instanceof byte[]) {
                    bundle.putByteArray(component1, (byte[]) component2);
                } else if (component2 instanceof char[]) {
                    bundle.putCharArray(component1, (char[]) component2);
                } else if (component2 instanceof double[]) {
                    bundle.putDoubleArray(component1, (double[]) component2);
                } else if (component2 instanceof float[]) {
                    bundle.putFloatArray(component1, (float[]) component2);
                } else if (component2 instanceof int[]) {
                    bundle.putIntArray(component1, (int[]) component2);
                } else if (component2 instanceof long[]) {
                    bundle.putLongArray(component1, (long[]) component2);
                } else if (component2 instanceof short[]) {
                    bundle.putShortArray(component1, (short[]) component2);
                } else if (component2 instanceof Object[]) {
                    Class<?> componentType = component2.getClass().getComponentType();
                    if (componentType != null) {
                        Intrinsics.checkExpressionValueIsNotNull(componentType, "value::class.java.componentType!!");
                        if (Parcelable.class.isAssignableFrom(componentType)) {
                            bundle.putParcelableArray(component1, (Parcelable[]) component2);
                        } else if (String.class.isAssignableFrom(componentType)) {
                            bundle.putStringArray(component1, (String[]) component2);
                        } else if (CharSequence.class.isAssignableFrom(componentType)) {
                            bundle.putCharSequenceArray(component1, (CharSequence[]) component2);
                        } else if (Serializable.class.isAssignableFrom(componentType)) {
                            bundle.putSerializable(component1, (Serializable) component2);
                        } else {
                            throw new IllegalArgumentException("Illegal value array type " + componentType.getCanonicalName() + " for key \"" + component1 + StringUtil.DOUBLE_QUOTE);
                        }
                    } else {
                        Intrinsics.throwNpe();
                        throw null;
                    }
                } else if (component2 instanceof Serializable) {
                    bundle.putSerializable(component1, (Serializable) component2);
                } else if (component2 instanceof IBinder) {
                    bundle.putBinder(component1, (IBinder) component2);
                } else if (component2 instanceof Size) {
                    bundle.putSize(component1, (Size) component2);
                } else if (component2 instanceof SizeF) {
                    bundle.putSizeF(component1, (SizeF) component2);
                } else {
                    throw new IllegalArgumentException("Illegal value type " + component2.getClass().getCanonicalName() + " for key \"" + component1 + StringUtil.DOUBLE_QUOTE);
                }
            }
            return bundle;
        }

        public static boolean canMorph(PathParser$PathDataNode[] pathParser$PathDataNodeArr, PathParser$PathDataNode[] pathParser$PathDataNodeArr2) {
            if (pathParser$PathDataNodeArr == null || pathParser$PathDataNodeArr2 == null || pathParser$PathDataNodeArr.length != pathParser$PathDataNodeArr2.length) {
                return false;
            }
            for (int i = 0; i < pathParser$PathDataNodeArr.length; i++) {
                if (!(pathParser$PathDataNodeArr[i].mType == pathParser$PathDataNodeArr2[i].mType && pathParser$PathDataNodeArr[i].mParams.length == pathParser$PathDataNodeArr2[i].mParams.length)) {
                    return false;
                }
            }
            return true;
        }

        public static int checkArgumentNonnegative(int i) {
            if (i >= 0) {
                return i;
            }
            throw new IllegalArgumentException();
        }

        public static <T> T checkNotNull(T t, Object obj) {
            if (t != null) {
                return t;
            }
            throw new NullPointerException(String.valueOf(obj));
        }

        public static int checkSelfPermission(Context context, String str) {
            int myPid = Process.myPid();
            int myUid = Process.myUid();
            String packageName = context.getPackageName();
            if (context.checkPermission(str, myPid, myUid) != -1) {
                int i = Build.VERSION.SDK_INT;
                String permissionToOp = i >= 23 ? AppOpsManager.permissionToOp(str) : null;
                if (permissionToOp == null) {
                    return 0;
                }
                if (packageName == null) {
                    String[] packagesForUid = context.getPackageManager().getPackagesForUid(myUid);
                    if (packagesForUid != null && packagesForUid.length > 0) {
                        packageName = packagesForUid[0];
                    }
                }
                if ((i >= 23 ? ((AppOpsManager) context.getSystemService(AppOpsManager.class)).noteProxyOpNoThrow(permissionToOp, packageName) : 1) != 0) {
                    return -2;
                }
                return 0;
            }
            return -1;
        }

        public static float clamp(float f, float f2, float f3) {
            return f < f2 ? f2 : f > f3 ? f3 : f;
        }

        public static int clamp(int i, int i2, int i3) {
            return i < i2 ? i2 : i > i3 ? i3 : i;
        }

        public static void clearColorFilter(Drawable drawable) {
            DrawableContainer.DrawableContainerState drawableContainerState;
            if (Build.VERSION.SDK_INT >= 23) {
                drawable.clearColorFilter();
                return;
            }
            drawable.clearColorFilter();
            if (drawable instanceof InsetDrawable) {
                clearColorFilter(((InsetDrawable) drawable).getDrawable());
            } else if (drawable instanceof WrappedDrawable) {
                clearColorFilter(((WrappedDrawableApi14) ((WrappedDrawable) drawable)).mDrawable);
            } else if ((drawable instanceof DrawableContainer) && (drawableContainerState = (DrawableContainer.DrawableContainerState) ((DrawableContainer) drawable).getConstantState()) != null) {
                int childCount = drawableContainerState.getChildCount();
                for (int i = 0; i < childCount; i++) {
                    Drawable child = drawableContainerState.getChild(i);
                    if (child != null) {
                        clearColorFilter(child);
                    }
                }
            }
        }

        public static int computeScrollExtent(RecyclerView.State state, OrientationHelper orientationHelper, View view, View view2, RecyclerView.LayoutManager layoutManager, boolean z) {
            if (layoutManager.getChildCount() == 0 || state.getItemCount() == 0 || view == null || view2 == null) {
                return 0;
            }
            if (!z) {
                return Math.abs(layoutManager.getPosition(view) - layoutManager.getPosition(view2)) + 1;
            }
            return Math.min(orientationHelper.getTotalSpace(), orientationHelper.getDecoratedEnd(view2) - orientationHelper.getDecoratedStart(view));
        }

        public static int computeScrollOffset(RecyclerView.State state, OrientationHelper orientationHelper, View view, View view2, RecyclerView.LayoutManager layoutManager, boolean z, boolean z2) {
            int i;
            if (layoutManager.getChildCount() == 0 || state.getItemCount() == 0 || view == null || view2 == null) {
                return 0;
            }
            int min = Math.min(layoutManager.getPosition(view), layoutManager.getPosition(view2));
            int max = Math.max(layoutManager.getPosition(view), layoutManager.getPosition(view2));
            if (z2) {
                i = Math.max(0, (state.getItemCount() - max) - 1);
            } else {
                i = Math.max(0, min);
            }
            if (!z) {
                return i;
            }
            return Math.round((((float) i) * (((float) Math.abs(orientationHelper.getDecoratedEnd(view2) - orientationHelper.getDecoratedStart(view))) / ((float) (Math.abs(layoutManager.getPosition(view) - layoutManager.getPosition(view2)) + 1)))) + ((float) (orientationHelper.getStartAfterPadding() - orientationHelper.getDecoratedStart(view))));
        }

        public static int computeScrollRange(RecyclerView.State state, OrientationHelper orientationHelper, View view, View view2, RecyclerView.LayoutManager layoutManager, boolean z) {
            if (layoutManager.getChildCount() == 0 || state.getItemCount() == 0 || view == null || view2 == null) {
                return 0;
            }
            if (!z) {
                return state.getItemCount();
            }
            return (int) ((((float) (orientationHelper.getDecoratedEnd(view2) - orientationHelper.getDecoratedStart(view))) / ((float) (Math.abs(layoutManager.getPosition(view) - layoutManager.getPosition(view2)) + 1))) * ((float) state.getItemCount()));
        }

        public static float[] copyOfRange(float[] fArr, int i, int i2) {
            if (i <= i2) {
                int length = fArr.length;
                if (i < 0 || i > length) {
                    throw new ArrayIndexOutOfBoundsException();
                }
                int i3 = i2 - i;
                int min = Math.min(i3, length - i);
                float[] fArr2 = new float[i3];
                System.arraycopy(fArr, i, fArr2, 0, min);
                return fArr2;
            }
            throw new IllegalArgumentException();
        }

        /* JADX WARNING: Removed duplicated region for block: B:25:0x0047 A[SYNTHETIC, Splitter:B:25:0x0047] */
        /* JADX WARNING: Removed duplicated region for block: B:31:0x0050 A[SYNTHETIC, Splitter:B:31:0x0050] */
        public static boolean copyToFile(File file, InputStream inputStream) {
            Throwable th;
            IOException e;
            StrictMode.ThreadPolicy allowThreadDiskWrites = StrictMode.allowThreadDiskWrites();
            FileOutputStream fileOutputStream = null;
            try {
                FileOutputStream fileOutputStream2 = new FileOutputStream(file, false);
                try {
                    byte[] bArr = new byte[1024];
                    while (true) {
                        int read = inputStream.read(bArr);
                        if (read == -1) {
                            break;
                        }
                        fileOutputStream2.write(bArr, 0, read);
                    }
                    try {
                        fileOutputStream2.close();
                    } catch (IOException unused) {
                    }
                    StrictMode.setThreadPolicy(allowThreadDiskWrites);
                    return true;
                } catch (IOException e2) {
                    e = e2;
                    fileOutputStream = fileOutputStream2;
                    try {
                        Log.e("TypefaceCompatUtil", "Error copying resource contents to temp file: " + e.getMessage());
                        if (fileOutputStream != null) {
                        }
                        StrictMode.setThreadPolicy(allowThreadDiskWrites);
                        return false;
                    } catch (Throwable th2) {
                        th = th2;
                        if (fileOutputStream != null) {
                            try {
                                fileOutputStream.close();
                            } catch (IOException unused2) {
                            }
                        }
                        StrictMode.setThreadPolicy(allowThreadDiskWrites);
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    fileOutputStream = fileOutputStream2;
                    if (fileOutputStream != null) {
                    }
                    StrictMode.setThreadPolicy(allowThreadDiskWrites);
                    throw th;
                }
            } catch (IOException e3) {
                e = e3;
                Log.e("TypefaceCompatUtil", "Error copying resource contents to temp file: " + e.getMessage());
                if (fileOutputStream != null) {
                    try {
                        fileOutputStream.close();
                    } catch (IOException unused3) {
                    }
                }
                StrictMode.setThreadPolicy(allowThreadDiskWrites);
                return false;
            }
        }

        public static ColorStateList createFromXml(Resources resources, XmlPullParser xmlPullParser, Resources.Theme theme) {
            int next;
            AttributeSet asAttributeSet = Xml.asAttributeSet(xmlPullParser);
            do {
                next = xmlPullParser.next();
                if (next == 2) {
                    break;
                }
            } while (next != 1);
            if (next == 2) {
                return createFromXmlInner(resources, xmlPullParser, asAttributeSet, theme);
            }
            throw new XmlPullParserException("No start tag found");
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Type inference failed for: r8v16, types: [java.lang.Object[], java.lang.Object] */
        /* JADX WARNING: Unknown variable types count: 1 */
        public static ColorStateList createFromXmlInner(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            int depth;
            TypedArray typedArray;
            String name = xmlPullParser.getName();
            if (name.equals("selector")) {
                int i = 1;
                int depth2 = xmlPullParser.getDepth() + 1;
                int[][] iArr = new int[20][];
                int[] iArr2 = new int[20];
                int i2 = 0;
                while (true) {
                    int next = xmlPullParser.next();
                    if (next == i || ((depth = xmlPullParser.getDepth()) < depth2 && next == 3)) {
                        int[] iArr3 = new int[i2];
                        int[][] iArr4 = new int[i2][];
                        System.arraycopy(iArr2, 0, iArr3, 0, i2);
                        System.arraycopy(iArr, 0, iArr4, 0, i2);
                    } else {
                        if (next == 2 && depth <= depth2 && xmlPullParser.getName().equals("item")) {
                            int[] iArr5 = androidx.core.R$styleable.ColorStateListItem;
                            if (theme == null) {
                                typedArray = resources.obtainAttributes(attributeSet, iArr5);
                            } else {
                                typedArray = theme.obtainStyledAttributes(attributeSet, iArr5, 0, 0);
                            }
                            int color = typedArray.getColor(androidx.core.R$styleable.ColorStateListItem_android_color, -65281);
                            float f = 1.0f;
                            int i3 = androidx.core.R$styleable.ColorStateListItem_android_alpha;
                            if (typedArray.hasValue(i3)) {
                                f = typedArray.getFloat(i3, 1.0f);
                            } else {
                                int i4 = androidx.core.R$styleable.ColorStateListItem_alpha;
                                if (typedArray.hasValue(i4)) {
                                    f = typedArray.getFloat(i4, 1.0f);
                                }
                            }
                            typedArray.recycle();
                            int attributeCount = attributeSet.getAttributeCount();
                            int[] iArr6 = new int[attributeCount];
                            int i5 = 0;
                            for (int i6 = 0; i6 < attributeCount; i6++) {
                                int attributeNameResource = attributeSet.getAttributeNameResource(i6);
                                if (!(attributeNameResource == 16843173 || attributeNameResource == 16843551 || attributeNameResource == androidx.core.R$attr.alpha)) {
                                    int i7 = i5 + 1;
                                    if (!attributeSet.getAttributeBooleanValue(i6, false)) {
                                        attributeNameResource = -attributeNameResource;
                                    }
                                    iArr6[i5] = attributeNameResource;
                                    i5 = i7;
                                }
                            }
                            int[] trimStateSet = StateSet.trimStateSet(iArr6, i5);
                            int round = (Math.round(((float) Color.alpha(color)) * f) << 24) | (color & 16777215);
                            int i8 = i2 + 1;
                            int i9 = 8;
                            if (i8 > iArr2.length) {
                                int[] iArr7 = new int[(i2 <= 4 ? 8 : i2 * 2)];
                                System.arraycopy(iArr2, 0, iArr7, 0, i2);
                                iArr2 = iArr7;
                            }
                            iArr2[i2] = round;
                            if (i8 > iArr.length) {
                                Class<?> componentType = iArr.getClass().getComponentType();
                                if (i2 > 4) {
                                    i9 = i2 * 2;
                                }
                                ?? r8 = (Object[]) Array.newInstance(componentType, i9);
                                System.arraycopy(iArr, 0, r8, 0, i2);
                                iArr = r8;
                            }
                            iArr[i2] = trimStateSet;
                            iArr = iArr;
                            i2 = i8;
                        }
                        i = 1;
                    }
                }
                int[] iArr32 = new int[i2];
                int[][] iArr42 = new int[i2][];
                System.arraycopy(iArr2, 0, iArr32, 0, i2);
                System.arraycopy(iArr, 0, iArr42, 0, i2);
                return new ColorStateList(iArr42, iArr32);
            }
            throw new XmlPullParserException(xmlPullParser.getPositionDescription() + ": invalid color state list tag " + name);
        }

        /* JADX WARNING: Code restructure failed: missing block: B:37:0x008b, code lost:
            if (r13 == false) goto L_0x008d;
         */
        /* JADX WARNING: Removed duplicated region for block: B:17:0x0048  */
        /* JADX WARNING: Removed duplicated region for block: B:45:0x0098 A[Catch:{ NumberFormatException -> 0x00ba }, LOOP:3: B:25:0x006d->B:45:0x0098, LOOP_END] */
        /* JADX WARNING: Removed duplicated region for block: B:69:0x00d7 A[SYNTHETIC] */
        /* JADX WARNING: Removed duplicated region for block: B:79:0x0097 A[SYNTHETIC] */
        public static PathParser$PathDataNode[] createNodesFromPathData(String str) {
            String trim;
            float[] fArr;
            if (str == null) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            int i = 0;
            int i2 = 1;
            int i3 = 0;
            while (i2 < str.length()) {
                while (i2 < str.length()) {
                    char charAt = str.charAt(i2);
                    if ((charAt - 'Z') * (charAt - 'A') > 0) {
                        if ((charAt - 'z') * (charAt - 'a') > 0) {
                            continue;
                            i2++;
                        }
                    }
                    if (!(charAt == 'e' || charAt == 'E')) {
                        trim = str.substring(i3, i2).trim();
                        if (trim.length() > 0) {
                            if (trim.charAt(i) == 'z' || trim.charAt(i) == 'Z') {
                                fArr = new float[i];
                            } else {
                                try {
                                    float[] fArr2 = new float[trim.length()];
                                    int length = trim.length();
                                    int i4 = 1;
                                    int i5 = 0;
                                    while (i4 < length) {
                                        boolean z = false;
                                        boolean z2 = false;
                                        boolean z3 = false;
                                        boolean z4 = false;
                                        int i6 = i4;
                                        while (true) {
                                            if (i6 < trim.length()) {
                                                char charAt2 = trim.charAt(i6);
                                                if (charAt2 != ' ') {
                                                    if (charAt2 == 'E' || charAt2 == 'e') {
                                                        z4 = true;
                                                        if (!z) {
                                                            i6++;
                                                        }
                                                    } else {
                                                        switch (charAt2) {
                                                            case '-':
                                                                if (i6 != i4) {
                                                                }
                                                                break;
                                                            case '.':
                                                                if (!z3) {
                                                                    z3 = true;
                                                                    break;
                                                                }
                                                                z2 = true;
                                                                break;
                                                        }
                                                        z4 = false;
                                                        if (!z) {
                                                        }
                                                    }
                                                }
                                                z = true;
                                                z4 = false;
                                                if (!z) {
                                                }
                                            }
                                        }
                                        if (i4 < i6) {
                                            fArr2[i5] = Float.parseFloat(trim.substring(i4, i6));
                                            i5++;
                                        }
                                        if (!z2) {
                                            i6++;
                                        }
                                        i4 = i6;
                                        i = 0;
                                    }
                                    fArr = copyOfRange(fArr2, i, i5);
                                    i = 0;
                                } catch (NumberFormatException e) {
                                    throw new RuntimeException(GeneratedOutlineSupport.outline19("error in parsing \"", trim, "\""), e);
                                }
                            }
                            arrayList.add(new PathParser$PathDataNode(trim.charAt(i), fArr));
                        }
                        i3 = i2;
                        i2++;
                        i = 0;
                    }
                    i2++;
                }
                trim = str.substring(i3, i2).trim();
                if (trim.length() > 0) {
                }
                i3 = i2;
                i2++;
                i = 0;
            }
            if (i2 - i3 == 1 && i3 < str.length()) {
                arrayList.add(new PathParser$PathDataNode(str.charAt(i3), new float[0]));
            }
            return (PathParser$PathDataNode[]) arrayList.toArray(new PathParser$PathDataNode[arrayList.size()]);
        }

        public static Path createPathFromPathData(String str) {
            Path path = new Path();
            PathParser$PathDataNode[] createNodesFromPathData = createNodesFromPathData(str);
            if (createNodesFromPathData == null) {
                return null;
            }
            try {
                PathParser$PathDataNode.nodesToPath(createNodesFromPathData, path);
                return path;
            } catch (RuntimeException e) {
                throw new RuntimeException(GeneratedOutlineSupport.outline18("Error in parsing ", str), e);
            }
        }

        public static <T extends RoomDatabase> RoomDatabase.Builder<T> databaseBuilder(Context context, Class<T> cls, String str) {
            if (str != null && str.trim().length() != 0) {
                return new RoomDatabase.Builder<>(context, cls, str);
            }
            throw new IllegalArgumentException("Cannot build a database with null or empty name. If you are trying to create an in memory database, use Room.inMemoryDatabaseBuilder");
        }

        public static PathParser$PathDataNode[] deepCopyNodes(PathParser$PathDataNode[] pathParser$PathDataNodeArr) {
            if (pathParser$PathDataNodeArr == null) {
                return null;
            }
            PathParser$PathDataNode[] pathParser$PathDataNodeArr2 = new PathParser$PathDataNode[pathParser$PathDataNodeArr.length];
            for (int i = 0; i < pathParser$PathDataNodeArr.length; i++) {
                pathParser$PathDataNodeArr2[i] = new PathParser$PathDataNode(pathParser$PathDataNodeArr[i]);
            }
            return pathParser$PathDataNodeArr2;
        }

        public static WidgetGroup findDependents(ConstraintWidget constraintWidget, int i, ArrayList<WidgetGroup> arrayList, WidgetGroup widgetGroup) {
            int i2;
            int i3;
            if (i == 0) {
                i2 = constraintWidget.horizontalGroup;
            } else {
                i2 = constraintWidget.verticalGroup;
            }
            int i4 = 0;
            if (i2 != -1 && (widgetGroup == null || i2 != widgetGroup.id)) {
                int i5 = 0;
                while (true) {
                    if (i5 >= arrayList.size()) {
                        break;
                    }
                    WidgetGroup widgetGroup2 = arrayList.get(i5);
                    if (widgetGroup2.id == i2) {
                        if (widgetGroup != null) {
                            widgetGroup.moveTo(i, widgetGroup2);
                            arrayList.remove(widgetGroup);
                        }
                        widgetGroup = widgetGroup2;
                    } else {
                        i5++;
                    }
                }
            } else if (i2 != -1) {
                return widgetGroup;
            }
            if (widgetGroup == null) {
                if (constraintWidget instanceof HelperWidget) {
                    HelperWidget helperWidget = (HelperWidget) constraintWidget;
                    int i6 = 0;
                    while (true) {
                        if (i6 >= helperWidget.mWidgetsCount) {
                            i3 = -1;
                            break;
                        }
                        ConstraintWidget constraintWidget2 = helperWidget.mWidgets[i6];
                        if ((i == 0 && (i3 = constraintWidget2.horizontalGroup) != -1) || (i == 1 && (i3 = constraintWidget2.verticalGroup) != -1)) {
                            break;
                        }
                        i6++;
                    }
                    if (i3 != -1) {
                        int i7 = 0;
                        while (true) {
                            if (i7 >= arrayList.size()) {
                                break;
                            }
                            WidgetGroup widgetGroup3 = arrayList.get(i7);
                            if (widgetGroup3.id == i3) {
                                widgetGroup = widgetGroup3;
                                break;
                            }
                            i7++;
                        }
                    }
                }
                if (widgetGroup == null) {
                    widgetGroup = new WidgetGroup(i);
                }
                arrayList.add(widgetGroup);
            }
            if (widgetGroup.add(constraintWidget)) {
                if (constraintWidget instanceof Guideline) {
                    Guideline guideline = (Guideline) constraintWidget;
                    ConstraintAnchor constraintAnchor = guideline.mAnchor;
                    if (guideline.mOrientation == 0) {
                        i4 = 1;
                    }
                    constraintAnchor.findDependents(i4, arrayList, widgetGroup);
                }
                if (i == 0) {
                    constraintWidget.horizontalGroup = widgetGroup.id;
                    constraintWidget.mLeft.findDependents(i, arrayList, widgetGroup);
                    constraintWidget.mRight.findDependents(i, arrayList, widgetGroup);
                } else {
                    constraintWidget.verticalGroup = widgetGroup.id;
                    constraintWidget.mTop.findDependents(i, arrayList, widgetGroup);
                    constraintWidget.mBaseline.findDependents(i, arrayList, widgetGroup);
                    constraintWidget.mBottom.findDependents(i, arrayList, widgetGroup);
                }
                constraintWidget.mCenter.findDependents(i, arrayList, widgetGroup);
            }
            return widgetGroup;
        }

        public static WidgetGroup findGroup(ArrayList<WidgetGroup> arrayList, int i) {
            int size = arrayList.size();
            for (int i2 = 0; i2 < size; i2++) {
                WidgetGroup widgetGroup = arrayList.get(i2);
                if (i == widgetGroup.id) {
                    return widgetGroup;
                }
            }
            return null;
        }

        public static void flushThemedResourcesCache(Object obj) {
            if (!sThemedResourceCacheClazzFetched) {
                try {
                    sThemedResourceCacheClazz = Class.forName("android.content.res.ThemedResourceCache");
                } catch (ClassNotFoundException e) {
                    Log.e("ResourcesFlusher", "Could not find ThemedResourceCache class", e);
                }
                sThemedResourceCacheClazzFetched = true;
            }
            Class<?> cls = sThemedResourceCacheClazz;
            if (cls != null) {
                if (!sThemedResourceCache_mUnthemedEntriesFieldFetched) {
                    try {
                        Field declaredField = cls.getDeclaredField("mUnthemedEntries");
                        sThemedResourceCache_mUnthemedEntriesField = declaredField;
                        declaredField.setAccessible(true);
                    } catch (NoSuchFieldException e2) {
                        Log.e("ResourcesFlusher", "Could not retrieve ThemedResourceCache#mUnthemedEntries field", e2);
                    }
                    sThemedResourceCache_mUnthemedEntriesFieldFetched = true;
                }
                Field field = sThemedResourceCache_mUnthemedEntriesField;
                if (field != null) {
                    LongSparseArray longSparseArray = null;
                    try {
                        longSparseArray = (LongSparseArray) field.get(obj);
                    } catch (IllegalAccessException e3) {
                        Log.e("ResourcesFlusher", "Could not retrieve value from ThemedResourceCache#mUnthemedEntries", e3);
                    }
                    if (longSparseArray != null) {
                        longSparseArray.clear();
                    }
                }
            }
        }

        public static Drawable getButtonDrawable(CompoundButton compoundButton) {
            if (Build.VERSION.SDK_INT >= 23) {
                return compoundButton.getButtonDrawable();
            }
            if (!sButtonDrawableFieldFetched) {
                try {
                    Field declaredField = CompoundButton.class.getDeclaredField("mButtonDrawable");
                    sButtonDrawableField = declaredField;
                    declaredField.setAccessible(true);
                } catch (NoSuchFieldException e) {
                    Log.i("CompoundButtonCompat", "Failed to retrieve mButtonDrawable field", e);
                }
                sButtonDrawableFieldFetched = true;
            }
            Field field = sButtonDrawableField;
            if (field != null) {
                try {
                    return (Drawable) field.get(compoundButton);
                } catch (IllegalAccessException e2) {
                    Log.i("CompoundButtonCompat", "Failed to get button drawable via reflection", e2);
                    sButtonDrawableField = null;
                }
            }
            return null;
        }

        public static int getColumnIndexOrThrow(Cursor cursor, String str) {
            String str2;
            int columnIndex = cursor.getColumnIndex(str);
            if (columnIndex < 0) {
                columnIndex = cursor.getColumnIndex("`" + str + "`");
                if (columnIndex < 0) {
                    if (Build.VERSION.SDK_INT <= 25 && str.length() != 0) {
                        String[] columnNames = cursor.getColumnNames();
                        String outline18 = GeneratedOutlineSupport.outline18(".", str);
                        String outline19 = GeneratedOutlineSupport.outline19(".", str, "`");
                        int i = 0;
                        while (true) {
                            if (i >= columnNames.length) {
                                break;
                            }
                            String str3 = columnNames[i];
                            if (str3.length() < str.length() + 2 || (!str3.endsWith(outline18) && (str3.charAt(0) != '`' || !str3.endsWith(outline19)))) {
                                i++;
                            }
                        }
                        columnIndex = i;
                    }
                    columnIndex = -1;
                }
            }
            if (columnIndex >= 0) {
                return columnIndex;
            }
            try {
                str2 = Arrays.toString(cursor.getColumnNames());
            } catch (Exception e) {
                Log.d("RoomCursorUtil", "Cannot collect column names for debug purposes", e);
                str2 = "";
            }
            throw new IllegalArgumentException("column '" + str + "' does not exist. Available columns: " + str2);
        }

        public static int getLayoutDirection(Drawable drawable) {
            if (Build.VERSION.SDK_INT >= 23) {
                return drawable.getLayoutDirection();
            }
            if (!sGetLayoutDirectionMethodFetched) {
                try {
                    Method declaredMethod = Drawable.class.getDeclaredMethod("getLayoutDirection", new Class[0]);
                    sGetLayoutDirectionMethod = declaredMethod;
                    declaredMethod.setAccessible(true);
                } catch (NoSuchMethodException e) {
                    Log.i("DrawableCompat", "Failed to retrieve getLayoutDirection() method", e);
                }
                sGetLayoutDirectionMethodFetched = true;
            }
            Method method = sGetLayoutDirectionMethod;
            if (method != null) {
                try {
                    return ((Integer) method.invoke(drawable, new Object[0])).intValue();
                } catch (Exception e2) {
                    Log.i("DrawableCompat", "Failed to invoke getLayoutDirection() via reflection", e2);
                    sGetLayoutDirectionMethod = null;
                }
            }
            return 0;
        }

        public static String getLoc() {
            StackTraceElement stackTraceElement = new Throwable().getStackTrace()[1];
            StringBuilder outline25 = GeneratedOutlineSupport.outline25(".(");
            outline25.append(stackTraceElement.getFileName());
            outline25.append(":");
            outline25.append(stackTraceElement.getLineNumber());
            outline25.append(") ");
            outline25.append(stackTraceElement.getMethodName());
            outline25.append("()");
            return outline25.toString();
        }

        public static String getLocation() {
            StackTraceElement stackTraceElement = new Throwable().getStackTrace()[1];
            StringBuilder outline25 = GeneratedOutlineSupport.outline25(".(");
            outline25.append(stackTraceElement.getFileName());
            outline25.append(":");
            outline25.append(stackTraceElement.getLineNumber());
            outline25.append(")");
            return outline25.toString();
        }

        public static String getName(View view) {
            try {
                return view.getContext().getResources().getResourceEntryName(view.getId());
            } catch (Exception unused) {
                return "UNKNOWN";
            }
        }

        public static Intent getParentActivityIntent(Activity activity) {
            Intent parentActivityIntent = activity.getParentActivityIntent();
            if (parentActivityIntent != null) {
                return parentActivityIntent;
            }
            try {
                String parentActivityName = getParentActivityName(activity, activity.getComponentName());
                if (parentActivityName == null) {
                    return null;
                }
                ComponentName componentName = new ComponentName(activity, parentActivityName);
                try {
                    if (getParentActivityName(activity, componentName) == null) {
                        return Intent.makeMainActivity(componentName);
                    }
                    return new Intent().setComponent(componentName);
                } catch (PackageManager.NameNotFoundException unused) {
                    Log.e("NavUtils", "getParentActivityIntent: bad parentActivityName '" + parentActivityName + "' in manifest");
                    return null;
                }
            } catch (PackageManager.NameNotFoundException e) {
                throw new IllegalArgumentException(e);
            }
        }

        public static String getParentActivityName(Context context, ComponentName componentName) {
            String string;
            PackageManager packageManager = context.getPackageManager();
            int i = Build.VERSION.SDK_INT;
            int i2 = 640;
            if (i >= 29) {
                i2 = 269222528;
            } else if (i >= 24) {
                i2 = 787072;
            }
            ActivityInfo activityInfo = packageManager.getActivityInfo(componentName, i2);
            String str = activityInfo.parentActivityName;
            if (str != null) {
                return str;
            }
            Bundle bundle = activityInfo.metaData;
            if (bundle == null || (string = bundle.getString("android.support.PARENT_ACTIVITY")) == null) {
                return null;
            }
            if (string.charAt(0) != '.') {
                return string;
            }
            return context.getPackageName() + string;
        }

        public static String getState(MotionLayout motionLayout, int i) {
            if (i == -1) {
                return "UNDEFINED";
            }
            return motionLayout.getContext().getResources().getResourceEntryName(i);
        }

        public static File getTempFile(Context context) {
            File cacheDir = context.getCacheDir();
            if (cacheDir == null) {
                return null;
            }
            StringBuilder outline25 = GeneratedOutlineSupport.outline25(".font");
            outline25.append(Process.myPid());
            outline25.append("-");
            outline25.append(Process.myTid());
            outline25.append("-");
            String sb = outline25.toString();
            for (int i = 0; i < 100; i++) {
                File file = new File(cacheDir, GeneratedOutlineSupport.outline11(sb, i));
                try {
                    if (file.createNewFile()) {
                        return file;
                    }
                } catch (IOException unused) {
                }
            }
            return null;
        }

        public static PrecomputedTextCompat.Params getTextMetricsParams(TextView textView) {
            int i;
            int i2;
            TextDirectionHeuristic textDirectionHeuristic;
            int i3 = Build.VERSION.SDK_INT;
            if (i3 >= 28) {
                return new PrecomputedTextCompat.Params(textView.getTextMetricsParams());
            }
            TextPaint textPaint = new TextPaint(textView.getPaint());
            boolean z = false;
            if (Build.VERSION.SDK_INT >= 23) {
                i2 = 1;
                i = 1;
            } else {
                i2 = 0;
                i = 0;
            }
            TextDirectionHeuristic textDirectionHeuristic2 = TextDirectionHeuristics.FIRSTSTRONG_LTR;
            if (i3 >= 23) {
                i2 = textView.getBreakStrategy();
                i = textView.getHyphenationFrequency();
            }
            if (textView.getTransformationMethod() instanceof PasswordTransformationMethod) {
                textDirectionHeuristic = TextDirectionHeuristics.LTR;
            } else if (i3 < 28 || (textView.getInputType() & 15) != 3) {
                if (textView.getLayoutDirection() == 1) {
                    z = true;
                }
                switch (textView.getTextDirection()) {
                    case 2:
                        textDirectionHeuristic = TextDirectionHeuristics.ANYRTL_LTR;
                        break;
                    case 3:
                        textDirectionHeuristic = TextDirectionHeuristics.LTR;
                        break;
                    case 4:
                        textDirectionHeuristic = TextDirectionHeuristics.RTL;
                        break;
                    case 5:
                        textDirectionHeuristic = TextDirectionHeuristics.LOCALE;
                        break;
                    case 6:
                        textDirectionHeuristic = TextDirectionHeuristics.FIRSTSTRONG_LTR;
                        break;
                    case 7:
                        textDirectionHeuristic = TextDirectionHeuristics.FIRSTSTRONG_RTL;
                        break;
                    default:
                        if (!z) {
                            textDirectionHeuristic = TextDirectionHeuristics.FIRSTSTRONG_LTR;
                            break;
                        } else {
                            textDirectionHeuristic = TextDirectionHeuristics.FIRSTSTRONG_RTL;
                            break;
                        }
                }
            } else {
                byte directionality = Character.getDirectionality(DecimalFormatSymbols.getInstance(textView.getTextLocale()).getDigitStrings()[0].codePointAt(0));
                if (directionality == 1 || directionality == 2) {
                    textDirectionHeuristic = TextDirectionHeuristics.RTL;
                } else {
                    textDirectionHeuristic = TextDirectionHeuristics.LTR;
                }
            }
            return new PrecomputedTextCompat.Params(textPaint, textDirectionHeuristic, i2, i);
        }

        public static boolean isCandidate(Rect rect, Rect rect2, int i) {
            if (i == 17) {
                int i2 = rect.right;
                int i3 = rect2.right;
                if ((i2 > i3 || rect.left >= i3) && rect.left > rect2.left) {
                    return true;
                }
                return false;
            } else if (i == 33) {
                int i4 = rect.bottom;
                int i5 = rect2.bottom;
                if ((i4 > i5 || rect.top >= i5) && rect.top > rect2.top) {
                    return true;
                }
                return false;
            } else if (i == 66) {
                int i6 = rect.left;
                int i7 = rect2.left;
                if ((i6 < i7 || rect.right <= i7) && rect.right < rect2.right) {
                    return true;
                }
                return false;
            } else if (i == 130) {
                int i8 = rect.top;
                int i9 = rect2.top;
                return (i8 < i9 || rect.bottom <= i9) && rect.bottom < rect2.bottom;
            } else {
                throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
            }
        }

        @SuppressLint({"NewApi"})
        public static boolean isEnabled() {
            try {
                if (sIsTagEnabledMethod == null) {
                    return Trace.isEnabled();
                }
            } catch (NoClassDefFoundError | NoSuchMethodError unused) {
            }
            try {
                if (sIsTagEnabledMethod == null) {
                    sTraceTagApp = Trace.class.getField("TRACE_TAG_APP").getLong(null);
                    sIsTagEnabledMethod = Trace.class.getMethod("isTagEnabled", Long.TYPE);
                }
                return ((Boolean) sIsTagEnabledMethod.invoke(null, Long.valueOf(sTraceTagApp))).booleanValue();
            } catch (Exception e) {
                if (e instanceof InvocationTargetException) {
                    Throwable cause = e.getCause();
                    if (cause instanceof RuntimeException) {
                        throw ((RuntimeException) cause);
                    }
                    throw new RuntimeException(cause);
                }
                Log.v("Trace", "Unable to call isTagEnabled via reflection", e);
                return false;
            }
        }

        public static FragmentAnim$AnimationOrAnimator loadAnimation(Context context, Fragment fragment, boolean z, boolean z2) {
            int i;
            int i2;
            int nextTransition = fragment.getNextTransition();
            if (z2) {
                if (z) {
                    i = fragment.getPopEnterAnim();
                } else {
                    i = fragment.getPopExitAnim();
                }
            } else if (z) {
                i = fragment.getEnterAnim();
            } else {
                i = fragment.getExitAnim();
            }
            boolean z3 = false;
            fragment.setAnimations(0, 0, 0, 0);
            ViewGroup viewGroup = fragment.mContainer;
            if (viewGroup != null) {
                int i3 = androidx.fragment.R$id.visible_removing_fragment_view_tag;
                if (viewGroup.getTag(i3) != null) {
                    fragment.mContainer.setTag(i3, null);
                }
            }
            ViewGroup viewGroup2 = fragment.mContainer;
            if (viewGroup2 != null && viewGroup2.getLayoutTransition() != null) {
                return null;
            }
            Animation onCreateAnimation = fragment.onCreateAnimation(nextTransition, z, i);
            if (onCreateAnimation != null) {
                return new FragmentAnim$AnimationOrAnimator(onCreateAnimation);
            }
            Animator onCreateAnimator = fragment.onCreateAnimator(nextTransition, z, i);
            if (onCreateAnimator != null) {
                return new FragmentAnim$AnimationOrAnimator(onCreateAnimator);
            }
            if (i == 0 && nextTransition != 0) {
                if (nextTransition == 4097) {
                    i2 = z ? R$animator.fragment_open_enter : R$animator.fragment_open_exit;
                } else if (nextTransition == 4099) {
                    i2 = z ? R$animator.fragment_fade_enter : R$animator.fragment_fade_exit;
                } else if (nextTransition != 8194) {
                    i = -1;
                } else {
                    i2 = z ? R$animator.fragment_close_enter : R$animator.fragment_close_exit;
                }
                i = i2;
            }
            if (i != 0) {
                boolean equals = "anim".equals(context.getResources().getResourceTypeName(i));
                if (equals) {
                    try {
                        Animation loadAnimation = AnimationUtils.loadAnimation(context, i);
                        if (loadAnimation != null) {
                            return new FragmentAnim$AnimationOrAnimator(loadAnimation);
                        }
                        z3 = true;
                    } catch (Resources.NotFoundException e) {
                        throw e;
                    } catch (RuntimeException unused) {
                    }
                }
                if (!z3) {
                    try {
                        Animator loadAnimator = AnimatorInflater.loadAnimator(context, i);
                        if (loadAnimator != null) {
                            return new FragmentAnim$AnimationOrAnimator(loadAnimator);
                        }
                    } catch (RuntimeException e2) {
                        if (!equals) {
                            Animation loadAnimation2 = AnimationUtils.loadAnimation(context, i);
                            if (loadAnimation2 != null) {
                                return new FragmentAnim$AnimationOrAnimator(loadAnimation2);
                            }
                        } else {
                            throw e2;
                        }
                    }
                }
            }
            return null;
        }

        public static int majorAxisDistance(int i, Rect rect, Rect rect2) {
            int i2;
            int i3;
            if (i == 17) {
                i3 = rect.left;
                i2 = rect2.right;
            } else if (i == 33) {
                i3 = rect.top;
                i2 = rect2.bottom;
            } else if (i == 66) {
                i3 = rect2.left;
                i2 = rect.right;
            } else if (i == 130) {
                i3 = rect2.top;
                i2 = rect.bottom;
            } else {
                throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
            }
            return Math.max(0, i3 - i2);
        }

        public static int minorAxisDistance(int i, Rect rect, Rect rect2) {
            if (i != 17) {
                if (i != 33) {
                    if (i != 66) {
                        if (i != 130) {
                            throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
                        }
                    }
                }
                return Math.abs(((rect.width() / 2) + rect.left) - ((rect2.width() / 2) + rect2.left));
            }
            return Math.abs(((rect.height() / 2) + rect.top) - ((rect2.height() / 2) + rect2.top));
        }

        public static ByteBuffer mmap(Context context, CancellationSignal cancellationSignal, Uri uri) {
            try {
                ParcelFileDescriptor openFileDescriptor = context.getContentResolver().openFileDescriptor(uri, "r", cancellationSignal);
                if (openFileDescriptor == null) {
                    if (openFileDescriptor != null) {
                        openFileDescriptor.close();
                    }
                    return null;
                }
                try {
                    FileInputStream fileInputStream = new FileInputStream(openFileDescriptor.getFileDescriptor());
                    try {
                        FileChannel channel = fileInputStream.getChannel();
                        MappedByteBuffer map = channel.map(FileChannel.MapMode.READ_ONLY, 0, channel.size());
                        fileInputStream.close();
                        openFileDescriptor.close();
                        return map;
                    } catch (Throwable th) {
                        th.addSuppressed(th);
                    }
                } catch (Throwable th2) {
                    th.addSuppressed(th2);
                }
                throw th;
                throw th;
            } catch (IOException unused) {
                return null;
            }
        }

        public static <T> ObjectAnimator ofPointF(T t, Property<T, PointF> property, Path path) {
            return ObjectAnimator.ofObject(t, property, (TypeConverter) null, path);
        }

        public static InputConnection onCreateInputConnection(InputConnection inputConnection, EditorInfo editorInfo, View view) {
            if (inputConnection != null && editorInfo.hintText == null) {
                for (ViewParent parent = view.getParent(); parent instanceof View; parent = parent.getParent()) {
                }
            }
            return inputConnection;
        }

        public static FontResourcesParserCompat$FamilyResourceEntry parse(XmlPullParser xmlPullParser, Resources resources) {
            int next;
            do {
                next = xmlPullParser.next();
                if (next == 2) {
                    break;
                }
            } while (next != 1);
            if (next == 2) {
                xmlPullParser.require(2, null, "font-family");
                if (xmlPullParser.getName().equals("font-family")) {
                    TypedArray obtainAttributes = resources.obtainAttributes(Xml.asAttributeSet(xmlPullParser), androidx.core.R$styleable.FontFamily);
                    String string = obtainAttributes.getString(androidx.core.R$styleable.FontFamily_fontProviderAuthority);
                    String string2 = obtainAttributes.getString(androidx.core.R$styleable.FontFamily_fontProviderPackage);
                    String string3 = obtainAttributes.getString(androidx.core.R$styleable.FontFamily_fontProviderQuery);
                    int resourceId = obtainAttributes.getResourceId(androidx.core.R$styleable.FontFamily_fontProviderCerts, 0);
                    int integer = obtainAttributes.getInteger(androidx.core.R$styleable.FontFamily_fontProviderFetchStrategy, 1);
                    int integer2 = obtainAttributes.getInteger(androidx.core.R$styleable.FontFamily_fontProviderFetchTimeout, 500);
                    String string4 = obtainAttributes.getString(androidx.core.R$styleable.FontFamily_fontProviderSystemFontFamily);
                    obtainAttributes.recycle();
                    if (string == null || string2 == null || string3 == null) {
                        ArrayList arrayList = new ArrayList();
                        while (xmlPullParser.next() != 3) {
                            if (xmlPullParser.getEventType() == 2) {
                                if (xmlPullParser.getName().equals("font")) {
                                    TypedArray obtainAttributes2 = resources.obtainAttributes(Xml.asAttributeSet(xmlPullParser), androidx.core.R$styleable.FontFamilyFont);
                                    int i = androidx.core.R$styleable.FontFamilyFont_fontWeight;
                                    if (!obtainAttributes2.hasValue(i)) {
                                        i = androidx.core.R$styleable.FontFamilyFont_android_fontWeight;
                                    }
                                    int i2 = obtainAttributes2.getInt(i, 400);
                                    int i3 = androidx.core.R$styleable.FontFamilyFont_fontStyle;
                                    if (!obtainAttributes2.hasValue(i3)) {
                                        i3 = androidx.core.R$styleable.FontFamilyFont_android_fontStyle;
                                    }
                                    boolean z = 1 == obtainAttributes2.getInt(i3, 0);
                                    int i4 = androidx.core.R$styleable.FontFamilyFont_ttcIndex;
                                    if (!obtainAttributes2.hasValue(i4)) {
                                        i4 = androidx.core.R$styleable.FontFamilyFont_android_ttcIndex;
                                    }
                                    int i5 = androidx.core.R$styleable.FontFamilyFont_fontVariationSettings;
                                    if (!obtainAttributes2.hasValue(i5)) {
                                        i5 = androidx.core.R$styleable.FontFamilyFont_android_fontVariationSettings;
                                    }
                                    String string5 = obtainAttributes2.getString(i5);
                                    int i6 = obtainAttributes2.getInt(i4, 0);
                                    int i7 = androidx.core.R$styleable.FontFamilyFont_font;
                                    if (!obtainAttributes2.hasValue(i7)) {
                                        i7 = androidx.core.R$styleable.FontFamilyFont_android_font;
                                    }
                                    int resourceId2 = obtainAttributes2.getResourceId(i7, 0);
                                    String string6 = obtainAttributes2.getString(i7);
                                    obtainAttributes2.recycle();
                                    while (xmlPullParser.next() != 3) {
                                        skip(xmlPullParser);
                                    }
                                    arrayList.add(new FontResourcesParserCompat$FontFileResourceEntry(string6, i2, z, string5, i6, resourceId2));
                                } else {
                                    skip(xmlPullParser);
                                }
                            }
                        }
                        if (arrayList.isEmpty()) {
                            return null;
                        }
                        return new FontResourcesParserCompat$FontFamilyFilesResourceEntry((FontResourcesParserCompat$FontFileResourceEntry[]) arrayList.toArray(new FontResourcesParserCompat$FontFileResourceEntry[arrayList.size()]));
                    }
                    while (xmlPullParser.next() != 3) {
                        skip(xmlPullParser);
                    }
                    return new FontResourcesParserCompat$ProviderResourceEntry(new FontRequest(string, string2, string3, readCerts(resources, resourceId)), integer, integer2, string4);
                }
                skip(xmlPullParser);
                return null;
            }
            throw new XmlPullParserException("No start tag found");
        }

        public static List<List<byte[]>> readCerts(Resources resources, int i) {
            if (i == 0) {
                return Collections.emptyList();
            }
            TypedArray obtainTypedArray = resources.obtainTypedArray(i);
            try {
                if (obtainTypedArray.length() == 0) {
                    return Collections.emptyList();
                }
                ArrayList arrayList = new ArrayList();
                if (obtainTypedArray.getType(0) == 1) {
                    for (int i2 = 0; i2 < obtainTypedArray.length(); i2++) {
                        int resourceId = obtainTypedArray.getResourceId(i2, 0);
                        if (resourceId != 0) {
                            arrayList.add(toByteArrayList(resources.getStringArray(resourceId)));
                        }
                    }
                } else {
                    arrayList.add(toByteArrayList(resources.getStringArray(i)));
                }
                obtainTypedArray.recycle();
                return arrayList;
            } finally {
                obtainTypedArray.recycle();
            }
        }

        public static void setFirstBaselineToTopHeight(TextView textView, int i) {
            int i2;
            checkArgumentNonnegative(i);
            if (Build.VERSION.SDK_INT >= 28) {
                textView.setFirstBaselineToTopHeight(i);
                return;
            }
            Paint.FontMetricsInt fontMetricsInt = textView.getPaint().getFontMetricsInt();
            if (textView.getIncludeFontPadding()) {
                i2 = fontMetricsInt.top;
            } else {
                i2 = fontMetricsInt.ascent;
            }
            if (i > Math.abs(i2)) {
                textView.setPadding(textView.getPaddingLeft(), i + i2, textView.getPaddingRight(), textView.getPaddingBottom());
            }
        }

        public static void setLastBaselineToBottomHeight(TextView textView, int i) {
            int i2;
            checkArgumentNonnegative(i);
            Paint.FontMetricsInt fontMetricsInt = textView.getPaint().getFontMetricsInt();
            if (textView.getIncludeFontPadding()) {
                i2 = fontMetricsInt.bottom;
            } else {
                i2 = fontMetricsInt.descent;
            }
            if (i > Math.abs(i2)) {
                textView.setPadding(textView.getPaddingLeft(), textView.getPaddingTop(), textView.getPaddingRight(), i - i2);
            }
        }

        public static boolean setLayoutDirection(Drawable drawable, int i) {
            if (Build.VERSION.SDK_INT >= 23) {
                return drawable.setLayoutDirection(i);
            }
            if (!sSetLayoutDirectionMethodFetched) {
                try {
                    Method declaredMethod = Drawable.class.getDeclaredMethod("setLayoutDirection", Integer.TYPE);
                    sSetLayoutDirectionMethod = declaredMethod;
                    declaredMethod.setAccessible(true);
                } catch (NoSuchMethodException e) {
                    Log.i("DrawableCompat", "Failed to retrieve setLayoutDirection(int) method", e);
                }
                sSetLayoutDirectionMethodFetched = true;
            }
            Method method = sSetLayoutDirectionMethod;
            if (method != null) {
                try {
                    method.invoke(drawable, Integer.valueOf(i));
                    return true;
                } catch (Exception e2) {
                    Log.i("DrawableCompat", "Failed to invoke setLayoutDirection(int) via reflection", e2);
                    sSetLayoutDirectionMethod = null;
                }
            }
            return false;
        }

        public static void setLineHeight(TextView textView, int i) {
            checkArgumentNonnegative(i);
            int fontMetricsInt = textView.getPaint().getFontMetricsInt(null);
            if (i != fontMetricsInt) {
                textView.setLineSpacing((float) (i - fontMetricsInt), 1.0f);
            }
        }

        public static void setOverlapAnchor(PopupWindow popupWindow, boolean z) {
            if (Build.VERSION.SDK_INT >= 23) {
                popupWindow.setOverlapAnchor(z);
                return;
            }
            if (!sOverlapAnchorFieldAttempted) {
                try {
                    Field declaredField = PopupWindow.class.getDeclaredField("mOverlapAnchor");
                    sOverlapAnchorField = declaredField;
                    declaredField.setAccessible(true);
                } catch (NoSuchFieldException e) {
                    Log.i("PopupWindowCompatApi21", "Could not fetch mOverlapAnchor field from PopupWindow", e);
                }
                sOverlapAnchorFieldAttempted = true;
            }
            Field field = sOverlapAnchorField;
            if (field != null) {
                try {
                    field.set(popupWindow, Boolean.valueOf(z));
                } catch (IllegalAccessException e2) {
                    Log.i("PopupWindowCompatApi21", "Could not set overlap anchor field in PopupWindow", e2);
                }
            }
        }

        public static void setTextAppearance(TextView textView, int i) {
            if (Build.VERSION.SDK_INT >= 23) {
                textView.setTextAppearance(i);
            } else {
                textView.setTextAppearance(textView.getContext(), i);
            }
        }

        public static void setTint(Drawable drawable, int i) {
            drawable.setTint(i);
        }

        public static void setTintList(Drawable drawable, ColorStateList colorStateList) {
            drawable.setTintList(colorStateList);
        }

        public static void setTintMode(Drawable drawable, PorterDuff.Mode mode) {
            drawable.setTintMode(mode);
        }

        public static void setTooltipText(View view, CharSequence charSequence) {
            if (Build.VERSION.SDK_INT >= 26) {
                view.setTooltipText(charSequence);
                return;
            }
            TooltipCompatHandler tooltipCompatHandler = TooltipCompatHandler.sPendingHandler;
            if (tooltipCompatHandler != null && tooltipCompatHandler.mAnchor == view) {
                TooltipCompatHandler.setPendingHandler(null);
            }
            if (TextUtils.isEmpty(charSequence)) {
                TooltipCompatHandler tooltipCompatHandler2 = TooltipCompatHandler.sActiveHandler;
                if (tooltipCompatHandler2 != null && tooltipCompatHandler2.mAnchor == view) {
                    tooltipCompatHandler2.hide();
                }
                view.setOnLongClickListener(null);
                view.setLongClickable(false);
                view.setOnHoverListener(null);
                return;
            }
            new TooltipCompatHandler(view, charSequence);
        }

        public static void setWindowLayoutType(PopupWindow popupWindow, int i) {
            if (Build.VERSION.SDK_INT >= 23) {
                popupWindow.setWindowLayoutType(i);
                return;
            }
            if (!sSetWindowLayoutTypeMethodAttempted) {
                try {
                    Method declaredMethod = PopupWindow.class.getDeclaredMethod("setWindowLayoutType", Integer.TYPE);
                    sSetWindowLayoutTypeMethod = declaredMethod;
                    declaredMethod.setAccessible(true);
                } catch (Exception unused) {
                }
                sSetWindowLayoutTypeMethodAttempted = true;
            }
            Method method = sSetWindowLayoutTypeMethod;
            if (method != null) {
                try {
                    method.invoke(popupWindow, Integer.valueOf(i));
                } catch (Exception unused2) {
                }
            }
        }

        public static void skip(XmlPullParser xmlPullParser) {
            int i = 1;
            while (i > 0) {
                int next = xmlPullParser.next();
                if (next == 2) {
                    i++;
                } else if (next == 3) {
                    i--;
                }
            }
        }

        public static List<byte[]> toByteArrayList(String[] strArr) {
            ArrayList arrayList = new ArrayList();
            for (String str : strArr) {
                arrayList.add(Base64.decode(str, 0));
            }
            return arrayList;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: android.graphics.drawable.Drawable */
        /* JADX WARN: Multi-variable type inference failed */
        public static <T extends Drawable> T unwrap(Drawable drawable) {
            return drawable instanceof WrappedDrawable ? (T) ((WrappedDrawableApi14) ((WrappedDrawable) drawable)).mDrawable : drawable;
        }

        public static boolean validInGroup(ConstraintWidget.DimensionBehaviour dimensionBehaviour, ConstraintWidget.DimensionBehaviour dimensionBehaviour2, ConstraintWidget.DimensionBehaviour dimensionBehaviour3, ConstraintWidget.DimensionBehaviour dimensionBehaviour4) {
            ConstraintWidget.DimensionBehaviour dimensionBehaviour5;
            ConstraintWidget.DimensionBehaviour dimensionBehaviour6;
            ConstraintWidget.DimensionBehaviour dimensionBehaviour7 = ConstraintWidget.DimensionBehaviour.FIXED;
            return (dimensionBehaviour3 == dimensionBehaviour7 || dimensionBehaviour3 == (dimensionBehaviour6 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT) || (dimensionBehaviour3 == ConstraintWidget.DimensionBehaviour.MATCH_PARENT && dimensionBehaviour != dimensionBehaviour6)) || (dimensionBehaviour4 == dimensionBehaviour7 || dimensionBehaviour4 == (dimensionBehaviour5 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT) || (dimensionBehaviour4 == ConstraintWidget.DimensionBehaviour.MATCH_PARENT && dimensionBehaviour2 != dimensionBehaviour5));
        }

        public static Drawable wrap(Drawable drawable) {
            return (Build.VERSION.SDK_INT < 23 && !(drawable instanceof TintAwareDrawable)) ? new WrappedDrawableApi21(drawable) : drawable;
        }

        public static ActionMode.Callback wrapCustomSelectionActionModeCallback(TextView textView, ActionMode.Callback callback) {
            int i = Build.VERSION.SDK_INT;
            return (i < 26 || i > 27 || (callback instanceof TextViewCompat$OreoCallback)) ? callback : new TextViewCompat$OreoCallback(callback, textView);
        }

        public static String getName(Context context, int i) {
            if (i == -1) {
                return "UNKNOWN";
            }
            try {
                return context.getResources().getResourceEntryName(i);
            } catch (Exception unused) {
                return GeneratedOutlineSupport.outline11("?", i);
            }
        }

        public static Intent getParentActivityIntent(Context context, ComponentName componentName) {
            String parentActivityName = getParentActivityName(context, componentName);
            if (parentActivityName == null) {
                return null;
            }
            ComponentName componentName2 = new ComponentName(componentName.getPackageName(), parentActivityName);
            if (getParentActivityName(context, componentName2) == null) {
                return Intent.makeMainActivity(componentName2);
            }
            return new Intent().setComponent(componentName2);
        }

        /* JADX WARNING: Removed duplicated region for block: B:13:0x0014 A[SYNTHETIC, Splitter:B:13:0x0014] */
        public static boolean copyToFile(File file, Resources resources, int i) {
            InputStream inputStream;
            Throwable th;
            try {
                inputStream = resources.openRawResource(i);
                try {
                    boolean copyToFile = copyToFile(file, inputStream);
                    if (inputStream != null) {
                        try {
                            inputStream.close();
                        } catch (IOException unused) {
                        }
                    }
                    return copyToFile;
                } catch (Throwable th2) {
                    th = th2;
                    if (inputStream != null) {
                    }
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                inputStream = null;
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (IOException unused2) {
                    }
                }
                throw th;
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:143:0x0204  */
    /* JADX WARNING: Removed duplicated region for block: B:147:0x0211  */
    /* JADX WARNING: Removed duplicated region for block: B:148:0x021b  */
    /* JADX WARNING: Removed duplicated region for block: B:153:0x0225  */
    /* JADX WARNING: Removed duplicated region for block: B:157:0x0238  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00af  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00b3  */
    public final boolean applyDayNight(boolean z) {
        boolean z2;
        Object obj;
        int i;
        boolean z3 = false;
        if (this.mIsDestroyed) {
            return false;
        }
        int i2 = this.mLocalNightMode;
        if (i2 == -100) {
            i2 = -100;
        }
        int mapNightMode = mapNightMode(this.mContext, i2);
        Map map = null;
        r4 = null;
        r4 = null;
        Object obj2 = null;
        Object obj3 = null;
        Configuration createOverrideConfigurationForDayNight = createOverrideConfigurationForDayNight(this.mContext, mapNightMode, null);
        boolean z4 = true;
        if (!this.mActivityHandlesUiModeChecked && (this.mHost instanceof Activity)) {
            PackageManager packageManager = this.mContext.getPackageManager();
            if (packageManager == null) {
                z2 = false;
                int i3 = this.mContext.getResources().getConfiguration().uiMode & 48;
                int i4 = createOverrideConfigurationForDayNight.uiMode & 48;
                if (i3 != i4 && z && !z2 && this.mBaseContextAttached && (sCanReturnDifferentContext || this.mCreated)) {
                    Object obj4 = this.mHost;
                    if ((obj4 instanceof Activity) && !((Activity) obj4).isChild()) {
                        Activity activity = (Activity) this.mHost;
                        int i5 = ActivityCompat.$r8$clinit;
                        i = Build.VERSION.SDK_INT;
                        if (i < 28) {
                            activity.recreate();
                        } else if (i <= 23) {
                            new Handler(activity.getMainLooper()).post(new Runnable(activity) {
                                /* class androidx.core.app.ActivityCompat.AnonymousClass2 */
                                public final /* synthetic */ Activity val$activity;

                                {
                                    this.val$activity = r1;
                                }

                                public void run() {
                                    if (!this.val$activity.isFinishing() && !ActivityRecreator.recreate(this.val$activity)) {
                                        this.val$activity.recreate();
                                    }
                                }
                            });
                        } else if (!ActivityRecreator.recreate(activity)) {
                            activity.recreate();
                        }
                        z3 = true;
                    }
                }
                if (!z3 || i3 == i4) {
                    z4 = z3;
                } else {
                    Resources resources = this.mContext.getResources();
                    Configuration configuration = new Configuration(resources.getConfiguration());
                    configuration.uiMode = i4 | (resources.getConfiguration().uiMode & -49);
                    resources.updateConfiguration(configuration, null);
                    int i6 = Build.VERSION.SDK_INT;
                    if (i6 < 26 && i6 < 28) {
                        if (i6 >= 24) {
                            if (!Api17Impl.sResourcesImplFieldFetched) {
                                try {
                                    Field declaredField = Resources.class.getDeclaredField("mResourcesImpl");
                                    Api17Impl.sResourcesImplField = declaredField;
                                    declaredField.setAccessible(true);
                                } catch (NoSuchFieldException e) {
                                    Log.e("ResourcesFlusher", "Could not retrieve Resources#mResourcesImpl field", e);
                                }
                                Api17Impl.sResourcesImplFieldFetched = true;
                            }
                            Field field = Api17Impl.sResourcesImplField;
                            if (field != null) {
                                try {
                                    obj = field.get(resources);
                                } catch (IllegalAccessException e2) {
                                    Log.e("ResourcesFlusher", "Could not retrieve value from Resources#mResourcesImpl", e2);
                                    obj = null;
                                }
                                if (obj != null) {
                                    if (!Api17Impl.sDrawableCacheFieldFetched) {
                                        try {
                                            Field declaredField2 = obj.getClass().getDeclaredField("mDrawableCache");
                                            Api17Impl.sDrawableCacheField = declaredField2;
                                            declaredField2.setAccessible(true);
                                        } catch (NoSuchFieldException e3) {
                                            Log.e("ResourcesFlusher", "Could not retrieve ResourcesImpl#mDrawableCache field", e3);
                                        }
                                        Api17Impl.sDrawableCacheFieldFetched = true;
                                    }
                                    Field field2 = Api17Impl.sDrawableCacheField;
                                    if (field2 != null) {
                                        try {
                                            obj2 = field2.get(obj);
                                        } catch (IllegalAccessException e4) {
                                            Log.e("ResourcesFlusher", "Could not retrieve value from ResourcesImpl#mDrawableCache", e4);
                                        }
                                    }
                                    if (obj2 != null) {
                                        Api17Impl.flushThemedResourcesCache(obj2);
                                    }
                                }
                            }
                        } else if (i6 >= 23) {
                            if (!Api17Impl.sDrawableCacheFieldFetched) {
                                try {
                                    Field declaredField3 = Resources.class.getDeclaredField("mDrawableCache");
                                    Api17Impl.sDrawableCacheField = declaredField3;
                                    declaredField3.setAccessible(true);
                                } catch (NoSuchFieldException e5) {
                                    Log.e("ResourcesFlusher", "Could not retrieve Resources#mDrawableCache field", e5);
                                }
                                Api17Impl.sDrawableCacheFieldFetched = true;
                            }
                            Field field3 = Api17Impl.sDrawableCacheField;
                            if (field3 != null) {
                                try {
                                    obj3 = field3.get(resources);
                                } catch (IllegalAccessException e6) {
                                    Log.e("ResourcesFlusher", "Could not retrieve value from Resources#mDrawableCache", e6);
                                }
                            }
                            if (obj3 != null) {
                                Api17Impl.flushThemedResourcesCache(obj3);
                            }
                        } else {
                            if (!Api17Impl.sDrawableCacheFieldFetched) {
                                try {
                                    Field declaredField4 = Resources.class.getDeclaredField("mDrawableCache");
                                    Api17Impl.sDrawableCacheField = declaredField4;
                                    declaredField4.setAccessible(true);
                                } catch (NoSuchFieldException e7) {
                                    Log.e("ResourcesFlusher", "Could not retrieve Resources#mDrawableCache field", e7);
                                }
                                Api17Impl.sDrawableCacheFieldFetched = true;
                            }
                            Field field4 = Api17Impl.sDrawableCacheField;
                            if (field4 != null) {
                                try {
                                    map = (Map) field4.get(resources);
                                } catch (IllegalAccessException e8) {
                                    Log.e("ResourcesFlusher", "Could not retrieve value from Resources#mDrawableCache", e8);
                                }
                                if (map != null) {
                                    map.clear();
                                }
                            }
                        }
                    }
                    int i7 = this.mThemeResId;
                    if (i7 != 0) {
                        this.mContext.setTheme(i7);
                        if (Build.VERSION.SDK_INT >= 23) {
                            this.mContext.getTheme().applyStyle(this.mThemeResId, true);
                        }
                    }
                    if (z2) {
                        Object obj5 = this.mHost;
                        if (obj5 instanceof Activity) {
                            Activity activity2 = (Activity) obj5;
                            if (activity2 instanceof LifecycleOwner) {
                                if (((LifecycleRegistry) ((LifecycleOwner) activity2).getLifecycle()).mState.isAtLeast(Lifecycle.State.STARTED)) {
                                    activity2.onConfigurationChanged(configuration);
                                }
                            } else if (this.mStarted) {
                                activity2.onConfigurationChanged(configuration);
                            }
                        }
                    }
                }
                if (z4) {
                    Object obj6 = this.mHost;
                    if (obj6 instanceof AppCompatActivity) {
                        ((AppCompatActivity) obj6).onNightModeChanged(mapNightMode);
                    }
                }
                if (i2 != 0) {
                    getAutoTimeNightModeManager(this.mContext).setup();
                } else {
                    AutoNightModeManager autoNightModeManager = this.mAutoTimeNightModeManager;
                    if (autoNightModeManager != null) {
                        autoNightModeManager.cleanup();
                    }
                }
                if (i2 != 3) {
                    Context context = this.mContext;
                    if (this.mAutoBatteryNightModeManager == null) {
                        this.mAutoBatteryNightModeManager = new AutoBatteryNightModeManager(context);
                    }
                    this.mAutoBatteryNightModeManager.setup();
                } else {
                    AutoNightModeManager autoNightModeManager2 = this.mAutoBatteryNightModeManager;
                    if (autoNightModeManager2 != null) {
                        autoNightModeManager2.cleanup();
                    }
                }
                return z4;
            }
            try {
                int i8 = Build.VERSION.SDK_INT;
                ActivityInfo activityInfo = packageManager.getActivityInfo(new ComponentName(this.mContext, this.mHost.getClass()), i8 >= 29 ? 269221888 : i8 >= 24 ? 786432 : 0);
                this.mActivityHandlesUiMode = (activityInfo == null || (activityInfo.configChanges & 512) == 0) ? false : true;
            } catch (PackageManager.NameNotFoundException e9) {
                Log.d("AppCompatDelegate", "Exception while getting ActivityInfo", e9);
                this.mActivityHandlesUiMode = false;
            }
        }
        this.mActivityHandlesUiModeChecked = true;
        z2 = this.mActivityHandlesUiMode;
        int i32 = this.mContext.getResources().getConfiguration().uiMode & 48;
        int i42 = createOverrideConfigurationForDayNight.uiMode & 48;
        Object obj42 = this.mHost;
        Activity activity3 = (Activity) this.mHost;
        int i52 = ActivityCompat.$r8$clinit;
        i = Build.VERSION.SDK_INT;
        if (i < 28) {
        }
        z3 = true;
        if (!z3) {
        }
        z4 = z3;
        if (z4) {
        }
        if (i2 != 0) {
        }
        if (i2 != 3) {
        }
        return z4;
    }

    public class AppCompatWindowCallback extends WindowCallbackWrapper {
        public AppCompatWindowCallback(Window.Callback callback) {
            super(callback);
        }

        @Override // androidx.appcompat.view.WindowCallbackWrapper
        public boolean dispatchKeyEvent(KeyEvent keyEvent) {
            return AppCompatDelegateImpl.this.dispatchKeyEvent(keyEvent) || this.mWrapped.dispatchKeyEvent(keyEvent);
        }

        /* JADX WARNING: Code restructure failed: missing block: B:17:0x0049, code lost:
            if (r6 != false) goto L_0x001d;
         */
        /* JADX WARNING: Removed duplicated region for block: B:21:? A[RETURN, SYNTHETIC] */
        @Override // androidx.appcompat.view.WindowCallbackWrapper
        public boolean dispatchKeyShortcutEvent(KeyEvent keyEvent) {
            boolean z;
            if (!this.mWrapped.dispatchKeyShortcutEvent(keyEvent)) {
                AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
                int keyCode = keyEvent.getKeyCode();
                appCompatDelegateImpl.initWindowDecorActionBar();
                ActionBar actionBar = appCompatDelegateImpl.mActionBar;
                if (actionBar == null || !actionBar.onKeyShortcut(keyCode, keyEvent)) {
                    PanelFeatureState panelFeatureState = appCompatDelegateImpl.mPreparedPanel;
                    if (panelFeatureState == null || !appCompatDelegateImpl.performPanelShortcut(panelFeatureState, keyEvent.getKeyCode(), keyEvent, 1)) {
                        if (appCompatDelegateImpl.mPreparedPanel == null) {
                            PanelFeatureState panelState = appCompatDelegateImpl.getPanelState(0);
                            appCompatDelegateImpl.preparePanel(panelState, keyEvent);
                            boolean performPanelShortcut = appCompatDelegateImpl.performPanelShortcut(panelState, keyEvent.getKeyCode(), keyEvent, 1);
                            panelState.isPrepared = false;
                        }
                        z = false;
                        if (!z) {
                            return true;
                        }
                        return false;
                    }
                    PanelFeatureState panelFeatureState2 = appCompatDelegateImpl.mPreparedPanel;
                    if (panelFeatureState2 != null) {
                        panelFeatureState2.isHandled = true;
                    }
                }
                z = true;
                if (!z) {
                }
            }
            return true;
        }

        @Override // androidx.appcompat.view.WindowCallbackWrapper
        public void onContentChanged() {
        }

        @Override // androidx.appcompat.view.WindowCallbackWrapper
        public boolean onCreatePanelMenu(int i, Menu menu) {
            if (i != 0 || (menu instanceof MenuBuilder)) {
                return this.mWrapped.onCreatePanelMenu(i, menu);
            }
            return false;
        }

        @Override // androidx.appcompat.view.WindowCallbackWrapper
        public boolean onMenuOpened(int i, Menu menu) {
            this.mWrapped.onMenuOpened(i, menu);
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            Objects.requireNonNull(appCompatDelegateImpl);
            if (i == 108) {
                appCompatDelegateImpl.initWindowDecorActionBar();
                ActionBar actionBar = appCompatDelegateImpl.mActionBar;
                if (actionBar != null) {
                    actionBar.dispatchMenuVisibilityChanged(true);
                }
            }
            return true;
        }

        @Override // androidx.appcompat.view.WindowCallbackWrapper
        public void onPanelClosed(int i, Menu menu) {
            this.mWrapped.onPanelClosed(i, menu);
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            Objects.requireNonNull(appCompatDelegateImpl);
            if (i == 108) {
                appCompatDelegateImpl.initWindowDecorActionBar();
                ActionBar actionBar = appCompatDelegateImpl.mActionBar;
                if (actionBar != null) {
                    actionBar.dispatchMenuVisibilityChanged(false);
                }
            } else if (i == 0) {
                PanelFeatureState panelState = appCompatDelegateImpl.getPanelState(i);
                if (panelState.isOpen) {
                    appCompatDelegateImpl.closePanel(panelState, false);
                }
            }
        }

        public boolean onPreparePanel(int i, View view, Menu menu) {
            MenuBuilder menuBuilder = menu instanceof MenuBuilder ? (MenuBuilder) menu : null;
            if (i == 0 && menuBuilder == null) {
                return false;
            }
            if (menuBuilder != null) {
                menuBuilder.mOverrideVisibleItems = true;
            }
            boolean onPreparePanel = this.mWrapped.onPreparePanel(i, view, menu);
            if (menuBuilder != null) {
                menuBuilder.mOverrideVisibleItems = false;
            }
            return onPreparePanel;
        }

        @Override // androidx.appcompat.view.WindowCallbackWrapper, android.view.Window.Callback
        public void onProvideKeyboardShortcuts(List<KeyboardShortcutGroup> list, Menu menu, int i) {
            MenuBuilder menuBuilder = AppCompatDelegateImpl.this.getPanelState(0).menu;
            if (menuBuilder != null) {
                this.mWrapped.onProvideKeyboardShortcuts(list, menuBuilder, i);
            } else {
                this.mWrapped.onProvideKeyboardShortcuts(list, menu, i);
            }
        }

        @Override // androidx.appcompat.view.WindowCallbackWrapper
        public android.view.ActionMode onWindowStartingActionMode(ActionMode.Callback callback) {
            if (Build.VERSION.SDK_INT >= 23) {
                return null;
            }
            Objects.requireNonNull(AppCompatDelegateImpl.this);
            return startAsSupportActionMode(callback);
        }

        public final android.view.ActionMode startAsSupportActionMode(ActionMode.Callback callback) {
            SupportActionModeWrapper.CallbackWrapper callbackWrapper = new SupportActionModeWrapper.CallbackWrapper(AppCompatDelegateImpl.this.mContext, callback);
            androidx.appcompat.view.ActionMode startSupportActionMode = AppCompatDelegateImpl.this.startSupportActionMode(callbackWrapper);
            if (startSupportActionMode != null) {
                return callbackWrapper.getActionModeWrapper(startSupportActionMode);
            }
            return null;
        }

        @Override // androidx.appcompat.view.WindowCallbackWrapper
        public android.view.ActionMode onWindowStartingActionMode(ActionMode.Callback callback, int i) {
            Objects.requireNonNull(AppCompatDelegateImpl.this);
            if (i != 0) {
                return this.mWrapped.onWindowStartingActionMode(callback, i);
            }
            return startAsSupportActionMode(callback);
        }
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void setContentView(int i) {
        ensureSubDecor();
        ViewGroup viewGroup = (ViewGroup) this.mSubDecor.findViewById(16908290);
        viewGroup.removeAllViews();
        LayoutInflater.from(this.mContext).inflate(i, viewGroup);
        this.mAppCompatWindowCallback.mWrapped.onContentChanged();
    }

    @Override // androidx.appcompat.app.AppCompatDelegate
    public void setContentView(View view, ViewGroup.LayoutParams layoutParams) {
        ensureSubDecor();
        ViewGroup viewGroup = (ViewGroup) this.mSubDecor.findViewById(16908290);
        viewGroup.removeAllViews();
        viewGroup.addView(view, layoutParams);
        this.mAppCompatWindowCallback.mWrapped.onContentChanged();
    }

    public View onCreateView(String str, Context context, AttributeSet attributeSet) {
        return onCreateView(null, str, context, attributeSet);
    }
}
