package androidx.media;

import android.content.Context;
import android.media.browse.MediaBrowser;
import android.media.session.MediaSessionManager;
import android.os.Build;
import android.os.Bundle;
import android.os.Messenger;
import android.os.Parcel;
import android.service.media.MediaBrowserService;
import android.support.v4.media.MediaBrowserCompat;
import android.support.v4.media.session.MediaSessionCompat;
import androidx.media.MediaBrowserServiceCompat;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Objects;

public class MediaBrowserServiceCompatApi21$MediaBrowserServiceAdaptor extends MediaBrowserService {
    public final MediaBrowserServiceCompatApi21$ServiceCompatProxy mServiceProxy;

    public MediaBrowserServiceCompatApi21$MediaBrowserServiceAdaptor(Context context, MediaBrowserServiceCompatApi21$ServiceCompatProxy mediaBrowserServiceCompatApi21$ServiceCompatProxy) {
        attachBaseContext(context);
        this.mServiceProxy = mediaBrowserServiceCompatApi21$ServiceCompatProxy;
    }

    public MediaBrowserService.BrowserRoot onGetRoot(String str, int i, Bundle bundle) {
        MediaSessionCompat.ensureClassLoader(bundle);
        MediaBrowserServiceCompatApi21$ServiceCompatProxy mediaBrowserServiceCompatApi21$ServiceCompatProxy = this.mServiceProxy;
        Bundle bundle2 = bundle == null ? null : new Bundle(bundle);
        MediaBrowserServiceCompat.MediaBrowserServiceImplApi21 mediaBrowserServiceImplApi21 = (MediaBrowserServiceCompat.MediaBrowserServiceImplApi21) mediaBrowserServiceCompatApi21$ServiceCompatProxy;
        Objects.requireNonNull(mediaBrowserServiceImplApi21);
        if (!(bundle2 == null || bundle2.getInt("extra_client_version", 0) == 0)) {
            bundle2.remove("extra_client_version");
            mediaBrowserServiceImplApi21.mMessenger = new Messenger(MediaBrowserServiceCompat.this.mHandler);
            Bundle bundle3 = new Bundle();
            bundle3.putInt("extra_service_version", 2);
            bundle3.putBinder("extra_messenger", mediaBrowserServiceImplApi21.mMessenger.getBinder());
            Objects.requireNonNull(MediaBrowserServiceCompat.this);
            mediaBrowserServiceImplApi21.mRootExtrasList.add(bundle3);
        }
        MediaBrowserServiceCompat mediaBrowserServiceCompat = MediaBrowserServiceCompat.this;
        new HashMap();
        if (Build.VERSION.SDK_INT >= 28) {
            new MediaSessionManager.RemoteUserInfo(str, -1, i);
        }
        Objects.requireNonNull(mediaBrowserServiceCompat);
        MediaBrowserServiceCompat.this.onGetRoot(str, i, bundle2);
        Objects.requireNonNull(MediaBrowserServiceCompat.this);
        return null;
    }

    @Override // android.service.media.MediaBrowserService
    public void onLoadChildren(String str, MediaBrowserService.Result<List<MediaBrowser.MediaItem>> result) {
        MediaBrowserServiceCompat.MediaBrowserServiceImplApi21 mediaBrowserServiceImplApi21 = (MediaBrowserServiceCompat.MediaBrowserServiceImplApi21) this.mServiceProxy;
        MediaBrowserServiceCompat.this.onLoadChildren(str, new MediaBrowserServiceCompat.Result<List<MediaBrowserCompat.MediaItem>>(mediaBrowserServiceImplApi21, str, new MediaBrowserServiceCompatApi21$ResultWrapper(result)) {
            /* class androidx.media.MediaBrowserServiceCompat.MediaBrowserServiceImplApi21.AnonymousClass2 */
            public final /* synthetic */ MediaBrowserServiceCompatApi21$ResultWrapper val$resultWrapper;

            {
                this.val$resultWrapper = r3;
            }

            /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
            @Override // androidx.media.MediaBrowserServiceCompat.Result
            public void onResultSent(List<MediaBrowserCompat.MediaItem> list) {
                ArrayList arrayList;
                List<MediaBrowserCompat.MediaItem> list2 = list;
                if (list2 != null) {
                    arrayList = new ArrayList();
                    for (MediaBrowserCompat.MediaItem mediaItem : list2) {
                        Parcel obtain = Parcel.obtain();
                        mediaItem.writeToParcel(obtain, 0);
                        arrayList.add(obtain);
                    }
                } else {
                    arrayList = null;
                }
                this.val$resultWrapper.sendResult(arrayList);
            }
        });
    }
}
