package androidx.preference;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.widget.CompoundButton;
import androidx.core.content.res.ResourcesCompat$ThemeCompat;

public class CheckBoxPreference extends TwoStatePreference {
    public final Listener mListener = new Listener();

    public class Listener implements CompoundButton.OnCheckedChangeListener {
        public Listener() {
        }

        public void onCheckedChanged(CompoundButton compoundButton, boolean z) {
            if (!CheckBoxPreference.this.callChangeListener(Boolean.valueOf(z))) {
                compoundButton.setChecked(!z);
            } else {
                CheckBoxPreference.this.setChecked(z);
            }
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public CheckBoxPreference(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, r0, 0);
        int attr = ResourcesCompat$ThemeCompat.getAttr(context, R$attr.checkBoxPreferenceStyle, 16842895);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.CheckBoxPreference, attr, 0);
        setSummaryOn(ResourcesCompat$ThemeCompat.getString(obtainStyledAttributes, R$styleable.CheckBoxPreference_summaryOn, R$styleable.CheckBoxPreference_android_summaryOn));
        int i = R$styleable.CheckBoxPreference_summaryOff;
        int i2 = R$styleable.CheckBoxPreference_android_summaryOff;
        String string = obtainStyledAttributes.getString(i);
        setSummaryOff(string == null ? obtainStyledAttributes.getString(i2) : string);
        this.mDisableDependentsState = obtainStyledAttributes.getBoolean(R$styleable.CheckBoxPreference_disableDependentsState, obtainStyledAttributes.getBoolean(R$styleable.CheckBoxPreference_android_disableDependentsState, false));
        obtainStyledAttributes.recycle();
    }
}
