package androidx.preference;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.widget.CompoundButton;
import androidx.core.content.res.ResourcesCompat$ThemeCompat;

public class SwitchPreference extends TwoStatePreference {
    public final Listener mListener = new Listener();
    public CharSequence mSwitchOff;
    public CharSequence mSwitchOn;

    public class Listener implements CompoundButton.OnCheckedChangeListener {
        public Listener() {
        }

        public void onCheckedChanged(CompoundButton compoundButton, boolean z) {
            if (!SwitchPreference.this.callChangeListener(Boolean.valueOf(z))) {
                compoundButton.setChecked(!z);
            } else {
                SwitchPreference.this.setChecked(z);
            }
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public SwitchPreference(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, r0, 0);
        int attr = ResourcesCompat$ThemeCompat.getAttr(context, R$attr.switchPreferenceStyle, 16843629);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.SwitchPreference, attr, 0);
        setSummaryOn(ResourcesCompat$ThemeCompat.getString(obtainStyledAttributes, R$styleable.SwitchPreference_summaryOn, R$styleable.SwitchPreference_android_summaryOn));
        int i = R$styleable.SwitchPreference_summaryOff;
        int i2 = R$styleable.SwitchPreference_android_summaryOff;
        String string = obtainStyledAttributes.getString(i);
        setSummaryOff(string == null ? obtainStyledAttributes.getString(i2) : string);
        int i3 = R$styleable.SwitchPreference_switchTextOn;
        int i4 = R$styleable.SwitchPreference_android_switchTextOn;
        String string2 = obtainStyledAttributes.getString(i3);
        this.mSwitchOn = string2 == null ? obtainStyledAttributes.getString(i4) : string2;
        notifyChanged();
        int i5 = R$styleable.SwitchPreference_switchTextOff;
        int i6 = R$styleable.SwitchPreference_android_switchTextOff;
        String string3 = obtainStyledAttributes.getString(i5);
        this.mSwitchOff = string3 == null ? obtainStyledAttributes.getString(i6) : string3;
        notifyChanged();
        this.mDisableDependentsState = obtainStyledAttributes.getBoolean(R$styleable.SwitchPreference_disableDependentsState, obtainStyledAttributes.getBoolean(R$styleable.SwitchPreference_android_disableDependentsState, false));
        obtainStyledAttributes.recycle();
    }
}
