package androidx.preference;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.widget.CompoundButton;
import androidx.core.content.res.ResourcesCompat$ThemeCompat;

public class SwitchPreferenceCompat extends TwoStatePreference {
    public final Listener mListener = new Listener();
    public CharSequence mSwitchOff;
    public CharSequence mSwitchOn;

    public class Listener implements CompoundButton.OnCheckedChangeListener {
        public Listener() {
        }

        public void onCheckedChanged(CompoundButton compoundButton, boolean z) {
            if (!SwitchPreferenceCompat.this.callChangeListener(Boolean.valueOf(z))) {
                compoundButton.setChecked(!z);
            } else {
                SwitchPreferenceCompat.this.setChecked(z);
            }
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public SwitchPreferenceCompat(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, r0, 0);
        int i = R$attr.switchPreferenceCompatStyle;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.SwitchPreferenceCompat, i, 0);
        setSummaryOn(ResourcesCompat$ThemeCompat.getString(obtainStyledAttributes, R$styleable.SwitchPreferenceCompat_summaryOn, R$styleable.SwitchPreferenceCompat_android_summaryOn));
        int i2 = R$styleable.SwitchPreferenceCompat_summaryOff;
        int i3 = R$styleable.SwitchPreferenceCompat_android_summaryOff;
        String string = obtainStyledAttributes.getString(i2);
        setSummaryOff(string == null ? obtainStyledAttributes.getString(i3) : string);
        int i4 = R$styleable.SwitchPreferenceCompat_switchTextOn;
        int i5 = R$styleable.SwitchPreferenceCompat_android_switchTextOn;
        String string2 = obtainStyledAttributes.getString(i4);
        this.mSwitchOn = string2 == null ? obtainStyledAttributes.getString(i5) : string2;
        notifyChanged();
        int i6 = R$styleable.SwitchPreferenceCompat_switchTextOff;
        int i7 = R$styleable.SwitchPreferenceCompat_android_switchTextOff;
        String string3 = obtainStyledAttributes.getString(i6);
        this.mSwitchOff = string3 == null ? obtainStyledAttributes.getString(i7) : string3;
        notifyChanged();
        this.mDisableDependentsState = obtainStyledAttributes.getBoolean(R$styleable.SwitchPreferenceCompat_disableDependentsState, obtainStyledAttributes.getBoolean(R$styleable.SwitchPreferenceCompat_android_disableDependentsState, false));
        obtainStyledAttributes.recycle();
    }
}
