package androidx.transition;

import android.animation.Animator;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import androidx.collection.ArrayMap;
import androidx.collection.LongSparseArray;
import androidx.core.view.ViewCompat;
import androidx.transition.Transition;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public abstract class TransitionManager {
    public static Transition sDefaultTransition = new AutoTransition();
    public static ArrayList<ViewGroup> sPendingTransitions = new ArrayList<>();
    public static ThreadLocal<WeakReference<ArrayMap<ViewGroup, ArrayList<Transition>>>> sRunningTransitions = new ThreadLocal<>();

    public class MultiListener implements ViewTreeObserver.OnPreDrawListener, View.OnAttachStateChangeListener {
        public ViewGroup mSceneRoot;
        public Transition mTransition;

        public MultiListener(Transition transition, ViewGroup viewGroup) {
            this.mTransition = transition;
            this.mSceneRoot = viewGroup;
        }

        /* JADX WARNING: Removed duplicated region for block: B:104:0x0242  */
        /* JADX WARNING: Removed duplicated region for block: B:12:0x005c  */
        /* JADX WARNING: Removed duplicated region for block: B:133:0x01ef A[EDGE_INSN: B:133:0x01ef->B:88:0x01ef ?: BREAK  , SYNTHETIC] */
        /* JADX WARNING: Removed duplicated region for block: B:19:0x009f  */
        /* JADX WARNING: Removed duplicated region for block: B:91:0x01f4  */
        /* JADX WARNING: Removed duplicated region for block: B:98:0x0215  */
        public boolean onPreDraw() {
            ArrayList arrayList;
            Transition transition;
            TransitionValuesMaps transitionValuesMaps;
            ArrayMap arrayMap;
            ArrayMap arrayMap2;
            int i;
            int[] iArr;
            int i2;
            int i3;
            int i4;
            Transition.AnimationInfo orDefault;
            TransitionValuesMaps transitionValuesMaps2;
            TransitionValues transitionValues;
            View view;
            View view2;
            TransitionValuesMaps transitionValuesMaps3;
            this.mSceneRoot.getViewTreeObserver().removeOnPreDrawListener(this);
            this.mSceneRoot.removeOnAttachStateChangeListener(this);
            int i5 = 1;
            if (!TransitionManager.sPendingTransitions.remove(this.mSceneRoot)) {
                return true;
            }
            final ArrayMap<ViewGroup, ArrayList<Transition>> runningTransitions = TransitionManager.getRunningTransitions();
            ArrayList<Transition> arrayList2 = runningTransitions.get(this.mSceneRoot);
            boolean z = false;
            if (arrayList2 == null) {
                arrayList2 = new ArrayList<>();
                runningTransitions.put(this.mSceneRoot, arrayList2);
            } else if (arrayList2.size() > 0) {
                arrayList = new ArrayList(arrayList2);
                arrayList2.add(this.mTransition);
                this.mTransition.addListener(new TransitionListenerAdapter() {
                    /* class androidx.transition.TransitionManager.MultiListener.AnonymousClass1 */

                    @Override // androidx.transition.Transition.TransitionListener
                    public void onTransitionEnd(Transition transition) {
                        ((ArrayList) runningTransitions.get(MultiListener.this.mSceneRoot)).remove(transition);
                        transition.removeListener(this);
                    }
                });
                this.mTransition.captureValues(this.mSceneRoot, false);
                if (arrayList != null) {
                    Iterator it = arrayList.iterator();
                    while (it.hasNext()) {
                        ((Transition) it.next()).resume(this.mSceneRoot);
                    }
                }
                transition = this.mTransition;
                ViewGroup viewGroup = this.mSceneRoot;
                Objects.requireNonNull(transition);
                transition.mStartValuesList = new ArrayList<>();
                transition.mEndValuesList = new ArrayList<>();
                transitionValuesMaps = transition.mStartValues;
                TransitionValuesMaps transitionValuesMaps4 = transition.mEndValues;
                arrayMap = new ArrayMap(transitionValuesMaps.mViewValues);
                arrayMap2 = new ArrayMap(transitionValuesMaps4.mViewValues);
                i = 0;
                while (true) {
                    iArr = transition.mMatchOrder;
                    if (i < iArr.length) {
                        break;
                    }
                    int i6 = iArr[i];
                    if (i6 == i5) {
                        transitionValuesMaps2 = transitionValuesMaps;
                        int i7 = arrayMap.mSize;
                        while (true) {
                            i7--;
                            if (i7 < 0) {
                                break;
                            }
                            View view3 = (View) arrayMap.keyAt(i7);
                            if (view3 != null && transition.isValidTarget(view3) && (transitionValues = (TransitionValues) arrayMap2.remove(view3)) != null && transition.isValidTarget(transitionValues.view)) {
                                transition.mStartValuesList.add((TransitionValues) arrayMap.removeAt(i7));
                                transition.mEndValuesList.add(transitionValues);
                            }
                        }
                    } else if (i6 == 2) {
                        transitionValuesMaps2 = transitionValuesMaps;
                        ArrayMap<String, View> arrayMap3 = transitionValuesMaps2.mNameValues;
                        ArrayMap<String, View> arrayMap4 = transitionValuesMaps4.mNameValues;
                        int i8 = arrayMap3.mSize;
                        for (int i9 = 0; i9 < i8; i9++) {
                            View valueAt = arrayMap3.valueAt(i9);
                            if (valueAt != null && transition.isValidTarget(valueAt) && (view = arrayMap4.get(arrayMap3.keyAt(i9))) != null && transition.isValidTarget(view)) {
                                TransitionValues transitionValues2 = (TransitionValues) arrayMap.getOrDefault(valueAt, null);
                                TransitionValues transitionValues3 = (TransitionValues) arrayMap2.getOrDefault(view, null);
                                if (!(transitionValues2 == null || transitionValues3 == null)) {
                                    transition.mStartValuesList.add(transitionValues2);
                                    transition.mEndValuesList.add(transitionValues3);
                                    arrayMap.remove(valueAt);
                                    arrayMap2.remove(view);
                                }
                            }
                        }
                    } else if (i6 != 3) {
                        if (i6 == 4) {
                            LongSparseArray<View> longSparseArray = transitionValuesMaps.mItemIdValues;
                            LongSparseArray<View> longSparseArray2 = transitionValuesMaps4.mItemIdValues;
                            int size = longSparseArray.size();
                            int i10 = 0;
                            while (i10 < size) {
                                View valueAt2 = longSparseArray.valueAt(i10);
                                if (valueAt2 == null || !transition.isValidTarget(valueAt2)) {
                                    transitionValuesMaps3 = transitionValuesMaps;
                                } else {
                                    transitionValuesMaps3 = transitionValuesMaps;
                                    View view4 = longSparseArray2.get(longSparseArray.keyAt(i10));
                                    if (view4 != null && transition.isValidTarget(view4)) {
                                        TransitionValues transitionValues4 = (TransitionValues) arrayMap.getOrDefault(valueAt2, z);
                                        TransitionValues transitionValues5 = (TransitionValues) arrayMap2.getOrDefault(view4, z);
                                        if (!(transitionValues4 == null || transitionValues5 == null)) {
                                            transition.mStartValuesList.add(transitionValues4);
                                            transition.mEndValuesList.add(transitionValues5);
                                            arrayMap.remove(valueAt2);
                                            arrayMap2.remove(view4);
                                        }
                                    }
                                }
                                i10++;
                                transitionValuesMaps = transitionValuesMaps3;
                                z = false;
                            }
                        }
                        transitionValuesMaps2 = transitionValuesMaps;
                    } else {
                        transitionValuesMaps2 = transitionValuesMaps;
                        SparseArray<View> sparseArray = transitionValuesMaps2.mIdValues;
                        SparseArray<View> sparseArray2 = transitionValuesMaps4.mIdValues;
                        int size2 = sparseArray.size();
                        for (int i11 = 0; i11 < size2; i11++) {
                            View valueAt3 = sparseArray.valueAt(i11);
                            if (valueAt3 != null && transition.isValidTarget(valueAt3) && (view2 = sparseArray2.get(sparseArray.keyAt(i11))) != null && transition.isValidTarget(view2)) {
                                TransitionValues transitionValues6 = (TransitionValues) arrayMap.getOrDefault(valueAt3, null);
                                TransitionValues transitionValues7 = (TransitionValues) arrayMap2.getOrDefault(view2, null);
                                if (!(transitionValues6 == null || transitionValues7 == null)) {
                                    transition.mStartValuesList.add(transitionValues6);
                                    transition.mEndValuesList.add(transitionValues7);
                                    arrayMap.remove(valueAt3);
                                    arrayMap2.remove(view2);
                                }
                            }
                        }
                    }
                    i++;
                    transitionValuesMaps = transitionValuesMaps2;
                    i5 = 1;
                    z = false;
                }
                for (i2 = 0; i2 < arrayMap.mSize; i2++) {
                    TransitionValues transitionValues8 = (TransitionValues) arrayMap.valueAt(i2);
                    if (transition.isValidTarget(transitionValues8.view)) {
                        transition.mStartValuesList.add(transitionValues8);
                        transition.mEndValuesList.add(null);
                    }
                }
                for (i3 = 0; i3 < arrayMap2.mSize; i3++) {
                    TransitionValues transitionValues9 = (TransitionValues) arrayMap2.valueAt(i3);
                    if (transition.isValidTarget(transitionValues9.view)) {
                        transition.mEndValuesList.add(transitionValues9);
                        transition.mStartValuesList.add(null);
                    }
                }
                ArrayMap<Animator, Transition.AnimationInfo> runningAnimators = Transition.getRunningAnimators();
                int i12 = runningAnimators.mSize;
                ViewUtilsBase viewUtilsBase = ViewUtils.IMPL;
                WindowIdApi18 windowIdApi18 = new WindowIdApi18(viewGroup);
                for (i4 = i12 - 1; i4 >= 0; i4--) {
                    Animator keyAt = runningAnimators.keyAt(i4);
                    if (!(keyAt == null || (orDefault = runningAnimators.getOrDefault(keyAt, null)) == null || orDefault.mView == null || !windowIdApi18.equals(orDefault.mWindowId))) {
                        TransitionValues transitionValues10 = orDefault.mValues;
                        View view5 = orDefault.mView;
                        TransitionValues transitionValues11 = transition.getTransitionValues(view5, true);
                        TransitionValues matchedTransitionValues = transition.getMatchedTransitionValues(view5, true);
                        if (transitionValues11 == null && matchedTransitionValues == null) {
                            matchedTransitionValues = transition.mEndValues.mViewValues.get(view5);
                        }
                        if (!(transitionValues11 == null && matchedTransitionValues == null) && orDefault.mTransition.isTransitionRequired(transitionValues10, matchedTransitionValues)) {
                            if (keyAt.isRunning() || keyAt.isStarted()) {
                                keyAt.cancel();
                            } else {
                                runningAnimators.remove(keyAt);
                            }
                        }
                    }
                }
                transition.createAnimators(viewGroup, transition.mStartValues, transition.mEndValues, transition.mStartValuesList, transition.mEndValuesList);
                transition.runAnimators();
                return true;
            }
            arrayList = null;
            arrayList2.add(this.mTransition);
            this.mTransition.addListener(new TransitionListenerAdapter() {
                /* class androidx.transition.TransitionManager.MultiListener.AnonymousClass1 */

                @Override // androidx.transition.Transition.TransitionListener
                public void onTransitionEnd(Transition transition) {
                    ((ArrayList) runningTransitions.get(MultiListener.this.mSceneRoot)).remove(transition);
                    transition.removeListener(this);
                }
            });
            this.mTransition.captureValues(this.mSceneRoot, false);
            if (arrayList != null) {
            }
            transition = this.mTransition;
            ViewGroup viewGroup2 = this.mSceneRoot;
            Objects.requireNonNull(transition);
            transition.mStartValuesList = new ArrayList<>();
            transition.mEndValuesList = new ArrayList<>();
            transitionValuesMaps = transition.mStartValues;
            TransitionValuesMaps transitionValuesMaps42 = transition.mEndValues;
            arrayMap = new ArrayMap(transitionValuesMaps.mViewValues);
            arrayMap2 = new ArrayMap(transitionValuesMaps42.mViewValues);
            i = 0;
            while (true) {
                iArr = transition.mMatchOrder;
                if (i < iArr.length) {
                }
                i++;
                transitionValuesMaps = transitionValuesMaps2;
                i5 = 1;
                z = false;
            }
            while (i2 < arrayMap.mSize) {
            }
            while (i3 < arrayMap2.mSize) {
            }
            ArrayMap<Animator, Transition.AnimationInfo> runningAnimators2 = Transition.getRunningAnimators();
            int i122 = runningAnimators2.mSize;
            ViewUtilsBase viewUtilsBase2 = ViewUtils.IMPL;
            WindowIdApi18 windowIdApi182 = new WindowIdApi18(viewGroup2);
            while (i4 >= 0) {
            }
            transition.createAnimators(viewGroup2, transition.mStartValues, transition.mEndValues, transition.mStartValuesList, transition.mEndValuesList);
            transition.runAnimators();
            return true;
        }

        public void onViewAttachedToWindow(View view) {
        }

        public void onViewDetachedFromWindow(View view) {
            this.mSceneRoot.getViewTreeObserver().removeOnPreDrawListener(this);
            this.mSceneRoot.removeOnAttachStateChangeListener(this);
            TransitionManager.sPendingTransitions.remove(this.mSceneRoot);
            ArrayList<Transition> arrayList = TransitionManager.getRunningTransitions().get(this.mSceneRoot);
            if (arrayList != null && arrayList.size() > 0) {
                Iterator<Transition> it = arrayList.iterator();
                while (it.hasNext()) {
                    it.next().resume(this.mSceneRoot);
                }
            }
            this.mTransition.clearValues(true);
        }
    }

    public static void beginDelayedTransition(ViewGroup viewGroup, Transition transition) {
        if (!sPendingTransitions.contains(viewGroup)) {
            AtomicInteger atomicInteger = ViewCompat.sNextGeneratedId;
            if (viewGroup.isLaidOut()) {
                sPendingTransitions.add(viewGroup);
                if (transition == null) {
                    transition = sDefaultTransition;
                }
                Transition clone = transition.clone();
                ArrayList<Transition> orDefault = getRunningTransitions().getOrDefault(viewGroup, null);
                if (orDefault != null && orDefault.size() > 0) {
                    Iterator<Transition> it = orDefault.iterator();
                    while (it.hasNext()) {
                        it.next().pause(viewGroup);
                    }
                }
                if (clone != null) {
                    clone.captureValues(viewGroup, true);
                }
                int i = R$id.transition_current_scene;
                Scene scene = (Scene) viewGroup.getTag(i);
                viewGroup.setTag(i, null);
                if (clone != null) {
                    MultiListener multiListener = new MultiListener(clone, viewGroup);
                    viewGroup.addOnAttachStateChangeListener(multiListener);
                    viewGroup.getViewTreeObserver().addOnPreDrawListener(multiListener);
                }
            }
        }
    }

    public static ArrayMap<ViewGroup, ArrayList<Transition>> getRunningTransitions() {
        ArrayMap<ViewGroup, ArrayList<Transition>> arrayMap;
        WeakReference<ArrayMap<ViewGroup, ArrayList<Transition>>> weakReference = sRunningTransitions.get();
        if (weakReference != null && (arrayMap = weakReference.get()) != null) {
            return arrayMap;
        }
        ArrayMap<ViewGroup, ArrayList<Transition>> arrayMap2 = new ArrayMap<>();
        sRunningTransitions.set(new WeakReference<>(arrayMap2));
        return arrayMap2;
    }
}
