package androidx.vectordrawable.graphics.drawable;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.Keyframe;
import android.animation.ObjectAnimator;
import android.animation.PropertyValuesHolder;
import android.animation.TypeEvaluator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.util.Xml;
import android.view.InflateException;
import android.view.animation.AnimationUtils;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.core.content.res.ResourcesCompat$ThemeCompat;
import androidx.core.graphics.PathParser$PathDataNode;
import com.allpayx.sdk.constants.AllPayConst;
import com.android.tools.r8.GeneratedOutlineSupport;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Objects;
import org.xmlpull.v1.XmlPullParser;

public abstract class AnimatorInflaterCompat {

    public class PathDataEvaluator implements TypeEvaluator<PathParser$PathDataNode[]> {
        public PathParser$PathDataNode[] mNodeArray;

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [float, java.lang.Object, java.lang.Object] */
        @Override // android.animation.TypeEvaluator
        public PathParser$PathDataNode[] evaluate(float f, PathParser$PathDataNode[] pathParser$PathDataNodeArr, PathParser$PathDataNode[] pathParser$PathDataNodeArr2) {
            PathParser$PathDataNode[] pathParser$PathDataNodeArr3 = pathParser$PathDataNodeArr;
            PathParser$PathDataNode[] pathParser$PathDataNodeArr4 = pathParser$PathDataNodeArr2;
            if (AppCompatDelegateImpl.Api17Impl.canMorph(pathParser$PathDataNodeArr3, pathParser$PathDataNodeArr4)) {
                if (!AppCompatDelegateImpl.Api17Impl.canMorph(this.mNodeArray, pathParser$PathDataNodeArr3)) {
                    this.mNodeArray = AppCompatDelegateImpl.Api17Impl.deepCopyNodes(pathParser$PathDataNodeArr3);
                }
                for (int i = 0; i < pathParser$PathDataNodeArr3.length; i++) {
                    PathParser$PathDataNode pathParser$PathDataNode = this.mNodeArray[i];
                    PathParser$PathDataNode pathParser$PathDataNode2 = pathParser$PathDataNodeArr3[i];
                    PathParser$PathDataNode pathParser$PathDataNode3 = pathParser$PathDataNodeArr4[i];
                    Objects.requireNonNull(pathParser$PathDataNode);
                    pathParser$PathDataNode.mType = pathParser$PathDataNode2.mType;
                    int i2 = 0;
                    while (true) {
                        float[] fArr = pathParser$PathDataNode2.mParams;
                        if (i2 >= fArr.length) {
                            break;
                        }
                        pathParser$PathDataNode.mParams[i2] = (pathParser$PathDataNode3.mParams[i2] * f) + ((1.0f - f) * fArr[i2]);
                        i2++;
                    }
                }
                return this.mNodeArray;
            }
            throw new IllegalArgumentException("Can't interpolate between two incompatible pathData");
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r15v16, resolved type: android.animation.AnimatorSet */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARNING: Removed duplicated region for block: B:159:0x02fe  */
    /* JADX WARNING: Removed duplicated region for block: B:162:0x0312  */
    public static Animator createAnimatorFromXml(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, AttributeSet attributeSet, AnimatorSet animatorSet, int i, float f) {
        PropertyValuesHolder[] propertyValuesHolderArr;
        String str;
        AttributeSet attributeSet2;
        int i2;
        PropertyValuesHolder propertyValuesHolder;
        int size;
        TypedValue typedValue;
        Keyframe keyframe;
        int i3;
        float f2;
        int i4;
        TypedValue typedValue2;
        int i5;
        Resources resources2 = resources;
        Resources.Theme theme2 = theme;
        XmlPullParser xmlPullParser2 = xmlPullParser;
        int depth = xmlPullParser.getDepth();
        ValueAnimator valueAnimator = null;
        ArrayList arrayList = null;
        while (true) {
            int next = xmlPullParser.next();
            int i6 = 3;
            boolean z = false;
            if (next == 3 && xmlPullParser.getDepth() <= depth) {
                break;
            }
            int i7 = 1;
            if (next == 1) {
                break;
            }
            int i8 = 2;
            if (next == 2) {
                String name = xmlPullParser.getName();
                if (name.equals("objectAnimator")) {
                    ObjectAnimator objectAnimator = new ObjectAnimator();
                    loadAnimator(context, resources, theme, attributeSet, objectAnimator, f, xmlPullParser);
                    valueAnimator = objectAnimator;
                } else if (name.equals("animator")) {
                    valueAnimator = loadAnimator(context, resources, theme, attributeSet, null, f, xmlPullParser);
                } else if (name.equals("set")) {
                    AnimatorSet animatorSet2 = new AnimatorSet();
                    TypedArray obtainAttributes = ResourcesCompat$ThemeCompat.obtainAttributes(resources2, theme2, attributeSet, AndroidResources.STYLEABLE_ANIMATOR_SET);
                    if (!ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser2, "ordering")) {
                        i5 = 0;
                    } else {
                        i5 = obtainAttributes.getInt(0, 0);
                    }
                    createAnimatorFromXml(context, resources, theme, xmlPullParser, attributeSet, animatorSet2, i5, f);
                    obtainAttributes.recycle();
                    valueAnimator = animatorSet2;
                } else {
                    String str2 = "propertyValuesHolder";
                    if (name.equals(str2)) {
                        AttributeSet asAttributeSet = Xml.asAttributeSet(xmlPullParser);
                        ArrayList arrayList2 = null;
                        while (true) {
                            int eventType = xmlPullParser.getEventType();
                            if (eventType == i6 || eventType == i7) {
                                if (arrayList2 == null) {
                                    int size2 = arrayList2.size();
                                    propertyValuesHolderArr = new PropertyValuesHolder[size2];
                                    for (int i9 = 0; i9 < size2; i9++) {
                                        propertyValuesHolderArr[i9] = (PropertyValuesHolder) arrayList2.get(i9);
                                    }
                                } else {
                                    propertyValuesHolderArr = null;
                                }
                            } else if (eventType != i8) {
                                xmlPullParser.next();
                            } else {
                                if (xmlPullParser.getName().equals(str2)) {
                                    TypedArray obtainAttributes2 = ResourcesCompat$ThemeCompat.obtainAttributes(resources2, theme2, asAttributeSet, AndroidResources.STYLEABLE_PROPERTY_VALUES_HOLDER);
                                    String namedString = ResourcesCompat$ThemeCompat.getNamedString(obtainAttributes2, xmlPullParser2, "propertyName", i6);
                                    if (!ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser2, "valueType")) {
                                        i2 = 4;
                                    } else {
                                        i2 = obtainAttributes2.getInt(i8, 4);
                                    }
                                    ArrayList arrayList3 = null;
                                    attributeSet2 = asAttributeSet;
                                    int i10 = i2;
                                    while (true) {
                                        int next2 = xmlPullParser.next();
                                        if (next2 == i6 || next2 == 1) {
                                            str = str2;
                                        } else if (xmlPullParser.getName().equals("keyframe")) {
                                            if (i10 == 4) {
                                                TypedArray obtainAttributes3 = ResourcesCompat$ThemeCompat.obtainAttributes(resources2, theme2, Xml.asAttributeSet(xmlPullParser), AndroidResources.STYLEABLE_KEYFRAME);
                                                if (!ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser2, "value")) {
                                                    typedValue2 = null;
                                                } else {
                                                    typedValue2 = obtainAttributes3.peekValue(0);
                                                }
                                                i10 = (!(typedValue2 != null) || !isColorType(typedValue2.type)) ? 0 : 3;
                                                obtainAttributes3.recycle();
                                            }
                                            TypedArray obtainAttributes4 = ResourcesCompat$ThemeCompat.obtainAttributes(resources2, theme2, Xml.asAttributeSet(xmlPullParser), AndroidResources.STYLEABLE_KEYFRAME);
                                            float f3 = -1.0f;
                                            if (ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser2, "fraction")) {
                                                f3 = obtainAttributes4.getFloat(3, -1.0f);
                                            }
                                            if (!ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser2, "value")) {
                                                typedValue = null;
                                            } else {
                                                typedValue = obtainAttributes4.peekValue(0);
                                            }
                                            boolean z2 = typedValue != null;
                                            int i11 = i10 == 4 ? (!z2 || !isColorType(typedValue.type)) ? 0 : 3 : i10;
                                            if (z2) {
                                                if (i11 == 0) {
                                                    if (!ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser2, "value")) {
                                                        f2 = 0.0f;
                                                    } else {
                                                        f2 = obtainAttributes4.getFloat(0, 0.0f);
                                                    }
                                                    keyframe = Keyframe.ofFloat(f3, f2);
                                                } else if (i11 == 1 || i11 == 3) {
                                                    if (!ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser2, "value")) {
                                                        i4 = 0;
                                                    } else {
                                                        i4 = obtainAttributes4.getInt(0, 0);
                                                    }
                                                    keyframe = Keyframe.ofInt(f3, i4);
                                                } else {
                                                    keyframe = null;
                                                }
                                            } else if (i11 == 0) {
                                                keyframe = Keyframe.ofFloat(f3);
                                            } else {
                                                keyframe = Keyframe.ofInt(f3);
                                            }
                                            if (!ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser2, "interpolator")) {
                                                i3 = 0;
                                            } else {
                                                i3 = obtainAttributes4.getResourceId(1, 0);
                                            }
                                            if (i3 > 0) {
                                                keyframe.setInterpolator(AnimationUtils.loadInterpolator(context, i3));
                                            }
                                            obtainAttributes4.recycle();
                                            if (keyframe != null) {
                                                if (arrayList3 == null) {
                                                    arrayList3 = new ArrayList();
                                                }
                                                arrayList3.add(keyframe);
                                            }
                                            xmlPullParser.next();
                                            i6 = 3;
                                            resources2 = resources;
                                            theme2 = theme;
                                            str2 = str2;
                                        } else {
                                            resources2 = resources;
                                            theme2 = theme;
                                            i6 = i6;
                                        }
                                    }
                                    str = str2;
                                    if (arrayList3 == null || (size = arrayList3.size()) <= 0) {
                                        i6 = 3;
                                        propertyValuesHolder = null;
                                    } else {
                                        Keyframe keyframe2 = (Keyframe) arrayList3.get(0);
                                        Keyframe keyframe3 = (Keyframe) arrayList3.get(size - 1);
                                        float fraction = keyframe3.getFraction();
                                        if (fraction < 1.0f) {
                                            if (fraction < 0.0f) {
                                                keyframe3.setFraction(1.0f);
                                            } else {
                                                arrayList3.add(arrayList3.size(), createNewKeyframe(keyframe3, 1.0f));
                                                size++;
                                            }
                                        }
                                        float fraction2 = keyframe2.getFraction();
                                        if (fraction2 != 0.0f) {
                                            if (fraction2 < 0.0f) {
                                                keyframe2.setFraction(0.0f);
                                            } else {
                                                arrayList3.add(0, createNewKeyframe(keyframe2, 0.0f));
                                                size++;
                                            }
                                        }
                                        Keyframe[] keyframeArr = new Keyframe[size];
                                        arrayList3.toArray(keyframeArr);
                                        int i12 = 0;
                                        while (i12 < size) {
                                            Keyframe keyframe4 = keyframeArr[i12];
                                            if (keyframe4.getFraction() < 0.0f) {
                                                if (i12 == 0) {
                                                    keyframe4.setFraction(0.0f);
                                                } else {
                                                    int i13 = size - 1;
                                                    if (i12 == i13) {
                                                        keyframe4.setFraction(1.0f);
                                                    } else {
                                                        int i14 = i12 + 1;
                                                        int i15 = i12;
                                                        while (i14 < i13 && keyframeArr[i14].getFraction() < 0.0f) {
                                                            i15 = i14;
                                                            i14++;
                                                        }
                                                        float fraction3 = (keyframeArr[i15 + 1].getFraction() - keyframeArr[i12 - 1].getFraction()) / ((float) ((i15 - i12) + 2));
                                                        int i16 = i12;
                                                        while (i16 <= i15) {
                                                            keyframeArr[i16].setFraction(keyframeArr[i16 - 1].getFraction() + fraction3);
                                                            i16++;
                                                            size = size;
                                                        }
                                                    }
                                                }
                                            }
                                            i12++;
                                            size = size;
                                        }
                                        propertyValuesHolder = PropertyValuesHolder.ofKeyframe(namedString, keyframeArr);
                                        i6 = 3;
                                        if (i10 == 3) {
                                            propertyValuesHolder.setEvaluator(ArgbEvaluator.sInstance);
                                        }
                                    }
                                    if (propertyValuesHolder == null) {
                                        propertyValuesHolder = getPVH(obtainAttributes2, i2, 0, 1, namedString);
                                    }
                                    if (propertyValuesHolder != null) {
                                        if (arrayList2 == null) {
                                            arrayList2 = new ArrayList();
                                        }
                                        arrayList2.add(propertyValuesHolder);
                                    }
                                    obtainAttributes2.recycle();
                                    i7 = 1;
                                } else {
                                    attributeSet2 = asAttributeSet;
                                    str = str2;
                                }
                                xmlPullParser.next();
                                i8 = 2;
                                resources2 = resources;
                                theme2 = theme;
                                xmlPullParser2 = xmlPullParser;
                                asAttributeSet = attributeSet2;
                                str2 = str;
                            }
                        }
                        if (arrayList2 == null) {
                        }
                        if (propertyValuesHolderArr != null && (valueAnimator instanceof ValueAnimator)) {
                            valueAnimator.setValues(propertyValuesHolderArr);
                        }
                        z = true;
                    } else {
                        StringBuilder outline25 = GeneratedOutlineSupport.outline25("Unknown animator name: ");
                        outline25.append(xmlPullParser.getName());
                        throw new RuntimeException(outline25.toString());
                    }
                }
                if (animatorSet != null && !z) {
                    if (arrayList == null) {
                        arrayList = new ArrayList();
                    }
                    arrayList.add(valueAnimator);
                }
                resources2 = resources;
                theme2 = theme;
                xmlPullParser2 = xmlPullParser;
            }
        }
        if (!(animatorSet == null || arrayList == null)) {
            Animator[] animatorArr = new Animator[arrayList.size()];
            Iterator it = arrayList.iterator();
            int i17 = 0;
            while (it.hasNext()) {
                animatorArr[i17] = (Animator) it.next();
                i17++;
            }
            if (i == 0) {
                animatorSet.playTogether(animatorArr);
            } else {
                animatorSet.playSequentially(animatorArr);
            }
        }
        return valueAnimator;
    }

    public static Keyframe createNewKeyframe(Keyframe keyframe, float f) {
        if (keyframe.getType() == Float.TYPE) {
            return Keyframe.ofFloat(f);
        }
        if (keyframe.getType() == Integer.TYPE) {
            return Keyframe.ofInt(f);
        }
        return Keyframe.ofObject(f);
    }

    public static PropertyValuesHolder getPVH(TypedArray typedArray, int i, int i2, int i3, String str) {
        PropertyValuesHolder propertyValuesHolder;
        int i4;
        int i5;
        int i6;
        float f;
        float f2;
        float f3;
        PropertyValuesHolder propertyValuesHolder2;
        TypedValue peekValue = typedArray.peekValue(i2);
        boolean z = peekValue != null;
        int i7 = z ? peekValue.type : 0;
        TypedValue peekValue2 = typedArray.peekValue(i3);
        boolean z2 = peekValue2 != null;
        int i8 = z2 ? peekValue2.type : 0;
        if (i == 4) {
            i = ((!z || !isColorType(i7)) && (!z2 || !isColorType(i8))) ? 0 : 3;
        }
        boolean z3 = i == 0;
        PropertyValuesHolder propertyValuesHolder3 = null;
        if (i == 2) {
            String string = typedArray.getString(i2);
            String string2 = typedArray.getString(i3);
            PathParser$PathDataNode[] createNodesFromPathData = AppCompatDelegateImpl.Api17Impl.createNodesFromPathData(string);
            PathParser$PathDataNode[] createNodesFromPathData2 = AppCompatDelegateImpl.Api17Impl.createNodesFromPathData(string2);
            if (createNodesFromPathData == null && createNodesFromPathData2 == null) {
                return null;
            }
            if (createNodesFromPathData != null) {
                PathDataEvaluator pathDataEvaluator = new PathDataEvaluator();
                if (createNodesFromPathData2 == null) {
                    propertyValuesHolder2 = PropertyValuesHolder.ofObject(str, pathDataEvaluator, createNodesFromPathData);
                } else if (AppCompatDelegateImpl.Api17Impl.canMorph(createNodesFromPathData, createNodesFromPathData2)) {
                    propertyValuesHolder2 = PropertyValuesHolder.ofObject(str, pathDataEvaluator, createNodesFromPathData, createNodesFromPathData2);
                } else {
                    throw new InflateException(" Can't morph from " + string + " to " + string2);
                }
                return propertyValuesHolder2;
            } else if (createNodesFromPathData2 == null) {
                return null;
            } else {
                return PropertyValuesHolder.ofObject(str, new PathDataEvaluator(), createNodesFromPathData2);
            }
        } else {
            ArgbEvaluator argbEvaluator = i == 3 ? ArgbEvaluator.sInstance : null;
            if (z3) {
                if (z) {
                    if (i7 == 5) {
                        f2 = typedArray.getDimension(i2, 0.0f);
                    } else {
                        f2 = typedArray.getFloat(i2, 0.0f);
                    }
                    if (z2) {
                        if (i8 == 5) {
                            f3 = typedArray.getDimension(i3, 0.0f);
                        } else {
                            f3 = typedArray.getFloat(i3, 0.0f);
                        }
                        propertyValuesHolder = PropertyValuesHolder.ofFloat(str, f2, f3);
                    } else {
                        propertyValuesHolder = PropertyValuesHolder.ofFloat(str, f2);
                    }
                } else {
                    if (i8 == 5) {
                        f = typedArray.getDimension(i3, 0.0f);
                    } else {
                        f = typedArray.getFloat(i3, 0.0f);
                    }
                    propertyValuesHolder = PropertyValuesHolder.ofFloat(str, f);
                }
            } else if (z) {
                if (i7 == 5) {
                    i5 = (int) typedArray.getDimension(i2, 0.0f);
                } else if (isColorType(i7)) {
                    i5 = typedArray.getColor(i2, 0);
                } else {
                    i5 = typedArray.getInt(i2, 0);
                }
                if (z2) {
                    if (i8 == 5) {
                        i6 = (int) typedArray.getDimension(i3, 0.0f);
                    } else if (isColorType(i8)) {
                        i6 = typedArray.getColor(i3, 0);
                    } else {
                        i6 = typedArray.getInt(i3, 0);
                    }
                    propertyValuesHolder = PropertyValuesHolder.ofInt(str, i5, i6);
                } else {
                    propertyValuesHolder = PropertyValuesHolder.ofInt(str, i5);
                }
            } else {
                if (z2) {
                    if (i8 == 5) {
                        i4 = (int) typedArray.getDimension(i3, 0.0f);
                    } else if (isColorType(i8)) {
                        i4 = typedArray.getColor(i3, 0);
                    } else {
                        i4 = typedArray.getInt(i3, 0);
                    }
                    propertyValuesHolder = PropertyValuesHolder.ofInt(str, i4);
                }
                if (propertyValuesHolder3 == null && argbEvaluator != null) {
                    propertyValuesHolder3.setEvaluator(argbEvaluator);
                    return propertyValuesHolder3;
                }
            }
            propertyValuesHolder3 = propertyValuesHolder;
            return propertyValuesHolder3 == null ? propertyValuesHolder3 : propertyValuesHolder3;
        }
    }

    public static boolean isColorType(int i) {
        return i >= 28 && i <= 31;
    }

    public static ValueAnimator loadAnimator(Context context, Resources resources, Resources.Theme theme, AttributeSet attributeSet, ValueAnimator valueAnimator, float f, XmlPullParser xmlPullParser) {
        int i;
        int i2;
        int i3;
        int i4;
        TypedArray typedArray;
        ValueAnimator valueAnimator2;
        TypedArray typedArray2;
        ValueAnimator valueAnimator3;
        PropertyValuesHolder propertyValuesHolder;
        TypedArray obtainAttributes = ResourcesCompat$ThemeCompat.obtainAttributes(resources, theme, attributeSet, AndroidResources.STYLEABLE_ANIMATOR);
        TypedArray obtainAttributes2 = ResourcesCompat$ThemeCompat.obtainAttributes(resources, theme, attributeSet, AndroidResources.STYLEABLE_PROPERTY_ANIMATOR);
        ValueAnimator valueAnimator4 = valueAnimator == null ? new ValueAnimator() : valueAnimator;
        boolean hasAttribute = ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser, "duration");
        int i5 = AllPayConst.MSG_VTPAY_PAY_START_AP;
        if (hasAttribute) {
            i5 = obtainAttributes.getInt(1, AllPayConst.MSG_VTPAY_PAY_START_AP);
        }
        long j = (long) i5;
        int i6 = 0;
        if (!ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser, "startOffset")) {
            i = 0;
        } else {
            i = obtainAttributes.getInt(2, 0);
        }
        long j2 = (long) i;
        if (!ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser, "valueType")) {
            i2 = 4;
        } else {
            i2 = obtainAttributes.getInt(7, 4);
        }
        if (ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser, "valueFrom") && ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser, "valueTo")) {
            if (i2 == 4) {
                TypedValue peekValue = obtainAttributes.peekValue(5);
                boolean z = peekValue != null;
                int i7 = z ? peekValue.type : 0;
                TypedValue peekValue2 = obtainAttributes.peekValue(6);
                boolean z2 = peekValue2 != null;
                i2 = ((!z || !isColorType(i7)) && (!z2 || !isColorType(z2 ? peekValue2.type : 0))) ? 0 : 3;
            }
            PropertyValuesHolder pvh = getPVH(obtainAttributes, i2, 5, 6, "");
            if (pvh != null) {
                valueAnimator4.setValues(pvh);
            }
        }
        valueAnimator4.setDuration(j);
        valueAnimator4.setStartDelay(j2);
        if (!ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser, "repeatCount")) {
            i3 = 0;
        } else {
            i3 = obtainAttributes.getInt(3, 0);
        }
        valueAnimator4.setRepeatCount(i3);
        if (!ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser, "repeatMode")) {
            i4 = 1;
        } else {
            i4 = obtainAttributes.getInt(4, 1);
        }
        valueAnimator4.setRepeatMode(i4);
        if (obtainAttributes2 != null) {
            ObjectAnimator objectAnimator = (ObjectAnimator) valueAnimator4;
            String namedString = ResourcesCompat$ThemeCompat.getNamedString(obtainAttributes2, xmlPullParser, "pathData", 1);
            if (namedString != null) {
                String namedString2 = ResourcesCompat$ThemeCompat.getNamedString(obtainAttributes2, xmlPullParser, "propertyXName", 2);
                String namedString3 = ResourcesCompat$ThemeCompat.getNamedString(obtainAttributes2, xmlPullParser, "propertyYName", 3);
                if (namedString2 == null && namedString3 == null) {
                    throw new InflateException(obtainAttributes2.getPositionDescription() + " propertyXName or propertyYName is needed for PathData");
                }
                Path createPathFromPathData = AppCompatDelegateImpl.Api17Impl.createPathFromPathData(namedString);
                float f2 = 0.5f * f;
                PathMeasure pathMeasure = new PathMeasure(createPathFromPathData, false);
                ArrayList arrayList = new ArrayList();
                arrayList.add(Float.valueOf(0.0f));
                float f3 = 0.0f;
                do {
                    f3 += pathMeasure.getLength();
                    arrayList.add(Float.valueOf(f3));
                } while (pathMeasure.nextContour());
                PathMeasure pathMeasure2 = new PathMeasure(createPathFromPathData, false);
                int min = Math.min(100, ((int) (f3 / f2)) + 1);
                float[] fArr = new float[min];
                float[] fArr2 = new float[min];
                float[] fArr3 = new float[2];
                float f4 = f3 / ((float) (min - 1));
                valueAnimator2 = valueAnimator4;
                typedArray = obtainAttributes;
                int i8 = 0;
                float f5 = 0.0f;
                while (true) {
                    propertyValuesHolder = null;
                    if (i6 >= min) {
                        break;
                    }
                    pathMeasure2.getPosTan(f5 - ((Float) arrayList.get(i8)).floatValue(), fArr3, null);
                    fArr[i6] = fArr3[0];
                    fArr2[i6] = fArr3[1];
                    f5 += f4;
                    int i9 = i8 + 1;
                    if (i9 < arrayList.size() && f5 > ((Float) arrayList.get(i9)).floatValue()) {
                        pathMeasure2.nextContour();
                        i8 = i9;
                    }
                    i6++;
                    min = min;
                }
                PropertyValuesHolder ofFloat = namedString2 != null ? PropertyValuesHolder.ofFloat(namedString2, fArr) : null;
                if (namedString3 != null) {
                    propertyValuesHolder = PropertyValuesHolder.ofFloat(namedString3, fArr2);
                }
                if (ofFloat == null) {
                    i6 = 0;
                    objectAnimator.setValues(propertyValuesHolder);
                } else {
                    i6 = 0;
                    if (propertyValuesHolder == null) {
                        objectAnimator.setValues(ofFloat);
                    } else {
                        objectAnimator.setValues(ofFloat, propertyValuesHolder);
                    }
                }
            } else {
                valueAnimator2 = valueAnimator4;
                typedArray = obtainAttributes;
                objectAnimator.setPropertyName(ResourcesCompat$ThemeCompat.getNamedString(obtainAttributes2, xmlPullParser, "propertyName", 0));
            }
        } else {
            valueAnimator2 = valueAnimator4;
            typedArray = obtainAttributes;
        }
        if (!ResourcesCompat$ThemeCompat.hasAttribute(xmlPullParser, "interpolator")) {
            typedArray2 = typedArray;
        } else {
            typedArray2 = typedArray;
            i6 = typedArray2.getResourceId(i6, i6);
        }
        if (i6 > 0) {
            valueAnimator3 = valueAnimator2;
            valueAnimator3.setInterpolator(AnimationUtils.loadInterpolator(context, i6));
        } else {
            valueAnimator3 = valueAnimator2;
        }
        typedArray2.recycle();
        if (obtainAttributes2 != null) {
            obtainAttributes2.recycle();
        }
        return valueAnimator3;
    }
}
