package androidx.work;

import android.content.Context;
import androidx.transition.ViewGroupUtilsApi14;
import androidx.work.ListenableWorker;
import androidx.work.impl.utils.futures.AbstractFuture;
import androidx.work.impl.utils.futures.SettableFuture;
import androidx.work.impl.utils.taskexecutor.WorkManagerTaskExecutor;
import com.google.common.util.concurrent.ListenableFuture;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.CoroutineContext;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.CompletableJob;
import kotlinx.coroutines.CoroutineDispatcher;
import kotlinx.coroutines.Dispatchers;
import kotlinx.coroutines.Job;
import kotlinx.coroutines.internal.ContextScope;

/* compiled from: CoroutineWorker.kt */
public abstract class CoroutineWorker extends ListenableWorker {
    public final CoroutineDispatcher coroutineContext;
    public final SettableFuture<ListenableWorker.Result> future;
    public final CompletableJob job = ViewGroupUtilsApi14.Job$default(null, 1, null);

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public CoroutineWorker(Context context, WorkerParameters workerParameters) {
        super(context, workerParameters);
        Intrinsics.checkParameterIsNotNull(context, "appContext");
        Intrinsics.checkParameterIsNotNull(workerParameters, "params");
        SettableFuture<ListenableWorker.Result> settableFuture = new SettableFuture<>();
        Intrinsics.checkExpressionValueIsNotNull(settableFuture, "SettableFuture.create()");
        this.future = settableFuture;
        AnonymousClass1 r4 = new Runnable(this) {
            /* class androidx.work.CoroutineWorker.AnonymousClass1 */
            public final /* synthetic */ CoroutineWorker this$0;

            {
                this.this$0 = r1;
            }

            public final void run() {
                if (this.this$0.future.value instanceof AbstractFuture.Cancellation) {
                    ViewGroupUtilsApi14.cancel$default(this.this$0.job, null, 1, null);
                }
            }
        };
        WorkManagerTaskExecutor workManagerTaskExecutor = this.mWorkerParams.mWorkTaskExecutor;
        Intrinsics.checkExpressionValueIsNotNull(workManagerTaskExecutor, "taskExecutor");
        settableFuture.addListener(r4, workManagerTaskExecutor.mBackgroundExecutor);
        this.coroutineContext = Dispatchers.Default;
    }

    public abstract Object doWork(Continuation<? super ListenableWorker.Result> continuation);

    @Override // androidx.work.ListenableWorker
    public final void onStopped() {
        this.future.cancel(false);
    }

    @Override // androidx.work.ListenableWorker
    public final ListenableFuture<ListenableWorker.Result> startWork() {
        CoroutineContext plus = this.coroutineContext.plus(this.job);
        Intrinsics.checkParameterIsNotNull(plus, "context");
        if (plus.get(Job.Key) == null) {
            plus = plus.plus(ViewGroupUtilsApi14.Job$default(null, 1, null));
        }
        ViewGroupUtilsApi14.launch$default(new ContextScope(plus), null, null, new CoroutineWorker$startWork$1(this, null), 3, null);
        return this.future;
    }
}
