package androidx.work.impl;

import android.os.Build;
import androidx.work.Configuration;
import androidx.work.Logger$LogcatLogger;
import androidx.work.impl.model.WorkSpec;
import androidx.work.impl.model.WorkSpecDao_Impl;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public abstract class Schedulers {
    public static final String TAG = Logger$LogcatLogger.tagWithPrefix("Schedulers");

    /* JADX INFO: finally extract failed */
    public static void schedule(Configuration configuration, WorkDatabase workDatabase, List<Scheduler> list) {
        int i;
        if (list != null && list.size() != 0) {
            WorkSpecDao_Impl workSpecDao = workDatabase.workSpecDao();
            workDatabase.beginTransaction();
            try {
                if (Build.VERSION.SDK_INT == 23) {
                    i = configuration.mMaxSchedulerLimit / 2;
                } else {
                    i = configuration.mMaxSchedulerLimit;
                }
                List<WorkSpec> eligibleWorkForScheduling = workSpecDao.getEligibleWorkForScheduling(i);
                if (((ArrayList) eligibleWorkForScheduling).size() > 0) {
                    long currentTimeMillis = System.currentTimeMillis();
                    Iterator it = ((ArrayList) eligibleWorkForScheduling).iterator();
                    while (it.hasNext()) {
                        workSpecDao.markWorkSpecScheduled(((WorkSpec) it.next()).id, currentTimeMillis);
                    }
                }
                workDatabase.setTransactionSuccessful();
                workDatabase.endTransaction();
                ArrayList arrayList = (ArrayList) eligibleWorkForScheduling;
                if (arrayList.size() > 0) {
                    WorkSpec[] workSpecArr = (WorkSpec[]) arrayList.toArray(new WorkSpec[0]);
                    for (Scheduler scheduler : list) {
                        scheduler.schedule(workSpecArr);
                    }
                }
            } catch (Throwable th) {
                workDatabase.endTransaction();
                throw th;
            }
        }
    }
}
