package androidx.work.impl;

import android.app.job.JobInfo;
import android.app.job.JobScheduler;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.os.Build;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.room.RoomDatabase;
import androidx.sqlite.db.SupportSQLiteStatement;
import androidx.work.Configuration;
import androidx.work.R$bool;
import androidx.work.WorkManager;
import androidx.work.impl.background.systemjob.SystemJobScheduler;
import androidx.work.impl.model.WorkSpecDao_Impl;
import androidx.work.impl.utils.PreferenceUtils;
import androidx.work.impl.utils.SerialExecutor;
import androidx.work.impl.utils.StopWorkRunnable;
import androidx.work.impl.utils.taskexecutor.WorkManagerTaskExecutor;
import java.util.List;

public class WorkManagerImpl extends WorkManager {
    public static WorkManagerImpl sDefaultInstance;
    public static WorkManagerImpl sDelegatedInstance;
    public static final Object sLock = new Object();
    public Configuration mConfiguration;
    public Context mContext;
    public boolean mForceStopRunnableCompleted;
    public PreferenceUtils mPreferenceUtils;
    public Processor mProcessor;
    public BroadcastReceiver.PendingResult mRescheduleReceiverResult;
    public List<Scheduler> mSchedulers;
    public WorkDatabase mWorkDatabase;
    public WorkManagerTaskExecutor mWorkTaskExecutor;

    public WorkManagerImpl(Context context, Configuration configuration, WorkManagerTaskExecutor workManagerTaskExecutor) {
        RoomDatabase.Builder builder;
        Scheduler scheduler;
        boolean z = context.getResources().getBoolean(R$bool.workmanager_test_configuration);
        Context applicationContext = context.getApplicationContext();
        SerialExecutor serialExecutor = workManagerTaskExecutor.mBackgroundExecutor;
        int i = WorkDatabase.$r8$clinit;
        Scheduler scheduler2 = null;
        if (z) {
            builder = new RoomDatabase.Builder(applicationContext, WorkDatabase.class, null);
            builder.mAllowMainThreadQueries = true;
        } else {
            String str = WorkDatabasePathHelper.TAG;
            builder = AppCompatDelegateImpl.Api17Impl.databaseBuilder(applicationContext, WorkDatabase.class, "androidx.work.workdb");
            builder.mFactory = 
            /*  JADX ERROR: Method code generation error
                jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0032: IPUT  
                  (wrap: androidx.work.impl.WorkDatabase$1 : 0x002f: CONSTRUCTOR  (r4v25 androidx.work.impl.WorkDatabase$1) = (r2v1 'applicationContext' android.content.Context) call: androidx.work.impl.WorkDatabase.1.<init>(android.content.Context):void type: CONSTRUCTOR)
                  (r0v22 'builder' androidx.room.RoomDatabase$Builder)
                 androidx.room.RoomDatabase.Builder.mFactory androidx.sqlite.db.SupportSQLiteOpenHelper$Factory in method: androidx.work.impl.WorkManagerImpl.<init>(android.content.Context, androidx.work.Configuration, androidx.work.impl.utils.taskexecutor.WorkManagerTaskExecutor):void, file: classes.dex
                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:99)
                	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:157)
                	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:63)
                	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                	at java.util.ArrayList.forEach(ArrayList.java:1259)
                	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x002f: CONSTRUCTOR  (r4v25 androidx.work.impl.WorkDatabase$1) = (r2v1 'applicationContext' android.content.Context) call: androidx.work.impl.WorkDatabase.1.<init>(android.content.Context):void type: CONSTRUCTOR in method: androidx.work.impl.WorkManagerImpl.<init>(android.content.Context, androidx.work.Configuration, androidx.work.impl.utils.taskexecutor.WorkManagerTaskExecutor):void, file: classes.dex
                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:428)
                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                	... 19 more
                Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: androidx.work.impl.WorkDatabase, state: GENERATED_AND_UNLOADED
                	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                	... 23 more
                */
            /*
            // Method dump skipped, instructions count: 393
            */
            throw new UnsupportedOperationException("Method not decompiled: androidx.work.impl.WorkManagerImpl.<init>(android.content.Context, androidx.work.Configuration, androidx.work.impl.utils.taskexecutor.WorkManagerTaskExecutor):void");
        }

        public static WorkManagerImpl getInstance(Context context) {
            WorkManagerImpl workManagerImpl;
            Object obj = sLock;
            synchronized (obj) {
                synchronized (obj) {
                    workManagerImpl = sDelegatedInstance;
                    if (workManagerImpl == null) {
                        workManagerImpl = sDefaultInstance;
                    }
                }
                return workManagerImpl;
            }
            if (workManagerImpl != null) {
                return workManagerImpl;
            }
            context.getApplicationContext();
            throw new IllegalStateException("WorkManager is not initialized properly.  You have explicitly disabled WorkManagerInitializer in your manifest, have not manually called WorkManager#initialize at this point, and your Application does not implement Configuration.Provider.");
        }

        public static void initialize(Context context, Configuration configuration) {
            synchronized (sLock) {
                WorkManagerImpl workManagerImpl = sDelegatedInstance;
                if (workManagerImpl != null) {
                    if (sDefaultInstance != null) {
                        throw new IllegalStateException("WorkManager is already initialized.  Did you try to initialize it manually without disabling WorkManagerInitializer? See WorkManager#initialize(Context, Configuration) or the class level Javadoc for more information.");
                    }
                }
                if (workManagerImpl == null) {
                    Context applicationContext = context.getApplicationContext();
                    if (sDefaultInstance == null) {
                        sDefaultInstance = new WorkManagerImpl(applicationContext, configuration, new WorkManagerTaskExecutor(configuration.mTaskExecutor));
                    }
                    sDelegatedInstance = sDefaultInstance;
                }
            }
        }

        public void onForceStopRunnableCompleted() {
            synchronized (sLock) {
                this.mForceStopRunnableCompleted = true;
                BroadcastReceiver.PendingResult pendingResult = this.mRescheduleReceiverResult;
                if (pendingResult != null) {
                    pendingResult.finish();
                    this.mRescheduleReceiverResult = null;
                }
            }
        }

        /* JADX INFO: finally extract failed */
        public void rescheduleEligibleWork() {
            List<JobInfo> pendingJobs;
            if (Build.VERSION.SDK_INT >= 23) {
                Context context = this.mContext;
                String str = SystemJobScheduler.TAG;
                JobScheduler jobScheduler = (JobScheduler) context.getSystemService("jobscheduler");
                if (!(jobScheduler == null || (pendingJobs = SystemJobScheduler.getPendingJobs(context, jobScheduler)) == null || pendingJobs.isEmpty())) {
                    for (JobInfo jobInfo : pendingJobs) {
                        SystemJobScheduler.cancelJobById(jobScheduler, jobInfo.getId());
                    }
                }
            }
            WorkSpecDao_Impl workSpecDao = this.mWorkDatabase.workSpecDao();
            workSpecDao.__db.assertNotSuspendingTransaction();
            SupportSQLiteStatement acquire = workSpecDao.__preparedStmtOfResetScheduledState.acquire();
            workSpecDao.__db.beginTransaction();
            try {
                acquire.executeUpdateDelete();
                workSpecDao.__db.setTransactionSuccessful();
                workSpecDao.__db.endTransaction();
                workSpecDao.__preparedStmtOfResetScheduledState.release(acquire);
                Schedulers.schedule(this.mConfiguration, this.mWorkDatabase, this.mSchedulers);
            } catch (Throwable th) {
                workSpecDao.__db.endTransaction();
                workSpecDao.__preparedStmtOfResetScheduledState.release(acquire);
                throw th;
            }
        }

        public void stopWork(String str) {
            WorkManagerTaskExecutor workManagerTaskExecutor = this.mWorkTaskExecutor;
            workManagerTaskExecutor.mBackgroundExecutor.execute(new StopWorkRunnable(this, str, false));
        }
    }
