package androidx.work.impl.constraints.controllers;

import android.content.Context;
import android.os.Build;
import androidx.work.Logger$LogcatLogger;
import androidx.work.NetworkType;
import androidx.work.impl.constraints.NetworkState;
import androidx.work.impl.constraints.trackers.Trackers;
import androidx.work.impl.model.WorkSpec;
import androidx.work.impl.utils.taskexecutor.WorkManagerTaskExecutor;

public class NetworkMeteredController extends ConstraintController<NetworkState> {
    public static final String TAG = Logger$LogcatLogger.tagWithPrefix("NetworkMeteredCtrlr");

    public NetworkMeteredController(Context context, WorkManagerTaskExecutor workManagerTaskExecutor) {
        super(Trackers.getInstance(context, workManagerTaskExecutor).mNetworkStateTracker);
    }

    @Override // androidx.work.impl.constraints.controllers.ConstraintController
    public boolean hasConstraint(WorkSpec workSpec) {
        return workSpec.constraints.mRequiredNetworkType == NetworkType.METERED;
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // androidx.work.impl.constraints.controllers.ConstraintController
    public boolean isConstrained(NetworkState networkState) {
        NetworkState networkState2 = networkState;
        boolean z = true;
        if (Build.VERSION.SDK_INT < 26) {
            Logger$LogcatLogger.get().debug(TAG, "Metered network constraint is not supported before API 26, only checking for connected state.", new Throwable[0]);
            return !networkState2.mIsConnected;
        }
        if (networkState2.mIsConnected && networkState2.mIsMetered) {
            z = false;
        }
        return z;
    }
}
