package androidx.work.impl.model;

import android.database.Cursor;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.room.EntityInsertionAdapter;
import androidx.room.RoomDatabase;
import androidx.room.RoomSQLiteQuery;
import androidx.room.SharedSQLiteStatement;
import androidx.room.util.DBUtil;
import androidx.sqlite.db.SupportSQLiteStatement;
import androidx.transition.ViewGroupUtilsApi14;
import androidx.work.BackoffPolicy;
import androidx.work.Constraints;
import androidx.work.ContentUriTriggers;
import androidx.work.Data;
import androidx.work.NetworkType;
import androidx.work.WorkInfo$State;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.util.ArrayList;
import java.util.List;

public final class WorkSpecDao_Impl {
    public final RoomDatabase __db;
    public final SharedSQLiteStatement __preparedStmtOfIncrementWorkSpecRunAttemptCount;
    public final SharedSQLiteStatement __preparedStmtOfMarkWorkSpecScheduled;
    public final SharedSQLiteStatement __preparedStmtOfResetScheduledState;
    public final SharedSQLiteStatement __preparedStmtOfResetWorkSpecRunAttemptCount;
    public final SharedSQLiteStatement __preparedStmtOfSetOutput;
    public final SharedSQLiteStatement __preparedStmtOfSetPeriodStartTime;

    public WorkSpecDao_Impl(RoomDatabase roomDatabase) {
        this.__db = roomDatabase;
        new EntityInsertionAdapter<WorkSpec>(this, roomDatabase) {
            /* class androidx.work.impl.model.WorkSpecDao_Impl.AnonymousClass1 */

            /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.sqlite.db.SupportSQLiteStatement, java.lang.Object] */
            /* JADX WARNING: Removed duplicated region for block: B:62:0x0179  */
            /* JADX WARNING: Removed duplicated region for block: B:71:0x0191  */
            /* JADX WARNING: Removed duplicated region for block: B:72:0x0197  */
            /* JADX WARNING: Removed duplicated region for block: B:75:0x01a1 A[SYNTHETIC, Splitter:B:75:0x01a1] */
            @Override // androidx.room.EntityInsertionAdapter
            public void bind(SupportSQLiteStatement supportSQLiteStatement, WorkSpec workSpec) {
                int i;
                Throwable th;
                IOException e;
                WorkSpec workSpec2 = workSpec;
                String str = workSpec2.id;
                int i2 = 1;
                if (str == null) {
                    supportSQLiteStatement.bindNull(1);
                } else {
                    supportSQLiteStatement.bindString(1, str);
                }
                supportSQLiteStatement.bindLong(2, (long) ViewGroupUtilsApi14.stateToInt(workSpec2.state));
                String str2 = workSpec2.workerClassName;
                if (str2 == null) {
                    supportSQLiteStatement.bindNull(3);
                } else {
                    supportSQLiteStatement.bindString(3, str2);
                }
                String str3 = workSpec2.inputMergerClassName;
                int i3 = 4;
                if (str3 == null) {
                    supportSQLiteStatement.bindNull(4);
                } else {
                    supportSQLiteStatement.bindString(4, str3);
                }
                byte[] byteArray = Data.toByteArray(workSpec2.input);
                if (byteArray == null) {
                    supportSQLiteStatement.bindNull(5);
                } else {
                    supportSQLiteStatement.bindBlob(5, byteArray);
                }
                byte[] byteArray2 = Data.toByteArray(workSpec2.output);
                if (byteArray2 == null) {
                    supportSQLiteStatement.bindNull(6);
                } else {
                    supportSQLiteStatement.bindBlob(6, byteArray2);
                }
                supportSQLiteStatement.bindLong(7, workSpec2.initialDelay);
                supportSQLiteStatement.bindLong(8, workSpec2.intervalDuration);
                supportSQLiteStatement.bindLong(9, workSpec2.flexDuration);
                supportSQLiteStatement.bindLong(10, (long) workSpec2.runAttemptCount);
                BackoffPolicy backoffPolicy = workSpec2.backoffPolicy;
                int ordinal = backoffPolicy.ordinal();
                if (ordinal == 0) {
                    i = 0;
                } else if (ordinal == 1) {
                    i = 1;
                } else {
                    throw new IllegalArgumentException("Could not convert " + backoffPolicy + " to int");
                }
                supportSQLiteStatement.bindLong(11, (long) i);
                supportSQLiteStatement.bindLong(12, workSpec2.backoffDelayDuration);
                supportSQLiteStatement.bindLong(13, workSpec2.periodStartTime);
                supportSQLiteStatement.bindLong(14, workSpec2.minimumRetentionDuration);
                supportSQLiteStatement.bindLong(15, workSpec2.scheduleRequestedAt);
                supportSQLiteStatement.bindLong(16, workSpec2.runInForeground ? 1 : 0);
                Constraints constraints = workSpec2.constraints;
                if (constraints != null) {
                    NetworkType networkType = constraints.mRequiredNetworkType;
                    int ordinal2 = networkType.ordinal();
                    if (ordinal2 != 0) {
                        if (ordinal2 != 1) {
                            if (ordinal2 == 2) {
                                i2 = 2;
                            } else if (ordinal2 == 3) {
                                i2 = 3;
                            } else if (ordinal2 != 4) {
                                throw new IllegalArgumentException("Could not convert " + networkType + " to int");
                            }
                        }
                        i3 = i2;
                    } else {
                        i3 = 0;
                    }
                    supportSQLiteStatement.bindLong(17, (long) i3);
                    supportSQLiteStatement.bindLong(18, constraints.mRequiresCharging ? 1 : 0);
                    supportSQLiteStatement.bindLong(19, constraints.mRequiresDeviceIdle ? 1 : 0);
                    supportSQLiteStatement.bindLong(20, constraints.mRequiresBatteryNotLow ? 1 : 0);
                    supportSQLiteStatement.bindLong(21, constraints.mRequiresStorageNotLow ? 1 : 0);
                    supportSQLiteStatement.bindLong(22, constraints.mTriggerContentUpdateDelay);
                    supportSQLiteStatement.bindLong(23, constraints.mTriggerMaxContentDelay);
                    ContentUriTriggers contentUriTriggers = constraints.mContentUriTriggers;
                    byte[] bArr = null;
                    ObjectOutputStream objectOutputStream = null;
                    if (contentUriTriggers.size() != 0) {
                        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                        try {
                            ObjectOutputStream objectOutputStream2 = new ObjectOutputStream(byteArrayOutputStream);
                            try {
                                objectOutputStream2.writeInt(contentUriTriggers.size());
                                for (ContentUriTriggers.Trigger trigger : contentUriTriggers.mTriggers) {
                                    objectOutputStream2.writeUTF(trigger.mUri.toString());
                                    objectOutputStream2.writeBoolean(trigger.mTriggerForDescendants);
                                }
                                try {
                                    objectOutputStream2.close();
                                } catch (IOException e2) {
                                    e2.printStackTrace();
                                }
                            } catch (IOException e3) {
                                e = e3;
                                objectOutputStream = objectOutputStream2;
                                try {
                                    e.printStackTrace();
                                    if (objectOutputStream != null) {
                                    }
                                    byteArrayOutputStream.close();
                                    bArr = byteArrayOutputStream.toByteArray();
                                    if (bArr == null) {
                                    }
                                } catch (Throwable th2) {
                                    th = th2;
                                    objectOutputStream2 = objectOutputStream;
                                    if (objectOutputStream2 != null) {
                                        try {
                                            objectOutputStream2.close();
                                        } catch (IOException e4) {
                                            e4.printStackTrace();
                                        }
                                    }
                                    try {
                                        byteArrayOutputStream.close();
                                    } catch (IOException e5) {
                                        e5.printStackTrace();
                                    }
                                    throw th;
                                }
                            } catch (Throwable th3) {
                                th = th3;
                                if (objectOutputStream2 != null) {
                                }
                                byteArrayOutputStream.close();
                                throw th;
                            }
                        } catch (IOException e6) {
                            e = e6;
                            e.printStackTrace();
                            if (objectOutputStream != null) {
                                objectOutputStream.close();
                            }
                            byteArrayOutputStream.close();
                            bArr = byteArrayOutputStream.toByteArray();
                            if (bArr == null) {
                            }
                        }
                        try {
                            byteArrayOutputStream.close();
                        } catch (IOException e7) {
                            e7.printStackTrace();
                        }
                        bArr = byteArrayOutputStream.toByteArray();
                    }
                    if (bArr == null) {
                        supportSQLiteStatement.bindNull(24);
                    } else {
                        supportSQLiteStatement.bindBlob(24, bArr);
                    }
                } else {
                    supportSQLiteStatement.bindNull(17);
                    supportSQLiteStatement.bindNull(18);
                    supportSQLiteStatement.bindNull(19);
                    supportSQLiteStatement.bindNull(20);
                    supportSQLiteStatement.bindNull(21);
                    supportSQLiteStatement.bindNull(22);
                    supportSQLiteStatement.bindNull(23);
                    supportSQLiteStatement.bindNull(24);
                }
            }

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "INSERT OR IGNORE INTO `WorkSpec` (`id`,`state`,`worker_class_name`,`input_merger_class_name`,`input`,`output`,`initial_delay`,`interval_duration`,`flex_duration`,`run_attempt_count`,`backoff_policy`,`backoff_delay_duration`,`period_start_time`,`minimum_retention_duration`,`schedule_requested_at`,`run_in_foreground`,`required_network_type`,`requires_charging`,`requires_device_idle`,`requires_battery_not_low`,`requires_storage_not_low`,`trigger_content_update_delay`,`trigger_max_content_delay`,`content_uri_triggers`) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
            }
        };
        new SharedSQLiteStatement(this, roomDatabase) {
            /* class androidx.work.impl.model.WorkSpecDao_Impl.AnonymousClass2 */

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "DELETE FROM workspec WHERE id=?";
            }
        };
        this.__preparedStmtOfSetOutput = new SharedSQLiteStatement(this, roomDatabase) {
            /* class androidx.work.impl.model.WorkSpecDao_Impl.AnonymousClass3 */

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "UPDATE workspec SET output=? WHERE id=?";
            }
        };
        this.__preparedStmtOfSetPeriodStartTime = new SharedSQLiteStatement(this, roomDatabase) {
            /* class androidx.work.impl.model.WorkSpecDao_Impl.AnonymousClass4 */

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "UPDATE workspec SET period_start_time=? WHERE id=?";
            }
        };
        this.__preparedStmtOfIncrementWorkSpecRunAttemptCount = new SharedSQLiteStatement(this, roomDatabase) {
            /* class androidx.work.impl.model.WorkSpecDao_Impl.AnonymousClass5 */

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "UPDATE workspec SET run_attempt_count=run_attempt_count+1 WHERE id=?";
            }
        };
        this.__preparedStmtOfResetWorkSpecRunAttemptCount = new SharedSQLiteStatement(this, roomDatabase) {
            /* class androidx.work.impl.model.WorkSpecDao_Impl.AnonymousClass6 */

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "UPDATE workspec SET run_attempt_count=0 WHERE id=?";
            }
        };
        this.__preparedStmtOfMarkWorkSpecScheduled = new SharedSQLiteStatement(this, roomDatabase) {
            /* class androidx.work.impl.model.WorkSpecDao_Impl.AnonymousClass7 */

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "UPDATE workspec SET schedule_requested_at=? WHERE id=?";
            }
        };
        this.__preparedStmtOfResetScheduledState = new SharedSQLiteStatement(this, roomDatabase) {
            /* class androidx.work.impl.model.WorkSpecDao_Impl.AnonymousClass8 */

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "UPDATE workspec SET schedule_requested_at=-1 WHERE state NOT IN (2, 3, 5)";
            }
        };
        new SharedSQLiteStatement(this, roomDatabase) {
            /* class androidx.work.impl.model.WorkSpecDao_Impl.AnonymousClass9 */

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "DELETE FROM workspec WHERE state IN (2, 3, 5) AND (SELECT COUNT(*)=0 FROM dependency WHERE     prerequisite_id=id AND     work_spec_id NOT IN         (SELECT id FROM workspec WHERE state IN (2, 3, 5)))";
            }
        };
    }

    public List<String> getAllUnfinishedWork() {
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("SELECT id FROM workspec WHERE state NOT IN (2, 3, 5)", 0);
        this.__db.assertNotSuspendingTransaction();
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            ArrayList arrayList = new ArrayList(query.getCount());
            while (query.moveToNext()) {
                arrayList.add(query.getString(0));
            }
            return arrayList;
        } finally {
            query.close();
            acquire.release();
        }
    }

    public List<WorkSpec> getEligibleWorkForScheduling(int i) {
        RoomSQLiteQuery roomSQLiteQuery;
        Throwable th;
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("SELECT `required_network_type`, `requires_charging`, `requires_device_idle`, `requires_battery_not_low`, `requires_storage_not_low`, `trigger_content_update_delay`, `trigger_max_content_delay`, `content_uri_triggers`, `WorkSpec`.`id` AS `id`, `WorkSpec`.`state` AS `state`, `WorkSpec`.`worker_class_name` AS `worker_class_name`, `WorkSpec`.`input_merger_class_name` AS `input_merger_class_name`, `WorkSpec`.`input` AS `input`, `WorkSpec`.`output` AS `output`, `WorkSpec`.`initial_delay` AS `initial_delay`, `WorkSpec`.`interval_duration` AS `interval_duration`, `WorkSpec`.`flex_duration` AS `flex_duration`, `WorkSpec`.`run_attempt_count` AS `run_attempt_count`, `WorkSpec`.`backoff_policy` AS `backoff_policy`, `WorkSpec`.`backoff_delay_duration` AS `backoff_delay_duration`, `WorkSpec`.`period_start_time` AS `period_start_time`, `WorkSpec`.`minimum_retention_duration` AS `minimum_retention_duration`, `WorkSpec`.`schedule_requested_at` AS `schedule_requested_at`, `WorkSpec`.`run_in_foreground` AS `run_in_foreground` FROM workspec WHERE state=0 AND schedule_requested_at=-1 ORDER BY period_start_time LIMIT (SELECT MAX(?-COUNT(*), 0) FROM workspec WHERE schedule_requested_at<>-1 AND state NOT IN (2, 3, 5))", 1);
        acquire.bindLong(1, (long) i);
        this.__db.assertNotSuspendingTransaction();
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            int columnIndexOrThrow = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "required_network_type");
            int columnIndexOrThrow2 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_charging");
            int columnIndexOrThrow3 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_device_idle");
            int columnIndexOrThrow4 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_battery_not_low");
            int columnIndexOrThrow5 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_storage_not_low");
            int columnIndexOrThrow6 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "trigger_content_update_delay");
            int columnIndexOrThrow7 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "trigger_max_content_delay");
            int columnIndexOrThrow8 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "content_uri_triggers");
            int columnIndexOrThrow9 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "id");
            int columnIndexOrThrow10 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "state");
            int columnIndexOrThrow11 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "worker_class_name");
            int columnIndexOrThrow12 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "input_merger_class_name");
            int columnIndexOrThrow13 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "input");
            int columnIndexOrThrow14 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "output");
            roomSQLiteQuery = acquire;
            try {
                int columnIndexOrThrow15 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "initial_delay");
                int columnIndexOrThrow16 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "interval_duration");
                int columnIndexOrThrow17 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "flex_duration");
                int columnIndexOrThrow18 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "run_attempt_count");
                int columnIndexOrThrow19 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "backoff_policy");
                int columnIndexOrThrow20 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "backoff_delay_duration");
                int columnIndexOrThrow21 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "period_start_time");
                int columnIndexOrThrow22 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "minimum_retention_duration");
                int columnIndexOrThrow23 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "schedule_requested_at");
                int columnIndexOrThrow24 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "run_in_foreground");
                int i2 = columnIndexOrThrow14;
                ArrayList arrayList = new ArrayList(query.getCount());
                while (query.moveToNext()) {
                    String string = query.getString(columnIndexOrThrow9);
                    String string2 = query.getString(columnIndexOrThrow11);
                    Constraints constraints = new Constraints();
                    constraints.mRequiredNetworkType = ViewGroupUtilsApi14.intToNetworkType(query.getInt(columnIndexOrThrow));
                    constraints.mRequiresCharging = query.getInt(columnIndexOrThrow2) != 0;
                    constraints.mRequiresDeviceIdle = query.getInt(columnIndexOrThrow3) != 0;
                    constraints.mRequiresBatteryNotLow = query.getInt(columnIndexOrThrow4) != 0;
                    constraints.mRequiresStorageNotLow = query.getInt(columnIndexOrThrow5) != 0;
                    constraints.mTriggerContentUpdateDelay = query.getLong(columnIndexOrThrow6);
                    constraints.mTriggerMaxContentDelay = query.getLong(columnIndexOrThrow7);
                    constraints.mContentUriTriggers = ViewGroupUtilsApi14.byteArrayToContentUriTriggers(query.getBlob(columnIndexOrThrow8));
                    WorkSpec workSpec = new WorkSpec(string, string2);
                    workSpec.state = ViewGroupUtilsApi14.intToState(query.getInt(columnIndexOrThrow10));
                    workSpec.inputMergerClassName = query.getString(columnIndexOrThrow12);
                    workSpec.input = Data.fromByteArray(query.getBlob(columnIndexOrThrow13));
                    workSpec.output = Data.fromByteArray(query.getBlob(i2));
                    i2 = i2;
                    workSpec.initialDelay = query.getLong(columnIndexOrThrow15);
                    workSpec.intervalDuration = query.getLong(columnIndexOrThrow16);
                    workSpec.flexDuration = query.getLong(columnIndexOrThrow17);
                    workSpec.runAttemptCount = query.getInt(columnIndexOrThrow18);
                    workSpec.backoffPolicy = ViewGroupUtilsApi14.intToBackoffPolicy(query.getInt(columnIndexOrThrow19));
                    columnIndexOrThrow17 = columnIndexOrThrow17;
                    workSpec.backoffDelayDuration = query.getLong(columnIndexOrThrow20);
                    workSpec.periodStartTime = query.getLong(columnIndexOrThrow21);
                    columnIndexOrThrow21 = columnIndexOrThrow21;
                    workSpec.minimumRetentionDuration = query.getLong(columnIndexOrThrow22);
                    workSpec.scheduleRequestedAt = query.getLong(columnIndexOrThrow23);
                    workSpec.runInForeground = query.getInt(columnIndexOrThrow24) != 0;
                    workSpec.constraints = constraints;
                    arrayList.add(workSpec);
                    columnIndexOrThrow23 = columnIndexOrThrow23;
                    columnIndexOrThrow24 = columnIndexOrThrow24;
                    columnIndexOrThrow2 = columnIndexOrThrow2;
                    columnIndexOrThrow12 = columnIndexOrThrow12;
                    columnIndexOrThrow15 = columnIndexOrThrow15;
                    columnIndexOrThrow16 = columnIndexOrThrow16;
                    columnIndexOrThrow18 = columnIndexOrThrow18;
                    columnIndexOrThrow9 = columnIndexOrThrow9;
                    columnIndexOrThrow11 = columnIndexOrThrow11;
                    columnIndexOrThrow = columnIndexOrThrow;
                    columnIndexOrThrow22 = columnIndexOrThrow22;
                    columnIndexOrThrow3 = columnIndexOrThrow3;
                    columnIndexOrThrow20 = columnIndexOrThrow20;
                    columnIndexOrThrow4 = columnIndexOrThrow4;
                    columnIndexOrThrow19 = columnIndexOrThrow19;
                }
                query.close();
                roomSQLiteQuery.release();
                return arrayList;
            } catch (Throwable th2) {
                th = th2;
                query.close();
                roomSQLiteQuery.release();
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            roomSQLiteQuery = acquire;
            query.close();
            roomSQLiteQuery.release();
            throw th;
        }
    }

    public List<WorkSpec> getRunningWork() {
        RoomSQLiteQuery roomSQLiteQuery;
        Throwable th;
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("SELECT `required_network_type`, `requires_charging`, `requires_device_idle`, `requires_battery_not_low`, `requires_storage_not_low`, `trigger_content_update_delay`, `trigger_max_content_delay`, `content_uri_triggers`, `WorkSpec`.`id` AS `id`, `WorkSpec`.`state` AS `state`, `WorkSpec`.`worker_class_name` AS `worker_class_name`, `WorkSpec`.`input_merger_class_name` AS `input_merger_class_name`, `WorkSpec`.`input` AS `input`, `WorkSpec`.`output` AS `output`, `WorkSpec`.`initial_delay` AS `initial_delay`, `WorkSpec`.`interval_duration` AS `interval_duration`, `WorkSpec`.`flex_duration` AS `flex_duration`, `WorkSpec`.`run_attempt_count` AS `run_attempt_count`, `WorkSpec`.`backoff_policy` AS `backoff_policy`, `WorkSpec`.`backoff_delay_duration` AS `backoff_delay_duration`, `WorkSpec`.`period_start_time` AS `period_start_time`, `WorkSpec`.`minimum_retention_duration` AS `minimum_retention_duration`, `WorkSpec`.`schedule_requested_at` AS `schedule_requested_at`, `WorkSpec`.`run_in_foreground` AS `run_in_foreground` FROM workspec WHERE state=1", 0);
        this.__db.assertNotSuspendingTransaction();
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            int columnIndexOrThrow = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "required_network_type");
            int columnIndexOrThrow2 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_charging");
            int columnIndexOrThrow3 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_device_idle");
            int columnIndexOrThrow4 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_battery_not_low");
            int columnIndexOrThrow5 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_storage_not_low");
            int columnIndexOrThrow6 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "trigger_content_update_delay");
            int columnIndexOrThrow7 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "trigger_max_content_delay");
            int columnIndexOrThrow8 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "content_uri_triggers");
            int columnIndexOrThrow9 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "id");
            int columnIndexOrThrow10 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "state");
            int columnIndexOrThrow11 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "worker_class_name");
            int columnIndexOrThrow12 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "input_merger_class_name");
            int columnIndexOrThrow13 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "input");
            int columnIndexOrThrow14 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "output");
            roomSQLiteQuery = acquire;
            try {
                int columnIndexOrThrow15 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "initial_delay");
                int columnIndexOrThrow16 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "interval_duration");
                int columnIndexOrThrow17 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "flex_duration");
                int columnIndexOrThrow18 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "run_attempt_count");
                int columnIndexOrThrow19 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "backoff_policy");
                int columnIndexOrThrow20 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "backoff_delay_duration");
                int columnIndexOrThrow21 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "period_start_time");
                int columnIndexOrThrow22 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "minimum_retention_duration");
                int columnIndexOrThrow23 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "schedule_requested_at");
                int columnIndexOrThrow24 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "run_in_foreground");
                int i = columnIndexOrThrow14;
                ArrayList arrayList = new ArrayList(query.getCount());
                while (query.moveToNext()) {
                    String string = query.getString(columnIndexOrThrow9);
                    String string2 = query.getString(columnIndexOrThrow11);
                    Constraints constraints = new Constraints();
                    constraints.mRequiredNetworkType = ViewGroupUtilsApi14.intToNetworkType(query.getInt(columnIndexOrThrow));
                    constraints.mRequiresCharging = query.getInt(columnIndexOrThrow2) != 0;
                    constraints.mRequiresDeviceIdle = query.getInt(columnIndexOrThrow3) != 0;
                    constraints.mRequiresBatteryNotLow = query.getInt(columnIndexOrThrow4) != 0;
                    constraints.mRequiresStorageNotLow = query.getInt(columnIndexOrThrow5) != 0;
                    constraints.mTriggerContentUpdateDelay = query.getLong(columnIndexOrThrow6);
                    constraints.mTriggerMaxContentDelay = query.getLong(columnIndexOrThrow7);
                    constraints.mContentUriTriggers = ViewGroupUtilsApi14.byteArrayToContentUriTriggers(query.getBlob(columnIndexOrThrow8));
                    WorkSpec workSpec = new WorkSpec(string, string2);
                    workSpec.state = ViewGroupUtilsApi14.intToState(query.getInt(columnIndexOrThrow10));
                    workSpec.inputMergerClassName = query.getString(columnIndexOrThrow12);
                    workSpec.input = Data.fromByteArray(query.getBlob(columnIndexOrThrow13));
                    workSpec.output = Data.fromByteArray(query.getBlob(i));
                    i = i;
                    workSpec.initialDelay = query.getLong(columnIndexOrThrow15);
                    workSpec.intervalDuration = query.getLong(columnIndexOrThrow16);
                    workSpec.flexDuration = query.getLong(columnIndexOrThrow17);
                    workSpec.runAttemptCount = query.getInt(columnIndexOrThrow18);
                    workSpec.backoffPolicy = ViewGroupUtilsApi14.intToBackoffPolicy(query.getInt(columnIndexOrThrow19));
                    columnIndexOrThrow17 = columnIndexOrThrow17;
                    workSpec.backoffDelayDuration = query.getLong(columnIndexOrThrow20);
                    workSpec.periodStartTime = query.getLong(columnIndexOrThrow21);
                    columnIndexOrThrow21 = columnIndexOrThrow21;
                    workSpec.minimumRetentionDuration = query.getLong(columnIndexOrThrow22);
                    workSpec.scheduleRequestedAt = query.getLong(columnIndexOrThrow23);
                    workSpec.runInForeground = query.getInt(columnIndexOrThrow24) != 0;
                    workSpec.constraints = constraints;
                    arrayList.add(workSpec);
                    columnIndexOrThrow23 = columnIndexOrThrow23;
                    columnIndexOrThrow24 = columnIndexOrThrow24;
                    columnIndexOrThrow2 = columnIndexOrThrow2;
                    columnIndexOrThrow13 = columnIndexOrThrow13;
                    columnIndexOrThrow15 = columnIndexOrThrow15;
                    columnIndexOrThrow16 = columnIndexOrThrow16;
                    columnIndexOrThrow18 = columnIndexOrThrow18;
                    columnIndexOrThrow9 = columnIndexOrThrow9;
                    columnIndexOrThrow11 = columnIndexOrThrow11;
                    columnIndexOrThrow = columnIndexOrThrow;
                    columnIndexOrThrow22 = columnIndexOrThrow22;
                    columnIndexOrThrow3 = columnIndexOrThrow3;
                    columnIndexOrThrow20 = columnIndexOrThrow20;
                    columnIndexOrThrow4 = columnIndexOrThrow4;
                    columnIndexOrThrow19 = columnIndexOrThrow19;
                }
                query.close();
                roomSQLiteQuery.release();
                return arrayList;
            } catch (Throwable th2) {
                th = th2;
                query.close();
                roomSQLiteQuery.release();
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            roomSQLiteQuery = acquire;
            query.close();
            roomSQLiteQuery.release();
            throw th;
        }
    }

    public List<WorkSpec> getScheduledWork() {
        RoomSQLiteQuery roomSQLiteQuery;
        Throwable th;
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("SELECT `required_network_type`, `requires_charging`, `requires_device_idle`, `requires_battery_not_low`, `requires_storage_not_low`, `trigger_content_update_delay`, `trigger_max_content_delay`, `content_uri_triggers`, `WorkSpec`.`id` AS `id`, `WorkSpec`.`state` AS `state`, `WorkSpec`.`worker_class_name` AS `worker_class_name`, `WorkSpec`.`input_merger_class_name` AS `input_merger_class_name`, `WorkSpec`.`input` AS `input`, `WorkSpec`.`output` AS `output`, `WorkSpec`.`initial_delay` AS `initial_delay`, `WorkSpec`.`interval_duration` AS `interval_duration`, `WorkSpec`.`flex_duration` AS `flex_duration`, `WorkSpec`.`run_attempt_count` AS `run_attempt_count`, `WorkSpec`.`backoff_policy` AS `backoff_policy`, `WorkSpec`.`backoff_delay_duration` AS `backoff_delay_duration`, `WorkSpec`.`period_start_time` AS `period_start_time`, `WorkSpec`.`minimum_retention_duration` AS `minimum_retention_duration`, `WorkSpec`.`schedule_requested_at` AS `schedule_requested_at`, `WorkSpec`.`run_in_foreground` AS `run_in_foreground` FROM workspec WHERE state=0 AND schedule_requested_at<>-1", 0);
        this.__db.assertNotSuspendingTransaction();
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            int columnIndexOrThrow = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "required_network_type");
            int columnIndexOrThrow2 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_charging");
            int columnIndexOrThrow3 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_device_idle");
            int columnIndexOrThrow4 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_battery_not_low");
            int columnIndexOrThrow5 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_storage_not_low");
            int columnIndexOrThrow6 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "trigger_content_update_delay");
            int columnIndexOrThrow7 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "trigger_max_content_delay");
            int columnIndexOrThrow8 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "content_uri_triggers");
            int columnIndexOrThrow9 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "id");
            int columnIndexOrThrow10 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "state");
            int columnIndexOrThrow11 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "worker_class_name");
            int columnIndexOrThrow12 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "input_merger_class_name");
            int columnIndexOrThrow13 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "input");
            int columnIndexOrThrow14 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "output");
            roomSQLiteQuery = acquire;
            try {
                int columnIndexOrThrow15 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "initial_delay");
                int columnIndexOrThrow16 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "interval_duration");
                int columnIndexOrThrow17 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "flex_duration");
                int columnIndexOrThrow18 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "run_attempt_count");
                int columnIndexOrThrow19 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "backoff_policy");
                int columnIndexOrThrow20 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "backoff_delay_duration");
                int columnIndexOrThrow21 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "period_start_time");
                int columnIndexOrThrow22 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "minimum_retention_duration");
                int columnIndexOrThrow23 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "schedule_requested_at");
                int columnIndexOrThrow24 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "run_in_foreground");
                int i = columnIndexOrThrow14;
                ArrayList arrayList = new ArrayList(query.getCount());
                while (query.moveToNext()) {
                    String string = query.getString(columnIndexOrThrow9);
                    String string2 = query.getString(columnIndexOrThrow11);
                    Constraints constraints = new Constraints();
                    constraints.mRequiredNetworkType = ViewGroupUtilsApi14.intToNetworkType(query.getInt(columnIndexOrThrow));
                    constraints.mRequiresCharging = query.getInt(columnIndexOrThrow2) != 0;
                    constraints.mRequiresDeviceIdle = query.getInt(columnIndexOrThrow3) != 0;
                    constraints.mRequiresBatteryNotLow = query.getInt(columnIndexOrThrow4) != 0;
                    constraints.mRequiresStorageNotLow = query.getInt(columnIndexOrThrow5) != 0;
                    constraints.mTriggerContentUpdateDelay = query.getLong(columnIndexOrThrow6);
                    constraints.mTriggerMaxContentDelay = query.getLong(columnIndexOrThrow7);
                    constraints.mContentUriTriggers = ViewGroupUtilsApi14.byteArrayToContentUriTriggers(query.getBlob(columnIndexOrThrow8));
                    WorkSpec workSpec = new WorkSpec(string, string2);
                    workSpec.state = ViewGroupUtilsApi14.intToState(query.getInt(columnIndexOrThrow10));
                    workSpec.inputMergerClassName = query.getString(columnIndexOrThrow12);
                    workSpec.input = Data.fromByteArray(query.getBlob(columnIndexOrThrow13));
                    workSpec.output = Data.fromByteArray(query.getBlob(i));
                    i = i;
                    workSpec.initialDelay = query.getLong(columnIndexOrThrow15);
                    workSpec.intervalDuration = query.getLong(columnIndexOrThrow16);
                    workSpec.flexDuration = query.getLong(columnIndexOrThrow17);
                    workSpec.runAttemptCount = query.getInt(columnIndexOrThrow18);
                    workSpec.backoffPolicy = ViewGroupUtilsApi14.intToBackoffPolicy(query.getInt(columnIndexOrThrow19));
                    columnIndexOrThrow17 = columnIndexOrThrow17;
                    workSpec.backoffDelayDuration = query.getLong(columnIndexOrThrow20);
                    workSpec.periodStartTime = query.getLong(columnIndexOrThrow21);
                    columnIndexOrThrow21 = columnIndexOrThrow21;
                    workSpec.minimumRetentionDuration = query.getLong(columnIndexOrThrow22);
                    workSpec.scheduleRequestedAt = query.getLong(columnIndexOrThrow23);
                    workSpec.runInForeground = query.getInt(columnIndexOrThrow24) != 0;
                    workSpec.constraints = constraints;
                    arrayList.add(workSpec);
                    columnIndexOrThrow23 = columnIndexOrThrow23;
                    columnIndexOrThrow24 = columnIndexOrThrow24;
                    columnIndexOrThrow2 = columnIndexOrThrow2;
                    columnIndexOrThrow13 = columnIndexOrThrow13;
                    columnIndexOrThrow15 = columnIndexOrThrow15;
                    columnIndexOrThrow16 = columnIndexOrThrow16;
                    columnIndexOrThrow18 = columnIndexOrThrow18;
                    columnIndexOrThrow9 = columnIndexOrThrow9;
                    columnIndexOrThrow11 = columnIndexOrThrow11;
                    columnIndexOrThrow = columnIndexOrThrow;
                    columnIndexOrThrow22 = columnIndexOrThrow22;
                    columnIndexOrThrow3 = columnIndexOrThrow3;
                    columnIndexOrThrow20 = columnIndexOrThrow20;
                    columnIndexOrThrow4 = columnIndexOrThrow4;
                    columnIndexOrThrow19 = columnIndexOrThrow19;
                }
                query.close();
                roomSQLiteQuery.release();
                return arrayList;
            } catch (Throwable th2) {
                th = th2;
                query.close();
                roomSQLiteQuery.release();
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            roomSQLiteQuery = acquire;
            query.close();
            roomSQLiteQuery.release();
            throw th;
        }
    }

    public WorkInfo$State getState(String str) {
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("SELECT state FROM workspec WHERE id=?", 1);
        if (str == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindString(1, str);
        }
        this.__db.assertNotSuspendingTransaction();
        WorkInfo$State workInfo$State = null;
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            if (query.moveToFirst()) {
                workInfo$State = ViewGroupUtilsApi14.intToState(query.getInt(0));
            }
            return workInfo$State;
        } finally {
            query.close();
            acquire.release();
        }
    }

    public WorkSpec getWorkSpec(String str) {
        RoomSQLiteQuery roomSQLiteQuery;
        Throwable th;
        WorkSpec workSpec;
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("SELECT `required_network_type`, `requires_charging`, `requires_device_idle`, `requires_battery_not_low`, `requires_storage_not_low`, `trigger_content_update_delay`, `trigger_max_content_delay`, `content_uri_triggers`, `WorkSpec`.`id` AS `id`, `WorkSpec`.`state` AS `state`, `WorkSpec`.`worker_class_name` AS `worker_class_name`, `WorkSpec`.`input_merger_class_name` AS `input_merger_class_name`, `WorkSpec`.`input` AS `input`, `WorkSpec`.`output` AS `output`, `WorkSpec`.`initial_delay` AS `initial_delay`, `WorkSpec`.`interval_duration` AS `interval_duration`, `WorkSpec`.`flex_duration` AS `flex_duration`, `WorkSpec`.`run_attempt_count` AS `run_attempt_count`, `WorkSpec`.`backoff_policy` AS `backoff_policy`, `WorkSpec`.`backoff_delay_duration` AS `backoff_delay_duration`, `WorkSpec`.`period_start_time` AS `period_start_time`, `WorkSpec`.`minimum_retention_duration` AS `minimum_retention_duration`, `WorkSpec`.`schedule_requested_at` AS `schedule_requested_at`, `WorkSpec`.`run_in_foreground` AS `run_in_foreground` FROM workspec WHERE id=?", 1);
        if (str == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindString(1, str);
        }
        this.__db.assertNotSuspendingTransaction();
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            int columnIndexOrThrow = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "required_network_type");
            int columnIndexOrThrow2 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_charging");
            int columnIndexOrThrow3 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_device_idle");
            int columnIndexOrThrow4 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_battery_not_low");
            int columnIndexOrThrow5 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "requires_storage_not_low");
            int columnIndexOrThrow6 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "trigger_content_update_delay");
            int columnIndexOrThrow7 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "trigger_max_content_delay");
            int columnIndexOrThrow8 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "content_uri_triggers");
            int columnIndexOrThrow9 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "id");
            int columnIndexOrThrow10 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "state");
            int columnIndexOrThrow11 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "worker_class_name");
            int columnIndexOrThrow12 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "input_merger_class_name");
            int columnIndexOrThrow13 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "input");
            int columnIndexOrThrow14 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "output");
            roomSQLiteQuery = acquire;
            try {
                int columnIndexOrThrow15 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "initial_delay");
                int columnIndexOrThrow16 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "interval_duration");
                int columnIndexOrThrow17 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "flex_duration");
                int columnIndexOrThrow18 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "run_attempt_count");
                int columnIndexOrThrow19 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "backoff_policy");
                int columnIndexOrThrow20 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "backoff_delay_duration");
                int columnIndexOrThrow21 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "period_start_time");
                int columnIndexOrThrow22 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "minimum_retention_duration");
                int columnIndexOrThrow23 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "schedule_requested_at");
                int columnIndexOrThrow24 = AppCompatDelegateImpl.Api17Impl.getColumnIndexOrThrow(query, "run_in_foreground");
                if (query.moveToFirst()) {
                    String string = query.getString(columnIndexOrThrow9);
                    String string2 = query.getString(columnIndexOrThrow11);
                    Constraints constraints = new Constraints();
                    constraints.mRequiredNetworkType = ViewGroupUtilsApi14.intToNetworkType(query.getInt(columnIndexOrThrow));
                    constraints.mRequiresCharging = query.getInt(columnIndexOrThrow2) != 0;
                    constraints.mRequiresDeviceIdle = query.getInt(columnIndexOrThrow3) != 0;
                    constraints.mRequiresBatteryNotLow = query.getInt(columnIndexOrThrow4) != 0;
                    constraints.mRequiresStorageNotLow = query.getInt(columnIndexOrThrow5) != 0;
                    constraints.mTriggerContentUpdateDelay = query.getLong(columnIndexOrThrow6);
                    constraints.mTriggerMaxContentDelay = query.getLong(columnIndexOrThrow7);
                    constraints.mContentUriTriggers = ViewGroupUtilsApi14.byteArrayToContentUriTriggers(query.getBlob(columnIndexOrThrow8));
                    WorkSpec workSpec2 = new WorkSpec(string, string2);
                    workSpec2.state = ViewGroupUtilsApi14.intToState(query.getInt(columnIndexOrThrow10));
                    workSpec2.inputMergerClassName = query.getString(columnIndexOrThrow12);
                    workSpec2.input = Data.fromByteArray(query.getBlob(columnIndexOrThrow13));
                    workSpec2.output = Data.fromByteArray(query.getBlob(columnIndexOrThrow14));
                    workSpec2.initialDelay = query.getLong(columnIndexOrThrow15);
                    workSpec2.intervalDuration = query.getLong(columnIndexOrThrow16);
                    workSpec2.flexDuration = query.getLong(columnIndexOrThrow17);
                    workSpec2.runAttemptCount = query.getInt(columnIndexOrThrow18);
                    workSpec2.backoffPolicy = ViewGroupUtilsApi14.intToBackoffPolicy(query.getInt(columnIndexOrThrow19));
                    workSpec2.backoffDelayDuration = query.getLong(columnIndexOrThrow20);
                    workSpec2.periodStartTime = query.getLong(columnIndexOrThrow21);
                    workSpec2.minimumRetentionDuration = query.getLong(columnIndexOrThrow22);
                    workSpec2.scheduleRequestedAt = query.getLong(columnIndexOrThrow23);
                    workSpec2.runInForeground = query.getInt(columnIndexOrThrow24) != 0;
                    workSpec2.constraints = constraints;
                    workSpec = workSpec2;
                } else {
                    workSpec = null;
                }
                query.close();
                roomSQLiteQuery.release();
                return workSpec;
            } catch (Throwable th2) {
                th = th2;
                query.close();
                roomSQLiteQuery.release();
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            roomSQLiteQuery = acquire;
            query.close();
            roomSQLiteQuery.release();
            throw th;
        }
    }

    public int incrementWorkSpecRunAttemptCount(String str) {
        this.__db.assertNotSuspendingTransaction();
        SupportSQLiteStatement acquire = this.__preparedStmtOfIncrementWorkSpecRunAttemptCount.acquire();
        if (str == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindString(1, str);
        }
        this.__db.beginTransaction();
        try {
            int executeUpdateDelete = acquire.executeUpdateDelete();
            this.__db.setTransactionSuccessful();
            return executeUpdateDelete;
        } finally {
            this.__db.endTransaction();
            this.__preparedStmtOfIncrementWorkSpecRunAttemptCount.release(acquire);
        }
    }

    public int markWorkSpecScheduled(String str, long j) {
        this.__db.assertNotSuspendingTransaction();
        SupportSQLiteStatement acquire = this.__preparedStmtOfMarkWorkSpecScheduled.acquire();
        acquire.bindLong(1, j);
        if (str == null) {
            acquire.bindNull(2);
        } else {
            acquire.bindString(2, str);
        }
        this.__db.beginTransaction();
        try {
            int executeUpdateDelete = acquire.executeUpdateDelete();
            this.__db.setTransactionSuccessful();
            return executeUpdateDelete;
        } finally {
            this.__db.endTransaction();
            this.__preparedStmtOfMarkWorkSpecScheduled.release(acquire);
        }
    }

    public int resetWorkSpecRunAttemptCount(String str) {
        this.__db.assertNotSuspendingTransaction();
        SupportSQLiteStatement acquire = this.__preparedStmtOfResetWorkSpecRunAttemptCount.acquire();
        if (str == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindString(1, str);
        }
        this.__db.beginTransaction();
        try {
            int executeUpdateDelete = acquire.executeUpdateDelete();
            this.__db.setTransactionSuccessful();
            return executeUpdateDelete;
        } finally {
            this.__db.endTransaction();
            this.__preparedStmtOfResetWorkSpecRunAttemptCount.release(acquire);
        }
    }

    public void setOutput(String str, Data data) {
        this.__db.assertNotSuspendingTransaction();
        SupportSQLiteStatement acquire = this.__preparedStmtOfSetOutput.acquire();
        byte[] byteArray = Data.toByteArray(data);
        if (byteArray == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindBlob(1, byteArray);
        }
        if (str == null) {
            acquire.bindNull(2);
        } else {
            acquire.bindString(2, str);
        }
        this.__db.beginTransaction();
        try {
            acquire.executeUpdateDelete();
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
            this.__preparedStmtOfSetOutput.release(acquire);
        }
    }

    public void setPeriodStartTime(String str, long j) {
        this.__db.assertNotSuspendingTransaction();
        SupportSQLiteStatement acquire = this.__preparedStmtOfSetPeriodStartTime.acquire();
        acquire.bindLong(1, j);
        if (str == null) {
            acquire.bindNull(2);
        } else {
            acquire.bindString(2, str);
        }
        this.__db.beginTransaction();
        try {
            acquire.executeUpdateDelete();
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
            this.__preparedStmtOfSetPeriodStartTime.release(acquire);
        }
    }

    public int setState(WorkInfo$State workInfo$State, String... strArr) {
        this.__db.assertNotSuspendingTransaction();
        StringBuilder sb = new StringBuilder();
        sb.append("UPDATE workspec SET state=");
        sb.append("?");
        sb.append(" WHERE id IN (");
        int length = strArr.length;
        for (int i = 0; i < length; i++) {
            sb.append("?");
            if (i < length - 1) {
                sb.append(",");
            }
        }
        sb.append(")");
        SupportSQLiteStatement compileStatement = this.__db.compileStatement(sb.toString());
        compileStatement.bindLong(1, (long) ViewGroupUtilsApi14.stateToInt(workInfo$State));
        int i2 = 2;
        for (String str : strArr) {
            if (str == null) {
                compileStatement.bindNull(i2);
            } else {
                compileStatement.bindString(i2, str);
            }
            i2++;
        }
        this.__db.beginTransaction();
        try {
            int executeUpdateDelete = compileStatement.executeUpdateDelete();
            this.__db.setTransactionSuccessful();
            return executeUpdateDelete;
        } finally {
            this.__db.endTransaction();
        }
    }
}
