package androidx.work.impl.utils;

import androidx.work.Logger$LogcatLogger;
import androidx.work.Operation;
import androidx.work.WorkInfo$State;
import androidx.work.impl.OperationImpl;
import androidx.work.impl.Processor;
import androidx.work.impl.Scheduler;
import androidx.work.impl.Schedulers;
import androidx.work.impl.WorkDatabase;
import androidx.work.impl.WorkManagerImpl;
import androidx.work.impl.WorkerWrapper;
import androidx.work.impl.model.DependencyDao_Impl;
import androidx.work.impl.model.WorkSpecDao_Impl;
import java.util.LinkedList;
import java.util.UUID;

public final class CancelWorkRunnable$1 implements Runnable {
    public final OperationImpl mOperation = new OperationImpl();
    public final /* synthetic */ UUID val$id;
    public final /* synthetic */ WorkManagerImpl val$workManagerImpl;

    public CancelWorkRunnable$1(WorkManagerImpl workManagerImpl, UUID uuid) {
        this.val$workManagerImpl = workManagerImpl;
        this.val$id = uuid;
    }

    public void cancel(WorkManagerImpl workManagerImpl, String str) {
        iterativelyCancelWorkAndDependents(workManagerImpl.mWorkDatabase, str);
        Processor processor = workManagerImpl.mProcessor;
        synchronized (processor.mLock) {
            boolean z = true;
            Logger$LogcatLogger.get().debug(Processor.TAG, String.format("Processor cancelling %s", str), new Throwable[0]);
            processor.mCancelledIds.add(str);
            WorkerWrapper remove = processor.mForegroundWorkMap.remove(str);
            if (remove == null) {
                z = false;
            }
            if (remove == null) {
                remove = processor.mEnqueuedWorkMap.remove(str);
            }
            Processor.interrupt(str, remove);
            if (z) {
                processor.stopForegroundService();
            }
        }
        for (Scheduler scheduler : workManagerImpl.mSchedulers) {
            scheduler.cancel(str);
        }
    }

    public final void iterativelyCancelWorkAndDependents(WorkDatabase workDatabase, String str) {
        WorkSpecDao_Impl workSpecDao = workDatabase.workSpecDao();
        DependencyDao_Impl dependencyDao = workDatabase.dependencyDao();
        LinkedList linkedList = new LinkedList();
        linkedList.add(str);
        while (!linkedList.isEmpty()) {
            String str2 = (String) linkedList.remove();
            WorkInfo$State state = workSpecDao.getState(str2);
            if (!(state == WorkInfo$State.SUCCEEDED || state == WorkInfo$State.FAILED)) {
                workSpecDao.setState(WorkInfo$State.CANCELLED, str2);
            }
            linkedList.addAll(dependencyDao.getDependentWorkIds(str2));
        }
    }

    public void run() {
        try {
            runInternal();
            this.mOperation.setState(Operation.SUCCESS);
        } catch (Throwable th) {
            this.mOperation.setState(new Operation.State.FAILURE(th));
        }
    }

    /* JADX INFO: finally extract failed */
    public void runInternal() {
        WorkDatabase workDatabase = this.val$workManagerImpl.mWorkDatabase;
        workDatabase.beginTransaction();
        try {
            cancel(this.val$workManagerImpl, this.val$id.toString());
            workDatabase.setTransactionSuccessful();
            workDatabase.endTransaction();
            WorkManagerImpl workManagerImpl = this.val$workManagerImpl;
            Schedulers.schedule(workManagerImpl.mConfiguration, workManagerImpl.mWorkDatabase, workManagerImpl.mSchedulers);
        } catch (Throwable th) {
            workDatabase.endTransaction();
            throw th;
        }
    }
}
