package com.alipay.android.phone.mrpc.core;

import com.android.tools.r8.GeneratedOutlineSupport;

public class HttpException extends Exception {
    public static final int NETWORK_AUTH_ERROR = 8;
    public static final int NETWORK_CONNECTION_EXCEPTION = 3;
    public static final int NETWORK_DNS_ERROR = 9;
    public static final int NETWORK_IO_EXCEPTION = 6;
    public static final int NETWORK_SCHEDULE_ERROR = 7;
    public static final int NETWORK_SERVER_EXCEPTION = 5;
    public static final int NETWORK_SOCKET_EXCEPTION = 4;
    public static final int NETWORK_SSL_EXCEPTION = 2;
    public static final int NETWORK_UNAVAILABLE = 1;
    public static final int NETWORK_UNKNOWN_ERROR = 0;
    public static final long serialVersionUID = -6320569206365033676L;
    public int mCode;
    public String mMsg;

    /* JADX WARNING: Illegal instructions before constructor call */
    public HttpException(Integer num, String str) {
        super(r0.toString());
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("Http Transport error");
        if (num != null) {
            outline25.append("[");
            outline25.append(num);
            outline25.append("]");
        }
        outline25.append(" : ");
        if (str != null) {
            outline25.append(str);
        }
        this.mCode = num.intValue();
        this.mMsg = str;
    }

    public HttpException(String str) {
        super(str);
        this.mCode = 0;
        this.mMsg = str;
    }

    public int getCode() {
        return this.mCode;
    }

    public String getMsg() {
        return this.mMsg;
    }
}
