package com.allpayx.sdk.util;

import com.android.tools.r8.GeneratedOutlineSupport;
import com.squareup.okhttp.internal.DiskLruCache;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.GregorianCalendar;
import java.util.Hashtable;
import java.util.regex.Pattern;
import net.xfkefu.sdk.retrofit.Retrofit2;

public class IDCard {
    private static Hashtable GetAreaCode() {
        Hashtable hashtable = new Hashtable();
        hashtable.put("11", "北京");
        hashtable.put("12", "天津");
        hashtable.put("13", "河北");
        hashtable.put("14", "山西");
        hashtable.put("15", "内蒙古");
        hashtable.put("21", "辽宁");
        hashtable.put("22", "吉林");
        hashtable.put("23", "黑龙江");
        hashtable.put("31", "上海");
        hashtable.put("32", "江苏");
        hashtable.put("33", "浙江");
        hashtable.put("34", "安徽");
        hashtable.put("35", "福建");
        hashtable.put("36", "江西");
        hashtable.put("37", "山东");
        hashtable.put("41", "河南");
        hashtable.put("42", "湖北");
        hashtable.put("43", "湖南");
        hashtable.put("44", "广东");
        hashtable.put("45", "广西");
        hashtable.put("46", "海南");
        hashtable.put("50", "重庆");
        hashtable.put("51", "四川");
        hashtable.put("52", "贵州");
        hashtable.put("53", "云南");
        hashtable.put("54", "西藏");
        hashtable.put("61", "陕西");
        hashtable.put("62", "甘肃");
        hashtable.put("63", "青海");
        hashtable.put("64", "宁夏");
        hashtable.put("65", "新疆");
        hashtable.put("71", "台湾");
        hashtable.put("81", "香港");
        hashtable.put("82", "澳门");
        hashtable.put("91", "国外");
        return hashtable;
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x0091 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0094  */
    public static String IDCardValidate(String str) {
        String str2;
        String str3;
        String[] strArr = {DiskLruCache.VERSION_1, Retrofit2.RESP_CODE_SUCCESS, "x", "9", "8", "7", "6", "5", "4", "3", "2"};
        String[] strArr2 = {"7", "9", "10", "5", "8", "4", "2", DiskLruCache.VERSION_1, "6", "3", "7", "9", "10", "5", "8", "4", "2"};
        if (!(str.length() == 15 || str.length() == 18)) {
            return "身份证号码长度应该为15位或18位。";
        }
        if (str.length() == 18) {
            str3 = str.substring(0, 17);
        } else if (str.length() == 15) {
            str3 = str.substring(0, 6) + "19" + str.substring(6, 15);
        } else {
            str2 = "";
            if (isNumeric(str2)) {
                return "身份证15位号码都应为数字 ; 18位号码除最后一位外，都应为数字。";
            }
            String substring = str2.substring(6, 10);
            String substring2 = str2.substring(10, 12);
            String substring3 = str2.substring(12, 14);
            if (!isDate(substring + "-" + substring2 + "-" + substring3)) {
                return "身份证生日无效。";
            }
            GregorianCalendar gregorianCalendar = new GregorianCalendar();
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
            try {
                if (gregorianCalendar.get(1) - Integer.parseInt(substring) > 150) {
                    return "身份证生日不在有效范围。";
                }
                if (gregorianCalendar.getTime().getTime() - simpleDateFormat.parse(substring + "-" + substring2 + "-" + substring3).getTime() < 0) {
                    return "身份证生日不在有效范围。";
                }
                if (Integer.parseInt(substring2) > 12 || Integer.parseInt(substring2) == 0) {
                    return "身份证月份无效";
                }
                if (Integer.parseInt(substring3) > 31 || Integer.parseInt(substring3) == 0) {
                    return "身份证日期无效";
                }
                if (GetAreaCode().get(str2.substring(0, 2)) == null) {
                    return "身份证地区编码错误。";
                }
                int i = 0;
                for (int i2 = 0; i2 < 17; i2++) {
                    i += Integer.parseInt(strArr2[i2]) * Integer.parseInt(String.valueOf(str2.charAt(i2)));
                }
                String outline18 = GeneratedOutlineSupport.outline18(str2, strArr[i % 11]);
                if (str.length() != 18 || outline18.equals(str)) {
                    return "";
                }
                return "身份证无效，不是合法的身份证号码";
            } catch (NumberFormatException e) {
                e.printStackTrace();
            } catch (ParseException e2) {
                e2.printStackTrace();
            }
        }
        str2 = str3;
        if (isNumeric(str2)) {
        }
    }

    public static boolean isDate(String str) {
        return Pattern.compile("^((\\d{2}(([02468][048])|([13579][26]))[\\-\\/\\s]?((((0?[13578])|(1[02]))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])))))|(\\d{2}(([02468][1235679])|([13579][01345789]))[\\-\\/\\s]?((((0?[13578])|(1[02]))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\\-\\/\\s]?((0?[1-9])|(1[0-9])|(2[0-8]))))))(\\s(((0?[0-9])|([1-2][0-3]))\\:([0-5]?[0-9])((\\s)|(\\:([0-5]?[0-9])))))?$").matcher(str).matches();
    }

    private static boolean isNumeric(String str) {
        return Pattern.compile("[0-9]*").matcher(str).matches();
    }
}
