package com.faster.cheetah.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import com.faster.cheetah.entity.TagEntity;
import com.zfast.xyz.R;
import java.util.List;

public class BuyPrivateLineAreaGridAdapter extends RecyclerView.Adapter<ViewHolder> {
    public final Context context;
    public List<TagEntity> dataList = null;
    public AdapterView.OnItemClickListener listener;
    public int pos;

    public class ViewHolder extends RecyclerView.ViewHolder {
        public View itemView;
        public ImageView ivTick;
        public TextView tvName;

        public ViewHolder(View view) {
            super(view);
            this.itemView = view;
            this.tvName = (TextView) view.findViewById(R.id.tv_name);
            this.ivTick = (ImageView) view.findViewById(R.id.img_tick);
        }
    }

    public BuyPrivateLineAreaGridAdapter(Context context2, List<TagEntity> list) {
        this.context = context2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        List<TagEntity> list = this.dataList;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemViewType(int i) {
        return i;
    }

    public TagEntity getSelected() {
        int i = this.pos;
        if (getItemCount() > 0) {
            return this.dataList.get(i);
        }
        return null;
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.recyclerview.widget.RecyclerView$ViewHolder, int] */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(ViewHolder viewHolder, int i) {
        final ViewHolder viewHolder2 = viewHolder;
        List<TagEntity> list = this.dataList;
        if (list != null && list.size() > i) {
            viewHolder2.tvName.setText((getItemCount() > 0 ? this.dataList.get(i) : null).getName());
            if (this.pos == i) {
                viewHolder2.ivTick.setVisibility(0);
            } else {
                viewHolder2.ivTick.setVisibility(8);
            }
            viewHolder2.itemView.setOnClickListener(new View.OnClickListener() {
                /* class com.faster.cheetah.adapter.BuyPrivateLineAreaGridAdapter.AnonymousClass1 */

                public void onClick(View view) {
                    AdapterView.OnItemClickListener onItemClickListener = BuyPrivateLineAreaGridAdapter.this.listener;
                    if (onItemClickListener != null) {
                        onItemClickListener.onItemClick(null, null, viewHolder2.getBindingAdapterPosition(), 0);
                    }
                }
            });
        }
    }

    /* Return type fixed from 'androidx.recyclerview.widget.RecyclerView$ViewHolder' to match base method */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        return new ViewHolder(LayoutInflater.from(this.context).inflate(R.layout.list_item_buy_private, viewGroup, false));
    }

    public void setOnItemClickListener(AdapterView.OnItemClickListener onItemClickListener) {
        this.listener = onItemClickListener;
    }
}
