package com.faster.cheetah.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import com.faster.cheetah.entity.ProEntity;
import com.zfast.xyz.R;
import java.util.ArrayList;
import java.util.List;

public class BuyPrivateLineProGridAdapter extends RecyclerView.Adapter<ViewHolder> {
    public final Context context;
    public List<ProEntity> dataList = null;
    public AdapterView.OnItemClickListener listener;
    public int pos;

    public class ViewHolder extends RecyclerView.ViewHolder {
        public View itemView;
        public ImageView ivTick;
        public TextView tvName;

        public ViewHolder(View view) {
            super(view);
            this.itemView = view;
            this.tvName = (TextView) view.findViewById(R.id.tv_name);
            this.ivTick = (ImageView) view.findViewById(R.id.img_tick);
        }
    }

    public BuyPrivateLineProGridAdapter(Context context2, List<ProEntity> list) {
        this.context = context2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        List<ProEntity> list = this.dataList;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemViewType(int i) {
        return i;
    }

    public ProEntity getSelected() {
        int i = this.pos;
        if (getItemCount() > 0) {
            return this.dataList.get(i);
        }
        return null;
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.recyclerview.widget.RecyclerView$ViewHolder, int] */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(ViewHolder viewHolder, final int i) {
        ViewHolder viewHolder2 = viewHolder;
        List<ProEntity> list = this.dataList;
        if (list != null && list.size() > i) {
            viewHolder2.tvName.setText((getItemCount() > 0 ? this.dataList.get(i) : null).name);
            if (this.pos == i) {
                viewHolder2.ivTick.setVisibility(0);
            } else {
                viewHolder2.ivTick.setVisibility(8);
            }
            viewHolder2.itemView.setOnClickListener(new View.OnClickListener() {
                /* class com.faster.cheetah.adapter.BuyPrivateLineProGridAdapter.AnonymousClass1 */

                public void onClick(View view) {
                    AdapterView.OnItemClickListener onItemClickListener = BuyPrivateLineProGridAdapter.this.listener;
                    if (onItemClickListener != null) {
                        onItemClickListener.onItemClick(null, null, i, 0);
                    }
                }
            });
        }
    }

    /* Return type fixed from 'androidx.recyclerview.widget.RecyclerView$ViewHolder' to match base method */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        return new ViewHolder(LayoutInflater.from(this.context).inflate(R.layout.list_item_buy_private, viewGroup, false));
    }

    public void setData(List<ProEntity> list) {
        List<ProEntity> list2 = this.dataList;
        if (list2 != null && !list2.isEmpty()) {
            notifyItemRangeRemoved(0, getItemCount());
            this.dataList.clear();
        }
        if (this.dataList == null) {
            this.dataList = new ArrayList();
        }
        this.dataList.addAll(list);
        notifyItemRangeInserted(0, getItemCount());
    }

    public void setOnItemClickListener(AdapterView.OnItemClickListener onItemClickListener) {
        this.listener = onItemClickListener;
    }
}
