package com.faster.cheetah.adapter;

import android.app.Dialog;
import android.content.Context;
import android.content.Intent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.entity.BuyEntity;
import com.faster.cheetah.ui.ExchangeVipActivity;
import com.faster.cheetah.ui.VipBuyFragment;
import com.zfast.xyz.R;
import java.util.List;
import java.util.Objects;

public class BuyVipAdapter extends RecyclerView.Adapter<ViewHolder> {
    public List<BuyEntity> buyEntityList;
    public final Context context;
    public final Listener listener;

    public interface Listener {
    }

    public abstract class ViewHolder extends RecyclerView.ViewHolder {
        public View itemView;
        public TextView tvDesc;
        public TextView tvName;
        public TextView tvPrice;
        public TextView tvTitle;

        public ViewHolder(View view) {
            super(view);
            this.itemView = view;
        }
    }

    public class ViewHolderExchange extends ViewHolder {
        public ViewHolderExchange(View view) {
            super(view);
        }
    }

    public class ViewHolderItem extends ViewHolder {
        public ViewHolderItem(View view) {
            super(view);
            this.tvName = (TextView) ((ViewHolder) this).itemView.findViewById(R.id.tv_name);
            this.tvDesc = (TextView) ((ViewHolder) this).itemView.findViewById(R.id.tv_desc);
            this.tvPrice = (TextView) ((ViewHolder) this).itemView.findViewById(R.id.tv_price);
        }
    }

    public class ViewHolderTitle extends ViewHolder {
        public ViewHolderTitle(View view) {
            super(view);
            this.tvTitle = (TextView) view.findViewById(R.id.tv_title);
        }
    }

    public BuyVipAdapter(Context context2, List<BuyEntity> list, Listener listener2) {
        this.context = context2;
        this.buyEntityList = list;
        this.listener = listener2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        List<BuyEntity> list = this.buyEntityList;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemViewType(int i) {
        List<BuyEntity> list = this.buyEntityList;
        if (list != null) {
            return list.get(i).typeForList;
        }
        return 0;
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.recyclerview.widget.RecyclerView$ViewHolder, int] */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(ViewHolder viewHolder, int i) {
        ViewHolder viewHolder2 = viewHolder;
        List<BuyEntity> list = this.buyEntityList;
        if (list != null && list.size() > i) {
            BuyEntity buyEntity = this.buyEntityList.get(i);
            int i2 = buyEntity.typeForList;
            if (i2 == 0) {
                viewHolder2.tvTitle.setText(buyEntity.titleForList);
            } else if (i2 == 1) {
                viewHolder2.tvName.setText(buyEntity.describe);
                if (0.0d == buyEntity.preferential) {
                    viewHolder2.tvDesc.setText(R.string.save_zero);
                } else {
                    TextView textView = viewHolder2.tvDesc;
                    textView.setText(this.context.getString(R.string.save_tip) + "¥" + ViewGroupUtilsApi14.doubleTrans(buyEntity.preferential));
                }
                TextView textView2 = viewHolder2.tvPrice;
                StringBuilder outline25 = GeneratedOutlineSupport.outline25("¥");
                outline25.append(ViewGroupUtilsApi14.doubleTrans(buyEntity.price));
                textView2.setText(outline25.toString());
                viewHolder2.itemView.setOnClickListener(new View.OnClickListener(buyEntity) {
                    /* class com.faster.cheetah.adapter.$$Lambda$BuyVipAdapter$dNt6oxNLN3loIC59gzMVO5JSQgg */
                    public final /* synthetic */ BuyEntity f$1;

                    {
                        this.f$1 = r2;
                    }

                    public final void onClick(View view) {
                        BuyVipAdapter buyVipAdapter = BuyVipAdapter.this;
                        BuyEntity buyEntity = this.f$1;
                        VipBuyFragment vipBuyFragment = ((VipBuyFragment.AnonymousClass2) buyVipAdapter.listener).this$0;
                        vipBuyFragment.buyEntity = buyEntity;
                        Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(vipBuyFragment.activity);
                        loadingDialog.show();
                        MainApplication mainApplication = vipBuyFragment.application;
                        mainApplication.executorService.execute(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001e: INVOKE  
                              (wrap: java.util.concurrent.ExecutorService : 0x001c: IGET  (r4v5 java.util.concurrent.ExecutorService) = (r1v0 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$VipBuyFragment$-Yj_I7MOdKq9K2jJY_8466bNwA4 : 0x0019: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$VipBuyFragment$-Yj_I7MOdKq9K2jJY_8466bNwA4) = (r4v4 'vipBuyFragment' com.faster.cheetah.ui.VipBuyFragment), (r0v2 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$VipBuyFragment$-Yj_I7MOdKq9K2jJY_8466bNwA4.<init>(com.faster.cheetah.ui.VipBuyFragment, android.app.Dialog):void type: CONSTRUCTOR)
                             type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.adapter.-$$Lambda$BuyVipAdapter$dNt6oxNLN3loIC59gzMVO5JSQgg.onClick(android.view.View):void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0019: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$VipBuyFragment$-Yj_I7MOdKq9K2jJY_8466bNwA4) = (r4v4 'vipBuyFragment' com.faster.cheetah.ui.VipBuyFragment), (r0v2 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$VipBuyFragment$-Yj_I7MOdKq9K2jJY_8466bNwA4.<init>(com.faster.cheetah.ui.VipBuyFragment, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.adapter.-$$Lambda$BuyVipAdapter$dNt6oxNLN3loIC59gzMVO5JSQgg.onClick(android.view.View):void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$VipBuyFragment$-Yj_I7MOdKq9K2jJY_8466bNwA4, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /*
                            this = this;
                            com.faster.cheetah.adapter.BuyVipAdapter r4 = com.faster.cheetah.adapter.BuyVipAdapter.this
                            com.faster.cheetah.entity.BuyEntity r0 = r3.f$1
                            com.faster.cheetah.adapter.BuyVipAdapter$Listener r4 = r4.listener
                            com.faster.cheetah.ui.VipBuyFragment$2 r4 = (com.faster.cheetah.ui.VipBuyFragment.AnonymousClass2) r4
                            com.faster.cheetah.ui.VipBuyFragment r4 = r4.this$0
                            r4.buyEntity = r0
                            com.faster.cheetah.ui.BaseActivity r0 = r4.activity
                            android.app.Dialog r0 = androidx.transition.ViewGroupUtilsApi14.getLoadingDialog(r0)
                            r0.show()
                            com.faster.cheetah.MainApplication r1 = r4.application
                            com.faster.cheetah.ui.-$$Lambda$VipBuyFragment$-Yj_I7MOdKq9K2jJY_8466bNwA4 r2 = new com.faster.cheetah.ui.-$$Lambda$VipBuyFragment$-Yj_I7MOdKq9K2jJY_8466bNwA4
                            r2.<init>(r4, r0)
                            java.util.concurrent.ExecutorService r4 = r1.executorService
                            r4.execute(r2)
                            return
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.adapter.$$Lambda$BuyVipAdapter$dNt6oxNLN3loIC59gzMVO5JSQgg.onClick(android.view.View):void");
                    }
                });
            } else if (i2 == 2) {
                viewHolder2.itemView.setOnClickListener(new View.OnClickListener() {
                    /* class com.faster.cheetah.adapter.$$Lambda$BuyVipAdapter$38GpCVXCcugZT5OAElqnu0RDYbo */

                    public final void onClick(View view) {
                        BuyVipAdapter buyVipAdapter = BuyVipAdapter.this;
                        Objects.requireNonNull(buyVipAdapter);
                        buyVipAdapter.context.startActivity(new Intent(buyVipAdapter.context, ExchangeVipActivity.class));
                    }
                });
            }
        }
    }

    /* Return type fixed from 'androidx.recyclerview.widget.RecyclerView$ViewHolder' to match base method */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        RecyclerView.ViewHolder viewHolder;
        LayoutInflater from = LayoutInflater.from(viewGroup.getContext());
        if (i == 0) {
            viewHolder = new ViewHolderTitle(from.inflate(R.layout.list_item_header_buy, viewGroup, false));
        } else if (i == 1) {
            viewHolder = new ViewHolderItem(from.inflate(R.layout.list_item_buy_vip, viewGroup, false));
        } else if (i != 2) {
            return null;
        } else {
            viewHolder = new ViewHolderExchange(from.inflate(R.layout.list_item_exchange_buy, viewGroup, false));
        }
        return viewHolder;
    }
}
