package com.faster.cheetah.adapter;

import android.app.Activity;
import android.content.DialogInterface;
import android.content.Intent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.ProgressBar;
import android.widget.TextView;
import android.widget.Toast;
import androidx.recyclerview.widget.RecyclerView;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.dialog.DialogOkCancel;
import com.faster.cheetah.entity.LineEntity;
import com.faster.cheetah.ui.PerfectInfoActivity;
import com.zfast.xyz.R;
import java.util.List;
import java.util.Objects;

public class LinePublicListAdapter extends RecyclerView.Adapter<ViewHolder> {
    public final Activity activity;
    public final MainApplication application;
    public List<LineEntity> lineEntityList = null;

    public class ViewHolder extends RecyclerView.ViewHolder {
        public ImageView imgArea;
        public View itemView;
        public ProgressBar pbLoad;
        public TextView tvDesc;
        public TextView tvLoad;
        public TextView tvName;

        public ViewHolder(View view) {
            super(view);
            this.itemView = view;
            this.imgArea = (ImageView) view.findViewById(R.id.img_area);
            this.tvName = (TextView) view.findViewById(R.id.tv_line_name);
            this.tvDesc = (TextView) view.findViewById(R.id.tv_line_desc);
            this.pbLoad = (ProgressBar) view.findViewById(R.id.pb_load);
            this.tvLoad = (TextView) view.findViewById(R.id.tv_load);
        }
    }

    public LinePublicListAdapter(Activity activity2, List<LineEntity> list) {
        this.activity = activity2;
        this.application = (MainApplication) activity2.getApplication();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        List<LineEntity> list = this.lineEntityList;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.recyclerview.widget.RecyclerView$ViewHolder, int] */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(ViewHolder viewHolder, int i) {
        int i2;
        ViewHolder viewHolder2 = viewHolder;
        List<LineEntity> list = this.lineEntityList;
        if (list != null && list.size() > i) {
            LineEntity lineEntity = this.lineEntityList.get(i);
            viewHolder2.tvName.setText(lineEntity.name);
            viewHolder2.tvDesc.setText(lineEntity.instructions);
            ImageView imageView = viewHolder2.imgArea;
            switch (lineEntity.areaID) {
                case 1:
                    i2 = R.mipmap.guoqi_1;
                    break;
                case 2:
                    i2 = R.mipmap.guoqi_2;
                    break;
                case 3:
                    i2 = R.mipmap.guoqi_3;
                    break;
                case 4:
                    i2 = R.mipmap.guoqi_4;
                    break;
                case 5:
                    i2 = R.mipmap.guoqi_5;
                    break;
                case 6:
                    i2 = R.mipmap.guoqi_6;
                    break;
                case 7:
                    i2 = R.mipmap.guoqi_7;
                    break;
                case 8:
                    i2 = R.mipmap.guoqi_8;
                    break;
                case 9:
                    i2 = R.mipmap.guoqi_9;
                    break;
                case 10:
                    i2 = R.mipmap.guoqi_10;
                    break;
                case 11:
                    i2 = R.mipmap.guoqi_11;
                    break;
                case 12:
                    i2 = R.mipmap.guoqi_12;
                    break;
                case 13:
                    i2 = R.mipmap.guoqi_13;
                    break;
                case 14:
                    i2 = R.mipmap.guoqi_14;
                    break;
                default:
                    i2 = R.mipmap.guoqi_0;
                    break;
            }
            imageView.setImageResource(i2);
            viewHolder2.pbLoad.setMax(100);
            int i3 = lineEntity.load;
            if (i3 < 80) {
                ViewGroupUtilsApi14.setColors(viewHolder2.pbLoad, -2171170, this.activity.getResources().getColor(R.color.colorPrimary));
            } else if (i3 < 100) {
                ViewGroupUtilsApi14.setColors(viewHolder2.pbLoad, -2171170, -256);
            } else {
                ViewGroupUtilsApi14.setColors(viewHolder2.pbLoad, -2171170, -65536);
            }
            viewHolder2.pbLoad.setProgress(lineEntity.load);
            TextView textView = viewHolder2.tvLoad;
            textView.setText(lineEntity.load + "%");
            viewHolder2.itemView.setOnClickListener(new View.OnClickListener(lineEntity) {
                /* class com.faster.cheetah.adapter.$$Lambda$LinePublicListAdapter$az2tEY_jr1EMTf02MrUc_5zfAVc */
                public final /* synthetic */ LineEntity f$1;

                {
                    this.f$1 = r2;
                }

                public final void onClick(View view) {
                    LinePublicListAdapter linePublicListAdapter = LinePublicListAdapter.this;
                    LineEntity lineEntity = this.f$1;
                    Objects.requireNonNull(linePublicListAdapter);
                    int i = lineEntity.canConnect;
                    if (i != 0) {
                        MainApplication mainApplication = linePublicListAdapter.application;
                        if (mainApplication.userEntity.exptimes >= 1) {
                            if (-1 == i) {
                                DialogOkCancel.Builder builder = new DialogOkCancel.Builder(view.getContext());
                                builder.setTitle(R.string.sweet_tip);
                                builder.content = lineEntity.canNotConnectTip;
                                builder.setPositiveButton(R.string.perfect_immediately, new DialogInterface.OnClickListener() {
                                    /* class com.faster.cheetah.adapter.LinePublicListAdapter.AnonymousClass1 */

                                    public void onClick(DialogInterface dialogInterface, int i) {
                                        LinePublicListAdapter.this.activity.startActivity(new Intent(LinePublicListAdapter.this.activity, PerfectInfoActivity.class));
                                        dialogInterface.dismiss();
                                    }
                                });
                                builder.setNegativeButton(R.string.i_know, new DialogInterface.OnClickListener(linePublicListAdapter) {
                                    /* class com.faster.cheetah.adapter.LinePublicListAdapter.AnonymousClass2 */

                                    public void onClick(DialogInterface dialogInterface, int i) {
                                        dialogInterface.dismiss();
                                    }
                                });
                                builder.create().show();
                                return;
                            } else if (lineEntity.load >= 100) {
                                Toast.makeText(view.getContext(), view.getContext().getString(R.string.line_full), 0).show();
                                return;
                            } else {
                                mainApplication.currentLineEntity = lineEntity;
                                linePublicListAdapter.activity.setResult(-1);
                                linePublicListAdapter.activity.finish();
                                return;
                            }
                        }
                    }
                    DialogOkCancel.Builder builder2 = new DialogOkCancel.Builder(view.getContext());
                    builder2.setTitle(R.string.sweet_tip);
                    if (!lineEntity.canNotConnectTip.trim().isEmpty()) {
                        builder2.content = lineEntity.canNotConnectTip;
                    } else if (linePublicListAdapter.application.userEntity.groupID > 2) {
                        builder2.content = linePublicListAdapter.activity.getString(R.string.vip_is_over_time);
                    } else {
                        builder2.content = linePublicListAdapter.activity.getString(R.string.trial_is_over_time);
                    }
                    builder2.setPositiveButton(R.string.to_pay, 
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00bd: INVOKE  
                          (r2v1 'builder2' com.faster.cheetah.dialog.DialogOkCancel$Builder)
                          (wrap: int : ?: SGET   com.zfast.xyz.R.string.to_pay int)
                          (wrap: com.faster.cheetah.adapter.-$$Lambda$LinePublicListAdapter$07zzQ9bH4lH86kqbTvUiAh2Lk0g : 0x00ba: CONSTRUCTOR  (r1v1 com.faster.cheetah.adapter.-$$Lambda$LinePublicListAdapter$07zzQ9bH4lH86kqbTvUiAh2Lk0g) = (r0v0 'linePublicListAdapter' com.faster.cheetah.adapter.LinePublicListAdapter) call: com.faster.cheetah.adapter.-$$Lambda$LinePublicListAdapter$07zzQ9bH4lH86kqbTvUiAh2Lk0g.<init>(com.faster.cheetah.adapter.LinePublicListAdapter):void type: CONSTRUCTOR)
                         type: VIRTUAL call: com.faster.cheetah.dialog.DialogOkCancel.Builder.setPositiveButton(int, android.content.DialogInterface$OnClickListener):com.faster.cheetah.dialog.DialogOkCancel$Builder in method: com.faster.cheetah.adapter.-$$Lambda$LinePublicListAdapter$az2tEY_jr1EMTf02MrUc_5zfAVc.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00ba: CONSTRUCTOR  (r1v1 com.faster.cheetah.adapter.-$$Lambda$LinePublicListAdapter$07zzQ9bH4lH86kqbTvUiAh2Lk0g) = (r0v0 'linePublicListAdapter' com.faster.cheetah.adapter.LinePublicListAdapter) call: com.faster.cheetah.adapter.-$$Lambda$LinePublicListAdapter$07zzQ9bH4lH86kqbTvUiAh2Lk0g.<init>(com.faster.cheetah.adapter.LinePublicListAdapter):void type: CONSTRUCTOR in method: com.faster.cheetah.adapter.-$$Lambda$LinePublicListAdapter$az2tEY_jr1EMTf02MrUc_5zfAVc.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 14 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.adapter.-$$Lambda$LinePublicListAdapter$07zzQ9bH4lH86kqbTvUiAh2Lk0g, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 20 more
                        */
                    /*
                    // Method dump skipped, instructions count: 205
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.adapter.$$Lambda$LinePublicListAdapter$az2tEY_jr1EMTf02MrUc_5zfAVc.onClick(android.view.View):void");
                }
            });
        }
    }

    /* Return type fixed from 'androidx.recyclerview.widget.RecyclerView$ViewHolder' to match base method */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        return new ViewHolder(GeneratedOutlineSupport.outline5(viewGroup, R.layout.list_item_line, viewGroup, false));
    }
}
