package com.faster.cheetah.adapter;

import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.entity.PayTypeEntity;
import com.faster.cheetah.ui.ChoosePayActivity;
import com.zfast.xyz.R;
import java.util.List;

public class PayTypeListAdapter extends RecyclerView.Adapter<ViewHolder> {
    public final ChoosePayActivity choosePayActivity;
    public final List<PayTypeEntity> payTypeEntityList;

    public class ViewHolder extends RecyclerView.ViewHolder {
        public ImageView imgTick;
        public ImageView imgType;
        public View itemView;
        public TextView tvDesc;
        public TextView tvName;

        public ViewHolder(View view) {
            super(view);
            this.itemView = view;
            this.imgType = (ImageView) view.findViewById(R.id.img_type);
            this.tvName = (TextView) view.findViewById(R.id.tv_name);
            this.tvDesc = (TextView) view.findViewById(R.id.tv_desc);
            this.imgTick = (ImageView) view.findViewById(R.id.img_tick);
        }
    }

    public PayTypeListAdapter(ChoosePayActivity choosePayActivity2, List<PayTypeEntity> list) {
        this.choosePayActivity = choosePayActivity2;
        this.payTypeEntityList = list;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        List<PayTypeEntity> list = this.payTypeEntityList;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.recyclerview.widget.RecyclerView$ViewHolder, int] */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(ViewHolder viewHolder, int i) {
        ViewHolder viewHolder2 = viewHolder;
        List<PayTypeEntity> list = this.payTypeEntityList;
        if (list != null && list.size() > i) {
            PayTypeEntity payTypeEntity = this.payTypeEntityList.get(i);
            viewHolder2.tvName.setText(payTypeEntity.payName);
            viewHolder2.tvDesc.setText(payTypeEntity.payDesc);
            int payTypeImg = ViewGroupUtilsApi14.getPayTypeImg(payTypeEntity.imageID);
            if (payTypeImg == -1) {
                viewHolder2.imgType.setVisibility(8);
            } else {
                viewHolder2.imgType.setVisibility(0);
                viewHolder2.imgType.setImageResource(payTypeImg);
            }
            if (payTypeEntity.isChecked) {
                viewHolder2.imgTick.setVisibility(0);
            } else {
                viewHolder2.imgTick.setVisibility(8);
            }
            viewHolder2.itemView.setOnClickListener(new View.OnClickListener(payTypeEntity) {
                /* class com.faster.cheetah.adapter.$$Lambda$PayTypeListAdapter$Y4Hgf48whsiuC6ouks9GKuS6_IQ */
                public final /* synthetic */ PayTypeEntity f$1;

                {
                    this.f$1 = r2;
                }

                public final void onClick(View view) {
                    PayTypeListAdapter payTypeListAdapter = PayTypeListAdapter.this;
                    PayTypeEntity payTypeEntity = this.f$1;
                    for (PayTypeEntity payTypeEntity2 : payTypeListAdapter.payTypeEntityList) {
                        payTypeEntity2.isChecked = false;
                    }
                    payTypeEntity.isChecked = true;
                    payTypeListAdapter.notifyItemRangeChanged(0, payTypeListAdapter.getItemCount());
                    payTypeListAdapter.choosePayActivity.payTypeEntity = payTypeEntity;
                }
            });
        }
    }

    /* Return type fixed from 'androidx.recyclerview.widget.RecyclerView$ViewHolder' to match base method */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        return new ViewHolder(GeneratedOutlineSupport.outline5(viewGroup, R.layout.list_item_pay_type, viewGroup, false));
    }
}
