package com.faster.cheetah.adapter;

import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.entity.ShareUserEntity;
import com.zfast.xyz.R;
import java.util.List;

public class ShareListAdapter extends RecyclerView.Adapter<ViewHolder> {
    public List<ShareUserEntity> shareUserEntityList = null;

    public class ViewHolder extends RecyclerView.ViewHolder {
        public TextView tvAccount;
        public TextView tvRegisterTime;
        public TextView tvUserNames;

        public ViewHolder(View view) {
            super(view);
            this.tvAccount = (TextView) view.findViewById(R.id.tv_account);
            this.tvRegisterTime = (TextView) view.findViewById(R.id.tv_register_time);
            this.tvUserNames = (TextView) view.findViewById(R.id.tv_usernames);
        }
    }

    public ShareListAdapter(List<ShareUserEntity> list) {
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        List<ShareUserEntity> list = this.shareUserEntityList;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.recyclerview.widget.RecyclerView$ViewHolder, int] */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(ViewHolder viewHolder, int i) {
        ViewHolder viewHolder2 = viewHolder;
        List<ShareUserEntity> list = this.shareUserEntityList;
        if (list != null) {
            ShareUserEntity shareUserEntity = list.get(i);
            viewHolder2.tvAccount.setText(shareUserEntity.userNames);
            viewHolder2.tvRegisterTime.setText(shareUserEntity.registerTime);
            viewHolder2.tvUserNames.setText(shareUserEntity.clientName);
        }
    }

    /* Return type fixed from 'androidx.recyclerview.widget.RecyclerView$ViewHolder' to match base method */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        return new ViewHolder(GeneratedOutlineSupport.outline5(viewGroup, R.layout.list_item_share, viewGroup, false));
    }
}
