package com.faster.cheetah.sdk.shadowsocks.core;

import com.faster.cheetah.sdk.shadowsocks.tunnel.Tunnel;
import java.net.InetSocketAddress;
import java.nio.channels.SelectionKey;
import java.nio.channels.Selector;
import java.nio.channels.ServerSocketChannel;
import java.nio.channels.SocketChannel;

public class TcpProxyServer implements Runnable {
    public short Port;
    public boolean Stopped;
    public Selector m_Selector = Selector.open();
    public ServerSocketChannel m_ServerSocketChannel;
    public Thread m_ServerThread;

    public TcpProxyServer(int i) {
        ServerSocketChannel open = ServerSocketChannel.open();
        this.m_ServerSocketChannel = open;
        open.configureBlocking(false);
        this.m_ServerSocketChannel.socket().bind(new InetSocketAddress(i));
        this.m_ServerSocketChannel.register(this.m_Selector, 16);
        short localPort = (short) this.m_ServerSocketChannel.socket().getLocalPort();
        this.Port = localPort;
        System.out.printf("AsyncTcpServer listen on %d success.\n", Integer.valueOf(localPort & 65535));
    }

    public InetSocketAddress getDestAddress(SocketChannel socketChannel) {
        NatSession session = NatSessionManager.getSession((short) socketChannel.socket().getPort());
        if (session == null) {
            return null;
        }
        if (ProxyConfig.Instance.needProxy(session.RemoteHost, session.RemoteIP)) {
            return InetSocketAddress.createUnresolved(session.RemoteHost, session.RemotePort & 65535);
        }
        return new InetSocketAddress(socketChannel.socket().getInetAddress(), session.RemotePort & 65535);
    }

    public void onAccepted(SelectionKey selectionKey) {
        Tunnel tunnel = null;
        try {
            SocketChannel accept = this.m_ServerSocketChannel.accept();
            Tunnel wrap = TunnelFactory.wrap(accept, this.m_Selector);
            InetSocketAddress destAddress = getDestAddress(accept);
            if (destAddress != null) {
                Tunnel createTunnelByConfig = TunnelFactory.createTunnelByConfig(destAddress, this.m_Selector);
                createTunnelByConfig.setBrotherTunnel(wrap);
                wrap.setBrotherTunnel(createTunnelByConfig);
                createTunnelByConfig.connect(destAddress);
                return;
            }
            LocalVpnService.Instance.writeLog("Error: socket(%s:%d) target host is null.", accept.socket().getInetAddress().toString(), Integer.valueOf(accept.socket().getPort()));
            wrap.dispose();
        } catch (Exception e) {
            e.printStackTrace();
            LocalVpnService.Instance.writeLog("Error: remote socket create failed: %s", e.toString());
            if (0 != 0) {
                tunnel.dispose();
            }
        }
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:57)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:15)
        */
    /* JADX WARNING: Removed duplicated region for block: B:5:0x0017 A[Catch:{ Exception -> 0x006d, all -> 0x006b }] */
    public void run() {
        /*
        // Method dump skipped, instructions count: 131
        */
        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.sdk.shadowsocks.core.TcpProxyServer.run():void");
    }

    public void start() {
        Thread thread = new Thread(this);
        this.m_ServerThread = thread;
        thread.setName("TcpProxyServerThread");
        this.m_ServerThread.start();
    }

    public void stop() {
        this.Stopped = true;
        Selector selector = this.m_Selector;
        if (selector != null) {
            try {
                selector.close();
                this.m_Selector = null;
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        ServerSocketChannel serverSocketChannel = this.m_ServerSocketChannel;
        if (serverSocketChannel != null) {
            try {
                serverSocketChannel.close();
                this.m_ServerSocketChannel = null;
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }
}
