package com.faster.cheetah.sdk.strongswan.data;

import java.util.EnumSet;

/* JADX WARN: Init of enum IKEV2_EAP can be incorrect */
/* JADX WARN: Init of enum IKEV2_CERT can be incorrect */
/* JADX WARN: Init of enum IKEV2_CERT_EAP can be incorrect */
/* JADX WARN: Init of enum IKEV2_EAP_TLS can be incorrect */
/* JADX WARN: Init of enum IKEV2_BYOD_EAP can be incorrect */
public enum VpnType {
    IKEV2_EAP("ikev2-eap", EnumSet.of(r1)),
    IKEV2_CERT("ikev2-cert", EnumSet.of(r3)),
    IKEV2_CERT_EAP("ikev2-cert-eap", EnumSet.of(r1, r3)),
    IKEV2_EAP_TLS("ikev2-eap-tls", EnumSet.of(r3)),
    IKEV2_BYOD_EAP("ikev2-byod-eap", EnumSet.of(r1, VpnTypeFeature.BYOD));
    
    private EnumSet<VpnTypeFeature> mFeatures;
    private String mIdentifier;

    public enum VpnTypeFeature {
        CERTIFICATE,
        USER_PASS,
        BYOD
    }

    /* access modifiers changed from: public */
    static {
        VpnTypeFeature vpnTypeFeature = VpnTypeFeature.USER_PASS;
        VpnTypeFeature vpnTypeFeature2 = VpnTypeFeature.CERTIFICATE;
    }

    private VpnType(String str, EnumSet enumSet) {
        this.mIdentifier = str;
        this.mFeatures = enumSet;
    }

    public static VpnType fromIdentifier(String str) {
        VpnType[] values = values();
        for (int i = 0; i < 5; i++) {
            VpnType vpnType = values[i];
            if (str.equals(vpnType.mIdentifier)) {
                return vpnType;
            }
        }
        return IKEV2_EAP;
    }

    public String getIdentifier() {
        return this.mIdentifier;
    }

    public boolean has(VpnTypeFeature vpnTypeFeature) {
        return this.mFeatures.contains(vpnTypeFeature);
    }
}
