package com.faster.cheetah.sdk.strongswan.logic;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import java.util.LinkedList;

public class NetworkManager extends BroadcastReceiver implements Runnable {
    private final Context mContext;
    private Thread mEventNotifier;
    private LinkedList<Boolean> mEvents = new LinkedList<>();
    private volatile boolean mRegistered;

    public NetworkManager(Context context) {
        this.mContext = context;
    }

    public void Register() {
        this.mEvents.clear();
        this.mRegistered = true;
        Thread thread = new Thread(this);
        this.mEventNotifier = thread;
        thread.start();
        this.mContext.registerReceiver(this, new IntentFilter("android.net.conn.CONNECTIVITY_CHANGE"));
    }

    public void Unregister() {
        this.mContext.unregisterReceiver(this);
        this.mRegistered = false;
        synchronized (this) {
            notifyAll();
        }
        try {
            this.mEventNotifier.join();
            this.mEventNotifier = null;
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

    public boolean isConnected() {
        ConnectivityManager connectivityManager = (ConnectivityManager) this.mContext.getSystemService("connectivity");
        NetworkInfo activeNetworkInfo = connectivityManager != null ? connectivityManager.getActiveNetworkInfo() : null;
        return activeNetworkInfo != null && activeNetworkInfo.isConnected();
    }

    public native void networkChanged(boolean z);

    public void onReceive(Context context, Intent intent) {
        synchronized (this) {
            this.mEvents.addLast(Boolean.valueOf(isConnected()));
            notifyAll();
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0028, code lost:
        networkChanged(!r0);
     */
    public void run() {
        while (this.mRegistered) {
            synchronized (this) {
                while (this.mRegistered && this.mEvents.isEmpty()) {
                    try {
                        wait();
                    } catch (InterruptedException unused) {
                        return;
                    }
                }
                if (this.mRegistered) {
                    boolean booleanValue = this.mEvents.removeFirst().booleanValue();
                } else {
                    return;
                }
            }
        }
    }
}
