package com.faster.cheetah.sdk.strongswan.logic.imc;

import android.content.Context;
import com.faster.cheetah.sdk.strongswan.logic.imc.attributes.Attribute;
import com.faster.cheetah.sdk.strongswan.logic.imc.attributes.AttributeType;
import com.faster.cheetah.sdk.strongswan.logic.imc.collectors.Collector;
import com.faster.cheetah.sdk.strongswan.logic.imc.collectors.DeviceIdCollector;
import com.faster.cheetah.sdk.strongswan.logic.imc.collectors.InstalledPackagesCollector;
import com.faster.cheetah.sdk.strongswan.logic.imc.collectors.PortFilterCollector;
import com.faster.cheetah.sdk.strongswan.logic.imc.collectors.ProductInformationCollector;
import com.faster.cheetah.sdk.strongswan.logic.imc.collectors.SettingsCollector;
import com.faster.cheetah.sdk.strongswan.logic.imc.collectors.StringVersionCollector;

public class AndroidImc {
    private final Context mContext;

    /* renamed from: com.faster.cheetah.sdk.strongswan.logic.imc.AndroidImc$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$com$faster$cheetah$sdk$strongswan$logic$imc$attributes$AttributeType;

        /* JADX WARNING: Can't wrap try/catch for region: R(14:0|1|2|3|4|5|6|7|8|9|10|11|12|14) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            AttributeType.values();
            int[] iArr = new int[16];
            $SwitchMap$com$faster$cheetah$sdk$strongswan$logic$imc$attributes$AttributeType = iArr;
            iArr[AttributeType.IETF_PRODUCT_INFORMATION.ordinal()] = 1;
            $SwitchMap$com$faster$cheetah$sdk$strongswan$logic$imc$attributes$AttributeType[AttributeType.IETF_STRING_VERSION.ordinal()] = 2;
            $SwitchMap$com$faster$cheetah$sdk$strongswan$logic$imc$attributes$AttributeType[AttributeType.IETF_PORT_FILTER.ordinal()] = 3;
            $SwitchMap$com$faster$cheetah$sdk$strongswan$logic$imc$attributes$AttributeType[AttributeType.IETF_INSTALLED_PACKAGES.ordinal()] = 4;
            $SwitchMap$com$faster$cheetah$sdk$strongswan$logic$imc$attributes$AttributeType[AttributeType.ITA_SETTINGS.ordinal()] = 5;
            try {
                $SwitchMap$com$faster$cheetah$sdk$strongswan$logic$imc$attributes$AttributeType[AttributeType.ITA_DEVICE_ID.ordinal()] = 6;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public AndroidImc(Context context) {
        this.mContext = context;
    }

    public byte[] getMeasurement(int i, int i2) {
        return getMeasurement(i, i2, null);
    }

    public byte[] getMeasurement(int i, int i2, String[] strArr) {
        Collector collector;
        Attribute measurement;
        int ordinal = AttributeType.fromValues(i, i2).ordinal();
        if (ordinal == 2) {
            collector = new ProductInformationCollector();
        } else if (ordinal == 4) {
            collector = new StringVersionCollector();
        } else if (ordinal == 6) {
            collector = new PortFilterCollector();
        } else if (ordinal == 7) {
            collector = new InstalledPackagesCollector(this.mContext);
        } else if (ordinal == 14) {
            collector = new SettingsCollector(this.mContext, strArr);
        } else if (ordinal != 15) {
            collector = null;
        } else {
            collector = new DeviceIdCollector(this.mContext);
        }
        if (collector == null || (measurement = collector.getMeasurement()) == null) {
            return null;
        }
        return measurement.getEncoding();
    }
}
