package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.ActivityNotFoundException;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.ServiceConnection;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.net.Uri;
import android.net.wifi.WifiInfo;
import android.net.wifi.WifiManager;
import android.os.Build;
import android.os.Bundle;
import android.os.Environment;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.os.Message;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.ProgressBar;
import android.widget.TextView;
import android.widget.Toast;
import androidx.core.content.FileProvider;
import androidx.databinding.DataBindingUtil;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainActivity;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.databinding.ActivityGuideBinding;
import com.faster.cheetah.dialog.DialogOkCancel;
import com.faster.cheetah.entity.ConfigEntity;
import com.faster.cheetah.entity.ConfigResponseEntity;
import com.faster.cheetah.entity.TagEntity;
import com.faster.cheetah.sdk.shadowsocks.core.ProxyConfig;
import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import com.faster.cheetah.service.AlcedoService;
import com.faster.cheetah.util.CrashHandler;
import com.faster.cheetah.util.SharedPreferencesHelper;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.zfast.xyz.R;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.LineNumberReader;
import java.net.NetworkInterface;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Objects;
import java.util.Timer;
import java.util.TimerTask;
import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.FormBody;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import okhttp3.internal.connection.RealCall;
import org.json.JSONException;
import org.json.JSONObject;

public class GuideActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public AlcedoService alcedoService;
    public ActivityGuideBinding binding;
    public final BroadcastReceiver broadcastReceiver = new BroadcastReceiver() {
        /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass16 */

        public void onReceive(Context context, Intent intent) {
            if (TextUtils.equals(intent.getAction(), "android.intent.action.PACKAGE_REMOVED")) {
                GuideActivity.access$000(GuideActivity.this);
            }
        }
    };
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass1 */

        /* JADX WARNING: Removed duplicated region for block: B:8:0x004d  */
        public void handleMessage(Message message) {
            super.handleMessage(message);
            String string = message.getData().getString("msg", "");
            int i = message.what;
            if (i != 1) {
                switch (i) {
                    case 3:
                        GuideActivity guideActivity = GuideActivity.this;
                        Toast.makeText(guideActivity.activity, guideActivity.getString(R.string.error_no_available_server_domain), 0).show();
                        GuideActivity guideActivity2 = GuideActivity.this;
                        guideActivity2.showHint(guideActivity2.getString(R.string.load_data_fail));
                        return;
                    case 4:
                    case 8:
                        break;
                    case 5:
                    case 9:
                        GuideActivity guideActivity3 = GuideActivity.this;
                        Toast.makeText(guideActivity3.activity, guideActivity3.getString(R.string.error_data_format), 0).show();
                        GuideActivity guideActivity4 = GuideActivity.this;
                        guideActivity4.showHint(guideActivity4.getString(R.string.load_data_fail));
                        return;
                    case 6:
                    case 10:
                        GuideActivity.access$000(GuideActivity.this);
                        return;
                    case 7:
                    case 11:
                        GuideActivity guideActivity5 = GuideActivity.this;
                        int i2 = GuideActivity.$r8$clinit;
                        guideActivity5.goLogin();
                        return;
                    default:
                        switch (i) {
                            case 84:
                                GuideActivity guideActivity6 = GuideActivity.this;
                                MainApplication mainApplication = guideActivity6.application;
                                if (mainApplication.configEntity != null) {
                                    int i3 = GuideActivity.$r8$clinit;
                                    mainApplication.executorService.execute(new Runnable() {
                                        /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass13 */

                                        /* JADX WARNING: Removed duplicated region for block: B:46:0x00ec  */
                                        /* JADX WARNING: Removed duplicated region for block: B:50:0x0160  */
                                        public void run() {
                                            String str;
                                            AlcedoService alcedoService;
                                            WifiInfo wifiInfo;
                                            MainApplication mainApplication = GuideActivity.this.application;
                                            if (mainApplication.alcedoService != null) {
                                                String deviceID = mainApplication.getDeviceID();
                                                BaseActivity baseActivity = GuideActivity.this.activity;
                                                int i = Build.VERSION.SDK_INT;
                                                String str2 = null;
                                                String str3 = "";
                                                if (i < 23) {
                                                    if (baseActivity != null) {
                                                        try {
                                                            wifiInfo = ((WifiManager) baseActivity.getSystemService("wifi")).getConnectionInfo();
                                                        } catch (Exception e) {
                                                            e.printStackTrace();
                                                            wifiInfo = null;
                                                        }
                                                        if (wifiInfo != null) {
                                                            str = wifiInfo.getMacAddress();
                                                            if (!TextUtils.isEmpty(str)) {
                                                                str = str.toUpperCase(Locale.ENGLISH);
                                                            }
                                                            String str4 = Build.MODEL;
                                                            String str5 = Build.VERSION.RELEASE;
                                                            alcedoService = GuideActivity.this.application.alcedoService;
                                                            Objects.requireNonNull(alcedoService);
                                                            new Message();
                                                            if (TextUtils.isEmpty(alcedoService.application.serverDomain) || 2 == alcedoService.getAvailableServerDomain().what) {
                                                                String md5 = ViewGroupUtilsApi14.md5("hgr" + alcedoService.application.getDeviceID() + "rgh");
                                                                String md52 = ViewGroupUtilsApi14.md5(deviceID + str + str4 + str5 + "wxvpnhahaha");
                                                                StringBuilder sb = new StringBuilder();
                                                                sb.append(alcedoService.application.serverDomain);
                                                                sb.append("?p=apido&c=1&t=setupstj&lang=");
                                                                GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                                                                String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                                                                FormBody.Builder builder = new FormBody.Builder();
                                                                builder.add("devid", deviceID);
                                                                if (str != null) {
                                                                    str3 = str;
                                                                }
                                                                builder.add("sysid", str3);
                                                                builder.add("sysxh", str4);
                                                                builder.add("sysver", str5);
                                                                builder.add("setupsign", md52);
                                                                builder.add("devauthcode", md5);
                                                                alcedoService.httpRequest2(outline8, builder);
                                                            }
                                                            return;
                                                        }
                                                    }
                                                    str = str3;
                                                    String str42 = Build.MODEL;
                                                    String str52 = Build.VERSION.RELEASE;
                                                    alcedoService = GuideActivity.this.application.alcedoService;
                                                    Objects.requireNonNull(alcedoService);
                                                    new Message();
                                                    if (TextUtils.isEmpty(alcedoService.application.serverDomain)) {
                                                    }
                                                    String md53 = ViewGroupUtilsApi14.md5("hgr" + alcedoService.application.getDeviceID() + "rgh");
                                                    String md522 = ViewGroupUtilsApi14.md5(deviceID + str + str42 + str52 + "wxvpnhahaha");
                                                    StringBuilder sb2 = new StringBuilder();
                                                    sb2.append(alcedoService.application.serverDomain);
                                                    sb2.append("?p=apido&c=1&t=setupstj&lang=");
                                                    GeneratedOutlineSupport.outline31(alcedoService.application, sb2, "&v=");
                                                    String outline82 = GeneratedOutlineSupport.outline8(alcedoService.context, sb2);
                                                    FormBody.Builder builder2 = new FormBody.Builder();
                                                    builder2.add("devid", deviceID);
                                                    if (str != null) {
                                                    }
                                                    builder2.add("sysid", str3);
                                                    builder2.add("sysxh", str42);
                                                    builder2.add("sysver", str52);
                                                    builder2.add("setupsign", md522);
                                                    builder2.add("devauthcode", md53);
                                                    alcedoService.httpRequest2(outline82, builder2);
                                                } else if (i < 24) {
                                                    try {
                                                        LineNumberReader lineNumberReader = new LineNumberReader(new InputStreamReader(Runtime.getRuntime().exec("cat/sys/class/net/wlan0/address").getInputStream()));
                                                        String str6 = str3;
                                                        while (true) {
                                                            if (str6 == null) {
                                                                break;
                                                            }
                                                            str6 = lineNumberReader.readLine();
                                                            if (str6 != null) {
                                                                str2 = str6.trim();
                                                                break;
                                                            }
                                                        }
                                                    } catch (IOException e2) {
                                                        e2.printStackTrace();
                                                    }
                                                } else {
                                                    try {
                                                        Enumeration<NetworkInterface> networkInterfaces = NetworkInterface.getNetworkInterfaces();
                                                        if (networkInterfaces != null) {
                                                            StringBuilder sb3 = new StringBuilder();
                                                            while (true) {
                                                                if (!networkInterfaces.hasMoreElements()) {
                                                                    break;
                                                                }
                                                                NetworkInterface nextElement = networkInterfaces.nextElement();
                                                                if (nextElement.getName().equals("wlan0")) {
                                                                    byte[] hardwareAddress = nextElement.getHardwareAddress();
                                                                    int length = hardwareAddress.length;
                                                                    for (int i2 = 0; i2 < length; i2++) {
                                                                        sb3.append(String.format("%02X:", Byte.valueOf(hardwareAddress[i2])));
                                                                    }
                                                                    if (!TextUtils.isEmpty(sb3)) {
                                                                        sb3.deleteCharAt(sb3.length() - 1);
                                                                    }
                                                                }
                                                            }
                                                            str = sb3.toString();
                                                            String str422 = Build.MODEL;
                                                            String str522 = Build.VERSION.RELEASE;
                                                            alcedoService = GuideActivity.this.application.alcedoService;
                                                            Objects.requireNonNull(alcedoService);
                                                            new Message();
                                                            if (TextUtils.isEmpty(alcedoService.application.serverDomain)) {
                                                            }
                                                            String md532 = ViewGroupUtilsApi14.md5("hgr" + alcedoService.application.getDeviceID() + "rgh");
                                                            String md5222 = ViewGroupUtilsApi14.md5(deviceID + str + str422 + str522 + "wxvpnhahaha");
                                                            StringBuilder sb22 = new StringBuilder();
                                                            sb22.append(alcedoService.application.serverDomain);
                                                            sb22.append("?p=apido&c=1&t=setupstj&lang=");
                                                            GeneratedOutlineSupport.outline31(alcedoService.application, sb22, "&v=");
                                                            String outline822 = GeneratedOutlineSupport.outline8(alcedoService.context, sb22);
                                                            FormBody.Builder builder22 = new FormBody.Builder();
                                                            builder22.add("devid", deviceID);
                                                            if (str != null) {
                                                            }
                                                            builder22.add("sysid", str3);
                                                            builder22.add("sysxh", str422);
                                                            builder22.add("sysver", str522);
                                                            builder22.add("setupsign", md5222);
                                                            builder22.add("devauthcode", md532);
                                                            alcedoService.httpRequest2(outline822, builder22);
                                                        }
                                                    } catch (Exception e3) {
                                                        e3.printStackTrace();
                                                    }
                                                }
                                                str = str2;
                                                String str4222 = Build.MODEL;
                                                String str5222 = Build.VERSION.RELEASE;
                                                alcedoService = GuideActivity.this.application.alcedoService;
                                                Objects.requireNonNull(alcedoService);
                                                new Message();
                                                if (TextUtils.isEmpty(alcedoService.application.serverDomain)) {
                                                }
                                                String md5322 = ViewGroupUtilsApi14.md5("hgr" + alcedoService.application.getDeviceID() + "rgh");
                                                String md52222 = ViewGroupUtilsApi14.md5(deviceID + str + str4222 + str5222 + "wxvpnhahaha");
                                                StringBuilder sb222 = new StringBuilder();
                                                sb222.append(alcedoService.application.serverDomain);
                                                sb222.append("?p=apido&c=1&t=setupstj&lang=");
                                                GeneratedOutlineSupport.outline31(alcedoService.application, sb222, "&v=");
                                                String outline8222 = GeneratedOutlineSupport.outline8(alcedoService.context, sb222);
                                                FormBody.Builder builder222 = new FormBody.Builder();
                                                builder222.add("devid", deviceID);
                                                if (str != null) {
                                                }
                                                builder222.add("sysid", str3);
                                                builder222.add("sysxh", str4222);
                                                builder222.add("sysver", str5222);
                                                builder222.add("setupsign", md52222);
                                                builder222.add("devauthcode", md5322);
                                                alcedoService.httpRequest2(outline8222, builder222);
                                            }
                                        }
                                    });
                                    if (GuideActivity.this.application.configEntity.serviceClosed.intValue() != 0) {
                                        GuideActivity guideActivity7 = GuideActivity.this;
                                        Objects.requireNonNull(guideActivity7);
                                        DialogOkCancel dialogOkCancel = new DialogOkCancel(guideActivity7.activity, R.style.ok_cancel_dialog);
                                        View inflate = LayoutInflater.from(guideActivity7.activity).inflate(R.layout.dialog_ok_cancel, (ViewGroup) null);
                                        dialogOkCancel.addContentView(inflate, new ViewGroup.LayoutParams(-1, -2));
                                        LinearLayout linearLayout = (LinearLayout) inflate.findViewById(R.id.layout_btn);
                                        ProgressBar progressBar = (ProgressBar) inflate.findViewById(R.id.progress_down);
                                        TextView textView = (TextView) inflate.findViewById(R.id.tv_content);
                                        TextView textView2 = (TextView) inflate.findViewById(R.id.tv_title);
                                        textView2.setText(guideActivity7.getString(R.string.update_tip));
                                        textView.setText(guideActivity7.getString(R.string.find_new_version) + guideActivity7.application.configEntity.version + "\n" + guideActivity7.application.configEntity.serviceClosedTip);
                                        Button button = (Button) inflate.findViewById(R.id.btn_ok);
                                        button.setText(guideActivity7.getString(R.string.btn_update));
                                        button.setOnClickListener(new View.OnClickListener(dialogOkCancel, linearLayout, textView, textView2, progressBar) {
                                            /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass4 */
                                            public final /* synthetic */ DialogOkCancel val$dialog;
                                            public final /* synthetic */ LinearLayout val$layoutBtn;
                                            public final /* synthetic */ ProgressBar val$progressDownload;
                                            public final /* synthetic */ TextView val$tvContent;
                                            public final /* synthetic */ TextView val$tvTitle;

                                            {
                                                this.val$dialog = r2;
                                                this.val$layoutBtn = r3;
                                                this.val$tvContent = r4;
                                                this.val$tvTitle = r5;
                                                this.val$progressDownload = r6;
                                            }

                                            public void onClick(View view) {
                                                if (GuideActivity.this.application.configEntity.serviceClosed.intValue() == 2) {
                                                    try {
                                                        GuideActivity.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(GuideActivity.this.application.configEntity.downloadUrl)));
                                                    } catch (ActivityNotFoundException e) {
                                                        e.printStackTrace();
                                                    }
                                                } else if (!Environment.getExternalStorageState().equals("mounted")) {
                                                    GuideActivity guideActivity = GuideActivity.this;
                                                    Toast.makeText(guideActivity.activity, guideActivity.getString(R.string.no_find_sd_card), 0).show();
                                                    this.val$dialog.dismiss();
                                                } else {
                                                    this.val$layoutBtn.setVisibility(8);
                                                    this.val$tvContent.setVisibility(8);
                                                    this.val$tvTitle.setText(GuideActivity.this.getString(R.string.loading));
                                                    this.val$progressDownload.setVisibility(0);
                                                    OkHttpClient okHttpClient = new OkHttpClient(new OkHttpClient.Builder());
                                                    new FormBody(new ArrayList(), new ArrayList());
                                                    Request.Builder builder = new Request.Builder();
                                                    builder.url(GuideActivity.this.application.configEntity.downloadUrl);
                                                    ((RealCall) okHttpClient.newCall(builder.build())).enqueue(new Callback() {
                                                        /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass4.AnonymousClass1 */

                                                        @Override // okhttp3.Callback
                                                        public void onFailure(Call call, IOException iOException) {
                                                            AnonymousClass4.this.val$dialog.dismiss();
                                                        }

                                                        /* JADX WARNING: Removed duplicated region for block: B:34:0x007d A[SYNTHETIC, Splitter:B:34:0x007d] */
                                                        /* JADX WARNING: Removed duplicated region for block: B:39:0x0087 A[SYNTHETIC, Splitter:B:39:0x0087] */
                                                        /* JADX WARNING: Removed duplicated region for block: B:46:0x0099 A[SYNTHETIC, Splitter:B:46:0x0099] */
                                                        /* JADX WARNING: Removed duplicated region for block: B:51:0x00a3 A[SYNTHETIC, Splitter:B:51:0x00a3] */
                                                        @Override // okhttp3.Callback
                                                        public void onResponse(Call call, Response response) {
                                                            Throwable th;
                                                            FileOutputStream fileOutputStream;
                                                            InputStream inputStream;
                                                            IOException e;
                                                            Exception e2;
                                                            Exception e3;
                                                            Throwable th2;
                                                            try {
                                                                inputStream = response.body.source().inputStream();
                                                                try {
                                                                    AnonymousClass4.this.val$progressDownload.setMax((int) response.body.contentLength());
                                                                    fileOutputStream = new FileOutputStream(new File(GuideActivity.this.getExternalCacheDir(), "LieBao.apk"));
                                                                    try {
                                                                        byte[] bArr = new byte[1024];
                                                                        int i = 0;
                                                                        while (true) {
                                                                            int read = inputStream.read(bArr);
                                                                            if (read == -1) {
                                                                                break;
                                                                            }
                                                                            fileOutputStream.write(bArr, 0, read);
                                                                            i += read;
                                                                            AnonymousClass4.this.val$progressDownload.setProgress(i);
                                                                        }
                                                                        fileOutputStream.flush();
                                                                        fileOutputStream.close();
                                                                        GuideActivity guideActivity = GuideActivity.this;
                                                                        int i2 = GuideActivity.$r8$clinit;
                                                                        guideActivity.prepareInstall();
                                                                        try {
                                                                            inputStream.close();
                                                                        } catch (IOException e4) {
                                                                            e4.printStackTrace();
                                                                        }
                                                                        try {
                                                                            fileOutputStream.close();
                                                                        } catch (IOException e5) {
                                                                            e = e5;
                                                                        }
                                                                    } catch (Exception e6) {
                                                                        e2 = e6;
                                                                        try {
                                                                            e2.printStackTrace();
                                                                            if (inputStream != null) {
                                                                            }
                                                                            if (fileOutputStream != null) {
                                                                            }
                                                                            AnonymousClass4.this.val$dialog.dismiss();
                                                                        } catch (Throwable th3) {
                                                                            th = th3;
                                                                            if (inputStream != null) {
                                                                                try {
                                                                                    inputStream.close();
                                                                                } catch (IOException e7) {
                                                                                    e7.printStackTrace();
                                                                                }
                                                                            }
                                                                            if (fileOutputStream != null) {
                                                                                try {
                                                                                    fileOutputStream.close();
                                                                                } catch (IOException e8) {
                                                                                    e8.printStackTrace();
                                                                                }
                                                                            }
                                                                            AnonymousClass4.this.val$dialog.dismiss();
                                                                            throw th;
                                                                        }
                                                                    }
                                                                } catch (Exception e9) {
                                                                    e3 = e9;
                                                                    fileOutputStream = null;
                                                                    e2 = e3;
                                                                    e2.printStackTrace();
                                                                    if (inputStream != null) {
                                                                    }
                                                                    if (fileOutputStream != null) {
                                                                    }
                                                                    AnonymousClass4.this.val$dialog.dismiss();
                                                                } catch (Throwable th4) {
                                                                    th2 = th4;
                                                                    fileOutputStream = null;
                                                                    th = th2;
                                                                    if (inputStream != null) {
                                                                    }
                                                                    if (fileOutputStream != null) {
                                                                    }
                                                                    AnonymousClass4.this.val$dialog.dismiss();
                                                                    throw th;
                                                                }
                                                            } catch (Exception e10) {
                                                                e3 = e10;
                                                                inputStream = null;
                                                                fileOutputStream = null;
                                                                e2 = e3;
                                                                e2.printStackTrace();
                                                                if (inputStream != null) {
                                                                    try {
                                                                        inputStream.close();
                                                                    } catch (IOException e11) {
                                                                        e11.printStackTrace();
                                                                    }
                                                                }
                                                                if (fileOutputStream != null) {
                                                                    try {
                                                                        fileOutputStream.close();
                                                                    } catch (IOException e12) {
                                                                        e = e12;
                                                                    }
                                                                }
                                                                AnonymousClass4.this.val$dialog.dismiss();
                                                            } catch (Throwable th5) {
                                                                th2 = th5;
                                                                inputStream = null;
                                                                fileOutputStream = null;
                                                                th = th2;
                                                                if (inputStream != null) {
                                                                }
                                                                if (fileOutputStream != null) {
                                                                }
                                                                AnonymousClass4.this.val$dialog.dismiss();
                                                                throw th;
                                                            }
                                                            AnonymousClass4.this.val$dialog.dismiss();
                                                            e.printStackTrace();
                                                            AnonymousClass4.this.val$dialog.dismiss();
                                                        }
                                                    });
                                                }
                                            }
                                        });
                                        Button button2 = (Button) inflate.findViewById(R.id.btn_cancel);
                                        button2.setText(guideActivity7.getString(R.string.btn_exit));
                                        button2.setOnClickListener(new View.OnClickListener(dialogOkCancel) {
                                            /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass5 */
                                            public final /* synthetic */ DialogOkCancel val$dialog;

                                            {
                                                this.val$dialog = r2;
                                            }

                                            public void onClick(View view) {
                                                GuideActivity.this.application.configEntity = null;
                                                this.val$dialog.dismiss();
                                                GuideActivity.this.finish();
                                            }
                                        });
                                        dialogOkCancel.setContentView(inflate);
                                        dialogOkCancel.setCancelable(false);
                                        dialogOkCancel.show();
                                        guideActivity7.binding.tvDownloadLink.setVisibility(0);
                                        guideActivity7.binding.tvDownloadLink.setOnClickListener(new View.OnClickListener() {
                                            /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass6 */

                                            public void onClick(View view) {
                                                try {
                                                    GuideActivity.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(GuideActivity.this.application.configEntity.downloadUrl)));
                                                } catch (ActivityNotFoundException e) {
                                                    e.printStackTrace();
                                                }
                                            }
                                        });
                                    } else {
                                        GuideActivity.this.login();
                                    }
                                    CrashHandler.sInstance.uploadExceptionToServer(GuideActivity.this.application.alcedoService);
                                    return;
                                }
                                guideActivity6.login();
                                return;
                            case 85:
                            case 88:
                                GuideActivity.this.showHint(string);
                                return;
                            case 86:
                                break;
                            case 87:
                                break;
                            default:
                                return;
                        }
                }
            }
            GuideActivity guideActivity8 = GuideActivity.this;
            guideActivity8.showHint(guideActivity8.getString(R.string.load_data_fail));
        }
    };
    public String password;
    public final ServiceConnection sc = new ServiceConnection() {
        /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass2 */

        public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            GuideActivity guideActivity = GuideActivity.this;
            AlcedoService alcedoService = AlcedoService.this;
            guideActivity.alcedoService = alcedoService;
            MainApplication mainApplication = guideActivity.application;
            mainApplication.alcedoService = alcedoService;
            if (mainApplication.isLogin) {
                new Timer().schedule(new TimerTask() {
                    /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass7 */

                    public void run() {
                        GuideActivity.this.startActivity(new Intent(GuideActivity.this.activity, MainActivity.class));
                        GuideActivity guideActivity = GuideActivity.this;
                        AlcedoService alcedoService = guideActivity.alcedoService;
                        guideActivity.finish();
                    }
                }, 500);
            } else {
                guideActivity.GetConfigTask();
            }
        }

        public void onServiceDisconnected(ComponentName componentName) {
            GuideActivity.this.alcedoService = null;
        }
    };
    public String userName;

    public static void access$000(GuideActivity guideActivity) {
        boolean z;
        Objects.requireNonNull(guideActivity);
        try {
            Iterator<PackageInfo> it = guideActivity.activity.getPackageManager().getInstalledPackages(8192).iterator();
            while (true) {
                if (it.hasNext()) {
                    if ("com.skysoft.abcfast".equals(it.next().packageName)) {
                        z = true;
                        break;
                    }
                } else {
                    z = false;
                    break;
                }
            }
            if (z) {
                guideActivity.binding.layoutAbc.setVisibility(0);
                guideActivity.binding.btnCancel.setOnClickListener(new View.OnClickListener() {
                    /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass14 */

                    public void onClick(View view) {
                        GuideActivity guideActivity = GuideActivity.this;
                        int i = GuideActivity.$r8$clinit;
                        Objects.requireNonNull(guideActivity);
                        new Timer().schedule(new TimerTask() {
                            /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass7 */

                            public void run() {
                                GuideActivity.this.startActivity(new Intent(GuideActivity.this.activity, MainActivity.class));
                                GuideActivity guideActivity = GuideActivity.this;
                                AlcedoService alcedoService = guideActivity.alcedoService;
                                guideActivity.finish();
                            }
                        }, 500);
                    }
                });
                guideActivity.binding.btnUninstall.setOnClickListener(new View.OnClickListener() {
                    /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass15 */

                    public void onClick(View view) {
                        Intent intent = new Intent("android.intent.action.DELETE");
                        intent.setData(Uri.parse("package:com.skysoft.abcfast"));
                        intent.addFlags(268435456);
                        GuideActivity.this.startActivity(intent);
                    }
                });
                return;
            }
            throw new PackageManager.NameNotFoundException();
        } catch (Exception unused) {
            new Timer().schedule(new TimerTask() {
                /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass7 */

                public void run() {
                    GuideActivity.this.startActivity(new Intent(GuideActivity.this.activity, MainActivity.class));
                    GuideActivity guideActivity = GuideActivity.this;
                    AlcedoService alcedoService = guideActivity.alcedoService;
                    guideActivity.finish();
                }
            }, 500);
        }
    }

    public void GetConfigTask() {
        MainApplication mainApplication = this.application;
        if (mainApplication.configEntity != null) {
            Message message = new Message();
            message.what = 84;
            this.handler.sendMessage(message);
            return;
        }
        mainApplication.executorService.execute(new Runnable() {
            /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass12 */

            /* JADX WARNING: Code restructure failed: missing block: B:5:0x0023, code lost:
                if (2 != r2.what) goto L_0x00cd;
             */
            public void run() {
                GuideActivity guideActivity = GuideActivity.this;
                AlcedoService alcedoService = guideActivity.application.alcedoService;
                if (alcedoService != null) {
                    String versionName = ViewGroupUtilsApi14.getVersionName(guideActivity.activity);
                    Message outline4 = GeneratedOutlineSupport.outline4(alcedoService);
                    if (TextUtils.isEmpty(alcedoService.application.serverDomain)) {
                        outline4 = alcedoService.getAvailableServerDomain();
                    }
                    StringBuilder sb = new StringBuilder();
                    sb.append(alcedoService.application.serverDomain);
                    sb.append("?p=apido&c=1&t=other_config&lang=");
                    GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                    String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                    FormBody.Builder builder = new FormBody.Builder();
                    builder.add("ver", versionName);
                    String httpRequest = alcedoService.httpRequest(outline8, builder);
                    if (httpRequest != null) {
                        try {
                            ConfigResponseEntity configResponseEntity = (ConfigResponseEntity) new Gson().fromJson(new JSONObject(httpRequest).toString(), ConfigResponseEntity.class);
                            int i = configResponseEntity.code;
                            if (1 == i) {
                                ConfigEntity fixedOtherConfig = alcedoService.fixedOtherConfig(configResponseEntity.configEntity);
                                alcedoService.application.configEntity = fixedOtherConfig;
                                alcedoService.sharedPreferencesHelper.put("server_s1_1", fixedOtherConfig.dataurls);
                                alcedoService.sharedPreferencesHelper.put("server_l_1", fixedOtherConfig.zztime);
                                ProxyConfig.listFilterIP = fixedOtherConfig.skipServerIPList;
                                outline4.what = 84;
                            } else if (401 == i) {
                                outline4.what = -1;
                                Bundle bundle = new Bundle();
                                bundle.putString("msg", configResponseEntity.msg);
                                outline4.setData(bundle);
                            } else {
                                outline4.what = 85;
                                Bundle bundle2 = new Bundle();
                                bundle2.putString("msg", configResponseEntity.msg);
                                outline4.setData(bundle2);
                            }
                        } catch (JsonSyntaxException | JSONException e) {
                            e.printStackTrace();
                            outline4.what = 86;
                        }
                    } else {
                        outline4.what = 104;
                    }
                    GuideActivity.this.handler.sendMessage(outline4);
                }
            }
        });
    }

    public final void goLogin() {
        startActivity(LoginActivity.getIntent(this.activity, 1));
        finish();
    }

    public void hideHint() {
        this.binding.tvHintTitle.setVisibility(8);
        this.binding.tvHintContent.setVisibility(8);
        this.binding.btnRefresh.setVisibility(8);
    }

    public final void install() {
        Intent intent = new Intent("android.intent.action.VIEW");
        if (Build.VERSION.SDK_INT >= 24) {
            intent.setFlags(1);
            BaseActivity baseActivity = this.activity;
            intent.setDataAndType(FileProvider.getUriForFile(baseActivity, getPackageName() + ".provider", new File(getExternalCacheDir(), "LieBao.apk")), "application/vnd.android.package-archive");
        } else {
            intent.setDataAndType(Uri.fromFile(new File(getExternalCacheDir(), "LieBao.apk")), "application/vnd.android.package-archive");
            intent.setFlags(268435456);
        }
        startActivity(intent);
    }

    public void login() {
        ConfigEntity configEntity = this.application.configEntity;
        if (configEntity == null) {
            GetConfigTask();
        } else if (1 == configEntity.serviceClosed.intValue()) {
            GetConfigTask();
        } else {
            String str = (String) this.application.sharedPreferencesHelper.getSharedPreference("user_name", null);
            if (str != null) {
                SharedPreferencesHelper sharedPreferencesHelper = this.application.sharedPreferencesHelper;
                sharedPreferencesHelper.editor.remove("user_name");
                sharedPreferencesHelper.editor.commit();
                this.application.sharedPreferencesHelper.put("user_name_new", str);
                this.userName = str;
                String str2 = (String) this.application.sharedPreferencesHelper.getSharedPreference(VpnProfileDataSource.KEY_PASSWORD, null);
                this.password = str2;
                this.password = ViewGroupUtilsApi14.decryptU(str2);
                MainApplication mainApplication = this.application;
                mainApplication.executorService.execute(new Runnable() {
                    /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass10 */

                    public void run() {
                        GuideActivity guideActivity = GuideActivity.this;
                        AlcedoService alcedoService = guideActivity.application.alcedoService;
                        if (alcedoService != null) {
                            Message userLogin = alcedoService.userLogin(0, guideActivity.userName, guideActivity.password);
                            if (10 == userLogin.what) {
                                GuideActivity.this.application.alcedoService.getLineList();
                                List<TagEntity> list = GuideActivity.this.application.tagEntityList;
                                if (list != null) {
                                    for (TagEntity tagEntity : list) {
                                        GuideActivity.this.application.alcedoService.getLineLoad(tagEntity.getId());
                                    }
                                }
                                GuideActivity.this.application.alcedoService.getLineAloneList();
                            }
                            GuideActivity.this.handler.sendMessage(userLogin);
                        }
                    }
                });
                return;
            }
            String str3 = (String) this.application.sharedPreferencesHelper.getSharedPreference("login_mode", null);
            if (str3 == null || "device".equals(str3)) {
                MainApplication mainApplication2 = this.application;
                mainApplication2.executorService.execute(new Runnable() {
                    /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass11 */

                    public void run() {
                        AlcedoService alcedoService = GuideActivity.this.application.alcedoService;
                        if (alcedoService != null) {
                            Message autoRegister = alcedoService.autoRegister(0);
                            if (6 == autoRegister.what) {
                                GuideActivity.this.application.alcedoService.getLineList();
                                List<TagEntity> list = GuideActivity.this.application.tagEntityList;
                                if (list != null) {
                                    for (TagEntity tagEntity : list) {
                                        GuideActivity.this.application.alcedoService.getLineLoad(tagEntity.getId());
                                    }
                                }
                                GuideActivity.this.application.alcedoService.getLineAloneList();
                            }
                            GuideActivity.this.handler.sendMessage(autoRegister);
                        }
                    }
                });
            } else if ("user".equals(str3)) {
                boolean booleanValue = ((Boolean) this.application.sharedPreferencesHelper.getSharedPreference("remember", Boolean.FALSE)).booleanValue();
                String str4 = (String) this.application.sharedPreferencesHelper.getSharedPreference("user_name_new", null);
                this.userName = str4;
                if (!booleanValue || str4 == null || "".equals(str4)) {
                    goLogin();
                    return;
                }
                String str5 = (String) this.application.sharedPreferencesHelper.getSharedPreference(VpnProfileDataSource.KEY_PASSWORD, null);
                this.password = str5;
                this.password = ViewGroupUtilsApi14.decryptU(str5);
                MainApplication mainApplication3 = this.application;
                mainApplication3.executorService.execute(new Runnable() {
                    /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass10 */

                    public void run() {
                        GuideActivity guideActivity = GuideActivity.this;
                        AlcedoService alcedoService = guideActivity.application.alcedoService;
                        if (alcedoService != null) {
                            Message userLogin = alcedoService.userLogin(0, guideActivity.userName, guideActivity.password);
                            if (10 == userLogin.what) {
                                GuideActivity.this.application.alcedoService.getLineList();
                                List<TagEntity> list = GuideActivity.this.application.tagEntityList;
                                if (list != null) {
                                    for (TagEntity tagEntity : list) {
                                        GuideActivity.this.application.alcedoService.getLineLoad(tagEntity.getId());
                                    }
                                }
                                GuideActivity.this.application.alcedoService.getLineAloneList();
                            }
                            GuideActivity.this.handler.sendMessage(userLogin);
                        }
                    }
                });
            } else {
                goLogin();
            }
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (10 != i) {
            return;
        }
        if (-1 == i2) {
            prepareInstall();
            return;
        }
        AlcedoService alcedoService2 = this.alcedoService;
        if (alcedoService2 != null) {
            alcedoService2.exit();
        }
        removeALLActivity();
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        requestWindowFeature(1);
        getWindow().setFlags(1024, 1024);
        ActivityGuideBinding activityGuideBinding = (ActivityGuideBinding) DataBindingUtil.setContentView(this.activity, R.layout.activity_guide);
        this.binding = activityGuideBinding;
        activityGuideBinding.btnRefresh.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass3 */

            public void onClick(View view) {
                GuideActivity.this.hideHint();
                GuideActivity.this.login();
            }
        });
        hideHint();
        Locale local = ViewGroupUtilsApi14.getLocal(this.application.language);
        Resources resources = getResources();
        Configuration configuration = resources.getConfiguration();
        DisplayMetrics displayMetrics = resources.getDisplayMetrics();
        configuration.setLocale(local);
        resources.updateConfiguration(configuration, displayMetrics);
        if (((Boolean) this.application.sharedPreferencesHelper.getSharedPreference("agreement_is_agree", Boolean.FALSE)).booleanValue()) {
            bindService(new Intent(this.activity, AlcedoService.class), this.sc, 1);
            startService(new Intent(this.activity, AlcedoService.class));
        } else {
            final Dialog dialog = new Dialog(this.activity, R.style.ok_cancel_dialog);
            View inflate = LayoutInflater.from(this.activity).inflate(R.layout.dialog_agreement, (ViewGroup) null);
            dialog.addContentView(inflate, new ViewGroup.LayoutParams(-1, -1));
            WebView webView = (WebView) inflate.findViewById(R.id.webv_agreement);
            webView.loadUrl("file:///android_asset/agreement.htm");
            webView.getSettings().setJavaScriptEnabled(true);
            webView.getSettings().setLayoutAlgorithm(WebSettings.LayoutAlgorithm.SINGLE_COLUMN);
            webView.getSettings().setLoadWithOverviewMode(true);
            webView.getSettings().setBuiltInZoomControls(false);
            webView.getSettings().setSupportZoom(false);
            webView.getSettings().setUseWideViewPort(false);
            webView.getSettings().setDefaultTextEncodingName("gbk");
            webView.getSettings().setJavaScriptEnabled(false);
            webView.getSettings().setAppCacheEnabled(false);
            webView.getSettings().setCacheMode(-1);
            webView.getSettings().setDomStorageEnabled(false);
            ((Button) inflate.findViewById(R.id.btn_agree)).setOnClickListener(new View.OnClickListener() {
                /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass8 */

                public void onClick(View view) {
                    GuideActivity.this.application.sharedPreferencesHelper.put("agreement_is_agree", Boolean.TRUE);
                    GuideActivity.this.bindService(new Intent(GuideActivity.this.activity, AlcedoService.class), GuideActivity.this.sc, 1);
                    GuideActivity.this.startService(new Intent(GuideActivity.this.activity, AlcedoService.class));
                    dialog.dismiss();
                }
            });
            ((Button) inflate.findViewById(R.id.btn_refused)).setOnClickListener(new View.OnClickListener() {
                /* class com.faster.cheetah.ui.GuideActivity.AnonymousClass9 */

                public void onClick(View view) {
                    dialog.dismiss();
                    GuideActivity.this.finish();
                }
            });
            dialog.setContentView(inflate);
            dialog.setCancelable(false);
            dialog.show();
        }
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("android.intent.action.PACKAGE_REMOVED");
        intentFilter.addDataScheme("package");
        registerReceiver(this.broadcastReceiver, intentFilter);
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onDestroy() {
        super.onDestroy();
        if (this.alcedoService != null) {
            unbindService(this.sc);
        }
        unregisterReceiver(this.broadcastReceiver);
    }

    public final void prepareInstall() {
        if (Build.VERSION.SDK_INT < 26) {
            install();
        } else if (this.application.getPackageManager().canRequestPackageInstalls()) {
            install();
        } else {
            StringBuilder outline25 = GeneratedOutlineSupport.outline25("package:");
            outline25.append(getPackageName());
            try {
                startActivityForResult(new Intent("android.settings.MANAGE_UNKNOWN_APP_SOURCES", Uri.parse(outline25.toString())), 10);
            } catch (Exception e) {
                e.printStackTrace();
                if (this.alcedoService != null) {
                    this.alcedoService.exit();
                }
                removeALLActivity();
            }
        }
    }

    public void showHint(String str) {
        this.binding.tvHintTitle.setVisibility(0);
        this.binding.tvHintContent.setVisibility(0);
        this.binding.tvHintContent.setText(str);
        this.binding.btnRefresh.setVisibility(0);
    }
}
