package com.faster.cheetah.ui;

import android.content.ClipData;
import android.content.ClipboardManager;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;
import androidx.databinding.DataBindingUtil;
import androidx.transition.ViewGroupUtilsApi14;
import com.faster.cheetah.databinding.ActivityShareBinding;
import com.faster.cheetah.dialog.DialogOkCancel;
import com.faster.cheetah.entity.ConfigEntity;
import com.faster.cheetah.entity.UserEntity;
import com.google.zxing.WriterException;
import com.zfast.xyz.R;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Objects;

public class ShareActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public ActivityShareBinding binding;
    public Bitmap qrCode = null;
    public String savePath;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        ActivityShareBinding activityShareBinding = (ActivityShareBinding) DataBindingUtil.setContentView(this.activity, R.layout.activity_share);
        this.binding = activityShareBinding;
        activityShareBinding.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$ShareActivity$_x8u4rU5uO94BkrsJvDyZTeMK9c */

            public final void onClick(View view) {
                ShareActivity.this.finish();
            }
        });
        this.binding.tvShareList.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$ShareActivity$Uy1oXA5G8ZJWQTyKaRnGvELDbLA */

            public final void onClick(View view) {
                ShareActivity shareActivity = ShareActivity.this;
                Objects.requireNonNull(shareActivity);
                shareActivity.startActivity(new Intent(shareActivity.activity, ShareListActivity.class));
            }
        });
        this.binding.btnSave.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$ShareActivity$hhtixMJrnACTifxo8_EOUjmhxE */

            /* JADX WARNING: Removed duplicated region for block: B:24:0x0080 A[SYNTHETIC, Splitter:B:24:0x0080] */
            /* JADX WARNING: Removed duplicated region for block: B:31:0x008d  */
            /* JADX WARNING: Removed duplicated region for block: B:32:0x0099  */
            /* JADX WARNING: Removed duplicated region for block: B:35:0x00ce A[SYNTHETIC, Splitter:B:35:0x00ce] */
            public final void onClick(View view) {
                boolean z;
                Throwable th;
                IOException e;
                IOException e2;
                ShareActivity shareActivity = ShareActivity.this;
                if (shareActivity.qrCode != null && Environment.getExternalStorageState().equals("mounted")) {
                    shareActivity.savePath = Environment.getExternalStorageDirectory().getPath() + "/ABC/ShareQRCode.jpg";
                    File file = new File(shareActivity.savePath);
                    FileOutputStream fileOutputStream = null;
                    try {
                        if (!file.exists()) {
                            file.getParentFile().mkdirs();
                            file.createNewFile();
                        }
                        FileOutputStream fileOutputStream2 = new FileOutputStream(file);
                        try {
                            shareActivity.qrCode.compress(Bitmap.CompressFormat.JPEG, 100, fileOutputStream2);
                            fileOutputStream2.flush();
                            Intent intent = new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE");
                            intent.setData(Uri.fromFile(file));
                            shareActivity.sendBroadcast(intent);
                            z = true;
                            try {
                                fileOutputStream2.close();
                            } catch (IOException e3) {
                                e = e3;
                            }
                        } catch (IOException e4) {
                            e2 = e4;
                            fileOutputStream = fileOutputStream2;
                            try {
                                e2.printStackTrace();
                                if (fileOutputStream != null) {
                                }
                                z = false;
                                if (!z) {
                                }
                            } catch (Throwable th2) {
                                th = th2;
                                fileOutputStream2 = fileOutputStream;
                                if (fileOutputStream2 != null) {
                                    try {
                                        fileOutputStream2.close();
                                    } catch (IOException e5) {
                                        e5.printStackTrace();
                                    }
                                }
                                throw th;
                            }
                        } catch (Throwable th3) {
                            th = th3;
                            if (fileOutputStream2 != null) {
                            }
                            throw th;
                        }
                    } catch (IOException e6) {
                        e2 = e6;
                        e2.printStackTrace();
                        if (fileOutputStream != null) {
                            try {
                                fileOutputStream.close();
                            } catch (IOException e7) {
                                e = e7;
                                z = false;
                            }
                        }
                        z = false;
                        if (!z) {
                        }
                    }
                    if (!z) {
                        Toast.makeText(shareActivity.activity, "二维码保存失败", 0).show();
                        return;
                    }
                    DialogOkCancel.Builder builder = new DialogOkCancel.Builder(shareActivity.activity);
                    builder.setTitle(R.string.sweet_tip);
                    builder.content = "二维码已经保存成功，保存路径：" + shareActivity.savePath;
                    builder.setPositiveButton(R.string.i_know, $$Lambda$ShareActivity$9Ld9OH3SCfrbeFh88zqwZ6Vw04.INSTANCE);
                    builder.create().show();
                    return;
                }
                z = false;
                if (!z) {
                }
                e.printStackTrace();
                if (!z) {
                }
            }
        });
        this.binding.btnCopy.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$ShareActivity$zCUf_ERGQU6qDecdZ3bCHNai8 */

            public final void onClick(View view) {
                ShareActivity shareActivity = ShareActivity.this;
                ConfigEntity configEntity = shareActivity.application.configEntity;
                if (configEntity != null && configEntity.promoteUrl != null) {
                    ((ClipboardManager) shareActivity.activity.getSystemService("clipboard")).setPrimaryClip(ClipData.newPlainText("text", shareActivity.application.configEntity.promoteUrl + shareActivity.application.userEntity.invitationCode));
                    BaseActivity baseActivity = shareActivity.activity;
                    Toast.makeText(baseActivity, baseActivity.getString(R.string.copy_success), 0).show();
                }
            }
        });
        UserEntity userEntity = this.application.userEntity;
        if (userEntity != null) {
            this.binding.tvUserGroup.setText(userEntity.groupName);
            TextView textView = this.binding.tvOverTime;
            textView.setText(getString(R.string.line_over_time_desc) + this.application.userEntity.userOverTime);
        }
        ConfigEntity configEntity = this.application.configEntity;
        if (configEntity != null && configEntity.promoteUrl != null) {
            int width = (int) (((double) getWindowManager().getDefaultDisplay().getWidth()) * 0.6d);
            Bitmap decodeResource = BitmapFactory.decodeResource(getResources(), R.mipmap.logo);
            try {
                this.qrCode = ViewGroupUtilsApi14.createQRCode(this.application.configEntity.promoteUrl + this.application.userEntity.invitationCode, width, width, decodeResource);
            } catch (WriterException e) {
                e.printStackTrace();
            }
            Bitmap bitmap = this.qrCode;
            if (bitmap != null) {
                this.binding.imgQrcode.setImageBitmap(bitmap);
            }
        }
    }
}
