package com.github.shadowsocks.acl;

import android.content.Context;
import android.util.Log;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.SortedList;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.github.shadowsocks.Core;
import com.github.shadowsocks.net.Subnet;
import com.github.shadowsocks.utils.ArrayIteratorKt$asIterable$$inlined$Iterable$2;
import com.github.shadowsocks.utils.BaseSorter;
import com.github.shadowsocks.utils.SortedListIterator;
import com.github.shadowsocks.utils.URLSorter;
import java.io.BufferedReader;
import java.io.File;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import java.net.URL;
import java.net.URLConnection;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import kotlin.Pair;
import kotlin.TypeCastException;
import kotlin.collections.ArraysKt___ArraysKt;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.CoroutineContext;
import kotlin.coroutines.intrinsics.CoroutineSingletons;
import kotlin.io.FilesKt__FileReadWriteKt;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.functions.Function2;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.sequences.Sequence;
import kotlin.sequences.SequencesKt;
import kotlin.text.Charsets;
import kotlin.text.MatchResult;
import kotlin.text.MatcherMatchResult;
import kotlin.text.Regex;
import kotlin.text.StringsKt__IndentKt;
import kotlinx.coroutines.Job;

public final class Acl {
    public static final Companion Companion = new Companion(null);
    public static final Regex networkAclParser = new Regex("^IMPORT_URL\\s*<(.+)>\\s*$");
    public boolean bypass;
    public final SortedList<String> bypassHostnames;
    public final SortedList<String> proxyHostnames;
    public final SortedList<Subnet> subnets = new SortedList<>(Subnet.class, SubnetSorter.INSTANCE);
    public final SortedList<URL> urls = new SortedList<>(URL.class, URLSorter.INSTANCE);

    public final class Companion {
        public Companion(DefaultConstructorMarker defaultConstructorMarker) {
        }

        public static /* synthetic */ File getFile$default(Companion companion, String str, Context context, int i) {
            return companion.getFile(str, (i & 2) != 0 ? Core.INSTANCE.getDeviceStorage() : null);
        }

        public final File getFile(String str, Context context) {
            Intrinsics.checkParameterIsNotNull(str, "id");
            Intrinsics.checkParameterIsNotNull(context, "context");
            return new File(context.getNoBackupFilesDir(), GeneratedOutlineSupport.outline18(str, ".acl"));
        }

        /* JADX WARNING: Code restructure failed: missing block: B:100:0x01b1, code lost:
            throw r0;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:98:0x01ac, code lost:
            r0 = move-exception;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:99:0x01ad, code lost:
            androidx.transition.ViewGroupUtilsApi14.closeFinally(r7, r0);
         */
        public final <T> Object parse(Reader reader, Function1<? super String, ? extends T> function1, Function1<? super String, ? extends T> function12, Function1<? super URL, ? extends T> function13, boolean z, Continuation<? super Pair<Boolean, ? extends List<Subnet>>> continuation) {
            Object obj;
            String str;
            ArrayList arrayList = new ArrayList();
            ArrayList arrayList2 = new ArrayList();
            Function1<? super String, ? extends T> function14 = z ? function12 : function1;
            ArrayList arrayList3 = z ? arrayList2 : arrayList;
            BufferedReader bufferedReader = reader instanceof BufferedReader ? (BufferedReader) reader : new BufferedReader(reader, 8192);
            ArrayList arrayList4 = arrayList3;
            Function1<? super String, ? extends T> function15 = function14;
            boolean z2 = z;
            for (String str2 : FilesKt__FileReadWriteKt.lineSequence(bufferedReader)) {
                CoroutineContext.Element element = continuation.getContext().get(Job.Key);
                if (element != null) {
                    Job job = (Job) element;
                    Intrinsics.checkParameterIsNotNull(job, "$this$ensureActive");
                    if (job.isActive()) {
                        boolean z3 = true;
                        if (function13 != null) {
                            List split$default = StringsKt__IndentKt.split$default((CharSequence) str2, new char[]{'#'}, false, 2, 2);
                            Companion companion = Acl.Companion;
                            Regex regex = Acl.networkAclParser;
                            if (1 <= ArraysKt___ArraysKt.getLastIndex(split$default)) {
                                obj = split$default.get(1);
                            } else {
                                new Integer(1).intValue();
                                obj = "";
                            }
                            MatchResult matchEntire = regex.matchEntire((CharSequence) obj);
                            if (matchEntire != null) {
                                List<String> groupValues = ((MatcherMatchResult) matchEntire).getGroupValues();
                                Intrinsics.checkNotNullParameter(groupValues, "$this$getOrNull");
                                str = 1 <= ArraysKt___ArraysKt.getLastIndex(groupValues) ? groupValues.get(1) : null;
                            } else {
                                str = null;
                            }
                            if (str != null) {
                                function13.invoke(new URL(str));
                            }
                            str2 = (String) split$default.get(0);
                        }
                        if (str2 != null) {
                            String obj2 = StringsKt__IndentKt.trim(str2).toString();
                            Intrinsics.checkNotNullParameter(obj2, "$this$getOrNull");
                            Character valueOf = StringsKt__IndentKt.getLastIndex(obj2) >= 0 ? Character.valueOf(obj2.charAt(0)) : null;
                            if (valueOf != null && valueOf.charValue() == '[') {
                                switch (obj2.hashCode()) {
                                    case -1720067922:
                                        if (!obj2.equals("[white_list]")) {
                                            throw new IllegalStateException(("Unrecognized block: " + obj2).toString());
                                        }
                                        function15 = function12;
                                        arrayList4 = arrayList2;
                                        break;
                                    case -510235528:
                                        if (!obj2.equals("[accept_all]")) {
                                            throw new IllegalStateException(("Unrecognized block: " + obj2).toString());
                                        }
                                        z2 = false;
                                        break;
                                    case -383065084:
                                        if (!obj2.equals("[black_list]")) {
                                            throw new IllegalStateException(("Unrecognized block: " + obj2).toString());
                                        }
                                        function15 = function1;
                                        arrayList4 = arrayList;
                                        break;
                                    case -105013096:
                                        if (!obj2.equals("[bypass_all]")) {
                                            throw new IllegalStateException(("Unrecognized block: " + obj2).toString());
                                        }
                                        z2 = true;
                                        break;
                                    case 193410113:
                                        if (!obj2.equals("[reject_all]")) {
                                            throw new IllegalStateException(("Unrecognized block: " + obj2).toString());
                                        }
                                        z2 = true;
                                        break;
                                    case 389862233:
                                        if (obj2.equals("[outbound_block_list]")) {
                                            function15 = null;
                                            arrayList4 = null;
                                            break;
                                        } else {
                                            throw new IllegalStateException(("Unrecognized block: " + obj2).toString());
                                        }
                                    case 1049638211:
                                        if (!obj2.equals("[bypass_list]")) {
                                            throw new IllegalStateException(("Unrecognized block: " + obj2).toString());
                                        }
                                        function15 = function1;
                                        arrayList4 = arrayList;
                                        break;
                                    case 1295208243:
                                        if (!obj2.equals("[proxy_list]")) {
                                            throw new IllegalStateException(("Unrecognized block: " + obj2).toString());
                                        }
                                        function15 = function12;
                                        arrayList4 = arrayList2;
                                        break;
                                    case 2119665832:
                                        if (!obj2.equals("[proxy_all]")) {
                                            throw new IllegalStateException(("Unrecognized block: " + obj2).toString());
                                        }
                                        z2 = false;
                                        break;
                                    default:
                                        throw new IllegalStateException(("Unrecognized block: " + obj2).toString());
                                }
                            } else if (arrayList4 == null) {
                                continue;
                            } else {
                                if (obj2.length() <= 0) {
                                    z3 = false;
                                }
                                if (!z3) {
                                    continue;
                                } else {
                                    Subnet fromString$default = Subnet.Companion.fromString$default(Subnet.Companion, obj2, 0, 2);
                                    if (fromString$default != null) {
                                        arrayList4.add(fromString$default);
                                    } else if (function15 != null) {
                                        function15.invoke(obj2);
                                    } else {
                                        Intrinsics.throwNpe();
                                        throw null;
                                    }
                                }
                            }
                        } else {
                            throw new TypeCastException("null cannot be cast to non-null type kotlin.CharSequence");
                        }
                    } else {
                        throw job.getCancellationException();
                    }
                } else {
                    Intrinsics.throwNpe();
                    throw null;
                }
            }
            ViewGroupUtilsApi14.closeFinally(bufferedReader, null);
            Boolean valueOf2 = Boolean.valueOf(z2);
            if (z2) {
                arrayList = arrayList2;
            }
            return new Pair(valueOf2, arrayList);
        }
    }

    public abstract class DefaultSorter<T extends Comparable<? super T>> extends BaseSorter<T> {
        @Override // com.github.shadowsocks.utils.BaseSorter
        public int compareNonNull(Object obj, Object obj2) {
            Comparable comparable = (Comparable) obj;
            Comparable comparable2 = (Comparable) obj2;
            Intrinsics.checkParameterIsNotNull(comparable, "o1");
            Intrinsics.checkParameterIsNotNull(comparable2, "o2");
            return comparable.compareTo(comparable2);
        }
    }

    public final class StringSorter extends DefaultSorter<String> {
        public static final StringSorter INSTANCE = new StringSorter();
    }

    public final class SubnetSorter extends DefaultSorter<Subnet> {
        public static final SubnetSorter INSTANCE = new SubnetSorter();
    }

    public Acl() {
        StringSorter stringSorter = StringSorter.INSTANCE;
        this.bypassHostnames = new SortedList<>(String.class, stringSorter);
        this.proxyHostnames = new SortedList<>(String.class, stringSorter);
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x0065  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x007d  */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x00c3  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x00c6  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00e7 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x00ee  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x0133 A[EDGE_INSN: B:50:0x0133->B:38:0x0133 ?: BREAK  , SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x0154 A[EDGE_INSN: B:51:0x0154->B:42:0x0154 ?: BREAK  , SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x0175 A[EDGE_INSN: B:52:0x0175->B:46:0x0175 ?: BREAK  , SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0022  */
    public final Object flatten(int i, Function2<? super URL, ? super Continuation<? super URLConnection>, ? extends Object> function2, Continuation<? super Acl> continuation) {
        Acl$flatten$1 acl$flatten$1;
        int i2;
        Acl acl;
        Iterator it;
        Acl acl2;
        Acl acl3;
        int i3;
        Function2<? super URL, ? super Continuation<? super URLConnection>, ? extends Object> function22;
        URL url;
        Iterator it2;
        Iterator it3;
        SortedListIterator sortedListIterator;
        Iterator it4;
        SortedListIterator sortedListIterator2;
        Iterator it5;
        SortedListIterator sortedListIterator3;
        if (continuation instanceof Acl$flatten$1) {
            acl$flatten$1 = (Acl$flatten$1) continuation;
            int i4 = acl$flatten$1.label;
            if ((i4 & LinearLayoutManager.INVALID_OFFSET) != 0) {
                acl$flatten$1.label = i4 - LinearLayoutManager.INVALID_OFFSET;
                Object obj = acl$flatten$1.result;
                CoroutineSingletons coroutineSingletons = CoroutineSingletons.COROUTINE_SUSPENDED;
                i2 = acl$flatten$1.label;
                if (i2 != 0) {
                    ViewGroupUtilsApi14.throwOnFailure(obj);
                    if (i > 0) {
                        it2 = ((ArrayIteratorKt$asIterable$$inlined$Iterable$2) ViewGroupUtilsApi14.asIterable(this.urls)).iterator();
                        acl = this;
                        if (it2.hasNext()) {
                            URL url2 = (URL) it2.next();
                            Acl acl4 = new Acl();
                            Intrinsics.checkExpressionValueIsNotNull(url2, "url");
                            acl$flatten$1.L$0 = acl;
                            acl$flatten$1.I$0 = i;
                            acl$flatten$1.L$1 = function2;
                            acl$flatten$1.L$2 = url2;
                            acl$flatten$1.L$3 = it2;
                            acl$flatten$1.L$4 = acl4;
                            acl$flatten$1.label = 1;
                            Object invoke = function2.invoke(url2, acl$flatten$1);
                            if (invoke == coroutineSingletons) {
                                return coroutineSingletons;
                            }
                            i3 = i;
                            acl2 = acl4;
                            function22 = function2;
                            it = it2;
                            obj = invoke;
                            acl3 = acl;
                            url = url2;
                            InputStream inputStream = ((URLConnection) obj).getInputStream();
                            Intrinsics.checkExpressionValueIsNotNull(inputStream, "connect(url).getInputStream()");
                            InputStreamReader inputStreamReader = new InputStreamReader(inputStream, Charsets.UTF_8);
                            acl2.fromReader(!(inputStreamReader instanceof BufferedReader) ? (BufferedReader) inputStreamReader : new BufferedReader(inputStreamReader, 8192), acl3.bypass);
                            acl$flatten$1.L$0 = acl3;
                            acl$flatten$1.I$0 = i3;
                            acl$flatten$1.L$1 = function22;
                            acl$flatten$1.L$2 = url;
                            acl$flatten$1.L$3 = it;
                            acl$flatten$1.L$4 = acl2;
                            acl$flatten$1.label = 2;
                            if (acl2.flatten(i3 - 1, function22, acl$flatten$1) == coroutineSingletons) {
                            }
                            return coroutineSingletons;
                        }
                        acl.urls.clear();
                        return acl;
                    }
                    acl = this;
                    acl.urls.clear();
                    return acl;
                } else if (i2 == 1) {
                    acl2 = (Acl) acl$flatten$1.L$4;
                    it = (Iterator) acl$flatten$1.L$3;
                    url = (URL) acl$flatten$1.L$2;
                    function22 = (Function2) acl$flatten$1.L$1;
                    i3 = acl$flatten$1.I$0;
                    acl3 = (Acl) acl$flatten$1.L$0;
                    ViewGroupUtilsApi14.throwOnFailure(obj);
                    InputStream inputStream2 = ((URLConnection) obj).getInputStream();
                    Intrinsics.checkExpressionValueIsNotNull(inputStream2, "connect(url).getInputStream()");
                    InputStreamReader inputStreamReader2 = new InputStreamReader(inputStream2, Charsets.UTF_8);
                    acl2.fromReader(!(inputStreamReader2 instanceof BufferedReader) ? (BufferedReader) inputStreamReader2 : new BufferedReader(inputStreamReader2, 8192), acl3.bypass);
                    acl$flatten$1.L$0 = acl3;
                    acl$flatten$1.I$0 = i3;
                    acl$flatten$1.L$1 = function22;
                    acl$flatten$1.L$2 = url;
                    acl$flatten$1.L$3 = it;
                    acl$flatten$1.L$4 = acl2;
                    acl$flatten$1.label = 2;
                    if (acl2.flatten(i3 - 1, function22, acl$flatten$1) == coroutineSingletons) {
                        return coroutineSingletons;
                    }
                } else if (i2 == 2) {
                    acl2 = (Acl) acl$flatten$1.L$4;
                    it = (Iterator) acl$flatten$1.L$3;
                    url = (URL) acl$flatten$1.L$2;
                    function22 = (Function2) acl$flatten$1.L$1;
                    i3 = acl$flatten$1.I$0;
                    acl3 = (Acl) acl$flatten$1.L$0;
                    ViewGroupUtilsApi14.throwOnFailure(obj);
                } else {
                    throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                }
                it2 = it;
                function2 = function22;
                if (acl3.bypass != acl2.bypass) {
                    Log.w("Acl", "Imported network ACL has a conflicting mode set. " + "This will probably not work as intended. URL: " + url);
                    acl2.subnets.clear();
                    acl2.bypass = acl3.bypass;
                }
                it3 = ((ArrayIteratorKt$asIterable$$inlined$Iterable$2) ViewGroupUtilsApi14.asIterable(acl2.bypassHostnames)).iterator();
                while (true) {
                    sortedListIterator = (SortedListIterator) it3;
                    if (sortedListIterator.hasNext()) {
                        break;
                    }
                    acl3.bypassHostnames.add((String) sortedListIterator.next());
                    acl3.bypassHostnames.add((String) sortedListIterator.next());
                }
                it4 = ((ArrayIteratorKt$asIterable$$inlined$Iterable$2) ViewGroupUtilsApi14.asIterable(acl2.proxyHostnames)).iterator();
                while (true) {
                    sortedListIterator2 = (SortedListIterator) it4;
                    if (sortedListIterator2.hasNext()) {
                        break;
                    }
                    acl3.proxyHostnames.add((String) sortedListIterator2.next());
                    acl3.proxyHostnames.add((String) sortedListIterator2.next());
                }
                it5 = ((ArrayIteratorKt$asIterable$$inlined$Iterable$2) ViewGroupUtilsApi14.asIterable(acl2.subnets)).iterator();
                while (true) {
                    sortedListIterator3 = (SortedListIterator) it5;
                    if (sortedListIterator3.hasNext()) {
                        break;
                    }
                    acl3.subnets.add((Subnet) sortedListIterator3.next());
                    acl3.subnets.add((Subnet) sortedListIterator3.next());
                }
                i = i3;
                acl = acl3;
                if (it2.hasNext()) {
                }
                acl.urls.clear();
                return acl;
            }
        }
        acl$flatten$1 = new Acl$flatten$1(this, continuation);
        Object obj2 = acl$flatten$1.result;
        CoroutineSingletons coroutineSingletons2 = CoroutineSingletons.COROUTINE_SUSPENDED;
        i2 = acl$flatten$1.label;
        if (i2 != 0) {
        }
        it2 = it;
        function2 = function22;
        if (acl3.bypass != acl2.bypass) {
        }
        it3 = ((ArrayIteratorKt$asIterable$$inlined$Iterable$2) ViewGroupUtilsApi14.asIterable(acl2.bypassHostnames)).iterator();
        while (true) {
            sortedListIterator = (SortedListIterator) it3;
            if (sortedListIterator.hasNext()) {
            }
            acl3.bypassHostnames.add((String) sortedListIterator.next());
        }
        it4 = ((ArrayIteratorKt$asIterable$$inlined$Iterable$2) ViewGroupUtilsApi14.asIterable(acl2.proxyHostnames)).iterator();
        while (true) {
            sortedListIterator2 = (SortedListIterator) it4;
            if (sortedListIterator2.hasNext()) {
            }
            acl3.proxyHostnames.add((String) sortedListIterator2.next());
        }
        it5 = ((ArrayIteratorKt$asIterable$$inlined$Iterable$2) ViewGroupUtilsApi14.asIterable(acl2.subnets)).iterator();
        while (true) {
            sortedListIterator3 = (SortedListIterator) it5;
            if (sortedListIterator3.hasNext()) {
            }
            acl3.subnets.add((Subnet) sortedListIterator3.next());
        }
        i = i3;
        acl = acl3;
        if (it2.hasNext()) {
        }
        acl.urls.clear();
        return acl;
    }

    public final Acl fromReader(Reader reader, boolean z) {
        Intrinsics.checkParameterIsNotNull(reader, "reader");
        this.bypassHostnames.clear();
        this.proxyHostnames.clear();
        this.subnets.clear();
        this.urls.clear();
        Pair pair = (Pair) ViewGroupUtilsApi14.runBlocking$default(null, new Acl$fromReader$1(this, reader, z, null), 1, null);
        this.bypass = ((Boolean) pair.component1()).booleanValue();
        for (Subnet subnet : (List) pair.component2()) {
            this.subnets.add(subnet);
        }
        return this;
    }

    public String toString() {
        Sequence sequence;
        Sequence sequence2;
        StringBuilder sb = new StringBuilder();
        sb.append(this.bypass ? "[bypass_all]\n" : "[proxy_all]\n");
        if (this.bypass) {
            sequence = ArraysKt___ArraysKt.asSequence(ViewGroupUtilsApi14.asIterable(this.bypassHostnames));
        } else {
            sequence = SequencesKt.plus(SequencesKt.map(ArraysKt___ArraysKt.asSequence(ViewGroupUtilsApi14.asIterable(this.subnets)), Acl$toString$bypassList$1.INSTANCE), ArraysKt___ArraysKt.asSequence(ViewGroupUtilsApi14.asIterable(this.bypassHostnames)));
        }
        List list = SequencesKt.toList(sequence);
        if (this.bypass) {
            sequence2 = SequencesKt.plus(SequencesKt.map(ArraysKt___ArraysKt.asSequence(ViewGroupUtilsApi14.asIterable(this.subnets)), Acl$toString$proxyList$1.INSTANCE), ArraysKt___ArraysKt.asSequence(ViewGroupUtilsApi14.asIterable(this.proxyHostnames)));
        } else {
            sequence2 = ArraysKt___ArraysKt.asSequence(ViewGroupUtilsApi14.asIterable(this.proxyHostnames));
        }
        List list2 = SequencesKt.toList(sequence2);
        if (!list.isEmpty()) {
            sb.append("[bypass_list]\n");
            sb.append(ArraysKt___ArraysKt.joinToString$default(list, "\n", null, null, 0, null, null, 62));
            sb.append('\n');
        }
        if (!list2.isEmpty()) {
            sb.append("[proxy_list]\n");
            sb.append(ArraysKt___ArraysKt.joinToString$default(list2, "\n", null, null, 0, null, null, 62));
            sb.append('\n');
        }
        sb.append(ArraysKt___ArraysKt.joinToString$default(ViewGroupUtilsApi14.asIterable(this.urls), "", null, null, 0, null, Acl$toString$1.INSTANCE, 30));
        String sb2 = sb.toString();
        Intrinsics.checkExpressionValueIsNotNull(sb2, "result.toString()");
        return sb2;
    }
}
