package com.github.shadowsocks.acl;

import android.app.ActivityManager;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.github.shadowsocks.Core;
import com.github.shadowsocks.acl.Acl;
import com.github.shadowsocks.net.Subnet;
import java.io.Reader;
import java.util.List;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.Pair;
import kotlin.Unit;
import kotlin.collections.ArraysKt___ArraysKt;
import kotlin.collections.EmptyList;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.intrinsics.CoroutineSingletons;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.reflect.KProperty;
import kotlin.sequences.SequencesKt;

/* compiled from: AclMatcher.kt */
public final class AclMatcher implements AutoCloseable {
    public static final Companion Companion = new Companion(null);
    public boolean bypass;
    public long handle;
    public List<Subnet.Immutable> subnetsIpv4;
    public List<Subnet.Immutable> subnetsIpv6;

    /* compiled from: AclMatcher.kt */
    public final class Companion {
        public Companion(DefaultConstructorMarker defaultConstructorMarker) {
        }
    }

    /* compiled from: AclMatcher.kt */
    public final class Re2Exception extends IllegalArgumentException {
        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        public Re2Exception(String str) {
            super(str);
            Intrinsics.checkParameterIsNotNull(str, "message");
        }
    }

    static {
        System.loadLibrary("jni-helper");
    }

    public AclMatcher() {
        EmptyList emptyList = EmptyList.INSTANCE;
        this.subnetsIpv4 = emptyList;
        this.subnetsIpv6 = emptyList;
    }

    public static final native boolean addBypassDomain(long j, String str);

    public static final native boolean addProxyDomain(long j, String str);

    public static final native String build(long j, long j2);

    public static final native void close(long j);

    public static final native long init();

    public static final native int matchHost(long j, String str);

    @Override // java.lang.AutoCloseable
    public void close() {
        long j = this.handle;
        if (j != 0) {
            close(j);
            this.handle = 0;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x0040  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x00a5  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x00a9  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x00b2  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x00d7  */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0023  */
    public final Object init(Reader reader, Continuation<? super Unit> continuation) {
        AclMatcher$init$2 aclMatcher$init$2;
        int i;
        Exception e;
        AclMatcher aclMatcher;
        AclMatcher$init$3 aclMatcher$init$3;
        String build;
        if (continuation instanceof AclMatcher$init$2) {
            aclMatcher$init$2 = (AclMatcher$init$2) continuation;
            int i2 = aclMatcher$init$2.label;
            if ((i2 & LinearLayoutManager.INVALID_OFFSET) != 0) {
                aclMatcher$init$2.label = i2 - LinearLayoutManager.INVALID_OFFSET;
                Object obj = aclMatcher$init$2.result;
                CoroutineSingletons coroutineSingletons = CoroutineSingletons.COROUTINE_SUSPENDED;
                i = aclMatcher$init$2.label;
                if (i != 0) {
                    ViewGroupUtilsApi14.throwOnFailure(obj);
                    AclMatcher$init$3 aclMatcher$init$32 = AclMatcher$init$3.INSTANCE;
                    if (this.handle == 0) {
                        this.handle = init();
                        try {
                            Acl.Companion companion = Acl.Companion;
                            AclMatcher$init$4 aclMatcher$init$4 = new AclMatcher$init$4(this);
                            AclMatcher$init$5 aclMatcher$init$5 = new AclMatcher$init$5(this);
                            aclMatcher$init$2.L$0 = this;
                            aclMatcher$init$2.L$1 = reader;
                            aclMatcher$init$2.L$2 = aclMatcher$init$32;
                            aclMatcher$init$2.label = 1;
                            Object parse = companion.parse(reader, aclMatcher$init$4, aclMatcher$init$5, null, false, aclMatcher$init$2);
                            if (parse == coroutineSingletons) {
                                return coroutineSingletons;
                            }
                            aclMatcher = this;
                            obj = parse;
                            aclMatcher$init$3 = aclMatcher$init$32;
                        } catch (Exception e2) {
                            e = e2;
                            aclMatcher = this;
                            aclMatcher.close();
                            throw e;
                        }
                    } else {
                        throw new IllegalStateException("Check failed.".toString());
                    }
                } else if (i == 1) {
                    aclMatcher$init$3 = (AclMatcher$init$3) aclMatcher$init$2.L$2;
                    Reader reader2 = (Reader) aclMatcher$init$2.L$1;
                    aclMatcher = (AclMatcher) aclMatcher$init$2.L$0;
                    try {
                        ViewGroupUtilsApi14.throwOnFailure(obj);
                    } catch (Exception e3) {
                        e = e3;
                    }
                } else {
                    throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                }
                Pair pair = (Pair) obj;
                boolean booleanValue = ((Boolean) pair.component1()).booleanValue();
                List list = (List) pair.component2();
                long j = aclMatcher.handle;
                Objects.requireNonNull(Core.INSTANCE);
                Lazy lazy = Core.activity$delegate;
                KProperty kProperty = Core.$$delegatedProperties[0];
                build = build(j, !((ActivityManager) lazy.getValue()).isLowRamDevice() ? 8388608 : 67108864);
                if (build != null) {
                    aclMatcher.subnetsIpv4 = aclMatcher$init$3.invoke(SequencesKt.filter(ArraysKt___ArraysKt.asSequence(list), AclMatcher$init$7.INSTANCE));
                    aclMatcher.subnetsIpv6 = aclMatcher$init$3.invoke(SequencesKt.filter(ArraysKt___ArraysKt.asSequence(list), AclMatcher$init$8.INSTANCE));
                    aclMatcher.bypass = booleanValue;
                    return Unit.INSTANCE;
                }
                throw new Re2Exception(build);
            }
        }
        aclMatcher$init$2 = new AclMatcher$init$2(this, continuation);
        Object obj2 = aclMatcher$init$2.result;
        CoroutineSingletons coroutineSingletons2 = CoroutineSingletons.COROUTINE_SUSPENDED;
        i = aclMatcher$init$2.label;
        if (i != 0) {
        }
        Pair pair2 = (Pair) obj2;
        boolean booleanValue2 = ((Boolean) pair2.component1()).booleanValue();
        List list2 = (List) pair2.component2();
        long j2 = aclMatcher.handle;
        Objects.requireNonNull(Core.INSTANCE);
        Lazy lazy2 = Core.activity$delegate;
        KProperty kProperty2 = Core.$$delegatedProperties[0];
        build = build(j2, !((ActivityManager) lazy2.getValue()).isLowRamDevice() ? 8388608 : 67108864);
        if (build != null) {
        }
    }

    public final boolean quickMatches(List<Subnet.Immutable> list, byte[] bArr) {
        int i;
        Subnet.Immutable immutable = new Subnet.Immutable(bArr, 0, 2);
        Subnet.Immutable.Companion companion = Subnet.Immutable.Companion;
        int size = list.size();
        Intrinsics.checkNotNullParameter(list, "$this$binarySearch");
        Intrinsics.checkNotNullParameter(companion, "comparator");
        ArraysKt___ArraysKt.rangeCheck$CollectionsKt__CollectionsKt(list.size(), 0, size);
        int i2 = size - 1;
        int i3 = 0;
        while (true) {
            if (i3 > i2) {
                i = -(i3 + 1);
                break;
            }
            i = (i3 + i2) >>> 1;
            int compare = companion.compare(list.get(i), immutable);
            if (compare >= 0) {
                if (compare <= 0) {
                    break;
                }
                i2 = i - 1;
            } else {
                i3 = i + 1;
            }
        }
        if (i >= 0 || (i < -1 && list.get((-i) - 2).matches(bArr))) {
            return true;
        }
        return false;
    }

    public final Boolean shouldBypass(String str) {
        Intrinsics.checkParameterIsNotNull(str, "host");
        int matchHost = matchHost(this.handle, str);
        if (matchHost == 0) {
            return null;
        }
        if (matchHost == 1) {
            return Boolean.TRUE;
        }
        if (matchHost == 2) {
            return Boolean.FALSE;
        }
        throw new IllegalStateException(GeneratedOutlineSupport.outline11("matchHost -> ", matchHost).toString());
    }
}
