package com.github.shadowsocks.aidl;

import android.os.Parcel;
import android.os.Parcelable;
import com.android.tools.r8.GeneratedOutlineSupport;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: TrafficStats.kt */
public final class TrafficStats implements Parcelable {
    public static final CREATOR CREATOR = new CREATOR(null);
    public long rxRate;
    public long rxTotal;
    public long txRate;
    public long txTotal;

    /* compiled from: TrafficStats.kt */
    public static final class CREATOR implements Parcelable.Creator<TrafficStats> {
        public CREATOR(DefaultConstructorMarker defaultConstructorMarker) {
        }

        /* Return type fixed from 'java.lang.Object[]' to match base method */
        @Override // android.os.Parcelable.Creator
        public TrafficStats[] newArray(int i) {
            return new TrafficStats[i];
        }

        @Override // android.os.Parcelable.Creator
        public TrafficStats createFromParcel(Parcel parcel) {
            Intrinsics.checkParameterIsNotNull(parcel, "parcel");
            Intrinsics.checkParameterIsNotNull(parcel, "parcel");
            return new TrafficStats(parcel.readLong(), parcel.readLong(), parcel.readLong(), parcel.readLong());
        }
    }

    public TrafficStats(long j, long j2, long j3, long j4) {
        this.txRate = j;
        this.rxRate = j2;
        this.txTotal = j3;
        this.rxTotal = j4;
    }

    public int describeContents() {
        return 0;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof TrafficStats)) {
            return false;
        }
        TrafficStats trafficStats = (TrafficStats) obj;
        return this.txRate == trafficStats.txRate && this.rxRate == trafficStats.rxRate && this.txTotal == trafficStats.txTotal && this.rxTotal == trafficStats.rxTotal;
    }

    public int hashCode() {
        int m0 = TrafficStats$$ExternalSynthetic0.m0(this.rxRate);
        int m02 = TrafficStats$$ExternalSynthetic0.m0(this.txTotal);
        return TrafficStats$$ExternalSynthetic0.m0(this.rxTotal) + ((m02 + ((m0 + (TrafficStats$$ExternalSynthetic0.m0(this.txRate) * 31)) * 31)) * 31);
    }

    public final TrafficStats plus(TrafficStats trafficStats) {
        Intrinsics.checkParameterIsNotNull(trafficStats, "other");
        return new TrafficStats(this.txRate + trafficStats.txRate, this.rxRate + trafficStats.rxRate, this.txTotal + trafficStats.txTotal, this.rxTotal + trafficStats.rxTotal);
    }

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("TrafficStats(txRate=");
        outline25.append(this.txRate);
        outline25.append(", rxRate=");
        outline25.append(this.rxRate);
        outline25.append(", txTotal=");
        outline25.append(this.txTotal);
        outline25.append(", rxTotal=");
        outline25.append(this.rxTotal);
        outline25.append(")");
        return outline25.toString();
    }

    public void writeToParcel(Parcel parcel, int i) {
        Intrinsics.checkParameterIsNotNull(parcel, "parcel");
        parcel.writeLong(this.txRate);
        parcel.writeLong(this.rxRate);
        parcel.writeLong(this.txTotal);
        parcel.writeLong(this.rxTotal);
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public /* synthetic */ TrafficStats(long j, long j2, long j3, long j4, int i) {
        this((i & 1) != 0 ? 0 : j, (i & 2) != 0 ? 0 : j2, (i & 4) != 0 ? 0 : j3, (i & 8) == 0 ? j4 : 0);
    }
}
