package com.github.shadowsocks.bg;

import android.os.SystemClock;
import android.system.OsConstants;
import android.util.Log;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.transition.ViewGroupUtilsApi14;
import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import com.github.shadowsocks.Core;
import com.github.shadowsocks.utils.Commandline;
import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.List;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.Unit;
import kotlin.collections.ArraysKt___ArraysKt;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.CoroutineContext;
import kotlin.coroutines.intrinsics.CoroutineSingletons;
import kotlin.io.FilesKt__FileReadWriteKt;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.functions.Function2;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.PropertyReference1Impl;
import kotlin.jvm.internal.Reflection;
import kotlin.reflect.KProperty;
import kotlin.text.Charsets;
import kotlin.text.StringsKt__IndentKt;
import kotlinx.coroutines.CoroutineDispatcher;
import kotlinx.coroutines.CoroutineScope;
import kotlinx.coroutines.Dispatchers;
import kotlinx.coroutines.GlobalScope;
import kotlinx.coroutines.NonCancellable;
import kotlinx.coroutines.channels.Channel;
import kotlinx.coroutines.internal.MainDispatcherLoader;

/* compiled from: GuardedProcessPool.kt */
public final class GuardedProcessPool implements CoroutineScope {
    public static final Companion Companion = new Companion(null);
    public static final Lazy pid$delegate = ViewGroupUtilsApi14.lazy(GuardedProcessPool$Companion$pid$2.INSTANCE);
    public final CoroutineContext coroutineContext = MainDispatcherLoader.dispatcher.getImmediate().plus(ViewGroupUtilsApi14.Job$default(null, 1, null));
    public final Function2<IOException, Continuation<? super Unit>, Object> onFatal;

    /* compiled from: GuardedProcessPool.kt */
    public final class Companion {
        public static final /* synthetic */ KProperty[] $$delegatedProperties;

        static {
            PropertyReference1Impl propertyReference1Impl = new PropertyReference1Impl(Reflection.getOrCreateKotlinClass(Companion.class), "pid", "getPid()Ljava/lang/reflect/Field;");
            Objects.requireNonNull(Reflection.factory);
            $$delegatedProperties = new KProperty[]{propertyReference1Impl};
        }

        public Companion(DefaultConstructorMarker defaultConstructorMarker) {
        }
    }

    /* compiled from: GuardedProcessPool.kt */
    public final class Guard {
        public final List<String> cmd;
        public Process process;
        public final /* synthetic */ GuardedProcessPool this$0;

        public Guard(GuardedProcessPool guardedProcessPool, List<String> list) {
            Intrinsics.checkParameterIsNotNull(list, "cmd");
            this.this$0 = guardedProcessPool;
            this.cmd = list;
        }

        public static final /* synthetic */ Process access$getProcess$p(Guard guard) {
            Process process2 = guard.process;
            if (process2 != null) {
                return process2;
            }
            Intrinsics.throwUninitializedPropertyAccessException("process");
            throw null;
        }

        public static final void access$streamLogger(Guard guard, InputStream inputStream, Function1 function1) {
            Objects.requireNonNull(guard);
            try {
                InputStreamReader inputStreamReader = new InputStreamReader(inputStream, Charsets.UTF_8);
                FilesKt__FileReadWriteKt.forEachLine(inputStreamReader instanceof BufferedReader ? (BufferedReader) inputStreamReader : new BufferedReader(inputStreamReader, 8192), function1);
            } catch (IOException unused) {
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:29:0x00b3  */
        /* JADX WARNING: Removed duplicated region for block: B:38:0x0163  */
        /* JADX WARNING: Removed duplicated region for block: B:44:0x018b A[Catch:{ IOException -> 0x0253, all -> 0x0250 }] */
        /* JADX WARNING: Removed duplicated region for block: B:67:0x0233  */
        /* JADX WARNING: Removed duplicated region for block: B:86:0x02a4  */
        /* JADX WARNING: Removed duplicated region for block: B:8:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:93:0x02c9  */
        /* JADX WARNING: Removed duplicated region for block: B:97:? A[SYNTHETIC] */
        public final Object looper(Function1<? super Continuation<? super Unit>, ? extends Object> function1, Continuation<? super Unit> continuation) {
            GuardedProcessPool$Guard$looper$1 guardedProcessPool$Guard$looper$1;
            CoroutineSingletons coroutineSingletons;
            int i;
            String str;
            Guard guard;
            Function1<? super Continuation<? super Unit>, ? extends Object> function12;
            int i2;
            String str2;
            Channel channel;
            CoroutineSingletons coroutineSingletons2;
            Throwable th;
            Guard guard2;
            Function1<? super Continuation<? super Unit>, ? extends Object> function13;
            int i3;
            String str3;
            Channel channel2;
            IOException e;
            int i4;
            String str4;
            String str5;
            GuardedProcessPool$Guard$looper$1 guardedProcessPool$Guard$looper$12;
            Function1<? super Continuation<? super Unit>, ? extends Object> function14;
            int i5;
            int i6;
            String str6;
            int i7;
            int i8;
            long j;
            int intValue;
            Object receive;
            if (continuation instanceof GuardedProcessPool$Guard$looper$1) {
                guardedProcessPool$Guard$looper$1 = (GuardedProcessPool$Guard$looper$1) continuation;
                int i9 = guardedProcessPool$Guard$looper$1.label;
                if ((i9 & LinearLayoutManager.INVALID_OFFSET) != 0) {
                    guardedProcessPool$Guard$looper$1.label = i9 - LinearLayoutManager.INVALID_OFFSET;
                    Object obj = guardedProcessPool$Guard$looper$1.result;
                    coroutineSingletons = CoroutineSingletons.COROUTINE_SUSPENDED;
                    i = guardedProcessPool$Guard$looper$1.label;
                    str = "GuardedProcessPool";
                    int i10 = 1;
                    String str7 = "";
                    if (i != 0) {
                        ViewGroupUtilsApi14.throwOnFailure(obj);
                        File file = new File((String) ArraysKt___ArraysKt.first(this.cmd));
                        Intrinsics.checkNotNullParameter(file, "$this$nameWithoutExtension");
                        String name = file.getName();
                        Intrinsics.checkNotNullExpressionValue(name, VpnProfileDataSource.KEY_NAME);
                        Intrinsics.checkNotNullParameter(name, "$this$substringBeforeLast");
                        Intrinsics.checkNotNullParameter(".", "delimiter");
                        Intrinsics.checkNotNullParameter(name, "missingDelimiterValue");
                        int lastIndexOf$default = StringsKt__IndentKt.lastIndexOf$default((CharSequence) name, ".", 0, false, 6);
                        if (lastIndexOf$default != -1) {
                            name = name.substring(0, lastIndexOf$default);
                            Intrinsics.checkNotNullExpressionValue(name, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                        }
                        str4 = name;
                        guard2 = this;
                        str5 = str;
                        i5 = 0;
                        i4 = 1;
                        channel = ViewGroupUtilsApi14.Channel(0);
                        coroutineSingletons2 = coroutineSingletons;
                        guardedProcessPool$Guard$looper$12 = guardedProcessPool$Guard$looper$1;
                        function14 = function1;
                    } else if (i == 1) {
                        j = guardedProcessPool$Guard$looper$1.J$0;
                        channel2 = (Channel) guardedProcessPool$Guard$looper$1.L$3;
                        str2 = (String) guardedProcessPool$Guard$looper$1.L$2;
                        i2 = guardedProcessPool$Guard$looper$1.I$0;
                        function12 = (Function1) guardedProcessPool$Guard$looper$1.L$1;
                        guard = (Guard) guardedProcessPool$Guard$looper$1.L$0;
                        try {
                            ViewGroupUtilsApi14.throwOnFailure(obj);
                            guard2 = guard;
                            i8 = 0;
                            i6 = i2;
                            str6 = str7;
                            i7 = 1;
                            try {
                                try {
                                    if (SystemClock.elapsedRealtime() - j < ((long) 1000)) {
                                    } else {
                                        if (intValue == OsConstants.SIGKILL + 128) {
                                            try {
                                                Log.w(str, str2 + " was killed");
                                            } catch (IOException e2) {
                                                e = e2;
                                                i3 = i8;
                                            } catch (Throwable th2) {
                                                th = th2;
                                                guard = guard2;
                                                i2 = i8;
                                                channel = channel2;
                                                coroutineSingletons2 = coroutineSingletons;
                                                th = th;
                                                if (i2 != 0) {
                                                }
                                            }
                                        } else {
                                            Log.e(str6, str6, new IOException(str2 + " unexpectedly exits with code " + intValue));
                                        }
                                        Log.d(str, "restart process: " + Commandline.toString(guard2.cmd) + " (last exit code: " + intValue + ')');
                                        guard2.start();
                                        if (function12 != null) {
                                            try {
                                                guardedProcessPool$Guard$looper$1.L$0 = guard2;
                                                guardedProcessPool$Guard$looper$1.L$1 = function12;
                                                guardedProcessPool$Guard$looper$1.I$0 = i7;
                                                guardedProcessPool$Guard$looper$1.L$2 = str2;
                                                guardedProcessPool$Guard$looper$1.L$3 = channel2;
                                                guardedProcessPool$Guard$looper$1.J$0 = j;
                                                guardedProcessPool$Guard$looper$1.I$1 = intValue;
                                                guardedProcessPool$Guard$looper$1.label = 2;
                                                if (function12.invoke(guardedProcessPool$Guard$looper$1) == coroutineSingletons) {
                                                    return coroutineSingletons;
                                                }
                                                i3 = 1;
                                                str3 = str2;
                                                i10 = i7;
                                                str7 = str6;
                                                function13 = function12;
                                                guardedProcessPool$Guard$looper$12 = guardedProcessPool$Guard$looper$1;
                                                function14 = function13;
                                                i4 = i3;
                                                str4 = str3;
                                                str5 = str;
                                                channel = channel2;
                                                coroutineSingletons2 = coroutineSingletons;
                                                i5 = 0;
                                                return coroutineSingletons;
                                            } catch (IOException e3) {
                                                e = e3;
                                                i3 = 1;
                                                str3 = str2;
                                                function13 = function12;
                                                try {
                                                    Log.w(str, "error occurred. stop guard: " + Commandline.toString(guard2.cmd));
                                                    GlobalScope globalScope = GlobalScope.INSTANCE;
                                                    CoroutineDispatcher coroutineDispatcher = Dispatchers.Default;
                                                    ViewGroupUtilsApi14.launch$default(globalScope, MainDispatcherLoader.dispatcher, null, new GuardedProcessPool$Guard$looper$4(guard2, e, null), 2, null);
                                                    if (i3 != 0) {
                                                    }
                                                    return Unit.INSTANCE;
                                                } catch (Throwable th3) {
                                                    th = th3;
                                                    i2 = i3;
                                                    function12 = function13;
                                                    guard = guard2;
                                                    str2 = str3;
                                                    channel = channel2;
                                                    coroutineSingletons2 = coroutineSingletons;
                                                    th = th;
                                                    if (i2 != 0) {
                                                        NonCancellable nonCancellable = NonCancellable.INSTANCE;
                                                        GuardedProcessPool$Guard$looper$5 guardedProcessPool$Guard$looper$5 = new GuardedProcessPool$Guard$looper$5(guard, channel, null);
                                                        guardedProcessPool$Guard$looper$1.L$0 = guard;
                                                        guardedProcessPool$Guard$looper$1.L$1 = function12;
                                                        guardedProcessPool$Guard$looper$1.L$2 = str2;
                                                        guardedProcessPool$Guard$looper$1.L$3 = channel;
                                                        guardedProcessPool$Guard$looper$1.L$4 = th;
                                                        guardedProcessPool$Guard$looper$1.label = 4;
                                                        if (ViewGroupUtilsApi14.withContext(nonCancellable, guardedProcessPool$Guard$looper$5, guardedProcessPool$Guard$looper$1) == coroutineSingletons2) {
                                                            return coroutineSingletons2;
                                                        }
                                                        throw th;
                                                    }
                                                    throw th;
                                                }
                                            } catch (Throwable th4) {
                                                th = th4;
                                                i8 = 1;
                                                guard = guard2;
                                                i2 = i8;
                                                channel = channel2;
                                                coroutineSingletons2 = coroutineSingletons;
                                                th = th;
                                                if (i2 != 0) {
                                                }
                                            }
                                        }
                                        str5 = str;
                                        str4 = str2;
                                        i10 = i7;
                                        str7 = str6;
                                        i4 = 1;
                                        channel = channel2;
                                        coroutineSingletons2 = coroutineSingletons;
                                        guardedProcessPool$Guard$looper$12 = guardedProcessPool$Guard$looper$1;
                                        function14 = function12;
                                        i5 = 0;
                                    }
                                    throw new IOException(str2 + " exits too fast (exit code: " + intValue + ')');
                                } catch (IOException e4) {
                                    e = e4;
                                    i3 = 0;
                                } catch (Throwable th5) {
                                    th = th5;
                                    i8 = 0;
                                }
                                intValue = ((Number) obj).intValue();
                            } catch (IOException e5) {
                                e = e5;
                                i3 = i6;
                            } catch (Throwable th6) {
                                th = th6;
                                i8 = i6;
                            }
                        } catch (IOException e6) {
                            e = e6;
                            str3 = str2;
                            i3 = i2;
                            function13 = function12;
                            guard2 = guard;
                            Log.w(str, "error occurred. stop guard: " + Commandline.toString(guard2.cmd));
                            GlobalScope globalScope2 = GlobalScope.INSTANCE;
                            CoroutineDispatcher coroutineDispatcher2 = Dispatchers.Default;
                            ViewGroupUtilsApi14.launch$default(globalScope2, MainDispatcherLoader.dispatcher, null, new GuardedProcessPool$Guard$looper$4(guard2, e, null), 2, null);
                            if (i3 != 0) {
                            }
                            return Unit.INSTANCE;
                        } catch (Throwable th7) {
                            th = th7;
                            channel = channel2;
                            coroutineSingletons2 = coroutineSingletons;
                            th = th;
                            if (i2 != 0) {
                            }
                        }
                    } else if (i == 2) {
                        channel2 = (Channel) guardedProcessPool$Guard$looper$1.L$3;
                        str3 = (String) guardedProcessPool$Guard$looper$1.L$2;
                        i3 = guardedProcessPool$Guard$looper$1.I$0;
                        function13 = (Function1) guardedProcessPool$Guard$looper$1.L$1;
                        guard2 = (Guard) guardedProcessPool$Guard$looper$1.L$0;
                        try {
                            ViewGroupUtilsApi14.throwOnFailure(obj);
                            guardedProcessPool$Guard$looper$12 = guardedProcessPool$Guard$looper$1;
                            function14 = function13;
                            i4 = i3;
                            str4 = str3;
                            str5 = str;
                            channel = channel2;
                            coroutineSingletons2 = coroutineSingletons;
                            i5 = 0;
                        } catch (IOException e7) {
                            e = e7;
                        }
                    } else if (i == 3) {
                        Channel channel3 = (Channel) guardedProcessPool$Guard$looper$1.L$3;
                        String str8 = (String) guardedProcessPool$Guard$looper$1.L$2;
                        Function1 function15 = (Function1) guardedProcessPool$Guard$looper$1.L$1;
                        Guard guard3 = (Guard) guardedProcessPool$Guard$looper$1.L$0;
                        ViewGroupUtilsApi14.throwOnFailure(obj);
                        return Unit.INSTANCE;
                    } else if (i != 4) {
                        throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                    } else {
                        Throwable th8 = (Throwable) guardedProcessPool$Guard$looper$1.L$4;
                        Channel channel4 = (Channel) guardedProcessPool$Guard$looper$1.L$3;
                        String str9 = (String) guardedProcessPool$Guard$looper$1.L$2;
                        Function1 function16 = (Function1) guardedProcessPool$Guard$looper$1.L$1;
                        Guard guard4 = (Guard) guardedProcessPool$Guard$looper$1.L$0;
                        ViewGroupUtilsApi14.throwOnFailure(obj);
                        throw th8;
                    }
                    ViewGroupUtilsApi14.thread$default(false, false, null, "stderr-" + str4, 0, new GuardedProcessPool$Guard$looper$2(guard2, str4), 23);
                    ViewGroupUtilsApi14.thread$default(false, false, null, "stdout-" + str4, 0, new GuardedProcessPool$Guard$looper$3(guard2, str4, channel), 23);
                    long elapsedRealtime = SystemClock.elapsedRealtime();
                    guardedProcessPool$Guard$looper$12.L$0 = guard2;
                    guardedProcessPool$Guard$looper$12.L$1 = function14;
                    guardedProcessPool$Guard$looper$12.I$0 = i4;
                    guardedProcessPool$Guard$looper$12.L$2 = str4;
                    guardedProcessPool$Guard$looper$12.L$3 = channel;
                    guardedProcessPool$Guard$looper$12.J$0 = elapsedRealtime;
                    guardedProcessPool$Guard$looper$12.label = i10;
                    receive = channel.receive(guardedProcessPool$Guard$looper$12);
                    if (receive != coroutineSingletons2) {
                        return coroutineSingletons2;
                    }
                    i8 = i5;
                    obj = receive;
                    i6 = i4;
                    str2 = str4;
                    function12 = function14;
                    guardedProcessPool$Guard$looper$1 = guardedProcessPool$Guard$looper$12;
                    coroutineSingletons = coroutineSingletons2;
                    channel2 = channel;
                    str = str5;
                    str6 = str7;
                    j = elapsedRealtime;
                    i7 = i10;
                    intValue = ((Number) obj).intValue();
                    if (SystemClock.elapsedRealtime() - j < ((long) 1000)) {
                    }
                    throw new IOException(str2 + " exits too fast (exit code: " + intValue + ')');
                    return coroutineSingletons2;
                }
            }
            guardedProcessPool$Guard$looper$1 = new GuardedProcessPool$Guard$looper$1(this, continuation);
            Object obj2 = guardedProcessPool$Guard$looper$1.result;
            coroutineSingletons = CoroutineSingletons.COROUTINE_SUSPENDED;
            i = guardedProcessPool$Guard$looper$1.label;
            str = "GuardedProcessPool";
            int i102 = 1;
            String str72 = "";
            if (i != 0) {
            }
            try {
                ViewGroupUtilsApi14.thread$default(false, false, null, "stderr-" + str4, 0, new GuardedProcessPool$Guard$looper$2(guard2, str4), 23);
                ViewGroupUtilsApi14.thread$default(false, false, null, "stdout-" + str4, 0, new GuardedProcessPool$Guard$looper$3(guard2, str4, channel), 23);
                long elapsedRealtime2 = SystemClock.elapsedRealtime();
                guardedProcessPool$Guard$looper$12.L$0 = guard2;
                guardedProcessPool$Guard$looper$12.L$1 = function14;
                guardedProcessPool$Guard$looper$12.I$0 = i4;
                guardedProcessPool$Guard$looper$12.L$2 = str4;
                guardedProcessPool$Guard$looper$12.L$3 = channel;
                guardedProcessPool$Guard$looper$12.J$0 = elapsedRealtime2;
                guardedProcessPool$Guard$looper$12.label = i102;
                receive = channel.receive(guardedProcessPool$Guard$looper$12);
                if (receive != coroutineSingletons2) {
                }
                return coroutineSingletons2;
            } catch (IOException e8) {
                e = e8;
                function13 = function14;
                guardedProcessPool$Guard$looper$1 = guardedProcessPool$Guard$looper$12;
                coroutineSingletons = coroutineSingletons2;
                channel2 = channel;
                str = str5;
                str3 = str4;
                i3 = i4;
                Log.w(str, "error occurred. stop guard: " + Commandline.toString(guard2.cmd));
                GlobalScope globalScope22 = GlobalScope.INSTANCE;
                CoroutineDispatcher coroutineDispatcher22 = Dispatchers.Default;
                ViewGroupUtilsApi14.launch$default(globalScope22, MainDispatcherLoader.dispatcher, null, new GuardedProcessPool$Guard$looper$4(guard2, e, null), 2, null);
                if (i3 != 0) {
                    NonCancellable nonCancellable2 = NonCancellable.INSTANCE;
                    GuardedProcessPool$Guard$looper$5 guardedProcessPool$Guard$looper$52 = new GuardedProcessPool$Guard$looper$5(guard2, channel2, null);
                    guardedProcessPool$Guard$looper$1.L$0 = guard2;
                    guardedProcessPool$Guard$looper$1.L$1 = function13;
                    guardedProcessPool$Guard$looper$1.L$2 = str3;
                    guardedProcessPool$Guard$looper$1.L$3 = channel2;
                    guardedProcessPool$Guard$looper$1.label = 3;
                    if (ViewGroupUtilsApi14.withContext(nonCancellable2, guardedProcessPool$Guard$looper$52, guardedProcessPool$Guard$looper$1) == coroutineSingletons) {
                        return coroutineSingletons;
                    }
                }
                return Unit.INSTANCE;
            } catch (Throwable th9) {
                function12 = function14;
                guardedProcessPool$Guard$looper$1 = guardedProcessPool$Guard$looper$12;
                i2 = i4;
                guard = guard2;
                th = th9;
                str2 = str4;
                if (i2 != 0) {
                }
            }
        }

        public final void start() {
            Process start = new ProcessBuilder(this.cmd).directory(Core.INSTANCE.getDeviceStorage().getNoBackupFilesDir()).start();
            Intrinsics.checkExpressionValueIsNotNull(start, "ProcessBuilder(cmd).dire…noBackupFilesDir).start()");
            this.process = start;
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: kotlin.jvm.functions.Function2<? super java.io.IOException, ? super kotlin.coroutines.Continuation<? super kotlin.Unit>, ? extends java.lang.Object> */
    /* JADX WARN: Multi-variable type inference failed */
    public GuardedProcessPool(Function2<? super IOException, ? super Continuation<? super Unit>, ? extends Object> function2) {
        Intrinsics.checkParameterIsNotNull(function2, "onFatal");
        this.onFatal = function2;
        CoroutineDispatcher coroutineDispatcher = Dispatchers.Default;
    }

    @Override // kotlinx.coroutines.CoroutineScope
    public CoroutineContext getCoroutineContext() {
        return this.coroutineContext;
    }

    public final void start(List<String> list, Function1<? super Continuation<? super Unit>, ? extends Object> function1) {
        Intrinsics.checkParameterIsNotNull(list, "cmd");
        Log.d("GuardedProcessPool", "start process: " + Commandline.toString(list));
        Guard guard = new Guard(this, list);
        guard.start();
        ViewGroupUtilsApi14.launch$default(this, null, null, new GuardedProcessPool$start$$inlined$apply$lambda$1(guard, null, this, function1), 3, null);
    }
}
