package com.github.shadowsocks.bg;

import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.transition.ViewGroupUtilsApi14;
import com.github.shadowsocks.database.Profile;
import com.github.shadowsocks.net.ChannelMonitor;
import com.github.shadowsocks.net.ChannelMonitor$close$1;
import com.github.shadowsocks.net.HostsFile;
import com.github.shadowsocks.net.LocalDnsServer;
import com.github.shadowsocks.net.LocalDnsServer$shutdown$1;
import com.github.shadowsocks.net.Socks5Endpoint;
import com.github.shadowsocks.preference.DataStore;
import java.net.InetSocketAddress;
import java.net.URI;
import java.net.URISyntaxException;
import java.util.Objects;
import java.util.WeakHashMap;
import kotlin.Unit;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.intrinsics.CoroutineSingletons;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.CoroutineScope;

/* compiled from: LocalDnsService.kt */
public final class LocalDnsService {
    public static final LocalDnsService INSTANCE = new LocalDnsService();
    public static final WeakHashMap<Interface, LocalDnsServer> servers = new WeakHashMap<>();

    /* compiled from: LocalDnsService.kt */
    public interface Interface extends BaseService$Interface {

        /* compiled from: LocalDnsService.kt */
        public abstract class DefaultImpls {
            public static void killProcesses(Interface r14, CoroutineScope coroutineScope) {
                Intrinsics.checkParameterIsNotNull(coroutineScope, "scope");
                LocalDnsService localDnsService = LocalDnsService.INSTANCE;
                LocalDnsServer remove = LocalDnsService.servers.remove(r14);
                if (remove != null) {
                    Intrinsics.checkParameterIsNotNull(coroutineScope, "scope");
                    ViewGroupUtilsApi14.cancel$default(remove, null, 1);
                    ChannelMonitor channelMonitor = remove.monitor;
                    Objects.requireNonNull(channelMonitor);
                    Intrinsics.checkParameterIsNotNull(coroutineScope, "scope");
                    channelMonitor.running = false;
                    channelMonitor.selector.wakeup();
                    ViewGroupUtilsApi14.launch$default(coroutineScope, null, null, new ChannelMonitor$close$1(channelMonitor, null), 3, null);
                    ViewGroupUtilsApi14.launch$default(coroutineScope, null, null, new LocalDnsServer$shutdown$1(remove, null), 3, null);
                }
                ViewGroupUtilsApi14.killProcesses(r14, coroutineScope);
            }

            /* JADX WARNING: Removed duplicated region for block: B:14:0x0055  */
            /* JADX WARNING: Removed duplicated region for block: B:19:0x0070  */
            /* JADX WARNING: Removed duplicated region for block: B:38:0x0119  */
            /* JADX WARNING: Removed duplicated region for block: B:8:0x0026  */
            public static Object startProcesses(Interface r16, HostsFile hostsFile, Continuation<? super Unit> continuation) {
                LocalDnsService$Interface$startProcesses$1 localDnsService$Interface$startProcesses$1;
                int i;
                HostsFile hostsFile2;
                ProxyInstance proxyInstance;
                Interface r0 = r16;
                if (continuation instanceof LocalDnsService$Interface$startProcesses$1) {
                    localDnsService$Interface$startProcesses$1 = (LocalDnsService$Interface$startProcesses$1) continuation;
                    int i2 = localDnsService$Interface$startProcesses$1.label;
                    if ((i2 & LinearLayoutManager.INVALID_OFFSET) != 0) {
                        localDnsService$Interface$startProcesses$1.label = i2 - LinearLayoutManager.INVALID_OFFSET;
                        Object obj = localDnsService$Interface$startProcesses$1.result;
                        CoroutineSingletons coroutineSingletons = CoroutineSingletons.COROUTINE_SUSPENDED;
                        i = localDnsService$Interface$startProcesses$1.label;
                        if (i != 0) {
                            ViewGroupUtilsApi14.throwOnFailure(obj);
                            localDnsService$Interface$startProcesses$1.L$0 = r0;
                            hostsFile2 = hostsFile;
                            localDnsService$Interface$startProcesses$1.L$1 = hostsFile2;
                            localDnsService$Interface$startProcesses$1.label = 1;
                            if (ViewGroupUtilsApi14.startProcesses(r16) == coroutineSingletons) {
                                return coroutineSingletons;
                            }
                        } else if (i == 1) {
                            ViewGroupUtilsApi14.throwOnFailure(obj);
                            hostsFile2 = (HostsFile) localDnsService$Interface$startProcesses$1.L$1;
                            r0 = (Interface) localDnsService$Interface$startProcesses$1.L$0;
                        } else if (i == 2) {
                            URI uri = (URI) localDnsService$Interface$startProcesses$1.L$3;
                            Profile profile = (Profile) localDnsService$Interface$startProcesses$1.L$2;
                            HostsFile hostsFile3 = (HostsFile) localDnsService$Interface$startProcesses$1.L$1;
                            Interface r02 = (Interface) localDnsService$Interface$startProcesses$1.L$0;
                            ViewGroupUtilsApi14.throwOnFailure(obj);
                            return Unit.INSTANCE;
                        } else {
                            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                        }
                        proxyInstance = r0.getData().proxy;
                        if (proxyInstance == null) {
                            Profile profile2 = proxyInstance.profile;
                            try {
                                URI uri2 = new URI("dns://" + profile2.getRemoteDns());
                                LocalDnsService$Interface$startProcesses$2 localDnsService$Interface$startProcesses$2 = new LocalDnsService$Interface$startProcesses$2(r0);
                                String host = uri2.getHost();
                                Intrinsics.checkExpressionValueIsNotNull(host, "dns.host");
                                Socks5Endpoint socks5Endpoint = new Socks5Endpoint(host, uri2.getPort() < 0 ? 53 : uri2.getPort());
                                DataStore dataStore = DataStore.INSTANCE;
                                Objects.requireNonNull(dataStore);
                                LocalDnsServer localDnsServer = new LocalDnsServer(localDnsService$Interface$startProcesses$2, socks5Endpoint, new InetSocketAddress("127.0.0.1", dataStore.getPortProxy()), hostsFile2, !profile2.getUdpdns(), Intrinsics.areEqual(profile2.getRoute(), "all") ? null : new LocalDnsService$Interface$startProcesses$3(new LocalDnsService$Interface$startProcesses$4(profile2)));
                                LocalDnsService localDnsService = LocalDnsService.INSTANCE;
                                LocalDnsService.servers.put(r0, localDnsServer);
                                InetSocketAddress inetSocketAddress = new InetSocketAddress(dataStore.getListenAddress(), dataStore.getLocalPort("portLocalDns", 5450));
                                localDnsService$Interface$startProcesses$1.L$0 = r0;
                                localDnsService$Interface$startProcesses$1.L$1 = hostsFile2;
                                localDnsService$Interface$startProcesses$1.L$2 = profile2;
                                localDnsService$Interface$startProcesses$1.L$3 = uri2;
                                localDnsService$Interface$startProcesses$1.label = 2;
                                if (localDnsServer.start(inetSocketAddress, localDnsService$Interface$startProcesses$1) == coroutineSingletons) {
                                    return coroutineSingletons;
                                }
                                return Unit.INSTANCE;
                            } catch (URISyntaxException e) {
                                throw new BaseService$ExpectedExceptionWrapper(e);
                            }
                        } else {
                            Intrinsics.throwNpe();
                            throw null;
                        }
                    }
                }
                localDnsService$Interface$startProcesses$1 = new LocalDnsService$Interface$startProcesses$1(r0, continuation);
                Object obj2 = localDnsService$Interface$startProcesses$1.result;
                CoroutineSingletons coroutineSingletons2 = CoroutineSingletons.COROUTINE_SUSPENDED;
                i = localDnsService$Interface$startProcesses$1.label;
                if (i != 0) {
                }
                proxyInstance = r0.getData().proxy;
                if (proxyInstance == null) {
                }
            }
        }
    }
}
