package com.github.shadowsocks.database;

import java.nio.ByteBuffer;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: KeyValuePair.kt */
public final class KeyValuePair {
    public String key;
    public byte[] value;
    public int valueType;

    /* compiled from: KeyValuePair.kt */
    public interface Dao {
        int delete(String str);

        KeyValuePair get(String str);

        long put(KeyValuePair keyValuePair);
    }

    public KeyValuePair() {
        this.key = "";
        this.value = new byte[0];
    }

    public final Long getLong() {
        int i = this.valueType;
        if (i == 3) {
            ByteBuffer wrap = ByteBuffer.wrap(this.value);
            Intrinsics.checkExpressionValueIsNotNull(wrap, "ByteBuffer.wrap(value)");
            return Long.valueOf((long) wrap.getInt());
        } else if (i != 4) {
            return null;
        } else {
            ByteBuffer wrap2 = ByteBuffer.wrap(this.value);
            Intrinsics.checkExpressionValueIsNotNull(wrap2, "ByteBuffer.wrap(value)");
            return Long.valueOf(wrap2.getLong());
        }
    }

    public final KeyValuePair put(long j) {
        this.valueType = 4;
        byte[] array = ByteBuffer.allocate(8).putLong(j).array();
        Intrinsics.checkExpressionValueIsNotNull(array, "ByteBuffer.allocate(8).putLong(value).array()");
        this.value = array;
        return this;
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public KeyValuePair(String str) {
        this();
        Intrinsics.checkParameterIsNotNull(str, "key");
        this.key = str;
    }
}
