package com.github.shadowsocks.database;

import android.database.Cursor;
import androidx.room.EntityInsertionAdapter;
import androidx.room.RoomDatabase;
import androidx.room.RoomSQLiteQuery;
import androidx.room.SharedSQLiteStatement;
import androidx.room.util.DBUtil;
import androidx.sqlite.db.SupportSQLiteStatement;
import com.github.shadowsocks.database.KeyValuePair;
import kotlin.jvm.internal.Intrinsics;

public final class KeyValuePairDao_PublicDatabase_Impl implements KeyValuePair.Dao {
    public final RoomDatabase __db;
    public final EntityInsertionAdapter<KeyValuePair> __insertionAdapterOfKeyValuePair;
    public final SharedSQLiteStatement __preparedStmtOfDelete;

    public KeyValuePairDao_PublicDatabase_Impl(RoomDatabase roomDatabase) {
        this.__db = roomDatabase;
        this.__insertionAdapterOfKeyValuePair = new EntityInsertionAdapter<KeyValuePair>(this, roomDatabase) {
            /* class com.github.shadowsocks.database.KeyValuePairDao_PublicDatabase_Impl.AnonymousClass1 */

            /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.sqlite.db.SupportSQLiteStatement, java.lang.Object] */
            @Override // androidx.room.EntityInsertionAdapter
            public void bind(SupportSQLiteStatement supportSQLiteStatement, KeyValuePair keyValuePair) {
                KeyValuePair keyValuePair2 = keyValuePair;
                String str = keyValuePair2.key;
                if (str == null) {
                    supportSQLiteStatement.bindNull(1);
                } else {
                    supportSQLiteStatement.bindString(1, str);
                }
                supportSQLiteStatement.bindLong(2, (long) keyValuePair2.valueType);
                byte[] bArr = keyValuePair2.value;
                if (bArr == null) {
                    supportSQLiteStatement.bindNull(3);
                } else {
                    supportSQLiteStatement.bindBlob(3, bArr);
                }
            }

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "INSERT OR REPLACE INTO `KeyValuePair` (`key`,`valueType`,`value`) VALUES (?,?,?)";
            }
        };
        this.__preparedStmtOfDelete = new SharedSQLiteStatement(this, roomDatabase) {
            /* class com.github.shadowsocks.database.KeyValuePairDao_PublicDatabase_Impl.AnonymousClass2 */

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "DELETE FROM `KeyValuePair` WHERE `key` = ?";
            }
        };
    }

    public final KeyValuePair __entityCursorConverter_comGithubShadowsocksDatabaseKeyValuePair(Cursor cursor) {
        int columnIndex = cursor.getColumnIndex("key");
        int columnIndex2 = cursor.getColumnIndex("valueType");
        int columnIndex3 = cursor.getColumnIndex("value");
        KeyValuePair keyValuePair = new KeyValuePair();
        if (columnIndex != -1) {
            String string = cursor.getString(columnIndex);
            Intrinsics.checkParameterIsNotNull(string, "<set-?>");
            keyValuePair.key = string;
        }
        if (columnIndex2 != -1) {
            keyValuePair.valueType = cursor.getInt(columnIndex2);
        }
        if (columnIndex3 != -1) {
            byte[] blob = cursor.getBlob(columnIndex3);
            Intrinsics.checkParameterIsNotNull(blob, "<set-?>");
            keyValuePair.value = blob;
        }
        return keyValuePair;
    }

    @Override // com.github.shadowsocks.database.KeyValuePair.Dao
    public int delete(String str) {
        this.__db.assertNotSuspendingTransaction();
        SupportSQLiteStatement acquire = this.__preparedStmtOfDelete.acquire();
        acquire.bindString(1, str);
        this.__db.beginTransaction();
        try {
            int executeUpdateDelete = acquire.executeUpdateDelete();
            this.__db.setTransactionSuccessful();
            return executeUpdateDelete;
        } finally {
            this.__db.endTransaction();
            this.__preparedStmtOfDelete.release(acquire);
        }
    }

    @Override // com.github.shadowsocks.database.KeyValuePair.Dao
    public KeyValuePair get(String str) {
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("SELECT * FROM `KeyValuePair` WHERE `key` = ?", 1);
        acquire.bindString(1, str);
        this.__db.assertNotSuspendingTransaction();
        KeyValuePair keyValuePair = null;
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            if (query.moveToFirst()) {
                keyValuePair = __entityCursorConverter_comGithubShadowsocksDatabaseKeyValuePair(query);
            }
            return keyValuePair;
        } finally {
            query.close();
            acquire.release();
        }
    }

    @Override // com.github.shadowsocks.database.KeyValuePair.Dao
    public long put(KeyValuePair keyValuePair) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            long insertAndReturnId = this.__insertionAdapterOfKeyValuePair.insertAndReturnId(keyValuePair);
            this.__db.setTransactionSuccessful();
            return insertAndReturnId;
        } finally {
            this.__db.endTransaction();
        }
    }
}
