package com.github.shadowsocks.database;

import android.database.Cursor;
import androidx.room.EntityDeletionOrUpdateAdapter;
import androidx.room.EntityInsertionAdapter;
import androidx.room.RoomDatabase;
import androidx.room.RoomSQLiteQuery;
import androidx.room.SharedSQLiteStatement;
import androidx.room.util.DBUtil;
import androidx.sqlite.db.SupportSQLiteStatement;
import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import com.github.shadowsocks.database.Profile;
import java.util.ArrayList;
import java.util.List;

public final class ProfileDao_Impl implements Profile.Dao {
    public final RoomDatabase __db;
    public final EntityInsertionAdapter<Profile> __insertionAdapterOfProfile;
    public final SharedSQLiteStatement __preparedStmtOfDeleteAll;
    public final EntityDeletionOrUpdateAdapter<Profile> __updateAdapterOfProfile;

    public ProfileDao_Impl(RoomDatabase roomDatabase) {
        this.__db = roomDatabase;
        this.__insertionAdapterOfProfile = new EntityInsertionAdapter<Profile>(this, roomDatabase) {
            /* class com.github.shadowsocks.database.ProfileDao_Impl.AnonymousClass1 */

            /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.sqlite.db.SupportSQLiteStatement, java.lang.Object] */
            @Override // androidx.room.EntityInsertionAdapter
            public void bind(SupportSQLiteStatement supportSQLiteStatement, Profile profile) {
                Profile profile2 = profile;
                supportSQLiteStatement.bindLong(1, profile2.getId());
                if (profile2.getName() == null) {
                    supportSQLiteStatement.bindNull(2);
                } else {
                    supportSQLiteStatement.bindString(2, profile2.getName());
                }
                if (profile2.getHost() == null) {
                    supportSQLiteStatement.bindNull(3);
                } else {
                    supportSQLiteStatement.bindString(3, profile2.getHost());
                }
                supportSQLiteStatement.bindLong(4, (long) profile2.getRemotePort());
                if (profile2.getPassword() == null) {
                    supportSQLiteStatement.bindNull(5);
                } else {
                    supportSQLiteStatement.bindString(5, profile2.getPassword());
                }
                if (profile2.getMethod() == null) {
                    supportSQLiteStatement.bindNull(6);
                } else {
                    supportSQLiteStatement.bindString(6, profile2.getMethod());
                }
                if (profile2.getRoute() == null) {
                    supportSQLiteStatement.bindNull(7);
                } else {
                    supportSQLiteStatement.bindString(7, profile2.getRoute());
                }
                if (profile2.getRemoteDns() == null) {
                    supportSQLiteStatement.bindNull(8);
                } else {
                    supportSQLiteStatement.bindString(8, profile2.getRemoteDns());
                }
                supportSQLiteStatement.bindLong(9, profile2.getProxyApps() ? 1 : 0);
                supportSQLiteStatement.bindLong(10, profile2.getBypass() ? 1 : 0);
                supportSQLiteStatement.bindLong(11, profile2.getUdpdns() ? 1 : 0);
                supportSQLiteStatement.bindLong(12, profile2.getIpv6() ? 1 : 0);
                supportSQLiteStatement.bindLong(13, profile2.getMetered() ? 1 : 0);
                if (profile2.getIndividual() == null) {
                    supportSQLiteStatement.bindNull(14);
                } else {
                    supportSQLiteStatement.bindString(14, profile2.getIndividual());
                }
                if (profile2.getPlugin() == null) {
                    supportSQLiteStatement.bindNull(15);
                } else {
                    supportSQLiteStatement.bindString(15, profile2.getPlugin());
                }
                if (profile2.getUdpFallback() == null) {
                    supportSQLiteStatement.bindNull(16);
                } else {
                    supportSQLiteStatement.bindLong(16, profile2.getUdpFallback().longValue());
                }
                supportSQLiteStatement.bindLong(17, (long) Profile.SubscriptionStatus.toInt(profile2.getSubscription()));
                supportSQLiteStatement.bindLong(18, profile2.getTx());
                supportSQLiteStatement.bindLong(19, profile2.getRx());
                supportSQLiteStatement.bindLong(20, profile2.getUserOrder());
            }

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "INSERT OR ABORT INTO `Profile` (`id`,`name`,`host`,`remotePort`,`password`,`method`,`route`,`remoteDns`,`proxyApps`,`bypass`,`udpdns`,`ipv6`,`metered`,`individual`,`plugin`,`udpFallback`,`subscription`,`tx`,`rx`,`userOrder`) VALUES (nullif(?, 0),?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
            }
        };
        this.__updateAdapterOfProfile = new EntityDeletionOrUpdateAdapter<Profile>(this, roomDatabase) {
            /* class com.github.shadowsocks.database.ProfileDao_Impl.AnonymousClass2 */

            /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.sqlite.db.SupportSQLiteStatement, java.lang.Object] */
            @Override // androidx.room.EntityDeletionOrUpdateAdapter
            public void bind(SupportSQLiteStatement supportSQLiteStatement, Profile profile) {
                Profile profile2 = profile;
                supportSQLiteStatement.bindLong(1, profile2.getId());
                if (profile2.getName() == null) {
                    supportSQLiteStatement.bindNull(2);
                } else {
                    supportSQLiteStatement.bindString(2, profile2.getName());
                }
                if (profile2.getHost() == null) {
                    supportSQLiteStatement.bindNull(3);
                } else {
                    supportSQLiteStatement.bindString(3, profile2.getHost());
                }
                supportSQLiteStatement.bindLong(4, (long) profile2.getRemotePort());
                if (profile2.getPassword() == null) {
                    supportSQLiteStatement.bindNull(5);
                } else {
                    supportSQLiteStatement.bindString(5, profile2.getPassword());
                }
                if (profile2.getMethod() == null) {
                    supportSQLiteStatement.bindNull(6);
                } else {
                    supportSQLiteStatement.bindString(6, profile2.getMethod());
                }
                if (profile2.getRoute() == null) {
                    supportSQLiteStatement.bindNull(7);
                } else {
                    supportSQLiteStatement.bindString(7, profile2.getRoute());
                }
                if (profile2.getRemoteDns() == null) {
                    supportSQLiteStatement.bindNull(8);
                } else {
                    supportSQLiteStatement.bindString(8, profile2.getRemoteDns());
                }
                supportSQLiteStatement.bindLong(9, profile2.getProxyApps() ? 1 : 0);
                supportSQLiteStatement.bindLong(10, profile2.getBypass() ? 1 : 0);
                supportSQLiteStatement.bindLong(11, profile2.getUdpdns() ? 1 : 0);
                supportSQLiteStatement.bindLong(12, profile2.getIpv6() ? 1 : 0);
                supportSQLiteStatement.bindLong(13, profile2.getMetered() ? 1 : 0);
                if (profile2.getIndividual() == null) {
                    supportSQLiteStatement.bindNull(14);
                } else {
                    supportSQLiteStatement.bindString(14, profile2.getIndividual());
                }
                if (profile2.getPlugin() == null) {
                    supportSQLiteStatement.bindNull(15);
                } else {
                    supportSQLiteStatement.bindString(15, profile2.getPlugin());
                }
                if (profile2.getUdpFallback() == null) {
                    supportSQLiteStatement.bindNull(16);
                } else {
                    supportSQLiteStatement.bindLong(16, profile2.getUdpFallback().longValue());
                }
                supportSQLiteStatement.bindLong(17, (long) Profile.SubscriptionStatus.toInt(profile2.getSubscription()));
                supportSQLiteStatement.bindLong(18, profile2.getTx());
                supportSQLiteStatement.bindLong(19, profile2.getRx());
                supportSQLiteStatement.bindLong(20, profile2.getUserOrder());
                supportSQLiteStatement.bindLong(21, profile2.getId());
            }

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "UPDATE OR ABORT `Profile` SET `id` = ?,`name` = ?,`host` = ?,`remotePort` = ?,`password` = ?,`method` = ?,`route` = ?,`remoteDns` = ?,`proxyApps` = ?,`bypass` = ?,`udpdns` = ?,`ipv6` = ?,`metered` = ?,`individual` = ?,`plugin` = ?,`udpFallback` = ?,`subscription` = ?,`tx` = ?,`rx` = ?,`userOrder` = ? WHERE `id` = ?";
            }
        };
        new SharedSQLiteStatement(this, roomDatabase) {
            /* class com.github.shadowsocks.database.ProfileDao_Impl.AnonymousClass3 */

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "DELETE FROM `Profile` WHERE `id` = ?";
            }
        };
        this.__preparedStmtOfDeleteAll = new SharedSQLiteStatement(this, roomDatabase) {
            /* class com.github.shadowsocks.database.ProfileDao_Impl.AnonymousClass4 */

            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "DELETE FROM `Profile`";
            }
        };
    }

    public final Profile __entityCursorConverter_comGithubShadowsocksDatabaseProfile(Cursor cursor) {
        Long l;
        int columnIndex = cursor.getColumnIndex("id");
        int columnIndex2 = cursor.getColumnIndex(VpnProfileDataSource.KEY_NAME);
        int columnIndex3 = cursor.getColumnIndex("host");
        int columnIndex4 = cursor.getColumnIndex("remotePort");
        int columnIndex5 = cursor.getColumnIndex(VpnProfileDataSource.KEY_PASSWORD);
        int columnIndex6 = cursor.getColumnIndex("method");
        int columnIndex7 = cursor.getColumnIndex("route");
        int columnIndex8 = cursor.getColumnIndex("remoteDns");
        int columnIndex9 = cursor.getColumnIndex("proxyApps");
        int columnIndex10 = cursor.getColumnIndex("bypass");
        int columnIndex11 = cursor.getColumnIndex("udpdns");
        int columnIndex12 = cursor.getColumnIndex("ipv6");
        int columnIndex13 = cursor.getColumnIndex("metered");
        int columnIndex14 = cursor.getColumnIndex("individual");
        int columnIndex15 = cursor.getColumnIndex("plugin");
        int columnIndex16 = cursor.getColumnIndex("udpFallback");
        int columnIndex17 = cursor.getColumnIndex("subscription");
        int columnIndex18 = cursor.getColumnIndex("tx");
        int columnIndex19 = cursor.getColumnIndex("rx");
        int columnIndex20 = cursor.getColumnIndex("userOrder");
        Profile profile = new Profile();
        if (columnIndex != -1) {
            profile.setId(cursor.getLong(columnIndex));
        }
        if (columnIndex2 != -1) {
            profile.setName(cursor.getString(columnIndex2));
        }
        if (columnIndex3 != -1) {
            profile.setHost(cursor.getString(columnIndex3));
        }
        if (columnIndex4 != -1) {
            profile.setRemotePort(cursor.getInt(columnIndex4));
        }
        if (columnIndex5 != -1) {
            profile.setPassword(cursor.getString(columnIndex5));
        }
        if (columnIndex6 != -1) {
            profile.setMethod(cursor.getString(columnIndex6));
        }
        if (columnIndex7 != -1) {
            profile.setRoute(cursor.getString(columnIndex7));
        }
        if (columnIndex8 != -1) {
            profile.setRemoteDns(cursor.getString(columnIndex8));
        }
        boolean z = false;
        if (columnIndex9 != -1) {
            profile.setProxyApps(cursor.getInt(columnIndex9) != 0);
        }
        if (columnIndex10 != -1) {
            profile.setBypass(cursor.getInt(columnIndex10) != 0);
        }
        if (columnIndex11 != -1) {
            profile.setUdpdns(cursor.getInt(columnIndex11) != 0);
        }
        if (columnIndex12 != -1) {
            profile.setIpv6(cursor.getInt(columnIndex12) != 0);
        }
        if (columnIndex13 != -1) {
            if (cursor.getInt(columnIndex13) != 0) {
                z = true;
            }
            profile.setMetered(z);
        }
        if (columnIndex14 != -1) {
            profile.setIndividual(cursor.getString(columnIndex14));
        }
        if (columnIndex15 != -1) {
            profile.setPlugin(cursor.getString(columnIndex15));
        }
        if (columnIndex16 != -1) {
            if (cursor.isNull(columnIndex16)) {
                l = null;
            } else {
                l = Long.valueOf(cursor.getLong(columnIndex16));
            }
            profile.setUdpFallback(l);
        }
        if (columnIndex17 != -1) {
            profile.setSubscription(Profile.SubscriptionStatus.of(cursor.getInt(columnIndex17)));
        }
        if (columnIndex18 != -1) {
            profile.setTx(cursor.getLong(columnIndex18));
        }
        if (columnIndex19 != -1) {
            profile.setRx(cursor.getLong(columnIndex19));
        }
        if (columnIndex20 != -1) {
            profile.setUserOrder(cursor.getLong(columnIndex20));
        }
        return profile;
    }

    public Profile get(long j) {
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("SELECT * FROM `Profile` WHERE `id` = ?", 1);
        acquire.bindLong(1, j);
        this.__db.assertNotSuspendingTransaction();
        Profile profile = null;
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            if (query.moveToFirst()) {
                profile = __entityCursorConverter_comGithubShadowsocksDatabaseProfile(query);
            }
            return profile;
        } finally {
            query.close();
            acquire.release();
        }
    }

    public List<Profile> listAll() {
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("SELECT * FROM `Profile`", 0);
        this.__db.assertNotSuspendingTransaction();
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            ArrayList arrayList = new ArrayList(query.getCount());
            while (query.moveToNext()) {
                arrayList.add(__entityCursorConverter_comGithubShadowsocksDatabaseProfile(query));
            }
            return arrayList;
        } finally {
            query.close();
            acquire.release();
        }
    }
}
