package com.github.shadowsocks.database;

import android.database.Cursor;
import android.database.sqlite.SQLiteCantOpenDatabaseException;
import android.util.Log;
import androidx.room.RoomSQLiteQuery;
import androidx.room.util.DBUtil;
import com.github.shadowsocks.database.PrivateDatabase;
import com.github.shadowsocks.utils.UtilsKt;
import java.io.IOException;
import java.sql.SQLException;
import java.util.Objects;
import kotlin.jvm.internal.Intrinsics;
import kotlin.reflect.KProperty;

public final class ProfileManager {
    public static final ProfileManager INSTANCE = new ProfileManager();

    public static /* synthetic */ Profile createProfile$default(ProfileManager profileManager, Profile profile, int i) {
        Profile profile2 = (i & 1) != 0 ? new Profile(0, null, null, 0, null, null, null, null, false, false, false, false, false, null, null, null, null, 0, 0, 0, false, 2097151, null) : null;
        profileManager.createProfile(profile2);
        return profile2;
    }

    /* JADX INFO: finally extract failed */
    public final Profile createProfile(Profile profile) {
        Intrinsics.checkParameterIsNotNull(profile, "profile");
        long j = 0;
        profile.setId(0);
        PrivateDatabase.Companion companion = PrivateDatabase.Companion;
        ProfileDao_Impl profileDao_Impl = (ProfileDao_Impl) companion.getProfileDao();
        Objects.requireNonNull(profileDao_Impl);
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("SELECT MAX(`userOrder`) + 1 FROM `Profile`", 0);
        profileDao_Impl.__db.assertNotSuspendingTransaction();
        Long l = null;
        Cursor query = DBUtil.query(profileDao_Impl.__db, acquire, false, null);
        try {
            if (query.moveToFirst()) {
                if (!query.isNull(0)) {
                    l = Long.valueOf(query.getLong(0));
                }
            }
            if (l != null) {
                j = l.longValue();
            }
            profile.setUserOrder(j);
            ProfileDao_Impl profileDao_Impl2 = (ProfileDao_Impl) companion.getProfileDao();
            profileDao_Impl2.__db.assertNotSuspendingTransaction();
            profileDao_Impl2.__db.beginTransaction();
            try {
                long insertAndReturnId = profileDao_Impl2.__insertionAdapterOfProfile.insertAndReturnId(profile);
                profileDao_Impl2.__db.setTransactionSuccessful();
                profileDao_Impl2.__db.endTransaction();
                profile.setId(insertAndReturnId);
                return profile;
            } catch (Throwable th) {
                profileDao_Impl2.__db.endTransaction();
                throw th;
            }
        } finally {
            query.close();
            acquire.release();
        }
    }

    public final Profile getProfile(long j) {
        try {
            return ((ProfileDao_Impl) PrivateDatabase.Companion.getProfileDao()).get(j);
        } catch (SQLiteCantOpenDatabaseException e) {
            throw new IOException(e);
        } catch (SQLException e2) {
            KProperty[] kPropertyArr = UtilsKt.$$delegatedProperties;
            Intrinsics.checkParameterIsNotNull(e2, "t");
            Log.e("", "", e2);
            e2.printStackTrace();
            return null;
        }
    }

    /* JADX INFO: finally extract failed */
    public final void updateProfile(Profile profile) {
        Intrinsics.checkParameterIsNotNull(profile, "profile");
        ProfileDao_Impl profileDao_Impl = (ProfileDao_Impl) PrivateDatabase.Companion.getProfileDao();
        profileDao_Impl.__db.assertNotSuspendingTransaction();
        profileDao_Impl.__db.beginTransaction();
        try {
            boolean z = false;
            int handle = profileDao_Impl.__updateAdapterOfProfile.handle(profile) + 0;
            profileDao_Impl.__db.setTransactionSuccessful();
            profileDao_Impl.__db.endTransaction();
            if (handle == 1) {
                z = true;
            }
            if (!z) {
                throw new IllegalStateException("Check failed.".toString());
            }
        } catch (Throwable th) {
            profileDao_Impl.__db.endTransaction();
            throw th;
        }
    }
}
