package com.github.shadowsocks.database.migration;

import androidx.room.migration.Migration;
import androidx.sqlite.db.SupportSQLiteDatabase;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: RecreateSchemaMigration.kt */
public abstract class RecreateSchemaMigration extends Migration {
    public final String keys;
    public final String schema;
    public final String table;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public RecreateSchemaMigration(int i, int i2, String str, String str2, String str3) {
        super(i, i2);
        Intrinsics.checkParameterIsNotNull(str, "table");
        Intrinsics.checkParameterIsNotNull(str2, "schema");
        Intrinsics.checkParameterIsNotNull(str3, "keys");
        this.table = str;
        this.schema = str2;
        this.keys = str3;
    }

    @Override // androidx.room.migration.Migration
    public void migrate(SupportSQLiteDatabase supportSQLiteDatabase) {
        Intrinsics.checkParameterIsNotNull(supportSQLiteDatabase, "database");
        supportSQLiteDatabase.execSQL("CREATE TABLE `tmp` " + this.schema);
        supportSQLiteDatabase.execSQL("INSERT INTO `tmp` (" + this.keys + ") SELECT " + this.keys + " FROM `" + this.table + '`');
        StringBuilder sb = new StringBuilder();
        sb.append("DROP TABLE `");
        sb.append(this.table);
        sb.append('`');
        supportSQLiteDatabase.execSQL(sb.toString());
        supportSQLiteDatabase.execSQL("ALTER TABLE `tmp` RENAME TO `" + this.table + '`');
    }
}
