package com.github.shadowsocks.net;

import android.os.Build;
import android.util.Log;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.github.shadowsocks.utils.UtilsKt;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.Pipe;
import java.nio.channels.SelectableChannel;
import java.nio.channels.SelectionKey;
import java.nio.channels.Selector;
import java.nio.channels.WritableByteChannel;
import java.util.Iterator;
import java.util.concurrent.CancellationException;
import kotlin.TypeCastException;
import kotlin.Unit;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.CoroutineContext;
import kotlin.coroutines.intrinsics.CoroutineSingletons;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.TypeIntrinsics;
import kotlin.reflect.KProperty;
import kotlinx.coroutines.CompletableDeferred;
import kotlinx.coroutines.CompletableDeferredImpl;
import kotlinx.coroutines.CoroutineDispatcher;
import kotlinx.coroutines.DispatchedContinuation;
import kotlinx.coroutines.DispatchedContinuationKt;
import kotlinx.coroutines.DispatchedTask;
import kotlinx.coroutines.Dispatchers;
import kotlinx.coroutines.EventLoopImplPlatform;
import kotlinx.coroutines.ThreadLocalEventLoop;
import kotlinx.coroutines.YieldContext;
import kotlinx.coroutines.channels.Channel;
import kotlinx.coroutines.internal.ArrayQueue;
import kotlinx.coroutines.internal.Symbol;

/* compiled from: ChannelMonitor.kt */
public final class ChannelMonitor extends Thread {
    public final Channel<Unit> closeChannel = ViewGroupUtilsApi14.Channel(1);
    public final Channel<Registration> pendingRegistrations = ViewGroupUtilsApi14.Channel(Integer.MAX_VALUE);
    public final Pipe registrationPipe;
    public volatile boolean running = true;
    public final Selector selector;

    /* compiled from: ChannelMonitor.kt */
    public final class Registration {
        public final SelectableChannel channel;
        public final Function1<SelectionKey, Unit> listener;
        public final int ops;
        public final CompletableDeferred<SelectionKey> result = ViewGroupUtilsApi14.CompletableDeferred$default(null, 1);

        /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: kotlin.jvm.functions.Function1<? super java.nio.channels.SelectionKey, kotlin.Unit> */
        /* JADX WARN: Multi-variable type inference failed */
        public Registration(SelectableChannel selectableChannel, int i, Function1<? super SelectionKey, Unit> function1) {
            Intrinsics.checkParameterIsNotNull(selectableChannel, "channel");
            Intrinsics.checkParameterIsNotNull(function1, "listener");
            this.channel = selectableChannel;
            this.ops = i;
            this.listener = function1;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof Registration)) {
                return false;
            }
            Registration registration = (Registration) obj;
            return Intrinsics.areEqual(this.channel, registration.channel) && this.ops == registration.ops && Intrinsics.areEqual(this.listener, registration.listener);
        }

        public int hashCode() {
            SelectableChannel selectableChannel = this.channel;
            int i = 0;
            int hashCode = (((selectableChannel != null ? selectableChannel.hashCode() : 0) * 31) + this.ops) * 31;
            Function1<SelectionKey, Unit> function1 = this.listener;
            if (function1 != null) {
                i = function1.hashCode();
            }
            return hashCode + i;
        }

        public String toString() {
            StringBuilder outline25 = GeneratedOutlineSupport.outline25("Registration(channel=");
            outline25.append(this.channel);
            outline25.append(", ops=");
            outline25.append(this.ops);
            outline25.append(", listener=");
            outline25.append(this.listener);
            outline25.append(")");
            return outline25.toString();
        }
    }

    public ChannelMonitor() {
        super("ChannelMonitor");
        Selector open = Selector.open();
        this.selector = open;
        Pipe open2 = Pipe.open();
        this.registrationPipe = open2;
        Pipe.SourceChannel source = open2.source();
        source.configureBlocking(false);
        Intrinsics.checkExpressionValueIsNotNull(source, "this");
        source.register(open, 1, new ChannelMonitor$$special$$inlined$apply$lambda$1(source, this));
        start();
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(8:52|(2:54|(1:66)(1:67))|55|56|57|(1:58)|90|63) */
    /* JADX WARNING: Code restructure failed: missing block: B:60:0x01ae, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:62:?, code lost:
        r4.handleFatalException$kotlinx_coroutines_core(r0, null);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:68:0x01be, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:69:0x01bf, code lost:
        r12.decrementUseCount(true);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:70:0x01c3, code lost:
        throw r0;
     */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x00af  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x00d5  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x010f  */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0114  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x011c  */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x01b8  */
    /* JADX WARNING: Removed duplicated region for block: B:67:0x01bb  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x01e5  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x01fe  */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x002e  */
    public final Object register(SelectableChannel selectableChannel, int i, Function1<? super SelectionKey, Unit> function1, Continuation<? super SelectionKey> continuation) {
        ChannelMonitor$register$1 channelMonitor$register$1;
        int i2;
        ChannelMonitor channelMonitor;
        Registration registration;
        ByteBuffer byteBuffer;
        SelectableChannel selectableChannel2;
        int i3;
        Registration registration2;
        int i4;
        int intValue;
        Object obj;
        boolean z;
        SelectableChannel selectableChannel3 = selectableChannel;
        int i5 = i;
        Function1<? super SelectionKey, Unit> function12 = function1;
        if (continuation instanceof ChannelMonitor$register$1) {
            channelMonitor$register$1 = (ChannelMonitor$register$1) continuation;
            int i6 = channelMonitor$register$1.label;
            if ((i6 & LinearLayoutManager.INVALID_OFFSET) != 0) {
                channelMonitor$register$1.label = i6 - LinearLayoutManager.INVALID_OFFSET;
                Object obj2 = channelMonitor$register$1.result;
                CoroutineSingletons coroutineSingletons = CoroutineSingletons.COROUTINE_SUSPENDED;
                i2 = channelMonitor$register$1.label;
                int i7 = 2;
                int i8 = 3;
                if (i2 != 0) {
                    ViewGroupUtilsApi14.throwOnFailure(obj2);
                    registration = new Registration(selectableChannel3, i5, function12);
                    Channel<Registration> channel = this.pendingRegistrations;
                    channelMonitor$register$1.L$0 = this;
                    channelMonitor$register$1.L$1 = selectableChannel3;
                    channelMonitor$register$1.I$0 = i5;
                    channelMonitor$register$1.L$2 = function12;
                    channelMonitor$register$1.L$3 = registration;
                    channelMonitor$register$1.label = 1;
                    if (channel.send(registration, channelMonitor$register$1) == coroutineSingletons) {
                        return coroutineSingletons;
                    }
                    channelMonitor = this;
                } else if (i2 == 1) {
                    int i9 = channelMonitor$register$1.I$0;
                    channelMonitor = (ChannelMonitor) channelMonitor$register$1.L$0;
                    ViewGroupUtilsApi14.throwOnFailure(obj2);
                    registration = (Registration) channelMonitor$register$1.L$3;
                    selectableChannel3 = (SelectableChannel) channelMonitor$register$1.L$1;
                    function12 = (Function1) channelMonitor$register$1.L$2;
                    i5 = i9;
                } else if (i2 == 2) {
                    registration2 = (Registration) channelMonitor$register$1.L$3;
                    function12 = (Function1) channelMonitor$register$1.L$2;
                    int i10 = channelMonitor$register$1.I$0;
                    channelMonitor = (ChannelMonitor) channelMonitor$register$1.L$0;
                    ViewGroupUtilsApi14.throwOnFailure(obj2);
                    selectableChannel2 = (SelectableChannel) channelMonitor$register$1.L$1;
                    i3 = i10;
                    byteBuffer = (ByteBuffer) channelMonitor$register$1.L$4;
                    i4 = 3;
                    intValue = ((Number) obj2).intValue();
                    if (intValue != 0) {
                    }
                    if (intValue == 1) {
                    }
                } else if (i2 == 3) {
                    function12 = (Function1) channelMonitor$register$1.L$2;
                    int i11 = channelMonitor$register$1.I$0;
                    ViewGroupUtilsApi14.throwOnFailure(obj2);
                    registration = (Registration) channelMonitor$register$1.L$3;
                    i5 = i11;
                    channelMonitor = (ChannelMonitor) channelMonitor$register$1.L$0;
                    byteBuffer = (ByteBuffer) channelMonitor$register$1.L$4;
                    selectableChannel3 = (SelectableChannel) channelMonitor$register$1.L$1;
                    i7 = 2;
                    i8 = 3;
                    if (channelMonitor.running) {
                        Pipe.SinkChannel sink = channelMonitor.registrationPipe.sink();
                        Intrinsics.checkExpressionValueIsNotNull(sink, "registrationPipe.sink()");
                        Intrinsics.checkExpressionValueIsNotNull(byteBuffer, "junk");
                        channelMonitor$register$1.L$0 = channelMonitor;
                        channelMonitor$register$1.L$1 = selectableChannel3;
                        channelMonitor$register$1.I$0 = i5;
                        channelMonitor$register$1.L$2 = function12;
                        channelMonitor$register$1.L$3 = registration;
                        channelMonitor$register$1.L$4 = byteBuffer;
                        channelMonitor$register$1.label = i7;
                        Object writeCompat = channelMonitor.writeCompat(sink, byteBuffer, channelMonitor$register$1);
                        if (writeCompat == coroutineSingletons) {
                            return coroutineSingletons;
                        }
                        selectableChannel2 = selectableChannel3;
                        i4 = i8;
                        i3 = i5;
                        registration2 = registration;
                        obj2 = writeCompat;
                        intValue = ((Number) obj2).intValue();
                        if (intValue != 0) {
                            channelMonitor$register$1.L$0 = channelMonitor;
                            channelMonitor$register$1.L$1 = selectableChannel2;
                            channelMonitor$register$1.I$0 = i3;
                            channelMonitor$register$1.L$2 = function12;
                            channelMonitor$register$1.L$3 = registration2;
                            channelMonitor$register$1.L$4 = byteBuffer;
                            channelMonitor$register$1.label = i4;
                            CoroutineContext context = channelMonitor$register$1.getContext();
                            ViewGroupUtilsApi14.checkCompletion(context);
                            Continuation intercepted = ViewGroupUtilsApi14.intercepted(channelMonitor$register$1);
                            if (!(intercepted instanceof DispatchedContinuation)) {
                                intercepted = null;
                            }
                            DispatchedContinuation dispatchedContinuation = (DispatchedContinuation) intercepted;
                            if (dispatchedContinuation == null) {
                                obj = Unit.INSTANCE;
                            } else {
                                if (dispatchedContinuation.dispatcher.isDispatchNeeded(context)) {
                                    Unit unit = Unit.INSTANCE;
                                    Intrinsics.checkParameterIsNotNull(context, "context");
                                    dispatchedContinuation._state = unit;
                                    dispatchedContinuation.resumeMode = 1;
                                    dispatchedContinuation.dispatcher.dispatchYield(context, dispatchedContinuation);
                                } else {
                                    YieldContext yieldContext = new YieldContext();
                                    CoroutineContext plus = context.plus(yieldContext);
                                    Unit unit2 = Unit.INSTANCE;
                                    Intrinsics.checkParameterIsNotNull(plus, "context");
                                    dispatchedContinuation._state = unit2;
                                    dispatchedContinuation.resumeMode = 1;
                                    dispatchedContinuation.dispatcher.dispatchYield(plus, dispatchedContinuation);
                                    if (yieldContext.dispatcherWasUnconfined) {
                                        Symbol symbol = DispatchedContinuationKt.UNDEFINED;
                                        Intrinsics.checkParameterIsNotNull(dispatchedContinuation, "$this$yieldUndispatched");
                                        ThreadLocalEventLoop threadLocalEventLoop = ThreadLocalEventLoop.INSTANCE;
                                        EventLoopImplPlatform eventLoop$kotlinx_coroutines_core = ThreadLocalEventLoop.getEventLoop$kotlinx_coroutines_core();
                                        ArrayQueue<DispatchedTask<?>> arrayQueue = eventLoop$kotlinx_coroutines_core.unconfinedQueue;
                                        if (!(arrayQueue == null || arrayQueue.head == arrayQueue.tail)) {
                                            if (eventLoop$kotlinx_coroutines_core.isUnconfinedLoopActive()) {
                                                dispatchedContinuation._state = unit2;
                                                dispatchedContinuation.resumeMode = 1;
                                                eventLoop$kotlinx_coroutines_core.dispatchUnconfined(dispatchedContinuation);
                                                z = true;
                                                if (!z) {
                                                    obj = CoroutineSingletons.COROUTINE_SUSPENDED;
                                                } else {
                                                    obj = Unit.INSTANCE;
                                                }
                                            }
                                            eventLoop$kotlinx_coroutines_core.incrementUseCount(true);
                                            dispatchedContinuation.run();
                                            do {
                                            } while (eventLoop$kotlinx_coroutines_core.processUnconfinedEvent());
                                            eventLoop$kotlinx_coroutines_core.decrementUseCount(true);
                                        }
                                        z = false;
                                        if (!z) {
                                        }
                                    }
                                }
                                obj = CoroutineSingletons.COROUTINE_SUSPENDED;
                            }
                            CoroutineSingletons coroutineSingletons2 = CoroutineSingletons.COROUTINE_SUSPENDED;
                            if (obj == coroutineSingletons2) {
                                Intrinsics.checkNotNullParameter(channelMonitor$register$1, "frame");
                            }
                            if (obj != coroutineSingletons2) {
                                obj = Unit.INSTANCE;
                            }
                            if (obj == coroutineSingletons) {
                                return coroutineSingletons;
                            }
                            registration = registration2;
                            i5 = i3;
                            selectableChannel3 = selectableChannel2;
                            i7 = 2;
                            i8 = 3;
                            if (channelMonitor.running) {
                            }
                            return coroutineSingletons;
                        } else if (intValue == 1) {
                            registration = registration2;
                            i5 = i3;
                            selectableChannel3 = selectableChannel2;
                        } else {
                            throw new IOException("Failed to register in the channel");
                        }
                        if (intValue == 1) {
                        }
                        return coroutineSingletons;
                    }
                    if (channelMonitor.running) {
                        CompletableDeferred<SelectionKey> completableDeferred = registration.result;
                        channelMonitor$register$1.L$0 = channelMonitor;
                        channelMonitor$register$1.L$1 = selectableChannel3;
                        channelMonitor$register$1.I$0 = i5;
                        channelMonitor$register$1.L$2 = function12;
                        channelMonitor$register$1.L$3 = registration;
                        channelMonitor$register$1.label = 4;
                        obj2 = ((CompletableDeferredImpl) completableDeferred).await(channelMonitor$register$1);
                        return obj2 == coroutineSingletons ? coroutineSingletons : obj2;
                    }
                    throw new CancellationException();
                } else if (i2 == 4) {
                    Registration registration3 = (Registration) channelMonitor$register$1.L$3;
                    Function1 function13 = (Function1) channelMonitor$register$1.L$2;
                    SelectableChannel selectableChannel4 = (SelectableChannel) channelMonitor$register$1.L$1;
                    ChannelMonitor channelMonitor2 = (ChannelMonitor) channelMonitor$register$1.L$0;
                    ViewGroupUtilsApi14.throwOnFailure(obj2);
                } else {
                    throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                }
                byteBuffer = ByteBuffer.allocateDirect(1);
                if (channelMonitor.running) {
                }
                if (channelMonitor.running) {
                }
            }
        }
        channelMonitor$register$1 = new ChannelMonitor$register$1(this, continuation);
        Object obj22 = channelMonitor$register$1.result;
        CoroutineSingletons coroutineSingletons3 = CoroutineSingletons.COROUTINE_SUSPENDED;
        i2 = channelMonitor$register$1.label;
        int i72 = 2;
        int i82 = 3;
        if (i2 != 0) {
        }
        byteBuffer = ByteBuffer.allocateDirect(1);
        if (channelMonitor.running) {
        }
        if (channelMonitor.running) {
        }
    }

    public void run() {
        while (this.running) {
            try {
                if (this.selector.select() <= 0) {
                    continue;
                } else {
                    Iterator<SelectionKey> it = this.selector.selectedKeys().iterator();
                    while (it.hasNext()) {
                        SelectionKey next = it.next();
                        it.remove();
                        Object attachment = next.attachment();
                        if (attachment != null) {
                            TypeIntrinsics.beforeCheckcastToFunctionOfArity(attachment, 1);
                            Intrinsics.checkExpressionValueIsNotNull(next, "key");
                            ((Function1) attachment).invoke(next);
                        } else {
                            throw new TypeCastException("null cannot be cast to non-null type (java.nio.channels.SelectionKey) -> kotlin.Unit");
                        }
                    }
                    continue;
                }
            } catch (Exception e) {
                KProperty[] kPropertyArr = UtilsKt.$$delegatedProperties;
                Intrinsics.checkParameterIsNotNull(e, "t");
                Log.e("", "", e);
                e.printStackTrace();
            }
        }
        ViewGroupUtilsApi14.sendBlocking(this.closeChannel, Unit.INSTANCE);
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x0052  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0083 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0022  */
    public final Object wait(SelectableChannel selectableChannel, int i, Continuation<? super SelectionKey> continuation) {
        ChannelMonitor$wait$1 channelMonitor$wait$1;
        Object obj;
        CoroutineSingletons coroutineSingletons;
        int i2;
        CompletableDeferred completableDeferred;
        ChannelMonitor channelMonitor;
        if (continuation instanceof ChannelMonitor$wait$1) {
            channelMonitor$wait$1 = (ChannelMonitor$wait$1) continuation;
            int i3 = channelMonitor$wait$1.label;
            if ((i3 & LinearLayoutManager.INVALID_OFFSET) != 0) {
                channelMonitor$wait$1.label = i3 - LinearLayoutManager.INVALID_OFFSET;
                obj = channelMonitor$wait$1.result;
                coroutineSingletons = CoroutineSingletons.COROUTINE_SUSPENDED;
                i2 = channelMonitor$wait$1.label;
                if (i2 != 0) {
                    ViewGroupUtilsApi14.throwOnFailure(obj);
                    completableDeferred = ViewGroupUtilsApi14.CompletableDeferred$default(null, 1);
                    ChannelMonitor$wait$2$1 channelMonitor$wait$2$1 = new ChannelMonitor$wait$2$1(completableDeferred);
                    channelMonitor$wait$1.L$0 = this;
                    channelMonitor$wait$1.L$1 = selectableChannel;
                    channelMonitor$wait$1.I$0 = i;
                    channelMonitor$wait$1.L$2 = completableDeferred;
                    channelMonitor$wait$1.label = 1;
                    if (register(selectableChannel, i, channelMonitor$wait$2$1, channelMonitor$wait$1) == coroutineSingletons) {
                        return coroutineSingletons;
                    }
                    channelMonitor = this;
                } else if (i2 == 1) {
                    i = channelMonitor$wait$1.I$0;
                    channelMonitor = (ChannelMonitor) channelMonitor$wait$1.L$0;
                    ViewGroupUtilsApi14.throwOnFailure(obj);
                    completableDeferred = (CompletableDeferred) channelMonitor$wait$1.L$2;
                    selectableChannel = (SelectableChannel) channelMonitor$wait$1.L$1;
                } else if (i2 == 2) {
                    CompletableDeferred completableDeferred2 = (CompletableDeferred) channelMonitor$wait$1.L$2;
                    SelectableChannel selectableChannel2 = (SelectableChannel) channelMonitor$wait$1.L$1;
                    ChannelMonitor channelMonitor2 = (ChannelMonitor) channelMonitor$wait$1.L$0;
                    ViewGroupUtilsApi14.throwOnFailure(obj);
                    return (SelectionKey) obj;
                } else {
                    throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                }
                channelMonitor$wait$1.L$0 = channelMonitor;
                channelMonitor$wait$1.L$1 = selectableChannel;
                channelMonitor$wait$1.I$0 = i;
                channelMonitor$wait$1.L$2 = completableDeferred;
                channelMonitor$wait$1.label = 2;
                obj = ((CompletableDeferredImpl) completableDeferred).await(channelMonitor$wait$1);
                if (obj == coroutineSingletons) {
                    return coroutineSingletons;
                }
                return (SelectionKey) obj;
            }
        }
        channelMonitor$wait$1 = new ChannelMonitor$wait$1(this, continuation);
        obj = channelMonitor$wait$1.result;
        coroutineSingletons = CoroutineSingletons.COROUTINE_SUSPENDED;
        i2 = channelMonitor$wait$1.label;
        if (i2 != 0) {
        }
        channelMonitor$wait$1.L$0 = channelMonitor;
        channelMonitor$wait$1.L$1 = selectableChannel;
        channelMonitor$wait$1.I$0 = i;
        channelMonitor$wait$1.L$2 = completableDeferred;
        channelMonitor$wait$1.label = 2;
        obj = ((CompletableDeferredImpl) completableDeferred).await(channelMonitor$wait$1);
        if (obj == coroutineSingletons) {
        }
        return (SelectionKey) obj;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x003b  */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0021  */
    public final Object writeCompat(WritableByteChannel writableByteChannel, ByteBuffer byteBuffer, Continuation<? super Integer> continuation) {
        ChannelMonitor$writeCompat$1 channelMonitor$writeCompat$1;
        int i;
        int i2;
        if (continuation instanceof ChannelMonitor$writeCompat$1) {
            channelMonitor$writeCompat$1 = (ChannelMonitor$writeCompat$1) continuation;
            int i3 = channelMonitor$writeCompat$1.label;
            if ((i3 & LinearLayoutManager.INVALID_OFFSET) != 0) {
                channelMonitor$writeCompat$1.label = i3 - LinearLayoutManager.INVALID_OFFSET;
                Object obj = channelMonitor$writeCompat$1.result;
                CoroutineSingletons coroutineSingletons = CoroutineSingletons.COROUTINE_SUSPENDED;
                i = channelMonitor$writeCompat$1.label;
                if (i != 0) {
                    ViewGroupUtilsApi14.throwOnFailure(obj);
                    if (Build.VERSION.SDK_INT <= 23) {
                        CoroutineDispatcher coroutineDispatcher = Dispatchers.Default;
                        ChannelMonitor$writeCompat$2 channelMonitor$writeCompat$2 = new ChannelMonitor$writeCompat$2(writableByteChannel, byteBuffer, null);
                        channelMonitor$writeCompat$1.L$0 = this;
                        channelMonitor$writeCompat$1.L$1 = writableByteChannel;
                        channelMonitor$writeCompat$1.L$2 = byteBuffer;
                        channelMonitor$writeCompat$1.label = 1;
                        obj = ViewGroupUtilsApi14.withContext(coroutineDispatcher, channelMonitor$writeCompat$2, channelMonitor$writeCompat$1);
                        if (obj == coroutineSingletons) {
                            return coroutineSingletons;
                        }
                    } else {
                        i2 = writableByteChannel.write(byteBuffer);
                        return new Integer(i2);
                    }
                } else if (i == 1) {
                    ByteBuffer byteBuffer2 = (ByteBuffer) channelMonitor$writeCompat$1.L$2;
                    WritableByteChannel writableByteChannel2 = (WritableByteChannel) channelMonitor$writeCompat$1.L$1;
                    ChannelMonitor channelMonitor = (ChannelMonitor) channelMonitor$writeCompat$1.L$0;
                    ViewGroupUtilsApi14.throwOnFailure(obj);
                } else {
                    throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                }
                i2 = ((Number) obj).intValue();
                return new Integer(i2);
            }
        }
        channelMonitor$writeCompat$1 = new ChannelMonitor$writeCompat$1(this, continuation);
        Object obj2 = channelMonitor$writeCompat$1.result;
        CoroutineSingletons coroutineSingletons2 = CoroutineSingletons.COROUTINE_SUSPENDED;
        i = channelMonitor$writeCompat$1.label;
        if (i != 0) {
        }
        i2 = ((Number) obj2).intValue();
        return new Integer(i2);
    }
}
