package com.github.shadowsocks.net;

import android.net.LocalSocket;
import androidx.transition.ViewGroupUtilsApi14;
import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import java.io.File;
import kotlin.coroutines.CoroutineContext;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.CoroutineExceptionHandler;
import kotlinx.coroutines.CoroutineScope;
import kotlinx.coroutines.Dispatchers;
import kotlinx.coroutines.Job;
import kotlinx.coroutines.SupervisorJobImpl;

/* compiled from: ConcurrentLocalSocketListener.kt */
public abstract class ConcurrentLocalSocketListener extends LocalSocketListener implements CoroutineScope {
    public final CoroutineContext coroutineContext;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public ConcurrentLocalSocketListener(String str, File file) {
        super(str, file);
        Intrinsics.checkParameterIsNotNull(str, VpnProfileDataSource.KEY_NAME);
        Intrinsics.checkParameterIsNotNull(file, "socketFile");
        CoroutineContext plus = Dispatchers.IO.plus(new SupervisorJobImpl(null));
        int i = CoroutineExceptionHandler.$r8$clinit;
        this.coroutineContext = plus.plus(new ConcurrentLocalSocketListener$$special$$inlined$CoroutineExceptionHandler$1(CoroutineExceptionHandler.Key.$$INSTANCE));
    }

    @Override // com.github.shadowsocks.net.LocalSocketListener
    public void accept(LocalSocket localSocket) {
        Intrinsics.checkParameterIsNotNull(localSocket, "socket");
        ViewGroupUtilsApi14.launch$default(this, null, null, new ConcurrentLocalSocketListener$accept$1(this, localSocket, null), 3, null);
    }

    @Override // kotlinx.coroutines.CoroutineScope
    public CoroutineContext getCoroutineContext() {
        return this.coroutineContext;
    }

    @Override // com.github.shadowsocks.net.LocalSocketListener
    public void shutdown(CoroutineScope coroutineScope) {
        Intrinsics.checkParameterIsNotNull(coroutineScope, "scope");
        this.running = false;
        ViewGroupUtilsApi14.cancel$default(this, null, 1);
        super.shutdown(coroutineScope);
        CoroutineContext.Element element = this.coroutineContext.get(Job.Key);
        if (element != null) {
            ViewGroupUtilsApi14.launch$default(coroutineScope, null, null, new ConcurrentLocalSocketListener$shutdown$1$1((Job) element, null), 3, null);
        } else {
            Intrinsics.throwNpe();
            throw null;
        }
    }
}
