package com.github.shadowsocks.net;

import android.net.LocalServerSocket;
import android.net.LocalSocket;
import android.net.LocalSocketAddress;
import android.system.ErrnoException;
import android.system.Os;
import android.system.OsConstants;
import android.util.Log;
import androidx.transition.ViewGroupUtilsApi14;
import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import com.github.shadowsocks.utils.UtilsKt;
import java.io.File;
import java.io.FileDescriptor;
import java.io.IOException;
import kotlin.Unit;
import kotlin.jvm.internal.Intrinsics;
import kotlin.reflect.KProperty;
import kotlinx.coroutines.CoroutineScope;
import kotlinx.coroutines.channels.Channel;

/* compiled from: LocalSocketListener.kt */
public abstract class LocalSocketListener extends Thread {
    public final Channel<Unit> closeChannel = ViewGroupUtilsApi14.Channel(1);
    public final LocalSocket localSocket;
    public volatile boolean running = true;
    public final LocalServerSocket serverSocket;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public LocalSocketListener(String str, File file) {
        super(str);
        Intrinsics.checkParameterIsNotNull(str, VpnProfileDataSource.KEY_NAME);
        Intrinsics.checkParameterIsNotNull(file, "socketFile");
        LocalSocket localSocket2 = new LocalSocket();
        file.delete();
        localSocket2.bind(new LocalSocketAddress(file.getAbsolutePath(), LocalSocketAddress.Namespace.FILESYSTEM));
        this.localSocket = localSocket2;
        this.serverSocket = new LocalServerSocket(localSocket2.getFileDescriptor());
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0013, code lost:
        throw r1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x000f, code lost:
        r1 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x0010, code lost:
        androidx.transition.ViewGroupUtilsApi14.closeFinally(r3, r0);
     */
    public void accept(LocalSocket localSocket2) {
        Intrinsics.checkParameterIsNotNull(localSocket2, "socket");
        acceptInternal(localSocket2);
        ViewGroupUtilsApi14.closeFinally(localSocket2, null);
    }

    public abstract void acceptInternal(LocalSocket localSocket2);

    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0038, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0039, code lost:
        androidx.transition.ViewGroupUtilsApi14.closeFinally(r0, r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x003c, code lost:
        throw r2;
     */
    public final void run() {
        LocalSocket localSocket2 = this.localSocket;
        while (this.running) {
            try {
                LocalSocket accept = this.serverSocket.accept();
                Intrinsics.checkExpressionValueIsNotNull(accept, "serverSocket.accept()");
                accept(accept);
            } catch (IOException e) {
                if (this.running) {
                    KProperty[] kPropertyArr = UtilsKt.$$delegatedProperties;
                    Intrinsics.checkParameterIsNotNull(e, "t");
                    Log.e("", "", e);
                    e.printStackTrace();
                }
            }
        }
        Unit unit = Unit.INSTANCE;
        ViewGroupUtilsApi14.closeFinally(localSocket2, null);
        ViewGroupUtilsApi14.sendBlocking(this.closeChannel, unit);
    }

    public void shutdown(CoroutineScope coroutineScope) {
        Intrinsics.checkParameterIsNotNull(coroutineScope, "scope");
        this.running = false;
        FileDescriptor fileDescriptor = this.localSocket.getFileDescriptor();
        if (fileDescriptor != null && fileDescriptor.valid()) {
            try {
                Os.shutdown(fileDescriptor, OsConstants.SHUT_RDWR);
            } catch (ErrnoException e) {
                int i = e.errno;
                if (!(i == OsConstants.EBADF || i == OsConstants.ENOTCONN)) {
                    throw new IOException(e);
                }
            }
        }
        ViewGroupUtilsApi14.launch$default(coroutineScope, null, null, new LocalSocketListener$shutdown$2(this, null), 3, null);
    }
}
