package com.github.shadowsocks.plugin;

import androidx.transition.ViewGroupUtilsApi14;
import com.allpayx.sdk.util.Constants;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Objects;
import java.util.Set;
import java.util.StringTokenizer;
import kotlin.TypeCastException;
import kotlin.jvm.internal.Intrinsics;
import kotlin.ranges.IntProgressionIterator;
import kotlin.ranges.IntRange;
import kotlin.text.StringsKt__IndentKt;

/* compiled from: PluginOptions.kt */
public final class PluginOptions extends HashMap<String, String> {
    private String id;

    public PluginOptions() {
        this.id = "";
    }

    public static /* synthetic */ String putWithDefault$default(PluginOptions pluginOptions, String str, String str2, String str3, int i, Object obj) {
        if ((i & 4) != 0) {
            str3 = null;
        }
        return pluginOptions.putWithDefault(str, str2, str3);
    }

    public final void append(StringBuilder sb, String str) {
        IntRange indices = StringsKt__IndentKt.getIndices(str);
        ArrayList arrayList = new ArrayList(ViewGroupUtilsApi14.collectionSizeOrDefault(indices, 10));
        Iterator it = indices.iterator();
        while (true) {
            IntProgressionIterator intProgressionIterator = (IntProgressionIterator) it;
            if (!intProgressionIterator.hasNext) {
                break;
            }
            arrayList.add(Character.valueOf(str.charAt(intProgressionIterator.nextInt())));
        }
        Iterator it2 = arrayList.iterator();
        while (it2.hasNext()) {
            char charValue = ((Character) it2.next()).charValue();
            if (charValue == ';' || charValue == '=' || charValue == '\\') {
                sb.append('\\');
                sb.append(charValue);
            } else {
                sb.append(charValue);
            }
        }
    }

    public final /* bridge */ boolean containsKey(Object obj) {
        if (obj instanceof String) {
            return containsKey((String) obj);
        }
        return false;
    }

    public final /* bridge */ boolean containsValue(Object obj) {
        if (obj != null ? obj instanceof String : true) {
            return containsValue((String) obj);
        }
        return false;
    }

    @Override // java.util.AbstractMap, java.util.Map, java.util.HashMap
    public final /* bridge */ Set<Map.Entry<String, String>> entrySet() {
        return getEntries();
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (Intrinsics.areEqual(PluginOptions.class, obj != null ? obj.getClass() : null) && super.equals(obj)) {
            String str = this.id;
            if (obj == null) {
                throw new TypeCastException("null cannot be cast to non-null type com.github.shadowsocks.plugin.PluginOptions");
            } else if (Intrinsics.areEqual(str, ((PluginOptions) obj).id)) {
                return true;
            }
        }
        return false;
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // java.util.AbstractMap, java.util.Map, java.util.HashMap
    public final /* bridge */ String get(Object obj) {
        if (obj instanceof String) {
            return get((String) obj);
        }
        return null;
    }

    public /* bridge */ Set getEntries() {
        return super.entrySet();
    }

    public final String getId() {
        return this.id;
    }

    public /* bridge */ Set getKeys() {
        return super.keySet();
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
    @Override // java.util.Map, java.util.HashMap
    public final /* bridge */ String getOrDefault(Object obj, String str) {
        return obj != null ? obj instanceof String : true ? getOrDefault((String) obj, str) : str;
    }

    public /* bridge */ int getSize() {
        return super.size();
    }

    public /* bridge */ Collection getValues() {
        return super.values();
    }

    public int hashCode() {
        return Objects.hash(Integer.valueOf(super.hashCode()), this.id);
    }

    @Override // java.util.AbstractMap, java.util.Map, java.util.HashMap
    public final /* bridge */ Set<String> keySet() {
        return getKeys();
    }

    public final String putWithDefault(String str, String str2, String str3) {
        Intrinsics.checkParameterIsNotNull(str, "key");
        return (String) ((str2 == null || Intrinsics.areEqual(str2, str3)) ? remove((Object) str) : put(str, str2));
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // java.util.AbstractMap, java.util.Map, java.util.HashMap
    public final /* bridge */ String remove(Object obj) {
        if (obj instanceof String) {
            return remove((String) obj);
        }
        return null;
    }

    public final void setId(String str) {
        Intrinsics.checkParameterIsNotNull(str, "<set-?>");
        this.id = str;
    }

    public final /* bridge */ int size() {
        return getSize();
    }

    public final String toString(boolean z) {
        StringBuilder sb = new StringBuilder();
        if (!z) {
            if (this.id.length() == 0) {
                return "";
            }
            append(sb, this.id);
        }
        for (Map.Entry<String, String> entry : entrySet()) {
            String key = entry.getKey();
            String value = entry.getValue();
            if (sb.length() > 0) {
                sb.append(';');
            }
            Intrinsics.checkExpressionValueIsNotNull(key, "key");
            append(sb, key);
            if (value != null) {
                sb.append('=');
                append(sb, value);
            }
        }
        String sb2 = sb.toString();
        Intrinsics.checkExpressionValueIsNotNull(sb2, "result.toString()");
        return sb2;
    }

    @Override // java.util.AbstractMap, java.util.Map, java.util.HashMap
    public final /* bridge */ Collection<String> values() {
        return getValues();
    }

    public /* bridge */ boolean containsKey(String str) {
        return super.containsKey((Object) str);
    }

    public /* bridge */ boolean containsValue(String str) {
        return super.containsValue((Object) str);
    }

    public /* bridge */ String get(String str) {
        return (String) super.get((Object) str);
    }

    public /* bridge */ String getOrDefault(String str, String str2) {
        return (String) super.getOrDefault((Object) str, (Object) str2);
    }

    public /* bridge */ String remove(String str) {
        return (String) super.remove((Object) str);
    }

    public PluginOptions(int i) {
        super(i);
        this.id = "";
    }

    public final /* bridge */ boolean remove(Object obj, Object obj2) {
        boolean z = true;
        if (!(obj != null ? obj instanceof String : true)) {
            return false;
        }
        if (obj2 != null) {
            z = obj2 instanceof String;
        }
        if (z) {
            return remove((String) obj, (String) obj2);
        }
        return false;
    }

    public /* bridge */ boolean remove(String str, String str2) {
        return super.remove((Object) str, (Object) str2);
    }

    public PluginOptions(int i, float f) {
        super(i, f);
        this.id = "";
    }

    public PluginOptions(String str, boolean z) {
        this();
        boolean z2;
        if (!(str == null || str.length() == 0)) {
            int i = 0;
            while (true) {
                if (i >= str.length()) {
                    z2 = true;
                    break;
                } else if (!(!Character.isISOControl(str.charAt(i)))) {
                    z2 = false;
                    break;
                } else {
                    i++;
                }
            }
            if (z2) {
                StringTokenizer stringTokenizer = new StringTokenizer(str + ';', "\\=;", true);
                StringBuilder sb = new StringBuilder();
                String str2 = null;
                while (stringTokenizer.hasMoreTokens()) {
                    String nextToken = stringTokenizer.nextToken();
                    if (Intrinsics.areEqual(nextToken, "\\")) {
                        sb.append(stringTokenizer.nextToken());
                        Intrinsics.checkExpressionValueIsNotNull(sb, "current.append(tokenizer.nextToken())");
                    } else if (Intrinsics.areEqual(nextToken, Constants.PARAMETER_EQUALS)) {
                        if (str2 == null) {
                            str2 = sb.toString();
                            sb.setLength(0);
                        } else {
                            sb.append(nextToken);
                            Intrinsics.checkExpressionValueIsNotNull(sb, "current.append(nextToken)");
                        }
                    } else if (Intrinsics.areEqual(nextToken, ";")) {
                        if (str2 != null) {
                            put(str2, sb.toString());
                            str2 = null;
                        } else {
                            if (sb.length() > 0) {
                                if (z) {
                                    String sb2 = sb.toString();
                                    Intrinsics.checkExpressionValueIsNotNull(sb2, "current.toString()");
                                    this.id = sb2;
                                } else {
                                    put(sb.toString(), null);
                                }
                            }
                        }
                        sb.setLength(0);
                        z = false;
                    } else {
                        sb.append(nextToken);
                        Intrinsics.checkExpressionValueIsNotNull(sb, "current.append(nextToken)");
                    }
                }
                return;
            }
            throw new IllegalStateException("No control characters allowed.".toString());
        }
    }

    public String toString() {
        return toString(true);
    }

    public PluginOptions(String str) {
        this(str, true);
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public PluginOptions(String str, String str2) {
        this(str2, false);
        Intrinsics.checkParameterIsNotNull(str, "id");
        this.id = str;
    }
}
