package com.github.shadowsocks.utils;

import java.net.URL;
import java.util.Comparator;
import kotlin.comparisons.ComparisonsKt__ComparisonsKt$compareBy$1;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: Sorters.kt */
public final class URLSorter extends BaseSorter<URL> {
    public static final URLSorter INSTANCE = new URLSorter();
    public static final Comparator<URL> ordering;

    static {
        Function1[] function1Arr = {URLSorter$ordering$1.INSTANCE, URLSorter$ordering$2.INSTANCE, URLSorter$ordering$3.INSTANCE, URLSorter$ordering$4.INSTANCE};
        Intrinsics.checkNotNullParameter(function1Arr, "selectors");
        ordering = new ComparisonsKt__ComparisonsKt$compareBy$1(function1Arr);
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
    @Override // com.github.shadowsocks.utils.BaseSorter
    public int compareNonNull(URL url, URL url2) {
        URL url3 = url;
        URL url4 = url2;
        Intrinsics.checkParameterIsNotNull(url3, "o1");
        Intrinsics.checkParameterIsNotNull(url4, "o2");
        return ordering.compare(url3, url4);
    }
}
