package com.github.shadowsocks.widget;

import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import androidx.appcompat.widget.AppCompatTextView;
import com.github.shadowsocks.utils.UtilsKt;
import kotlin.jvm.internal.Intrinsics;
import kotlin.reflect.KProperty;

/* compiled from: AutoCollapseTextView.kt */
public final class AutoCollapseTextView extends AppCompatTextView {
    public AutoCollapseTextView(Context context) {
        this(context, null, 0);
    }

    public void onFocusChanged(boolean z, int i, Rect rect) {
        try {
            super.onFocusChanged(z, i, rect);
        } catch (IndexOutOfBoundsException e) {
            KProperty[] kPropertyArr = UtilsKt.$$delegatedProperties;
            Intrinsics.checkParameterIsNotNull(e, "t");
            Log.e("", "", e);
            e.printStackTrace();
        }
    }

    @Override // androidx.appcompat.widget.AppCompatTextView
    public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        super.onTextChanged(charSequence, i, i2, i3);
        int i4 = 0;
        if (charSequence == null || charSequence.length() == 0) {
            i4 = 8;
        }
        setVisibility(i4);
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        try {
            return super.onTouchEvent(motionEvent);
        } catch (IndexOutOfBoundsException e) {
            KProperty[] kPropertyArr = UtilsKt.$$delegatedProperties;
            Intrinsics.checkParameterIsNotNull(e, "t");
            Log.e("", "", e);
            e.printStackTrace();
            return false;
        }
    }

    public AutoCollapseTextView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public AutoCollapseTextView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        Intrinsics.checkParameterIsNotNull(context, "context");
    }
}
