package com.google.protobuf;

import com.google.protobuf.Internal;
import java.lang.reflect.Field;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import sun.misc.Unsafe;

public final class MessageSchema<T> implements Schema<T> {
    public static final int[] EMPTY_INT_ARRAY = new int[0];
    public static final Unsafe UNSAFE = UnsafeUtil.getUnsafe();
    public final int[] buffer;
    public final int checkInitializedCount;
    public final MessageLite defaultInstance;
    public final ExtensionSchema<?> extensionSchema;
    public final boolean hasExtensions;
    public final int[] intArray;
    public final ListFieldSchema listFieldSchema;
    public final MapFieldSchema mapFieldSchema;
    public final int maxFieldNumber;
    public final int minFieldNumber;
    public final NewInstanceSchema newInstanceSchema;
    public final Object[] objects;
    public final boolean proto3;
    public final int repeatedFieldOffsetStart;
    public final UnknownFieldSchema<?, ?> unknownFieldSchema;
    public final boolean useCachedSizeField;

    public MessageSchema(int[] iArr, Object[] objArr, int i, int i2, MessageLite messageLite, boolean z, boolean z2, int[] iArr2, int i3, int i4, NewInstanceSchema newInstanceSchema2, ListFieldSchema listFieldSchema2, UnknownFieldSchema<?, ?> unknownFieldSchema2, ExtensionSchema<?> extensionSchema2, MapFieldSchema mapFieldSchema2) {
        this.buffer = iArr;
        this.objects = objArr;
        this.minFieldNumber = i;
        this.maxFieldNumber = i2;
        this.proto3 = z;
        this.hasExtensions = extensionSchema2 != null && extensionSchema2.hasExtensions(messageLite);
        this.useCachedSizeField = z2;
        this.intArray = iArr2;
        this.checkInitializedCount = i3;
        this.repeatedFieldOffsetStart = i4;
        this.newInstanceSchema = newInstanceSchema2;
        this.listFieldSchema = listFieldSchema2;
        this.unknownFieldSchema = unknownFieldSchema2;
        this.extensionSchema = extensionSchema2;
        this.defaultInstance = messageLite;
        this.mapFieldSchema = mapFieldSchema2;
    }

    public static List<?> listAt(Object obj, long j) {
        return (List) UnsafeUtil.getObject(obj, j);
    }

    /* JADX WARN: Incorrect args count in method signature: <T:Ljava/lang/Object;>(Ljava/lang/Class<TT;>;Lcom/google/protobuf/MessageInfo;Lcom/google/protobuf/NewInstanceSchema;Lcom/google/protobuf/ListFieldSchema;Lcom/google/protobuf/UnknownFieldSchema<**>;Lcom/google/protobuf/ExtensionSchema<*>;Lcom/google/protobuf/MapFieldSchema;)Lcom/google/protobuf/MessageSchema<TT;>; */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x00fe  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x0103  */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x010a  */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x010d  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x0126  */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x013b  */
    /* JADX WARNING: Removed duplicated region for block: B:72:0x0140  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x0146  */
    /* JADX WARNING: Removed duplicated region for block: B:82:0x015d  */
    /* JADX WARNING: Removed duplicated region for block: B:94:0x0186  */
    /* JADX WARNING: Removed duplicated region for block: B:95:0x018f  */
    public static MessageSchema newSchema(MessageInfo messageInfo, NewInstanceSchema newInstanceSchema2, ListFieldSchema listFieldSchema2, UnknownFieldSchema unknownFieldSchema2, ExtensionSchema extensionSchema2, MapFieldSchema mapFieldSchema2) {
        int i;
        int i2;
        int i3;
        int i4;
        boolean z;
        FieldInfo[] fieldInfoArr;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int ordinal;
        Class<?> cls;
        Object obj;
        FieldType fieldType;
        int i11;
        int i12;
        int i13;
        long objectFieldOffset;
        int i14;
        StructuralMessageInfo structuralMessageInfo = (StructuralMessageInfo) messageInfo;
        boolean z2 = structuralMessageInfo.syntax == ProtoSyntax.PROTO3;
        FieldInfo[] fieldInfoArr2 = structuralMessageInfo.fields;
        if (fieldInfoArr2.length == 0) {
            i2 = 0;
            i = 0;
        } else {
            i2 = fieldInfoArr2[0].fieldNumber;
            i = fieldInfoArr2[fieldInfoArr2.length - 1].fieldNumber;
        }
        int length = fieldInfoArr2.length;
        int[] iArr = new int[(length * 3)];
        Object[] objArr = new Object[(length * 2)];
        int i15 = 0;
        int i16 = 0;
        for (FieldInfo fieldInfo : fieldInfoArr2) {
            FieldType fieldType2 = fieldInfo.type;
            if (fieldType2 == FieldType.MAP) {
                i15++;
            } else if (fieldType2.id() >= 18 && fieldInfo.type.id() <= 49) {
                i16++;
            }
        }
        int[] iArr2 = i15 > 0 ? new int[i15] : null;
        int[] iArr3 = i16 > 0 ? new int[i16] : null;
        int[] iArr4 = structuralMessageInfo.checkInitialized;
        if (iArr4 == null) {
            iArr4 = EMPTY_INT_ARRAY;
        }
        int i17 = 0;
        int i18 = 0;
        int i19 = 0;
        int i20 = 0;
        int i21 = 0;
        while (i17 < fieldInfoArr2.length) {
            FieldInfo fieldInfo2 = fieldInfoArr2[i17];
            int i22 = fieldInfo2.fieldNumber;
            OneofInfo oneofInfo = fieldInfo2.oneof;
            if (oneofInfo != null) {
                fieldInfoArr = fieldInfoArr2;
                i12 = fieldInfo2.type.id() + 51;
                i4 = i2;
                i3 = i;
                int objectFieldOffset2 = (int) UnsafeUtil.objectFieldOffset(oneofInfo.valueField);
                objectFieldOffset = UnsafeUtil.objectFieldOffset(oneofInfo.caseField);
                i13 = objectFieldOffset2;
            } else {
                fieldInfoArr = fieldInfoArr2;
                i4 = i2;
                i3 = i;
                FieldType fieldType3 = fieldInfo2.type;
                int objectFieldOffset3 = (int) UnsafeUtil.objectFieldOffset(fieldInfo2.field);
                int id = fieldType3.id();
                if (fieldType3.isList() || fieldType3.isMap()) {
                    i12 = id;
                    i13 = objectFieldOffset3;
                    Field field = fieldInfo2.cachedSizeField;
                    if (field == null) {
                        i11 = i13;
                        i7 = i12;
                        i8 = 0;
                        i5 = i11;
                        z = z2;
                        i6 = 0;
                        iArr[i18] = fieldInfo2.fieldNumber;
                        int i23 = i18 + 1;
                        if (fieldInfo2.enforceUtf8) {
                            i10 = 536870912;
                            i9 = i17;
                        } else {
                            i9 = i17;
                            i10 = 0;
                        }
                        iArr[i23] = i10 | (fieldInfo2.required ? 268435456 : 0) | (i7 << 20) | i5;
                        iArr[i18 + 2] = i8 | (i6 << 20);
                        ordinal = fieldInfo2.type.ordinal();
                        if (ordinal != 9 || ordinal == 17) {
                            Field field2 = fieldInfo2.field;
                            cls = field2 != null ? field2.getType() : fieldInfo2.oneofStoredType;
                        } else if (ordinal == 27 || ordinal == 49) {
                            cls = fieldInfo2.messageClass;
                        } else {
                            cls = null;
                        }
                        obj = fieldInfo2.mapDefaultEntry;
                        if (obj != null) {
                            int i24 = (i18 / 3) * 2;
                            objArr[i24] = obj;
                            if (cls != null) {
                                objArr[i24 + 1] = cls;
                            } else {
                                Internal.EnumVerifier enumVerifier = fieldInfo2.enumVerifier;
                                if (enumVerifier != null) {
                                    objArr[i24 + 1] = enumVerifier;
                                }
                            }
                        } else if (cls != null) {
                            objArr[((i18 / 3) * 2) + 1] = cls;
                        } else {
                            Internal.EnumVerifier enumVerifier2 = fieldInfo2.enumVerifier;
                            if (enumVerifier2 != null) {
                                objArr[((i18 / 3) * 2) + 1] = enumVerifier2;
                            }
                        }
                        if (i19 < iArr4.length && iArr4[i19] == i22) {
                            iArr4[i19] = i18;
                            i19++;
                        }
                        fieldType = fieldInfo2.type;
                        if (fieldType == FieldType.MAP) {
                            iArr2[i20] = i18;
                            i20++;
                        } else if (fieldType.id() >= 18) {
                            if (fieldInfo2.type.id() <= 49) {
                                iArr3[i21] = (int) UnsafeUtil.objectFieldOffset(fieldInfo2.field);
                                i21++;
                            }
                            i17 = i9 + 1;
                            i18 += 3;
                            fieldInfoArr2 = fieldInfoArr;
                            z2 = z;
                            i2 = i4;
                            i = i3;
                            structuralMessageInfo = structuralMessageInfo;
                        }
                        i17 = i9 + 1;
                        i18 += 3;
                        fieldInfoArr2 = fieldInfoArr;
                        z2 = z;
                        i2 = i4;
                        i = i3;
                        structuralMessageInfo = structuralMessageInfo;
                    } else {
                        objectFieldOffset = UnsafeUtil.objectFieldOffset(field);
                    }
                } else {
                    Field field3 = fieldInfo2.presenceField;
                    if (field3 == null) {
                        i8 = 1048575;
                        i14 = id;
                        i5 = objectFieldOffset3;
                    } else {
                        i14 = id;
                        i5 = objectFieldOffset3;
                        i8 = (int) UnsafeUtil.objectFieldOffset(field3);
                    }
                    i6 = Integer.numberOfTrailingZeros(fieldInfo2.presenceMask);
                    i7 = i14;
                    z = z2;
                    iArr[i18] = fieldInfo2.fieldNumber;
                    int i232 = i18 + 1;
                    if (fieldInfo2.enforceUtf8) {
                    }
                    iArr[i232] = i10 | (fieldInfo2.required ? 268435456 : 0) | (i7 << 20) | i5;
                    iArr[i18 + 2] = i8 | (i6 << 20);
                    ordinal = fieldInfo2.type.ordinal();
                    if (ordinal != 9) {
                    }
                    Field field22 = fieldInfo2.field;
                    if (field22 != null) {
                    }
                    obj = fieldInfo2.mapDefaultEntry;
                    if (obj != null) {
                    }
                    iArr4[i19] = i18;
                    i19++;
                    fieldType = fieldInfo2.type;
                    if (fieldType == FieldType.MAP) {
                    }
                    i17 = i9 + 1;
                    i18 += 3;
                    fieldInfoArr2 = fieldInfoArr;
                    z2 = z;
                    i2 = i4;
                    i = i3;
                    structuralMessageInfo = structuralMessageInfo;
                }
            }
            int i25 = (int) objectFieldOffset;
            i7 = i12;
            i8 = i25;
            i11 = i13;
            i5 = i11;
            z = z2;
            i6 = 0;
            iArr[i18] = fieldInfo2.fieldNumber;
            int i2322 = i18 + 1;
            if (fieldInfo2.enforceUtf8) {
            }
            iArr[i2322] = i10 | (fieldInfo2.required ? 268435456 : 0) | (i7 << 20) | i5;
            iArr[i18 + 2] = i8 | (i6 << 20);
            ordinal = fieldInfo2.type.ordinal();
            if (ordinal != 9) {
            }
            Field field222 = fieldInfo2.field;
            if (field222 != null) {
            }
            obj = fieldInfo2.mapDefaultEntry;
            if (obj != null) {
            }
            iArr4[i19] = i18;
            i19++;
            fieldType = fieldInfo2.type;
            if (fieldType == FieldType.MAP) {
            }
            i17 = i9 + 1;
            i18 += 3;
            fieldInfoArr2 = fieldInfoArr;
            z2 = z;
            i2 = i4;
            i = i3;
            structuralMessageInfo = structuralMessageInfo;
        }
        if (iArr2 == null) {
            iArr2 = EMPTY_INT_ARRAY;
        }
        if (iArr3 == null) {
            iArr3 = EMPTY_INT_ARRAY;
        }
        int[] iArr5 = new int[(iArr4.length + iArr2.length + iArr3.length)];
        System.arraycopy(iArr4, 0, iArr5, 0, iArr4.length);
        System.arraycopy(iArr2, 0, iArr5, iArr4.length, iArr2.length);
        System.arraycopy(iArr3, 0, iArr5, iArr4.length + iArr2.length, iArr3.length);
        return new MessageSchema(iArr, objArr, i2, i, structuralMessageInfo.defaultInstance, z2, true, iArr5, iArr4.length, iArr4.length + iArr2.length, newInstanceSchema2, listFieldSchema2, unknownFieldSchema2, extensionSchema2, mapFieldSchema2);
    }

    public static long offset(int i) {
        return (long) (i & 1048575);
    }

    public static <T> int oneofIntAt(T t, long j) {
        return ((Integer) UnsafeUtil.getObject(t, j)).intValue();
    }

    public static <T> long oneofLongAt(T t, long j) {
        return ((Long) UnsafeUtil.getObject(t, j)).longValue();
    }

    public static int type(int i) {
        return (i & 267386880) >>> 20;
    }

    public final <UT, UB> UB filterMapUnknownEnumValues(Object obj, int i, UB ub, UnknownFieldSchema<UT, UB> unknownFieldSchema2) {
        int[] iArr = this.buffer;
        int i2 = iArr[i];
        Object object = UnsafeUtil.getObject(obj, offset(iArr[i + 1]));
        if (object == null) {
            return ub;
        }
        int i3 = (i / 3) * 2;
        Internal.EnumVerifier enumVerifier = (Internal.EnumVerifier) this.objects[i3 + 1];
        if (enumVerifier == null) {
            return ub;
        }
        Map<?, ?> forMutableMapData = this.mapFieldSchema.forMutableMapData(object);
        this.mapFieldSchema.forMapMetadata(this.objects[i3]);
        for (Map.Entry<?, ?> entry : forMutableMapData.entrySet()) {
            if (!enumVerifier.isInRange(((Integer) entry.getValue()).intValue())) {
                if (ub == null) {
                    unknownFieldSchema2.newBuilder();
                }
                entry.getKey();
                entry.getValue();
                Objects.requireNonNull(null);
                throw null;
            }
        }
        return ub;
    }

    public final Internal.EnumVerifier getEnumFieldVerifier(int i) {
        return (Internal.EnumVerifier) this.objects[((i / 3) * 2) + 1];
    }

    public final Object getMapFieldDefaultEntry(int i) {
        return this.objects[(i / 3) * 2];
    }

    public final Schema getMessageFieldSchema(int i) {
        int i2 = (i / 3) * 2;
        Object[] objArr = this.objects;
        Schema schema = (Schema) objArr[i2];
        if (schema != null) {
            return schema;
        }
        Schema<T> schemaFor = Protobuf.INSTANCE.schemaFor((Class) objArr[i2 + 1]);
        this.objects[i2] = schemaFor;
        return schemaFor;
    }

    @Override // com.google.protobuf.Schema
    public int getSerializedSize(T t) {
        return this.proto3 ? getSerializedSizeProto3(t) : getSerializedSizeProto2(t);
    }

    public final int getSerializedSizeProto2(T t) {
        int i;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        Unsafe unsafe = UNSAFE;
        int i8 = 1048575;
        int i9 = 0;
        int i10 = 0;
        int i11 = 1048575;
        int i12 = 0;
        while (i9 < this.buffer.length) {
            int typeAndOffsetAt = typeAndOffsetAt(i9);
            int i13 = this.buffer[i9];
            int type = type(typeAndOffsetAt);
            if (type <= 17) {
                i2 = this.buffer[i9 + 2];
                int i14 = i8 & i2;
                i = 1 << (i2 >>> 20);
                if (i14 != i11) {
                    i12 = unsafe.getInt(t, (long) i14);
                    i11 = i14;
                }
            } else {
                i2 = (!this.useCachedSizeField || type < FieldType.DOUBLE_LIST_PACKED.id() || type > FieldType.SINT64_LIST_PACKED.id()) ? 0 : i8 & this.buffer[i9 + 2];
                i = 0;
            }
            long offset = offset(typeAndOffsetAt);
            switch (type) {
                case 0:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeDoubleSize(i13, 0.0d);
                        i10 += i3;
                        break;
                    }
                case 1:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeFloatSize(i13, 0.0f);
                        i10 += i3;
                        break;
                    }
                case 2:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeInt64Size(i13, unsafe.getLong(t, offset));
                        i10 += i3;
                        break;
                    }
                case 3:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeUInt64Size(i13, unsafe.getLong(t, offset));
                        i10 += i3;
                        break;
                    }
                case 4:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeInt32Size(i13, unsafe.getInt(t, offset));
                        i10 += i3;
                        break;
                    }
                case 5:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeFixed64Size(i13, 0);
                        i10 += i3;
                        break;
                    }
                case 6:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeFixed32Size(i13, 0);
                        i10 += i3;
                        break;
                    }
                case 7:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeBoolSize(i13, true);
                        i10 += i3;
                        break;
                    }
                case 8:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        Object object = unsafe.getObject(t, offset);
                        if (object instanceof ByteString) {
                            i4 = CodedOutputStream.computeBytesSize(i13, (ByteString) object);
                        } else {
                            i4 = CodedOutputStream.computeStringSize(i13, (String) object);
                        }
                        i10 += i4;
                        break;
                    }
                case 9:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = SchemaUtil.computeSizeMessage(i13, unsafe.getObject(t, offset), getMessageFieldSchema(i9));
                        i10 += i3;
                        break;
                    }
                case 10:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeBytesSize(i13, (ByteString) unsafe.getObject(t, offset));
                        i10 += i3;
                        break;
                    }
                case 11:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeUInt32Size(i13, unsafe.getInt(t, offset));
                        i10 += i3;
                        break;
                    }
                case 12:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeEnumSize(i13, unsafe.getInt(t, offset));
                        i10 += i3;
                        break;
                    }
                case 13:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeSFixed32Size(i13, 0);
                        i10 += i3;
                        break;
                    }
                case 14:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeSFixed64Size(i13, 0);
                        i10 += i3;
                        break;
                    }
                case 15:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeSInt32Size(i13, unsafe.getInt(t, offset));
                        i10 += i3;
                        break;
                    }
                case 16:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeSInt64Size(i13, unsafe.getLong(t, offset));
                        i10 += i3;
                        break;
                    }
                case 17:
                    if ((i12 & i) == 0) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeGroupSize(i13, (MessageLite) unsafe.getObject(t, offset), getMessageFieldSchema(i9));
                        i10 += i3;
                        break;
                    }
                case 18:
                    i3 = SchemaUtil.computeSizeFixed64List(i13, (List) unsafe.getObject(t, offset), false);
                    i10 += i3;
                    break;
                case 19:
                    i3 = SchemaUtil.computeSizeFixed32List(i13, (List) unsafe.getObject(t, offset), false);
                    i10 += i3;
                    break;
                case 20:
                    i3 = SchemaUtil.computeSizeInt64List(i13, (List) unsafe.getObject(t, offset), false);
                    i10 += i3;
                    break;
                case 21:
                    i3 = SchemaUtil.computeSizeUInt64List(i13, (List) unsafe.getObject(t, offset), false);
                    i10 += i3;
                    break;
                case 22:
                    i3 = SchemaUtil.computeSizeInt32List(i13, (List) unsafe.getObject(t, offset), false);
                    i10 += i3;
                    break;
                case 23:
                    i3 = SchemaUtil.computeSizeFixed64List(i13, (List) unsafe.getObject(t, offset), false);
                    i10 += i3;
                    break;
                case 24:
                    i3 = SchemaUtil.computeSizeFixed32List(i13, (List) unsafe.getObject(t, offset), false);
                    i10 += i3;
                    break;
                case 25:
                    i3 = SchemaUtil.computeSizeBoolList(i13, (List) unsafe.getObject(t, offset), false);
                    i10 += i3;
                    break;
                case 26:
                    i3 = SchemaUtil.computeSizeStringList(i13, (List) unsafe.getObject(t, offset));
                    i10 += i3;
                    break;
                case 27:
                    i3 = SchemaUtil.computeSizeMessageList(i13, (List) unsafe.getObject(t, offset), getMessageFieldSchema(i9));
                    i10 += i3;
                    break;
                case 28:
                    i3 = SchemaUtil.computeSizeByteStringList(i13, (List) unsafe.getObject(t, offset));
                    i10 += i3;
                    break;
                case 29:
                    i3 = SchemaUtil.computeSizeUInt32List(i13, (List) unsafe.getObject(t, offset), false);
                    i10 += i3;
                    break;
                case 30:
                    i3 = SchemaUtil.computeSizeEnumList(i13, (List) unsafe.getObject(t, offset), false);
                    i10 += i3;
                    break;
                case 31:
                    i3 = SchemaUtil.computeSizeFixed32List(i13, (List) unsafe.getObject(t, offset), false);
                    i10 += i3;
                    break;
                case 32:
                    i3 = SchemaUtil.computeSizeFixed64List(i13, (List) unsafe.getObject(t, offset), false);
                    i10 += i3;
                    break;
                case 33:
                    i3 = SchemaUtil.computeSizeSInt32List(i13, (List) unsafe.getObject(t, offset), false);
                    i10 += i3;
                    break;
                case 34:
                    i3 = SchemaUtil.computeSizeSInt64List(i13, (List) unsafe.getObject(t, offset), false);
                    i10 += i3;
                    break;
                case 35:
                    i7 = SchemaUtil.computeSizeFixed64ListNoTag((List) unsafe.getObject(t, offset));
                    if (i7 > 0) {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i2, i7);
                        }
                        i6 = CodedOutputStream.computeTagSize(i13);
                        i5 = CodedOutputStream.computeUInt32SizeNoTag(i7);
                        i10 += i5 + i6 + i7;
                        break;
                    } else {
                        break;
                    }
                case 36:
                    i7 = SchemaUtil.computeSizeFixed32ListNoTag((List) unsafe.getObject(t, offset));
                    if (i7 > 0) {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i2, i7);
                        }
                        i6 = CodedOutputStream.computeTagSize(i13);
                        i5 = CodedOutputStream.computeUInt32SizeNoTag(i7);
                        i10 += i5 + i6 + i7;
                        break;
                    } else {
                        break;
                    }
                case 37:
                    i7 = SchemaUtil.computeSizeInt64ListNoTag((List) unsafe.getObject(t, offset));
                    if (i7 > 0) {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i2, i7);
                        }
                        i6 = CodedOutputStream.computeTagSize(i13);
                        i5 = CodedOutputStream.computeUInt32SizeNoTag(i7);
                        i10 += i5 + i6 + i7;
                        break;
                    } else {
                        break;
                    }
                case 38:
                    i7 = SchemaUtil.computeSizeUInt64ListNoTag((List) unsafe.getObject(t, offset));
                    if (i7 > 0) {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i2, i7);
                        }
                        i6 = CodedOutputStream.computeTagSize(i13);
                        i5 = CodedOutputStream.computeUInt32SizeNoTag(i7);
                        i10 += i5 + i6 + i7;
                        break;
                    } else {
                        break;
                    }
                case 39:
                    i7 = SchemaUtil.computeSizeInt32ListNoTag((List) unsafe.getObject(t, offset));
                    if (i7 > 0) {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i2, i7);
                        }
                        i6 = CodedOutputStream.computeTagSize(i13);
                        i5 = CodedOutputStream.computeUInt32SizeNoTag(i7);
                        i10 += i5 + i6 + i7;
                        break;
                    } else {
                        break;
                    }
                case 40:
                    i7 = SchemaUtil.computeSizeFixed64ListNoTag((List) unsafe.getObject(t, offset));
                    if (i7 > 0) {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i2, i7);
                        }
                        i6 = CodedOutputStream.computeTagSize(i13);
                        i5 = CodedOutputStream.computeUInt32SizeNoTag(i7);
                        i10 += i5 + i6 + i7;
                        break;
                    } else {
                        break;
                    }
                case 41:
                    i7 = SchemaUtil.computeSizeFixed32ListNoTag((List) unsafe.getObject(t, offset));
                    if (i7 > 0) {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i2, i7);
                        }
                        i6 = CodedOutputStream.computeTagSize(i13);
                        i5 = CodedOutputStream.computeUInt32SizeNoTag(i7);
                        i10 += i5 + i6 + i7;
                        break;
                    } else {
                        break;
                    }
                case 42:
                    Class<?> cls = SchemaUtil.GENERATED_MESSAGE_CLASS;
                    i7 = ((List) unsafe.getObject(t, offset)).size();
                    if (i7 > 0) {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i2, i7);
                        }
                        i6 = CodedOutputStream.computeTagSize(i13);
                        i5 = CodedOutputStream.computeUInt32SizeNoTag(i7);
                        i10 += i5 + i6 + i7;
                        break;
                    } else {
                        break;
                    }
                case 43:
                    i7 = SchemaUtil.computeSizeUInt32ListNoTag((List) unsafe.getObject(t, offset));
                    if (i7 > 0) {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i2, i7);
                        }
                        i6 = CodedOutputStream.computeTagSize(i13);
                        i5 = CodedOutputStream.computeUInt32SizeNoTag(i7);
                        i10 += i5 + i6 + i7;
                        break;
                    } else {
                        break;
                    }
                case 44:
                    i7 = SchemaUtil.computeSizeEnumListNoTag((List) unsafe.getObject(t, offset));
                    if (i7 > 0) {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i2, i7);
                        }
                        i6 = CodedOutputStream.computeTagSize(i13);
                        i5 = CodedOutputStream.computeUInt32SizeNoTag(i7);
                        i10 += i5 + i6 + i7;
                        break;
                    } else {
                        break;
                    }
                case 45:
                    i7 = SchemaUtil.computeSizeFixed32ListNoTag((List) unsafe.getObject(t, offset));
                    if (i7 > 0) {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i2, i7);
                        }
                        i6 = CodedOutputStream.computeTagSize(i13);
                        i5 = CodedOutputStream.computeUInt32SizeNoTag(i7);
                        i10 += i5 + i6 + i7;
                        break;
                    } else {
                        break;
                    }
                case 46:
                    i7 = SchemaUtil.computeSizeFixed64ListNoTag((List) unsafe.getObject(t, offset));
                    if (i7 > 0) {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i2, i7);
                        }
                        i6 = CodedOutputStream.computeTagSize(i13);
                        i5 = CodedOutputStream.computeUInt32SizeNoTag(i7);
                        i10 += i5 + i6 + i7;
                        break;
                    } else {
                        break;
                    }
                case 47:
                    i7 = SchemaUtil.computeSizeSInt32ListNoTag((List) unsafe.getObject(t, offset));
                    if (i7 > 0) {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i2, i7);
                        }
                        i6 = CodedOutputStream.computeTagSize(i13);
                        i5 = CodedOutputStream.computeUInt32SizeNoTag(i7);
                        i10 += i5 + i6 + i7;
                        break;
                    } else {
                        break;
                    }
                case 48:
                    i7 = SchemaUtil.computeSizeSInt64ListNoTag((List) unsafe.getObject(t, offset));
                    if (i7 > 0) {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i2, i7);
                        }
                        i6 = CodedOutputStream.computeTagSize(i13);
                        i5 = CodedOutputStream.computeUInt32SizeNoTag(i7);
                        i10 += i5 + i6 + i7;
                        break;
                    } else {
                        break;
                    }
                case 49:
                    i3 = SchemaUtil.computeSizeGroupList(i13, (List) unsafe.getObject(t, offset), getMessageFieldSchema(i9));
                    i10 += i3;
                    break;
                case 50:
                    i3 = this.mapFieldSchema.getSerializedSize(i13, unsafe.getObject(t, offset), getMapFieldDefaultEntry(i9));
                    i10 += i3;
                    break;
                case 51:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeDoubleSize(i13, 0.0d);
                        i10 += i3;
                        break;
                    }
                case 52:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeFloatSize(i13, 0.0f);
                        i10 += i3;
                        break;
                    }
                case 53:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeInt64Size(i13, oneofLongAt(t, offset));
                        i10 += i3;
                        break;
                    }
                case 54:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeUInt64Size(i13, oneofLongAt(t, offset));
                        i10 += i3;
                        break;
                    }
                case 55:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeInt32Size(i13, oneofIntAt(t, offset));
                        i10 += i3;
                        break;
                    }
                case 56:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeFixed64Size(i13, 0);
                        i10 += i3;
                        break;
                    }
                case 57:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeFixed32Size(i13, 0);
                        i10 += i3;
                        break;
                    }
                case 58:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeBoolSize(i13, true);
                        i10 += i3;
                        break;
                    }
                case 59:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        Object object2 = unsafe.getObject(t, offset);
                        if (object2 instanceof ByteString) {
                            i4 = CodedOutputStream.computeBytesSize(i13, (ByteString) object2);
                        } else {
                            i4 = CodedOutputStream.computeStringSize(i13, (String) object2);
                        }
                        i10 += i4;
                        break;
                    }
                case 60:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = SchemaUtil.computeSizeMessage(i13, unsafe.getObject(t, offset), getMessageFieldSchema(i9));
                        i10 += i3;
                        break;
                    }
                case 61:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeBytesSize(i13, (ByteString) unsafe.getObject(t, offset));
                        i10 += i3;
                        break;
                    }
                case 62:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeUInt32Size(i13, oneofIntAt(t, offset));
                        i10 += i3;
                        break;
                    }
                case 63:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeEnumSize(i13, oneofIntAt(t, offset));
                        i10 += i3;
                        break;
                    }
                case 64:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeSFixed32Size(i13, 0);
                        i10 += i3;
                        break;
                    }
                case 65:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeSFixed64Size(i13, 0);
                        i10 += i3;
                        break;
                    }
                case 66:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeSInt32Size(i13, oneofIntAt(t, offset));
                        i10 += i3;
                        break;
                    }
                case 67:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeSInt64Size(i13, oneofLongAt(t, offset));
                        i10 += i3;
                        break;
                    }
                case 68:
                    if (!isOneofPresent(t, i13, i9)) {
                        break;
                    } else {
                        i3 = CodedOutputStream.computeGroupSize(i13, (MessageLite) unsafe.getObject(t, offset), getMessageFieldSchema(i9));
                        i10 += i3;
                        break;
                    }
            }
            i9 += 3;
            i8 = 1048575;
            i11 = i11;
            i12 = i12;
        }
        UnknownFieldSchema<?, ?> unknownFieldSchema2 = this.unknownFieldSchema;
        int serializedSize = unknownFieldSchema2.getSerializedSize(unknownFieldSchema2.getFromMessage(t)) + i10;
        return this.hasExtensions ? serializedSize + this.extensionSchema.getExtensions(t).getSerializedSize() : serializedSize;
    }

    public final int getSerializedSizeProto3(T t) {
        int i;
        int i2;
        int i3;
        int i4;
        Unsafe unsafe = UNSAFE;
        int i5 = 0;
        for (int i6 = 0; i6 < this.buffer.length; i6 += 3) {
            int typeAndOffsetAt = typeAndOffsetAt(i6);
            int type = type(typeAndOffsetAt);
            int i7 = this.buffer[i6];
            long offset = offset(typeAndOffsetAt);
            int i8 = (type < FieldType.DOUBLE_LIST_PACKED.id() || type > FieldType.SINT64_LIST_PACKED.id()) ? 0 : this.buffer[i6 + 2] & 1048575;
            switch (type) {
                case 0:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeDoubleSize(i7, 0.0d);
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 1:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeFloatSize(i7, 0.0f);
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 2:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeInt64Size(i7, UnsafeUtil.getLong(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 3:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeUInt64Size(i7, UnsafeUtil.getLong(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 4:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeInt32Size(i7, UnsafeUtil.getInt(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 5:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeFixed64Size(i7, 0);
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 6:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeFixed32Size(i7, 0);
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 7:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeBoolSize(i7, true);
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 8:
                    if (isFieldPresent(t, i6)) {
                        Object object = UnsafeUtil.getObject(t, offset);
                        if (object instanceof ByteString) {
                            i = CodedOutputStream.computeBytesSize(i7, (ByteString) object);
                        } else {
                            i = CodedOutputStream.computeStringSize(i7, (String) object);
                        }
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 9:
                    if (isFieldPresent(t, i6)) {
                        i = SchemaUtil.computeSizeMessage(i7, UnsafeUtil.getObject(t, offset), getMessageFieldSchema(i6));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 10:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeBytesSize(i7, (ByteString) UnsafeUtil.getObject(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 11:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeUInt32Size(i7, UnsafeUtil.getInt(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 12:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeEnumSize(i7, UnsafeUtil.getInt(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 13:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeSFixed32Size(i7, 0);
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 14:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeSFixed64Size(i7, 0);
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 15:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeSInt32Size(i7, UnsafeUtil.getInt(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 16:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeSInt64Size(i7, UnsafeUtil.getLong(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 17:
                    if (isFieldPresent(t, i6)) {
                        i = CodedOutputStream.computeGroupSize(i7, (MessageLite) UnsafeUtil.getObject(t, offset), getMessageFieldSchema(i6));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 18:
                    i = SchemaUtil.computeSizeFixed64List(i7, listAt(t, offset), false);
                    i5 += i;
                    break;
                case 19:
                    i = SchemaUtil.computeSizeFixed32List(i7, listAt(t, offset), false);
                    i5 += i;
                    break;
                case 20:
                    i = SchemaUtil.computeSizeInt64List(i7, listAt(t, offset), false);
                    i5 += i;
                    break;
                case 21:
                    i = SchemaUtil.computeSizeUInt64List(i7, listAt(t, offset), false);
                    i5 += i;
                    break;
                case 22:
                    i = SchemaUtil.computeSizeInt32List(i7, listAt(t, offset), false);
                    i5 += i;
                    break;
                case 23:
                    i = SchemaUtil.computeSizeFixed64List(i7, listAt(t, offset), false);
                    i5 += i;
                    break;
                case 24:
                    i = SchemaUtil.computeSizeFixed32List(i7, listAt(t, offset), false);
                    i5 += i;
                    break;
                case 25:
                    i = SchemaUtil.computeSizeBoolList(i7, listAt(t, offset), false);
                    i5 += i;
                    break;
                case 26:
                    i = SchemaUtil.computeSizeStringList(i7, listAt(t, offset));
                    i5 += i;
                    break;
                case 27:
                    i = SchemaUtil.computeSizeMessageList(i7, listAt(t, offset), getMessageFieldSchema(i6));
                    i5 += i;
                    break;
                case 28:
                    i = SchemaUtil.computeSizeByteStringList(i7, listAt(t, offset));
                    i5 += i;
                    break;
                case 29:
                    i = SchemaUtil.computeSizeUInt32List(i7, listAt(t, offset), false);
                    i5 += i;
                    break;
                case 30:
                    i = SchemaUtil.computeSizeEnumList(i7, listAt(t, offset), false);
                    i5 += i;
                    break;
                case 31:
                    i = SchemaUtil.computeSizeFixed32List(i7, listAt(t, offset), false);
                    i5 += i;
                    break;
                case 32:
                    i = SchemaUtil.computeSizeFixed64List(i7, listAt(t, offset), false);
                    i5 += i;
                    break;
                case 33:
                    i = SchemaUtil.computeSizeSInt32List(i7, listAt(t, offset), false);
                    i5 += i;
                    break;
                case 34:
                    i = SchemaUtil.computeSizeSInt64List(i7, listAt(t, offset), false);
                    i5 += i;
                    break;
                case 35:
                    i3 = SchemaUtil.computeSizeFixed64ListNoTag((List) unsafe.getObject(t, offset));
                    if (i3 <= 0) {
                        break;
                    } else {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i8, i3);
                        }
                        i4 = CodedOutputStream.computeTagSize(i7);
                        i2 = CodedOutputStream.computeUInt32SizeNoTag(i3);
                        i5 = i2 + i4 + i3 + i5;
                        break;
                    }
                case 36:
                    i3 = SchemaUtil.computeSizeFixed32ListNoTag((List) unsafe.getObject(t, offset));
                    if (i3 <= 0) {
                        break;
                    } else {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i8, i3);
                        }
                        i4 = CodedOutputStream.computeTagSize(i7);
                        i2 = CodedOutputStream.computeUInt32SizeNoTag(i3);
                        i5 = i2 + i4 + i3 + i5;
                        break;
                    }
                case 37:
                    i3 = SchemaUtil.computeSizeInt64ListNoTag((List) unsafe.getObject(t, offset));
                    if (i3 <= 0) {
                        break;
                    } else {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i8, i3);
                        }
                        i4 = CodedOutputStream.computeTagSize(i7);
                        i2 = CodedOutputStream.computeUInt32SizeNoTag(i3);
                        i5 = i2 + i4 + i3 + i5;
                        break;
                    }
                case 38:
                    i3 = SchemaUtil.computeSizeUInt64ListNoTag((List) unsafe.getObject(t, offset));
                    if (i3 <= 0) {
                        break;
                    } else {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i8, i3);
                        }
                        i4 = CodedOutputStream.computeTagSize(i7);
                        i2 = CodedOutputStream.computeUInt32SizeNoTag(i3);
                        i5 = i2 + i4 + i3 + i5;
                        break;
                    }
                case 39:
                    i3 = SchemaUtil.computeSizeInt32ListNoTag((List) unsafe.getObject(t, offset));
                    if (i3 <= 0) {
                        break;
                    } else {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i8, i3);
                        }
                        i4 = CodedOutputStream.computeTagSize(i7);
                        i2 = CodedOutputStream.computeUInt32SizeNoTag(i3);
                        i5 = i2 + i4 + i3 + i5;
                        break;
                    }
                case 40:
                    i3 = SchemaUtil.computeSizeFixed64ListNoTag((List) unsafe.getObject(t, offset));
                    if (i3 <= 0) {
                        break;
                    } else {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i8, i3);
                        }
                        i4 = CodedOutputStream.computeTagSize(i7);
                        i2 = CodedOutputStream.computeUInt32SizeNoTag(i3);
                        i5 = i2 + i4 + i3 + i5;
                        break;
                    }
                case 41:
                    i3 = SchemaUtil.computeSizeFixed32ListNoTag((List) unsafe.getObject(t, offset));
                    if (i3 <= 0) {
                        break;
                    } else {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i8, i3);
                        }
                        i4 = CodedOutputStream.computeTagSize(i7);
                        i2 = CodedOutputStream.computeUInt32SizeNoTag(i3);
                        i5 = i2 + i4 + i3 + i5;
                        break;
                    }
                case 42:
                    Class<?> cls = SchemaUtil.GENERATED_MESSAGE_CLASS;
                    i3 = ((List) unsafe.getObject(t, offset)).size();
                    if (i3 <= 0) {
                        break;
                    } else {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i8, i3);
                        }
                        i4 = CodedOutputStream.computeTagSize(i7);
                        i2 = CodedOutputStream.computeUInt32SizeNoTag(i3);
                        i5 = i2 + i4 + i3 + i5;
                        break;
                    }
                case 43:
                    i3 = SchemaUtil.computeSizeUInt32ListNoTag((List) unsafe.getObject(t, offset));
                    if (i3 <= 0) {
                        break;
                    } else {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i8, i3);
                        }
                        i4 = CodedOutputStream.computeTagSize(i7);
                        i2 = CodedOutputStream.computeUInt32SizeNoTag(i3);
                        i5 = i2 + i4 + i3 + i5;
                        break;
                    }
                case 44:
                    i3 = SchemaUtil.computeSizeEnumListNoTag((List) unsafe.getObject(t, offset));
                    if (i3 <= 0) {
                        break;
                    } else {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i8, i3);
                        }
                        i4 = CodedOutputStream.computeTagSize(i7);
                        i2 = CodedOutputStream.computeUInt32SizeNoTag(i3);
                        i5 = i2 + i4 + i3 + i5;
                        break;
                    }
                case 45:
                    i3 = SchemaUtil.computeSizeFixed32ListNoTag((List) unsafe.getObject(t, offset));
                    if (i3 <= 0) {
                        break;
                    } else {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i8, i3);
                        }
                        i4 = CodedOutputStream.computeTagSize(i7);
                        i2 = CodedOutputStream.computeUInt32SizeNoTag(i3);
                        i5 = i2 + i4 + i3 + i5;
                        break;
                    }
                case 46:
                    i3 = SchemaUtil.computeSizeFixed64ListNoTag((List) unsafe.getObject(t, offset));
                    if (i3 <= 0) {
                        break;
                    } else {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i8, i3);
                        }
                        i4 = CodedOutputStream.computeTagSize(i7);
                        i2 = CodedOutputStream.computeUInt32SizeNoTag(i3);
                        i5 = i2 + i4 + i3 + i5;
                        break;
                    }
                case 47:
                    i3 = SchemaUtil.computeSizeSInt32ListNoTag((List) unsafe.getObject(t, offset));
                    if (i3 <= 0) {
                        break;
                    } else {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i8, i3);
                        }
                        i4 = CodedOutputStream.computeTagSize(i7);
                        i2 = CodedOutputStream.computeUInt32SizeNoTag(i3);
                        i5 = i2 + i4 + i3 + i5;
                        break;
                    }
                case 48:
                    i3 = SchemaUtil.computeSizeSInt64ListNoTag((List) unsafe.getObject(t, offset));
                    if (i3 <= 0) {
                        break;
                    } else {
                        if (this.useCachedSizeField) {
                            unsafe.putInt(t, (long) i8, i3);
                        }
                        i4 = CodedOutputStream.computeTagSize(i7);
                        i2 = CodedOutputStream.computeUInt32SizeNoTag(i3);
                        i5 = i2 + i4 + i3 + i5;
                        break;
                    }
                case 49:
                    i = SchemaUtil.computeSizeGroupList(i7, listAt(t, offset), getMessageFieldSchema(i6));
                    i5 += i;
                    break;
                case 50:
                    i = this.mapFieldSchema.getSerializedSize(i7, UnsafeUtil.getObject(t, offset), getMapFieldDefaultEntry(i6));
                    i5 += i;
                    break;
                case 51:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeDoubleSize(i7, 0.0d);
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 52:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeFloatSize(i7, 0.0f);
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 53:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeInt64Size(i7, oneofLongAt(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 54:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeUInt64Size(i7, oneofLongAt(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 55:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeInt32Size(i7, oneofIntAt(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 56:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeFixed64Size(i7, 0);
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 57:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeFixed32Size(i7, 0);
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 58:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeBoolSize(i7, true);
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 59:
                    if (isOneofPresent(t, i7, i6)) {
                        Object object2 = UnsafeUtil.getObject(t, offset);
                        if (object2 instanceof ByteString) {
                            i = CodedOutputStream.computeBytesSize(i7, (ByteString) object2);
                        } else {
                            i = CodedOutputStream.computeStringSize(i7, (String) object2);
                        }
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 60:
                    if (isOneofPresent(t, i7, i6)) {
                        i = SchemaUtil.computeSizeMessage(i7, UnsafeUtil.getObject(t, offset), getMessageFieldSchema(i6));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 61:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeBytesSize(i7, (ByteString) UnsafeUtil.getObject(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 62:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeUInt32Size(i7, oneofIntAt(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 63:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeEnumSize(i7, oneofIntAt(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 64:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeSFixed32Size(i7, 0);
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 65:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeSFixed64Size(i7, 0);
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 66:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeSInt32Size(i7, oneofIntAt(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 67:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeSInt64Size(i7, oneofLongAt(t, offset));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
                case 68:
                    if (isOneofPresent(t, i7, i6)) {
                        i = CodedOutputStream.computeGroupSize(i7, (MessageLite) UnsafeUtil.getObject(t, offset), getMessageFieldSchema(i6));
                        i5 += i;
                        break;
                    } else {
                        break;
                    }
            }
        }
        UnknownFieldSchema<?, ?> unknownFieldSchema2 = this.unknownFieldSchema;
        return unknownFieldSchema2.getSerializedSize(unknownFieldSchema2.getFromMessage(t)) + i5;
    }

    public final boolean isFieldPresent(T t, int i) {
        int[] iArr = this.buffer;
        int i2 = iArr[i + 2];
        long j = (long) (1048575 & i2);
        if (j == 1048575) {
            int i3 = iArr[i + 1];
            long offset = offset(i3);
            switch (type(i3)) {
                case 0:
                    if (UnsafeUtil.MEMORY_ACCESSOR.getDouble(t, offset) != 0.0d) {
                        return true;
                    }
                    return false;
                case 1:
                    if (UnsafeUtil.MEMORY_ACCESSOR.getFloat(t, offset) != 0.0f) {
                        return true;
                    }
                    return false;
                case 2:
                    if (UnsafeUtil.getLong(t, offset) != 0) {
                        return true;
                    }
                    return false;
                case 3:
                    if (UnsafeUtil.getLong(t, offset) != 0) {
                        return true;
                    }
                    return false;
                case 4:
                    if (UnsafeUtil.getInt(t, offset) != 0) {
                        return true;
                    }
                    return false;
                case 5:
                    if (UnsafeUtil.getLong(t, offset) != 0) {
                        return true;
                    }
                    return false;
                case 6:
                    if (UnsafeUtil.getInt(t, offset) != 0) {
                        return true;
                    }
                    return false;
                case 7:
                    return UnsafeUtil.MEMORY_ACCESSOR.getBoolean(t, offset);
                case 8:
                    Object object = UnsafeUtil.getObject(t, offset);
                    if (object instanceof String) {
                        return !((String) object).isEmpty();
                    }
                    if (object instanceof ByteString) {
                        return !ByteString.EMPTY.equals(object);
                    }
                    throw new IllegalArgumentException();
                case 9:
                    if (UnsafeUtil.getObject(t, offset) != null) {
                        return true;
                    }
                    return false;
                case 10:
                    return !ByteString.EMPTY.equals(UnsafeUtil.getObject(t, offset));
                case 11:
                    if (UnsafeUtil.getInt(t, offset) != 0) {
                        return true;
                    }
                    return false;
                case 12:
                    if (UnsafeUtil.getInt(t, offset) != 0) {
                        return true;
                    }
                    return false;
                case 13:
                    if (UnsafeUtil.getInt(t, offset) != 0) {
                        return true;
                    }
                    return false;
                case 14:
                    if (UnsafeUtil.getLong(t, offset) != 0) {
                        return true;
                    }
                    return false;
                case 15:
                    if (UnsafeUtil.getInt(t, offset) != 0) {
                        return true;
                    }
                    return false;
                case 16:
                    if (UnsafeUtil.getLong(t, offset) != 0) {
                        return true;
                    }
                    return false;
                case 17:
                    if (UnsafeUtil.getObject(t, offset) != null) {
                        return true;
                    }
                    return false;
                default:
                    throw new IllegalArgumentException();
            }
        } else {
            if ((UnsafeUtil.getInt(t, j) & (1 << (i2 >>> 20))) != 0) {
                return true;
            }
            return false;
        }
    }

    public final boolean isOneofPresent(T t, int i, int i2) {
        return UnsafeUtil.getInt(t, (long) (this.buffer[i2 + 2] & 1048575)) == i;
    }

    @Override // com.google.protobuf.Schema
    public void makeImmutable(T t) {
        int i;
        int i2 = this.checkInitializedCount;
        while (true) {
            i = this.repeatedFieldOffsetStart;
            if (i2 >= i) {
                break;
            }
            long offset = offset(typeAndOffsetAt(this.intArray[i2]));
            Object object = UnsafeUtil.getObject(t, offset);
            if (object != null) {
                UnsafeUtil.MEMORY_ACCESSOR.putObject(t, offset, this.mapFieldSchema.toImmutable(object));
            }
            i2++;
        }
        int length = this.intArray.length;
        while (i < length) {
            this.listFieldSchema.makeImmutableListAt(t, (long) this.intArray[i]);
            i++;
        }
        this.unknownFieldSchema.makeImmutable(t);
        if (this.hasExtensions) {
            this.extensionSchema.makeImmutable(t);
        }
    }

    @Override // com.google.protobuf.Schema
    public void mergeFrom(T t, Reader reader, ExtensionRegistryLite extensionRegistryLite) {
        Objects.requireNonNull(extensionRegistryLite);
        mergeFromHelper((UnknownFieldSchema<UT, UB>) this.unknownFieldSchema, (ExtensionSchema<ET>) this.extensionSchema, t, reader, extensionRegistryLite);
    }

    /*  JADX ERROR: StackOverflowError in pass: MarkFinallyVisitor
        java.lang.StackOverflowError
        	at jadx.core.dex.nodes.InsnNode.isSame(InsnNode.java:303)
        	at jadx.core.dex.instructions.IndexInsnNode.isSame(IndexInsnNode.java:36)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.sameInsns(MarkFinallyVisitor.java:451)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.compareBlocks(MarkFinallyVisitor.java:436)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.checkBlocksTree(MarkFinallyVisitor.java:408)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.checkBlocksTree(MarkFinallyVisitor.java:411)
        */
    public final <UT, UB, ET extends com.google.protobuf.FieldSet.FieldDescriptorLite<ET>> void mergeFromHelper(com.google.protobuf.UnknownFieldSchema<UT, UB> r17, com.google.protobuf.ExtensionSchema<ET> r18, T r19, com.google.protobuf.Reader r20, com.google.protobuf.ExtensionRegistryLite r21) {
        /*
        // Method dump skipped, instructions count: 1714
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.protobuf.MessageSchema.mergeFromHelper(com.google.protobuf.UnknownFieldSchema, com.google.protobuf.ExtensionSchema, java.lang.Object, com.google.protobuf.Reader, com.google.protobuf.ExtensionRegistryLite):void");
    }

    public final <K, V> void mergeMap(Object obj, int i, Object obj2, ExtensionRegistryLite extensionRegistryLite, Reader reader) {
        long offset = offset(this.buffer[i + 1]);
        Object object = UnsafeUtil.getObject(obj, offset);
        if (object == null) {
            object = this.mapFieldSchema.newMapField(obj2);
            UnsafeUtil.MEMORY_ACCESSOR.putObject(obj, offset, object);
        } else if (this.mapFieldSchema.isImmutable(object)) {
            Object newMapField = this.mapFieldSchema.newMapField(obj2);
            this.mapFieldSchema.mergeFrom(newMapField, object);
            UnsafeUtil.MEMORY_ACCESSOR.putObject(obj, offset, newMapField);
            object = newMapField;
        }
        reader.readMap(this.mapFieldSchema.forMutableMapData(object), this.mapFieldSchema.forMapMetadata(obj2), extensionRegistryLite);
    }

    @Override // com.google.protobuf.Schema
    public T newInstance() {
        return (T) this.newInstanceSchema.newInstance(this.defaultInstance);
    }

    public final int positionForFieldNumber(int i) {
        if (i < this.minFieldNumber || i > this.maxFieldNumber) {
            return -1;
        }
        int i2 = 0;
        int length = (this.buffer.length / 3) - 1;
        while (i2 <= length) {
            int i3 = (length + i2) >>> 1;
            int i4 = i3 * 3;
            int i5 = this.buffer[i4];
            if (i == i5) {
                return i4;
            }
            if (i < i5) {
                length = i3 - 1;
            } else {
                i2 = i3 + 1;
            }
        }
        return -1;
    }

    public final <E> void readGroupList(Object obj, long j, Reader reader, Schema<E> schema, ExtensionRegistryLite extensionRegistryLite) {
        reader.readGroupList(this.listFieldSchema.mutableListAt(obj, j), schema, extensionRegistryLite);
    }

    public final <E> void readMessageList(Object obj, int i, Reader reader, Schema<E> schema, ExtensionRegistryLite extensionRegistryLite) {
        reader.readMessageList(this.listFieldSchema.mutableListAt(obj, offset(i)), schema, extensionRegistryLite);
    }

    public final void readString(Object obj, int i, Reader reader) {
        if ((536870912 & i) != 0) {
            UnsafeUtil.MEMORY_ACCESSOR.putObject(obj, offset(i), reader.readStringRequireUtf8());
        } else {
            UnsafeUtil.MEMORY_ACCESSOR.putObject(obj, offset(i), reader.readBytes());
        }
    }

    public final void readStringList(Object obj, int i, Reader reader) {
        if ((536870912 & i) != 0) {
            reader.readStringListRequireUtf8(this.listFieldSchema.mutableListAt(obj, offset(i)));
        } else {
            reader.readStringList(this.listFieldSchema.mutableListAt(obj, offset(i)));
        }
    }

    public final void setFieldPresent(T t, int i) {
        int i2 = this.buffer[i + 2];
        long j = (long) (1048575 & i2);
        if (j != 1048575) {
            UnsafeUtil.MEMORY_ACCESSOR.putInt(t, j, (1 << (i2 >>> 20)) | UnsafeUtil.getInt(t, j));
        }
    }

    public final void setOneofPresent(T t, int i, int i2) {
        UnsafeUtil.MEMORY_ACCESSOR.putInt(t, (long) (this.buffer[i2 + 2] & 1048575), i);
    }

    public final int typeAndOffsetAt(int i) {
        return this.buffer[i + 1];
    }
}
