package com.google.protobuf;

public abstract class UnknownFieldSchema<T, B> {
    public abstract void addFixed32(B b, int i, int i2);

    public abstract void addFixed64(B b, int i, long j);

    public abstract void addGroup(B b, int i, T t);

    public abstract void addLengthDelimited(B b, int i, ByteString byteString);

    public abstract void addVarint(B b, int i, long j);

    public abstract B getBuilderFromMessage(Object obj);

    public abstract T getFromMessage(Object obj);

    public abstract int getSerializedSize(T t);

    public abstract int getSerializedSizeAsMessageSet(T t);

    public abstract void makeImmutable(Object obj);

    /* JADX WARNING: Removed duplicated region for block: B:18:0x0038  */
    public final boolean mergeOneFieldFrom(B b, Reader reader) {
        int tag = reader.getTag();
        int i = tag >>> 3;
        int i2 = tag & 7;
        if (i2 == 0) {
            addVarint(b, i, reader.readInt64());
            return true;
        } else if (i2 == 1) {
            addFixed64(b, i, reader.readFixed64());
            return true;
        } else if (i2 == 2) {
            addLengthDelimited(b, i, reader.readBytes());
            return true;
        } else if (i2 == 3) {
            B newBuilder = newBuilder();
            int i3 = 4 | (i << 3);
            while (reader.getFieldNumber() != Integer.MAX_VALUE && mergeOneFieldFrom(newBuilder, reader)) {
                while (reader.getFieldNumber() != Integer.MAX_VALUE) {
                    while (reader.getFieldNumber() != Integer.MAX_VALUE) {
                    }
                }
            }
            if (i3 == reader.getTag()) {
                addGroup(b, i, toImmutable(newBuilder));
                return true;
            }
            throw InvalidProtocolBufferException.invalidEndTag();
        } else if (i2 == 4) {
            return false;
        } else {
            if (i2 == 5) {
                addFixed32(b, i, reader.readFixed32());
                return true;
            }
            throw InvalidProtocolBufferException.invalidWireType();
        }
    }

    public abstract B newBuilder();

    public abstract void setBuilderToMessage(Object obj, B b);

    public abstract boolean shouldDiscardUnknownFields(Reader reader);

    public abstract T toImmutable(B b);
}
