package com.google.protobuf;

import com.google.protobuf.UnknownFieldSet;
import java.util.ArrayList;
import java.util.Objects;

public class UnknownFieldSetSchema extends UnknownFieldSchema<UnknownFieldSet, UnknownFieldSet.Builder> {
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, int, int] */
    @Override // com.google.protobuf.UnknownFieldSchema
    public void addFixed32(UnknownFieldSet.Builder builder, int i, int i2) {
        UnknownFieldSet.Field.Builder newBuilder = UnknownFieldSet.Field.newBuilder();
        newBuilder.addFixed32(i2);
        builder.mergeField(i, newBuilder.build());
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, int, long] */
    @Override // com.google.protobuf.UnknownFieldSchema
    public void addFixed64(UnknownFieldSet.Builder builder, int i, long j) {
        UnknownFieldSet.Field.Builder newBuilder = UnknownFieldSet.Field.newBuilder();
        newBuilder.addFixed64(j);
        builder.mergeField(i, newBuilder.build());
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, int, java.lang.Object] */
    @Override // com.google.protobuf.UnknownFieldSchema
    public void addGroup(UnknownFieldSet.Builder builder, int i, UnknownFieldSet unknownFieldSet) {
        UnknownFieldSet.Builder builder2 = builder;
        UnknownFieldSet unknownFieldSet2 = unknownFieldSet;
        UnknownFieldSet.Field.Builder newBuilder = UnknownFieldSet.Field.newBuilder();
        UnknownFieldSet.Field field = newBuilder.result;
        if (field.group == null) {
            field.group = new ArrayList();
        }
        newBuilder.result.group.add(unknownFieldSet2);
        builder2.mergeField(i, newBuilder.build());
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, int, com.google.protobuf.ByteString] */
    @Override // com.google.protobuf.UnknownFieldSchema
    public void addLengthDelimited(UnknownFieldSet.Builder builder, int i, ByteString byteString) {
        UnknownFieldSet.Field.Builder newBuilder = UnknownFieldSet.Field.newBuilder();
        newBuilder.addLengthDelimited(byteString);
        builder.mergeField(i, newBuilder.build());
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, int, long] */
    @Override // com.google.protobuf.UnknownFieldSchema
    public void addVarint(UnknownFieldSet.Builder builder, int i, long j) {
        UnknownFieldSet.Field.Builder newBuilder = UnknownFieldSet.Field.newBuilder();
        newBuilder.addVarint(j);
        builder.mergeField(i, newBuilder.build());
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // com.google.protobuf.UnknownFieldSchema
    public UnknownFieldSet.Builder getBuilderFromMessage(Object obj) {
        UnknownFieldSet unknownFieldSet = ((GeneratedMessageV3) obj).unknownFields;
        Objects.requireNonNull(unknownFieldSet);
        UnknownFieldSet.Builder newBuilder = UnknownFieldSet.newBuilder();
        newBuilder.mergeFrom(unknownFieldSet);
        return newBuilder;
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // com.google.protobuf.UnknownFieldSchema
    public UnknownFieldSet getFromMessage(Object obj) {
        return ((GeneratedMessageV3) obj).unknownFields;
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // com.google.protobuf.UnknownFieldSchema
    public int getSerializedSize(UnknownFieldSet unknownFieldSet) {
        return unknownFieldSet.getSerializedSize();
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // com.google.protobuf.UnknownFieldSchema
    public int getSerializedSizeAsMessageSet(UnknownFieldSet unknownFieldSet) {
        return unknownFieldSet.getSerializedSizeAsMessageSet();
    }

    @Override // com.google.protobuf.UnknownFieldSchema
    public void makeImmutable(Object obj) {
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // com.google.protobuf.UnknownFieldSchema
    public UnknownFieldSet.Builder newBuilder() {
        return UnknownFieldSet.newBuilder();
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
    @Override // com.google.protobuf.UnknownFieldSchema
    public void setBuilderToMessage(Object obj, UnknownFieldSet.Builder builder) {
        ((GeneratedMessageV3) obj).unknownFields = builder.build();
    }

    @Override // com.google.protobuf.UnknownFieldSchema
    public boolean shouldDiscardUnknownFields(Reader reader) {
        return reader.shouldDiscardUnknownFields();
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // com.google.protobuf.UnknownFieldSchema
    public UnknownFieldSet toImmutable(UnknownFieldSet.Builder builder) {
        return builder.build();
    }
}
