package com.google.zxing.aztec;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.BinaryBitmap;
import com.google.zxing.DecodeHintType;
import com.google.zxing.FormatException;
import com.google.zxing.NotFoundException;
import com.google.zxing.Reader;
import com.google.zxing.Result;
import com.google.zxing.ResultMetadataType;
import com.google.zxing.ResultPoint;
import com.google.zxing.aztec.decoder.Decoder;
import com.google.zxing.aztec.detector.Detector;
import com.google.zxing.common.DecoderResult;
import com.yzq.zxinglibrary.view.ViewfinderResultPointCallback;
import java.util.List;
import java.util.Map;

public final class AztecReader implements Reader {
    /* JADX WARNING: Removed duplicated region for block: B:15:0x002f  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x005a A[LOOP:0: B:29:0x0058->B:30:0x005a, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0078  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x0081  */
    @Override // com.google.zxing.Reader
    public Result decode(BinaryBitmap binaryBitmap, Map<DecodeHintType, ?> map) {
        ResultPoint[] resultPointArr;
        FormatException formatException;
        NotFoundException e;
        List<byte[]> list;
        String str;
        ViewfinderResultPointCallback viewfinderResultPointCallback;
        ResultPoint[] resultPointArr2;
        FormatException e2;
        Detector detector = new Detector(binaryBitmap.getBlackMatrix());
        DecoderResult decoderResult = null;
        try {
            AztecDetectorResult detect = detector.detect(false);
            resultPointArr2 = detect.points;
            try {
                resultPointArr = resultPointArr2;
                formatException = null;
                decoderResult = new Decoder().decode(detect);
                e = null;
            } catch (NotFoundException e3) {
                e = e3;
                resultPointArr = resultPointArr2;
                formatException = null;
                if (decoderResult == null) {
                }
                while (r11 < r0) {
                }
                Result result = new Result(decoderResult.text, decoderResult.rawBytes, decoderResult.numBits, resultPointArr, BarcodeFormat.AZTEC, System.currentTimeMillis());
                list = decoderResult.byteSegments;
                if (list != null) {
                }
                str = decoderResult.ecLevel;
                if (str != null) {
                }
                return result;
            } catch (FormatException e4) {
                e2 = e4;
                resultPointArr = resultPointArr2;
                formatException = e2;
                e = null;
                if (decoderResult == null) {
                }
                while (r11 < r0) {
                }
                Result result2 = new Result(decoderResult.text, decoderResult.rawBytes, decoderResult.numBits, resultPointArr, BarcodeFormat.AZTEC, System.currentTimeMillis());
                list = decoderResult.byteSegments;
                if (list != null) {
                }
                str = decoderResult.ecLevel;
                if (str != null) {
                }
                return result2;
            }
        } catch (NotFoundException e5) {
            e = e5;
            resultPointArr2 = null;
            resultPointArr = resultPointArr2;
            formatException = null;
            if (decoderResult == null) {
            }
            while (r11 < r0) {
            }
            Result result22 = new Result(decoderResult.text, decoderResult.rawBytes, decoderResult.numBits, resultPointArr, BarcodeFormat.AZTEC, System.currentTimeMillis());
            list = decoderResult.byteSegments;
            if (list != null) {
            }
            str = decoderResult.ecLevel;
            if (str != null) {
            }
            return result22;
        } catch (FormatException e6) {
            e2 = e6;
            resultPointArr2 = null;
            resultPointArr = resultPointArr2;
            formatException = e2;
            e = null;
            if (decoderResult == null) {
            }
            while (r11 < r0) {
            }
            Result result222 = new Result(decoderResult.text, decoderResult.rawBytes, decoderResult.numBits, resultPointArr, BarcodeFormat.AZTEC, System.currentTimeMillis());
            list = decoderResult.byteSegments;
            if (list != null) {
            }
            str = decoderResult.ecLevel;
            if (str != null) {
            }
            return result222;
        }
        if (decoderResult == null) {
            try {
                AztecDetectorResult detect2 = detector.detect(true);
                resultPointArr = detect2.points;
                decoderResult = new Decoder().decode(detect2);
            } catch (FormatException | NotFoundException e7) {
                if (e != null) {
                    throw e;
                } else if (formatException != null) {
                    throw formatException;
                } else {
                    throw e7;
                }
            }
        }
        if (!(map == null || (viewfinderResultPointCallback = (ViewfinderResultPointCallback) map.get(DecodeHintType.NEED_RESULT_POINT_CALLBACK)) == null)) {
            for (ResultPoint resultPoint : resultPointArr) {
                viewfinderResultPointCallback.foundPossibleResultPoint(resultPoint);
            }
        }
        Result result2222 = new Result(decoderResult.text, decoderResult.rawBytes, decoderResult.numBits, resultPointArr, BarcodeFormat.AZTEC, System.currentTimeMillis());
        list = decoderResult.byteSegments;
        if (list != null) {
            result2222.putMetadata(ResultMetadataType.BYTE_SEGMENTS, list);
        }
        str = decoderResult.ecLevel;
        if (str != null) {
            result2222.putMetadata(ResultMetadataType.ERROR_CORRECTION_LEVEL, str);
        }
        return result2222;
    }

    @Override // com.google.zxing.Reader
    public void reset() {
    }
}
