package com.google.zxing.datamatrix.encoder;

import androidx.transition.ViewGroupUtilsApi14;
import org.xbill.DNS.KEYRecord;

public final class EdifactEncoder implements Encoder {
    public static String encodeToCodewords(CharSequence charSequence, int i) {
        int length = charSequence.length() - i;
        if (length != 0) {
            char charAt = charSequence.charAt(i);
            char c = 0;
            char charAt2 = length >= 2 ? charSequence.charAt(i + 1) : 0;
            char charAt3 = length >= 3 ? charSequence.charAt(i + 2) : 0;
            if (length >= 4) {
                c = charSequence.charAt(i + 3);
            }
            int i2 = (charAt << 18) + (charAt2 << '\f') + (charAt3 << 6) + c;
            char c2 = (char) ((i2 >> 8) & KEYRecord.PROTOCOL_ANY);
            char c3 = (char) (i2 & KEYRecord.PROTOCOL_ANY);
            StringBuilder sb = new StringBuilder(3);
            sb.append((char) ((i2 >> 16) & KEYRecord.PROTOCOL_ANY));
            if (length >= 2) {
                sb.append(c2);
            }
            if (length >= 3) {
                sb.append(c3);
            }
            return sb.toString();
        }
        throw new IllegalStateException("StringBuilder must not be empty");
    }

    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0054, code lost:
        throw null;
     */
    @Override // com.google.zxing.datamatrix.encoder.Encoder
    public void encode(EncoderContext encoderContext) {
        boolean z;
        StringBuilder sb = new StringBuilder();
        while (true) {
            z = true;
            if (!encoderContext.hasMoreCharacters()) {
                break;
            }
            char currentChar = encoderContext.getCurrentChar();
            if (currentChar >= ' ' && currentChar <= '?') {
                sb.append(currentChar);
            } else if (currentChar < '@' || currentChar > '^') {
                ViewGroupUtilsApi14.illegalCharacter(currentChar);
            } else {
                sb.append((char) (currentChar - '@'));
            }
            encoderContext.pos++;
            if (sb.length() >= 4) {
                encoderContext.codewords.append(encodeToCodewords(sb, 0));
                sb.delete(0, 4);
                if (ViewGroupUtilsApi14.lookAheadTest(encoderContext.msg, encoderContext.pos, 4) != 4) {
                    encoderContext.newEncoding = 0;
                    break;
                }
            }
        }
        sb.append((char) 31);
        try {
            int length = sb.length();
            if (length != 0) {
                if (length == 1) {
                    encoderContext.updateSymbolInfo();
                    int codewordCount = encoderContext.symbolInfo.dataCapacity - encoderContext.getCodewordCount();
                    if (encoderContext.getRemainingCharacters() == 0 && codewordCount <= 2) {
                    }
                }
                if (length <= 4) {
                    int i = length - 1;
                    String encodeToCodewords = encodeToCodewords(sb, 0);
                    if (!(!encoderContext.hasMoreCharacters()) || i > 2) {
                        z = false;
                    }
                    if (i <= 2) {
                        encoderContext.updateSymbolInfo(encoderContext.getCodewordCount() + i);
                        if (encoderContext.symbolInfo.dataCapacity - encoderContext.getCodewordCount() >= 3) {
                            encoderContext.updateSymbolInfo(encoderContext.getCodewordCount() + encodeToCodewords.length());
                            z = false;
                        }
                    }
                    if (z) {
                        encoderContext.symbolInfo = null;
                        encoderContext.pos -= i;
                    } else {
                        encoderContext.codewords.append(encodeToCodewords);
                    }
                } else {
                    throw new IllegalStateException("Count must not exceed 4");
                }
            }
        } finally {
            encoderContext.newEncoding = 0;
        }
    }
}
