package com.google.zxing.oned;

import com.android.tools.r8.GeneratedOutlineSupport;
import com.google.zxing.BarcodeFormat;
import com.google.zxing.NotFoundException;
import com.google.zxing.Result;
import com.google.zxing.ResultMetadataType;
import com.google.zxing.ResultPoint;
import com.google.zxing.common.BitArray;
import java.util.EnumMap;
import net.xfkefu.sdk.retrofit.Retrofit2;

public final class UPCEANExtension5Support {
    public static final int[] CHECK_DIGIT_ENCODINGS = {24, 20, 18, 17, 12, 6, 3, 10, 9, 5};
    public final int[] decodeMiddleCounters = new int[4];
    public final StringBuilder decodeRowStringBuffer = new StringBuilder();

    /* JADX WARNING: Removed duplicated region for block: B:54:0x0109  */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x013b  */
    public Result decodeRow(int i, BitArray bitArray, int[] iArr) {
        EnumMap enumMap;
        String str;
        String str2;
        StringBuilder sb = this.decodeRowStringBuffer;
        sb.setLength(0);
        int[] iArr2 = this.decodeMiddleCounters;
        iArr2[0] = 0;
        iArr2[1] = 0;
        iArr2[2] = 0;
        iArr2[3] = 0;
        int i2 = bitArray.size;
        int i3 = iArr[1];
        int i4 = 0;
        for (int i5 = 0; i5 < 5 && i3 < i2; i5++) {
            int decodeDigit = UPCEANReader.decodeDigit(bitArray, iArr2, i3, UPCEANReader.L_AND_G_PATTERNS);
            sb.append((char) ((decodeDigit % 10) + 48));
            for (int i6 : iArr2) {
                i3 += i6;
            }
            if (decodeDigit >= 10) {
                i4 |= 1 << (4 - i5);
            }
            if (i5 != 4) {
                i3 = bitArray.getNextUnset(bitArray.getNextSet(i3));
            }
        }
        if (sb.length() == 5) {
            for (int i7 = 0; i7 < 10; i7++) {
                if (i4 == CHECK_DIGIT_ENCODINGS[i7]) {
                    String sb2 = sb.toString();
                    int length = sb2.length();
                    int i8 = 0;
                    for (int i9 = length - 2; i9 >= 0; i9 -= 2) {
                        i8 += sb2.charAt(i9) - '0';
                    }
                    int i10 = i8 * 3;
                    for (int i11 = length - 1; i11 >= 0; i11 -= 2) {
                        i10 += sb2.charAt(i11) - '0';
                    }
                    if ((i10 * 3) % 10 == i7) {
                        String sb3 = sb.toString();
                        if (sb3.length() == 5) {
                            char charAt = sb3.charAt(0);
                            if (charAt == '0') {
                                str2 = "£";
                            } else if (charAt != '5') {
                                if (charAt == '9') {
                                    if ("90000".equals(sb3)) {
                                        str = null;
                                    } else if ("99991".equals(sb3)) {
                                        str = "0.00";
                                    } else if ("99990".equals(sb3)) {
                                        str = "Used";
                                    }
                                    if (str != null) {
                                        enumMap = new EnumMap(ResultMetadataType.class);
                                        enumMap.put((Object) ResultMetadataType.SUGGESTED_PRICE, (Object) str);
                                        float f = (float) i;
                                        Result result = new Result(sb3, null, new ResultPoint[]{new ResultPoint(((float) (iArr[0] + iArr[1])) / 2.0f, f), new ResultPoint((float) i3, f)}, BarcodeFormat.UPC_EAN_EXTENSION);
                                        if (enumMap != null) {
                                            result.putAllMetadata(enumMap);
                                        }
                                        return result;
                                    }
                                }
                                str2 = "";
                            } else {
                                str2 = "$";
                            }
                            int parseInt = Integer.parseInt(sb3.substring(1));
                            String valueOf = String.valueOf(parseInt / 100);
                            int i12 = parseInt % 100;
                            str = str2 + valueOf + '.' + (i12 < 10 ? GeneratedOutlineSupport.outline10(Retrofit2.RESP_CODE_SUCCESS, i12) : String.valueOf(i12));
                            if (str != null) {
                            }
                        }
                        enumMap = null;
                        float f2 = (float) i;
                        Result result2 = new Result(sb3, null, new ResultPoint[]{new ResultPoint(((float) (iArr[0] + iArr[1])) / 2.0f, f2), new ResultPoint((float) i3, f2)}, BarcodeFormat.UPC_EAN_EXTENSION);
                        if (enumMap != null) {
                        }
                        return result2;
                    }
                    throw NotFoundException.getNotFoundInstance();
                }
            }
            throw NotFoundException.getNotFoundInstance();
        }
        throw NotFoundException.getNotFoundInstance();
    }
}
