package com.google.zxing.pdf417.decoder;

import com.google.zxing.FormatException;
import io.netty.util.internal.StringUtil;
import java.math.BigInteger;
import java.nio.charset.Charset;

public abstract class DecodedBitStreamParser {
    public static final Charset DEFAULT_ENCODING = Charset.forName("ISO-8859-1");
    public static final BigInteger[] EXP900;
    public static final char[] MIXED_CHARS = "0123456789&\r\t,:#-.$/+%*=^".toCharArray();
    public static final char[] PUNCT_CHARS = ";<>@[\\]_`~!\r\t,:\n-.$/\"|*()?{}'".toCharArray();

    public enum Mode {
        ALPHA,
        LOWER,
        MIXED,
        PUNCT,
        ALPHA_SHIFT,
        PUNCT_SHIFT
    }

    static {
        BigInteger[] bigIntegerArr = new BigInteger[16];
        EXP900 = bigIntegerArr;
        bigIntegerArr[0] = BigInteger.ONE;
        BigInteger valueOf = BigInteger.valueOf(900);
        bigIntegerArr[1] = valueOf;
        int i = 2;
        while (true) {
            BigInteger[] bigIntegerArr2 = EXP900;
            if (i < bigIntegerArr2.length) {
                bigIntegerArr2[i] = bigIntegerArr2[i - 1].multiply(valueOf);
                i++;
            } else {
                return;
            }
        }
    }

    public static String decodeBase900toBase10(int[] iArr, int i) {
        BigInteger bigInteger = BigInteger.ZERO;
        for (int i2 = 0; i2 < i; i2++) {
            bigInteger = bigInteger.add(EXP900[(i - i2) - 1].multiply(BigInteger.valueOf((long) iArr[i2])));
        }
        String bigInteger2 = bigInteger.toString();
        if (bigInteger2.charAt(0) == '1') {
            return bigInteger2.substring(1);
        }
        throw FormatException.getFormatInstance();
    }

    /* JADX WARNING: Removed duplicated region for block: B:105:0x0159  */
    /* JADX WARNING: Removed duplicated region for block: B:116:0x015c A[SYNTHETIC] */
    public static int textCompaction(int[] iArr, int i, StringBuilder sb) {
        char c;
        Mode mode;
        int i2;
        char c2;
        char c3;
        int i3 = 1;
        int[] iArr2 = new int[((iArr[0] - i) << 1)];
        int[] iArr3 = new int[((iArr[0] - i) << 1)];
        int i4 = i;
        boolean z = false;
        int i5 = 0;
        while (i4 < iArr[0] && !z) {
            int i6 = i4 + 1;
            int i7 = iArr[i4];
            if (i7 < 900) {
                iArr2[i5] = i7 / 30;
                iArr2[i5 + 1] = i7 % 30;
                i5 += 2;
            } else if (i7 != 913) {
                if (i7 != 928) {
                    switch (i7) {
                        case 900:
                            iArr2[i5] = 900;
                            i5++;
                            break;
                        default:
                            switch (i7) {
                            }
                        case 901:
                        case 902:
                            i4 = i6 - 1;
                            z = true;
                            break;
                    }
                }
                i4 = i6 - 1;
                z = true;
            } else {
                iArr2[i5] = 913;
                i4 = i6 + 1;
                iArr3[i5] = iArr[i6];
                i5++;
            }
            i4 = i6;
        }
        Mode mode2 = Mode.ALPHA;
        Mode mode3 = mode2;
        int i8 = 0;
        while (i8 < i5) {
            int i9 = iArr2[i8];
            int ordinal = mode2.ordinal();
            char c4 = StringUtil.SPACE;
            if (ordinal != 0) {
                if (ordinal != i3) {
                    if (ordinal != 2) {
                        if (ordinal != 3) {
                            if (ordinal != 4) {
                                if (ordinal == 5) {
                                    if (i9 < 29) {
                                        c3 = PUNCT_CHARS[i9];
                                    } else if (i9 == 29) {
                                        mode2 = Mode.ALPHA;
                                    } else {
                                        if (i9 == 913) {
                                            sb.append((char) iArr3[i8]);
                                        } else if (i9 == 900) {
                                            mode2 = Mode.ALPHA;
                                        }
                                        mode2 = mode3;
                                    }
                                }
                            } else if (i9 < 26) {
                                c3 = (char) (i9 + 65);
                            } else {
                                if (i9 != 26) {
                                    if (i9 == 900) {
                                        mode2 = Mode.ALPHA;
                                    }
                                    mode2 = mode3;
                                }
                                mode2 = mode3;
                                c = c4;
                                if (c == 0) {
                                    sb.append(c);
                                }
                                i8++;
                                i3 = 1;
                            }
                            c4 = c3;
                            mode2 = mode3;
                            c = c4;
                            if (c == 0) {
                            }
                            i8++;
                            i3 = 1;
                        } else if (i9 < 29) {
                            c2 = PUNCT_CHARS[i9];
                        } else if (i9 == 29) {
                            mode2 = Mode.ALPHA;
                        } else if (i9 == 913) {
                            sb.append((char) iArr3[i8]);
                        } else if (i9 == 900) {
                            mode2 = Mode.ALPHA;
                        }
                        c = 0;
                        if (c == 0) {
                        }
                        i8++;
                        i3 = 1;
                    } else if (i9 < 25) {
                        c2 = MIXED_CHARS[i9];
                    } else {
                        if (i9 == 25) {
                            mode2 = Mode.PUNCT;
                        } else {
                            if (i9 != 26) {
                                if (i9 == 27) {
                                    mode2 = Mode.LOWER;
                                } else if (i9 == 28) {
                                    mode2 = Mode.ALPHA;
                                } else if (i9 == 29) {
                                    mode = Mode.PUNCT_SHIFT;
                                    mode3 = mode2;
                                    mode2 = mode;
                                } else if (i9 == 913) {
                                    sb.append((char) iArr3[i8]);
                                } else if (i9 == 900) {
                                    mode2 = Mode.ALPHA;
                                }
                            }
                            c = StringUtil.SPACE;
                            if (c == 0) {
                            }
                            i8++;
                            i3 = 1;
                        }
                        c = 0;
                        if (c == 0) {
                        }
                        i8++;
                        i3 = 1;
                    }
                    c4 = c2;
                    c = c4;
                    if (c == 0) {
                    }
                    i8++;
                    i3 = 1;
                } else if (i9 < 26) {
                    i2 = i9 + 97;
                } else {
                    if (i9 != 26) {
                        if (i9 == 27) {
                            mode = Mode.ALPHA_SHIFT;
                        } else {
                            if (i9 == 28) {
                                mode2 = Mode.MIXED;
                            } else if (i9 == 29) {
                                mode = Mode.PUNCT_SHIFT;
                            } else if (i9 == 913) {
                                sb.append((char) iArr3[i8]);
                            } else if (i9 == 900) {
                                mode2 = Mode.ALPHA;
                            }
                            c = 0;
                            if (c == 0) {
                            }
                            i8++;
                            i3 = 1;
                        }
                        mode3 = mode2;
                        mode2 = mode;
                        c = 0;
                        if (c == 0) {
                        }
                        i8++;
                        i3 = 1;
                    }
                    c = StringUtil.SPACE;
                    if (c == 0) {
                    }
                    i8++;
                    i3 = 1;
                }
            } else if (i9 < 26) {
                i2 = i9 + 65;
            } else {
                if (i9 != 26) {
                    if (i9 == 27) {
                        mode2 = Mode.LOWER;
                    } else if (i9 == 28) {
                        mode2 = Mode.MIXED;
                    } else if (i9 == 29) {
                        mode = Mode.PUNCT_SHIFT;
                        mode3 = mode2;
                        mode2 = mode;
                    } else if (i9 == 913) {
                        sb.append((char) iArr3[i8]);
                    } else if (i9 == 900) {
                        mode2 = Mode.ALPHA;
                    }
                    c = 0;
                    if (c == 0) {
                    }
                    i8++;
                    i3 = 1;
                }
                c = StringUtil.SPACE;
                if (c == 0) {
                }
                i8++;
                i3 = 1;
            }
            c = (char) i2;
            if (c == 0) {
            }
            i8++;
            i3 = 1;
        }
        return i4;
    }
}
