package com.google.zxing.qrcode.detector;

import com.google.zxing.common.BitMatrix;
import com.yzq.zxinglibrary.view.ViewfinderResultPointCallback;
import java.util.ArrayList;
import java.util.List;

public final class AlignmentPatternFinder {
    public final int[] crossCheckStateCount;
    public final int height;
    public final BitMatrix image;
    public final float moduleSize;
    public final List<AlignmentPattern> possibleCenters = new ArrayList(5);
    public final ViewfinderResultPointCallback resultPointCallback;
    public final int startX;
    public final int startY;
    public final int width;

    public AlignmentPatternFinder(BitMatrix bitMatrix, int i, int i2, int i3, int i4, float f, ViewfinderResultPointCallback viewfinderResultPointCallback) {
        this.image = bitMatrix;
        this.startX = i;
        this.startY = i2;
        this.width = i3;
        this.height = i4;
        this.moduleSize = f;
        this.crossCheckStateCount = new int[3];
        this.resultPointCallback = viewfinderResultPointCallback;
    }

    public static float centerFromEnd(int[] iArr, int i) {
        return ((float) (i - iArr[2])) - (((float) iArr[1]) / 2.0f);
    }

    public final boolean foundPatternCross(int[] iArr) {
        float f = this.moduleSize;
        float f2 = f / 2.0f;
        for (int i = 0; i < 3; i++) {
            if (Math.abs(f - ((float) iArr[i])) >= f2) {
                return false;
            }
        }
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:76:0x0100 A[SYNTHETIC] */
    public final AlignmentPattern handlePossibleCenter(int[] iArr, int i, int i2) {
        boolean z;
        int i3 = iArr[0] + iArr[1] + iArr[2];
        float centerFromEnd = centerFromEnd(iArr, i2);
        int i4 = (int) centerFromEnd;
        int i5 = iArr[1] * 2;
        BitMatrix bitMatrix = this.image;
        int i6 = bitMatrix.height;
        int[] iArr2 = this.crossCheckStateCount;
        iArr2[0] = 0;
        iArr2[1] = 0;
        iArr2[2] = 0;
        int i7 = i;
        while (i7 >= 0 && bitMatrix.get(i4, i7) && iArr2[1] <= i5) {
            iArr2[1] = iArr2[1] + 1;
            i7--;
        }
        float f = Float.NaN;
        if (i7 >= 0 && iArr2[1] <= i5) {
            while (i7 >= 0 && !bitMatrix.get(i4, i7) && iArr2[0] <= i5) {
                iArr2[0] = iArr2[0] + 1;
                i7--;
            }
            if (iArr2[0] <= i5) {
                int i8 = i + 1;
                while (i8 < i6 && bitMatrix.get(i4, i8) && iArr2[1] <= i5) {
                    iArr2[1] = iArr2[1] + 1;
                    i8++;
                }
                if (i8 != i6 && iArr2[1] <= i5) {
                    while (i8 < i6 && !bitMatrix.get(i4, i8) && iArr2[2] <= i5) {
                        iArr2[2] = iArr2[2] + 1;
                        i8++;
                    }
                    if (iArr2[2] <= i5 && Math.abs(((iArr2[0] + iArr2[1]) + iArr2[2]) - i3) * 5 < i3 * 2 && foundPatternCross(iArr2)) {
                        f = centerFromEnd(iArr2, i8);
                    }
                }
            }
        }
        if (Float.isNaN(f)) {
            return null;
        }
        float f2 = ((float) ((iArr[0] + iArr[1]) + iArr[2])) / 3.0f;
        for (AlignmentPattern alignmentPattern : this.possibleCenters) {
            if (Math.abs(f - alignmentPattern.y) <= f2 && Math.abs(centerFromEnd - alignmentPattern.x) <= f2) {
                float abs = Math.abs(f2 - alignmentPattern.estimatedModuleSize);
                if (abs <= 1.0f || abs <= alignmentPattern.estimatedModuleSize) {
                    z = true;
                    continue;
                    if (z) {
                        return new AlignmentPattern((alignmentPattern.x + centerFromEnd) / 2.0f, (alignmentPattern.y + f) / 2.0f, (alignmentPattern.estimatedModuleSize + f2) / 2.0f);
                    }
                }
            }
            z = false;
            continue;
            if (z) {
            }
        }
        AlignmentPattern alignmentPattern2 = new AlignmentPattern(centerFromEnd, f, f2);
        this.possibleCenters.add(alignmentPattern2);
        ViewfinderResultPointCallback viewfinderResultPointCallback = this.resultPointCallback;
        if (viewfinderResultPointCallback == null) {
            return null;
        }
        viewfinderResultPointCallback.foundPossibleResultPoint(alignmentPattern2);
        return null;
    }
}
