package com.yzq.zxinglibrary.decode;

import android.graphics.Bitmap;
import com.google.zxing.LuminanceSource;

public class BitmapLuminanceSource extends LuminanceSource {
    public byte[] bitmapPixels;

    /* JADX WARNING: Illegal instructions before constructor call */
    public BitmapLuminanceSource(Bitmap bitmap) {
        super(r6, r7);
        int width = bitmap.getWidth();
        int height = bitmap.getHeight();
        int height2 = bitmap.getHeight() * bitmap.getWidth();
        int[] iArr = new int[height2];
        this.bitmapPixels = new byte[(bitmap.getHeight() * bitmap.getWidth())];
        bitmap.getPixels(iArr, 0, width, 0, 0, width, height);
        for (int i = 0; i < height2; i++) {
            this.bitmapPixels[i] = (byte) iArr[i];
        }
    }

    @Override // com.google.zxing.LuminanceSource
    public byte[] getMatrix() {
        return this.bitmapPixels;
    }

    @Override // com.google.zxing.LuminanceSource
    public byte[] getRow(int i, byte[] bArr) {
        byte[] bArr2 = this.bitmapPixels;
        int i2 = this.width;
        System.arraycopy(bArr2, i * i2, bArr, 0, i2);
        return bArr;
    }
}
