package io.netty.buffer;

import java.lang.reflect.Array;

public abstract class SizeClasses implements SizeClassesMetric {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    private static final int INDEX_IDX = 0;
    private static final int LOG2DELTA_IDX = 2;
    private static final int LOG2GROUP_IDX = 1;
    private static final int LOG2_DELTA_LOOKUP_IDX = 6;
    private static final int LOG2_MAX_LOOKUP_SIZE = 12;
    public static final int LOG2_QUANTUM = 4;
    private static final int LOG2_SIZE_CLASS_GROUP = 2;
    private static final int NDELTA_IDX = 3;
    private static final int PAGESIZE_IDX = 4;
    private static final int SUBPAGE_IDX = 5;
    private static final byte no = 0;
    private static final byte yes = 1;
    public final int chunkSize;
    public final int directMemoryCacheAlignment;
    private int lookupMaxSize;
    public int nPSizes;
    public final int nSizes;
    public int nSubpages;
    private final int[] pageIdx2sizeTab;
    public final int pageShifts;
    public final int pageSize;
    private final int[] size2idxTab;
    private final short[][] sizeClasses;
    private final int[] sizeIdx2sizeTab;
    public int smallMaxSizeIdx;

    public SizeClasses(int i, int i2, int i3, int i4) {
        this.pageSize = i;
        this.pageShifts = i2;
        this.chunkSize = i3;
        this.directMemoryCacheAlignment = i4;
        int[] iArr = new int[2];
        iArr[1] = 7;
        iArr[0] = ((PoolThreadCache.log2(i3) + 1) - 4) << 2;
        this.sizeClasses = (short[][]) Array.newInstance(short.class, iArr);
        int sizeClasses2 = sizeClasses();
        this.nSizes = sizeClasses2;
        int[] iArr2 = new int[sizeClasses2];
        this.sizeIdx2sizeTab = iArr2;
        int[] iArr3 = new int[this.nPSizes];
        this.pageIdx2sizeTab = iArr3;
        idx2SizeTab(iArr2, iArr3);
        int[] iArr4 = new int[(this.lookupMaxSize >> 4)];
        this.size2idxTab = iArr4;
        size2idxTab(iArr4);
    }

    private int alignSize(int i) {
        int i2 = this.directMemoryCacheAlignment;
        int i3 = (i2 - 1) & i;
        return i3 == 0 ? i : (i + i2) - i3;
    }

    private void idx2SizeTab(int[] iArr, int[] iArr2) {
        int i = 0;
        for (int i2 = 0; i2 < this.nSizes; i2++) {
            short[] sArr = this.sizeClasses[i2];
            int i3 = (1 << sArr[1]) + (sArr[3] << sArr[2]);
            iArr[i2] = i3;
            if (sArr[4] == 1) {
                iArr2[i] = i3;
                i++;
            }
        }
    }

    private static int normalizeSizeCompute(int i) {
        int log2 = PoolThreadCache.log2((i << 1) - 1);
        int i2 = (1 << (log2 < 7 ? 4 : (log2 - 2) - 1)) - 1;
        return (i + i2) & (~i2);
    }

    private int pages2pageIdxCompute(int i, boolean z) {
        int i2 = i << this.pageShifts;
        if (i2 > this.chunkSize) {
            return this.nPSizes;
        }
        int log2 = PoolThreadCache.log2((i2 << 1) - 1);
        int i3 = this.pageShifts;
        int i4 = (log2 < i3 + 2 ? 0 : log2 - (i3 + 2)) << 2;
        int i5 = log2 < (i3 + 2) + 1 ? i3 : (log2 - 2) - 1;
        int i6 = i4 + ((((i2 - 1) & (-1 << i5)) >> i5) & 3);
        return (!z || this.pageIdx2sizeTab[i6] <= (i << i3)) ? i6 : i6 - 1;
    }

    private void size2idxTab(int[] iArr) {
        int i = 0;
        int i2 = 0;
        int i3 = 0;
        while (i <= this.lookupMaxSize) {
            int i4 = 1 << (this.sizeClasses[i2][2] - 4);
            while (i <= this.lookupMaxSize) {
                int i5 = i4 - 1;
                if (i4 <= 0) {
                    break;
                }
                int i6 = i3 + 1;
                iArr[i3] = i2;
                i4 = i5;
                i3 = i6;
                i = (i6 + 1) << 4;
            }
            i2++;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x0025  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0027  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x002b  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x002e  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x0031  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0038  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x003a  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x006e  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0077  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0082  */
    /* JADX WARNING: Removed duplicated region for block: B:7:0x001b  */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x001d  */
    private int sizeClass(int i, int i2, int i3, int i4) {
        short s;
        int i5;
        int i6;
        short[] sArr;
        int i7 = this.pageShifts;
        if (i3 < i7) {
            int i8 = 1 << i7;
            int i9 = ((1 << i3) * i4) + (1 << i2);
            if (i9 != (i9 / i8) * i8) {
                s = 0;
                if (i4 != 0) {
                    i5 = 0;
                } else {
                    i5 = PoolThreadCache.log2(i4);
                }
                boolean z = (1 << i5) >= i4;
                i6 = i5 + i3 != i2 ? i2 + 1 : i2;
                if (i6 == i2) {
                    z = true;
                }
                sArr = new short[]{(short) i, (short) i2, (short) i3, (short) i4, s, i6 >= this.pageShifts + 2 ? (short) 1 : 0, (short) ((i6 >= 12 || (i6 == 12 && !z)) ? i3 : 0)};
                this.sizeClasses[i] = sArr;
                int i10 = (1 << i2) + (i4 << i3);
                if (sArr[4] == 1) {
                    this.nPSizes++;
                }
                if (sArr[5] == 1) {
                    this.nSubpages++;
                    this.smallMaxSizeIdx = i;
                }
                if (sArr[6] != 0) {
                    this.lookupMaxSize = i10;
                }
                return i10;
            }
        }
        s = 1;
        if (i4 != 0) {
        }
        if ((1 << i5) >= i4) {
        }
        if (i5 + i3 != i2) {
        }
        if (i6 == i2) {
        }
        sArr = new short[]{(short) i, (short) i2, (short) i3, (short) i4, s, i6 >= this.pageShifts + 2 ? (short) 1 : 0, (short) ((i6 >= 12 || (i6 == 12 && !z)) ? i3 : 0)};
        this.sizeClasses[i] = sArr;
        int i102 = (1 << i2) + (i4 << i3);
        if (sArr[4] == 1) {
        }
        if (sArr[5] == 1) {
        }
        if (sArr[6] != 0) {
        }
        return i102;
    }

    private int sizeClasses() {
        int i = 0;
        int i2 = 0;
        int i3 = 0;
        while (i < 4) {
            int i4 = i + 1;
            int sizeClass = sizeClass(i2, 4, 4, i);
            i2++;
            i3 = sizeClass;
            i = i4;
        }
        int i5 = 6;
        int i6 = 4;
        while (i3 < this.chunkSize) {
            int i7 = 1;
            while (i7 <= 4 && i3 < this.chunkSize) {
                int i8 = i2 + 1;
                int sizeClass2 = sizeClass(i2, i5, i6, i7);
                i7++;
                i3 = sizeClass2;
                i2 = i8;
            }
            i5++;
            i6++;
        }
        return i2;
    }

    @Override // io.netty.buffer.SizeClassesMetric
    public int normalizeSize(int i) {
        if (i == 0) {
            return this.sizeIdx2sizeTab[0];
        }
        if (this.directMemoryCacheAlignment > 0) {
            i = alignSize(i);
        }
        if (i <= this.lookupMaxSize) {
            return this.sizeIdx2sizeTab[this.size2idxTab[(i - 1) >> 4]];
        }
        return normalizeSizeCompute(i);
    }

    @Override // io.netty.buffer.SizeClassesMetric
    public long pageIdx2size(int i) {
        return (long) this.pageIdx2sizeTab[i];
    }

    @Override // io.netty.buffer.SizeClassesMetric
    public long pageIdx2sizeCompute(int i) {
        int i2 = i >> 2;
        int i3 = i & 3;
        long j = i2 == 0 ? 0 : (1 << ((this.pageShifts + 2) - 1)) << i2;
        if (i2 == 0) {
            i2 = 1;
        }
        return j + ((long) ((i3 + 1) << ((i2 + this.pageShifts) - 1)));
    }

    @Override // io.netty.buffer.SizeClassesMetric
    public int pages2pageIdx(int i) {
        return pages2pageIdxCompute(i, false);
    }

    @Override // io.netty.buffer.SizeClassesMetric
    public int pages2pageIdxFloor(int i) {
        return pages2pageIdxCompute(i, true);
    }

    @Override // io.netty.buffer.SizeClassesMetric
    public int size2SizeIdx(int i) {
        int i2 = 0;
        if (i == 0) {
            return 0;
        }
        if (i > this.chunkSize) {
            return this.nSizes;
        }
        if (this.directMemoryCacheAlignment > 0) {
            i = alignSize(i);
        }
        int i3 = 4;
        if (i <= this.lookupMaxSize) {
            return this.size2idxTab[(i - 1) >> 4];
        }
        int log2 = PoolThreadCache.log2((i << 1) - 1);
        if (log2 >= 7) {
            i2 = log2 - 6;
        }
        int i4 = i2 << 2;
        if (log2 >= 7) {
            i3 = (log2 - 2) - 1;
        }
        return i4 + ((((i - 1) & (-1 << i3)) >> i3) & 3);
    }

    @Override // io.netty.buffer.SizeClassesMetric
    public int sizeIdx2size(int i) {
        return this.sizeIdx2sizeTab[i];
    }

    @Override // io.netty.buffer.SizeClassesMetric
    public int sizeIdx2sizeCompute(int i) {
        int i2 = i >> 2;
        int i3 = i & 3;
        int i4 = i2 == 0 ? 0 : 32 << i2;
        if (i2 == 0) {
            i2 = 1;
        }
        return i4 + ((i3 + 1) << ((i2 + 4) - 1));
    }
}
