package io.netty.channel;

import io.netty.util.concurrent.Future;
import io.netty.util.concurrent.GenericFutureListener;
import io.netty.util.concurrent.ProgressiveFuture;
import io.netty.util.concurrent.ProgressivePromise;

public interface ChannelProgressivePromise extends ProgressivePromise<Void>, ChannelProgressiveFuture, ChannelPromise {
    /* JADX WARN: Due to multiple override return type can be incorrect, original value: io.netty.channel.ChannelProgressivePromise */
    @Override // io.netty.channel.ChannelProgressiveFuture, io.netty.util.concurrent.Promise, io.netty.channel.ChannelPromise, io.netty.util.concurrent.ProgressivePromise, io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> addListener(GenericFutureListener<? extends Future<? super Void>> genericFutureListener);

    /* JADX WARN: Due to multiple override return type can be incorrect, original value: io.netty.channel.ChannelProgressivePromise */
    @Override // io.netty.channel.ChannelProgressiveFuture, io.netty.util.concurrent.Promise, io.netty.channel.ChannelPromise, io.netty.util.concurrent.ProgressivePromise, io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> addListeners(GenericFutureListener<? extends Future<? super Void>>... genericFutureListenerArr);

    /* JADX WARN: Due to multiple override return type can be incorrect, original value: io.netty.channel.ChannelProgressivePromise */
    @Override // io.netty.channel.ChannelProgressiveFuture, io.netty.util.concurrent.Promise, io.netty.channel.ChannelPromise, io.netty.util.concurrent.ProgressivePromise, io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> await();

    /* JADX WARN: Due to multiple override return type can be incorrect, original value: io.netty.channel.ChannelProgressivePromise */
    @Override // io.netty.channel.ChannelProgressiveFuture, io.netty.util.concurrent.Promise, io.netty.channel.ChannelPromise, io.netty.util.concurrent.ProgressivePromise, io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> awaitUninterruptibly();

    /* JADX WARN: Due to multiple override return type can be incorrect, original value: io.netty.channel.ChannelProgressivePromise */
    @Override // io.netty.channel.ChannelProgressiveFuture, io.netty.util.concurrent.Promise, io.netty.channel.ChannelPromise, io.netty.util.concurrent.ProgressivePromise, io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> removeListener(GenericFutureListener<? extends Future<? super Void>> genericFutureListener);

    /* JADX WARN: Due to multiple override return type can be incorrect, original value: io.netty.channel.ChannelProgressivePromise */
    @Override // io.netty.channel.ChannelProgressiveFuture, io.netty.util.concurrent.Promise, io.netty.channel.ChannelPromise, io.netty.util.concurrent.ProgressivePromise, io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> removeListeners(GenericFutureListener<? extends Future<? super Void>>... genericFutureListenerArr);

    /* JADX WARN: Due to multiple override return type can be incorrect, original value: io.netty.channel.ChannelProgressivePromise */
    @Override // io.netty.util.concurrent.Promise, io.netty.channel.ChannelPromise, io.netty.util.concurrent.ProgressivePromise
    ProgressivePromise<Void> setFailure(Throwable th);

    /* Return type fixed from 'io.netty.channel.ChannelProgressivePromise' to match base method */
    @Override // io.netty.util.concurrent.ProgressivePromise
    ProgressivePromise<Void> setProgress(long j, long j2);

    @Override // io.netty.channel.ChannelPromise
    ChannelProgressivePromise setSuccess();

    @Override // io.netty.channel.ChannelPromise
    ChannelProgressivePromise setSuccess(Void v);

    /* JADX WARN: Due to multiple override return type can be incorrect, original value: io.netty.channel.ChannelProgressivePromise */
    @Override // io.netty.channel.ChannelProgressiveFuture, io.netty.util.concurrent.Promise, io.netty.channel.ChannelPromise, io.netty.util.concurrent.ProgressivePromise, io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> sync();

    /* JADX WARN: Due to multiple override return type can be incorrect, original value: io.netty.channel.ChannelProgressivePromise */
    @Override // io.netty.channel.ChannelProgressiveFuture, io.netty.util.concurrent.Promise, io.netty.channel.ChannelPromise, io.netty.util.concurrent.ProgressivePromise, io.netty.util.concurrent.ProgressiveFuture, io.netty.util.concurrent.Future, io.netty.channel.ChannelFuture
    ProgressiveFuture<Void> syncUninterruptibly();

    @Override // io.netty.channel.ChannelPromise
    ChannelProgressivePromise unvoid();
}
