package io.netty.channel.socket;

import io.netty.util.NetUtil;
import java.net.Inet4Address;
import java.net.Inet6Address;
import java.net.InetAddress;

public enum InternetProtocolFamily {
    IPv4(Inet4Address.class, 1),
    IPv6(Inet6Address.class, 2);
    
    private final int addressNumber;
    private final Class<? extends InetAddress> addressType;

    /* renamed from: io.netty.channel.socket.InternetProtocolFamily$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$io$netty$channel$socket$InternetProtocolFamily;

        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0011 */
        static {
            InternetProtocolFamily.values();
            int[] iArr = new int[2];
            $SwitchMap$io$netty$channel$socket$InternetProtocolFamily = iArr;
            iArr[InternetProtocolFamily.IPv4.ordinal()] = 1;
            try {
                $SwitchMap$io$netty$channel$socket$InternetProtocolFamily[InternetProtocolFamily.IPv6.ordinal()] = 2;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    private InternetProtocolFamily(Class cls, int i) {
        this.addressType = cls;
        this.addressNumber = i;
    }

    public static InternetProtocolFamily of(InetAddress inetAddress) {
        if (inetAddress instanceof Inet4Address) {
            return IPv4;
        }
        if (inetAddress instanceof Inet6Address) {
            return IPv6;
        }
        throw new IllegalArgumentException("address " + inetAddress + " not supported");
    }

    public int addressNumber() {
        return this.addressNumber;
    }

    public Class<? extends InetAddress> addressType() {
        return this.addressType;
    }

    public InetAddress localhost() {
        int ordinal = ordinal();
        if (ordinal == 0) {
            return NetUtil.LOCALHOST4;
        }
        if (ordinal == 1) {
            return NetUtil.LOCALHOST6;
        }
        throw new IllegalStateException("Unsupported family " + this);
    }
}
