package io.netty.handler.codec.compression;

import io.netty.buffer.ByteBuf;

public final class FastLz {
    public static final byte BLOCK_TYPE_COMPRESSED = 1;
    public static final byte BLOCK_TYPE_NON_COMPRESSED = 0;
    public static final byte BLOCK_WITHOUT_CHECKSUM = 0;
    public static final byte BLOCK_WITH_CHECKSUM = 16;
    public static final int CHECKSUM_OFFSET = 4;
    private static final int HASH_LOG = 13;
    private static final int HASH_MASK = 8191;
    private static final int HASH_SIZE = 8192;
    public static final int LEVEL_1 = 1;
    public static final int LEVEL_2 = 2;
    public static final int LEVEL_AUTO = 0;
    public static final int MAGIC_NUMBER = 4607066;
    public static final int MAX_CHUNK_LENGTH = 65535;
    private static final int MAX_COPY = 32;
    private static final int MAX_DISTANCE = 8191;
    private static final int MAX_FARDISTANCE = 73725;
    private static final int MAX_LEN = 264;
    public static final int MIN_LENGTH_TO_COMPRESSION = 32;
    private static final int MIN_RECOMENDED_LENGTH_FOR_LEVEL_2 = 65536;
    public static final int OPTIONS_OFFSET = 3;

    private FastLz() {
    }

    public static int calculateOutputBufferLength(int i) {
        return Math.max((int) (((double) i) * 1.06d), 66);
    }

    /* JADX WARNING: Removed duplicated region for block: B:108:0x02b4  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x00a2  */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x017c  */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x0187  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x01a0  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x01dc  */
    /* JADX WARNING: Removed duplicated region for block: B:89:0x01e8  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x01f6  */
    public static int compress(ByteBuf byteBuf, int i, int i2, ByteBuf byteBuf2, int i3, int i4) {
        long j;
        boolean z;
        int i5;
        int i6;
        int i7;
        int i8;
        long j2;
        int i9;
        int i10;
        boolean z2;
        int i11;
        int i12;
        int i13 = 2;
        int i14 = i4 == 0 ? i2 < 65536 ? 1 : 2 : i4;
        int i15 = i2 + 0;
        int i16 = i15 - 2;
        int i17 = i15 - 12;
        int[] iArr = new int[8192];
        if (i2 >= 4) {
            for (int i18 = 0; i18 < 8192; i18++) {
                iArr[i18] = 0;
            }
            byteBuf2.setByte(i3 + 0, 31);
            byteBuf2.setByte(i3 + 1, byteBuf.getByte(i + 0));
            byteBuf2.setByte(i3 + 2, byteBuf.getByte(i + 1));
            int i19 = 2;
            int i20 = 3;
            int i21 = 2;
            while (i19 < i17) {
                if (i14 == i13) {
                    int i22 = i + i19;
                    int i23 = i22 - 1;
                    if (byteBuf.getByte(i22) == byteBuf.getByte(i23) && readU16(byteBuf, i23) == readU16(byteBuf, i22 + 1)) {
                        i6 = i19 + 3;
                        i5 = i19 + 2;
                        j = 1;
                        z = true;
                        if (z) {
                            int i24 = i + i6;
                            int hashFunction = hashFunction(byteBuf, i24);
                            int i25 = iArr[hashFunction];
                            long j3 = (long) (i19 - i25);
                            iArr[hashFunction] = i19;
                            if (j3 != 0) {
                                i7 = i14;
                                if (i7 != 1 ? j3 < 73725 : j3 < 8191) {
                                    int i26 = i25 + 1;
                                    int i27 = i6 + 1;
                                    if (byteBuf.getByte(i + i25) == byteBuf.getByte(i24)) {
                                        int i28 = i26 + 1;
                                        int i29 = i27 + 1;
                                        if (byteBuf.getByte(i + i26) == byteBuf.getByte(i + i27)) {
                                            int i30 = i28 + 1;
                                            int i31 = i29 + 1;
                                            if (byteBuf.getByte(i + i28) == byteBuf.getByte(i + i29)) {
                                                if (i7 != 2 || j3 < 8191) {
                                                    i5 = i30;
                                                    j = j3;
                                                } else {
                                                    int i32 = i31 + 1;
                                                    int i33 = i30 + 1;
                                                    if (byteBuf.getByte(i + i31) == byteBuf.getByte(i + i30)) {
                                                        byte b = byteBuf.getByte(i + i32);
                                                        i5 = i33 + 1;
                                                        if (b == byteBuf.getByte(i + i33)) {
                                                            i8 = 5;
                                                            j = j3;
                                                            int i34 = i8 + i19;
                                                            j2 = j - 1;
                                                            if (j2 == 0) {
                                                                byte b2 = byteBuf.getByte((i + i34) - 1);
                                                                while (i34 < i16) {
                                                                    int i35 = i5 + 1;
                                                                    if (byteBuf.getByte(i + i5) != b2) {
                                                                        break;
                                                                    }
                                                                    i34++;
                                                                    i5 = i35;
                                                                }
                                                            } else {
                                                                int i36 = 0;
                                                                while (true) {
                                                                    if (i36 >= 8) {
                                                                        z2 = false;
                                                                        break;
                                                                    }
                                                                    int i37 = i5 + 1;
                                                                    int i38 = i34 + 1;
                                                                    if (byteBuf.getByte(i + i5) != byteBuf.getByte(i + i34)) {
                                                                        i5 = i37;
                                                                        i34 = i38;
                                                                        z2 = true;
                                                                        break;
                                                                    }
                                                                    i36++;
                                                                    i5 = i37;
                                                                    i34 = i38;
                                                                }
                                                                if (!z2) {
                                                                    while (true) {
                                                                        if (i34 >= i16) {
                                                                            break;
                                                                        }
                                                                        int i39 = i5 + 1;
                                                                        int i40 = i34 + 1;
                                                                        if (byteBuf.getByte(i + i5) != byteBuf.getByte(i + i34)) {
                                                                            i34 = i40;
                                                                            break;
                                                                        }
                                                                        i5 = i39;
                                                                        i34 = i40;
                                                                    }
                                                                }
                                                            }
                                                            if (i21 != 0) {
                                                                byteBuf2.setByte(((i3 + i20) - i21) - 1, (byte) (i21 - 1));
                                                            } else {
                                                                i20--;
                                                            }
                                                            int i41 = i34 - 3;
                                                            int i42 = i41 - i19;
                                                            long j4 = 224;
                                                            if (i7 == 2) {
                                                                if (j2 < 8191) {
                                                                    if (i42 < 7) {
                                                                        int i43 = i20 + 1;
                                                                        byteBuf2.setByte(i3 + i20, (byte) ((int) (((long) (i42 << 5)) + (j2 >>> 8))));
                                                                        i10 = i43 + 1;
                                                                        byteBuf2.setByte(i43 + i3, (byte) ((int) (j2 & 255)));
                                                                    } else {
                                                                        int i44 = i20 + 1;
                                                                        byteBuf2.setByte(i20 + i3, (byte) ((int) ((j2 >>> 8) + 224)));
                                                                        int i45 = i42 - 7;
                                                                        while (i45 >= 255) {
                                                                            byteBuf2.setByte(i3 + i44, -1);
                                                                            i45 -= 255;
                                                                            i44++;
                                                                        }
                                                                        int i46 = i44 + 1;
                                                                        byteBuf2.setByte(i3 + i44, (byte) i45);
                                                                        byteBuf2.setByte(i46 + i3, (byte) ((int) (j2 & 255)));
                                                                        i10 = i46 + 1;
                                                                    }
                                                                } else if (i42 < 7) {
                                                                    long j5 = j2 - 8191;
                                                                    int i47 = i20 + 1;
                                                                    byteBuf2.setByte(i3 + i20, (byte) ((i42 << 5) + 31));
                                                                    int i48 = i47 + 1;
                                                                    byteBuf2.setByte(i47 + i3, -1);
                                                                    int i49 = i48 + 1;
                                                                    byteBuf2.setByte(i48 + i3, (byte) ((int) (j5 >>> 8)));
                                                                    i10 = i49 + 1;
                                                                    byteBuf2.setByte(i49 + i3, (byte) ((int) (j5 & 255)));
                                                                } else {
                                                                    long j6 = j2 - 8191;
                                                                    int i50 = i20 + 1;
                                                                    byteBuf2.setByte(i3 + i20, -1);
                                                                    int i51 = i42 - 7;
                                                                    while (i51 >= 255) {
                                                                        byteBuf2.setByte(i50 + i3, -1);
                                                                        i51 -= 255;
                                                                        i50++;
                                                                    }
                                                                    int i52 = i50 + 1;
                                                                    byteBuf2.setByte(i50 + i3, (byte) i51);
                                                                    int i53 = i52 + 1;
                                                                    byteBuf2.setByte(i3 + i52, -1);
                                                                    int i54 = i53 + 1;
                                                                    byteBuf2.setByte(i53 + i3, (byte) ((int) (j6 >>> 8)));
                                                                    i10 = i54 + 1;
                                                                    byteBuf2.setByte(i54 + i3, (byte) ((int) (j6 & 255)));
                                                                }
                                                                i9 = i17;
                                                            } else {
                                                                int i55 = 262;
                                                                if (i42 > 262) {
                                                                    while (i42 > i55) {
                                                                        int i56 = i20 + 1;
                                                                        byteBuf2.setByte(i20 + i3, (byte) ((int) ((j2 >>> 8) + j4)));
                                                                        int i57 = i56 + 1;
                                                                        byteBuf2.setByte(i3 + i56, -3);
                                                                        byteBuf2.setByte(i57 + i3, (byte) ((int) (j2 & 255)));
                                                                        i42 -= 262;
                                                                        i20 = i57 + 1;
                                                                        i17 = i17;
                                                                        i55 = 262;
                                                                        j4 = 224;
                                                                    }
                                                                }
                                                                i9 = i17;
                                                                if (i42 < 7) {
                                                                    int i58 = i20 + 1;
                                                                    byteBuf2.setByte(i3 + i20, (byte) ((int) (((long) (i42 << 5)) + (j2 >>> 8))));
                                                                    i10 = i58 + 1;
                                                                    byteBuf2.setByte(i58 + i3, (byte) ((int) (j2 & 255)));
                                                                } else {
                                                                    int i59 = i20 + 1;
                                                                    byteBuf2.setByte(i3 + i20, (byte) ((int) ((j2 >>> 8) + 224)));
                                                                    int i60 = i59 + 1;
                                                                    byteBuf2.setByte(i59 + i3, (byte) (i42 - 7));
                                                                    byteBuf2.setByte(i60 + i3, (byte) ((int) (j2 & 255)));
                                                                    i10 = i60 + 1;
                                                                }
                                                            }
                                                            int i61 = i41 + 1;
                                                            iArr[hashFunction(byteBuf, i + i41)] = i41;
                                                            i19 = i61 + 1;
                                                            iArr[hashFunction(byteBuf, i + i61)] = i61;
                                                            i20 = i10 + 1;
                                                            byteBuf2.setByte(i3 + i10, 31);
                                                            i14 = i7;
                                                            i17 = i9;
                                                            i13 = 2;
                                                            i21 = 0;
                                                        }
                                                    }
                                                    i12 = i20 + 1;
                                                    i11 = i19 + 1;
                                                    byteBuf2.setByte(i3 + i20, byteBuf.getByte(i + i19));
                                                    i21++;
                                                    if (i21 == 32) {
                                                        i20 = i12 + 1;
                                                        byteBuf2.setByte(i12 + i3, 31);
                                                        i19 = i11;
                                                        i21 = 0;
                                                        i14 = i7;
                                                        i13 = 2;
                                                    }
                                                    i20 = i12;
                                                    i19 = i11;
                                                    i14 = i7;
                                                    i13 = 2;
                                                }
                                            }
                                        }
                                    }
                                }
                            } else {
                                i7 = i14;
                            }
                            i12 = i20 + 1;
                            i11 = i19 + 1;
                            byteBuf2.setByte(i3 + i20, byteBuf.getByte(i + i19));
                            i21++;
                            if (i21 == 32) {
                                i20 = i12 + 1;
                                byteBuf2.setByte(i12 + i3, 31);
                                i19 = i11;
                                i21 = 0;
                                i14 = i7;
                                i13 = 2;
                            }
                            i20 = i12;
                            i19 = i11;
                            i14 = i7;
                            i13 = 2;
                        } else {
                            i7 = i14;
                        }
                        i8 = 3;
                        int i342 = i8 + i19;
                        j2 = j - 1;
                        if (j2 == 0) {
                        }
                        if (i21 != 0) {
                        }
                        int i412 = i342 - 3;
                        int i422 = i412 - i19;
                        long j42 = 224;
                        if (i7 == 2) {
                        }
                        int i612 = i412 + 1;
                        iArr[hashFunction(byteBuf, i + i412)] = i412;
                        i19 = i612 + 1;
                        iArr[hashFunction(byteBuf, i + i612)] = i612;
                        i20 = i10 + 1;
                        byteBuf2.setByte(i3 + i10, 31);
                        i14 = i7;
                        i17 = i9;
                        i13 = 2;
                        i21 = 0;
                    }
                }
                i6 = i19;
                j = 0;
                i5 = 0;
                z = false;
                if (z) {
                }
                i8 = 3;
                int i3422 = i8 + i19;
                j2 = j - 1;
                if (j2 == 0) {
                }
                if (i21 != 0) {
                }
                int i4122 = i3422 - 3;
                int i4222 = i4122 - i19;
                long j422 = 224;
                if (i7 == 2) {
                }
                int i6122 = i4122 + 1;
                iArr[hashFunction(byteBuf, i + i4122)] = i4122;
                i19 = i6122 + 1;
                iArr[hashFunction(byteBuf, i + i6122)] = i6122;
                i20 = i10 + 1;
                byteBuf2.setByte(i3 + i10, 31);
                i14 = i7;
                i17 = i9;
                i13 = 2;
                i21 = 0;
            }
            int i62 = i16 + 1;
            while (i19 <= i62) {
                int i63 = i20 + 1;
                int i64 = i19 + 1;
                byteBuf2.setByte(i3 + i20, byteBuf.getByte(i + i19));
                i21++;
                if (i21 == 32) {
                    i20 = i63 + 1;
                    byteBuf2.setByte(i63 + i3, 31);
                    i19 = i64;
                    i21 = 0;
                } else {
                    i20 = i63;
                    i19 = i64;
                }
            }
            if (i21 != 0) {
                byteBuf2.setByte(((i3 + i20) - i21) - 1, (byte) (i21 - 1));
            } else {
                i20--;
            }
            if (i14 == 2) {
                byteBuf2.setByte(i3, byteBuf2.getByte(i3) | 32);
            }
            return i20;
        } else if (i2 == 0) {
            return 0;
        } else {
            byteBuf2.setByte(i3 + 0, (byte) (i2 - 1));
            int i65 = i16 + 1;
            int i66 = 1;
            for (int i67 = 0; i67 <= i65; i67++) {
                byteBuf2.setByte(i66 + i3, byteBuf.getByte(i + i67));
                i66++;
            }
            return i2 + 1;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x0092  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x009e  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00e8  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x00f5  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00fa  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x0129  */
    public static int decompress(ByteBuf byteBuf, int i, int i2, ByteBuf byteBuf2, int i3, int i4) {
        int i5;
        int i6;
        boolean z;
        int i7;
        int i8;
        int i9;
        char c = 5;
        int i10 = (byteBuf.getByte(i) >> 5) + 1;
        if (i10 == 1 || i10 == 2) {
            long j = (long) (byteBuf.getByte(i + 0) & 31);
            int i11 = 0;
            int i12 = 1;
            boolean z2 = true;
            while (true) {
                long j2 = j >> c;
                long j3 = (31 & j) << 8;
                if (j >= 32) {
                    long j4 = j2 - 1;
                    long j5 = (long) i11;
                    int i13 = (int) (j5 - j3);
                    if (j4 != 6) {
                        i6 = i13;
                    } else if (i10 == 1) {
                        i6 = i13;
                        j4 += (long) byteBuf.getUnsignedByte(i + i12);
                        i12++;
                    } else {
                        i6 = i13;
                        while (true) {
                            i9 = i12 + 1;
                            short unsignedByte = byteBuf.getUnsignedByte(i + i12);
                            z = z2;
                            j4 += (long) unsignedByte;
                            if (unsignedByte != 255) {
                                break;
                            }
                            i12 = i9;
                            z2 = z;
                        }
                        i12 = i9;
                        if (i10 != 1) {
                            i8 = i12 + 1;
                            i7 = i6 - byteBuf.getUnsignedByte(i + i12);
                            i5 = i10;
                        } else {
                            i8 = i12 + 1;
                            short unsignedByte2 = byteBuf.getUnsignedByte(i + i12);
                            int i14 = i6 - unsignedByte2;
                            if (unsignedByte2 == 255 && j3 == 7936) {
                                int i15 = i8 + 1;
                                long unsignedByte3 = (long) (byteBuf.getUnsignedByte(i + i8) << 8);
                                int i16 = i15 + 1;
                                i5 = i10;
                                i7 = (int) ((j5 - (unsignedByte3 + ((long) byteBuf.getUnsignedByte(i + i15)))) - 8191);
                                i8 = i16;
                            } else {
                                i5 = i10;
                                i7 = i14;
                            }
                        }
                        if (j5 + j4 + 3 <= ((long) i4) || i7 - 1 < 0) {
                            return 0;
                        }
                        if (i8 >= i2) {
                            long unsignedByte4 = (long) byteBuf.getUnsignedByte(i + i8);
                            i8++;
                            z2 = z;
                            j = unsignedByte4;
                        } else {
                            j = j;
                            z2 = false;
                        }
                        if (i7 != i11) {
                            byte b = byteBuf2.getByte((i3 + i7) - 1);
                            int i17 = i11 + 1;
                            byteBuf2.setByte(i3 + i11, b);
                            int i18 = i17 + 1;
                            byteBuf2.setByte(i3 + i17, b);
                            int i19 = i18 + 1;
                            byteBuf2.setByte(i3 + i18, b);
                            while (j4 != 0) {
                                byteBuf2.setByte(i3 + i19, b);
                                j4--;
                                i19++;
                            }
                            i12 = i8;
                            i11 = i19;
                        } else {
                            int i20 = i7 - 1;
                            int i21 = i11 + 1;
                            int i22 = i20 + 1;
                            byteBuf2.setByte(i3 + i11, byteBuf2.getByte(i3 + i20));
                            int i23 = i21 + 1;
                            int i24 = i22 + 1;
                            byteBuf2.setByte(i3 + i21, byteBuf2.getByte(i3 + i22));
                            int i25 = i23 + 1;
                            int i26 = i24 + 1;
                            byteBuf2.setByte(i3 + i23, byteBuf2.getByte(i3 + i24));
                            while (j4 != 0) {
                                byteBuf2.setByte(i3 + i25, byteBuf2.getByte(i3 + i26));
                                j4--;
                                i25++;
                                i26++;
                            }
                            i11 = i25;
                            i12 = i8;
                        }
                    }
                    z = z2;
                    if (i10 != 1) {
                    }
                    if (j5 + j4 + 3 <= ((long) i4)) {
                        return 0;
                    }
                    if (i8 >= i2) {
                    }
                    if (i7 != i11) {
                    }
                } else {
                    i5 = i10;
                    long j6 = j + 1;
                    if (((long) i11) + j6 > ((long) i4) || ((long) i12) + j6 > ((long) i2)) {
                        return 0;
                    }
                    int i27 = i11 + 1;
                    int i28 = i3 + i11;
                    int i29 = i12 + 1;
                    byteBuf2.setByte(i28, byteBuf.getByte(i + i12));
                    j = j6 - 1;
                    while (j != 0) {
                        byteBuf2.setByte(i3 + i27, byteBuf.getByte(i + i29));
                        j--;
                        i27++;
                        i29++;
                    }
                    boolean z3 = i29 < i2;
                    if (z3) {
                        z2 = z3;
                        i12 = i29 + 1;
                        j = (long) byteBuf.getUnsignedByte(i + i29);
                    } else {
                        z2 = z3;
                        i12 = i29;
                    }
                    i11 = i27;
                }
                if (!z2) {
                    return i11;
                }
                i10 = i5;
                c = 5;
            }
        } else {
            throw new DecompressionException(String.format("invalid level: %d (expected: %d or %d)", Integer.valueOf(i10), 1, 2));
        }
    }

    private static int hashFunction(ByteBuf byteBuf, int i) {
        int readU16 = readU16(byteBuf, i);
        return ((readU16(byteBuf, i + 1) ^ (readU16 >> 3)) ^ readU16) & 8191;
    }

    private static int readU16(ByteBuf byteBuf, int i) {
        int i2 = i + 1;
        if (i2 >= byteBuf.readableBytes()) {
            return byteBuf.getUnsignedByte(i);
        }
        return byteBuf.getUnsignedByte(i) | (byteBuf.getUnsignedByte(i2) << 8);
    }
}
