package io.netty.handler.codec.compression;

import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.ByteToMessageDecoder;
import java.util.List;
import java.util.zip.Adler32;
import java.util.zip.Checksum;

public class FastLzFrameDecoder extends ByteToMessageDecoder {
    private final ByteBufChecksum checksum;
    private int chunkLength;
    private int currentChecksum;
    private State currentState;
    private boolean hasChecksum;
    private boolean isCompressed;
    private int originalLength;

    /* renamed from: io.netty.handler.codec.compression.FastLzFrameDecoder$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$io$netty$handler$codec$compression$FastLzFrameDecoder$State;

        /* JADX WARNING: Can't wrap try/catch for region: R(10:0|1|2|3|4|5|6|7|8|10) */
        /* JADX WARNING: Code restructure failed: missing block: B:11:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0011 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0027 */
        static {
            State.values();
            int[] iArr = new int[4];
            $SwitchMap$io$netty$handler$codec$compression$FastLzFrameDecoder$State = iArr;
            iArr[State.INIT_BLOCK.ordinal()] = 1;
            $SwitchMap$io$netty$handler$codec$compression$FastLzFrameDecoder$State[State.INIT_BLOCK_PARAMS.ordinal()] = 2;
            $SwitchMap$io$netty$handler$codec$compression$FastLzFrameDecoder$State[State.DECOMPRESS_DATA.ordinal()] = 3;
            $SwitchMap$io$netty$handler$codec$compression$FastLzFrameDecoder$State[State.CORRUPTED.ordinal()] = 4;
        }
    }

    public enum State {
        INIT_BLOCK,
        INIT_BLOCK_PARAMS,
        DECOMPRESS_DATA,
        CORRUPTED
    }

    public FastLzFrameDecoder() {
        this(false);
    }

    /* JADX WARNING: Removed duplicated region for block: B:44:0x008b A[Catch:{ Exception -> 0x0138 }] */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x008d A[Catch:{ Exception -> 0x0138 }] */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x012c  */
    @Override // io.netty.handler.codec.ByteToMessageDecoder
    public void decode(ChannelHandlerContext channelHandlerContext, ByteBuf byteBuf, List<Object> list) {
        int i;
        Throwable th;
        ByteBuf byteBuf2;
        try {
            int ordinal = this.currentState.ordinal();
            int i2 = 4;
            if (ordinal != 0) {
                if (ordinal != 1) {
                    if (ordinal != 2) {
                        if (ordinal == 3) {
                            byteBuf.skipBytes(byteBuf.readableBytes());
                            return;
                        }
                        throw new IllegalStateException();
                    }
                    i = this.chunkLength;
                    if (byteBuf.readableBytes() < i) {
                        int readerIndex = byteBuf.readerIndex();
                        int i3 = this.originalLength;
                        ByteBuf byteBuf3 = null;
                        try {
                            if (this.isCompressed) {
                                byteBuf2 = channelHandlerContext.alloc().buffer(i3);
                                try {
                                    int decompress = FastLz.decompress(byteBuf, readerIndex, i, byteBuf2, byteBuf2.writerIndex(), i3);
                                    if (i3 == decompress) {
                                        byteBuf2.writerIndex(byteBuf2.writerIndex() + decompress);
                                    } else {
                                        throw new DecompressionException(String.format("stream corrupted: originalLength(%d) and actual length(%d) mismatch", Integer.valueOf(i3), Integer.valueOf(decompress)));
                                    }
                                } catch (Throwable th2) {
                                    th = th2;
                                    byteBuf3 = byteBuf2;
                                    if (byteBuf3 != null) {
                                        byteBuf3.release();
                                    }
                                    throw th;
                                }
                            } else {
                                byteBuf2 = byteBuf.retainedSlice(readerIndex, i);
                            }
                            ByteBufChecksum byteBufChecksum = this.checksum;
                            if (this.hasChecksum && byteBufChecksum != null) {
                                byteBufChecksum.reset();
                                byteBufChecksum.update(byteBuf2, byteBuf2.readerIndex(), byteBuf2.readableBytes());
                                int value = (int) byteBufChecksum.getValue();
                                if (value != this.currentChecksum) {
                                    throw new DecompressionException(String.format("stream corrupted: mismatching checksum: %d (expected: %d)", Integer.valueOf(value), Integer.valueOf(this.currentChecksum)));
                                }
                            }
                            if (byteBuf2.readableBytes() > 0) {
                                list.add(byteBuf2);
                            } else {
                                byteBuf2.release();
                            }
                            byteBuf.skipBytes(i);
                            this.currentState = State.INIT_BLOCK;
                            return;
                        } catch (Throwable th3) {
                            th = th3;
                            if (byteBuf3 != null) {
                            }
                            throw th;
                        }
                    } else {
                        return;
                    }
                }
            } else if (byteBuf.readableBytes() >= 4) {
                if (byteBuf.readUnsignedMedium() == 4607066) {
                    byte readByte = byteBuf.readByte();
                    this.isCompressed = (readByte & 1) == 1;
                    this.hasChecksum = (readByte & FastLz.BLOCK_WITH_CHECKSUM) == 16;
                    this.currentState = State.INIT_BLOCK_PARAMS;
                } else {
                    throw new DecompressionException("unexpected block identifier");
                }
            } else {
                return;
            }
            int readableBytes = byteBuf.readableBytes();
            int i4 = (this.isCompressed ? 2 : 0) + 2;
            boolean z = this.hasChecksum;
            if (!z) {
                i2 = 0;
            }
            if (readableBytes >= i4 + i2) {
                this.currentChecksum = z ? byteBuf.readInt() : 0;
                int readUnsignedShort = byteBuf.readUnsignedShort();
                this.chunkLength = readUnsignedShort;
                if (this.isCompressed) {
                    readUnsignedShort = byteBuf.readUnsignedShort();
                }
                this.originalLength = readUnsignedShort;
                this.currentState = State.DECOMPRESS_DATA;
                i = this.chunkLength;
                if (byteBuf.readableBytes() < i) {
                }
            }
        } catch (Exception e) {
            this.currentState = State.CORRUPTED;
            throw e;
        }
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public FastLzFrameDecoder(boolean z) {
        this(z ? new Adler32() : null);
    }

    public FastLzFrameDecoder(Checksum checksum2) {
        ByteBufChecksum byteBufChecksum;
        this.currentState = State.INIT_BLOCK;
        if (checksum2 == null) {
            byteBufChecksum = null;
        } else {
            byteBufChecksum = ByteBufChecksum.wrapChecksum(checksum2);
        }
        this.checksum = byteBufChecksum;
    }
}
