package io.netty.handler.codec.compression;

import com.android.tools.r8.GeneratedOutlineSupport;
import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.util.internal.ObjectUtil;
import java.util.List;
import java.util.zip.CRC32;
import java.util.zip.DataFormatException;
import java.util.zip.Inflater;

public class JdkZlibDecoder extends ZlibDecoder {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    private static final int FCOMMENT = 16;
    private static final int FEXTRA = 4;
    private static final int FHCRC = 2;
    private static final int FNAME = 8;
    private static final int FRESERVED = 224;
    private final ByteBufChecksum crc;
    private boolean decideZlibOrNone;
    private final boolean decompressConcatenated;
    private final byte[] dictionary;
    private volatile boolean finished;
    private int flags;
    private GzipState gzipState;
    private Inflater inflater;
    private int xlen;

    /* renamed from: io.netty.handler.codec.compression.JdkZlibDecoder$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$io$netty$handler$codec$compression$JdkZlibDecoder$GzipState;
        public static final /* synthetic */ int[] $SwitchMap$io$netty$handler$codec$compression$ZlibWrapper;

        /* JADX WARNING: Can't wrap try/catch for region: R(25:0|(2:1|2)|3|(2:5|6)|7|9|10|11|13|14|15|16|17|18|(2:19|20)|21|23|24|25|26|27|28|29|30|32) */
        /* JADX WARNING: Can't wrap try/catch for region: R(27:0|1|2|3|(2:5|6)|7|9|10|11|13|14|15|16|17|18|19|20|21|23|24|25|26|27|28|29|30|32) */
        /* JADX WARNING: Code restructure failed: missing block: B:33:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0033 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x0049 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:25:0x0063 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:27:0x006d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:29:0x0077 */
        static {
            GzipState.values();
            int[] iArr = new int[8];
            $SwitchMap$io$netty$handler$codec$compression$JdkZlibDecoder$GzipState = iArr;
            try {
                iArr[GzipState.HEADER_START.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                $SwitchMap$io$netty$handler$codec$compression$JdkZlibDecoder$GzipState[GzipState.FLG_READ.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                $SwitchMap$io$netty$handler$codec$compression$JdkZlibDecoder$GzipState[GzipState.XLEN_READ.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            $SwitchMap$io$netty$handler$codec$compression$JdkZlibDecoder$GzipState[GzipState.SKIP_FNAME.ordinal()] = 4;
            $SwitchMap$io$netty$handler$codec$compression$JdkZlibDecoder$GzipState[GzipState.SKIP_COMMENT.ordinal()] = 5;
            $SwitchMap$io$netty$handler$codec$compression$JdkZlibDecoder$GzipState[GzipState.PROCESS_FHCRC.ordinal()] = 6;
            try {
                $SwitchMap$io$netty$handler$codec$compression$JdkZlibDecoder$GzipState[GzipState.HEADER_END.ordinal()] = 7;
            } catch (NoSuchFieldError unused4) {
            }
            ZlibWrapper.values();
            int[] iArr2 = new int[4];
            $SwitchMap$io$netty$handler$codec$compression$ZlibWrapper = iArr2;
            iArr2[ZlibWrapper.GZIP.ordinal()] = 1;
            $SwitchMap$io$netty$handler$codec$compression$ZlibWrapper[ZlibWrapper.NONE.ordinal()] = 2;
            $SwitchMap$io$netty$handler$codec$compression$ZlibWrapper[ZlibWrapper.ZLIB.ordinal()] = 3;
            $SwitchMap$io$netty$handler$codec$compression$ZlibWrapper[ZlibWrapper.ZLIB_OR_NONE.ordinal()] = 4;
        }
    }

    public enum GzipState {
        HEADER_START,
        HEADER_END,
        FLG_READ,
        XLEN_READ,
        SKIP_FNAME,
        SKIP_COMMENT,
        PROCESS_FHCRC,
        FOOTER_START
    }

    public JdkZlibDecoder() {
        this(ZlibWrapper.ZLIB, null, false, 0);
    }

    private boolean handleGzipFooter(ByteBuf byteBuf) {
        if (!readGZIPFooter(byteBuf)) {
            return false;
        }
        this.finished = !this.decompressConcatenated;
        if (this.finished) {
            return false;
        }
        this.inflater.reset();
        this.crc.reset();
        this.gzipState = GzipState.HEADER_START;
        return true;
    }

    private static boolean looksLikeZlib(short s) {
        return (s & 30720) == 30720 && s % 31 == 0;
    }

    private boolean readGZIPFooter(ByteBuf byteBuf) {
        if (byteBuf.readableBytes() < 8) {
            return false;
        }
        verifyCrc(byteBuf);
        int i = 0;
        for (int i2 = 0; i2 < 4; i2++) {
            i |= byteBuf.readUnsignedByte() << (i2 * 8);
        }
        int totalOut = this.inflater.getTotalOut();
        if (i == totalOut) {
            return true;
        }
        throw new DecompressionException(GeneratedOutlineSupport.outline13("Number of bytes mismatch. Expected: ", i, ", Got: ", totalOut));
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x0076  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x009f  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00c2 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x00c3  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x00cf A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00d0  */
    private boolean readGZIPHeader(ByteBuf byteBuf) {
        switch (this.gzipState.ordinal()) {
            case 0:
                if (byteBuf.readableBytes() < 10) {
                    return false;
                }
                byte readByte = byteBuf.readByte();
                byte readByte2 = byteBuf.readByte();
                if (readByte == 31) {
                    this.crc.update(readByte);
                    this.crc.update(readByte2);
                    short readUnsignedByte = byteBuf.readUnsignedByte();
                    if (readUnsignedByte == 8) {
                        this.crc.update(readUnsignedByte);
                        short readUnsignedByte2 = byteBuf.readUnsignedByte();
                        this.flags = readUnsignedByte2;
                        this.crc.update(readUnsignedByte2);
                        if ((this.flags & FRESERVED) == 0) {
                            this.crc.update(byteBuf, byteBuf.readerIndex(), 4);
                            byteBuf.skipBytes(4);
                            this.crc.update(byteBuf.readUnsignedByte());
                            this.crc.update(byteBuf.readUnsignedByte());
                            this.gzipState = GzipState.FLG_READ;
                            if ((this.flags & 4) != 0) {
                                if (byteBuf.readableBytes() < 2) {
                                    return false;
                                }
                                short readUnsignedByte3 = byteBuf.readUnsignedByte();
                                short readUnsignedByte4 = byteBuf.readUnsignedByte();
                                this.crc.update(readUnsignedByte3);
                                this.crc.update(readUnsignedByte4);
                                this.xlen = (readUnsignedByte3 << 8) | readUnsignedByte4 | this.xlen;
                            }
                            this.gzipState = GzipState.XLEN_READ;
                            if (this.xlen != -1) {
                                if (byteBuf.readableBytes() < this.xlen) {
                                    return false;
                                }
                                this.crc.update(byteBuf, byteBuf.readerIndex(), this.xlen);
                                byteBuf.skipBytes(this.xlen);
                            }
                            this.gzipState = GzipState.SKIP_FNAME;
                            if (skipIfNeeded(byteBuf, 8)) {
                                return false;
                            }
                            this.gzipState = GzipState.SKIP_COMMENT;
                            if (skipIfNeeded(byteBuf, 16)) {
                                return false;
                            }
                            this.gzipState = GzipState.PROCESS_FHCRC;
                            if ((this.flags & 2) == 0 && !verifyCrc16(byteBuf)) {
                                return false;
                            }
                            this.crc.reset();
                            this.gzipState = GzipState.HEADER_END;
                            return true;
                        }
                        throw new DecompressionException("Reserved flags are set in the GZIP header");
                    }
                    throw new DecompressionException(GeneratedOutlineSupport.outline12("Unsupported compression method ", readUnsignedByte, " in the GZIP header"));
                }
                throw new DecompressionException("Input is not in the GZIP format");
            case 1:
                return true;
            case 2:
                if ((this.flags & 4) != 0) {
                }
                this.gzipState = GzipState.XLEN_READ;
                if (this.xlen != -1) {
                }
                this.gzipState = GzipState.SKIP_FNAME;
                if (skipIfNeeded(byteBuf, 8)) {
                }
                break;
            case 3:
                if (this.xlen != -1) {
                }
                this.gzipState = GzipState.SKIP_FNAME;
                if (skipIfNeeded(byteBuf, 8)) {
                }
                break;
            case 4:
                if (skipIfNeeded(byteBuf, 8)) {
                }
                break;
            case 5:
                if (skipIfNeeded(byteBuf, 16)) {
                }
                break;
            case 6:
                if ((this.flags & 2) == 0) {
                    break;
                }
                this.crc.reset();
                this.gzipState = GzipState.HEADER_END;
                return true;
            default:
                throw new IllegalStateException();
        }
    }

    private boolean skipIfNeeded(ByteBuf byteBuf, int i) {
        if ((i & this.flags) == 0) {
            return true;
        }
        while (byteBuf.isReadable()) {
            short readUnsignedByte = byteBuf.readUnsignedByte();
            this.crc.update(readUnsignedByte);
            if (readUnsignedByte == 0) {
                return true;
            }
        }
        return false;
    }

    private boolean verifyCrc(ByteBuf byteBuf) {
        if (byteBuf.readableBytes() < 4) {
            return false;
        }
        long j = 0;
        for (int i = 0; i < 4; i++) {
            j |= ((long) byteBuf.readUnsignedByte()) << (i * 8);
        }
        long value = this.crc.getValue();
        if (j == value) {
            return true;
        }
        throw new DecompressionException("CRC value mismatch. Expected: " + j + ", Got: " + value);
    }

    private boolean verifyCrc16(ByteBuf byteBuf) {
        if (byteBuf.readableBytes() < 2) {
            return false;
        }
        long value = this.crc.getValue();
        long j = 0;
        long j2 = 0;
        for (int i = 0; i < 2; i++) {
            int i2 = i * 8;
            j |= ((long) byteBuf.readUnsignedByte()) << i2;
            j2 |= ((value >> i2) & 255) << i2;
        }
        if (j == j2) {
            return true;
        }
        throw new DecompressionException("CRC16 value mismatch. Expected: " + j + ", Got: " + j2);
    }

    @Override // io.netty.handler.codec.ByteToMessageDecoder
    public void decode(ChannelHandlerContext channelHandlerContext, ByteBuf byteBuf, List<Object> list) {
        GzipState gzipState2;
        if (this.finished) {
            byteBuf.skipBytes(byteBuf.readableBytes());
            return;
        }
        int readableBytes = byteBuf.readableBytes();
        if (readableBytes != 0) {
            boolean z = false;
            if (this.decideZlibOrNone) {
                if (readableBytes >= 2) {
                    this.inflater = new Inflater(!looksLikeZlib(byteBuf.getShort(byteBuf.readerIndex())));
                    this.decideZlibOrNone = false;
                } else {
                    return;
                }
            }
            if (this.crc == null || (gzipState2 = this.gzipState) == GzipState.HEADER_END || ((gzipState2 != GzipState.FOOTER_START || handleGzipFooter(byteBuf)) && readGZIPHeader(byteBuf) && (readableBytes = byteBuf.readableBytes()) != 0)) {
                if (this.inflater.needsInput()) {
                    if (byteBuf.hasArray()) {
                        this.inflater.setInput(byteBuf.array(), byteBuf.readerIndex() + byteBuf.arrayOffset(), readableBytes);
                    } else {
                        byte[] bArr = new byte[readableBytes];
                        byteBuf.getBytes(byteBuf.readerIndex(), bArr);
                        this.inflater.setInput(bArr);
                    }
                }
                ByteBuf prepareDecompressBuffer = prepareDecompressBuffer(channelHandlerContext, null, this.inflater.getRemaining() << 1);
                while (true) {
                    try {
                        if (this.inflater.needsInput()) {
                            break;
                        }
                        byte[] array = prepareDecompressBuffer.array();
                        int writerIndex = prepareDecompressBuffer.writerIndex();
                        int arrayOffset = prepareDecompressBuffer.arrayOffset() + writerIndex;
                        int inflate = this.inflater.inflate(array, arrayOffset, prepareDecompressBuffer.writableBytes());
                        if (inflate > 0) {
                            prepareDecompressBuffer.writerIndex(writerIndex + inflate);
                            ByteBufChecksum byteBufChecksum = this.crc;
                            if (byteBufChecksum != null) {
                                byteBufChecksum.update(array, arrayOffset, inflate);
                            }
                        } else if (this.inflater.needsDictionary()) {
                            byte[] bArr2 = this.dictionary;
                            if (bArr2 != null) {
                                this.inflater.setDictionary(bArr2);
                            } else {
                                throw new DecompressionException("decompression failure, unable to set dictionary as non was specified");
                            }
                        }
                        if (!this.inflater.finished()) {
                            prepareDecompressBuffer = prepareDecompressBuffer(channelHandlerContext, prepareDecompressBuffer, this.inflater.getRemaining() << 1);
                        } else if (this.crc == null) {
                            this.finished = true;
                        } else {
                            z = true;
                        }
                    } catch (DataFormatException e) {
                        throw new DecompressionException("decompression failure", e);
                    } catch (Throwable th) {
                        if (prepareDecompressBuffer.isReadable()) {
                            list.add(prepareDecompressBuffer);
                        } else {
                            prepareDecompressBuffer.release();
                        }
                        throw th;
                    }
                }
                byteBuf.skipBytes(readableBytes - this.inflater.getRemaining());
                if (z) {
                    this.gzipState = GzipState.FOOTER_START;
                    handleGzipFooter(byteBuf);
                }
                if (prepareDecompressBuffer.isReadable()) {
                    list.add(prepareDecompressBuffer);
                } else {
                    prepareDecompressBuffer.release();
                }
            }
        }
    }

    @Override // io.netty.handler.codec.compression.ZlibDecoder
    public void decompressionBufferExhausted(ByteBuf byteBuf) {
        this.finished = true;
    }

    @Override // io.netty.handler.codec.ByteToMessageDecoder
    public void handlerRemoved0(ChannelHandlerContext channelHandlerContext) {
        super.handlerRemoved0(channelHandlerContext);
        Inflater inflater2 = this.inflater;
        if (inflater2 != null) {
            inflater2.end();
        }
    }

    @Override // io.netty.handler.codec.compression.ZlibDecoder
    public boolean isClosed() {
        return this.finished;
    }

    public JdkZlibDecoder(int i) {
        this(ZlibWrapper.ZLIB, null, false, i);
    }

    public JdkZlibDecoder(byte[] bArr) {
        this(ZlibWrapper.ZLIB, bArr, false, 0);
    }

    public JdkZlibDecoder(byte[] bArr, int i) {
        this(ZlibWrapper.ZLIB, bArr, false, i);
    }

    public JdkZlibDecoder(ZlibWrapper zlibWrapper) {
        this(zlibWrapper, null, false, 0);
    }

    public JdkZlibDecoder(ZlibWrapper zlibWrapper, int i) {
        this(zlibWrapper, null, false, i);
    }

    public JdkZlibDecoder(ZlibWrapper zlibWrapper, boolean z) {
        this(zlibWrapper, null, z, 0);
    }

    public JdkZlibDecoder(ZlibWrapper zlibWrapper, boolean z, int i) {
        this(zlibWrapper, null, z, i);
    }

    public JdkZlibDecoder(boolean z) {
        this(ZlibWrapper.GZIP, null, z, 0);
    }

    public JdkZlibDecoder(boolean z, int i) {
        this(ZlibWrapper.GZIP, null, z, i);
    }

    private JdkZlibDecoder(ZlibWrapper zlibWrapper, byte[] bArr, boolean z, int i) {
        super(i);
        this.gzipState = GzipState.HEADER_START;
        this.flags = -1;
        this.xlen = -1;
        ObjectUtil.checkNotNull(zlibWrapper, "wrapper");
        this.decompressConcatenated = z;
        int ordinal = zlibWrapper.ordinal();
        if (ordinal == 0) {
            this.inflater = new Inflater();
            this.crc = null;
        } else if (ordinal == 1) {
            this.inflater = new Inflater(true);
            this.crc = ByteBufChecksum.wrapChecksum(new CRC32());
        } else if (ordinal == 2) {
            this.inflater = new Inflater(true);
            this.crc = null;
        } else if (ordinal == 3) {
            this.decideZlibOrNone = true;
            this.crc = null;
        } else {
            throw new IllegalArgumentException("Only GZIP or ZLIB is supported, but you used " + zlibWrapper);
        }
        this.dictionary = bArr;
    }
}
