package io.netty.handler.codec.compression;

import com.ning.compress.BufferRecycler;
import com.ning.compress.lzf.ChunkDecoder;
import com.ning.compress.lzf.util.ChunkDecoderFactory;
import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.ByteToMessageDecoder;
import java.util.List;

public class LzfDecoder extends ByteToMessageDecoder {
    private static final short MAGIC_NUMBER = 23126;
    private int chunkLength;
    private State currentState;
    private ChunkDecoder decoder;
    private boolean isCompressed;
    private int originalLength;
    private BufferRecycler recycler;

    /* renamed from: io.netty.handler.codec.compression.LzfDecoder$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$io$netty$handler$codec$compression$LzfDecoder$State;

        /* JADX WARNING: Can't wrap try/catch for region: R(10:0|1|2|3|4|5|6|7|8|10) */
        /* JADX WARNING: Code restructure failed: missing block: B:11:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0011 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0027 */
        static {
            State.values();
            int[] iArr = new int[4];
            $SwitchMap$io$netty$handler$codec$compression$LzfDecoder$State = iArr;
            iArr[State.INIT_BLOCK.ordinal()] = 1;
            $SwitchMap$io$netty$handler$codec$compression$LzfDecoder$State[State.INIT_ORIGINAL_LENGTH.ordinal()] = 2;
            $SwitchMap$io$netty$handler$codec$compression$LzfDecoder$State[State.DECOMPRESS_DATA.ordinal()] = 3;
            $SwitchMap$io$netty$handler$codec$compression$LzfDecoder$State[State.CORRUPTED.ordinal()] = 4;
        }
    }

    public enum State {
        INIT_BLOCK,
        INIT_ORIGINAL_LENGTH,
        DECOMPRESS_DATA,
        CORRUPTED
    }

    public LzfDecoder() {
        this(false);
    }

    /* JADX WARNING: Removed duplicated region for block: B:33:0x0092 A[Catch:{ Exception -> 0x0159 }] */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0094 A[Catch:{ Exception -> 0x0159 }] */
    @Override // io.netty.handler.codec.ByteToMessageDecoder
    public void decode(ChannelHandlerContext channelHandlerContext, ByteBuf byteBuf, List<Object> list) {
        int i;
        int i2;
        byte[] bArr;
        int i3;
        byte[] bArr2;
        try {
            int ordinal = this.currentState.ordinal();
            if (ordinal != 0) {
                if (ordinal != 1) {
                    if (ordinal != 2) {
                        if (ordinal == 3) {
                            byteBuf.skipBytes(byteBuf.readableBytes());
                            return;
                        }
                        throw new IllegalStateException();
                    }
                    i = this.chunkLength;
                    if (byteBuf.readableBytes() < i) {
                        int i4 = this.originalLength;
                        if (this.isCompressed) {
                            int readerIndex = byteBuf.readerIndex();
                            if (byteBuf.hasArray()) {
                                bArr = byteBuf.array();
                                i2 = byteBuf.arrayOffset() + readerIndex;
                            } else {
                                bArr = this.recycler.allocInputBuffer(i);
                                byteBuf.getBytes(readerIndex, bArr, 0, i);
                                i2 = 0;
                            }
                            ByteBuf heapBuffer = channelHandlerContext.alloc().heapBuffer(i4, i4);
                            if (heapBuffer.hasArray()) {
                                bArr2 = heapBuffer.array();
                                i3 = heapBuffer.arrayOffset() + heapBuffer.writerIndex();
                            } else {
                                bArr2 = new byte[i4];
                                i3 = 0;
                            }
                            try {
                                this.decoder.decodeChunk(bArr, i2, bArr2, i3, i3 + i4);
                                if (heapBuffer.hasArray()) {
                                    heapBuffer.writerIndex(heapBuffer.writerIndex() + i4);
                                } else {
                                    heapBuffer.writeBytes(bArr2);
                                }
                                list.add(heapBuffer);
                                byteBuf.skipBytes(i);
                                if (!byteBuf.hasArray()) {
                                    this.recycler.releaseInputBuffer(bArr);
                                }
                            } catch (Throwable th) {
                                heapBuffer.release();
                                throw th;
                            }
                        } else if (i > 0) {
                            list.add(byteBuf.readRetainedSlice(i));
                        }
                        this.currentState = State.INIT_BLOCK;
                        return;
                    }
                    return;
                }
            } else if (byteBuf.readableBytes() >= 5) {
                if (byteBuf.readUnsignedShort() == 23126) {
                    byte readByte = byteBuf.readByte();
                    if (readByte == 0) {
                        this.isCompressed = false;
                        this.currentState = State.DECOMPRESS_DATA;
                    } else if (readByte == 1) {
                        this.isCompressed = true;
                        this.currentState = State.INIT_ORIGINAL_LENGTH;
                    } else {
                        throw new DecompressionException(String.format("unknown type of chunk: %d (expected: %d or %d)", Integer.valueOf(readByte), 0, 1));
                    }
                    int readUnsignedShort = byteBuf.readUnsignedShort();
                    this.chunkLength = readUnsignedShort;
                    if (readUnsignedShort > 65535) {
                        throw new DecompressionException(String.format("chunk length exceeds maximum: %d (expected: =< %d)", Integer.valueOf(this.chunkLength), Integer.valueOf((int) FastLz.MAX_CHUNK_LENGTH)));
                    } else if (readByte != 1) {
                        return;
                    }
                } else {
                    throw new DecompressionException("unexpected block identifier");
                }
            } else {
                return;
            }
            if (byteBuf.readableBytes() >= 2) {
                int readUnsignedShort2 = byteBuf.readUnsignedShort();
                this.originalLength = readUnsignedShort2;
                if (readUnsignedShort2 <= 65535) {
                    this.currentState = State.DECOMPRESS_DATA;
                    i = this.chunkLength;
                    if (byteBuf.readableBytes() < i) {
                    }
                } else {
                    throw new DecompressionException(String.format("original length exceeds maximum: %d (expected: =< %d)", Integer.valueOf(this.chunkLength), Integer.valueOf((int) FastLz.MAX_CHUNK_LENGTH)));
                }
            }
        } catch (Exception e) {
            this.currentState = State.CORRUPTED;
            this.decoder = null;
            this.recycler = null;
            throw e;
        }
    }

    public LzfDecoder(boolean z) {
        ChunkDecoder chunkDecoder;
        this.currentState = State.INIT_BLOCK;
        if (z) {
            chunkDecoder = ChunkDecoderFactory.safeInstance();
        } else {
            chunkDecoder = ChunkDecoderFactory.optimalInstance();
        }
        this.decoder = chunkDecoder;
        this.recycler = BufferRecycler.instance();
    }
}
