package io.netty.util.internal;

import io.netty.util.internal.logging.InternalLogger;
import io.netty.util.internal.logging.InternalLoggerFactory;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.nio.ByteBuffer;
import java.security.AccessController;
import java.security.PrivilegedAction;
import sun.misc.Unsafe;

public final class CleanerJava9 implements Cleaner {
    private static final Method INVOKE_CLEANER;
    private static final InternalLogger logger;

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0039  */
    /* JADX WARNING: Removed duplicated region for block: B:9:0x0033  */
    static {
        Method method;
        Throwable th;
        InternalLogger instance = InternalLoggerFactory.getInstance(CleanerJava9.class);
        logger = instance;
        Throwable th2 = null;
        if (PlatformDependent0.hasUnsafe()) {
            final ByteBuffer allocateDirect = ByteBuffer.allocateDirect(1);
            Object doPrivileged = AccessController.doPrivileged(new PrivilegedAction<Object>() {
                /* class io.netty.util.internal.CleanerJava9.AnonymousClass1 */

                @Override // java.security.PrivilegedAction
                public Object run() {
                    try {
                        Unsafe unsafe = PlatformDependent0.UNSAFE;
                        Method declaredMethod = unsafe.getClass().getDeclaredMethod("invokeCleaner", ByteBuffer.class);
                        declaredMethod.invoke(unsafe, allocateDirect);
                        return declaredMethod;
                    } catch (NoSuchMethodException e) {
                        return e;
                    } catch (InvocationTargetException e2) {
                        return e2;
                    } catch (IllegalAccessException e3) {
                        return e3;
                    }
                }
            });
            if (doPrivileged instanceof Throwable) {
                th = (Throwable) doPrivileged;
            } else {
                method = (Method) doPrivileged;
                if (th2 != null) {
                    instance.debug("java.nio.ByteBuffer.cleaner(): available");
                } else {
                    instance.debug("java.nio.ByteBuffer.cleaner(): unavailable", th2);
                }
                INVOKE_CLEANER = method;
            }
        } else {
            th = new UnsupportedOperationException("sun.misc.Unsafe unavailable");
        }
        th2 = th;
        method = null;
        if (th2 != null) {
        }
        INVOKE_CLEANER = method;
    }

    private static void freeDirectBufferPrivileged(final ByteBuffer byteBuffer) {
        Exception exc = (Exception) AccessController.doPrivileged(new PrivilegedAction<Exception>() {
            /* class io.netty.util.internal.CleanerJava9.AnonymousClass2 */

            @Override // java.security.PrivilegedAction
            public Exception run() {
                try {
                    CleanerJava9.INVOKE_CLEANER.invoke(PlatformDependent0.UNSAFE, byteBuffer);
                    return null;
                } catch (InvocationTargetException e) {
                    return e;
                } catch (IllegalAccessException e2) {
                    return e2;
                }
            }
        });
        if (exc != null) {
            PlatformDependent0.throwException(exc);
        }
    }

    public static boolean isSupported() {
        return INVOKE_CLEANER != null;
    }

    @Override // io.netty.util.internal.Cleaner
    public void freeDirectBuffer(ByteBuffer byteBuffer) {
        if (System.getSecurityManager() == null) {
            try {
                INVOKE_CLEANER.invoke(PlatformDependent0.UNSAFE, byteBuffer);
            } catch (Throwable th) {
                PlatformDependent0.throwException(th);
            }
        } else {
            freeDirectBufferPrivileged(byteBuffer);
        }
    }
}
