package io.netty.util.internal.logging;

import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import io.netty.util.internal.ObjectUtil;
import io.netty.util.internal.StringUtil;
import java.io.Serializable;

public abstract class AbstractInternalLogger implements InternalLogger, Serializable {
    public static final String EXCEPTION_MESSAGE = "Unexpected exception:";
    private static final long serialVersionUID = -6382972526573193470L;
    private final String name;

    /* renamed from: io.netty.util.internal.logging.AbstractInternalLogger$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$io$netty$util$internal$logging$InternalLogLevel;

        /* JADX WARNING: Can't wrap try/catch for region: R(12:0|1|2|3|4|5|6|7|8|9|10|12) */
        /* JADX WARNING: Code restructure failed: missing block: B:13:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0011 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0027 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0032 */
        static {
            InternalLogLevel.values();
            int[] iArr = new int[5];
            $SwitchMap$io$netty$util$internal$logging$InternalLogLevel = iArr;
            iArr[InternalLogLevel.TRACE.ordinal()] = 1;
            $SwitchMap$io$netty$util$internal$logging$InternalLogLevel[InternalLogLevel.DEBUG.ordinal()] = 2;
            $SwitchMap$io$netty$util$internal$logging$InternalLogLevel[InternalLogLevel.INFO.ordinal()] = 3;
            $SwitchMap$io$netty$util$internal$logging$InternalLogLevel[InternalLogLevel.WARN.ordinal()] = 4;
            $SwitchMap$io$netty$util$internal$logging$InternalLogLevel[InternalLogLevel.ERROR.ordinal()] = 5;
        }
    }

    public AbstractInternalLogger(String str) {
        this.name = (String) ObjectUtil.checkNotNull(str, VpnProfileDataSource.KEY_NAME);
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void debug(Throwable th) {
        debug(EXCEPTION_MESSAGE, th);
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void error(Throwable th) {
        error(EXCEPTION_MESSAGE, th);
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void info(Throwable th) {
        info(EXCEPTION_MESSAGE, th);
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public boolean isEnabled(InternalLogLevel internalLogLevel) {
        int ordinal = internalLogLevel.ordinal();
        if (ordinal == 0) {
            return isTraceEnabled();
        }
        if (ordinal == 1) {
            return isDebugEnabled();
        }
        if (ordinal == 2) {
            return isInfoEnabled();
        }
        if (ordinal == 3) {
            return isWarnEnabled();
        }
        if (ordinal == 4) {
            return isErrorEnabled();
        }
        throw new Error();
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void log(InternalLogLevel internalLogLevel, String str, Throwable th) {
        int ordinal = internalLogLevel.ordinal();
        if (ordinal == 0) {
            trace(str, th);
        } else if (ordinal == 1) {
            debug(str, th);
        } else if (ordinal == 2) {
            info(str, th);
        } else if (ordinal == 3) {
            warn(str, th);
        } else if (ordinal == 4) {
            error(str, th);
        } else {
            throw new Error();
        }
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public String name() {
        return this.name;
    }

    public Object readResolve() {
        return InternalLoggerFactory.getInstance(name());
    }

    public String toString() {
        return StringUtil.simpleClassName(this) + '(' + name() + ')';
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void trace(Throwable th) {
        trace(EXCEPTION_MESSAGE, th);
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void warn(Throwable th) {
        warn(EXCEPTION_MESSAGE, th);
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void log(InternalLogLevel internalLogLevel, Throwable th) {
        int ordinal = internalLogLevel.ordinal();
        if (ordinal == 0) {
            trace(th);
        } else if (ordinal == 1) {
            debug(th);
        } else if (ordinal == 2) {
            info(th);
        } else if (ordinal == 3) {
            warn(th);
        } else if (ordinal == 4) {
            error(th);
        } else {
            throw new Error();
        }
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void log(InternalLogLevel internalLogLevel, String str) {
        int ordinal = internalLogLevel.ordinal();
        if (ordinal == 0) {
            trace(str);
        } else if (ordinal == 1) {
            debug(str);
        } else if (ordinal == 2) {
            info(str);
        } else if (ordinal == 3) {
            warn(str);
        } else if (ordinal == 4) {
            error(str);
        } else {
            throw new Error();
        }
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void log(InternalLogLevel internalLogLevel, String str, Object obj) {
        int ordinal = internalLogLevel.ordinal();
        if (ordinal == 0) {
            trace(str, obj);
        } else if (ordinal == 1) {
            debug(str, obj);
        } else if (ordinal == 2) {
            info(str, obj);
        } else if (ordinal == 3) {
            warn(str, obj);
        } else if (ordinal == 4) {
            error(str, obj);
        } else {
            throw new Error();
        }
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void log(InternalLogLevel internalLogLevel, String str, Object obj, Object obj2) {
        int ordinal = internalLogLevel.ordinal();
        if (ordinal == 0) {
            trace(str, obj, obj2);
        } else if (ordinal == 1) {
            debug(str, obj, obj2);
        } else if (ordinal == 2) {
            info(str, obj, obj2);
        } else if (ordinal == 3) {
            warn(str, obj, obj2);
        } else if (ordinal == 4) {
            error(str, obj, obj2);
        } else {
            throw new Error();
        }
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void log(InternalLogLevel internalLogLevel, String str, Object... objArr) {
        int ordinal = internalLogLevel.ordinal();
        if (ordinal == 0) {
            trace(str, objArr);
        } else if (ordinal == 1) {
            debug(str, objArr);
        } else if (ordinal == 2) {
            info(str, objArr);
        } else if (ordinal == 3) {
            warn(str, objArr);
        } else if (ordinal == 4) {
            error(str, objArr);
        } else {
            throw new Error();
        }
    }
}
