package kotlin.io;

import androidx.transition.ViewGroupUtilsApi14;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileOutputStream;
import java.io.Reader;
import java.io.StringWriter;
import java.nio.charset.Charset;
import kotlin.Unit;
import kotlin.io.FileTreeWalk;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.sequences.ConstrainedOnceSequence;
import kotlin.sequences.Sequence;
import kotlin.text.Charsets;

/* compiled from: FileReadWrite.kt */
public abstract class FilesKt__FileReadWriteKt {
    public static final boolean deleteRecursively(File file) {
        Intrinsics.checkNotNullParameter(file, "$this$deleteRecursively");
        Intrinsics.checkNotNullParameter(file, "$this$walkBottomUp");
        FileWalkDirection fileWalkDirection = FileWalkDirection.BOTTOM_UP;
        Intrinsics.checkNotNullParameter(file, "$this$walk");
        Intrinsics.checkNotNullParameter(fileWalkDirection, "direction");
        FileTreeWalk.FileTreeWalkIterator fileTreeWalkIterator = new FileTreeWalk.FileTreeWalkIterator();
        while (true) {
            boolean z = true;
            while (true) {
                if (!fileTreeWalkIterator.hasNext()) {
                    return z;
                }
                File file2 = (File) fileTreeWalkIterator.next();
                if (file2.delete() || !file2.exists()) {
                    if (z) {
                    }
                }
                z = false;
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0029, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x002a, code lost:
        androidx.transition.ViewGroupUtilsApi14.closeFinally(r3, r4);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x002d, code lost:
        throw r0;
     */
    public static final void forEachLine(Reader reader, Function1<? super String, Unit> function1) {
        Intrinsics.checkNotNullParameter(reader, "$this$forEachLine");
        Intrinsics.checkNotNullParameter(function1, "action");
        BufferedReader bufferedReader = (BufferedReader) reader;
        for (String str : lineSequence(bufferedReader)) {
            function1.invoke(str);
        }
        ViewGroupUtilsApi14.closeFinally(bufferedReader, null);
    }

    public static final Sequence<String> lineSequence(BufferedReader bufferedReader) {
        Intrinsics.checkNotNullParameter(bufferedReader, "$this$lineSequence");
        LinesSequence linesSequence = new LinesSequence(bufferedReader);
        Intrinsics.checkNotNullParameter(linesSequence, "$this$constrainOnce");
        return linesSequence instanceof ConstrainedOnceSequence ? linesSequence : new ConstrainedOnceSequence(linesSequence);
    }

    public static final String readText(Reader reader) {
        Intrinsics.checkNotNullParameter(reader, "$this$readText");
        StringWriter stringWriter = new StringWriter();
        Intrinsics.checkNotNullParameter(reader, "$this$copyTo");
        Intrinsics.checkNotNullParameter(stringWriter, "out");
        char[] cArr = new char[8192];
        int read = reader.read(cArr);
        while (read >= 0) {
            stringWriter.write(cArr, 0, read);
            read = reader.read(cArr);
        }
        String stringWriter2 = stringWriter.toString();
        Intrinsics.checkNotNullExpressionValue(stringWriter2, "buffer.toString()");
        return stringWriter2;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:12:0x0039, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x003a, code lost:
        androidx.transition.ViewGroupUtilsApi14.closeFinally(r3, r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x003d, code lost:
        throw r2;
     */
    public static void writeText$default(File file, String str, Charset charset, int i) {
        Charset charset2 = (i & 2) != 0 ? Charsets.UTF_8 : null;
        Intrinsics.checkNotNullParameter(file, "$this$writeText");
        Intrinsics.checkNotNullParameter(str, "text");
        Intrinsics.checkNotNullParameter(charset2, "charset");
        byte[] bytes = str.getBytes(charset2);
        Intrinsics.checkNotNullExpressionValue(bytes, "(this as java.lang.String).getBytes(charset)");
        Intrinsics.checkNotNullParameter(file, "$this$writeBytes");
        Intrinsics.checkNotNullParameter(bytes, "array");
        FileOutputStream fileOutputStream = new FileOutputStream(file);
        fileOutputStream.write(bytes);
        ViewGroupUtilsApi14.closeFinally(fileOutputStream, null);
    }
}
