package kotlinx.coroutines;

import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.transition.ViewGroupUtilsApi14;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.intrinsics.CoroutineSingletons;
import kotlin.jvm.functions.Function2;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Ref$ObjectRef;
import kotlin.jvm.internal.TypeIntrinsics;
import kotlinx.coroutines.internal.StackTraceRecoveryKt;

/* compiled from: Builders.kt */
public abstract /* synthetic */ class BuildersKt__BuildersKt {
    public static final <U, T extends U> Object setupTimeout(TimeoutCoroutine<U, ? super T> timeoutCoroutine, Function2<? super CoroutineScope, ? super Continuation<? super T>, ? extends Object> function2) {
        Object obj;
        Object makeCompletingOnce$kotlinx_coroutines_core;
        DisposableHandle invokeOnTimeout = ViewGroupUtilsApi14.getDelay(timeoutCoroutine.uCont.getContext()).invokeOnTimeout(timeoutCoroutine.time, timeoutCoroutine);
        Intrinsics.checkParameterIsNotNull(timeoutCoroutine, "$this$disposeOnCompletion");
        Intrinsics.checkParameterIsNotNull(invokeOnTimeout, "handle");
        timeoutCoroutine.invokeOnCompletion(new DisposeOnCompletion(timeoutCoroutine, invokeOnTimeout));
        Intrinsics.checkParameterIsNotNull(timeoutCoroutine, "$this$startUndispatchedOrReturnIgnoreTimeout");
        Intrinsics.checkParameterIsNotNull(function2, "block");
        timeoutCoroutine.initParentJob$kotlinx_coroutines_core();
        boolean z = false;
        try {
            TypeIntrinsics.beforeCheckcastToFunctionOfArity(function2, 2);
            obj = function2.invoke(timeoutCoroutine, timeoutCoroutine);
        } catch (Throwable th) {
            obj = new CompletedExceptionally(th, false, 2);
        }
        CoroutineSingletons coroutineSingletons = CoroutineSingletons.COROUTINE_SUSPENDED;
        if (obj == coroutineSingletons || (makeCompletingOnce$kotlinx_coroutines_core = timeoutCoroutine.makeCompletingOnce$kotlinx_coroutines_core(obj)) == JobSupportKt.COMPLETING_WAITING_CHILDREN) {
            return coroutineSingletons;
        }
        if (!(makeCompletingOnce$kotlinx_coroutines_core instanceof CompletedExceptionally)) {
            return JobSupportKt.unboxState(makeCompletingOnce$kotlinx_coroutines_core);
        }
        Throwable th2 = ((CompletedExceptionally) makeCompletingOnce$kotlinx_coroutines_core).cause;
        if (!(th2 instanceof TimeoutCancellationException) || ((TimeoutCancellationException) th2).coroutine != timeoutCoroutine) {
            z = true;
        }
        if (z) {
            throw StackTraceRecoveryKt.recoverStackTrace(th2, timeoutCoroutine.uCont);
        } else if (!(obj instanceof CompletedExceptionally)) {
            return obj;
        } else {
            throw StackTraceRecoveryKt.recoverStackTrace(((CompletedExceptionally) obj).cause, timeoutCoroutine.uCont);
        }
    }

    public static final <T> Object withTimeout(long j, Function2<? super CoroutineScope, ? super Continuation<? super T>, ? extends Object> function2, Continuation<? super T> continuation) {
        if (j > 0) {
            Object obj = setupTimeout(new TimeoutCoroutine(j, continuation), function2);
            if (obj == CoroutineSingletons.COROUTINE_SUSPENDED) {
                Intrinsics.checkNotNullParameter(continuation, "frame");
            }
            return obj;
        }
        throw new TimeoutCancellationException("Timed out immediately");
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x003a  */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0022  */
    public static final <T> Object withTimeoutOrNull(long j, Function2<? super CoroutineScope, ? super Continuation<? super T>, ? extends Object> function2, Continuation<? super T> continuation) {
        TimeoutKt$withTimeoutOrNull$1 timeoutKt$withTimeoutOrNull$1;
        int i;
        TimeoutCancellationException e;
        Ref$ObjectRef ref$ObjectRef;
        if (continuation instanceof TimeoutKt$withTimeoutOrNull$1) {
            timeoutKt$withTimeoutOrNull$1 = (TimeoutKt$withTimeoutOrNull$1) continuation;
            int i2 = timeoutKt$withTimeoutOrNull$1.label;
            if ((i2 & LinearLayoutManager.INVALID_OFFSET) != 0) {
                timeoutKt$withTimeoutOrNull$1.label = i2 - LinearLayoutManager.INVALID_OFFSET;
                Object obj = timeoutKt$withTimeoutOrNull$1.result;
                CoroutineSingletons coroutineSingletons = CoroutineSingletons.COROUTINE_SUSPENDED;
                i = timeoutKt$withTimeoutOrNull$1.label;
                if (i != 0) {
                    ViewGroupUtilsApi14.throwOnFailure(obj);
                    if (j <= 0) {
                        return null;
                    }
                    Ref$ObjectRef ref$ObjectRef2 = new Ref$ObjectRef();
                    ref$ObjectRef2.element = null;
                    try {
                        timeoutKt$withTimeoutOrNull$1.J$0 = j;
                        timeoutKt$withTimeoutOrNull$1.L$0 = function2;
                        timeoutKt$withTimeoutOrNull$1.L$1 = ref$ObjectRef2;
                        timeoutKt$withTimeoutOrNull$1.label = 1;
                        T t = (T) new TimeoutCoroutine(j, timeoutKt$withTimeoutOrNull$1);
                        ref$ObjectRef2.element = t;
                        Object obj2 = setupTimeout(t, function2);
                        if (obj2 == coroutineSingletons) {
                            Intrinsics.checkNotNullParameter(timeoutKt$withTimeoutOrNull$1, "frame");
                        }
                        return obj2 == coroutineSingletons ? coroutineSingletons : obj2;
                    } catch (TimeoutCancellationException e2) {
                        e = e2;
                        ref$ObjectRef = ref$ObjectRef2;
                        if (e.coroutine == ref$ObjectRef.element) {
                            return null;
                        }
                        throw e;
                    }
                } else if (i == 1) {
                    ref$ObjectRef = (Ref$ObjectRef) timeoutKt$withTimeoutOrNull$1.L$1;
                    Function2 function22 = (Function2) timeoutKt$withTimeoutOrNull$1.L$0;
                    try {
                        ViewGroupUtilsApi14.throwOnFailure(obj);
                        return obj;
                    } catch (TimeoutCancellationException e3) {
                        e = e3;
                    }
                } else {
                    throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                }
            }
        }
        timeoutKt$withTimeoutOrNull$1 = new TimeoutKt$withTimeoutOrNull$1(continuation);
        Object obj3 = timeoutKt$withTimeoutOrNull$1.result;
        CoroutineSingletons coroutineSingletons2 = CoroutineSingletons.COROUTINE_SUSPENDED;
        i = timeoutKt$withTimeoutOrNull$1.label;
        if (i != 0) {
        }
    }
}
