package kotlinx.coroutines;

import com.android.tools.r8.GeneratedOutlineSupport;
import java.util.Objects;
import kotlin.Unit;
import kotlin.coroutines.Continuation;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.internal.Symbol;

/* compiled from: JobSupport.kt */
public final class ChildContinuation extends JobCancellingNode<Job> {
    public final CancellableContinuationImpl<?> child;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public ChildContinuation(Job job, CancellableContinuationImpl<?> cancellableContinuationImpl) {
        super(job);
        Intrinsics.checkParameterIsNotNull(job, "parent");
        Intrinsics.checkParameterIsNotNull(cancellableContinuationImpl, "child");
        this.child = cancellableContinuationImpl;
    }

    @Override // kotlin.jvm.functions.Function1
    public /* bridge */ /* synthetic */ Object invoke(Object obj) {
        invoke((Throwable) obj);
        return Unit.INSTANCE;
    }

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("ChildContinuation[");
        outline25.append(this.child);
        outline25.append(']');
        return outline25.toString();
    }

    @Override // kotlinx.coroutines.JobNode
    public void invoke(Throwable th) {
        CancellableContinuationImpl<?> cancellableContinuationImpl = this.child;
        Throwable continuationCancellationCause = cancellableContinuationImpl.getContinuationCancellationCause(this.job);
        Objects.requireNonNull(cancellableContinuationImpl);
        Intrinsics.checkParameterIsNotNull(continuationCancellationCause, "cause");
        boolean z = false;
        if (cancellableContinuationImpl.resumeMode == 0) {
            Continuation<T> continuation = cancellableContinuationImpl.delegate;
            if (!(continuation instanceof DispatchedContinuation)) {
                continuation = null;
            }
            DispatchedContinuation dispatchedContinuation = (DispatchedContinuation) continuation;
            if (dispatchedContinuation != null) {
                Intrinsics.checkParameterIsNotNull(continuationCancellationCause, "cause");
                while (true) {
                    Object obj = dispatchedContinuation._reusableCancellableContinuation;
                    Symbol symbol = DispatchedContinuationKt.REUSABLE_CLAIMED;
                    if (Intrinsics.areEqual(obj, symbol)) {
                        if (DispatchedContinuation._reusableCancellableContinuation$FU.compareAndSet(dispatchedContinuation, symbol, continuationCancellationCause)) {
                            break;
                        }
                    } else if (obj instanceof Throwable) {
                        break;
                    } else if (DispatchedContinuation._reusableCancellableContinuation$FU.compareAndSet(dispatchedContinuation, obj, null)) {
                        break;
                    }
                }
                z = true;
            }
        }
        if (!z) {
            cancellableContinuationImpl.cancel(continuationCancellationCause);
            cancellableContinuationImpl.detachChildIfNonResuable();
        }
    }
}
