package kotlinx.coroutines;

import com.android.tools.r8.GeneratedOutlineSupport;
import java.util.Objects;
import kotlin.Unit;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: JobSupport.kt */
public final class ChildHandleNode extends JobCancellingNode<JobSupport> implements ChildHandle {
    public final ChildJob childJob;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public ChildHandleNode(JobSupport jobSupport, ChildJob childJob2) {
        super(jobSupport);
        Intrinsics.checkParameterIsNotNull(jobSupport, "parent");
        Intrinsics.checkParameterIsNotNull(childJob2, "childJob");
        this.childJob = childJob2;
    }

    @Override // kotlinx.coroutines.ChildHandle
    public boolean childCancelled(Throwable th) {
        Intrinsics.checkParameterIsNotNull(th, "cause");
        return ((JobSupport) this.job).childCancelled(th);
    }

    @Override // kotlin.jvm.functions.Function1
    public /* bridge */ /* synthetic */ Object invoke(Object obj) {
        invoke((Throwable) obj);
        return Unit.INSTANCE;
    }

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("ChildHandle[");
        outline25.append(this.childJob);
        outline25.append(']');
        return outline25.toString();
    }

    @Override // kotlinx.coroutines.JobNode
    public void invoke(Throwable th) {
        ChildJob childJob2 = this.childJob;
        ParentJob parentJob = (ParentJob) this.job;
        JobSupport jobSupport = (JobSupport) childJob2;
        Objects.requireNonNull(jobSupport);
        Intrinsics.checkParameterIsNotNull(parentJob, "parentJob");
        jobSupport.cancelImpl$kotlinx_coroutines_core(parentJob);
    }
}
