package kotlinx.coroutines;

import androidx.transition.ViewGroupUtilsApi14;
import kotlin.NoWhenBranchMatchedException;
import kotlin.Result;
import kotlin.Unit;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.CoroutineContext;
import kotlin.coroutines.intrinsics.CoroutineSingletons;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.functions.Function2;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.TypeIntrinsics;
import kotlinx.coroutines.internal.SystemPropsKt;
import kotlinx.coroutines.internal.ThreadContextKt;

/* compiled from: CoroutineStart.kt */
public enum CoroutineStart {
    DEFAULT,
    LAZY,
    ATOMIC,
    UNDISPATCHED;

    public static /* synthetic */ void isLazy$annotations() {
    }

    /* JADX INFO: finally extract failed */
    public final <T> void invoke(Function1<? super Continuation<? super T>, ? extends Object> function1, Continuation<? super T> continuation) {
        Intrinsics.checkParameterIsNotNull(function1, "block");
        Intrinsics.checkParameterIsNotNull(continuation, "completion");
        int ordinal = ordinal();
        if (ordinal == 0) {
            Intrinsics.checkParameterIsNotNull(function1, "$this$startCoroutineCancellable");
            Intrinsics.checkParameterIsNotNull(continuation, "completion");
            try {
                DispatchedContinuationKt.resumeCancellableWith(ViewGroupUtilsApi14.intercepted(ViewGroupUtilsApi14.createCoroutineUnintercepted(function1, continuation)), Result.m133constructorimpl(Unit.INSTANCE));
            } catch (Throwable th) {
                continuation.resumeWith(Result.m133constructorimpl(ViewGroupUtilsApi14.createFailure(th)));
            }
        } else if (ordinal == 1) {
        } else {
            if (ordinal == 2) {
                Intrinsics.checkNotNullParameter(function1, "$this$startCoroutine");
                Intrinsics.checkNotNullParameter(continuation, "completion");
                ViewGroupUtilsApi14.intercepted(ViewGroupUtilsApi14.createCoroutineUnintercepted(function1, continuation)).resumeWith(Result.m133constructorimpl(Unit.INSTANCE));
            } else if (ordinal == 3) {
                Intrinsics.checkParameterIsNotNull(function1, "$this$startCoroutineUndispatched");
                Intrinsics.checkParameterIsNotNull(continuation, "completion");
                Intrinsics.checkNotNullParameter(continuation, "completion");
                try {
                    CoroutineContext context = continuation.getContext();
                    Object updateThreadContext = ThreadContextKt.updateThreadContext(context, null);
                    try {
                        TypeIntrinsics.beforeCheckcastToFunctionOfArity(function1, 1);
                        Object invoke = function1.invoke(continuation);
                        ThreadContextKt.restoreThreadContext(context, updateThreadContext);
                        if (invoke != CoroutineSingletons.COROUTINE_SUSPENDED) {
                            continuation.resumeWith(Result.m133constructorimpl(invoke));
                        }
                    } catch (Throwable th2) {
                        ThreadContextKt.restoreThreadContext(context, updateThreadContext);
                        throw th2;
                    }
                } catch (Throwable th3) {
                    continuation.resumeWith(Result.m133constructorimpl(ViewGroupUtilsApi14.createFailure(th3)));
                }
            } else {
                throw new NoWhenBranchMatchedException();
            }
        }
    }

    public final boolean isLazy() {
        return this == LAZY;
    }

    /* JADX INFO: finally extract failed */
    public final <R, T> void invoke(Function2<? super R, ? super Continuation<? super T>, ? extends Object> function2, R r, Continuation<? super T> continuation) {
        Intrinsics.checkParameterIsNotNull(function2, "block");
        Intrinsics.checkParameterIsNotNull(continuation, "completion");
        int ordinal = ordinal();
        if (ordinal == 0) {
            SystemPropsKt.startCoroutineCancellable(function2, r, continuation);
        } else if (ordinal == 1) {
        } else {
            if (ordinal == 2) {
                Intrinsics.checkNotNullParameter(function2, "$this$startCoroutine");
                Intrinsics.checkNotNullParameter(continuation, "completion");
                ViewGroupUtilsApi14.intercepted(ViewGroupUtilsApi14.createCoroutineUnintercepted(function2, r, continuation)).resumeWith(Result.m133constructorimpl(Unit.INSTANCE));
            } else if (ordinal == 3) {
                Intrinsics.checkParameterIsNotNull(function2, "$this$startCoroutineUndispatched");
                Intrinsics.checkParameterIsNotNull(continuation, "completion");
                Intrinsics.checkNotNullParameter(continuation, "completion");
                try {
                    CoroutineContext context = continuation.getContext();
                    Object updateThreadContext = ThreadContextKt.updateThreadContext(context, null);
                    try {
                        TypeIntrinsics.beforeCheckcastToFunctionOfArity(function2, 2);
                        Object invoke = function2.invoke(r, continuation);
                        ThreadContextKt.restoreThreadContext(context, updateThreadContext);
                        if (invoke != CoroutineSingletons.COROUTINE_SUSPENDED) {
                            continuation.resumeWith(Result.m133constructorimpl(invoke));
                        }
                    } catch (Throwable th) {
                        ThreadContextKt.restoreThreadContext(context, updateThreadContext);
                        throw th;
                    }
                } catch (Throwable th2) {
                    continuation.resumeWith(Result.m133constructorimpl(ViewGroupUtilsApi14.createFailure(th2)));
                }
            } else {
                throw new NoWhenBranchMatchedException();
            }
        }
    }
}
