package kotlinx.coroutines;

import com.android.tools.r8.GeneratedOutlineSupport;
import kotlin.Unit;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: JobSupport.kt */
public final class DisposeOnCompletion extends JobNode<Job> {
    public final DisposableHandle handle;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public DisposeOnCompletion(Job job, DisposableHandle disposableHandle) {
        super(job);
        Intrinsics.checkParameterIsNotNull(job, "job");
        Intrinsics.checkParameterIsNotNull(disposableHandle, "handle");
        this.handle = disposableHandle;
    }

    @Override // kotlin.jvm.functions.Function1
    public Object invoke(Object obj) {
        Throwable th = (Throwable) obj;
        this.handle.dispose();
        return Unit.INSTANCE;
    }

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("DisposeOnCompletion[");
        outline25.append(this.handle);
        outline25.append(']');
        return outline25.toString();
    }

    @Override // kotlinx.coroutines.JobNode
    public void invoke(Throwable th) {
        this.handle.dispose();
    }
}
