package kotlinx.coroutines;

import kotlin.coroutines.Continuation;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.internal.ScopeCoroutine;

/* compiled from: Timeout.kt */
public final class TimeoutCoroutine<U, T extends U> extends ScopeCoroutine<T> implements Runnable {
    public final long time;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public TimeoutCoroutine(long j, Continuation<? super U> continuation) {
        super(continuation.getContext(), continuation);
        Intrinsics.checkParameterIsNotNull(continuation, "uCont");
        this.time = j;
    }

    @Override // kotlinx.coroutines.JobSupport, kotlinx.coroutines.AbstractCoroutine
    public String nameString$kotlinx_coroutines_core() {
        return super.nameString$kotlinx_coroutines_core() + "(timeMillis=" + this.time + ')';
    }

    public void run() {
        long j = this.time;
        Intrinsics.checkParameterIsNotNull(this, "coroutine");
        cancelImpl$kotlinx_coroutines_core(new TimeoutCancellationException("Timed out waiting for " + j + " ms", this));
    }
}
