package kotlinx.coroutines.internal;

import androidx.transition.ViewGroupUtilsApi14;
import java.lang.reflect.Field;
import java.lang.reflect.Modifier;
import java.util.WeakHashMap;
import java.util.concurrent.locks.ReentrantReadWriteLock;
import kotlin.Result;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;

/* compiled from: ExceptionsConstuctor.kt */
public abstract class ExceptionsConstuctorKt {
    public static final ReentrantReadWriteLock cacheLock = new ReentrantReadWriteLock();
    public static final WeakHashMap<Class<? extends Throwable>, Function1<Throwable, Throwable>> exceptionCtors = new WeakHashMap<>();
    public static final int throwableFields = fieldsCountOrDefault(Throwable.class, -1);

    public static final int fieldsCountOrDefault(Class<?> cls, int i) {
        Integer num;
        Intrinsics.checkNotNullParameter(cls, "$this$kotlin");
        Reflection.getOrCreateKotlinClass(cls);
        int i2 = 0;
        while (true) {
            try {
                Field[] declaredFields = cls.getDeclaredFields();
                Intrinsics.checkExpressionValueIsNotNull(declaredFields, "declaredFields");
                int i3 = 0;
                for (Field field : declaredFields) {
                    Intrinsics.checkExpressionValueIsNotNull(field, "it");
                    if (!Modifier.isStatic(field.getModifiers())) {
                        i3++;
                    }
                }
                i2 += i3;
                cls = cls.getSuperclass();
                if (cls == null) {
                    break;
                }
            } catch (Throwable th) {
                num = Result.m133constructorimpl(ViewGroupUtilsApi14.createFailure(th));
            }
        }
        num = Result.m133constructorimpl(Integer.valueOf(i2));
        Integer valueOf = Integer.valueOf(i);
        if (Result.m138isFailureimpl(num)) {
            num = valueOf;
        }
        return ((Number) num).intValue();
    }

    /*  JADX ERROR: StackOverflowError in pass: MarkFinallyVisitor
        java.lang.StackOverflowError
        	at jadx.core.dex.instructions.InvokeNode.isSame(InvokeNode.java:77)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.sameInsns(MarkFinallyVisitor.java:451)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.compareBlocks(MarkFinallyVisitor.java:436)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.checkBlocksTree(MarkFinallyVisitor.java:408)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.checkBlocksTree(MarkFinallyVisitor.java:411)
        */
    public static final <E extends java.lang.Throwable> E tryCopyException(E r9) {
        /*
        // Method dump skipped, instructions count: 416
        */
        throw new UnsupportedOperationException("Method not decompiled: kotlinx.coroutines.internal.ExceptionsConstuctorKt.tryCopyException(java.lang.Throwable):java.lang.Throwable");
    }
}
