package kotlinx.coroutines.internal;

import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import java.util.ArrayDeque;
import java.util.Iterator;
import kotlin.Pair;
import kotlin.Result;
import kotlin.TypeCastException;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.jvm.internal.CoroutineStackFrame;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt__IndentKt;
import kotlinx.coroutines.DebugKt;
import net.xfkefu.sdk.retrofit.Retrofit2;

/* compiled from: StackTraceRecovery.kt */
public final class StackTraceRecoveryKt {
    public static final String baseContinuationImplClassName;
    public static final String stackTraceRecoveryClassName;

    /* JADX DEBUG: Multi-variable search result rejected for r1v6, resolved type: java.lang.Object */
    /* JADX DEBUG: Multi-variable search result rejected for r1v9, resolved type: java.lang.Object */
    /* JADX DEBUG: Multi-variable search result rejected for r2v5, resolved type: java.lang.Object */
    /* JADX DEBUG: Multi-variable search result rejected for r2v8, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    static {
        String str;
        String str2;
        String str3 = "kotlinx.coroutines.internal.StackTraceRecoveryKt";
        String str4 = "kotlin.coroutines.jvm.internal.BaseContinuationImpl";
        try {
            Class<?> cls = Class.forName(str4);
            Intrinsics.checkExpressionValueIsNotNull(cls, "Class.forName(baseContinuationImplClass)");
            str = Result.m133constructorimpl(cls.getCanonicalName());
        } catch (Throwable th) {
            str = Result.m133constructorimpl(ViewGroupUtilsApi14.createFailure(th));
        }
        if (Result.m136exceptionOrNullimpl(str) == null) {
            str4 = str;
        }
        baseContinuationImplClassName = str4;
        try {
            Class<?> cls2 = Class.forName(str3);
            Intrinsics.checkExpressionValueIsNotNull(cls2, "Class.forName(stackTraceRecoveryClass)");
            str2 = Result.m133constructorimpl(cls2.getCanonicalName());
        } catch (Throwable th2) {
            str2 = Result.m133constructorimpl(ViewGroupUtilsApi14.createFailure(th2));
        }
        if (Result.m136exceptionOrNullimpl(str2) == null) {
            str3 = str2;
        }
        stackTraceRecoveryClassName = str3;
    }

    public static final StackTraceElement artificialFrame(String str) {
        Intrinsics.checkParameterIsNotNull(str, "message");
        return new StackTraceElement(GeneratedOutlineSupport.outline18("\b\b\b(", str), "\b", "\b", -1);
    }

    public static final int frameIndex(StackTraceElement[] stackTraceElementArr, String str) {
        int length = stackTraceElementArr.length;
        for (int i = 0; i < length; i++) {
            if (Intrinsics.areEqual(str, stackTraceElementArr[i].getClassName())) {
                return i;
            }
        }
        return -1;
    }

    public static final boolean isArtificial(StackTraceElement stackTraceElement) {
        Intrinsics.checkParameterIsNotNull(stackTraceElement, "$this$isArtificial");
        String className = stackTraceElement.getClassName();
        Intrinsics.checkExpressionValueIsNotNull(className, "className");
        return StringsKt__IndentKt.startsWith$default(className, "\b\b\b", false, 2);
    }

    public static final <E extends Throwable> E recoverFromStackFrame(E e, CoroutineStackFrame coroutineStackFrame) {
        Pair pair;
        E e2;
        Pair pair2;
        boolean z;
        Throwable cause = e.getCause();
        int i = 0;
        if (cause == null || !Intrinsics.areEqual(cause.getClass(), e.getClass())) {
            pair2 = new Pair(e, new StackTraceElement[0]);
        } else {
            StackTraceElement[] stackTrace = e.getStackTrace();
            Intrinsics.checkExpressionValueIsNotNull(stackTrace, "currentTrace");
            int length = stackTrace.length;
            int i2 = 0;
            while (true) {
                if (i2 >= length) {
                    z = false;
                    break;
                }
                StackTraceElement stackTraceElement = stackTrace[i2];
                Intrinsics.checkExpressionValueIsNotNull(stackTraceElement, "it");
                if (isArtificial(stackTraceElement)) {
                    z = true;
                    break;
                }
                i2++;
            }
            if (z) {
                pair = new Pair(cause, stackTrace);
                Throwable th = (Throwable) pair.component1();
                StackTraceElement[] stackTraceElementArr = (StackTraceElement[]) pair.component2();
                e2 = (E) ExceptionsConstuctorKt.tryCopyException(th);
                if (e2 != null || (!Intrinsics.areEqual(e2.getMessage(), th.getMessage()))) {
                    return e;
                }
                ArrayDeque arrayDeque = new ArrayDeque();
                StackTraceElement stackTraceElement2 = coroutineStackFrame.getStackTraceElement();
                if (stackTraceElement2 != null) {
                    arrayDeque.add(stackTraceElement2);
                }
                while (true) {
                    coroutineStackFrame = coroutineStackFrame.getCallerFrame();
                    if (coroutineStackFrame == null) {
                        break;
                    }
                    StackTraceElement stackTraceElement3 = coroutineStackFrame.getStackTraceElement();
                    if (stackTraceElement3 != null) {
                        arrayDeque.add(stackTraceElement3);
                    }
                }
                if (arrayDeque.isEmpty()) {
                    return e;
                }
                if (th != e) {
                    int length2 = stackTraceElementArr.length;
                    int i3 = 0;
                    while (true) {
                        if (i3 >= length2) {
                            i3 = -1;
                            break;
                        } else if (isArtificial(stackTraceElementArr[i3])) {
                            break;
                        } else {
                            i3++;
                        }
                    }
                    int i4 = i3 + 1;
                    int length3 = stackTraceElementArr.length - 1;
                    if (length3 >= i4) {
                        while (true) {
                            StackTraceElement stackTraceElement4 = stackTraceElementArr[length3];
                            Object last = arrayDeque.getLast();
                            Intrinsics.checkExpressionValueIsNotNull(last, "result.last");
                            StackTraceElement stackTraceElement5 = (StackTraceElement) last;
                            if (stackTraceElement4.getLineNumber() == stackTraceElement5.getLineNumber() && Intrinsics.areEqual(stackTraceElement4.getMethodName(), stackTraceElement5.getMethodName()) && Intrinsics.areEqual(stackTraceElement4.getFileName(), stackTraceElement5.getFileName()) && Intrinsics.areEqual(stackTraceElement4.getClassName(), stackTraceElement5.getClassName())) {
                                arrayDeque.removeLast();
                            }
                            arrayDeque.addFirst(stackTraceElementArr[length3]);
                            if (length3 == i4) {
                                break;
                            }
                            length3--;
                        }
                    }
                }
                arrayDeque.addFirst(artificialFrame("Coroutine boundary"));
                StackTraceElement[] stackTrace2 = th.getStackTrace();
                Intrinsics.checkExpressionValueIsNotNull(stackTrace2, "causeTrace");
                String str = baseContinuationImplClassName;
                Intrinsics.checkExpressionValueIsNotNull(str, "baseContinuationImplClassName");
                int frameIndex = frameIndex(stackTrace2, str);
                if (frameIndex == -1) {
                    Object[] array = arrayDeque.toArray(new StackTraceElement[0]);
                    if (array != null) {
                        e2.setStackTrace((StackTraceElement[]) array);
                    } else {
                        throw new TypeCastException("null cannot be cast to non-null type kotlin.Array<T>");
                    }
                } else {
                    StackTraceElement[] stackTraceElementArr2 = new StackTraceElement[(arrayDeque.size() + frameIndex)];
                    for (int i5 = 0; i5 < frameIndex; i5++) {
                        stackTraceElementArr2[i5] = stackTrace2[i5];
                    }
                    Iterator it = arrayDeque.iterator();
                    while (it.hasNext()) {
                        stackTraceElementArr2[frameIndex + i] = (StackTraceElement) it.next();
                        i++;
                    }
                    e2.setStackTrace(stackTraceElementArr2);
                }
                return e2;
            }
            pair2 = new Pair(e, new StackTraceElement[0]);
        }
        pair = pair2;
        Throwable th2 = (Throwable) pair.component1();
        StackTraceElement[] stackTraceElementArr3 = (StackTraceElement[]) pair.component2();
        e2 = (E) ExceptionsConstuctorKt.tryCopyException(th2);
        if (e2 != null) {
            return e;
        }
        return e;
    }

    public static final <E extends Throwable> E recoverStackTrace(E e) {
        E e2;
        StackTraceElement stackTraceElement;
        Intrinsics.checkParameterIsNotNull(e, Retrofit2.RESP_CODE_EXCEPTION);
        if (!DebugKt.RECOVER_STACK_TRACES || (e2 = (E) ExceptionsConstuctorKt.tryCopyException(e)) == null) {
            return e;
        }
        StackTraceElement[] stackTrace = e2.getStackTrace();
        int length = stackTrace.length;
        Intrinsics.checkExpressionValueIsNotNull(stackTrace, "stackTrace");
        String str = stackTraceRecoveryClassName;
        Intrinsics.checkExpressionValueIsNotNull(str, "stackTraceRecoveryClassName");
        int frameIndex = frameIndex(stackTrace, str);
        int i = frameIndex + 1;
        String str2 = baseContinuationImplClassName;
        Intrinsics.checkExpressionValueIsNotNull(str2, "baseContinuationImplClassName");
        int frameIndex2 = frameIndex(stackTrace, str2);
        int i2 = (length - frameIndex) - (frameIndex2 == -1 ? 0 : length - frameIndex2);
        StackTraceElement[] stackTraceElementArr = new StackTraceElement[i2];
        for (int i3 = 0; i3 < i2; i3++) {
            if (i3 == 0) {
                stackTraceElement = artificialFrame("Coroutine boundary");
            } else {
                stackTraceElement = stackTrace[(i + i3) - 1];
            }
            stackTraceElementArr[i3] = stackTraceElement;
        }
        e2.setStackTrace(stackTraceElementArr);
        return e2;
    }

    public static final <E extends Throwable> E unwrap(E e) {
        E e2;
        Intrinsics.checkParameterIsNotNull(e, Retrofit2.RESP_CODE_EXCEPTION);
        if (DebugKt.RECOVER_STACK_TRACES && (e2 = (E) e.getCause()) != null) {
            boolean z = true;
            if (!(!Intrinsics.areEqual(e2.getClass(), e.getClass()))) {
                StackTraceElement[] stackTrace = e.getStackTrace();
                Intrinsics.checkExpressionValueIsNotNull(stackTrace, "exception.stackTrace");
                int length = stackTrace.length;
                int i = 0;
                while (true) {
                    if (i >= length) {
                        z = false;
                        break;
                    }
                    StackTraceElement stackTraceElement = stackTrace[i];
                    Intrinsics.checkExpressionValueIsNotNull(stackTraceElement, "it");
                    if (isArtificial(stackTraceElement)) {
                        break;
                    }
                    i++;
                }
                if (z) {
                    return e2;
                }
            }
        }
        return e;
    }

    public static final <E extends Throwable> E recoverStackTrace(E e, Continuation<?> continuation) {
        Intrinsics.checkParameterIsNotNull(e, Retrofit2.RESP_CODE_EXCEPTION);
        Intrinsics.checkParameterIsNotNull(continuation, "continuation");
        return (!DebugKt.RECOVER_STACK_TRACES || !(continuation instanceof CoroutineStackFrame)) ? e : (E) recoverFromStackFrame(e, (CoroutineStackFrame) continuation);
    }
}
