package kotlinx.coroutines.scheduling;

import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: Tasks.kt */
public final class TaskImpl extends Task {
    public final Runnable block;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public TaskImpl(Runnable runnable, long j, TaskContext taskContext) {
        super(j, taskContext);
        Intrinsics.checkParameterIsNotNull(runnable, "block");
        Intrinsics.checkParameterIsNotNull(taskContext, "taskContext");
        this.block = runnable;
    }

    public void run() {
        try {
            this.block.run();
        } finally {
            this.taskContext.afterTask();
        }
    }

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("Task[");
        outline25.append(ViewGroupUtilsApi14.getClassSimpleName(this.block));
        outline25.append('@');
        outline25.append(ViewGroupUtilsApi14.getHexAddress(this.block));
        outline25.append(", ");
        outline25.append(this.submissionTime);
        outline25.append(", ");
        outline25.append(this.taskContext);
        outline25.append(']');
        return outline25.toString();
    }
}
