package net.xfkefu.sdk.viewholder;

import android.content.Intent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import androidx.fragment.app.FragmentActivity;
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
import java.util.List;
import net.xfkefu.sdk.R;
import net.xfkefu.sdk.a.XfStoreMerchant;
import net.xfkefu.sdk.a.Z;
import net.xfkefu.sdk.adapter.QuestionListViewAdapter;
import net.xfkefu.sdk.entity.ChatMessage;
import net.xfkefu.sdk.entity.QuestionAnswer;
import net.xfkefu.sdk.model.QuestionModel;
import net.xfkefu.sdk.retrofit.ApiCallback;
import net.xfkefu.sdk.ui.WebViewActivity;

public class QuestionViewHolder extends MessageItemViewHolder {
    private final ListView lvQuestion;
    private final TextView tvTitle;

    public QuestionViewHolder(View view) {
        super(view);
        this.tvTitle = (TextView) view.findViewById(R.id.tv_title);
        this.lvQuestion = (ListView) view.findViewById(R.id.lv_question);
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0035  */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x003d  */
    @Override // net.xfkefu.sdk.viewholder.MessageItemViewHolder
    public void onBindViewHolder(final FragmentActivity fragmentActivity, ChatMessage chatMessage, final boolean z) {
        String str;
        long j;
        final QuestionListViewAdapter questionListViewAdapter = new QuestionListViewAdapter(fragmentActivity);
        this.lvQuestion.setAdapter((ListAdapter) questionListViewAdapter);
        this.lvQuestion.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            /* class net.xfkefu.sdk.viewholder.QuestionViewHolder.AnonymousClass1 */

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                QuestionAnswer item = questionListViewAdapter.getItem(i);
                if (item.hasChild) {
                    Intent intent = new Intent(Z.QUESTION_ACTION);
                    intent.putExtra("questionId", item.id);
                    intent.putExtra("questionName", item.question);
                    LocalBroadcastManager.getInstance(fragmentActivity).sendBroadcast(intent);
                    return;
                }
                int i2 = item.answerType;
                if (i2 == 2) {
                    FragmentActivity fragmentActivity = fragmentActivity;
                    fragmentActivity.startActivity(WebViewActivity.getIntent(fragmentActivity, item.link));
                } else if (i2 == 3) {
                    Intent intent2 = new Intent(Z.ANSWER_ACTION);
                    intent2.putExtra("answer", item.answer);
                    LocalBroadcastManager.getInstance(fragmentActivity).sendBroadcast(intent2);
                }
            }
        });
        QuestionModel questionModel = new QuestionModel();
        try {
            String[] split = chatMessage.content.split(":;:;:;");
            j = Long.parseLong(split[0]);
            try {
                str = split[1];
            } catch (ArrayIndexOutOfBoundsException | NumberFormatException unused) {
            }
        } catch (ArrayIndexOutOfBoundsException | NumberFormatException unused2) {
            j = 0;
            str = null;
            if (j != 0) {
            }
            questionModel.getQuestion(Z.MERCHANT_ID, XfStoreMerchant.getLong(XfStoreMerchant.KEFU_TYPE, 0), j, new ApiCallback<List<QuestionAnswer>>() {
                /* class net.xfkefu.sdk.viewholder.QuestionViewHolder.AnonymousClass2 */

                @Override // net.xfkefu.sdk.retrofit.ApiCallback
                public void onFailed(String str, String str2) {
                }

                public void onSuccess(final List<QuestionAnswer> list) {
                    fragmentActivity.runOnUiThread(new Runnable() {
                        /* class net.xfkefu.sdk.viewholder.QuestionViewHolder.AnonymousClass2.AnonymousClass1 */

                        public void run() {
                            questionListViewAdapter.setData(list);
                            QuestionViewHolder questionViewHolder = QuestionViewHolder.this;
                            questionViewHolder.setListViewHeight(questionViewHolder.lvQuestion);
                            if (z) {
                                LocalBroadcastManager.getInstance(fragmentActivity).sendBroadcast(new Intent(Z.QUESTION_NOTIFY_ACTION));
                            }
                        }
                    });
                }
            });
        }
        if (j != 0) {
            this.tvTitle.setText("咨询问题（热门问题）");
        } else {
            this.tvTitle.setText(str);
        }
        questionModel.getQuestion(Z.MERCHANT_ID, XfStoreMerchant.getLong(XfStoreMerchant.KEFU_TYPE, 0), j, new ApiCallback<List<QuestionAnswer>>() {
            /* class net.xfkefu.sdk.viewholder.QuestionViewHolder.AnonymousClass2 */

            @Override // net.xfkefu.sdk.retrofit.ApiCallback
            public void onFailed(String str, String str2) {
            }

            public void onSuccess(final List<QuestionAnswer> list) {
                fragmentActivity.runOnUiThread(new Runnable() {
                    /* class net.xfkefu.sdk.viewholder.QuestionViewHolder.AnonymousClass2.AnonymousClass1 */

                    public void run() {
                        questionListViewAdapter.setData(list);
                        QuestionViewHolder questionViewHolder = QuestionViewHolder.this;
                        questionViewHolder.setListViewHeight(questionViewHolder.lvQuestion);
                        if (z) {
                            LocalBroadcastManager.getInstance(fragmentActivity).sendBroadcast(new Intent(Z.QUESTION_NOTIFY_ACTION));
                        }
                    }
                });
            }
        });
    }

    public void setListViewHeight(ListView listView) {
        ListAdapter adapter = listView.getAdapter();
        if (adapter != null) {
            int i = 0;
            for (int i2 = 0; i2 < adapter.getCount(); i2++) {
                View view = adapter.getView(i2, null, listView);
                view.measure(0, 0);
                i += view.getMeasuredHeight();
            }
            ViewGroup.LayoutParams layoutParams = listView.getLayoutParams();
            layoutParams.height = ((adapter.getCount() - 1) * listView.getDividerHeight()) + i;
            listView.setLayoutParams(layoutParams);
        }
    }
}
