package okhttp3;

import io.netty.util.internal.StringUtil;
import java.util.concurrent.TimeUnit;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt__IndentKt;
import okhttp3.internal.Util;

/* compiled from: CacheControl.kt */
public final class CacheControl {
    public static final Companion Companion = new Companion(null);
    public String headerValue;
    public final boolean immutable;
    public final boolean isPrivate;
    public final boolean isPublic;
    public final int maxAgeSeconds;
    public final int maxStaleSeconds;
    public final int minFreshSeconds;
    public final boolean mustRevalidate;
    public final boolean noCache;
    public final boolean noStore;
    public final boolean noTransform;
    public final boolean onlyIfCached;
    public final int sMaxAgeSeconds;

    /* compiled from: CacheControl.kt */
    public final class Companion {
        public Companion(DefaultConstructorMarker defaultConstructorMarker) {
        }

        public final int indexOfElement(String str, String str2, int i) {
            int length = str.length();
            while (i < length) {
                if (StringsKt__IndentKt.contains$default((CharSequence) str2, str.charAt(i), false, 2)) {
                    return i;
                }
                i++;
            }
            return str.length();
        }

        /* JADX WARNING: Removed duplicated region for block: B:12:0x004a  */
        /* JADX WARNING: Removed duplicated region for block: B:36:0x00ee  */
        /* JADX WARNING: Removed duplicated region for block: B:37:0x00f2  */
        public final CacheControl parse(Headers headers) {
            int i;
            int i2;
            String str;
            int i3;
            String str2;
            int i4;
            Headers headers2 = headers;
            Intrinsics.checkNotNullParameter(headers2, "headers");
            int size = headers.size();
            boolean z = true;
            int i5 = 0;
            boolean z2 = true;
            String str3 = null;
            boolean z3 = false;
            boolean z4 = false;
            int i6 = -1;
            int i7 = -1;
            boolean z5 = false;
            boolean z6 = false;
            boolean z7 = false;
            int i8 = -1;
            int i9 = -1;
            boolean z8 = false;
            boolean z9 = false;
            boolean z10 = false;
            while (i5 < size) {
                String name = headers2.name(i5);
                String value = headers2.value(i5);
                if (StringsKt__IndentKt.equals(name, "Cache-Control", z)) {
                    if (str3 == null) {
                        str3 = value;
                        i2 = 0;
                        while (i2 < value.length()) {
                            int indexOfElement = indexOfElement(value, "=,;", i2);
                            String substring = value.substring(i2, indexOfElement);
                            Intrinsics.checkNotNullExpressionValue(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                            String obj = StringsKt__IndentKt.trim(substring).toString();
                            if (indexOfElement != value.length()) {
                                i3 = size;
                                if (!(value.charAt(indexOfElement) == ',' || value.charAt(indexOfElement) == ';')) {
                                    int i10 = indexOfElement + 1;
                                    byte[] bArr = Util.EMPTY_BYTE_ARRAY;
                                    Intrinsics.checkNotNullParameter(value, "$this$indexOfNonWhitespace");
                                    int length = value.length();
                                    while (true) {
                                        if (i10 < length) {
                                            char charAt = value.charAt(i10);
                                            if (charAt != ' ' && charAt != '\t') {
                                                break;
                                            }
                                            i10++;
                                            length = length;
                                        } else {
                                            i10 = value.length();
                                            break;
                                        }
                                    }
                                    if (i10 >= value.length() || value.charAt(i10) != '\"') {
                                        str = str3;
                                        i4 = indexOfElement(value, ",;", i10);
                                        String substring2 = value.substring(i10, i4);
                                        Intrinsics.checkNotNullExpressionValue(substring2, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                                        str2 = StringsKt__IndentKt.trim(substring2).toString();
                                    } else {
                                        int i11 = i10 + 1;
                                        str = str3;
                                        int indexOf$default = StringsKt__IndentKt.indexOf$default((CharSequence) value, (char) StringUtil.DOUBLE_QUOTE, i11, false, 4);
                                        str2 = value.substring(i11, indexOf$default);
                                        Intrinsics.checkNotNullExpressionValue(str2, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                                        i4 = indexOf$default + 1;
                                    }
                                    z = true;
                                    if (!StringsKt__IndentKt.equals("no-cache", obj, true)) {
                                        z3 = true;
                                    } else if (StringsKt__IndentKt.equals("no-store", obj, true)) {
                                        z4 = true;
                                    } else if (StringsKt__IndentKt.equals("max-age", obj, true)) {
                                        i6 = Util.toNonNegativeInt(str2, -1);
                                    } else if (StringsKt__IndentKt.equals("s-maxage", obj, true)) {
                                        i7 = Util.toNonNegativeInt(str2, -1);
                                    } else if (StringsKt__IndentKt.equals("private", obj, true)) {
                                        z5 = true;
                                    } else if (StringsKt__IndentKt.equals("public", obj, true)) {
                                        z6 = true;
                                    } else if (StringsKt__IndentKt.equals("must-revalidate", obj, true)) {
                                        z7 = true;
                                    } else if (StringsKt__IndentKt.equals("max-stale", obj, true)) {
                                        i8 = Util.toNonNegativeInt(str2, Integer.MAX_VALUE);
                                    } else if (StringsKt__IndentKt.equals("min-fresh", obj, true)) {
                                        i9 = Util.toNonNegativeInt(str2, -1);
                                    } else if (StringsKt__IndentKt.equals("only-if-cached", obj, true)) {
                                        z8 = true;
                                    } else if (StringsKt__IndentKt.equals("no-transform", obj, true)) {
                                        z9 = true;
                                    } else if (StringsKt__IndentKt.equals("immutable", obj, true)) {
                                        z10 = true;
                                    }
                                    i2 = i4;
                                    size = i3;
                                    str3 = str;
                                }
                            } else {
                                i3 = size;
                            }
                            str = str3;
                            i4 = indexOfElement + 1;
                            str2 = null;
                            z = true;
                            if (!StringsKt__IndentKt.equals("no-cache", obj, true)) {
                            }
                            i2 = i4;
                            size = i3;
                            str3 = str;
                        }
                        i = size;
                        i5++;
                        headers2 = headers;
                        size = i;
                    }
                } else if (!StringsKt__IndentKt.equals(name, "Pragma", z)) {
                    i = size;
                    i5++;
                    headers2 = headers;
                    size = i;
                }
                z2 = false;
                i2 = 0;
                while (i2 < value.length()) {
                }
                i = size;
                i5++;
                headers2 = headers;
                size = i;
            }
            return new CacheControl(z3, z4, i6, i7, z5, z6, z7, i8, i9, z8, z9, z10, !z2 ? null : str3, null);
        }
    }

    static {
        TimeUnit timeUnit = TimeUnit.SECONDS;
        Intrinsics.checkNotNullParameter(timeUnit, "timeUnit");
        timeUnit.toSeconds((long) Integer.MAX_VALUE);
    }

    public CacheControl(boolean z, boolean z2, int i, int i2, boolean z3, boolean z4, boolean z5, int i3, int i4, boolean z6, boolean z7, boolean z8, String str, DefaultConstructorMarker defaultConstructorMarker) {
        this.noCache = z;
        this.noStore = z2;
        this.maxAgeSeconds = i;
        this.sMaxAgeSeconds = i2;
        this.isPrivate = z3;
        this.isPublic = z4;
        this.mustRevalidate = z5;
        this.maxStaleSeconds = i3;
        this.minFreshSeconds = i4;
        this.onlyIfCached = z6;
        this.noTransform = z7;
        this.immutable = z8;
        this.headerValue = str;
    }

    public String toString() {
        String str = this.headerValue;
        if (str != null) {
            return str;
        }
        StringBuilder sb = new StringBuilder();
        if (this.noCache) {
            sb.append("no-cache, ");
        }
        if (this.noStore) {
            sb.append("no-store, ");
        }
        if (this.maxAgeSeconds != -1) {
            sb.append("max-age=");
            sb.append(this.maxAgeSeconds);
            sb.append(", ");
        }
        if (this.sMaxAgeSeconds != -1) {
            sb.append("s-maxage=");
            sb.append(this.sMaxAgeSeconds);
            sb.append(", ");
        }
        if (this.isPrivate) {
            sb.append("private, ");
        }
        if (this.isPublic) {
            sb.append("public, ");
        }
        if (this.mustRevalidate) {
            sb.append("must-revalidate, ");
        }
        if (this.maxStaleSeconds != -1) {
            sb.append("max-stale=");
            sb.append(this.maxStaleSeconds);
            sb.append(", ");
        }
        if (this.minFreshSeconds != -1) {
            sb.append("min-fresh=");
            sb.append(this.minFreshSeconds);
            sb.append(", ");
        }
        if (this.onlyIfCached) {
            sb.append("only-if-cached, ");
        }
        if (this.noTransform) {
            sb.append("no-transform, ");
        }
        if (this.immutable) {
            sb.append("immutable, ");
        }
        if (sb.length() == 0) {
            return "";
        }
        sb.delete(sb.length() - 2, sb.length());
        String sb2 = sb.toString();
        Intrinsics.checkNotNullExpressionValue(sb2, "StringBuilder().apply(builderAction).toString()");
        this.headerValue = sb2;
        return sb2;
    }
}
