package okhttp3;

import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import java.io.InterruptedIOException;
import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Deque;
import java.util.Iterator;
import java.util.Objects;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.SynchronousQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import kotlin.jvm.internal.Intrinsics;
import okhttp3.internal.Util;
import okhttp3.internal.Util$threadFactory$1;
import okhttp3.internal.connection.RealCall;

/* compiled from: Dispatcher.kt */
public final class Dispatcher {
    public ExecutorService executorServiceOrNull;
    public final ArrayDeque<RealCall.AsyncCall> readyAsyncCalls = new ArrayDeque<>();
    public final ArrayDeque<RealCall.AsyncCall> runningAsyncCalls = new ArrayDeque<>();
    public final ArrayDeque<RealCall> runningSyncCalls = new ArrayDeque<>();

    public final <T> void finished(Deque<T> deque, T t) {
        synchronized (this) {
            if (!deque.remove(t)) {
                throw new AssertionError("Call wasn't in-flight!");
            }
        }
        promoteAndExecute();
    }

    public final void finished$okhttp(RealCall.AsyncCall asyncCall) {
        Intrinsics.checkNotNullParameter(asyncCall, "call");
        asyncCall.callsPerHost.decrementAndGet();
        finished(this.runningAsyncCalls, asyncCall);
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x0067  */
    public final boolean promoteAndExecute() {
        int size;
        int size2;
        int i;
        ExecutorService executorService;
        byte[] bArr = Util.EMPTY_BYTE_ARRAY;
        ArrayList arrayList = new ArrayList();
        synchronized (this) {
            Iterator<RealCall.AsyncCall> it = this.readyAsyncCalls.iterator();
            Intrinsics.checkNotNullExpressionValue(it, "readyAsyncCalls.iterator()");
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                RealCall.AsyncCall next = it.next();
                if (this.runningAsyncCalls.size() >= 64) {
                    break;
                } else if (next.callsPerHost.get() < 5) {
                    it.remove();
                    next.callsPerHost.incrementAndGet();
                    Intrinsics.checkNotNullExpressionValue(next, "asyncCall");
                    arrayList.add(next);
                    this.runningAsyncCalls.add(next);
                }
            }
            synchronized (this) {
                size = this.runningAsyncCalls.size() + this.runningSyncCalls.size();
            }
            size2 = arrayList.size();
            for (i = 0; i < size2; i++) {
                RealCall.AsyncCall asyncCall = (RealCall.AsyncCall) arrayList.get(i);
                synchronized (this) {
                    if (this.executorServiceOrNull == null) {
                        TimeUnit timeUnit = TimeUnit.SECONDS;
                        SynchronousQueue synchronousQueue = new SynchronousQueue();
                        String str = Util.okHttpName + " Dispatcher";
                        Intrinsics.checkNotNullParameter(str, VpnProfileDataSource.KEY_NAME);
                        this.executorServiceOrNull = new ThreadPoolExecutor(0, Integer.MAX_VALUE, 60, timeUnit, synchronousQueue, new Util$threadFactory$1(str, false));
                    }
                    executorService = this.executorServiceOrNull;
                    Intrinsics.checkNotNull(executorService);
                }
                Objects.requireNonNull(asyncCall);
                Intrinsics.checkNotNullParameter(executorService, "executorService");
                Dispatcher dispatcher = asyncCall.this$0.client.dispatcher;
                byte[] bArr2 = Util.EMPTY_BYTE_ARRAY;
                try {
                    executorService.execute(asyncCall);
                } catch (RejectedExecutionException e) {
                    InterruptedIOException interruptedIOException = new InterruptedIOException("executor rejected");
                    interruptedIOException.initCause(e);
                    asyncCall.this$0.noMoreExchanges$okhttp(interruptedIOException);
                    asyncCall.responseCallback.onFailure(asyncCall.this$0, interruptedIOException);
                    asyncCall.this$0.client.dispatcher.finished$okhttp(asyncCall);
                } catch (Throwable th) {
                    asyncCall.this$0.client.dispatcher.finished$okhttp(asyncCall);
                    throw th;
                }
            }
            return r1;
        }
        boolean z = size > 0;
        size2 = arrayList.size();
        while (i < size2) {
        }
        return z;
    }
}
