package okhttp3;

import androidx.transition.ViewGroupUtilsApi14;
import java.io.Closeable;
import java.nio.charset.Charset;
import java.util.regex.Pattern;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.Charsets;
import okhttp3.MediaType;
import okhttp3.internal.Util;
import okio.Buffer;
import okio.BufferedSource;

/* compiled from: ResponseBody.kt */
public abstract class ResponseBody implements Closeable {
    public static final Companion Companion = new Companion(null);

    /* compiled from: ResponseBody.kt */
    public final class Companion {
        public Companion(DefaultConstructorMarker defaultConstructorMarker) {
        }
    }

    public static final ResponseBody create(String str, MediaType mediaType) {
        Intrinsics.checkNotNullParameter(str, "$this$toResponseBody");
        Charset charset = Charsets.UTF_8;
        if (mediaType != null) {
            Pattern pattern = MediaType.TYPE_SUBTYPE;
            Charset charset2 = mediaType.charset(null);
            if (charset2 == null) {
                MediaType.Companion companion = MediaType.Companion;
                mediaType = MediaType.Companion.parse(mediaType + "; charset=utf-8");
            } else {
                charset = charset2;
            }
        }
        Buffer buffer = new Buffer();
        Intrinsics.checkNotNullParameter(str, "string");
        Intrinsics.checkNotNullParameter(charset, "charset");
        buffer.writeString(str, 0, str.length(), charset);
        long j = buffer.size;
        Intrinsics.checkNotNullParameter(buffer, "$this$asResponseBody");
        return new ResponseBody$Companion$asResponseBody$1(buffer, mediaType, j);
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        Util.closeQuietly(source());
    }

    public abstract long contentLength();

    public abstract MediaType contentType();

    public abstract BufferedSource source();

    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0024, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0025, code lost:
        androidx.transition.ViewGroupUtilsApi14.closeFinally(r0, r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0028, code lost:
        throw r2;
     */
    public final String string() {
        Charset charset;
        BufferedSource source = source();
        MediaType contentType = contentType();
        if (contentType == null || (charset = contentType.charset(Charsets.UTF_8)) == null) {
            charset = Charsets.UTF_8;
        }
        String readString = source.readString(Util.readBomAsCharset(source, charset));
        ViewGroupUtilsApi14.closeFinally(source, null);
        return readString;
    }
}
