package okhttp3.internal.authenticator;

import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import java.io.EOFException;
import java.net.Authenticator;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.PasswordAuthentication;
import java.net.Proxy;
import java.net.SocketAddress;
import java.nio.charset.Charset;
import java.nio.charset.StandardCharsets;
import java.util.ArrayList;
import java.util.Collections;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.collections.ArraysKt___ArraysKt;
import kotlin.collections.EmptyList;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt__IndentKt;
import okhttp3.Address;
import okhttp3.Authenticator;
import okhttp3.Challenge;
import okhttp3.Dns;
import okhttp3.Dns$Companion$DnsSystem;
import okhttp3.Headers;
import okhttp3.HttpUrl;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;
import okhttp3.Route;
import okhttp3.internal.Util;
import okhttp3.internal.http.HttpHeaders;
import okhttp3.internal.platform.Platform;
import okio.Buffer;
import okio.ByteString;

/* compiled from: JavaNetAuthenticator.kt */
public final class JavaNetAuthenticator implements Authenticator {
    public final Dns defaultDns;

    public abstract /* synthetic */ class WhenMappings {
        public static final /* synthetic */ int[] $EnumSwitchMapping$0;

        static {
            int[] iArr = new int[Proxy.Type.values().length];
            $EnumSwitchMapping$0 = iArr;
            iArr[Proxy.Type.DIRECT.ordinal()] = 1;
        }
    }

    public JavaNetAuthenticator(Dns dns, int i) {
        Dns dns2 = (i & 1) != 0 ? Dns.SYSTEM : null;
        Intrinsics.checkNotNullParameter(dns2, "defaultDns");
        this.defaultDns = dns2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:19:0x006d  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x0191  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x0197  */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x01ca  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x01f6  */
    @Override // okhttp3.Authenticator
    public Request authenticate(Route route, Response response) {
        List<Challenge> list;
        Proxy proxy;
        Dns dns;
        PasswordAuthentication passwordAuthentication;
        Charset charset;
        HttpUrl httpUrl;
        LinkedHashMap linkedHashMap;
        Map map;
        Address address;
        String str;
        Intrinsics.checkNotNullParameter(response, "response");
        Headers headers = response.headers;
        int i = response.code;
        boolean z = false;
        if (i == 401) {
            str = "WWW-Authenticate";
        } else if (i != 407) {
            list = EmptyList.INSTANCE;
            Request request = response.request;
            HttpUrl httpUrl2 = request.url;
            if (response.code == 407) {
                z = true;
            }
            if (route == null || (proxy = route.proxy) == null) {
                proxy = Proxy.NO_PROXY;
            }
            for (Challenge challenge : list) {
                if (StringsKt__IndentKt.equals("Basic", challenge.scheme, true)) {
                    if (route == null || (address = route.address) == null || (dns = address.dns) == null) {
                        dns = this.defaultDns;
                    }
                    if (z) {
                        SocketAddress address2 = proxy.address();
                        Objects.requireNonNull(address2, "null cannot be cast to non-null type java.net.InetSocketAddress");
                        InetSocketAddress inetSocketAddress = (InetSocketAddress) address2;
                        String hostName = inetSocketAddress.getHostName();
                        Intrinsics.checkNotNullExpressionValue(proxy, "proxy");
                        passwordAuthentication = java.net.Authenticator.requestPasswordAuthentication(hostName, connectToInetAddress(proxy, httpUrl2, dns), inetSocketAddress.getPort(), httpUrl2.scheme, challenge.authParams.get("realm"), challenge.scheme, httpUrl2.url(), Authenticator.RequestorType.PROXY);
                    } else {
                        String str2 = httpUrl2.host;
                        Intrinsics.checkNotNullExpressionValue(proxy, "proxy");
                        passwordAuthentication = java.net.Authenticator.requestPasswordAuthentication(str2, connectToInetAddress(proxy, httpUrl2, dns), httpUrl2.port, httpUrl2.scheme, challenge.authParams.get("realm"), challenge.scheme, httpUrl2.url(), Authenticator.RequestorType.SERVER);
                    }
                    if (passwordAuthentication != null) {
                        String str3 = z ? "Proxy-Authorization" : "Authorization";
                        String userName = passwordAuthentication.getUserName();
                        Intrinsics.checkNotNullExpressionValue(userName, "auth.userName");
                        char[] password = passwordAuthentication.getPassword();
                        Intrinsics.checkNotNullExpressionValue(password, "auth.password");
                        String str4 = new String(password);
                        String str5 = challenge.authParams.get("charset");
                        if (str5 != null) {
                            try {
                                charset = Charset.forName(str5);
                                Intrinsics.checkNotNullExpressionValue(charset, "Charset.forName(charset)");
                            } catch (Exception unused) {
                            }
                            Intrinsics.checkNotNullParameter(userName, VpnProfileDataSource.KEY_USERNAME);
                            Intrinsics.checkNotNullParameter(str4, VpnProfileDataSource.KEY_PASSWORD);
                            Intrinsics.checkNotNullParameter(charset, "charset");
                            String base64 = ByteString.Companion.encodeString(userName + ':' + str4, charset).base64();
                            StringBuilder sb = new StringBuilder();
                            sb.append("Basic ");
                            sb.append(base64);
                            String sb2 = sb.toString();
                            Intrinsics.checkNotNullParameter(request, "request");
                            new LinkedHashMap();
                            httpUrl = request.url;
                            String str6 = request.method;
                            RequestBody requestBody = request.body;
                            if (!request.tags.isEmpty()) {
                                linkedHashMap = new LinkedHashMap();
                            } else {
                                Map<Class<?>, Object> map2 = request.tags;
                                Intrinsics.checkNotNullParameter(map2, "$this$toMutableMap");
                                linkedHashMap = new LinkedHashMap(map2);
                            }
                            Headers.Builder newBuilder = request.headers.newBuilder();
                            Intrinsics.checkNotNullParameter(str3, VpnProfileDataSource.KEY_NAME);
                            Intrinsics.checkNotNullParameter(sb2, "value");
                            Intrinsics.checkNotNullParameter(str3, VpnProfileDataSource.KEY_NAME);
                            Intrinsics.checkNotNullParameter(sb2, "value");
                            Headers.Companion companion = Headers.Companion;
                            companion.checkName(str3);
                            companion.checkValue(sb2, str3);
                            newBuilder.removeAll(str3);
                            newBuilder.addLenient$okhttp(str3, sb2);
                            if (httpUrl == null) {
                                Headers build = newBuilder.build();
                                byte[] bArr = Util.EMPTY_BYTE_ARRAY;
                                Intrinsics.checkNotNullParameter(linkedHashMap, "$this$toImmutableMap");
                                if (linkedHashMap.isEmpty()) {
                                    map = ArraysKt___ArraysKt.emptyMap();
                                } else {
                                    map = Collections.unmodifiableMap(new LinkedHashMap(linkedHashMap));
                                    Intrinsics.checkNotNullExpressionValue(map, "Collections.unmodifiableMap(LinkedHashMap(this))");
                                }
                                return new Request(httpUrl, str6, build, requestBody, map);
                            }
                            throw new IllegalStateException("url == null".toString());
                        }
                        charset = StandardCharsets.ISO_8859_1;
                        Intrinsics.checkNotNullExpressionValue(charset, "ISO_8859_1");
                        Intrinsics.checkNotNullParameter(userName, VpnProfileDataSource.KEY_USERNAME);
                        Intrinsics.checkNotNullParameter(str4, VpnProfileDataSource.KEY_PASSWORD);
                        Intrinsics.checkNotNullParameter(charset, "charset");
                        String base642 = ByteString.Companion.encodeString(userName + ':' + str4, charset).base64();
                        StringBuilder sb3 = new StringBuilder();
                        sb3.append("Basic ");
                        sb3.append(base642);
                        String sb22 = sb3.toString();
                        Intrinsics.checkNotNullParameter(request, "request");
                        new LinkedHashMap();
                        httpUrl = request.url;
                        String str62 = request.method;
                        RequestBody requestBody2 = request.body;
                        if (!request.tags.isEmpty()) {
                        }
                        Headers.Builder newBuilder2 = request.headers.newBuilder();
                        Intrinsics.checkNotNullParameter(str3, VpnProfileDataSource.KEY_NAME);
                        Intrinsics.checkNotNullParameter(sb22, "value");
                        Intrinsics.checkNotNullParameter(str3, VpnProfileDataSource.KEY_NAME);
                        Intrinsics.checkNotNullParameter(sb22, "value");
                        Headers.Companion companion2 = Headers.Companion;
                        companion2.checkName(str3);
                        companion2.checkValue(sb22, str3);
                        newBuilder2.removeAll(str3);
                        newBuilder2.addLenient$okhttp(str3, sb22);
                        if (httpUrl == null) {
                        }
                    }
                }
            }
            return null;
        } else {
            str = "Proxy-Authenticate";
        }
        ByteString byteString = HttpHeaders.QUOTED_STRING_DELIMITERS;
        Intrinsics.checkNotNullParameter(headers, "$this$parseChallenges");
        Intrinsics.checkNotNullParameter(str, "headerName");
        ArrayList arrayList = new ArrayList();
        int size = headers.size();
        for (int i2 = 0; i2 < size; i2++) {
            if (StringsKt__IndentKt.equals(str, headers.name(i2), true)) {
                Buffer buffer = new Buffer();
                buffer.writeUtf8(headers.value(i2));
                try {
                    HttpHeaders.readChallengeHeader(buffer, arrayList);
                } catch (EOFException e) {
                    Platform.Companion companion3 = Platform.Companion;
                    Platform.platform.log("Unable to parse challenge", 5, e);
                }
            }
        }
        list = arrayList;
        Request request2 = response.request;
        HttpUrl httpUrl22 = request2.url;
        if (response.code == 407) {
        }
        proxy = Proxy.NO_PROXY;
        while (r0.hasNext()) {
        }
        return null;
    }

    public final InetAddress connectToInetAddress(Proxy proxy, HttpUrl httpUrl, Dns dns) {
        Proxy.Type type = proxy.type();
        if (type != null && WhenMappings.$EnumSwitchMapping$0[type.ordinal()] == 1) {
            return (InetAddress) ArraysKt___ArraysKt.first(((Dns$Companion$DnsSystem) dns).lookup(httpUrl.host));
        }
        SocketAddress address = proxy.address();
        Objects.requireNonNull(address, "null cannot be cast to non-null type java.net.InetSocketAddress");
        InetAddress address2 = ((InetSocketAddress) address).getAddress();
        Intrinsics.checkNotNullExpressionValue(address2, "(address() as InetSocketAddress).address");
        return address2;
    }
}
