package org.xbill.DNS;

import com.android.tools.r8.GeneratedOutlineSupport;
import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.PushbackInputStream;
import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.Objects;
import kotlinx.coroutines.internal.SystemPropsKt;

public class Tokenizer {
    public Token current;
    public String delimiters;
    public String filename;
    public PushbackInputStream is;
    public int line;
    public int multiline;
    public boolean quoting;
    public StringBuffer sb;
    public boolean ungottenToken;

    public class Token {
        public int type = -1;
        public String value = null;

        public Token(AnonymousClass1 r1) {
        }

        public static Token access$100(Token token, int i, StringBuffer stringBuffer) {
            String str;
            Objects.requireNonNull(token);
            if (i >= 0) {
                token.type = i;
                if (stringBuffer == null) {
                    str = null;
                } else {
                    str = stringBuffer.toString();
                }
                token.value = str;
                return token;
            }
            throw new IllegalArgumentException();
        }

        public boolean isString() {
            int i = this.type;
            return i == 3 || i == 4;
        }

        public String toString() {
            int i = this.type;
            if (i == 0) {
                return "<eof>";
            }
            if (i == 1) {
                return "<eol>";
            }
            if (i == 2) {
                return "<whitespace>";
            }
            if (i == 3) {
                StringBuffer outline24 = GeneratedOutlineSupport.outline24("<identifier: ");
                outline24.append(this.value);
                outline24.append(">");
                return outline24.toString();
            } else if (i == 4) {
                StringBuffer outline242 = GeneratedOutlineSupport.outline24("<quoted_string: ");
                outline242.append(this.value);
                outline242.append(">");
                return outline242.toString();
            } else if (i != 5) {
                return "<unknown>";
            } else {
                StringBuffer outline243 = GeneratedOutlineSupport.outline24("<comment: ");
                outline243.append(this.value);
                outline243.append(">");
                return outline243.toString();
            }
        }
    }

    public class TokenizerException extends TextParseException {
        public String message;

        /* JADX WARNING: Illegal instructions before constructor call */
        public TokenizerException(String str, int i, String str2) {
            super(r0.toString());
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(str);
            stringBuffer.append(":");
            stringBuffer.append(i);
            stringBuffer.append(": ");
            stringBuffer.append(str2);
            this.message = str2;
        }

        public String getBaseMessage() {
            return this.message;
        }
    }

    public Tokenizer(String str) {
        InputStream byteArrayInputStream = new ByteArrayInputStream(str.getBytes());
        this.is = new PushbackInputStream(!(byteArrayInputStream instanceof BufferedInputStream) ? new BufferedInputStream(byteArrayInputStream) : byteArrayInputStream, 2);
        this.ungottenToken = false;
        this.multiline = 0;
        this.quoting = false;
        this.delimiters = " \t\n;()\"";
        this.current = new Token(null);
        this.sb = new StringBuffer();
        this.filename = "<none>";
        this.line = 1;
    }

    public final String _getIdentifier(String str) {
        Token token = get();
        if (token.type == 3) {
            return token.value;
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("expected ");
        stringBuffer.append(str);
        throw exception(stringBuffer.toString());
    }

    public TextParseException exception(String str) {
        return new TokenizerException(this.filename, this.line, str);
    }

    public void finalize() {
    }

    /* JADX WARNING: Code restructure failed: missing block: B:110:?, code lost:
        return r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:75:0x012b, code lost:
        if (r10.sb.length() != 0) goto L_0x013e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:76:0x012d, code lost:
        if (r0 == 4) goto L_0x013e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:78:0x0131, code lost:
        if (r10.multiline > 0) goto L_0x0139;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:79:0x0133, code lost:
        r0 = r10.current;
        org.xbill.DNS.Tokenizer.Token.access$100(r0, 0, null);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:81:0x013d, code lost:
        throw exception("unbalanced parentheses");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:82:0x013e, code lost:
        r1 = r10.current;
        org.xbill.DNS.Tokenizer.Token.access$100(r1, r0, r10.sb);
     */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x010c  */
    /* JADX WARNING: Removed duplicated region for block: B:86:0x0116 A[SYNTHETIC] */
    public Token get() {
        Token token;
        int i;
        if (this.ungottenToken) {
            this.ungottenToken = false;
            Token token2 = this.current;
            int i2 = token2.type;
            if (!(i2 == 2 || i2 == 5)) {
                if (i2 != 1) {
                    return token2;
                }
                this.line++;
                return token2;
            }
        }
        skipWhitespace();
        int i3 = 3;
        this.sb.setLength(0);
        while (true) {
            int i4 = getChar();
            if (i4 != -1 && this.delimiters.indexOf(i4) == -1) {
                if (i4 == 92) {
                    i4 = getChar();
                    if (i4 != -1) {
                        this.sb.append('\\');
                    } else {
                        throw exception("unterminated escape sequence");
                    }
                } else if (this.quoting && i4 == 10) {
                    throw exception("newline in quoted string");
                }
                this.sb.append((char) i4);
            } else if (i4 == -1) {
                if (this.quoting) {
                    throw exception("EOF in quoted string");
                } else if (this.sb.length() == 0) {
                    Token token3 = this.current;
                    Token.access$100(token3, 0, null);
                    return token3;
                } else {
                    token = this.current;
                    Token.access$100(token, i3, this.sb);
                }
            } else if (this.sb.length() != 0 || i3 == 4) {
                ungetChar(i4);
            } else if (i4 == 40) {
                this.multiline++;
                skipWhitespace();
            } else if (i4 == 41) {
                int i5 = this.multiline;
                if (i5 > 0) {
                    this.multiline = i5 - 1;
                    skipWhitespace();
                } else {
                    throw exception("invalid close parenthesis");
                }
            } else if (i4 == 34) {
                if (!this.quoting) {
                    this.quoting = true;
                    this.delimiters = "\"";
                    i3 = 4;
                } else {
                    this.quoting = false;
                    this.delimiters = " \t\n;()\"";
                    skipWhitespace();
                }
            } else if (i4 == 10) {
                Token token4 = this.current;
                Token.access$100(token4, 1, null);
                return token4;
            } else if (i4 == 59) {
                while (true) {
                    i = getChar();
                    if (i != 10 && i != -1) {
                        this.sb.append((char) i);
                    } else if (i == -1 || i3 == 4) {
                        if (this.multiline <= 0) {
                            skipWhitespace();
                            this.sb.setLength(0);
                        } else {
                            Token token5 = this.current;
                            Token.access$100(token5, 1, null);
                            return token5;
                        }
                    } else if (this.multiline <= 0) {
                        Token token6 = this.current;
                        Token.access$100(token6, 0, null);
                        return token6;
                    } else {
                        throw exception("unbalanced parentheses");
                    }
                }
                if (i == -1) {
                }
                if (this.multiline <= 0) {
                }
            } else {
                throw new IllegalStateException();
            }
        }
        return token;
    }

    public InetAddress getAddress(int i) {
        try {
            return SystemPropsKt.getByAddress(_getIdentifier("an address"), i);
        } catch (UnknownHostException e) {
            throw exception(e.getMessage());
        }
    }

    public byte[] getAddressBytes(int i) {
        String _getIdentifier = _getIdentifier("an address");
        byte[] byteArray = SystemPropsKt.toByteArray(_getIdentifier, i);
        if (byteArray != null) {
            return byteArray;
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("Invalid address: ");
        stringBuffer.append(_getIdentifier);
        throw exception(stringBuffer.toString());
    }

    public byte[] getBase64(boolean z) {
        String remainingStrings = remainingStrings();
        byte[] bArr = null;
        if (remainingStrings != null) {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            byte[] bytes = remainingStrings.getBytes();
            for (int i = 0; i < bytes.length; i++) {
                if (!Character.isWhitespace((char) bytes[i])) {
                    byteArrayOutputStream.write(bytes[i]);
                }
            }
            byte[] byteArray = byteArrayOutputStream.toByteArray();
            if (byteArray.length % 4 == 0) {
                byteArrayOutputStream.reset();
                DataOutputStream dataOutputStream = new DataOutputStream(byteArrayOutputStream);
                int i2 = 0;
                while (true) {
                    if (i2 >= (byteArray.length + 3) / 4) {
                        bArr = byteArrayOutputStream.toByteArray();
                        break;
                    }
                    short[] sArr = new short[4];
                    short[] sArr2 = new short[3];
                    for (int i3 = 0; i3 < 4; i3++) {
                        sArr[i3] = (short) "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=".indexOf(byteArray[(i2 * 4) + i3]);
                    }
                    sArr2[0] = (short) ((sArr[0] << 2) + (sArr[1] >> 4));
                    if (sArr[2] == 64) {
                        sArr2[2] = -1;
                        sArr2[1] = -1;
                        if ((sArr[1] & 15) != 0) {
                            break;
                        }
                    } else if (sArr[3] == 64) {
                        sArr2[1] = (short) (((sArr[1] << 4) + (sArr[2] >> 2)) & KEYRecord.PROTOCOL_ANY);
                        sArr2[2] = -1;
                        if ((sArr[2] & 3) != 0) {
                            break;
                        }
                    } else {
                        sArr2[1] = (short) (((sArr[1] << 4) + (sArr[2] >> 2)) & KEYRecord.PROTOCOL_ANY);
                        sArr2[2] = (short) (((sArr[2] << 6) + sArr[3]) & KEYRecord.PROTOCOL_ANY);
                    }
                    for (int i4 = 0; i4 < 3; i4++) {
                        try {
                            if (sArr2[i4] >= 0) {
                                dataOutputStream.writeByte(sArr2[i4]);
                            }
                        } catch (IOException unused) {
                        }
                    }
                    i2++;
                }
            }
            if (bArr != null) {
                return bArr;
            }
            throw exception("invalid base64 encoding");
        } else if (!z) {
            return null;
        } else {
            throw exception("expected base64 encoded string");
        }
    }

    public final int getChar() {
        int read = this.is.read();
        if (read == 13) {
            int read2 = this.is.read();
            if (read2 != 10) {
                this.is.unread(read2);
            }
            read = 10;
        }
        if (read == 10) {
            this.line++;
        }
        return read;
    }

    public byte[] getHex(boolean z) {
        String remainingStrings = remainingStrings();
        if (remainingStrings != null) {
            byte[] fromString = SystemPropsKt.fromString(remainingStrings);
            if (fromString != null) {
                return fromString;
            }
            throw exception("invalid hex encoding");
        } else if (!z) {
            return null;
        } else {
            throw exception("expected hex encoded string");
        }
    }

    public byte[] getHexString() {
        byte[] fromString = SystemPropsKt.fromString(_getIdentifier("a hex string"));
        if (fromString != null) {
            return fromString;
        }
        throw exception("invalid hex encoding");
    }

    public String getIdentifier() {
        return _getIdentifier("an identifier");
    }

    public long getLong() {
        String _getIdentifier = _getIdentifier("an integer");
        if (Character.isDigit(_getIdentifier.charAt(0))) {
            try {
                return Long.parseLong(_getIdentifier);
            } catch (NumberFormatException unused) {
                throw exception("expected an integer");
            }
        } else {
            throw exception("expected an integer");
        }
    }

    public Name getName(Name name) {
        try {
            Name fromString = Name.fromString(_getIdentifier("a name"), name);
            if (fromString.isAbsolute()) {
                return fromString;
            }
            throw new RelativeNameException(fromString);
        } catch (TextParseException e) {
            throw exception(e.getMessage());
        }
    }

    public String getString() {
        Token token = get();
        if (token.isString()) {
            return token.value;
        }
        throw exception("expected a string");
    }

    public long getTTLLike() {
        try {
            return SystemPropsKt.parse(_getIdentifier("a TTL-like value"), false);
        } catch (NumberFormatException unused) {
            throw exception("expected a TTL-like value");
        }
    }

    public int getUInt16() {
        long j = getLong();
        if (j >= 0 && j <= 65535) {
            return (int) j;
        }
        throw exception("expected an 16 bit unsigned integer");
    }

    public int getUInt8() {
        long j = getLong();
        if (j >= 0 && j <= 255) {
            return (int) j;
        }
        throw exception("expected an 8 bit unsigned integer");
    }

    public final String remainingStrings() {
        StringBuffer stringBuffer = null;
        while (true) {
            Token token = get();
            if (!token.isString()) {
                break;
            }
            if (stringBuffer == null) {
                stringBuffer = new StringBuffer();
            }
            stringBuffer.append(token.value);
        }
        unget();
        if (stringBuffer == null) {
            return null;
        }
        return stringBuffer.toString();
    }

    public final int skipWhitespace() {
        int i;
        int i2 = 0;
        while (true) {
            i = getChar();
            if (i == 32 || i == 9 || (i == 10 && this.multiline > 0)) {
                i2++;
            }
        }
        ungetChar(i);
        return i2;
    }

    public void unget() {
        if (!this.ungottenToken) {
            if (this.current.type == 1) {
                this.line--;
            }
            this.ungottenToken = true;
            return;
        }
        throw new IllegalStateException("Cannot unget multiple tokens");
    }

    public final void ungetChar(int i) {
        if (i != -1) {
            this.is.unread(i);
            if (i == 10) {
                this.line--;
            }
        }
    }

    public byte[] getHex() {
        return getHex(false);
    }

    public byte[] getBase64() {
        return getBase64(false);
    }
}
